"use strict";
var KTSigninGeneral = function() {
    var e, t, i;
    return {
        init: function() {
            e = document.querySelector("#kt_sign_in_form"), t = document.querySelector("#kt_sign_in_submit"), i = FormValidation.formValidation(e, {
                fields: {
                    email: {
                        validators: {
                            regexp: {
                                regexp: /^[^\s@]+@[^\s@]+\.[^\s@]+$/,
                                message: "The value is not a valid email address"
                            },
                            notEmpty: {
                                message: "Email address is required"
                            }
                        }
                    },
                    password: {
                        validators: {
                            notEmpty: {
                                message: "The password is required"
                            }
                        }
                    }
                },
                plugins: {
                    trigger: new FormValidation.plugins.Trigger,
                    bootstrap: new FormValidation.plugins.Bootstrap5({
                        rowSelector: ".fv-row",
                        eleInvalidClass: "",
                        eleValidClass: ""
                    })
                }
            }), t.addEventListener("click", (function(n) {
                
                n.preventDefault(), i.validate().then((function(i) {
                    "Valid" == i ? (t.setAttribute("data-kt-indicator", "on"), t.disabled = !0, login_function()
                    ) : Swal.fire({
                        text: "Sorry, looks like there are some errors detected, please try again.",
                        icon: "error",
                        buttonsStyling: !1,
                        confirmButtonText: "Ok, got it!",
                        customClass: {
                            confirmButton: "btn btn-primary"
                        }
                    })
                }))
            }))
        }
    }
}();
KTUtil.onDOMContentLoaded((function() {
    KTSigninGeneral.init()
}));

function login_function(){
    var form = document.getElementById('kt_sign_in_form');
    var formData = new FormData(form);
    $.ajax({
        url:"exec_login.php",
        type:"POST",
        data:formData,
        processData:false,
        contentType: false,
        success: function(resp){
            resp = JSON.parse(resp);
            if(resp.errorFlag){

               Swal.fire({
       html: resp.msg,
       icon: "error",
       buttonsStyling: false,
       confirmButtonText: "Ok, got it!",
       customClass: {
           confirmButton: "btn btn-primary"
       }
   });
   document.querySelector("#kt_sign_in_submit").setAttribute("data-kt-indicator", "off");
   document.querySelector("#kt_sign_in_submit").disabled = 0;
            } else {
               Swal.fire({
       text: resp.msg,
       icon: "success",
       buttonsStyling: false,
       confirmButtonText: "Ok, got it!",
       customClass: {
           confirmButton: "btn btn-primary"
       }
   });

   $('.swal2-confirm').bind('click',function(){
       window.location = "index.php";
   });
            }
        }
    });
}