<?PHP session_start();

require_once('../connection/config.php');
require_once('../includes/functions.php');

$id = '';
if(isset($_GET['id']) || !empty($_GET['id'])){
    $id = $_GET['id'];
}

$first_name = $_POST['first_name'];
$last_name=$_POST['last_name'];
$phone=$_POST['phone'];
$email=$_POST['email'];
$password=$_POST['password'];
$confirm_password=$_POST['confirm_password'];


$errorFlag = false;
$msg = '';





if($first_name == '' || strlen(trim($first_name)) == 0){
    $msg = 'Please enter first name';
    $errorFlag = true;
} else if(!filter_var($first_name,FILTER_SANITIZE_STRING)){
    $msg = 'Please enter a valid first name';
    $errorFlag = true;
}

if($last_name == '' || strlen(trim($last_name)) == 0){
    $msg = 'Please enter last name';
    $errorFlag = true;
} else if(!filter_var($last_name,FILTER_SANITIZE_STRING)){
    $msg = 'Please enter a valid last name';
    $errorFlag = true;
}

if($email == '' || strlen(trim($email)) == 0){
    if($msg != ''){
        $msg .= '<br>';
    }
        $msg .= 'Please enter e-mail address';
    $errorFlag = true;
} else if(!filter_var($email,FILTER_VALIDATE_EMAIL)){
    if($msg != ''){
        $msg .= '<br>';
    }
        $msg .= 'Please enter a valid e-mail address';
    $errorFlag = true;
} else {
    if($id == ''){
        if(isExist('customer','email',$email)){
            if($msg != ''){
                $msg .= '<br>';
            }
                $msg .= 'E-mail address is already registered';
            $errorFlag = true;
        }
    } else {
        if(isExistEdit('customer','email',$email,'id',$id)){
            if($msg != ''){
                $msg .= '<br>';
            }
                $msg .= 'E-mail address is already registered';
            $errorFlag = true;
        }
    }
      
   
}

if($id == ''){
if($password == '' || strlen(trim($password)) == 0){
    if($msg != ''){
        $msg .= '<br>';
    }
        $msg .= 'Please enter password';
    $errorFlag = true;
} else if(!filter_var($password,FILTER_SANITIZE_STRING)) {
    if($msg != ''){
        $msg .= '<br>';
    }
        $msg .= 'Please enter a valid password';
    $errorFlag = true;
}

if($confirm_password == '' || strlen(trim($confirm_password)) == 0){
    if($msg != ''){
        $msg .= '<br>';
    }
        $msg .= 'Please enter confirm password';
    $errorFlag = true;
} else if(!filter_var($confirm_password,FILTER_SANITIZE_STRING)) {
    if($msg != ''){
        $msg .= '<br>';
    }
        $msg .= 'Please enter a valid confirm password';
    $errorFlag = true;
}

if($password != $confirm_password){
    if($msg != ''){
        $msg .= '<br>';
    }
        $msg .= 'Password and confirm password does not match';
    $errorFlag = true;
}
}







if($errorFlag){
    echo json_encode(array("msg"=>$msg,"errorFlag"=>$errorFlag));   
    exit();
}

if($id == ''){

$qryOrder="SELECT pos FROM customer ORDER BY pos ASC";
$stmtOrder = mysqli_prepare($conn,$qryOrder);
mysqli_stmt_execute($stmtOrder);
    $stmtOrder->store_result();
    $stmtOrder->bind_result($order);
    while($stmtOrder->fetch()){
        $order = $order;
    }
    $order++;
    
    
    $password = sha1($password);
    $salt = sha1(rand(0,100000));
    $hashPassword = sha1($password.$salt);
    
    $qry="INSERT INTO customer (first_name,last_name,email,password,phone,salt,pos) VALUES (?,?,?,?,?,?,?)";
    $stmt = mysqli_prepare($conn,$qry);
    mysqli_stmt_bind_param($stmt,"ssssssi",$first_name,$last_name,$email,$hashPassword,$phone,$salt,$order);
    mysqli_stmt_execute($stmt);
    print_r(mysqli_error($conn));
    $insertedId = mysqli_insert_id($conn);











        
} else {

    $qry="UPDATE customer SET first_name=? , last_name=? , email=? , phone=? WHERE id=?";
    $stmt = mysqli_prepare($conn,$qry);
    mysqli_stmt_bind_param($stmt,"ssssi",$first_name,$last_name,$email,$phone,$id);
    mysqli_stmt_execute($stmt);

}

echo json_encode(array("msg"=>"Customer have been successfully updated","errorFlag"=>$errorFlag));
exit();



?>