<?PHP session_start();

require_once('../connection/config.php');
require_once('../includes/functions.php');

$id = '';
if(isset($_GET['id']) || !empty($_GET['id'])){
    $id = $_GET['id'];
}

$title = $_POST['title'];
$description=$_POST['description'];
$price = $_POST['price'];
$quantity = $_POST['quantity'];
$can_buy = $_POST['can_buy'];
$new_arrival = $_POST['new_arrival'];
$on_sale = $_POST['on_sale'];
$is_featured = $_POST['is_featured'];
$best_seller = $_POST['best_seller'];
$delivery_time = $_POST['delivery_time'];
$category_id=$_POST['category_id'];
$related_product_id = array();
if(isset($_POST['related_product_id']) && !empty($_POST['related_product_id'])){
  $related_product_id = $_POST['related_product_id'];
}
$variant_id = 0;
if(isset($_POST['variant_id']) && !empty($_POST['variant_id'])){
  $variant_id = $_POST['variant_id'];
}


$errorFlag = false;
$msg = '';




if($title == '' || strlen(trim($title)) == 0){
    if($msg != ''){
      $msg .= '<br>';  
    } 
 $errorFlag = true;
 $msg .= "Please enter title";
}

if($description == '' || strlen(trim($description)) == 0){
    if($msg != ''){
      $msg .= '<br>';  
    } 
 $errorFlag = true;
 $msg .= "Please enter description";
}

if($price == '' || strlen(trim($price)) == 0){
    if($msg != ''){
      $msg .= '<br>';  
    } 
 $errorFlag = true;
 $msg .= "Please enter price";
}

if($can_buy == '' || strlen(trim($can_buy)) == 0){
    if($msg != ''){
      $msg .= '<br>';  
    } 
 $errorFlag = true;
 $msg .= "Please choose if it can be bought";
}

if($new_arrival == '' || strlen(trim($new_arrival)) == 0){
    if($msg != ''){
      $msg .= '<br>';  
    } 
 $errorFlag = true;
 $msg .= "Please choose if this is new arrival";
}

if($on_sale == '' || strlen(trim($on_sale)) == 0){
    if($msg != ''){
      $msg .= '<br>';  
    } 
 $errorFlag = true;
 $msg .= "Please choose if this is on sale";
}

if($is_featured == '' || strlen(trim($is_featured)) == 0){
  if($msg != ''){
    $msg .= '<br>';  
  } 
$errorFlag = true;
$msg .= "Please choose if this is featured";
}

if($best_seller == '' || strlen(trim($best_seller)) == 0){
  if($msg != ''){
    $msg .= '<br>';  
  } 
$errorFlag = true;
$msg .= "Please choose if this is best_seller";
}

if($delivery_time == '' || strlen(trim($delivery_time)) == 0){
    if($msg != ''){
      $msg .= '<br>';  
    } 
 $errorFlag = true;
 $msg .= "Please enter delivery time";
}

if($category_id == '' || strlen(trim($category_id)) == 0){
    if($msg != ''){
      $msg .= '<br>';  
    } 
 $errorFlag = true;
 $msg .= "Please choose category";
}




if($id == ''){
if($_FILES['picture']['name'] == ''){
	$errorFlag = true;
	if($msg != ''){
		$msg .= '<br>';
	}
	$msg .= 'Please choose picture';
} else {
	if(strtolower(pathinfo($_FILES['picture']['name'], PATHINFO_EXTENSION)) != 'png' && strtolower(pathinfo($_FILES['picture']['name'], PATHINFO_EXTENSION)) != 'jpg') {
	$errorFlag = true;
	if($msg != ''){
		$msg .= '<br>';
	}
	$msg .= 'Only PNG or JPG format is allowed';
	}
	if($_FILES['picture']['size'] > 5242880){
		$errorFlag = true;
		if($msg != ''){
			$msg .= '<br>';
		}
		$msg .= 'Picture Size Should not Exceed 5 MB';
	}
}


    
    
    
    
}




if($errorFlag){
    echo json_encode(array("msg"=>$msg,"errorFlag"=>$errorFlag));   
    exit();
}

if($id == ''){

$qryOrder="SELECT pos FROM product ORDER BY pos ASC";
$stmtOrder = mysqli_prepare($conn,$qryOrder);
mysqli_stmt_execute($stmtOrder);
    $stmtOrder->store_result();
    $stmtOrder->bind_result($order);
    while($stmtOrder->fetch()){
        $order = $order;
    }
    $order++;
    
    
$qry="INSERT INTO product (title,description,category_id,price,quantity,delivery_time,can_buy,new_arrival,on_sale,is_featured,best_seller,pos) VALUES (?,?,?,?,?,?,?,?,?,?,?,?)";
$stmt = mysqli_prepare($conn,$qry);
mysqli_stmt_bind_param($stmt,"ssiiiiiiiiii",$title,$description,$category_id,$price,$quantity,$delivery_time,$can_buy,$new_arrival,$on_sale,$is_featured,$best_seller,$order);
mysqli_stmt_execute($stmt);

print_r(mysqli_error($conn));

$insertedId = mysqli_insert_id($conn);

if(!empty($related_product_id)){
    foreach($related_product_id as $key=>$value){
        $qryInsert="INSERT INTO product_product (product_id,related_product_id) VALUES (?,?)";
        $stmtInsert=mysqli_prepare($conn,$qryInsert);
        mysqli_stmt_bind_param($stmtInsert,"ii",$insertedId,$value);
        mysqli_stmt_execute($stmtInsert);
    }
    
}

if(!empty($variant_id)){
  foreach($variant_id as $key=>$value){
      $variant_type_id = getInfo('variant','id',$value,'type');
      $qryInsert="INSERT INTO product_variant (product_id,variant_id,variant_type_id) VALUES (?,?,?)";
      $stmtInsert=mysqli_prepare($conn,$qryInsert);
      mysqli_stmt_bind_param($stmtInsert,"iii",$insertedId,$value,$variant_type_id);
      mysqli_stmt_execute($stmtInsert);
  }
  
}

$tmpName = $_FILES['picture']['tmp_name'];
    $fileName = $insertedId.'.png';
   

    $uploadDir = '../data/product/';
    $filePath = $uploadDir . $fileName;
    if($fileName != '')
    { 
    move_uploaded_file($tmpName, $filePath);
    }

    mkdir('../data/product/gallery/'.$insertedId);






        
} else {

    $qry="UPDATE product SET title=? , description=? , category_id = ? , price = ? , quantity = ? , delivery_time = ? , can_buy = ? , new_arrival = ? , on_sale = ? , is_featured = ? , best_seller = ? WHERE id=?";
    $stmt = mysqli_prepare($conn,$qry);
    mysqli_stmt_bind_param($stmt,"ssiiiiiiiiii",$title,$description,$category_id,$price,$quantity,$delivery_time,$can_buy,$new_arrival,$on_sale,$is_featured,$best_seller,$id);
    mysqli_stmt_execute($stmt);

    $qryDelete="DELETE FROM product_product WHERE product_id = ?";
    $stmtDelete=mysqli_prepare($conn,$qryDelete);
    mysqli_stmt_bind_param($stmtDelete,"i",$id);
    mysqli_stmt_execute($stmtDelete);

    $qryDelete="DELETE FROM product_variant WHERE product_id = ?";
    $stmtDelete=mysqli_prepare($conn,$qryDelete);
    mysqli_stmt_bind_param($stmtDelete,"i",$id);
    mysqli_stmt_execute($stmtDelete);

    if(!empty($variant_id)){
      foreach($variant_id as $key=>$value){
          $variant_type_id = getInfo('variant','id',$value,'type');
          $qryInsert="INSERT INTO product_variant (product_id,variant_id,variant_type_id) VALUES (?,?,?)";
          $stmtInsert=mysqli_prepare($conn,$qryInsert);
          mysqli_stmt_bind_param($stmtInsert,"iii",$id,$value,$variant_type_id);
          mysqli_stmt_execute($stmtInsert);
      }
      
    }

    if(!empty($related_product_id)){
      foreach($related_product_id as $key=>$value){
          $qryInsert="INSERT INTO product_product (product_id,related_product_id) VALUES (?,?)";
          $stmtInsert=mysqli_prepare($conn,$qryInsert);
          mysqli_stmt_bind_param($stmtInsert,"ii",$id,$value);
          mysqli_stmt_execute($stmtInsert);
      }
      
  }



}

echo json_encode(array("msg"=>"Product have been successfully updated","errorFlag"=>$errorFlag));
exit();



?>