<?php
require_once('../connection/config.php');
require_once('../includes/functions.php');
 
/*
 * DataTables example server-side processing script.
 *
 * Please note that this script is intentionally extremely simple to show how
 * server-side processing can be implemented, and probably shouldn't be used as
 * the basis for a large complex system. It is suitable for simple use cases as
 * for learning.
 *
 * See http://datatables.net/usage/server-side for full details on the server-
 * side processing requirements of DataTables.
 *
 * @license MIT - http://datatables.net/license_mit
 */
 
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Easy set variables
 */
 
// DB table to use
$table = 'customer';
 
// Table's primary key
$primaryKey = 'id';
 
// Array of database columns which should be read and sent back to DataTables.
// The `db` parameter represents the column name in the database, while the `dt`
// parameter represents the DataTables column identifier. In this case simple
// indexes
$columns = array(
    array( 'db' => 'id', 'dt' => 0 ),
    array( 'db' => 'id',  'dt' => 1,
"formatter" => function($d , $row){
    $info=getResultInfo('customer','id',$d);
    return $info['first_name'].' '.$info['last_name'];
}),
    array( 'db' => 'email',   'dt' => 2 ),
    array( 'db' => 'phone',   'dt' => 3 ),
    array( 'db' => 'id',  'dt' => 4 ,
"formatter" => function($d , $row){

    $html  = '<td class="text-end">';

    $html .= '<a href="#" class="btn btn-sm btn-light btn-active-light-primary" data-kt-menu-trigger="click" data-kt-menu-placement="bottom-end">Actions';
    $html .= '<span class="svg-icon svg-icon-5 m-0">';
    $html .= '<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">';
    $html .= '<path d="M11.4343 12.7344L7.25 8.55005C6.83579 8.13583 6.16421 8.13584 5.75 8.55005C5.33579 8.96426 5.33579 9.63583 5.75 10.05L11.2929 15.5929C11.6834 15.9835 12.3166 15.9835 12.7071 15.5929L18.25 10.05C18.6642 9.63584 18.6642 8.96426 18.25 8.55005C17.8358 8.13584 17.1642 8.13584 16.75 8.55005L12.5657 12.7344C12.2533 13.0468 11.7467 13.0468 11.4343 12.7344Z" fill="currentColor" />';
    $html .= '</svg>';
    $html .= '</span></a>';

    $html .= '<div class="menu menu-sub menu-sub-dropdown menu-column menu-rounded menu-gray-600 menu-state-bg-light-primary fw-semibold fs-7 w-125px py-4" data-kt-menu="true">';
    
    $html .= '<div class="menu-item px-3">';
    $html .= '<a href="manage_customer.php?id='.$d.'" class="menu-link px-3">Edit</a>';
    $html .= '</div>';
           
    $html .= '<div class="menu-item px-3">';
    $html .= '<a href="#" class="menu-link px-3 delete" data-id="'.$d.'" data-kt-ecommerce-order-filter="delete_row">Delete</a>';
    $html .= '</div>';

    $html .= '</div>';
    $html .= ' </td>';

    return $html;
}),
);
 
// SQL server connection information
$sql_details = array(
    'user' => USER,
    'pass' => PASS,
    'db'   => DB,
    'host' => HOST
);
 
 
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * If you just want to use the basic configuration for DataTables with PHP
 * server-side, there is no need to edit below this line.
 */
 
require( '../includes/ssp.class.php' );
 
echo json_encode(
    SSP::simple( $_GET, $sql_details, $table, $primaryKey, $columns )
    //SSP::complex( $_GET, $sql_details, $table, $primaryKey, $columns, NULL, 'eventId='.$_SESSION['eventId'] )

);