/**
 * vis-timeline and vis-graph2d
 * https://visjs.github.io/vis-timeline/
 *
 * Create a fully customizable, interactive timeline with items and ranges.
 *
 * @version 7.7.0
 * @date    2022-07-10T21:34:08.601Z
 *
 * @copyright (c) 2011-2017 Almende B.V, http://almende.com
 * @copyright (c) 2017-2019 visjs contributors, https://github.com/visjs
 *
 * @license
 * vis.js is dual licensed under both
 *
 *   1. The Apache 2.0 License
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *   and
 *
 *   2. The MIT License
 *      http://opensource.org/licenses/MIT
 *
 * vis.js may be distributed under either license.
 */
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?e(exports):"function"==typeof define&&define.amd?define(["exports"],e):e((t="undefined"!=typeof globalThis?globalThis:t||self).vis=t.vis||{})}(this,(function(t){var e="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function n(t){return t&&t.__esModule&&Object.prototype.hasOwnProperty.call(t,"default")?t.default:t}var r,o={exports:{}};function s(){return r||(r=1,function(t,e){t.exports=function(){var e,i;function n(){return e.apply(null,arguments)}function r(t){return t instanceof Array||"[object Array]"===Object.prototype.toString.call(t)}function o(t){return null!=t&&"[object Object]"===Object.prototype.toString.call(t)}function s(t,e){return Object.prototype.hasOwnProperty.call(t,e)}function a(t){if(Object.getOwnPropertyNames)return 0===Object.getOwnPropertyNames(t).length;var e;for(e in t)if(s(t,e))return!1;return!0}function l(t){return void 0===t}function h(t){return"number"==typeof t||"[object Number]"===Object.prototype.toString.call(t)}function u(t){return t instanceof Date||"[object Date]"===Object.prototype.toString.call(t)}function c(t,e){var i,n=[],r=t.length;for(i=0;i<r;++i)n.push(e(t[i],i));return n}function d(t,e){for(var i in e)s(e,i)&&(t[i]=e[i]);return s(e,"toString")&&(t.toString=e.toString),s(e,"valueOf")&&(t.valueOf=e.valueOf),t}function p(t,e,i,n){return Ce(t,e,i,n,!0).utc()}function f(t){return null==t._pf&&(t._pf={empty:!1,unusedTokens:[],unusedInput:[],overflow:-2,charsLeftOver:0,nullInput:!1,invalidEra:null,invalidMonth:null,invalidFormat:!1,userInvalidated:!1,iso:!1,parsedDateParts:[],era:null,meridiem:null,rfc2822:!1,weekdayMismatch:!1}),t._pf}function m(t){if(null==t._isValid){var e=f(t),n=i.call(e.parsedDateParts,(function(t){return null!=t})),r=!isNaN(t._d.getTime())&&e.overflow<0&&!e.empty&&!e.invalidEra&&!e.invalidMonth&&!e.invalidWeekday&&!e.weekdayMismatch&&!e.nullInput&&!e.invalidFormat&&!e.userInvalidated&&(!e.meridiem||e.meridiem&&n);if(t._strict&&(r=r&&0===e.charsLeftOver&&0===e.unusedTokens.length&&void 0===e.bigHour),null!=Object.isFrozen&&Object.isFrozen(t))return r;t._isValid=r}return t._isValid}function v(t){var e=p(NaN);return null!=t?d(f(e),t):f(e).userInvalidated=!0,e}i=Array.prototype.some?Array.prototype.some:function(t){var e,i=Object(this),n=i.length>>>0;for(e=0;e<n;e++)if(e in i&&t.call(this,i[e],e,i))return!0;return!1};var g=n.momentProperties=[],y=!1;function b(t,e){var i,n,r,o=g.length;if(l(e._isAMomentObject)||(t._isAMomentObject=e._isAMomentObject),l(e._i)||(t._i=e._i),l(e._f)||(t._f=e._f),l(e._l)||(t._l=e._l),l(e._strict)||(t._strict=e._strict),l(e._tzm)||(t._tzm=e._tzm),l(e._isUTC)||(t._isUTC=e._isUTC),l(e._offset)||(t._offset=e._offset),l(e._pf)||(t._pf=f(e)),l(e._locale)||(t._locale=e._locale),o>0)for(i=0;i<o;i++)l(r=e[n=g[i]])||(t[n]=r);return t}function _(t){b(this,t),this._d=new Date(null!=t._d?t._d.getTime():NaN),this.isValid()||(this._d=new Date(NaN)),!1===y&&(y=!0,n.updateOffset(this),y=!1)}function w(t){return t instanceof _||null!=t&&null!=t._isAMomentObject}function k(t){!1===n.suppressDeprecationWarnings&&"undefined"!=typeof console&&console.warn&&console.warn("Deprecation warning: "+t)}function x(t,e){var i=!0;return d((function(){if(null!=n.deprecationHandler&&n.deprecationHandler(null,t),i){var r,o,a,l=[],h=arguments.length;for(o=0;o<h;o++){if(r="","object"==typeof arguments[o]){for(a in r+="\n["+o+"] ",arguments[0])s(arguments[0],a)&&(r+=a+": "+arguments[0][a]+", ");r=r.slice(0,-2)}else r=arguments[o];l.push(r)}k(t+"\nArguments: "+Array.prototype.slice.call(l).join("")+"\n"+(new Error).stack),i=!1}return e.apply(this,arguments)}),e)}var S,D={};function C(t,e){null!=n.deprecationHandler&&n.deprecationHandler(t,e),D[t]||(k(e),D[t]=!0)}function M(t){return"undefined"!=typeof Function&&t instanceof Function||"[object Function]"===Object.prototype.toString.call(t)}function T(t,e){var i,n=d({},t);for(i in e)s(e,i)&&(o(t[i])&&o(e[i])?(n[i]={},d(n[i],t[i]),d(n[i],e[i])):null!=e[i]?n[i]=e[i]:delete n[i]);for(i in t)s(t,i)&&!s(e,i)&&o(t[i])&&(n[i]=d({},n[i]));return n}function O(t){null!=t&&this.set(t)}n.suppressDeprecationWarnings=!1,n.deprecationHandler=null,S=Object.keys?Object.keys:function(t){var e,i=[];for(e in t)s(t,e)&&i.push(e);return i};function P(t,e,i){var n=""+Math.abs(t),r=e-n.length;return(t>=0?i?"+":"":"-")+Math.pow(10,Math.max(0,r)).toString().substr(1)+n}var E=/(\[[^\[]*\])|(\\)?([Hh]mm(ss)?|Mo|MM?M?M?|Do|DDDo|DD?D?D?|ddd?d?|do?|w[o|w]?|W[o|W]?|Qo?|N{1,5}|YYYYYY|YYYYY|YYYY|YY|y{2,4}|yo?|gg(ggg?)?|GG(GGG?)?|e|E|a|A|hh?|HH?|kk?|mm?|ss?|S{1,9}|x|X|zz?|ZZ?|.)/g,I=/(\[[^\[]*\])|(\\)?(LTS|LT|LL?L?L?|l{1,4})/g,L={},A={};function N(t,e,i,n){var r=n;"string"==typeof n&&(r=function(){return this[n]()}),t&&(A[t]=r),e&&(A[e[0]]=function(){return P(r.apply(this,arguments),e[1],e[2])}),i&&(A[i]=function(){return this.localeData().ordinal(r.apply(this,arguments),t)})}function R(t){return t.match(/\[[\s\S]/)?t.replace(/^\[|\]$/g,""):t.replace(/\\/g,"")}function F(t,e){return t.isValid()?(e=j(e,t.localeData()),L[e]=L[e]||function(t){var e,i,n=t.match(E);for(e=0,i=n.length;e<i;e++)A[n[e]]?n[e]=A[n[e]]:n[e]=R(n[e]);return function(e){var r,o="";for(r=0;r<i;r++)o+=M(n[r])?n[r].call(e,t):n[r];return o}}(e),L[e](t)):t.localeData().invalidDate()}function j(t,e){var i=5;function n(t){return e.longDateFormat(t)||t}for(I.lastIndex=0;i>=0&&I.test(t);)t=t.replace(I,n),I.lastIndex=0,i-=1;return t}var Y={};function H(t,e){var i=t.toLowerCase();Y[i]=Y[i+"s"]=Y[e]=t}function B(t){return"string"==typeof t?Y[t]||Y[t.toLowerCase()]:void 0}function z(t){var e,i,n={};for(i in t)s(t,i)&&(e=B(i))&&(n[e]=t[i]);return n}var G={};function W(t,e){G[t]=e}function V(t){return t%4==0&&t%100!=0||t%400==0}function U(t){return t<0?Math.ceil(t)||0:Math.floor(t)}function X(t){var e=+t,i=0;return 0!==e&&isFinite(e)&&(i=U(e)),i}function q(t,e){return function(i){return null!=i?(K(this,t,i),n.updateOffset(this,e),this):$(this,t)}}function $(t,e){return t.isValid()?t._d["get"+(t._isUTC?"UTC":"")+e]():NaN}function K(t,e,i){t.isValid()&&!isNaN(i)&&("FullYear"===e&&V(t.year())&&1===t.month()&&29===t.date()?(i=X(i),t._d["set"+(t._isUTC?"UTC":"")+e](i,t.month(),kt(i,t.month()))):t._d["set"+(t._isUTC?"UTC":"")+e](i))}var Z,J=/\d/,Q=/\d\d/,tt=/\d{3}/,et=/\d{4}/,it=/[+-]?\d{6}/,nt=/\d\d?/,rt=/\d\d\d\d?/,ot=/\d\d\d\d\d\d?/,st=/\d{1,3}/,at=/\d{1,4}/,lt=/[+-]?\d{1,6}/,ht=/\d+/,ut=/[+-]?\d+/,ct=/Z|[+-]\d\d:?\d\d/gi,dt=/Z|[+-]\d\d(?::?\d\d)?/gi,pt=/[0-9]{0,256}['a-z\u00A0-\u05FF\u0700-\uD7FF\uF900-\uFDCF\uFDF0-\uFF07\uFF10-\uFFEF]{1,256}|[\u0600-\u06FF\/]{1,256}(\s*?[\u0600-\u06FF]{1,256}){1,2}/i;function ft(t,e,i){Z[t]=M(e)?e:function(t,n){return t&&i?i:e}}function mt(t,e){return s(Z,t)?Z[t](e._strict,e._locale):new RegExp(function(t){return vt(t.replace("\\","").replace(/\\(\[)|\\(\])|\[([^\]\[]*)\]|\\(.)/g,(function(t,e,i,n,r){return e||i||n||r})))}(t))}function vt(t){return t.replace(/[-\/\\^$*+?.()|[\]{}]/g,"\\$&")}Z={};var gt={};function yt(t,e){var i,n,r=e;for("string"==typeof t&&(t=[t]),h(e)&&(r=function(t,i){i[e]=X(t)}),n=t.length,i=0;i<n;i++)gt[t[i]]=r}function bt(t,e){yt(t,(function(t,i,n,r){n._w=n._w||{},e(t,n._w,n,r)}))}function _t(t,e,i){null!=e&&s(gt,t)&&gt[t](e,i._a,i,t)}var wt;function kt(t,e){if(isNaN(t)||isNaN(e))return NaN;var i=function(t,e){return(t%e+e)%e}(e,12);return t+=(e-i)/12,1===i?V(t)?29:28:31-i%7%2}wt=Array.prototype.indexOf?Array.prototype.indexOf:function(t){var e;for(e=0;e<this.length;++e)if(this[e]===t)return e;return-1},N("M",["MM",2],"Mo",(function(){return this.month()+1})),N("MMM",0,0,(function(t){return this.localeData().monthsShort(this,t)})),N("MMMM",0,0,(function(t){return this.localeData().months(this,t)})),H("month","M"),W("month",8),ft("M",nt),ft("MM",nt,Q),ft("MMM",(function(t,e){return e.monthsShortRegex(t)})),ft("MMMM",(function(t,e){return e.monthsRegex(t)})),yt(["M","MM"],(function(t,e){e[1]=X(t)-1})),yt(["MMM","MMMM"],(function(t,e,i,n){var r=i._locale.monthsParse(t,n,i._strict);null!=r?e[1]=r:f(i).invalidMonth=t}));var xt="January_February_March_April_May_June_July_August_September_October_November_December".split("_"),St="Jan_Feb_Mar_Apr_May_Jun_Jul_Aug_Sep_Oct_Nov_Dec".split("_"),Dt=/D[oD]?(\[[^\[\]]*\]|\s)+MMMM?/,Ct=pt,Mt=pt;function Tt(t,e,i){var n,r,o,s=t.toLocaleLowerCase();if(!this._monthsParse)for(this._monthsParse=[],this._longMonthsParse=[],this._shortMonthsParse=[],n=0;n<12;++n)o=p([2e3,n]),this._shortMonthsParse[n]=this.monthsShort(o,"").toLocaleLowerCase(),this._longMonthsParse[n]=this.months(o,"").toLocaleLowerCase();return i?"MMM"===e?-1!==(r=wt.call(this._shortMonthsParse,s))?r:null:-1!==(r=wt.call(this._longMonthsParse,s))?r:null:"MMM"===e?-1!==(r=wt.call(this._shortMonthsParse,s))||-1!==(r=wt.call(this._longMonthsParse,s))?r:null:-1!==(r=wt.call(this._longMonthsParse,s))||-1!==(r=wt.call(this._shortMonthsParse,s))?r:null}function Ot(t,e){var i;if(!t.isValid())return t;if("string"==typeof e)if(/^\d+$/.test(e))e=X(e);else if(!h(e=t.localeData().monthsParse(e)))return t;return i=Math.min(t.date(),kt(t.year(),e)),t._d["set"+(t._isUTC?"UTC":"")+"Month"](e,i),t}function Pt(t){return null!=t?(Ot(this,t),n.updateOffset(this,!0),this):$(this,"Month")}function Et(){function t(t,e){return e.length-t.length}var e,i,n=[],r=[],o=[];for(e=0;e<12;e++)i=p([2e3,e]),n.push(this.monthsShort(i,"")),r.push(this.months(i,"")),o.push(this.months(i,"")),o.push(this.monthsShort(i,""));for(n.sort(t),r.sort(t),o.sort(t),e=0;e<12;e++)n[e]=vt(n[e]),r[e]=vt(r[e]);for(e=0;e<24;e++)o[e]=vt(o[e]);this._monthsRegex=new RegExp("^("+o.join("|")+")","i"),this._monthsShortRegex=this._monthsRegex,this._monthsStrictRegex=new RegExp("^("+r.join("|")+")","i"),this._monthsShortStrictRegex=new RegExp("^("+n.join("|")+")","i")}function It(t){return V(t)?366:365}N("Y",0,0,(function(){var t=this.year();return t<=9999?P(t,4):"+"+t})),N(0,["YY",2],0,(function(){return this.year()%100})),N(0,["YYYY",4],0,"year"),N(0,["YYYYY",5],0,"year"),N(0,["YYYYYY",6,!0],0,"year"),H("year","y"),W("year",1),ft("Y",ut),ft("YY",nt,Q),ft("YYYY",at,et),ft("YYYYY",lt,it),ft("YYYYYY",lt,it),yt(["YYYYY","YYYYYY"],0),yt("YYYY",(function(t,e){e[0]=2===t.length?n.parseTwoDigitYear(t):X(t)})),yt("YY",(function(t,e){e[0]=n.parseTwoDigitYear(t)})),yt("Y",(function(t,e){e[0]=parseInt(t,10)})),n.parseTwoDigitYear=function(t){return X(t)+(X(t)>68?1900:2e3)};var Lt=q("FullYear",!0);function At(t,e,i,n,r,o,s){var a;return t<100&&t>=0?(a=new Date(t+400,e,i,n,r,o,s),isFinite(a.getFullYear())&&a.setFullYear(t)):a=new Date(t,e,i,n,r,o,s),a}function Nt(t){var e,i;return t<100&&t>=0?((i=Array.prototype.slice.call(arguments))[0]=t+400,e=new Date(Date.UTC.apply(null,i)),isFinite(e.getUTCFullYear())&&e.setUTCFullYear(t)):e=new Date(Date.UTC.apply(null,arguments)),e}function Rt(t,e,i){var n=7+e-i;return-(7+Nt(t,0,n).getUTCDay()-e)%7+n-1}function Ft(t,e,i,n,r){var o,s,a=1+7*(e-1)+(7+i-n)%7+Rt(t,n,r);return a<=0?s=It(o=t-1)+a:a>It(t)?(o=t+1,s=a-It(t)):(o=t,s=a),{year:o,dayOfYear:s}}function jt(t,e,i){var n,r,o=Rt(t.year(),e,i),s=Math.floor((t.dayOfYear()-o-1)/7)+1;return s<1?n=s+Yt(r=t.year()-1,e,i):s>Yt(t.year(),e,i)?(n=s-Yt(t.year(),e,i),r=t.year()+1):(r=t.year(),n=s),{week:n,year:r}}function Yt(t,e,i){var n=Rt(t,e,i),r=Rt(t+1,e,i);return(It(t)-n+r)/7}N("w",["ww",2],"wo","week"),N("W",["WW",2],"Wo","isoWeek"),H("week","w"),H("isoWeek","W"),W("week",5),W("isoWeek",5),ft("w",nt),ft("ww",nt,Q),ft("W",nt),ft("WW",nt,Q),bt(["w","ww","W","WW"],(function(t,e,i,n){e[n.substr(0,1)]=X(t)}));function Ht(t,e){return t.slice(e,7).concat(t.slice(0,e))}N("d",0,"do","day"),N("dd",0,0,(function(t){return this.localeData().weekdaysMin(this,t)})),N("ddd",0,0,(function(t){return this.localeData().weekdaysShort(this,t)})),N("dddd",0,0,(function(t){return this.localeData().weekdays(this,t)})),N("e",0,0,"weekday"),N("E",0,0,"isoWeekday"),H("day","d"),H("weekday","e"),H("isoWeekday","E"),W("day",11),W("weekday",11),W("isoWeekday",11),ft("d",nt),ft("e",nt),ft("E",nt),ft("dd",(function(t,e){return e.weekdaysMinRegex(t)})),ft("ddd",(function(t,e){return e.weekdaysShortRegex(t)})),ft("dddd",(function(t,e){return e.weekdaysRegex(t)})),bt(["dd","ddd","dddd"],(function(t,e,i,n){var r=i._locale.weekdaysParse(t,n,i._strict);null!=r?e.d=r:f(i).invalidWeekday=t})),bt(["d","e","E"],(function(t,e,i,n){e[n]=X(t)}));var Bt="Sunday_Monday_Tuesday_Wednesday_Thursday_Friday_Saturday".split("_"),zt="Sun_Mon_Tue_Wed_Thu_Fri_Sat".split("_"),Gt="Su_Mo_Tu_We_Th_Fr_Sa".split("_"),Wt=pt,Vt=pt,Ut=pt;function Xt(t,e,i){var n,r,o,s=t.toLocaleLowerCase();if(!this._weekdaysParse)for(this._weekdaysParse=[],this._shortWeekdaysParse=[],this._minWeekdaysParse=[],n=0;n<7;++n)o=p([2e3,1]).day(n),this._minWeekdaysParse[n]=this.weekdaysMin(o,"").toLocaleLowerCase(),this._shortWeekdaysParse[n]=this.weekdaysShort(o,"").toLocaleLowerCase(),this._weekdaysParse[n]=this.weekdays(o,"").toLocaleLowerCase();return i?"dddd"===e?-1!==(r=wt.call(this._weekdaysParse,s))?r:null:"ddd"===e?-1!==(r=wt.call(this._shortWeekdaysParse,s))?r:null:-1!==(r=wt.call(this._minWeekdaysParse,s))?r:null:"dddd"===e?-1!==(r=wt.call(this._weekdaysParse,s))||-1!==(r=wt.call(this._shortWeekdaysParse,s))||-1!==(r=wt.call(this._minWeekdaysParse,s))?r:null:"ddd"===e?-1!==(r=wt.call(this._shortWeekdaysParse,s))||-1!==(r=wt.call(this._weekdaysParse,s))||-1!==(r=wt.call(this._minWeekdaysParse,s))?r:null:-1!==(r=wt.call(this._minWeekdaysParse,s))||-1!==(r=wt.call(this._weekdaysParse,s))||-1!==(r=wt.call(this._shortWeekdaysParse,s))?r:null}function qt(){function t(t,e){return e.length-t.length}var e,i,n,r,o,s=[],a=[],l=[],h=[];for(e=0;e<7;e++)i=p([2e3,1]).day(e),n=vt(this.weekdaysMin(i,"")),r=vt(this.weekdaysShort(i,"")),o=vt(this.weekdays(i,"")),s.push(n),a.push(r),l.push(o),h.push(n),h.push(r),h.push(o);s.sort(t),a.sort(t),l.sort(t),h.sort(t),this._weekdaysRegex=new RegExp("^("+h.join("|")+")","i"),this._weekdaysShortRegex=this._weekdaysRegex,this._weekdaysMinRegex=this._weekdaysRegex,this._weekdaysStrictRegex=new RegExp("^("+l.join("|")+")","i"),this._weekdaysShortStrictRegex=new RegExp("^("+a.join("|")+")","i"),this._weekdaysMinStrictRegex=new RegExp("^("+s.join("|")+")","i")}function $t(){return this.hours()%12||12}function Kt(t,e){N(t,0,0,(function(){return this.localeData().meridiem(this.hours(),this.minutes(),e)}))}function Zt(t,e){return e._meridiemParse}N("H",["HH",2],0,"hour"),N("h",["hh",2],0,$t),N("k",["kk",2],0,(function(){return this.hours()||24})),N("hmm",0,0,(function(){return""+$t.apply(this)+P(this.minutes(),2)})),N("hmmss",0,0,(function(){return""+$t.apply(this)+P(this.minutes(),2)+P(this.seconds(),2)})),N("Hmm",0,0,(function(){return""+this.hours()+P(this.minutes(),2)})),N("Hmmss",0,0,(function(){return""+this.hours()+P(this.minutes(),2)+P(this.seconds(),2)})),Kt("a",!0),Kt("A",!1),H("hour","h"),W("hour",13),ft("a",Zt),ft("A",Zt),ft("H",nt),ft("h",nt),ft("k",nt),ft("HH",nt,Q),ft("hh",nt,Q),ft("kk",nt,Q),ft("hmm",rt),ft("hmmss",ot),ft("Hmm",rt),ft("Hmmss",ot),yt(["H","HH"],3),yt(["k","kk"],(function(t,e,i){var n=X(t);e[3]=24===n?0:n})),yt(["a","A"],(function(t,e,i){i._isPm=i._locale.isPM(t),i._meridiem=t})),yt(["h","hh"],(function(t,e,i){e[3]=X(t),f(i).bigHour=!0})),yt("hmm",(function(t,e,i){var n=t.length-2;e[3]=X(t.substr(0,n)),e[4]=X(t.substr(n)),f(i).bigHour=!0})),yt("hmmss",(function(t,e,i){var n=t.length-4,r=t.length-2;e[3]=X(t.substr(0,n)),e[4]=X(t.substr(n,2)),e[5]=X(t.substr(r)),f(i).bigHour=!0})),yt("Hmm",(function(t,e,i){var n=t.length-2;e[3]=X(t.substr(0,n)),e[4]=X(t.substr(n))})),yt("Hmmss",(function(t,e,i){var n=t.length-4,r=t.length-2;e[3]=X(t.substr(0,n)),e[4]=X(t.substr(n,2)),e[5]=X(t.substr(r))}));var Jt=q("Hours",!0);var Qt,te={calendar:{sameDay:"[Today at] LT",nextDay:"[Tomorrow at] LT",nextWeek:"dddd [at] LT",lastDay:"[Yesterday at] LT",lastWeek:"[Last] dddd [at] LT",sameElse:"L"},longDateFormat:{LTS:"h:mm:ss A",LT:"h:mm A",L:"MM/DD/YYYY",LL:"MMMM D, YYYY",LLL:"MMMM D, YYYY h:mm A",LLLL:"dddd, MMMM D, YYYY h:mm A"},invalidDate:"Invalid date",ordinal:"%d",dayOfMonthOrdinalParse:/\d{1,2}/,relativeTime:{future:"in %s",past:"%s ago",s:"a few seconds",ss:"%d seconds",m:"a minute",mm:"%d minutes",h:"an hour",hh:"%d hours",d:"a day",dd:"%d days",w:"a week",ww:"%d weeks",M:"a month",MM:"%d months",y:"a year",yy:"%d years"},months:xt,monthsShort:St,week:{dow:0,doy:6},weekdays:Bt,weekdaysMin:Gt,weekdaysShort:zt,meridiemParse:/[ap]\.?m?\.?/i},ee={},ie={};function ne(t,e){var i,n=Math.min(t.length,e.length);for(i=0;i<n;i+=1)if(t[i]!==e[i])return i;return n}function re(t){return t?t.toLowerCase().replace("_","-"):t}function oe(e){var i=null;if(void 0===ee[e]&&t&&t.exports&&function(t){return null!=t.match("^[^/\\\\]*$")}(e))try{i=Qt._abbr,function(t){throw new Error('Could not dynamically require "'+t+'". Please configure the dynamicRequireTargets or/and ignoreDynamicRequires option of @rollup/plugin-commonjs appropriately for this require call to work.')}("./locale/"+e),se(i)}catch(t){ee[e]=null}return ee[e]}function se(t,e){var i;return t&&((i=l(e)?le(t):ae(t,e))?Qt=i:"undefined"!=typeof console&&console.warn&&console.warn("Locale "+t+" not found. Did you forget to load it?")),Qt._abbr}function ae(t,e){if(null!==e){var i,n=te;if(e.abbr=t,null!=ee[t])C("defineLocaleOverride","use moment.updateLocale(localeName, config) to change an existing locale. moment.defineLocale(localeName, config) should only be used for creating a new locale See http://momentjs.com/guides/#/warnings/define-locale/ for more info."),n=ee[t]._config;else if(null!=e.parentLocale)if(null!=ee[e.parentLocale])n=ee[e.parentLocale]._config;else{if(null==(i=oe(e.parentLocale)))return ie[e.parentLocale]||(ie[e.parentLocale]=[]),ie[e.parentLocale].push({name:t,config:e}),null;n=i._config}return ee[t]=new O(T(n,e)),ie[t]&&ie[t].forEach((function(t){ae(t.name,t.config)})),se(t),ee[t]}return delete ee[t],null}function le(t){var e;if(t&&t._locale&&t._locale._abbr&&(t=t._locale._abbr),!t)return Qt;if(!r(t)){if(e=oe(t))return e;t=[t]}return function(t){for(var e,i,n,r,o=0;o<t.length;){for(e=(r=re(t[o]).split("-")).length,i=(i=re(t[o+1]))?i.split("-"):null;e>0;){if(n=oe(r.slice(0,e).join("-")))return n;if(i&&i.length>=e&&ne(r,i)>=e-1)break;e--}o++}return Qt}(t)}function he(t){var e,i=t._a;return i&&-2===f(t).overflow&&(e=i[1]<0||i[1]>11?1:i[2]<1||i[2]>kt(i[0],i[1])?2:i[3]<0||i[3]>24||24===i[3]&&(0!==i[4]||0!==i[5]||0!==i[6])?3:i[4]<0||i[4]>59?4:i[5]<0||i[5]>59?5:i[6]<0||i[6]>999?6:-1,f(t)._overflowDayOfYear&&(e<0||e>2)&&(e=2),f(t)._overflowWeeks&&-1===e&&(e=7),f(t)._overflowWeekday&&-1===e&&(e=8),f(t).overflow=e),t}var ue=/^\s*((?:[+-]\d{6}|\d{4})-(?:\d\d-\d\d|W\d\d-\d|W\d\d|\d\d\d|\d\d))(?:(T| )(\d\d(?::\d\d(?::\d\d(?:[.,]\d+)?)?)?)([+-]\d\d(?::?\d\d)?|\s*Z)?)?$/,ce=/^\s*((?:[+-]\d{6}|\d{4})(?:\d\d\d\d|W\d\d\d|W\d\d|\d\d\d|\d\d|))(?:(T| )(\d\d(?:\d\d(?:\d\d(?:[.,]\d+)?)?)?)([+-]\d\d(?::?\d\d)?|\s*Z)?)?$/,de=/Z|[+-]\d\d(?::?\d\d)?/,pe=[["YYYYYY-MM-DD",/[+-]\d{6}-\d\d-\d\d/],["YYYY-MM-DD",/\d{4}-\d\d-\d\d/],["GGGG-[W]WW-E",/\d{4}-W\d\d-\d/],["GGGG-[W]WW",/\d{4}-W\d\d/,!1],["YYYY-DDD",/\d{4}-\d{3}/],["YYYY-MM",/\d{4}-\d\d/,!1],["YYYYYYMMDD",/[+-]\d{10}/],["YYYYMMDD",/\d{8}/],["GGGG[W]WWE",/\d{4}W\d{3}/],["GGGG[W]WW",/\d{4}W\d{2}/,!1],["YYYYDDD",/\d{7}/],["YYYYMM",/\d{6}/,!1],["YYYY",/\d{4}/,!1]],fe=[["HH:mm:ss.SSSS",/\d\d:\d\d:\d\d\.\d+/],["HH:mm:ss,SSSS",/\d\d:\d\d:\d\d,\d+/],["HH:mm:ss",/\d\d:\d\d:\d\d/],["HH:mm",/\d\d:\d\d/],["HHmmss.SSSS",/\d\d\d\d\d\d\.\d+/],["HHmmss,SSSS",/\d\d\d\d\d\d,\d+/],["HHmmss",/\d\d\d\d\d\d/],["HHmm",/\d\d\d\d/],["HH",/\d\d/]],me=/^\/?Date\((-?\d+)/i,ve=/^(?:(Mon|Tue|Wed|Thu|Fri|Sat|Sun),?\s)?(\d{1,2})\s(Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec)\s(\d{2,4})\s(\d\d):(\d\d)(?::(\d\d))?\s(?:(UT|GMT|[ECMP][SD]T)|([Zz])|([+-]\d{4}))$/,ge={UT:0,GMT:0,EDT:-240,EST:-300,CDT:-300,CST:-360,MDT:-360,MST:-420,PDT:-420,PST:-480};function ye(t){var e,i,n,r,o,s,a=t._i,l=ue.exec(a)||ce.exec(a),h=pe.length,u=fe.length;if(l){for(f(t).iso=!0,e=0,i=h;e<i;e++)if(pe[e][1].exec(l[1])){r=pe[e][0],n=!1!==pe[e][2];break}if(null==r)return void(t._isValid=!1);if(l[3]){for(e=0,i=u;e<i;e++)if(fe[e][1].exec(l[3])){o=(l[2]||" ")+fe[e][0];break}if(null==o)return void(t._isValid=!1)}if(!n&&null!=o)return void(t._isValid=!1);if(l[4]){if(!de.exec(l[4]))return void(t._isValid=!1);s="Z"}t._f=r+(o||"")+(s||""),Se(t)}else t._isValid=!1}function be(t){var e=parseInt(t,10);return e<=49?2e3+e:e<=999?1900+e:e}function _e(t){var e,i=ve.exec(function(t){return t.replace(/\([^()]*\)|[\n\t]/g," ").replace(/(\s\s+)/g," ").replace(/^\s\s*/,"").replace(/\s\s*$/,"")}(t._i));if(i){if(e=function(t,e,i,n,r,o){var s=[be(t),St.indexOf(e),parseInt(i,10),parseInt(n,10),parseInt(r,10)];return o&&s.push(parseInt(o,10)),s}(i[4],i[3],i[2],i[5],i[6],i[7]),!function(t,e,i){return!t||zt.indexOf(t)===new Date(e[0],e[1],e[2]).getDay()||(f(i).weekdayMismatch=!0,i._isValid=!1,!1)}(i[1],e,t))return;t._a=e,t._tzm=function(t,e,i){if(t)return ge[t];if(e)return 0;var n=parseInt(i,10),r=n%100;return(n-r)/100*60+r}(i[8],i[9],i[10]),t._d=Nt.apply(null,t._a),t._d.setUTCMinutes(t._d.getUTCMinutes()-t._tzm),f(t).rfc2822=!0}else t._isValid=!1}function we(t,e,i){return null!=t?t:null!=e?e:i}function ke(t){var e=new Date(n.now());return t._useUTC?[e.getUTCFullYear(),e.getUTCMonth(),e.getUTCDate()]:[e.getFullYear(),e.getMonth(),e.getDate()]}function xe(t){var e,i,n,r,o,s=[];if(!t._d){for(n=ke(t),t._w&&null==t._a[2]&&null==t._a[1]&&function(t){var e,i,n,r,o,s,a,l,h;null!=(e=t._w).GG||null!=e.W||null!=e.E?(o=1,s=4,i=we(e.GG,t._a[0],jt(Me(),1,4).year),n=we(e.W,1),((r=we(e.E,1))<1||r>7)&&(l=!0)):(o=t._locale._week.dow,s=t._locale._week.doy,h=jt(Me(),o,s),i=we(e.gg,t._a[0],h.year),n=we(e.w,h.week),null!=e.d?((r=e.d)<0||r>6)&&(l=!0):null!=e.e?(r=e.e+o,(e.e<0||e.e>6)&&(l=!0)):r=o),n<1||n>Yt(i,o,s)?f(t)._overflowWeeks=!0:null!=l?f(t)._overflowWeekday=!0:(a=Ft(i,n,r,o,s),t._a[0]=a.year,t._dayOfYear=a.dayOfYear)}(t),null!=t._dayOfYear&&(o=we(t._a[0],n[0]),(t._dayOfYear>It(o)||0===t._dayOfYear)&&(f(t)._overflowDayOfYear=!0),i=Nt(o,0,t._dayOfYear),t._a[1]=i.getUTCMonth(),t._a[2]=i.getUTCDate()),e=0;e<3&&null==t._a[e];++e)t._a[e]=s[e]=n[e];for(;e<7;e++)t._a[e]=s[e]=null==t._a[e]?2===e?1:0:t._a[e];24===t._a[3]&&0===t._a[4]&&0===t._a[5]&&0===t._a[6]&&(t._nextDay=!0,t._a[3]=0),t._d=(t._useUTC?Nt:At).apply(null,s),r=t._useUTC?t._d.getUTCDay():t._d.getDay(),null!=t._tzm&&t._d.setUTCMinutes(t._d.getUTCMinutes()-t._tzm),t._nextDay&&(t._a[3]=24),t._w&&void 0!==t._w.d&&t._w.d!==r&&(f(t).weekdayMismatch=!0)}}function Se(t){if(t._f!==n.ISO_8601)if(t._f!==n.RFC_2822){t._a=[],f(t).empty=!0;var e,i,r,o,s,a,l,h=""+t._i,u=h.length,c=0;for(l=(r=j(t._f,t._locale).match(E)||[]).length,e=0;e<l;e++)o=r[e],(i=(h.match(mt(o,t))||[])[0])&&((s=h.substr(0,h.indexOf(i))).length>0&&f(t).unusedInput.push(s),h=h.slice(h.indexOf(i)+i.length),c+=i.length),A[o]?(i?f(t).empty=!1:f(t).unusedTokens.push(o),_t(o,i,t)):t._strict&&!i&&f(t).unusedTokens.push(o);f(t).charsLeftOver=u-c,h.length>0&&f(t).unusedInput.push(h),t._a[3]<=12&&!0===f(t).bigHour&&t._a[3]>0&&(f(t).bigHour=void 0),f(t).parsedDateParts=t._a.slice(0),f(t).meridiem=t._meridiem,t._a[3]=function(t,e,i){var n;return null==i?e:null!=t.meridiemHour?t.meridiemHour(e,i):null!=t.isPM?((n=t.isPM(i))&&e<12&&(e+=12),n||12!==e||(e=0),e):e}(t._locale,t._a[3],t._meridiem),null!==(a=f(t).era)&&(t._a[0]=t._locale.erasConvertYear(a,t._a[0])),xe(t),he(t)}else _e(t);else ye(t)}function De(t){var e=t._i,i=t._f;return t._locale=t._locale||le(t._l),null===e||void 0===i&&""===e?v({nullInput:!0}):("string"==typeof e&&(t._i=e=t._locale.preparse(e)),w(e)?new _(he(e)):(u(e)?t._d=e:r(i)?function(t){var e,i,n,r,o,s,a=!1,l=t._f.length;if(0===l)return f(t).invalidFormat=!0,void(t._d=new Date(NaN));for(r=0;r<l;r++)o=0,s=!1,e=b({},t),null!=t._useUTC&&(e._useUTC=t._useUTC),e._f=t._f[r],Se(e),m(e)&&(s=!0),o+=f(e).charsLeftOver,o+=10*f(e).unusedTokens.length,f(e).score=o,a?o<n&&(n=o,i=e):(null==n||o<n||s)&&(n=o,i=e,s&&(a=!0));d(t,i||e)}(t):i?Se(t):function(t){var e=t._i;l(e)?t._d=new Date(n.now()):u(e)?t._d=new Date(e.valueOf()):"string"==typeof e?function(t){var e=me.exec(t._i);null===e?(ye(t),!1===t._isValid&&(delete t._isValid,_e(t),!1===t._isValid&&(delete t._isValid,t._strict?t._isValid=!1:n.createFromInputFallback(t)))):t._d=new Date(+e[1])}(t):r(e)?(t._a=c(e.slice(0),(function(t){return parseInt(t,10)})),xe(t)):o(e)?function(t){if(!t._d){var e=z(t._i),i=void 0===e.day?e.date:e.day;t._a=c([e.year,e.month,i,e.hour,e.minute,e.second,e.millisecond],(function(t){return t&&parseInt(t,10)})),xe(t)}}(t):h(e)?t._d=new Date(e):n.createFromInputFallback(t)}(t),m(t)||(t._d=null),t))}function Ce(t,e,i,n,s){var l={};return!0!==e&&!1!==e||(n=e,e=void 0),!0!==i&&!1!==i||(n=i,i=void 0),(o(t)&&a(t)||r(t)&&0===t.length)&&(t=void 0),l._isAMomentObject=!0,l._useUTC=l._isUTC=s,l._l=i,l._i=t,l._f=e,l._strict=n,function(t){var e=new _(he(De(t)));return e._nextDay&&(e.add(1,"d"),e._nextDay=void 0),e}(l)}function Me(t,e,i,n){return Ce(t,e,i,n,!1)}n.createFromInputFallback=x("value provided is not in a recognized RFC2822 or ISO format. moment construction falls back to js Date(), which is not reliable across all browsers and versions. Non RFC2822/ISO date formats are discouraged. Please refer to http://momentjs.com/guides/#/warnings/js-date/ for more info.",(function(t){t._d=new Date(t._i+(t._useUTC?" UTC":""))})),n.ISO_8601=function(){},n.RFC_2822=function(){};var Te=x("moment().min is deprecated, use moment.max instead. http://momentjs.com/guides/#/warnings/min-max/",(function(){var t=Me.apply(null,arguments);return this.isValid()&&t.isValid()?t<this?this:t:v()})),Oe=x("moment().max is deprecated, use moment.min instead. http://momentjs.com/guides/#/warnings/min-max/",(function(){var t=Me.apply(null,arguments);return this.isValid()&&t.isValid()?t>this?this:t:v()}));function Pe(t,e){var i,n;if(1===e.length&&r(e[0])&&(e=e[0]),!e.length)return Me();for(i=e[0],n=1;n<e.length;++n)e[n].isValid()&&!e[n][t](i)||(i=e[n]);return i}var Ee=["year","quarter","month","week","day","hour","minute","second","millisecond"];function Ie(t){var e,i,n=!1,r=Ee.length;for(e in t)if(s(t,e)&&(-1===wt.call(Ee,e)||null!=t[e]&&isNaN(t[e])))return!1;for(i=0;i<r;++i)if(t[Ee[i]]){if(n)return!1;parseFloat(t[Ee[i]])!==X(t[Ee[i]])&&(n=!0)}return!0}function Le(t){var e=z(t),i=e.year||0,n=e.quarter||0,r=e.month||0,o=e.week||e.isoWeek||0,s=e.day||0,a=e.hour||0,l=e.minute||0,h=e.second||0,u=e.millisecond||0;this._isValid=Ie(e),this._milliseconds=+u+1e3*h+6e4*l+1e3*a*60*60,this._days=+s+7*o,this._months=+r+3*n+12*i,this._data={},this._locale=le(),this._bubble()}function Ae(t){return t instanceof Le}function Ne(t){return t<0?-1*Math.round(-1*t):Math.round(t)}function Re(t,e){N(t,0,0,(function(){var t=this.utcOffset(),i="+";return t<0&&(t=-t,i="-"),i+P(~~(t/60),2)+e+P(~~t%60,2)}))}Re("Z",":"),Re("ZZ",""),ft("Z",dt),ft("ZZ",dt),yt(["Z","ZZ"],(function(t,e,i){i._useUTC=!0,i._tzm=je(dt,t)}));var Fe=/([\+\-]|\d\d)/gi;function je(t,e){var i,n,r=(e||"").match(t);return null===r?null:0===(n=60*(i=((r[r.length-1]||[])+"").match(Fe)||["-",0,0])[1]+X(i[2]))?0:"+"===i[0]?n:-n}function Ye(t,e){var i,r;return e._isUTC?(i=e.clone(),r=(w(t)||u(t)?t.valueOf():Me(t).valueOf())-i.valueOf(),i._d.setTime(i._d.valueOf()+r),n.updateOffset(i,!1),i):Me(t).local()}function He(t){return-Math.round(t._d.getTimezoneOffset())}function Be(){return!!this.isValid()&&this._isUTC&&0===this._offset}n.updateOffset=function(){};var ze=/^(-|\+)?(?:(\d*)[. ])?(\d+):(\d+)(?::(\d+)(\.\d*)?)?$/,Ge=/^(-|\+)?P(?:([-+]?[0-9,.]*)Y)?(?:([-+]?[0-9,.]*)M)?(?:([-+]?[0-9,.]*)W)?(?:([-+]?[0-9,.]*)D)?(?:T(?:([-+]?[0-9,.]*)H)?(?:([-+]?[0-9,.]*)M)?(?:([-+]?[0-9,.]*)S)?)?$/;function We(t,e){var i,n,r,o=t,a=null;return Ae(t)?o={ms:t._milliseconds,d:t._days,M:t._months}:h(t)||!isNaN(+t)?(o={},e?o[e]=+t:o.milliseconds=+t):(a=ze.exec(t))?(i="-"===a[1]?-1:1,o={y:0,d:X(a[2])*i,h:X(a[3])*i,m:X(a[4])*i,s:X(a[5])*i,ms:X(Ne(1e3*a[6]))*i}):(a=Ge.exec(t))?(i="-"===a[1]?-1:1,o={y:Ve(a[2],i),M:Ve(a[3],i),w:Ve(a[4],i),d:Ve(a[5],i),h:Ve(a[6],i),m:Ve(a[7],i),s:Ve(a[8],i)}):null==o?o={}:"object"==typeof o&&("from"in o||"to"in o)&&(r=function(t,e){var i;return t.isValid()&&e.isValid()?(e=Ye(e,t),t.isBefore(e)?i=Ue(t,e):((i=Ue(e,t)).milliseconds=-i.milliseconds,i.months=-i.months),i):{milliseconds:0,months:0}}(Me(o.from),Me(o.to)),(o={}).ms=r.milliseconds,o.M=r.months),n=new Le(o),Ae(t)&&s(t,"_locale")&&(n._locale=t._locale),Ae(t)&&s(t,"_isValid")&&(n._isValid=t._isValid),n}function Ve(t,e){var i=t&&parseFloat(t.replace(",","."));return(isNaN(i)?0:i)*e}function Ue(t,e){var i={};return i.months=e.month()-t.month()+12*(e.year()-t.year()),t.clone().add(i.months,"M").isAfter(e)&&--i.months,i.milliseconds=+e-+t.clone().add(i.months,"M"),i}function Xe(t,e){return function(i,n){var r;return null===n||isNaN(+n)||(C(e,"moment()."+e+"(period, number) is deprecated. Please use moment()."+e+"(number, period). See http://momentjs.com/guides/#/warnings/add-inverted-param/ for more info."),r=i,i=n,n=r),qe(this,We(i,n),t),this}}function qe(t,e,i,r){var o=e._milliseconds,s=Ne(e._days),a=Ne(e._months);t.isValid()&&(r=null==r||r,a&&Ot(t,$(t,"Month")+a*i),s&&K(t,"Date",$(t,"Date")+s*i),o&&t._d.setTime(t._d.valueOf()+o*i),r&&n.updateOffset(t,s||a))}We.fn=Le.prototype,We.invalid=function(){return We(NaN)};var $e=Xe(1,"add"),Ke=Xe(-1,"subtract");function Ze(t){return"string"==typeof t||t instanceof String}function Je(t){return w(t)||u(t)||Ze(t)||h(t)||function(t){var e=r(t),i=!1;return e&&(i=0===t.filter((function(e){return!h(e)&&Ze(t)})).length),e&&i}(t)||function(t){var e,i,n=o(t)&&!a(t),r=!1,l=["years","year","y","months","month","M","days","day","d","dates","date","D","hours","hour","h","minutes","minute","m","seconds","second","s","milliseconds","millisecond","ms"],h=l.length;for(e=0;e<h;e+=1)i=l[e],r=r||s(t,i);return n&&r}(t)||null==t}function Qe(t){var e,i=o(t)&&!a(t),n=!1,r=["sameDay","nextDay","lastDay","nextWeek","lastWeek","sameElse"];for(e=0;e<r.length;e+=1)n=n||s(t,r[e]);return i&&n}function ti(t,e){if(t.date()<e.date())return-ti(e,t);var i=12*(e.year()-t.year())+(e.month()-t.month()),n=t.clone().add(i,"months");return-(i+(e-n<0?(e-n)/(n-t.clone().add(i-1,"months")):(e-n)/(t.clone().add(i+1,"months")-n)))||0}function ei(t){var e;return void 0===t?this._locale._abbr:(null!=(e=le(t))&&(this._locale=e),this)}n.defaultFormat="YYYY-MM-DDTHH:mm:ssZ",n.defaultFormatUtc="YYYY-MM-DDTHH:mm:ss[Z]";var ii=x("moment().lang() is deprecated. Instead, use moment().localeData() to get the language configuration. Use moment().locale() to change languages.",(function(t){return void 0===t?this.localeData():this.locale(t)}));function ni(){return this._locale}var ri=1e3,oi=6e4,si=60*oi,ai=3506328*si;function li(t,e){return(t%e+e)%e}function hi(t,e,i){return t<100&&t>=0?new Date(t+400,e,i)-ai:new Date(t,e,i).valueOf()}function ui(t,e,i){return t<100&&t>=0?Date.UTC(t+400,e,i)-ai:Date.UTC(t,e,i)}function ci(t,e){return e.erasAbbrRegex(t)}function di(){var t,e,i=[],n=[],r=[],o=[],s=this.eras();for(t=0,e=s.length;t<e;++t)n.push(vt(s[t].name)),i.push(vt(s[t].abbr)),r.push(vt(s[t].narrow)),o.push(vt(s[t].name)),o.push(vt(s[t].abbr)),o.push(vt(s[t].narrow));this._erasRegex=new RegExp("^("+o.join("|")+")","i"),this._erasNameRegex=new RegExp("^("+n.join("|")+")","i"),this._erasAbbrRegex=new RegExp("^("+i.join("|")+")","i"),this._erasNarrowRegex=new RegExp("^("+r.join("|")+")","i")}function pi(t,e){N(0,[t,t.length],0,e)}function fi(t,e,i,n,r){var o;return null==t?jt(this,n,r).year:(e>(o=Yt(t,n,r))&&(e=o),mi.call(this,t,e,i,n,r))}function mi(t,e,i,n,r){var o=Ft(t,e,i,n,r),s=Nt(o.year,0,o.dayOfYear);return this.year(s.getUTCFullYear()),this.month(s.getUTCMonth()),this.date(s.getUTCDate()),this}N("N",0,0,"eraAbbr"),N("NN",0,0,"eraAbbr"),N("NNN",0,0,"eraAbbr"),N("NNNN",0,0,"eraName"),N("NNNNN",0,0,"eraNarrow"),N("y",["y",1],"yo","eraYear"),N("y",["yy",2],0,"eraYear"),N("y",["yyy",3],0,"eraYear"),N("y",["yyyy",4],0,"eraYear"),ft("N",ci),ft("NN",ci),ft("NNN",ci),ft("NNNN",(function(t,e){return e.erasNameRegex(t)})),ft("NNNNN",(function(t,e){return e.erasNarrowRegex(t)})),yt(["N","NN","NNN","NNNN","NNNNN"],(function(t,e,i,n){var r=i._locale.erasParse(t,n,i._strict);r?f(i).era=r:f(i).invalidEra=t})),ft("y",ht),ft("yy",ht),ft("yyy",ht),ft("yyyy",ht),ft("yo",(function(t,e){return e._eraYearOrdinalRegex||ht})),yt(["y","yy","yyy","yyyy"],0),yt(["yo"],(function(t,e,i,n){var r;i._locale._eraYearOrdinalRegex&&(r=t.match(i._locale._eraYearOrdinalRegex)),i._locale.eraYearOrdinalParse?e[0]=i._locale.eraYearOrdinalParse(t,r):e[0]=parseInt(t,10)})),N(0,["gg",2],0,(function(){return this.weekYear()%100})),N(0,["GG",2],0,(function(){return this.isoWeekYear()%100})),pi("gggg","weekYear"),pi("ggggg","weekYear"),pi("GGGG","isoWeekYear"),pi("GGGGG","isoWeekYear"),H("weekYear","gg"),H("isoWeekYear","GG"),W("weekYear",1),W("isoWeekYear",1),ft("G",ut),ft("g",ut),ft("GG",nt,Q),ft("gg",nt,Q),ft("GGGG",at,et),ft("gggg",at,et),ft("GGGGG",lt,it),ft("ggggg",lt,it),bt(["gggg","ggggg","GGGG","GGGGG"],(function(t,e,i,n){e[n.substr(0,2)]=X(t)})),bt(["gg","GG"],(function(t,e,i,r){e[r]=n.parseTwoDigitYear(t)})),N("Q",0,"Qo","quarter"),H("quarter","Q"),W("quarter",7),ft("Q",J),yt("Q",(function(t,e){e[1]=3*(X(t)-1)})),N("D",["DD",2],"Do","date"),H("date","D"),W("date",9),ft("D",nt),ft("DD",nt,Q),ft("Do",(function(t,e){return t?e._dayOfMonthOrdinalParse||e._ordinalParse:e._dayOfMonthOrdinalParseLenient})),yt(["D","DD"],2),yt("Do",(function(t,e){e[2]=X(t.match(nt)[0])}));var vi=q("Date",!0);N("DDD",["DDDD",3],"DDDo","dayOfYear"),H("dayOfYear","DDD"),W("dayOfYear",4),ft("DDD",st),ft("DDDD",tt),yt(["DDD","DDDD"],(function(t,e,i){i._dayOfYear=X(t)})),N("m",["mm",2],0,"minute"),H("minute","m"),W("minute",14),ft("m",nt),ft("mm",nt,Q),yt(["m","mm"],4);var gi=q("Minutes",!1);N("s",["ss",2],0,"second"),H("second","s"),W("second",15),ft("s",nt),ft("ss",nt,Q),yt(["s","ss"],5);var yi,bi,_i=q("Seconds",!1);for(N("S",0,0,(function(){return~~(this.millisecond()/100)})),N(0,["SS",2],0,(function(){return~~(this.millisecond()/10)})),N(0,["SSS",3],0,"millisecond"),N(0,["SSSS",4],0,(function(){return 10*this.millisecond()})),N(0,["SSSSS",5],0,(function(){return 100*this.millisecond()})),N(0,["SSSSSS",6],0,(function(){return 1e3*this.millisecond()})),N(0,["SSSSSSS",7],0,(function(){return 1e4*this.millisecond()})),N(0,["SSSSSSSS",8],0,(function(){return 1e5*this.millisecond()})),N(0,["SSSSSSSSS",9],0,(function(){return 1e6*this.millisecond()})),H("millisecond","ms"),W("millisecond",16),ft("S",st,J),ft("SS",st,Q),ft("SSS",st,tt),yi="SSSS";yi.length<=9;yi+="S")ft(yi,ht);function wi(t,e){e[6]=X(1e3*("0."+t))}for(yi="S";yi.length<=9;yi+="S")yt(yi,wi);bi=q("Milliseconds",!1),N("z",0,0,"zoneAbbr"),N("zz",0,0,"zoneName");var ki=_.prototype;function xi(t){return t}ki.add=$e,ki.calendar=function(t,e){1===arguments.length&&(arguments[0]?Je(arguments[0])?(t=arguments[0],e=void 0):Qe(arguments[0])&&(e=arguments[0],t=void 0):(t=void 0,e=void 0));var i=t||Me(),r=Ye(i,this).startOf("day"),o=n.calendarFormat(this,r)||"sameElse",s=e&&(M(e[o])?e[o].call(this,i):e[o]);return this.format(s||this.localeData().calendar(o,this,Me(i)))},ki.clone=function(){return new _(this)},ki.diff=function(t,e,i){var n,r,o;if(!this.isValid())return NaN;if(!(n=Ye(t,this)).isValid())return NaN;switch(r=6e4*(n.utcOffset()-this.utcOffset()),e=B(e)){case"year":o=ti(this,n)/12;break;case"month":o=ti(this,n);break;case"quarter":o=ti(this,n)/3;break;case"second":o=(this-n)/1e3;break;case"minute":o=(this-n)/6e4;break;case"hour":o=(this-n)/36e5;break;case"day":o=(this-n-r)/864e5;break;case"week":o=(this-n-r)/6048e5;break;default:o=this-n}return i?o:U(o)},ki.endOf=function(t){var e,i;if(void 0===(t=B(t))||"millisecond"===t||!this.isValid())return this;switch(i=this._isUTC?ui:hi,t){case"year":e=i(this.year()+1,0,1)-1;break;case"quarter":e=i(this.year(),this.month()-this.month()%3+3,1)-1;break;case"month":e=i(this.year(),this.month()+1,1)-1;break;case"week":e=i(this.year(),this.month(),this.date()-this.weekday()+7)-1;break;case"isoWeek":e=i(this.year(),this.month(),this.date()-(this.isoWeekday()-1)+7)-1;break;case"day":case"date":e=i(this.year(),this.month(),this.date()+1)-1;break;case"hour":e=this._d.valueOf(),e+=si-li(e+(this._isUTC?0:this.utcOffset()*oi),si)-1;break;case"minute":e=this._d.valueOf(),e+=oi-li(e,oi)-1;break;case"second":e=this._d.valueOf(),e+=ri-li(e,ri)-1}return this._d.setTime(e),n.updateOffset(this,!0),this},ki.format=function(t){t||(t=this.isUtc()?n.defaultFormatUtc:n.defaultFormat);var e=F(this,t);return this.localeData().postformat(e)},ki.from=function(t,e){return this.isValid()&&(w(t)&&t.isValid()||Me(t).isValid())?We({to:this,from:t}).locale(this.locale()).humanize(!e):this.localeData().invalidDate()},ki.fromNow=function(t){return this.from(Me(),t)},ki.to=function(t,e){return this.isValid()&&(w(t)&&t.isValid()||Me(t).isValid())?We({from:this,to:t}).locale(this.locale()).humanize(!e):this.localeData().invalidDate()},ki.toNow=function(t){return this.to(Me(),t)},ki.get=function(t){return M(this[t=B(t)])?this[t]():this},ki.invalidAt=function(){return f(this).overflow},ki.isAfter=function(t,e){var i=w(t)?t:Me(t);return!(!this.isValid()||!i.isValid())&&("millisecond"===(e=B(e)||"millisecond")?this.valueOf()>i.valueOf():i.valueOf()<this.clone().startOf(e).valueOf())},ki.isBefore=function(t,e){var i=w(t)?t:Me(t);return!(!this.isValid()||!i.isValid())&&("millisecond"===(e=B(e)||"millisecond")?this.valueOf()<i.valueOf():this.clone().endOf(e).valueOf()<i.valueOf())},ki.isBetween=function(t,e,i,n){var r=w(t)?t:Me(t),o=w(e)?e:Me(e);return!!(this.isValid()&&r.isValid()&&o.isValid())&&("("===(n=n||"()")[0]?this.isAfter(r,i):!this.isBefore(r,i))&&(")"===n[1]?this.isBefore(o,i):!this.isAfter(o,i))},ki.isSame=function(t,e){var i,n=w(t)?t:Me(t);return!(!this.isValid()||!n.isValid())&&("millisecond"===(e=B(e)||"millisecond")?this.valueOf()===n.valueOf():(i=n.valueOf(),this.clone().startOf(e).valueOf()<=i&&i<=this.clone().endOf(e).valueOf()))},ki.isSameOrAfter=function(t,e){return this.isSame(t,e)||this.isAfter(t,e)},ki.isSameOrBefore=function(t,e){return this.isSame(t,e)||this.isBefore(t,e)},ki.isValid=function(){return m(this)},ki.lang=ii,ki.locale=ei,ki.localeData=ni,ki.max=Oe,ki.min=Te,ki.parsingFlags=function(){return d({},f(this))},ki.set=function(t,e){if("object"==typeof t){var i,n=function(t){var e,i=[];for(e in t)s(t,e)&&i.push({unit:e,priority:G[e]});return i.sort((function(t,e){return t.priority-e.priority})),i}(t=z(t)),r=n.length;for(i=0;i<r;i++)this[n[i].unit](t[n[i].unit])}else if(M(this[t=B(t)]))return this[t](e);return this},ki.startOf=function(t){var e,i;if(void 0===(t=B(t))||"millisecond"===t||!this.isValid())return this;switch(i=this._isUTC?ui:hi,t){case"year":e=i(this.year(),0,1);break;case"quarter":e=i(this.year(),this.month()-this.month()%3,1);break;case"month":e=i(this.year(),this.month(),1);break;case"week":e=i(this.year(),this.month(),this.date()-this.weekday());break;case"isoWeek":e=i(this.year(),this.month(),this.date()-(this.isoWeekday()-1));break;case"day":case"date":e=i(this.year(),this.month(),this.date());break;case"hour":e=this._d.valueOf(),e-=li(e+(this._isUTC?0:this.utcOffset()*oi),si);break;case"minute":e=this._d.valueOf(),e-=li(e,oi);break;case"second":e=this._d.valueOf(),e-=li(e,ri)}return this._d.setTime(e),n.updateOffset(this,!0),this},ki.subtract=Ke,ki.toArray=function(){var t=this;return[t.year(),t.month(),t.date(),t.hour(),t.minute(),t.second(),t.millisecond()]},ki.toObject=function(){var t=this;return{years:t.year(),months:t.month(),date:t.date(),hours:t.hours(),minutes:t.minutes(),seconds:t.seconds(),milliseconds:t.milliseconds()}},ki.toDate=function(){return new Date(this.valueOf())},ki.toISOString=function(t){if(!this.isValid())return null;var e=!0!==t,i=e?this.clone().utc():this;return i.year()<0||i.year()>9999?F(i,e?"YYYYYY-MM-DD[T]HH:mm:ss.SSS[Z]":"YYYYYY-MM-DD[T]HH:mm:ss.SSSZ"):M(Date.prototype.toISOString)?e?this.toDate().toISOString():new Date(this.valueOf()+60*this.utcOffset()*1e3).toISOString().replace("Z",F(i,"Z")):F(i,e?"YYYY-MM-DD[T]HH:mm:ss.SSS[Z]":"YYYY-MM-DD[T]HH:mm:ss.SSSZ")},ki.inspect=function(){if(!this.isValid())return"moment.invalid(/* "+this._i+" */)";var t,e,i,n="moment",r="";return this.isLocal()||(n=0===this.utcOffset()?"moment.utc":"moment.parseZone",r="Z"),t="["+n+'("]',e=0<=this.year()&&this.year()<=9999?"YYYY":"YYYYYY","-MM-DD[T]HH:mm:ss.SSS",i=r+'[")]',this.format(t+e+"-MM-DD[T]HH:mm:ss.SSS"+i)},"undefined"!=typeof Symbol&&null!=Symbol.for&&(ki[Symbol.for("nodejs.util.inspect.custom")]=function(){return"Moment<"+this.format()+">"}),ki.toJSON=function(){return this.isValid()?this.toISOString():null},ki.toString=function(){return this.clone().locale("en").format("ddd MMM DD YYYY HH:mm:ss [GMT]ZZ")},ki.unix=function(){return Math.floor(this.valueOf()/1e3)},ki.valueOf=function(){return this._d.valueOf()-6e4*(this._offset||0)},ki.creationData=function(){return{input:this._i,format:this._f,locale:this._locale,isUTC:this._isUTC,strict:this._strict}},ki.eraName=function(){var t,e,i,n=this.localeData().eras();for(t=0,e=n.length;t<e;++t){if(i=this.clone().startOf("day").valueOf(),n[t].since<=i&&i<=n[t].until)return n[t].name;if(n[t].until<=i&&i<=n[t].since)return n[t].name}return""},ki.eraNarrow=function(){var t,e,i,n=this.localeData().eras();for(t=0,e=n.length;t<e;++t){if(i=this.clone().startOf("day").valueOf(),n[t].since<=i&&i<=n[t].until)return n[t].narrow;if(n[t].until<=i&&i<=n[t].since)return n[t].narrow}return""},ki.eraAbbr=function(){var t,e,i,n=this.localeData().eras();for(t=0,e=n.length;t<e;++t){if(i=this.clone().startOf("day").valueOf(),n[t].since<=i&&i<=n[t].until)return n[t].abbr;if(n[t].until<=i&&i<=n[t].since)return n[t].abbr}return""},ki.eraYear=function(){var t,e,i,r,o=this.localeData().eras();for(t=0,e=o.length;t<e;++t)if(i=o[t].since<=o[t].until?1:-1,r=this.clone().startOf("day").valueOf(),o[t].since<=r&&r<=o[t].until||o[t].until<=r&&r<=o[t].since)return(this.year()-n(o[t].since).year())*i+o[t].offset;return this.year()},ki.year=Lt,ki.isLeapYear=function(){return V(this.year())},ki.weekYear=function(t){return fi.call(this,t,this.week(),this.weekday(),this.localeData()._week.dow,this.localeData()._week.doy)},ki.isoWeekYear=function(t){return fi.call(this,t,this.isoWeek(),this.isoWeekday(),1,4)},ki.quarter=ki.quarters=function(t){return null==t?Math.ceil((this.month()+1)/3):this.month(3*(t-1)+this.month()%3)},ki.month=Pt,ki.daysInMonth=function(){return kt(this.year(),this.month())},ki.week=ki.weeks=function(t){var e=this.localeData().week(this);return null==t?e:this.add(7*(t-e),"d")},ki.isoWeek=ki.isoWeeks=function(t){var e=jt(this,1,4).week;return null==t?e:this.add(7*(t-e),"d")},ki.weeksInYear=function(){var t=this.localeData()._week;return Yt(this.year(),t.dow,t.doy)},ki.weeksInWeekYear=function(){var t=this.localeData()._week;return Yt(this.weekYear(),t.dow,t.doy)},ki.isoWeeksInYear=function(){return Yt(this.year(),1,4)},ki.isoWeeksInISOWeekYear=function(){return Yt(this.isoWeekYear(),1,4)},ki.date=vi,ki.day=ki.days=function(t){if(!this.isValid())return null!=t?this:NaN;var e=this._isUTC?this._d.getUTCDay():this._d.getDay();return null!=t?(t=function(t,e){return"string"!=typeof t?t:isNaN(t)?"number"==typeof(t=e.weekdaysParse(t))?t:null:parseInt(t,10)}(t,this.localeData()),this.add(t-e,"d")):e},ki.weekday=function(t){if(!this.isValid())return null!=t?this:NaN;var e=(this.day()+7-this.localeData()._week.dow)%7;return null==t?e:this.add(t-e,"d")},ki.isoWeekday=function(t){if(!this.isValid())return null!=t?this:NaN;if(null!=t){var e=function(t,e){return"string"==typeof t?e.weekdaysParse(t)%7||7:isNaN(t)?null:t}(t,this.localeData());return this.day(this.day()%7?e:e-7)}return this.day()||7},ki.dayOfYear=function(t){var e=Math.round((this.clone().startOf("day")-this.clone().startOf("year"))/864e5)+1;return null==t?e:this.add(t-e,"d")},ki.hour=ki.hours=Jt,ki.minute=ki.minutes=gi,ki.second=ki.seconds=_i,ki.millisecond=ki.milliseconds=bi,ki.utcOffset=function(t,e,i){var r,o=this._offset||0;if(!this.isValid())return null!=t?this:NaN;if(null!=t){if("string"==typeof t){if(null===(t=je(dt,t)))return this}else Math.abs(t)<16&&!i&&(t*=60);return!this._isUTC&&e&&(r=He(this)),this._offset=t,this._isUTC=!0,null!=r&&this.add(r,"m"),o!==t&&(!e||this._changeInProgress?qe(this,We(t-o,"m"),1,!1):this._changeInProgress||(this._changeInProgress=!0,n.updateOffset(this,!0),this._changeInProgress=null)),this}return this._isUTC?o:He(this)},ki.utc=function(t){return this.utcOffset(0,t)},ki.local=function(t){return this._isUTC&&(this.utcOffset(0,t),this._isUTC=!1,t&&this.subtract(He(this),"m")),this},ki.parseZone=function(){if(null!=this._tzm)this.utcOffset(this._tzm,!1,!0);else if("string"==typeof this._i){var t=je(ct,this._i);null!=t?this.utcOffset(t):this.utcOffset(0,!0)}return this},ki.hasAlignedHourOffset=function(t){return!!this.isValid()&&(t=t?Me(t).utcOffset():0,(this.utcOffset()-t)%60==0)},ki.isDST=function(){return this.utcOffset()>this.clone().month(0).utcOffset()||this.utcOffset()>this.clone().month(5).utcOffset()},ki.isLocal=function(){return!!this.isValid()&&!this._isUTC},ki.isUtcOffset=function(){return!!this.isValid()&&this._isUTC},ki.isUtc=Be,ki.isUTC=Be,ki.zoneAbbr=function(){return this._isUTC?"UTC":""},ki.zoneName=function(){return this._isUTC?"Coordinated Universal Time":""},ki.dates=x("dates accessor is deprecated. Use date instead.",vi),ki.months=x("months accessor is deprecated. Use month instead",Pt),ki.years=x("years accessor is deprecated. Use year instead",Lt),ki.zone=x("moment().zone is deprecated, use moment().utcOffset instead. http://momentjs.com/guides/#/warnings/zone/",(function(t,e){return null!=t?("string"!=typeof t&&(t=-t),this.utcOffset(t,e),this):-this.utcOffset()})),ki.isDSTShifted=x("isDSTShifted is deprecated. See http://momentjs.com/guides/#/warnings/dst-shifted/ for more information",(function(){if(!l(this._isDSTShifted))return this._isDSTShifted;var t,e={};return b(e,this),(e=De(e))._a?(t=e._isUTC?p(e._a):Me(e._a),this._isDSTShifted=this.isValid()&&function(t,e,i){var n,r=Math.min(t.length,e.length),o=Math.abs(t.length-e.length),s=0;for(n=0;n<r;n++)(i&&t[n]!==e[n]||!i&&X(t[n])!==X(e[n]))&&s++;return s+o}(e._a,t.toArray())>0):this._isDSTShifted=!1,this._isDSTShifted}));var Si=O.prototype;function Di(t,e,i,n){var r=le(),o=p().set(n,e);return r[i](o,t)}function Ci(t,e,i){if(h(t)&&(e=t,t=void 0),t=t||"",null!=e)return Di(t,e,i,"month");var n,r=[];for(n=0;n<12;n++)r[n]=Di(t,n,i,"month");return r}function Mi(t,e,i,n){"boolean"==typeof t?(h(e)&&(i=e,e=void 0),e=e||""):(i=e=t,t=!1,h(e)&&(i=e,e=void 0),e=e||"");var r,o=le(),s=t?o._week.dow:0,a=[];if(null!=i)return Di(e,(i+s)%7,n,"day");for(r=0;r<7;r++)a[r]=Di(e,(r+s)%7,n,"day");return a}Si.calendar=function(t,e,i){var n=this._calendar[t]||this._calendar.sameElse;return M(n)?n.call(e,i):n},Si.longDateFormat=function(t){var e=this._longDateFormat[t],i=this._longDateFormat[t.toUpperCase()];return e||!i?e:(this._longDateFormat[t]=i.match(E).map((function(t){return"MMMM"===t||"MM"===t||"DD"===t||"dddd"===t?t.slice(1):t})).join(""),this._longDateFormat[t])},Si.invalidDate=function(){return this._invalidDate},Si.ordinal=function(t){return this._ordinal.replace("%d",t)},Si.preparse=xi,Si.postformat=xi,Si.relativeTime=function(t,e,i,n){var r=this._relativeTime[i];return M(r)?r(t,e,i,n):r.replace(/%d/i,t)},Si.pastFuture=function(t,e){var i=this._relativeTime[t>0?"future":"past"];return M(i)?i(e):i.replace(/%s/i,e)},Si.set=function(t){var e,i;for(i in t)s(t,i)&&(M(e=t[i])?this[i]=e:this["_"+i]=e);this._config=t,this._dayOfMonthOrdinalParseLenient=new RegExp((this._dayOfMonthOrdinalParse.source||this._ordinalParse.source)+"|"+/\d{1,2}/.source)},Si.eras=function(t,e){var i,r,o,s=this._eras||le("en")._eras;for(i=0,r=s.length;i<r;++i){if("string"==typeof s[i].since)o=n(s[i].since).startOf("day"),s[i].since=o.valueOf();switch(typeof s[i].until){case"undefined":s[i].until=1/0;break;case"string":o=n(s[i].until).startOf("day").valueOf(),s[i].until=o.valueOf()}}return s},Si.erasParse=function(t,e,i){var n,r,o,s,a,l=this.eras();for(t=t.toUpperCase(),n=0,r=l.length;n<r;++n)if(o=l[n].name.toUpperCase(),s=l[n].abbr.toUpperCase(),a=l[n].narrow.toUpperCase(),i)switch(e){case"N":case"NN":case"NNN":if(s===t)return l[n];break;case"NNNN":if(o===t)return l[n];break;case"NNNNN":if(a===t)return l[n]}else if([o,s,a].indexOf(t)>=0)return l[n]},Si.erasConvertYear=function(t,e){var i=t.since<=t.until?1:-1;return void 0===e?n(t.since).year():n(t.since).year()+(e-t.offset)*i},Si.erasAbbrRegex=function(t){return s(this,"_erasAbbrRegex")||di.call(this),t?this._erasAbbrRegex:this._erasRegex},Si.erasNameRegex=function(t){return s(this,"_erasNameRegex")||di.call(this),t?this._erasNameRegex:this._erasRegex},Si.erasNarrowRegex=function(t){return s(this,"_erasNarrowRegex")||di.call(this),t?this._erasNarrowRegex:this._erasRegex},Si.months=function(t,e){return t?r(this._months)?this._months[t.month()]:this._months[(this._months.isFormat||Dt).test(e)?"format":"standalone"][t.month()]:r(this._months)?this._months:this._months.standalone},Si.monthsShort=function(t,e){return t?r(this._monthsShort)?this._monthsShort[t.month()]:this._monthsShort[Dt.test(e)?"format":"standalone"][t.month()]:r(this._monthsShort)?this._monthsShort:this._monthsShort.standalone},Si.monthsParse=function(t,e,i){var n,r,o;if(this._monthsParseExact)return Tt.call(this,t,e,i);for(this._monthsParse||(this._monthsParse=[],this._longMonthsParse=[],this._shortMonthsParse=[]),n=0;n<12;n++){if(r=p([2e3,n]),i&&!this._longMonthsParse[n]&&(this._longMonthsParse[n]=new RegExp("^"+this.months(r,"").replace(".","")+"$","i"),this._shortMonthsParse[n]=new RegExp("^"+this.monthsShort(r,"").replace(".","")+"$","i")),i||this._monthsParse[n]||(o="^"+this.months(r,"")+"|^"+this.monthsShort(r,""),this._monthsParse[n]=new RegExp(o.replace(".",""),"i")),i&&"MMMM"===e&&this._longMonthsParse[n].test(t))return n;if(i&&"MMM"===e&&this._shortMonthsParse[n].test(t))return n;if(!i&&this._monthsParse[n].test(t))return n}},Si.monthsRegex=function(t){return this._monthsParseExact?(s(this,"_monthsRegex")||Et.call(this),t?this._monthsStrictRegex:this._monthsRegex):(s(this,"_monthsRegex")||(this._monthsRegex=Mt),this._monthsStrictRegex&&t?this._monthsStrictRegex:this._monthsRegex)},Si.monthsShortRegex=function(t){return this._monthsParseExact?(s(this,"_monthsRegex")||Et.call(this),t?this._monthsShortStrictRegex:this._monthsShortRegex):(s(this,"_monthsShortRegex")||(this._monthsShortRegex=Ct),this._monthsShortStrictRegex&&t?this._monthsShortStrictRegex:this._monthsShortRegex)},Si.week=function(t){return jt(t,this._week.dow,this._week.doy).week},Si.firstDayOfYear=function(){return this._week.doy},Si.firstDayOfWeek=function(){return this._week.dow},Si.weekdays=function(t,e){var i=r(this._weekdays)?this._weekdays:this._weekdays[t&&!0!==t&&this._weekdays.isFormat.test(e)?"format":"standalone"];return!0===t?Ht(i,this._week.dow):t?i[t.day()]:i},Si.weekdaysMin=function(t){return!0===t?Ht(this._weekdaysMin,this._week.dow):t?this._weekdaysMin[t.day()]:this._weekdaysMin},Si.weekdaysShort=function(t){return!0===t?Ht(this._weekdaysShort,this._week.dow):t?this._weekdaysShort[t.day()]:this._weekdaysShort},Si.weekdaysParse=function(t,e,i){var n,r,o;if(this._weekdaysParseExact)return Xt.call(this,t,e,i);for(this._weekdaysParse||(this._weekdaysParse=[],this._minWeekdaysParse=[],this._shortWeekdaysParse=[],this._fullWeekdaysParse=[]),n=0;n<7;n++){if(r=p([2e3,1]).day(n),i&&!this._fullWeekdaysParse[n]&&(this._fullWeekdaysParse[n]=new RegExp("^"+this.weekdays(r,"").replace(".","\\.?")+"$","i"),this._shortWeekdaysParse[n]=new RegExp("^"+this.weekdaysShort(r,"").replace(".","\\.?")+"$","i"),this._minWeekdaysParse[n]=new RegExp("^"+this.weekdaysMin(r,"").replace(".","\\.?")+"$","i")),this._weekdaysParse[n]||(o="^"+this.weekdays(r,"")+"|^"+this.weekdaysShort(r,"")+"|^"+this.weekdaysMin(r,""),this._weekdaysParse[n]=new RegExp(o.replace(".",""),"i")),i&&"dddd"===e&&this._fullWeekdaysParse[n].test(t))return n;if(i&&"ddd"===e&&this._shortWeekdaysParse[n].test(t))return n;if(i&&"dd"===e&&this._minWeekdaysParse[n].test(t))return n;if(!i&&this._weekdaysParse[n].test(t))return n}},Si.weekdaysRegex=function(t){return this._weekdaysParseExact?(s(this,"_weekdaysRegex")||qt.call(this),t?this._weekdaysStrictRegex:this._weekdaysRegex):(s(this,"_weekdaysRegex")||(this._weekdaysRegex=Wt),this._weekdaysStrictRegex&&t?this._weekdaysStrictRegex:this._weekdaysRegex)},Si.weekdaysShortRegex=function(t){return this._weekdaysParseExact?(s(this,"_weekdaysRegex")||qt.call(this),t?this._weekdaysShortStrictRegex:this._weekdaysShortRegex):(s(this,"_weekdaysShortRegex")||(this._weekdaysShortRegex=Vt),this._weekdaysShortStrictRegex&&t?this._weekdaysShortStrictRegex:this._weekdaysShortRegex)},Si.weekdaysMinRegex=function(t){return this._weekdaysParseExact?(s(this,"_weekdaysRegex")||qt.call(this),t?this._weekdaysMinStrictRegex:this._weekdaysMinRegex):(s(this,"_weekdaysMinRegex")||(this._weekdaysMinRegex=Ut),this._weekdaysMinStrictRegex&&t?this._weekdaysMinStrictRegex:this._weekdaysMinRegex)},Si.isPM=function(t){return"p"===(t+"").toLowerCase().charAt(0)},Si.meridiem=function(t,e,i){return t>11?i?"pm":"PM":i?"am":"AM"},se("en",{eras:[{since:"0001-01-01",until:1/0,offset:1,name:"Anno Domini",narrow:"AD",abbr:"AD"},{since:"0000-12-31",until:-1/0,offset:1,name:"Before Christ",narrow:"BC",abbr:"BC"}],dayOfMonthOrdinalParse:/\d{1,2}(th|st|nd|rd)/,ordinal:function(t){var e=t%10;return t+(1===X(t%100/10)?"th":1===e?"st":2===e?"nd":3===e?"rd":"th")}}),n.lang=x("moment.lang is deprecated. Use moment.locale instead.",se),n.langData=x("moment.langData is deprecated. Use moment.localeData instead.",le);var Ti=Math.abs;function Oi(t,e,i,n){var r=We(e,i);return t._milliseconds+=n*r._milliseconds,t._days+=n*r._days,t._months+=n*r._months,t._bubble()}function Pi(t){return t<0?Math.floor(t):Math.ceil(t)}function Ei(t){return 4800*t/146097}function Ii(t){return 146097*t/4800}function Li(t){return function(){return this.as(t)}}var Ai=Li("ms"),Ni=Li("s"),Ri=Li("m"),Fi=Li("h"),ji=Li("d"),Yi=Li("w"),Hi=Li("M"),Bi=Li("Q"),zi=Li("y");function Gi(t){return function(){return this.isValid()?this._data[t]:NaN}}var Wi=Gi("milliseconds"),Vi=Gi("seconds"),Ui=Gi("minutes"),Xi=Gi("hours"),qi=Gi("days"),$i=Gi("months"),Ki=Gi("years");var Zi=Math.round,Ji={ss:44,s:45,m:45,h:22,d:26,w:null,M:11};function Qi(t,e,i,n,r){return r.relativeTime(e||1,!!i,t,n)}var tn=Math.abs;function en(t){return(t>0)-(t<0)||+t}function nn(){if(!this.isValid())return this.localeData().invalidDate();var t,e,i,n,r,o,s,a,l=tn(this._milliseconds)/1e3,h=tn(this._days),u=tn(this._months),c=this.asSeconds();return c?(t=U(l/60),e=U(t/60),l%=60,t%=60,i=U(u/12),u%=12,n=l?l.toFixed(3).replace(/\.?0+$/,""):"",r=c<0?"-":"",o=en(this._months)!==en(c)?"-":"",s=en(this._days)!==en(c)?"-":"",a=en(this._milliseconds)!==en(c)?"-":"",r+"P"+(i?o+i+"Y":"")+(u?o+u+"M":"")+(h?s+h+"D":"")+(e||t||l?"T":"")+(e?a+e+"H":"")+(t?a+t+"M":"")+(l?a+n+"S":"")):"P0D"}var rn=Le.prototype;return rn.isValid=function(){return this._isValid},rn.abs=function(){var t=this._data;return this._milliseconds=Ti(this._milliseconds),this._days=Ti(this._days),this._months=Ti(this._months),t.milliseconds=Ti(t.milliseconds),t.seconds=Ti(t.seconds),t.minutes=Ti(t.minutes),t.hours=Ti(t.hours),t.months=Ti(t.months),t.years=Ti(t.years),this},rn.add=function(t,e){return Oi(this,t,e,1)},rn.subtract=function(t,e){return Oi(this,t,e,-1)},rn.as=function(t){if(!this.isValid())return NaN;var e,i,n=this._milliseconds;if("month"===(t=B(t))||"quarter"===t||"year"===t)switch(e=this._days+n/864e5,i=this._months+Ei(e),t){case"month":return i;case"quarter":return i/3;case"year":return i/12}else switch(e=this._days+Math.round(Ii(this._months)),t){case"week":return e/7+n/6048e5;case"day":return e+n/864e5;case"hour":return 24*e+n/36e5;case"minute":return 1440*e+n/6e4;case"second":return 86400*e+n/1e3;case"millisecond":return Math.floor(864e5*e)+n;default:throw new Error("Unknown unit "+t)}},rn.asMilliseconds=Ai,rn.asSeconds=Ni,rn.asMinutes=Ri,rn.asHours=Fi,rn.asDays=ji,rn.asWeeks=Yi,rn.asMonths=Hi,rn.asQuarters=Bi,rn.asYears=zi,rn.valueOf=function(){return this.isValid()?this._milliseconds+864e5*this._days+this._months%12*2592e6+31536e6*X(this._months/12):NaN},rn._bubble=function(){var t,e,i,n,r,o=this._milliseconds,s=this._days,a=this._months,l=this._data;return o>=0&&s>=0&&a>=0||o<=0&&s<=0&&a<=0||(o+=864e5*Pi(Ii(a)+s),s=0,a=0),l.milliseconds=o%1e3,t=U(o/1e3),l.seconds=t%60,e=U(t/60),l.minutes=e%60,i=U(e/60),l.hours=i%24,s+=U(i/24),a+=r=U(Ei(s)),s-=Pi(Ii(r)),n=U(a/12),a%=12,l.days=s,l.months=a,l.years=n,this},rn.clone=function(){return We(this)},rn.get=function(t){return t=B(t),this.isValid()?this[t+"s"]():NaN},rn.milliseconds=Wi,rn.seconds=Vi,rn.minutes=Ui,rn.hours=Xi,rn.days=qi,rn.weeks=function(){return U(this.days()/7)},rn.months=$i,rn.years=Ki,rn.humanize=function(t,e){if(!this.isValid())return this.localeData().invalidDate();var i,n,r=!1,o=Ji;return"object"==typeof t&&(e=t,t=!1),"boolean"==typeof t&&(r=t),"object"==typeof e&&(o=Object.assign({},Ji,e),null!=e.s&&null==e.ss&&(o.ss=e.s-1)),n=function(t,e,i,n){var r=We(t).abs(),o=Zi(r.as("s")),s=Zi(r.as("m")),a=Zi(r.as("h")),l=Zi(r.as("d")),h=Zi(r.as("M")),u=Zi(r.as("w")),c=Zi(r.as("y")),d=o<=i.ss&&["s",o]||o<i.s&&["ss",o]||s<=1&&["m"]||s<i.m&&["mm",s]||a<=1&&["h"]||a<i.h&&["hh",a]||l<=1&&["d"]||l<i.d&&["dd",l];return null!=i.w&&(d=d||u<=1&&["w"]||u<i.w&&["ww",u]),(d=d||h<=1&&["M"]||h<i.M&&["MM",h]||c<=1&&["y"]||["yy",c])[2]=e,d[3]=+t>0,d[4]=n,Qi.apply(null,d)}(this,!r,o,i=this.localeData()),r&&(n=i.pastFuture(+this,n)),i.postformat(n)},rn.toISOString=nn,rn.toString=nn,rn.toJSON=nn,rn.locale=ei,rn.localeData=ni,rn.toIsoString=x("toIsoString() is deprecated. Please use toISOString() instead (notice the capitals)",nn),rn.lang=ii,N("X",0,0,"unix"),N("x",0,0,"valueOf"),ft("x",ut),ft("X",/[+-]?\d+(\.\d{1,3})?/),yt("X",(function(t,e,i){i._d=new Date(1e3*parseFloat(t))})),yt("x",(function(t,e,i){i._d=new Date(X(t))})),//! moment.js
n.version="2.29.4",function(t){e=t}(Me),n.fn=ki,n.min=function(){return Pe("isBefore",[].slice.call(arguments,0))},n.max=function(){return Pe("isAfter",[].slice.call(arguments,0))},n.now=function(){return Date.now?Date.now():+new Date},n.utc=p,n.unix=function(t){return Me(1e3*t)},n.months=function(t,e){return Ci(t,e,"months")},n.isDate=u,n.locale=se,n.invalid=v,n.duration=We,n.isMoment=w,n.weekdays=function(t,e,i){return Mi(t,e,i,"weekdays")},n.parseZone=function(){return Me.apply(null,arguments).parseZone()},n.localeData=le,n.isDuration=Ae,n.monthsShort=function(t,e){return Ci(t,e,"monthsShort")},n.weekdaysMin=function(t,e,i){return Mi(t,e,i,"weekdaysMin")},n.defineLocale=ae,n.updateLocale=function(t,e){if(null!=e){var i,n,r=te;null!=ee[t]&&null!=ee[t].parentLocale?ee[t].set(T(ee[t]._config,e)):(null!=(n=oe(t))&&(r=n._config),e=T(r,e),null==n&&(e.abbr=t),(i=new O(e)).parentLocale=ee[t],ee[t]=i),se(t)}else null!=ee[t]&&(null!=ee[t].parentLocale?(ee[t]=ee[t].parentLocale,t===se()&&se(t)):null!=ee[t]&&delete ee[t]);return ee[t]},n.locales=function(){return S(ee)},n.weekdaysShort=function(t,e,i){return Mi(t,e,i,"weekdaysShort")},n.normalizeUnits=B,n.relativeTimeRounding=function(t){return void 0===t?Zi:"function"==typeof t&&(Zi=t,!0)},n.relativeTimeThreshold=function(t,e){return void 0!==Ji[t]&&(void 0===e?Ji[t]:(Ji[t]=e,"s"===t&&(Ji.ss=e-1),!0))},n.calendarFormat=function(t,e){var i=t.diff(e,"days",!0);return i<-6?"sameElse":i<-1?"lastWeek":i<0?"lastDay":i<1?"sameDay":i<2?"nextDay":i<7?"nextWeek":"sameElse"},n.prototype=ki,n.HTML5_FMT={DATETIME_LOCAL:"YYYY-MM-DDTHH:mm",DATETIME_LOCAL_SECONDS:"YYYY-MM-DDTHH:mm:ss",DATETIME_LOCAL_MS:"YYYY-MM-DDTHH:mm:ss.SSS",DATE:"YYYY-MM-DD",TIME:"HH:mm",TIME_SECONDS:"HH:mm:ss",TIME_MS:"HH:mm:ss.SSS",WEEK:"GGGG-[W]WW",MONTH:"YYYY-MM"},n}()}(o)),o.exports}!function(t){function e(t,e,i,n){var r={m:["eine Minute","einer Minute"],h:["eine Stunde","einer Stunde"],d:["ein Tag","einem Tag"],dd:[t+" Tage",t+" Tagen"],w:["eine Woche","einer Woche"],M:["ein Monat","einem Monat"],MM:[t+" Monate",t+" Monaten"],y:["ein Jahr","einem Jahr"],yy:[t+" Jahre",t+" Jahren"]};return e?r[i][0]:r[i][1]}t.defineLocale("de",{months:"Januar_Februar_März_April_Mai_Juni_Juli_August_September_Oktober_November_Dezember".split("_"),monthsShort:"Jan._Feb._März_Apr._Mai_Juni_Juli_Aug._Sep._Okt._Nov._Dez.".split("_"),monthsParseExact:!0,weekdays:"Sonntag_Montag_Dienstag_Mittwoch_Donnerstag_Freitag_Samstag".split("_"),weekdaysShort:"So._Mo._Di._Mi._Do._Fr._Sa.".split("_"),weekdaysMin:"So_Mo_Di_Mi_Do_Fr_Sa".split("_"),weekdaysParseExact:!0,longDateFormat:{LT:"HH:mm",LTS:"HH:mm:ss",L:"DD.MM.YYYY",LL:"D. MMMM YYYY",LLL:"D. MMMM YYYY HH:mm",LLLL:"dddd, D. MMMM YYYY HH:mm"},calendar:{sameDay:"[heute um] LT [Uhr]",sameElse:"L",nextDay:"[morgen um] LT [Uhr]",nextWeek:"dddd [um] LT [Uhr]",lastDay:"[gestern um] LT [Uhr]",lastWeek:"[letzten] dddd [um] LT [Uhr]"},relativeTime:{future:"in %s",past:"vor %s",s:"ein paar Sekunden",ss:"%d Sekunden",m:e,mm:"%d Minuten",h:e,hh:"%d Stunden",d:e,dd:e,w:e,ww:"%d Wochen",M:e,MM:e,y:e,yy:e},dayOfMonthOrdinalParse:/\d{1,2}\./,ordinal:"%d.",week:{dow:1,doy:4}})}(s()),function(t){var e="ene._feb._mar._abr._may._jun._jul._ago._sep._oct._nov._dic.".split("_"),i="ene_feb_mar_abr_may_jun_jul_ago_sep_oct_nov_dic".split("_"),n=[/^ene/i,/^feb/i,/^mar/i,/^abr/i,/^may/i,/^jun/i,/^jul/i,/^ago/i,/^sep/i,/^oct/i,/^nov/i,/^dic/i],r=/^(enero|febrero|marzo|abril|mayo|junio|julio|agosto|septiembre|octubre|noviembre|diciembre|ene\.?|feb\.?|mar\.?|abr\.?|may\.?|jun\.?|jul\.?|ago\.?|sep\.?|oct\.?|nov\.?|dic\.?)/i;t.defineLocale("es",{months:"enero_febrero_marzo_abril_mayo_junio_julio_agosto_septiembre_octubre_noviembre_diciembre".split("_"),monthsShort:function(t,n){return t?/-MMM-/.test(n)?i[t.month()]:e[t.month()]:e},monthsRegex:r,monthsShortRegex:r,monthsStrictRegex:/^(enero|febrero|marzo|abril|mayo|junio|julio|agosto|septiembre|octubre|noviembre|diciembre)/i,monthsShortStrictRegex:/^(ene\.?|feb\.?|mar\.?|abr\.?|may\.?|jun\.?|jul\.?|ago\.?|sep\.?|oct\.?|nov\.?|dic\.?)/i,monthsParse:n,longMonthsParse:n,shortMonthsParse:n,weekdays:"domingo_lunes_martes_miércoles_jueves_viernes_sábado".split("_"),weekdaysShort:"dom._lun._mar._mié._jue._vie._sáb.".split("_"),weekdaysMin:"do_lu_ma_mi_ju_vi_sá".split("_"),weekdaysParseExact:!0,longDateFormat:{LT:"H:mm",LTS:"H:mm:ss",L:"DD/MM/YYYY",LL:"D [de] MMMM [de] YYYY",LLL:"D [de] MMMM [de] YYYY H:mm",LLLL:"dddd, D [de] MMMM [de] YYYY H:mm"},calendar:{sameDay:function(){return"[hoy a la"+(1!==this.hours()?"s":"")+"] LT"},nextDay:function(){return"[mañana a la"+(1!==this.hours()?"s":"")+"] LT"},nextWeek:function(){return"dddd [a la"+(1!==this.hours()?"s":"")+"] LT"},lastDay:function(){return"[ayer a la"+(1!==this.hours()?"s":"")+"] LT"},lastWeek:function(){return"[el] dddd [pasado a la"+(1!==this.hours()?"s":"")+"] LT"},sameElse:"L"},relativeTime:{future:"en %s",past:"hace %s",s:"unos segundos",ss:"%d segundos",m:"un minuto",mm:"%d minutos",h:"una hora",hh:"%d horas",d:"un día",dd:"%d días",w:"una semana",ww:"%d semanas",M:"un mes",MM:"%d meses",y:"un año",yy:"%d años"},dayOfMonthOrdinalParse:/\d{1,2}º/,ordinal:"%dº",week:{dow:1,doy:4},invalidDate:"Fecha inválida"})}(s()),function(t){var e=/(janv\.?|févr\.?|mars|avr\.?|mai|juin|juil\.?|août|sept\.?|oct\.?|nov\.?|déc\.?|janvier|février|mars|avril|mai|juin|juillet|août|septembre|octobre|novembre|décembre)/i,i=[/^janv/i,/^févr/i,/^mars/i,/^avr/i,/^mai/i,/^juin/i,/^juil/i,/^août/i,/^sept/i,/^oct/i,/^nov/i,/^déc/i];t.defineLocale("fr",{months:"janvier_février_mars_avril_mai_juin_juillet_août_septembre_octobre_novembre_décembre".split("_"),monthsShort:"janv._févr._mars_avr._mai_juin_juil._août_sept._oct._nov._déc.".split("_"),monthsRegex:e,monthsShortRegex:e,monthsStrictRegex:/^(janvier|février|mars|avril|mai|juin|juillet|août|septembre|octobre|novembre|décembre)/i,monthsShortStrictRegex:/(janv\.?|févr\.?|mars|avr\.?|mai|juin|juil\.?|août|sept\.?|oct\.?|nov\.?|déc\.?)/i,monthsParse:i,longMonthsParse:i,shortMonthsParse:i,weekdays:"dimanche_lundi_mardi_mercredi_jeudi_vendredi_samedi".split("_"),weekdaysShort:"dim._lun._mar._mer._jeu._ven._sam.".split("_"),weekdaysMin:"di_lu_ma_me_je_ve_sa".split("_"),weekdaysParseExact:!0,longDateFormat:{LT:"HH:mm",LTS:"HH:mm:ss",L:"DD/MM/YYYY",LL:"D MMMM YYYY",LLL:"D MMMM YYYY HH:mm",LLLL:"dddd D MMMM YYYY HH:mm"},calendar:{sameDay:"[Aujourd’hui à] LT",nextDay:"[Demain à] LT",nextWeek:"dddd [à] LT",lastDay:"[Hier à] LT",lastWeek:"dddd [dernier à] LT",sameElse:"L"},relativeTime:{future:"dans %s",past:"il y a %s",s:"quelques secondes",ss:"%d secondes",m:"une minute",mm:"%d minutes",h:"une heure",hh:"%d heures",d:"un jour",dd:"%d jours",w:"une semaine",ww:"%d semaines",M:"un mois",MM:"%d mois",y:"un an",yy:"%d ans"},dayOfMonthOrdinalParse:/\d{1,2}(er|)/,ordinal:function(t,e){switch(e){case"D":return t+(1===t?"er":"");default:case"M":case"Q":case"DDD":case"d":return t+(1===t?"er":"e");case"w":case"W":return t+(1===t?"re":"e")}},week:{dow:1,doy:4}})}(s()),function(t){t.defineLocale("it",{months:"gennaio_febbraio_marzo_aprile_maggio_giugno_luglio_agosto_settembre_ottobre_novembre_dicembre".split("_"),monthsShort:"gen_feb_mar_apr_mag_giu_lug_ago_set_ott_nov_dic".split("_"),weekdays:"domenica_lunedì_martedì_mercoledì_giovedì_venerdì_sabato".split("_"),weekdaysShort:"dom_lun_mar_mer_gio_ven_sab".split("_"),weekdaysMin:"do_lu_ma_me_gi_ve_sa".split("_"),longDateFormat:{LT:"HH:mm",LTS:"HH:mm:ss",L:"DD/MM/YYYY",LL:"D MMMM YYYY",LLL:"D MMMM YYYY HH:mm",LLLL:"dddd D MMMM YYYY HH:mm"},calendar:{sameDay:function(){return"[Oggi a"+(this.hours()>1?"lle ":0===this.hours()?" ":"ll'")+"]LT"},nextDay:function(){return"[Domani a"+(this.hours()>1?"lle ":0===this.hours()?" ":"ll'")+"]LT"},nextWeek:function(){return"dddd [a"+(this.hours()>1?"lle ":0===this.hours()?" ":"ll'")+"]LT"},lastDay:function(){return"[Ieri a"+(this.hours()>1?"lle ":0===this.hours()?" ":"ll'")+"]LT"},lastWeek:function(){return 0===this.day()?"[La scorsa] dddd [a"+(this.hours()>1?"lle ":0===this.hours()?" ":"ll'")+"]LT":"[Lo scorso] dddd [a"+(this.hours()>1?"lle ":0===this.hours()?" ":"ll'")+"]LT"},sameElse:"L"},relativeTime:{future:"tra %s",past:"%s fa",s:"alcuni secondi",ss:"%d secondi",m:"un minuto",mm:"%d minuti",h:"un'ora",hh:"%d ore",d:"un giorno",dd:"%d giorni",w:"una settimana",ww:"%d settimane",M:"un mese",MM:"%d mesi",y:"un anno",yy:"%d anni"},dayOfMonthOrdinalParse:/\d{1,2}º/,ordinal:"%dº",week:{dow:1,doy:4}})}(s()),function(t){t.defineLocale("ja",{eras:[{since:"2019-05-01",offset:1,name:"令和",narrow:"㋿",abbr:"R"},{since:"1989-01-08",until:"2019-04-30",offset:1,name:"平成",narrow:"㍻",abbr:"H"},{since:"1926-12-25",until:"1989-01-07",offset:1,name:"昭和",narrow:"㍼",abbr:"S"},{since:"1912-07-30",until:"1926-12-24",offset:1,name:"大正",narrow:"㍽",abbr:"T"},{since:"1873-01-01",until:"1912-07-29",offset:6,name:"明治",narrow:"㍾",abbr:"M"},{since:"0001-01-01",until:"1873-12-31",offset:1,name:"西暦",narrow:"AD",abbr:"AD"},{since:"0000-12-31",until:-1/0,offset:1,name:"紀元前",narrow:"BC",abbr:"BC"}],eraYearOrdinalRegex:/(元|\d+)年/,eraYearOrdinalParse:function(t,e){return"元"===e[1]?1:parseInt(e[1]||t,10)},months:"1月_2月_3月_4月_5月_6月_7月_8月_9月_10月_11月_12月".split("_"),monthsShort:"1月_2月_3月_4月_5月_6月_7月_8月_9月_10月_11月_12月".split("_"),weekdays:"日曜日_月曜日_火曜日_水曜日_木曜日_金曜日_土曜日".split("_"),weekdaysShort:"日_月_火_水_木_金_土".split("_"),weekdaysMin:"日_月_火_水_木_金_土".split("_"),longDateFormat:{LT:"HH:mm",LTS:"HH:mm:ss",L:"YYYY/MM/DD",LL:"YYYY年M月D日",LLL:"YYYY年M月D日 HH:mm",LLLL:"YYYY年M月D日 dddd HH:mm",l:"YYYY/MM/DD",ll:"YYYY年M月D日",lll:"YYYY年M月D日 HH:mm",llll:"YYYY年M月D日(ddd) HH:mm"},meridiemParse:/午前|午後/i,isPM:function(t){return"午後"===t},meridiem:function(t,e,i){return t<12?"午前":"午後"},calendar:{sameDay:"[今日] LT",nextDay:"[明日] LT",nextWeek:function(t){return t.week()!==this.week()?"[来週]dddd LT":"dddd LT"},lastDay:"[昨日] LT",lastWeek:function(t){return this.week()!==t.week()?"[先週]dddd LT":"dddd LT"},sameElse:"L"},dayOfMonthOrdinalParse:/\d{1,2}日/,ordinal:function(t,e){switch(e){case"y":return 1===t?"元年":t+"年";case"d":case"D":case"DDD":return t+"日";default:return t}},relativeTime:{future:"%s後",past:"%s前",s:"数秒",ss:"%d秒",m:"1分",mm:"%d分",h:"1時間",hh:"%d時間",d:"1日",dd:"%d日",M:"1ヶ月",MM:"%dヶ月",y:"1年",yy:"%d年"}})}(s()),function(t){var e="jan._feb._mrt._apr._mei_jun._jul._aug._sep._okt._nov._dec.".split("_"),i="jan_feb_mrt_apr_mei_jun_jul_aug_sep_okt_nov_dec".split("_"),n=[/^jan/i,/^feb/i,/^maart|mrt.?$/i,/^apr/i,/^mei$/i,/^jun[i.]?$/i,/^jul[i.]?$/i,/^aug/i,/^sep/i,/^okt/i,/^nov/i,/^dec/i],r=/^(januari|februari|maart|april|mei|ju[nl]i|augustus|september|oktober|november|december|jan\.?|feb\.?|mrt\.?|apr\.?|ju[nl]\.?|aug\.?|sep\.?|okt\.?|nov\.?|dec\.?)/i;t.defineLocale("nl",{months:"januari_februari_maart_april_mei_juni_juli_augustus_september_oktober_november_december".split("_"),monthsShort:function(t,n){return t?/-MMM-/.test(n)?i[t.month()]:e[t.month()]:e},monthsRegex:r,monthsShortRegex:r,monthsStrictRegex:/^(januari|februari|maart|april|mei|ju[nl]i|augustus|september|oktober|november|december)/i,monthsShortStrictRegex:/^(jan\.?|feb\.?|mrt\.?|apr\.?|mei|ju[nl]\.?|aug\.?|sep\.?|okt\.?|nov\.?|dec\.?)/i,monthsParse:n,longMonthsParse:n,shortMonthsParse:n,weekdays:"zondag_maandag_dinsdag_woensdag_donderdag_vrijdag_zaterdag".split("_"),weekdaysShort:"zo._ma._di._wo._do._vr._za.".split("_"),weekdaysMin:"zo_ma_di_wo_do_vr_za".split("_"),weekdaysParseExact:!0,longDateFormat:{LT:"HH:mm",LTS:"HH:mm:ss",L:"DD-MM-YYYY",LL:"D MMMM YYYY",LLL:"D MMMM YYYY HH:mm",LLLL:"dddd D MMMM YYYY HH:mm"},calendar:{sameDay:"[vandaag om] LT",nextDay:"[morgen om] LT",nextWeek:"dddd [om] LT",lastDay:"[gisteren om] LT",lastWeek:"[afgelopen] dddd [om] LT",sameElse:"L"},relativeTime:{future:"over %s",past:"%s geleden",s:"een paar seconden",ss:"%d seconden",m:"één minuut",mm:"%d minuten",h:"één uur",hh:"%d uur",d:"één dag",dd:"%d dagen",w:"één week",ww:"%d weken",M:"één maand",MM:"%d maanden",y:"één jaar",yy:"%d jaar"},dayOfMonthOrdinalParse:/\d{1,2}(ste|de)/,ordinal:function(t){return t+(1===t||8===t||t>=20?"ste":"de")},week:{dow:1,doy:4}})}(s()),function(t){var e="styczeń_luty_marzec_kwiecień_maj_czerwiec_lipiec_sierpień_wrzesień_październik_listopad_grudzień".split("_"),i="stycznia_lutego_marca_kwietnia_maja_czerwca_lipca_sierpnia_września_października_listopada_grudnia".split("_"),n=[/^sty/i,/^lut/i,/^mar/i,/^kwi/i,/^maj/i,/^cze/i,/^lip/i,/^sie/i,/^wrz/i,/^paź/i,/^lis/i,/^gru/i];function r(t){return t%10<5&&t%10>1&&~~(t/10)%10!=1}function o(t,e,i){var n=t+" ";switch(i){case"ss":return n+(r(t)?"sekundy":"sekund");case"m":return e?"minuta":"minutę";case"mm":return n+(r(t)?"minuty":"minut");case"h":return e?"godzina":"godzinę";case"hh":return n+(r(t)?"godziny":"godzin");case"ww":return n+(r(t)?"tygodnie":"tygodni");case"MM":return n+(r(t)?"miesiące":"miesięcy");case"yy":return n+(r(t)?"lata":"lat")}}t.defineLocale("pl",{months:function(t,n){return t?/D MMMM/.test(n)?i[t.month()]:e[t.month()]:e},monthsShort:"sty_lut_mar_kwi_maj_cze_lip_sie_wrz_paź_lis_gru".split("_"),monthsParse:n,longMonthsParse:n,shortMonthsParse:n,weekdays:"niedziela_poniedziałek_wtorek_środa_czwartek_piątek_sobota".split("_"),weekdaysShort:"ndz_pon_wt_śr_czw_pt_sob".split("_"),weekdaysMin:"Nd_Pn_Wt_Śr_Cz_Pt_So".split("_"),longDateFormat:{LT:"HH:mm",LTS:"HH:mm:ss",L:"DD.MM.YYYY",LL:"D MMMM YYYY",LLL:"D MMMM YYYY HH:mm",LLLL:"dddd, D MMMM YYYY HH:mm"},calendar:{sameDay:"[Dziś o] LT",nextDay:"[Jutro o] LT",nextWeek:function(){switch(this.day()){case 0:return"[W niedzielę o] LT";case 2:return"[We wtorek o] LT";case 3:return"[W środę o] LT";case 6:return"[W sobotę o] LT";default:return"[W] dddd [o] LT"}},lastDay:"[Wczoraj o] LT",lastWeek:function(){switch(this.day()){case 0:return"[W zeszłą niedzielę o] LT";case 3:return"[W zeszłą środę o] LT";case 6:return"[W zeszłą sobotę o] LT";default:return"[W zeszły] dddd [o] LT"}},sameElse:"L"},relativeTime:{future:"za %s",past:"%s temu",s:"kilka sekund",ss:o,m:o,mm:o,h:o,hh:o,d:"1 dzień",dd:"%d dni",w:"tydzień",ww:o,M:"miesiąc",MM:o,y:"rok",yy:o},dayOfMonthOrdinalParse:/\d{1,2}\./,ordinal:"%d.",week:{dow:1,doy:4}})}(s()),function(t){function e(t,e,i){var n,r;return"m"===i?e?"минута":"минуту":t+" "+(n=+t,r={ss:e?"секунда_секунды_секунд":"секунду_секунды_секунд",mm:e?"минута_минуты_минут":"минуту_минуты_минут",hh:"час_часа_часов",dd:"день_дня_дней",ww:"неделя_недели_недель",MM:"месяц_месяца_месяцев",yy:"год_года_лет"}[i].split("_"),n%10==1&&n%100!=11?r[0]:n%10>=2&&n%10<=4&&(n%100<10||n%100>=20)?r[1]:r[2])}var i=[/^янв/i,/^фев/i,/^мар/i,/^апр/i,/^ма[йя]/i,/^июн/i,/^июл/i,/^авг/i,/^сен/i,/^окт/i,/^ноя/i,/^дек/i];t.defineLocale("ru",{months:{format:"января_февраля_марта_апреля_мая_июня_июля_августа_сентября_октября_ноября_декабря".split("_"),standalone:"январь_февраль_март_апрель_май_июнь_июль_август_сентябрь_октябрь_ноябрь_декабрь".split("_")},monthsShort:{format:"янв._февр._мар._апр._мая_июня_июля_авг._сент._окт._нояб._дек.".split("_"),standalone:"янв._февр._март_апр._май_июнь_июль_авг._сент._окт._нояб._дек.".split("_")},weekdays:{standalone:"воскресенье_понедельник_вторник_среда_четверг_пятница_суббота".split("_"),format:"воскресенье_понедельник_вторник_среду_четверг_пятницу_субботу".split("_"),isFormat:/\[ ?[Вв] ?(?:прошлую|следующую|эту)? ?] ?dddd/},weekdaysShort:"вс_пн_вт_ср_чт_пт_сб".split("_"),weekdaysMin:"вс_пн_вт_ср_чт_пт_сб".split("_"),monthsParse:i,longMonthsParse:i,shortMonthsParse:i,monthsRegex:/^(январ[ья]|янв\.?|феврал[ья]|февр?\.?|марта?|мар\.?|апрел[ья]|апр\.?|ма[йя]|июн[ья]|июн\.?|июл[ья]|июл\.?|августа?|авг\.?|сентябр[ья]|сент?\.?|октябр[ья]|окт\.?|ноябр[ья]|нояб?\.?|декабр[ья]|дек\.?)/i,monthsShortRegex:/^(январ[ья]|янв\.?|феврал[ья]|февр?\.?|марта?|мар\.?|апрел[ья]|апр\.?|ма[йя]|июн[ья]|июн\.?|июл[ья]|июл\.?|августа?|авг\.?|сентябр[ья]|сент?\.?|октябр[ья]|окт\.?|ноябр[ья]|нояб?\.?|декабр[ья]|дек\.?)/i,monthsStrictRegex:/^(январ[яь]|феврал[яь]|марта?|апрел[яь]|ма[яй]|июн[яь]|июл[яь]|августа?|сентябр[яь]|октябр[яь]|ноябр[яь]|декабр[яь])/i,monthsShortStrictRegex:/^(янв\.|февр?\.|мар[т.]|апр\.|ма[яй]|июн[ья.]|июл[ья.]|авг\.|сент?\.|окт\.|нояб?\.|дек\.)/i,longDateFormat:{LT:"H:mm",LTS:"H:mm:ss",L:"DD.MM.YYYY",LL:"D MMMM YYYY г.",LLL:"D MMMM YYYY г., H:mm",LLLL:"dddd, D MMMM YYYY г., H:mm"},calendar:{sameDay:"[Сегодня, в] LT",nextDay:"[Завтра, в] LT",lastDay:"[Вчера, в] LT",nextWeek:function(t){if(t.week()===this.week())return 2===this.day()?"[Во] dddd, [в] LT":"[В] dddd, [в] LT";switch(this.day()){case 0:return"[В следующее] dddd, [в] LT";case 1:case 2:case 4:return"[В следующий] dddd, [в] LT";case 3:case 5:case 6:return"[В следующую] dddd, [в] LT"}},lastWeek:function(t){if(t.week()===this.week())return 2===this.day()?"[Во] dddd, [в] LT":"[В] dddd, [в] LT";switch(this.day()){case 0:return"[В прошлое] dddd, [в] LT";case 1:case 2:case 4:return"[В прошлый] dddd, [в] LT";case 3:case 5:case 6:return"[В прошлую] dddd, [в] LT"}},sameElse:"L"},relativeTime:{future:"через %s",past:"%s назад",s:"несколько секунд",ss:e,m:e,mm:e,h:"час",hh:e,d:"день",dd:e,w:"неделя",ww:e,M:"месяц",MM:e,y:"год",yy:e},meridiemParse:/ночи|утра|дня|вечера/i,isPM:function(t){return/^(дня|вечера)$/.test(t)},meridiem:function(t,e,i){return t<4?"ночи":t<12?"утра":t<17?"дня":"вечера"},dayOfMonthOrdinalParse:/\d{1,2}-(й|го|я)/,ordinal:function(t,e){switch(e){case"M":case"d":case"DDD":return t+"-й";case"D":return t+"-го";case"w":case"W":return t+"-я";default:return t}},week:{dow:1,doy:4}})}(s()),function(t){function e(t,e,i){var n,r;return"m"===i?e?"хвилина":"хвилину":"h"===i?e?"година":"годину":t+" "+(n=+t,r={ss:e?"секунда_секунди_секунд":"секунду_секунди_секунд",mm:e?"хвилина_хвилини_хвилин":"хвилину_хвилини_хвилин",hh:e?"година_години_годин":"годину_години_годин",dd:"день_дні_днів",MM:"місяць_місяці_місяців",yy:"рік_роки_років"}[i].split("_"),n%10==1&&n%100!=11?r[0]:n%10>=2&&n%10<=4&&(n%100<10||n%100>=20)?r[1]:r[2])}function i(t){return function(){return t+"о"+(11===this.hours()?"б":"")+"] LT"}}t.defineLocale("uk",{months:{format:"січня_лютого_березня_квітня_травня_червня_липня_серпня_вересня_жовтня_листопада_грудня".split("_"),standalone:"січень_лютий_березень_квітень_травень_червень_липень_серпень_вересень_жовтень_листопад_грудень".split("_")},monthsShort:"січ_лют_бер_квіт_трав_черв_лип_серп_вер_жовт_лист_груд".split("_"),weekdays:function(t,e){var i={nominative:"неділя_понеділок_вівторок_середа_четвер_п’ятниця_субота".split("_"),accusative:"неділю_понеділок_вівторок_середу_четвер_п’ятницю_суботу".split("_"),genitive:"неділі_понеділка_вівторка_середи_четверга_п’ятниці_суботи".split("_")};return!0===t?i.nominative.slice(1,7).concat(i.nominative.slice(0,1)):t?i[/(\[[ВвУу]\]) ?dddd/.test(e)?"accusative":/\[?(?:минулої|наступної)? ?\] ?dddd/.test(e)?"genitive":"nominative"][t.day()]:i.nominative},weekdaysShort:"нд_пн_вт_ср_чт_пт_сб".split("_"),weekdaysMin:"нд_пн_вт_ср_чт_пт_сб".split("_"),longDateFormat:{LT:"HH:mm",LTS:"HH:mm:ss",L:"DD.MM.YYYY",LL:"D MMMM YYYY р.",LLL:"D MMMM YYYY р., HH:mm",LLLL:"dddd, D MMMM YYYY р., HH:mm"},calendar:{sameDay:i("[Сьогодні "),nextDay:i("[Завтра "),lastDay:i("[Вчора "),nextWeek:i("[У] dddd ["),lastWeek:function(){switch(this.day()){case 0:case 3:case 5:case 6:return i("[Минулої] dddd [").call(this);case 1:case 2:case 4:return i("[Минулого] dddd [").call(this)}},sameElse:"L"},relativeTime:{future:"за %s",past:"%s тому",s:"декілька секунд",ss:e,m:e,mm:e,h:"годину",hh:e,d:"день",dd:e,M:"місяць",MM:e,y:"рік",yy:e},meridiemParse:/ночі|ранку|дня|вечора/,isPM:function(t){return/^(дня|вечора)$/.test(t)},meridiem:function(t,e,i){return t<4?"ночі":t<12?"ранку":t<17?"дня":"вечора"},dayOfMonthOrdinalParse:/\d{1,2}-(й|го)/,ordinal:function(t,e){switch(e){case"M":case"d":case"DDD":case"w":case"W":return t+"-й";case"D":return t+"-го";default:return t}},week:{dow:1,doy:7}})}(s());var a={exports:{}},l=function(t){try{return!!t()}catch(t){return!0}},h=!l((function(){var t=function(){}.bind();return"function"!=typeof t||t.hasOwnProperty("prototype")})),u=h,c=Function.prototype,d=c.bind,p=c.call,f=u&&d.bind(p,p),m=u?function(t){return t&&f(t)}:function(t){return t&&function(){return p.apply(t,arguments)}},v=Math.ceil,g=Math.floor,y=function(t){var e=+t;return e!=e||0===e?0:(e>0?g:v)(e)},b=function(t){return t&&t.Math==Math&&t},_=b("object"==typeof globalThis&&globalThis)||b("object"==typeof window&&window)||b("object"==typeof self&&self)||b("object"==typeof e&&e)||function(){return this}()||Function("return this")(),w={exports:{}},k=_,x=Object.defineProperty,S="__core-js_shared__",D=_[S]||function(t,e){try{x(k,t,{value:e,configurable:!0,writable:!0})}catch(i){k[t]=e}return e}(S,{}),C=D;(w.exports=function(t,e){return C[t]||(C[t]=void 0!==e?e:{})})("versions",[]).push({version:"3.21.1",mode:"pure",copyright:"© 2014-2022 Denis Pushkarev (zloirock.ru)",license:"https://github.com/zloirock/core-js/blob/v3.21.1/LICENSE",source:"https://github.com/zloirock/core-js"});var M,T,O=_.TypeError,P=function(t){if(null==t)throw O("Can't call method on "+t);return t},E=P,I=_.Object,L=function(t){return I(E(t))},A=L,N=m({}.hasOwnProperty),R=Object.hasOwn||function(t,e){return N(A(t),e)},F=m,j=0,Y=Math.random(),H=F(1..toString),B=function(t){return"Symbol("+(void 0===t?"":t)+")_"+H(++j+Y,36)},z={},G=function(t){return"function"==typeof t},W=z,V=_,U=G,X=function(t){return U(t)?t:void 0},q=function(t,e){return arguments.length<2?X(W[t])||X(V[t]):W[t]&&W[t][e]||V[t]&&V[t][e]},$=q("navigator","userAgent")||"",K=_,Z=$,J=K.process,Q=K.Deno,tt=J&&J.versions||Q&&Q.version,et=tt&&tt.v8;et&&(T=(M=et.split("."))[0]>0&&M[0]<4?1:+(M[0]+M[1])),!T&&Z&&(!(M=Z.match(/Edge\/(\d+)/))||M[1]>=74)&&(M=Z.match(/Chrome\/(\d+)/))&&(T=+M[1]);var it=T,nt=it,rt=l,ot=!!Object.getOwnPropertySymbols&&!rt((function(){var t=Symbol();return!String(t)||!(Object(t)instanceof Symbol)||!Symbol.sham&&nt&&nt<41})),st=ot&&!Symbol.sham&&"symbol"==typeof Symbol.iterator,at=_,lt=w.exports,ht=R,ut=B,ct=ot,dt=st,pt=lt("wks"),ft=at.Symbol,mt=ft&&ft.for,vt=dt?ft:ft&&ft.withoutSetter||ut,gt=function(t){if(!ht(pt,t)||!ct&&"string"!=typeof pt[t]){var e="Symbol."+t;ct&&ht(ft,t)?pt[t]=ft[t]:pt[t]=dt&&mt?mt(e):vt(e)}return pt[t]},yt={};yt[gt("toStringTag")]="z";var bt="[object z]"===String(yt),_t=m,wt=_t({}.toString),kt=_t("".slice),xt=function(t){return kt(wt(t),8,-1)},St=_,Dt=bt,Ct=G,Mt=xt,Tt=gt("toStringTag"),Ot=St.Object,Pt="Arguments"==Mt(function(){return arguments}()),Et=Dt?Mt:function(t){var e,i,n;return void 0===t?"Undefined":null===t?"Null":"string"==typeof(i=function(t,e){try{return t[e]}catch(t){}}(e=Ot(t),Tt))?i:Pt?Mt(e):"Object"==(n=Mt(e))&&Ct(e.callee)?"Arguments":n},It=Et,Lt=_.String,At=function(t){if("Symbol"===It(t))throw TypeError("Cannot convert a Symbol value to a string");return Lt(t)},Nt=m,Rt=y,Ft=At,jt=P,Yt=Nt("".charAt),Ht=Nt("".charCodeAt),Bt=Nt("".slice),zt=function(t){return function(e,i){var n,r,o=Ft(jt(e)),s=Rt(i),a=o.length;return s<0||s>=a?t?"":void 0:(n=Ht(o,s))<55296||n>56319||s+1===a||(r=Ht(o,s+1))<56320||r>57343?t?Yt(o,s):n:t?Bt(o,s,s+2):r-56320+(n-55296<<10)+65536}},Gt={codeAt:zt(!1),charAt:zt(!0)},Wt=G,Vt=D,Ut=m(Function.toString);Wt(Vt.inspectSource)||(Vt.inspectSource=function(t){return Ut(t)});var Xt=Vt.inspectSource,qt=G,$t=Xt,Kt=_.WeakMap,Zt=qt(Kt)&&/native code/.test($t(Kt)),Jt=G,Qt=function(t){return"object"==typeof t?null!==t:Jt(t)},te=!l((function(){return 7!=Object.defineProperty({},1,{get:function(){return 7}})[1]})),ee={},ie=Qt,ne=_.document,re=ie(ne)&&ie(ne.createElement),oe=function(t){return re?ne.createElement(t):{}},se=oe,ae=!te&&!l((function(){return 7!=Object.defineProperty(se("div"),"a",{get:function(){return 7}}).a})),le=te&&l((function(){return 42!=Object.defineProperty((function(){}),"prototype",{value:42,writable:!1}).prototype})),he=_,ue=Qt,ce=he.String,de=he.TypeError,pe=function(t){if(ue(t))return t;throw de(ce(t)+" is not an object")},fe=h,me=Function.prototype.call,ve=fe?me.bind(me):function(){return me.apply(me,arguments)},ge=m({}.isPrototypeOf),ye=q,be=G,_e=ge,we=st,ke=_.Object,xe=we?function(t){return"symbol"==typeof t}:function(t){var e=ye("Symbol");return be(e)&&_e(e.prototype,ke(t))},Se=_.String,De=function(t){try{return Se(t)}catch(t){return"Object"}},Ce=G,Me=De,Te=_.TypeError,Oe=function(t){if(Ce(t))return t;throw Te(Me(t)+" is not a function")},Pe=Oe,Ee=function(t,e){var i=t[e];return null==i?void 0:Pe(i)},Ie=ve,Le=G,Ae=Qt,Ne=_.TypeError,Re=ve,Fe=Qt,je=xe,Ye=Ee,He=gt,Be=_.TypeError,ze=He("toPrimitive"),Ge=function(t,e){if(!Fe(t)||je(t))return t;var i,n=Ye(t,ze);if(n){if(void 0===e&&(e="default"),i=Re(n,t,e),!Fe(i)||je(i))return i;throw Be("Can't convert object to primitive value")}return void 0===e&&(e="number"),function(t,e){var i,n;if("string"===e&&Le(i=t.toString)&&!Ae(n=Ie(i,t)))return n;if(Le(i=t.valueOf)&&!Ae(n=Ie(i,t)))return n;if("string"!==e&&Le(i=t.toString)&&!Ae(n=Ie(i,t)))return n;throw Ne("Can't convert object to primitive value")}(t,e)},We=xe,Ve=function(t){var e=Ge(t,"string");return We(e)?e:e+""},Ue=te,Xe=ae,qe=le,$e=pe,Ke=Ve,Ze=_.TypeError,Je=Object.defineProperty,Qe=Object.getOwnPropertyDescriptor;ee.f=Ue?qe?function(t,e,i){if($e(t),e=Ke(e),$e(i),"function"==typeof t&&"prototype"===e&&"value"in i&&"writable"in i&&!i.writable){var n=Qe(t,e);n&&n.writable&&(t[e]=i.value,i={configurable:"configurable"in i?i.configurable:n.configurable,enumerable:"enumerable"in i?i.enumerable:n.enumerable,writable:!1})}return Je(t,e,i)}:Je:function(t,e,i){if($e(t),e=Ke(e),$e(i),Xe)try{return Je(t,e,i)}catch(t){}if("get"in i||"set"in i)throw Ze("Accessors not supported");return"value"in i&&(t[e]=i.value),t};var ti,ei,ii,ni=function(t,e){return{enumerable:!(1&t),configurable:!(2&t),writable:!(4&t),value:e}},ri=ee,oi=ni,si=te?function(t,e,i){return ri.f(t,e,oi(1,i))}:function(t,e,i){return t[e]=i,t},ai=w.exports,li=B,hi=ai("keys"),ui=function(t){return hi[t]||(hi[t]=li(t))},ci={},di=Zt,pi=_,fi=m,mi=Qt,vi=si,gi=R,yi=D,bi=ui,_i=ci,wi="Object already initialized",ki=pi.TypeError,xi=pi.WeakMap;if(di||yi.state){var Si=yi.state||(yi.state=new xi),Di=fi(Si.get),Ci=fi(Si.has),Mi=fi(Si.set);ti=function(t,e){if(Ci(Si,t))throw new ki(wi);return e.facade=t,Mi(Si,t,e),e},ei=function(t){return Di(Si,t)||{}},ii=function(t){return Ci(Si,t)}}else{var Ti=bi("state");_i[Ti]=!0,ti=function(t,e){if(gi(t,Ti))throw new ki(wi);return e.facade=t,vi(t,Ti,e),e},ei=function(t){return gi(t,Ti)?t[Ti]:{}},ii=function(t){return gi(t,Ti)}}var Oi={set:ti,get:ei,has:ii,enforce:function(t){return ii(t)?ei(t):ti(t,{})},getterFor:function(t){return function(e){var i;if(!mi(e)||(i=ei(e)).type!==t)throw ki("Incompatible receiver, "+t+" required");return i}}},Pi=h,Ei=Function.prototype,Ii=Ei.apply,Li=Ei.call,Ai="object"==typeof Reflect&&Reflect.apply||(Pi?Li.bind(Ii):function(){return Li.apply(Ii,arguments)}),Ni={},Ri={},Fi={}.propertyIsEnumerable,ji=Object.getOwnPropertyDescriptor,Yi=ji&&!Fi.call({1:2},1);Ri.f=Yi?function(t){var e=ji(this,t);return!!e&&e.enumerable}:Fi;var Hi=m,Bi=l,zi=xt,Gi=_.Object,Wi=Hi("".split),Vi=Bi((function(){return!Gi("z").propertyIsEnumerable(0)}))?function(t){return"String"==zi(t)?Wi(t,""):Gi(t)}:Gi,Ui=Vi,Xi=P,qi=function(t){return Ui(Xi(t))},$i=te,Ki=ve,Zi=Ri,Ji=ni,Qi=qi,tn=Ve,en=R,nn=ae,rn=Object.getOwnPropertyDescriptor;Ni.f=$i?rn:function(t,e){if(t=Qi(t),e=tn(e),nn)try{return rn(t,e)}catch(t){}if(en(t,e))return Ji(!Ki(Zi.f,t,e),t[e])};var on=l,sn=G,an=/#|\.prototype\./,ln=function(t,e){var i=un[hn(t)];return i==dn||i!=cn&&(sn(e)?on(e):!!e)},hn=ln.normalize=function(t){return String(t).replace(an,".").toLowerCase()},un=ln.data={},cn=ln.NATIVE="N",dn=ln.POLYFILL="P",pn=ln,fn=Oe,mn=h,vn=m(m.bind),gn=function(t,e){return fn(t),void 0===e?t:mn?vn(t,e):function(){return t.apply(e,arguments)}},yn=_,bn=Ai,_n=m,wn=G,kn=Ni.f,xn=pn,Sn=z,Dn=gn,Cn=si,Mn=R,Tn=function(t){var e=function(i,n,r){if(this instanceof e){switch(arguments.length){case 0:return new t;case 1:return new t(i);case 2:return new t(i,n)}return new t(i,n,r)}return bn(t,this,arguments)};return e.prototype=t.prototype,e},On=function(t,e){var i,n,r,o,s,a,l,h,u=t.target,c=t.global,d=t.stat,p=t.proto,f=c?yn:d?yn[u]:(yn[u]||{}).prototype,m=c?Sn:Sn[u]||Cn(Sn,u,{})[u],v=m.prototype;for(r in e)i=!xn(c?r:u+(d?".":"#")+r,t.forced)&&f&&Mn(f,r),s=m[r],i&&(a=t.noTargetGet?(h=kn(f,r))&&h.value:f[r]),o=i&&a?a:e[r],i&&typeof s==typeof o||(l=t.bind&&i?Dn(o,yn):t.wrap&&i?Tn(o):p&&wn(o)?_n(o):o,(t.sham||o&&o.sham||s&&s.sham)&&Cn(l,"sham",!0),Cn(m,r,l),p&&(Mn(Sn,n=u+"Prototype")||Cn(Sn,n,{}),Cn(Sn[n],r,o),t.real&&v&&!v[r]&&Cn(v,r,o)))},Pn=te,En=R,In=Function.prototype,Ln=Pn&&Object.getOwnPropertyDescriptor,An=En(In,"name"),Nn={EXISTS:An,PROPER:An&&"something"===function(){}.name,CONFIGURABLE:An&&(!Pn||Pn&&Ln(In,"name").configurable)},Rn={},Fn=y,jn=Math.max,Yn=Math.min,Hn=function(t,e){var i=Fn(t);return i<0?jn(i+e,0):Yn(i,e)},Bn=y,zn=Math.min,Gn=function(t){return function(t){return t>0?zn(Bn(t),9007199254740991):0}(t.length)},Wn=qi,Vn=Hn,Un=Gn,Xn=function(t){return function(e,i,n){var r,o=Wn(e),s=Un(o),a=Vn(n,s);if(t&&i!=i){for(;s>a;)if((r=o[a++])!=r)return!0}else for(;s>a;a++)if((t||a in o)&&o[a]===i)return t||a||0;return!t&&-1}},qn={includes:Xn(!0),indexOf:Xn(!1)},$n=R,Kn=qi,Zn=qn.indexOf,Jn=ci,Qn=m([].push),tr=function(t,e){var i,n=Kn(t),r=0,o=[];for(i in n)!$n(Jn,i)&&$n(n,i)&&Qn(o,i);for(;e.length>r;)$n(n,i=e[r++])&&(~Zn(o,i)||Qn(o,i));return o},er=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"],ir=tr,nr=er,rr=Object.keys||function(t){return ir(t,nr)},or=te,sr=le,ar=ee,lr=pe,hr=qi,ur=rr;Rn.f=or&&!sr?Object.defineProperties:function(t,e){lr(t);for(var i,n=hr(e),r=ur(e),o=r.length,s=0;o>s;)ar.f(t,i=r[s++],n[i]);return t};var cr,dr=q("document","documentElement"),pr=pe,fr=Rn,mr=er,vr=ci,gr=dr,yr=oe,br=ui("IE_PROTO"),_r=function(){},wr=function(t){return"<script>"+t+"<\/script>"},kr=function(t){t.write(wr("")),t.close();var e=t.parentWindow.Object;return t=null,e},xr=function(){try{cr=new ActiveXObject("htmlfile")}catch(t){}var t,e;xr="undefined"!=typeof document?document.domain&&cr?kr(cr):((e=yr("iframe")).style.display="none",gr.appendChild(e),e.src=String("javascript:"),(t=e.contentWindow.document).open(),t.write(wr("document.F=Object")),t.close(),t.F):kr(cr);for(var i=mr.length;i--;)delete xr.prototype[mr[i]];return xr()};vr[br]=!0;var Sr,Dr,Cr,Mr=Object.create||function(t,e){var i;return null!==t?(_r.prototype=pr(t),i=new _r,_r.prototype=null,i[br]=t):i=xr(),void 0===e?i:fr.f(i,e)},Tr=!l((function(){function t(){}return t.prototype.constructor=null,Object.getPrototypeOf(new t)!==t.prototype})),Or=_,Pr=R,Er=G,Ir=L,Lr=Tr,Ar=ui("IE_PROTO"),Nr=Or.Object,Rr=Nr.prototype,Fr=Lr?Nr.getPrototypeOf:function(t){var e=Ir(t);if(Pr(e,Ar))return e[Ar];var i=e.constructor;return Er(i)&&e instanceof i?i.prototype:e instanceof Nr?Rr:null},jr=si,Yr=function(t,e,i,n){n&&n.enumerable?t[e]=i:jr(t,e,i)},Hr=l,Br=G,zr=Mr,Gr=Fr,Wr=Yr,Vr=gt("iterator"),Ur=!1;[].keys&&("next"in(Cr=[].keys())?(Dr=Gr(Gr(Cr)))!==Object.prototype&&(Sr=Dr):Ur=!0);var Xr=null==Sr||Hr((function(){var t={};return Sr[Vr].call(t)!==t}));Br((Sr=Xr?{}:zr(Sr))[Vr])||Wr(Sr,Vr,(function(){return this}));var qr={IteratorPrototype:Sr,BUGGY_SAFARI_ITERATORS:Ur},$r=Et,Kr=bt?{}.toString:function(){return"[object "+$r(this)+"]"},Zr=bt,Jr=ee.f,Qr=si,to=R,eo=Kr,io=gt("toStringTag"),no=function(t,e,i,n){if(t){var r=i?t:t.prototype;to(r,io)||Jr(r,io,{configurable:!0,value:e}),n&&!Zr&&Qr(r,"toString",eo)}},ro={},oo=qr.IteratorPrototype,so=Mr,ao=ni,lo=no,ho=ro,uo=function(){return this},co=_,po=G,fo=co.String,mo=co.TypeError,vo=m,go=pe,yo=Object.setPrototypeOf||("__proto__"in{}?function(){var t,e=!1,i={};try{(t=vo(Object.getOwnPropertyDescriptor(Object.prototype,"__proto__").set))(i,[]),e=i instanceof Array}catch(t){}return function(i,n){return go(i),function(t){if("object"==typeof t||po(t))return t;throw mo("Can't set "+fo(t)+" as a prototype")}(n),e?t(i,n):i.__proto__=n,i}}():void 0),bo=On,_o=ve,wo=Fr,ko=no,xo=Yr,So=ro,Do=Nn.PROPER,Co=qr.BUGGY_SAFARI_ITERATORS,Mo=gt("iterator"),To="keys",Oo="values",Po="entries",Eo=function(){return this},Io=function(t,e,i,n,r,o,s){!function(t,e,i,n){var r=e+" Iterator";t.prototype=so(oo,{next:ao(+!n,i)}),lo(t,r,!1,!0),ho[r]=uo}(i,e,n);var a,l,h,u=function(t){if(t===r&&m)return m;if(!Co&&t in p)return p[t];switch(t){case To:case Oo:case Po:return function(){return new i(this,t)}}return function(){return new i(this)}},c=e+" Iterator",d=!1,p=t.prototype,f=p[Mo]||p["@@iterator"]||r&&p[r],m=!Co&&f||u(r),v="Array"==e&&p.entries||f;if(v&&(a=wo(v.call(new t)))!==Object.prototype&&a.next&&(ko(a,c,!0,!0),So[c]=Eo),Do&&r==Oo&&f&&f.name!==Oo&&(d=!0,m=function(){return _o(f,this)}),r)if(l={values:u(Oo),keys:o?m:u(To),entries:u(Po)},s)for(h in l)(Co||d||!(h in p))&&xo(p,h,l[h]);else bo({target:e,proto:!0,forced:Co||d},l);return s&&p[Mo]!==m&&xo(p,Mo,m,{name:r}),So[e]=m,l},Lo=Gt.charAt,Ao=At,No=Oi,Ro=Io,Fo="String Iterator",jo=No.set,Yo=No.getterFor(Fo);Ro(String,"String",(function(t){jo(this,{type:Fo,string:Ao(t),index:0})}),(function(){var t,e=Yo(this),i=e.string,n=e.index;return n>=i.length?{value:void 0,done:!0}:(t=Lo(i,n),e.index+=t.length,{value:t,done:!1})}));var Ho=ve,Bo=pe,zo=Ee,Go=function(t,e,i){var n,r;Bo(t);try{if(!(n=zo(t,"return"))){if("throw"===e)throw i;return i}n=Ho(n,t)}catch(t){r=!0,n=t}if("throw"===e)throw i;if(r)throw n;return Bo(n),i},Wo=pe,Vo=Go,Uo=ro,Xo=gt("iterator"),qo=Array.prototype,$o=function(t){return void 0!==t&&(Uo.Array===t||qo[Xo]===t)},Ko=m,Zo=l,Jo=G,Qo=Et,ts=Xt,es=function(){},is=[],ns=q("Reflect","construct"),rs=/^\s*(?:class|function)\b/,os=Ko(rs.exec),ss=!rs.exec(es),as=function(t){if(!Jo(t))return!1;try{return ns(es,is,t),!0}catch(t){return!1}},ls=function(t){if(!Jo(t))return!1;switch(Qo(t)){case"AsyncFunction":case"GeneratorFunction":case"AsyncGeneratorFunction":return!1}try{return ss||!!os(rs,ts(t))}catch(t){return!0}};ls.sham=!0;var hs=!ns||Zo((function(){var t;return as(as.call)||!as(Object)||!as((function(){t=!0}))||t}))?ls:as,us=Ve,cs=ee,ds=ni,ps=function(t,e,i){var n=us(e);n in t?cs.f(t,n,ds(0,i)):t[n]=i},fs=Et,ms=Ee,vs=ro,gs=gt("iterator"),ys=function(t){if(null!=t)return ms(t,gs)||ms(t,"@@iterator")||vs[fs(t)]},bs=ve,_s=Oe,ws=pe,ks=De,xs=ys,Ss=_.TypeError,Ds=function(t,e){var i=arguments.length<2?xs(t):e;if(_s(i))return ws(bs(i,t));throw Ss(ks(t)+" is not iterable")},Cs=gn,Ms=ve,Ts=L,Os=function(t,e,i,n){try{return n?e(Wo(i)[0],i[1]):e(i)}catch(e){Vo(t,"throw",e)}},Ps=$o,Es=hs,Is=Gn,Ls=ps,As=Ds,Ns=ys,Rs=_.Array,Fs=gt("iterator"),js=!1;try{var Ys=0,Hs={next:function(){return{done:!!Ys++}},return:function(){js=!0}};Hs[Fs]=function(){return this},Array.from(Hs,(function(){throw 2}))}catch(t){}var Bs=function(t,e){if(!e&&!js)return!1;var i=!1;try{var n={};n[Fs]=function(){return{next:function(){return{done:i=!0}}}},t(n)}catch(t){}return i};On({target:"Array",stat:!0,forced:!Bs((function(t){Array.from(t)}))},{from:function(t){var e=Ts(t),i=Es(this),n=arguments.length,r=n>1?arguments[1]:void 0,o=void 0!==r;o&&(r=Cs(r,n>2?arguments[2]:void 0));var s,a,l,h,u,c,d=Ns(e),p=0;if(!d||this==Rs&&Ps(d))for(s=Is(e),a=i?new this(s):Rs(s);s>p;p++)c=o?r(e[p],p):e[p],Ls(a,p,c);else for(u=(h=As(e,d)).next,a=i?new this:[];!(l=Ms(u,h)).done;p++)c=o?Os(h,r,[l.value,p],!0):l.value,Ls(a,p,c);return a.length=p,a}});var zs=z.Array.from;!function(t){t.exports=zs}(a);var Gs=n(a.exports),Ws={exports:{}},Vs=qi,Us=ro,Xs=Oi;ee.f;var qs=Io,$s="Array Iterator",Ks=Xs.set,Zs=Xs.getterFor($s);qs(Array,"Array",(function(t,e){Ks(this,{type:$s,target:Vs(t),index:0,kind:e})}),(function(){var t=Zs(this),e=t.target,i=t.kind,n=t.index++;return!e||n>=e.length?(t.target=void 0,{value:void 0,done:!0}):"keys"==i?{value:n,done:!1}:"values"==i?{value:e[n],done:!1}:{value:[n,e[n]],done:!1}}),"values"),Us.Arguments=Us.Array;var Js=ys,Qs=_,ta=Et,ea=si,ia=ro,na=gt("toStringTag");for(var ra in{CSSRuleList:0,CSSStyleDeclaration:0,CSSValueList:0,ClientRectList:0,DOMRectList:0,DOMStringList:0,DOMTokenList:1,DataTransferItemList:0,FileList:0,HTMLAllCollection:0,HTMLCollection:0,HTMLFormElement:0,HTMLSelectElement:0,MediaList:0,MimeTypeArray:0,NamedNodeMap:0,NodeList:1,PaintRequestList:0,Plugin:0,PluginArray:0,SVGLengthList:0,SVGNumberList:0,SVGPathSegList:0,SVGPointList:0,SVGStringList:0,SVGTransformList:0,SourceBufferList:0,StyleSheetList:0,TextTrackCueList:0,TextTrackList:0,TouchList:0}){var oa=Qs[ra],sa=oa&&oa.prototype;sa&&ta(sa)!==na&&ea(sa,na,ra),ia[ra]=ia.Array}var aa=Js;!function(t){t.exports=aa}(Ws);var la=n(Ws.exports),ha={exports:{}},ua=xt,ca=Array.isArray||function(t){return"Array"==ua(t)},da={},pa=tr,fa=er.concat("length","prototype");da.f=Object.getOwnPropertyNames||function(t){return pa(t,fa)};var ma={},va=Hn,ga=Gn,ya=ps,ba=_.Array,_a=Math.max,wa=function(t,e,i){for(var n=ga(t),r=va(e,n),o=va(void 0===i?n:i,n),s=ba(_a(o-r,0)),a=0;r<o;r++,a++)ya(s,a,t[r]);return s.length=a,s},ka=xt,xa=qi,Sa=da.f,Da=wa,Ca="object"==typeof window&&window&&Object.getOwnPropertyNames?Object.getOwnPropertyNames(window):[];ma.f=function(t){return Ca&&"Window"==ka(t)?function(t){try{return Sa(t)}catch(t){return Da(Ca)}}(t):Sa(xa(t))};var Ma={};Ma.f=Object.getOwnPropertySymbols;var Ta=m([].slice),Oa={},Pa=gt;Oa.f=Pa;var Ea=z,Ia=R,La=Oa,Aa=ee.f,Na=function(t){var e=Ea.Symbol||(Ea.Symbol={});Ia(e,t)||Aa(e,t,{value:La.f(t)})},Ra=_,Fa=ca,ja=hs,Ya=Qt,Ha=gt("species"),Ba=Ra.Array,za=function(t,e){return new(function(t){var e;return Fa(t)&&(e=t.constructor,(ja(e)&&(e===Ba||Fa(e.prototype))||Ya(e)&&null===(e=e[Ha]))&&(e=void 0)),void 0===e?Ba:e}(t))(0===e?0:e)},Ga=gn,Wa=Vi,Va=L,Ua=Gn,Xa=za,qa=m([].push),$a=function(t){var e=1==t,i=2==t,n=3==t,r=4==t,o=6==t,s=7==t,a=5==t||o;return function(l,h,u,c){for(var d,p,f=Va(l),m=Wa(f),v=Ga(h,u),g=Ua(m),y=0,b=c||Xa,_=e?b(l,g):i||s?b(l,0):void 0;g>y;y++)if((a||y in m)&&(p=v(d=m[y],y,f),t))if(e)_[y]=p;else if(p)switch(t){case 3:return!0;case 5:return d;case 6:return y;case 2:qa(_,d)}else switch(t){case 4:return!1;case 7:qa(_,d)}return o?-1:n||r?r:_}},Ka={forEach:$a(0),map:$a(1),filter:$a(2),some:$a(3),every:$a(4),find:$a(5),findIndex:$a(6),filterReject:$a(7)},Za=On,Ja=_,Qa=q,tl=Ai,el=ve,il=m,nl=te,rl=ot,ol=l,sl=R,al=ca,ll=G,hl=Qt,ul=ge,cl=xe,dl=pe,pl=L,fl=qi,ml=Ve,vl=At,gl=ni,yl=Mr,bl=rr,_l=da,wl=ma,kl=Ma,xl=Ni,Sl=ee,Dl=Rn,Cl=Ri,Ml=Ta,Tl=Yr,Ol=w.exports,Pl=ci,El=B,Il=gt,Ll=Oa,Al=Na,Nl=no,Rl=Oi,Fl=Ka.forEach,jl=ui("hidden"),Yl="Symbol",Hl=Il("toPrimitive"),Bl=Rl.set,zl=Rl.getterFor(Yl),Gl=Object.prototype,Wl=Ja.Symbol,Vl=Wl&&Wl.prototype,Ul=Ja.TypeError,Xl=Ja.QObject,ql=Qa("JSON","stringify"),$l=xl.f,Kl=Sl.f,Zl=wl.f,Jl=Cl.f,Ql=il([].push),th=Ol("symbols"),eh=Ol("op-symbols"),ih=Ol("string-to-symbol-registry"),nh=Ol("symbol-to-string-registry"),rh=Ol("wks"),oh=!Xl||!Xl.prototype||!Xl.prototype.findChild,sh=nl&&ol((function(){return 7!=yl(Kl({},"a",{get:function(){return Kl(this,"a",{value:7}).a}})).a}))?function(t,e,i){var n=$l(Gl,e);n&&delete Gl[e],Kl(t,e,i),n&&t!==Gl&&Kl(Gl,e,n)}:Kl,ah=function(t,e){var i=th[t]=yl(Vl);return Bl(i,{type:Yl,tag:t,description:e}),nl||(i.description=e),i},lh=function(t,e,i){t===Gl&&lh(eh,e,i),dl(t);var n=ml(e);return dl(i),sl(th,n)?(i.enumerable?(sl(t,jl)&&t[jl][n]&&(t[jl][n]=!1),i=yl(i,{enumerable:gl(0,!1)})):(sl(t,jl)||Kl(t,jl,gl(1,{})),t[jl][n]=!0),sh(t,n,i)):Kl(t,n,i)},hh=function(t,e){dl(t);var i=fl(e),n=bl(i).concat(ph(i));return Fl(n,(function(e){nl&&!el(uh,i,e)||lh(t,e,i[e])})),t},uh=function(t){var e=ml(t),i=el(Jl,this,e);return!(this===Gl&&sl(th,e)&&!sl(eh,e))&&(!(i||!sl(this,e)||!sl(th,e)||sl(this,jl)&&this[jl][e])||i)},ch=function(t,e){var i=fl(t),n=ml(e);if(i!==Gl||!sl(th,n)||sl(eh,n)){var r=$l(i,n);return!r||!sl(th,n)||sl(i,jl)&&i[jl][n]||(r.enumerable=!0),r}},dh=function(t){var e=Zl(fl(t)),i=[];return Fl(e,(function(t){sl(th,t)||sl(Pl,t)||Ql(i,t)})),i},ph=function(t){var e=t===Gl,i=Zl(e?eh:fl(t)),n=[];return Fl(i,(function(t){!sl(th,t)||e&&!sl(Gl,t)||Ql(n,th[t])})),n};if(rl||(Tl(Vl=(Wl=function(){if(ul(Vl,this))throw Ul("Symbol is not a constructor");var t=arguments.length&&void 0!==arguments[0]?vl(arguments[0]):void 0,e=El(t),i=function(t){this===Gl&&el(i,eh,t),sl(this,jl)&&sl(this[jl],e)&&(this[jl][e]=!1),sh(this,e,gl(1,t))};return nl&&oh&&sh(Gl,e,{configurable:!0,set:i}),ah(e,t)}).prototype,"toString",(function(){return zl(this).tag})),Tl(Wl,"withoutSetter",(function(t){return ah(El(t),t)})),Cl.f=uh,Sl.f=lh,Dl.f=hh,xl.f=ch,_l.f=wl.f=dh,kl.f=ph,Ll.f=function(t){return ah(Il(t),t)},nl&&Kl(Vl,"description",{configurable:!0,get:function(){return zl(this).description}})),Za({global:!0,wrap:!0,forced:!rl,sham:!rl},{Symbol:Wl}),Fl(bl(rh),(function(t){Al(t)})),Za({target:Yl,stat:!0,forced:!rl},{for:function(t){var e=vl(t);if(sl(ih,e))return ih[e];var i=Wl(e);return ih[e]=i,nh[i]=e,i},keyFor:function(t){if(!cl(t))throw Ul(t+" is not a symbol");if(sl(nh,t))return nh[t]},useSetter:function(){oh=!0},useSimple:function(){oh=!1}}),Za({target:"Object",stat:!0,forced:!rl,sham:!nl},{create:function(t,e){return void 0===e?yl(t):hh(yl(t),e)},defineProperty:lh,defineProperties:hh,getOwnPropertyDescriptor:ch}),Za({target:"Object",stat:!0,forced:!rl},{getOwnPropertyNames:dh,getOwnPropertySymbols:ph}),Za({target:"Object",stat:!0,forced:ol((function(){kl.f(1)}))},{getOwnPropertySymbols:function(t){return kl.f(pl(t))}}),ql&&Za({target:"JSON",stat:!0,forced:!rl||ol((function(){var t=Wl();return"[null]"!=ql([t])||"{}"!=ql({a:t})||"{}"!=ql(Object(t))}))},{stringify:function(t,e,i){var n=Ml(arguments),r=e;if((hl(e)||void 0!==t)&&!cl(t))return al(e)||(e=function(t,e){if(ll(r)&&(e=el(r,this,t,e)),!cl(e))return e}),n[1]=e,tl(ql,null,n)}}),!Vl[Hl]){var fh=Vl.valueOf;Tl(Vl,Hl,(function(t){return el(fh,this)}))}Nl(Wl,Yl),Pl[jl]=!0;var mh=z.Object.getOwnPropertySymbols;!function(t){t.exports=mh}(ha);var vh=n(ha.exports),gh={exports:{}},yh={exports:{}},bh=On,_h=l,wh=qi,kh=Ni.f,xh=te,Sh=_h((function(){kh(1)}));bh({target:"Object",stat:!0,forced:!xh||Sh,sham:!xh},{getOwnPropertyDescriptor:function(t,e){return kh(wh(t),e)}});var Dh=z.Object,Ch=yh.exports=function(t,e){return Dh.getOwnPropertyDescriptor(t,e)};Dh.getOwnPropertyDescriptor.sham&&(Ch.sham=!0);var Mh=yh.exports;!function(t){t.exports=Mh}(gh);var Th=n(gh.exports),Oh={exports:{}},Ph=q,Eh=da,Ih=Ma,Lh=pe,Ah=m([].concat),Nh=Ph("Reflect","ownKeys")||function(t){var e=Eh.f(Lh(t)),i=Ih.f;return i?Ah(e,i(t)):e},Rh=Nh,Fh=qi,jh=Ni,Yh=ps;On({target:"Object",stat:!0,sham:!te},{getOwnPropertyDescriptors:function(t){for(var e,i,n=Fh(t),r=jh.f,o=Rh(n),s={},a=0;o.length>a;)void 0!==(i=r(n,e=o[a++]))&&Yh(s,e,i);return s}});var Hh=z.Object.getOwnPropertyDescriptors;!function(t){t.exports=Hh}(Oh);var Bh=n(Oh.exports),zh={exports:{}},Gh={exports:{}},Wh=On,Vh=te,Uh=Rn.f;Wh({target:"Object",stat:!0,forced:Object.defineProperties!==Uh,sham:!Vh},{defineProperties:Uh});var Xh=z.Object,qh=Gh.exports=function(t,e){return Xh.defineProperties(t,e)};Xh.defineProperties.sham&&(qh.sham=!0);var $h=Gh.exports;!function(t){t.exports=$h}(zh);var Kh=n(zh.exports),Zh={exports:{}},Jh={exports:{}},Qh=On,tu=te,eu=ee.f;Qh({target:"Object",stat:!0,forced:Object.defineProperty!==eu,sham:!tu},{defineProperty:eu});var iu=z.Object,nu=Jh.exports=function(t,e,i){return iu.defineProperty(t,e,i)};iu.defineProperty.sham&&(nu.sham=!0);var ru=Jh.exports;!function(t){t.exports=ru}(Zh);var ou=n(Zh.exports);function su(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")}var au={exports:{}},lu=ru;!function(t){t.exports=lu}(au);var hu=n(au.exports);function uu(t,e){for(var i=0;i<e.length;i++){var n=e[i];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),hu(t,n.key,n)}}function cu(t,e,i){return e&&uu(t.prototype,e),i&&uu(t,i),hu(t,"prototype",{writable:!1}),t}function du(t,e,i){return e in t?hu(t,e,{value:i,enumerable:!0,configurable:!0,writable:!0}):t[e]=i,t}var pu={exports:{}};On({target:"Array",stat:!0},{isArray:ca});var fu=z.Array.isArray,mu=fu;!function(t){t.exports=mu}(pu);var vu=n(pu.exports),gu={exports:{}},yu=l,bu=it,_u=gt("species"),wu=function(t){return bu>=51||!yu((function(){var e=[];return(e.constructor={})[_u]=function(){return{foo:1}},1!==e[t](Boolean).foo}))},ku=On,xu=_,Su=l,Du=ca,Cu=Qt,Mu=L,Tu=Gn,Ou=ps,Pu=za,Eu=wu,Iu=it,Lu=gt("isConcatSpreadable"),Au=9007199254740991,Nu="Maximum allowed index exceeded",Ru=xu.TypeError,Fu=Iu>=51||!Su((function(){var t=[];return t[Lu]=!1,t.concat()[0]!==t})),ju=Eu("concat"),Yu=function(t){if(!Cu(t))return!1;var e=t[Lu];return void 0!==e?!!e:Du(t)};ku({target:"Array",proto:!0,forced:!Fu||!ju},{concat:function(t){var e,i,n,r,o,s=Mu(this),a=Pu(s,0),l=0;for(e=-1,n=arguments.length;e<n;e++)if(Yu(o=-1===e?s:arguments[e])){if(l+(r=Tu(o))>Au)throw Ru(Nu);for(i=0;i<r;i++,l++)i in o&&Ou(a,l,o[i])}else{if(l>=Au)throw Ru(Nu);Ou(a,l++,o)}return a.length=l,a}}),Na("asyncIterator"),Na("hasInstance"),Na("isConcatSpreadable"),Na("iterator"),Na("match"),Na("matchAll"),Na("replace"),Na("search"),Na("species"),Na("split"),Na("toPrimitive"),Na("toStringTag"),Na("unscopables"),no(_.JSON,"JSON",!0);var Hu=z.Symbol,Bu=Hu;Na("asyncDispose"),Na("dispose"),Na("matcher"),Na("metadata"),Na("observable"),Na("patternMatch"),Na("replaceAll");var zu=Bu;!function(t){t.exports=zu}(gu);var Gu=n(gu.exports),Wu={exports:{}},Vu=On,Uu=_,Xu=ca,qu=hs,$u=Qt,Ku=Hn,Zu=Gn,Ju=qi,Qu=ps,tc=gt,ec=Ta,ic=wu("slice"),nc=tc("species"),rc=Uu.Array,oc=Math.max;Vu({target:"Array",proto:!0,forced:!ic},{slice:function(t,e){var i,n,r,o=Ju(this),s=Zu(o),a=Ku(t,s),l=Ku(void 0===e?s:e,s);if(Xu(o)&&(i=o.constructor,(qu(i)&&(i===rc||Xu(i.prototype))||$u(i)&&null===(i=i[nc]))&&(i=void 0),i===rc||void 0===i))return ec(o,a,l);for(n=new(void 0===i?rc:i)(oc(l-a,0)),r=0;a<l;a++,r++)a in o&&Qu(n,r,o[a]);return n.length=r,n}});var sc=z,ac=function(t){return sc[t+"Prototype"]},lc=ac("Array").slice,hc=ge,uc=lc,cc=Array.prototype,dc=function(t){var e=t.slice;return t===cc||hc(cc,t)&&e===cc.slice?uc:e},pc=dc;!function(t){t.exports=pc}(Wu);var fc=n(Wu.exports),mc={exports:{}},vc=zs;!function(t){t.exports=vc}(mc);var gc=n(mc.exports);function yc(t,e){(null==e||e>t.length)&&(e=t.length);for(var i=0,n=new Array(e);i<e;i++)n[i]=t[i];return n}function bc(t,e){var i;if(t){if("string"==typeof t)return yc(t,e);var n=fc(i=Object.prototype.toString.call(t)).call(i,8,-1);return"Object"===n&&t.constructor&&(n=t.constructor.name),"Map"===n||"Set"===n?gc(t):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?yc(t,e):void 0}}function _c(t,e){return function(t){if(vu(t))return t}(t)||function(t,e){var i=null==t?null:void 0!==Gu&&la(t)||t["@@iterator"];if(null!=i){var n,r,o=[],s=!0,a=!1;try{for(i=i.call(t);!(s=(n=i.next()).done)&&(o.push(n.value),!e||o.length!==e);s=!0);}catch(t){a=!0,r=t}finally{try{s||null==i.return||i.return()}finally{if(a)throw r}}return o}}(t,e)||bc(t,e)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}var wc={exports:{}},kc=Oa.f("iterator"),xc=kc;!function(t){t.exports=xc}(wc);var Sc=n(wc.exports);function Dc(t){return(Dc="function"==typeof Gu&&"symbol"==typeof Sc?function(t){return typeof t}:function(t){return t&&"function"==typeof Gu&&t.constructor===Gu&&t!==Gu.prototype?"symbol":typeof t})(t)}function Cc(t){return function(t){if(vu(t))return yc(t)}(t)||function(t){if(void 0!==Gu&&null!=la(t)||null!=t["@@iterator"])return gc(t)}(t)||bc(t)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}var Mc={exports:{}};!function(t){t.exports=Hu}(Mc);var Tc=n(Mc.exports),Oc={exports:{}},Pc=ac("Array").concat,Ec=ge,Ic=Pc,Lc=Array.prototype,Ac=function(t){var e=t.concat;return t===Lc||Ec(Lc,t)&&e===Lc.concat?Ic:e};!function(t){t.exports=Ac}(Oc);var Nc=n(Oc.exports),Rc={exports:{}};!function(t){t.exports=dc}(Rc);var Fc=n(Rc.exports),jc={exports:{}};On({target:"Reflect",stat:!0},{ownKeys:Nh});var Yc=z.Reflect.ownKeys;!function(t){t.exports=Yc}(jc);var Hc=n(jc.exports),Bc={exports:{}};!function(t){t.exports=fu}(Bc);var zc=n(Bc.exports),Gc={exports:{}},Wc=Ka.map;On({target:"Array",proto:!0,forced:!wu("map")},{map:function(t){return Wc(this,t,arguments.length>1?arguments[1]:void 0)}});var Vc=ac("Array").map,Uc=ge,Xc=Vc,qc=Array.prototype,$c=function(t){var e=t.map;return t===qc||Uc(qc,t)&&e===qc.map?Xc:e};!function(t){t.exports=$c}(Gc);var Kc=n(Gc.exports),Zc={exports:{}},Jc=L,Qc=rr;On({target:"Object",stat:!0,forced:l((function(){Qc(1)}))},{keys:function(t){return Qc(Jc(t))}});var td=z.Object.keys;!function(t){t.exports=td}(Zc);var ed=n(Zc.exports),id={exports:{}},nd=On,rd=m,od=_.Date,sd=rd(od.prototype.getTime);nd({target:"Date",stat:!0},{now:function(){return sd(new od)}});var ad=z.Date.now;!function(t){t.exports=ad}(id);var ld=n(id.exports),hd={exports:{}},ud=m,cd=Oe,dd=Qt,pd=R,fd=Ta,md=h,vd=_.Function,gd=ud([].concat),yd=ud([].join),bd={},_d=function(t,e,i){if(!pd(bd,e)){for(var n=[],r=0;r<e;r++)n[r]="a["+r+"]";bd[e]=vd("C,a","return new C("+yd(n,",")+")")}return bd[e](t,i)},wd=md?vd.bind:function(t){var e=cd(this),i=e.prototype,n=fd(arguments,1),r=function(){var i=gd(n,fd(arguments));return this instanceof r?_d(e,i.length,i):e.apply(t,i)};return dd(i)&&(r.prototype=i),r},kd=wd;On({target:"Function",proto:!0,forced:Function.bind!==kd},{bind:kd});var xd=ac("Function").bind,Sd=ge,Dd=xd,Cd=Function.prototype,Md=function(t){var e=t.bind;return t===Cd||Sd(Cd,t)&&e===Cd.bind?Dd:e};!function(t){t.exports=Md}(hd);var Td=n(hd.exports),Od={exports:{}},Pd=l,Ed=function(t,e){var i=[][t];return!!i&&Pd((function(){i.call(null,e||function(){return 1},1)}))},Id=Ka.forEach,Ld=Ed("forEach")?[].forEach:function(t){return Id(this,t,arguments.length>1?arguments[1]:void 0)};On({target:"Array",proto:!0,forced:[].forEach!=Ld},{forEach:Ld});var Ad=ac("Array").forEach,Nd=Et,Rd=R,Fd=ge,jd=Ad,Yd=Array.prototype,Hd={DOMTokenList:!0,NodeList:!0},Bd=function(t){var e=t.forEach;return t===Yd||Fd(Yd,t)&&e===Yd.forEach||Rd(Hd,Nd(t))?jd:e};!function(t){t.exports=Bd}(Od);var zd=n(Od.exports),Gd={exports:{}},Wd=On,Vd=ca,Ud=m([].reverse),Xd=[1,2];Wd({target:"Array",proto:!0,forced:String(Xd)===String(Xd.reverse())},{reverse:function(){return Vd(this)&&(this.length=this.length),Ud(this)}});var qd=ac("Array").reverse,$d=ge,Kd=qd,Zd=Array.prototype,Jd=function(t){var e=t.reverse;return t===Zd||$d(Zd,t)&&e===Zd.reverse?Kd:e};!function(t){t.exports=Jd}(Gd);var Qd=n(Gd.exports),tp={exports:{}},ep=On,ip=_,np=Hn,rp=y,op=Gn,sp=L,ap=za,lp=ps,hp=wu("splice"),up=ip.TypeError,cp=Math.max,dp=Math.min,pp=9007199254740991,fp="Maximum allowed length exceeded";ep({target:"Array",proto:!0,forced:!hp},{splice:function(t,e){var i,n,r,o,s,a,l=sp(this),h=op(l),u=np(t,h),c=arguments.length;if(0===c?i=n=0:1===c?(i=0,n=h-u):(i=c-2,n=dp(cp(rp(e),0),h-u)),h+i-n>pp)throw up(fp);for(r=ap(l,n),o=0;o<n;o++)(s=u+o)in l&&lp(r,o,l[s]);if(r.length=n,i<n){for(o=u;o<h-n;o++)a=o+i,(s=o+n)in l?l[a]=l[s]:delete l[a];for(o=h;o>h-n+i;o--)delete l[o-1]}else if(i>n)for(o=h-n;o>u;o--)a=o+i-1,(s=o+n-1)in l?l[a]=l[s]:delete l[a];for(o=0;o<i;o++)l[o+u]=arguments[o+2];return l.length=h-n+i,r}});var mp=ac("Array").splice,vp=ge,gp=mp,yp=Array.prototype,bp=function(t){var e=t.splice;return t===yp||vp(yp,t)&&e===yp.splice?gp:e};!function(t){t.exports=bp}(tp);var _p=n(tp.exports),wp={exports:{}},kp=te,xp=m,Sp=ve,Dp=l,Cp=rr,Mp=Ma,Tp=Ri,Op=L,Pp=Vi,Ep=Object.assign,Ip=Object.defineProperty,Lp=xp([].concat),Ap=!Ep||Dp((function(){if(kp&&1!==Ep({b:1},Ep(Ip({},"a",{enumerable:!0,get:function(){Ip(this,"b",{value:3,enumerable:!1})}}),{b:2})).b)return!0;var t={},e={},i=Symbol(),n="abcdefghijklmnopqrst";return t[i]=7,n.split("").forEach((function(t){e[t]=t})),7!=Ep({},t)[i]||Cp(Ep({},e)).join("")!=n}))?function(t,e){for(var i=Op(t),n=arguments.length,r=1,o=Mp.f,s=Tp.f;n>r;)for(var a,l=Pp(arguments[r++]),h=o?Lp(Cp(l),o(l)):Cp(l),u=h.length,c=0;u>c;)a=h[c++],kp&&!Sp(s,l,a)||(i[a]=l[a]);return i}:Ep;On({target:"Object",stat:!0,forced:Object.assign!==Ap},{assign:Ap});var Np=z.Object.assign;!function(t){t.exports=Np}(wp);var Rp=n(wp.exports),Fp={exports:{}},jp=qn.includes;On({target:"Array",proto:!0},{includes:function(t){return jp(this,t,arguments.length>1?arguments[1]:void 0)}});var Yp=ac("Array").includes,Hp=Qt,Bp=xt,zp=gt("match"),Gp=_.TypeError,Wp=gt("match"),Vp=On,Up=function(t){if(function(t){var e;return Hp(t)&&(void 0!==(e=t[zp])?!!e:"RegExp"==Bp(t))}(t))throw Gp("The method doesn't accept regular expressions");return t},Xp=P,qp=At,$p=m("".indexOf);Vp({target:"String",proto:!0,forced:!function(t){var e=/./;try{"/./"[t](e)}catch(i){try{return e[Wp]=!1,"/./"[t](e)}catch(t){}}return!1}("includes")},{includes:function(t){return!!~$p(qp(Xp(this)),qp(Up(t)),arguments.length>1?arguments[1]:void 0)}});var Kp=ac("String").includes,Zp=ge,Jp=Yp,Qp=Kp,tf=Array.prototype,ef=String.prototype,nf=function(t){var e=t.includes;return t===tf||Zp(tf,t)&&e===tf.includes?Jp:"string"==typeof t||t===ef||Zp(ef,t)&&e===ef.includes?Qp:e};!function(t){t.exports=nf}(Fp);var rf=n(Fp.exports),of={exports:{}},sf=L,af=Fr,lf=Tr;On({target:"Object",stat:!0,forced:l((function(){af(1)})),sham:!lf},{getPrototypeOf:function(t){return af(sf(t))}});var hf=z.Object.getPrototypeOf;!function(t){t.exports=hf}(of);var uf=n(of.exports),cf={exports:{}},df=Ka.filter;On({target:"Array",proto:!0,forced:!wu("filter")},{filter:function(t){return df(this,t,arguments.length>1?arguments[1]:void 0)}});var pf=ac("Array").filter,ff=ge,mf=pf,vf=Array.prototype,gf=function(t){var e=t.filter;return t===vf||ff(vf,t)&&e===vf.filter?mf:e};!function(t){t.exports=gf}(cf);var yf=n(cf.exports),bf={exports:{}},_f=te,wf=m,kf=rr,xf=qi,Sf=wf(Ri.f),Df=wf([].push),Cf=function(t){return function(e){for(var i,n=xf(e),r=kf(n),o=r.length,s=0,a=[];o>s;)i=r[s++],_f&&!Sf(n,i)||Df(a,t?[i,n[i]]:n[i]);return a}},Mf=(Cf(!0),Cf(!1));On({target:"Object",stat:!0},{values:function(t){return Mf(t)}});var Tf=z.Object.values;!function(t){t.exports=Tf}(bf);var Of=n(bf.exports),Pf={exports:{}},Ef="\t\n\v\f\r                　\u2028\u2029\ufeff",If=P,Lf=At,Af=m("".replace),Nf="[\t\n\v\f\r                　\u2028\u2029\ufeff]",Rf=RegExp("^"+Nf+Nf+"*"),Ff=RegExp(Nf+Nf+"*$"),jf=function(t){return function(e){var i=Lf(If(e));return 1&t&&(i=Af(i,Rf,"")),2&t&&(i=Af(i,Ff,"")),i}},Yf={start:jf(1),end:jf(2),trim:jf(3)},Hf=_,Bf=l,zf=m,Gf=At,Wf=Yf.trim,Vf=Ef,Uf=Hf.parseInt,Xf=Hf.Symbol,qf=Xf&&Xf.iterator,$f=/^[+-]?0x/i,Kf=zf($f.exec),Zf=8!==Uf(Vf+"08")||22!==Uf(Vf+"0x16")||qf&&!Bf((function(){Uf(Object(qf))}))?function(t,e){var i=Wf(Gf(t));return Uf(i,e>>>0||(Kf($f,i)?16:10))}:Uf;On({global:!0,forced:parseInt!=Zf},{parseInt:Zf});var Jf=z.parseInt;!function(t){t.exports=Jf}(Pf);var Qf=n(Pf.exports),tm={exports:{}},em=On,im=qn.indexOf,nm=Ed,rm=m([].indexOf),om=!!rm&&1/rm([1],1,-0)<0,sm=nm("indexOf");em({target:"Array",proto:!0,forced:om||!sm},{indexOf:function(t){var e=arguments.length>1?arguments[1]:void 0;return om?rm(this,t,e)||0:im(this,t,e)}});var am=ac("Array").indexOf,lm=ge,hm=am,um=Array.prototype,cm=function(t){var e=t.indexOf;return t===um||lm(um,t)&&e===um.indexOf?hm:e};!function(t){t.exports=cm}(tm);var dm=n(tm.exports),pm={exports:{}},fm=Nn.PROPER,mm=l,vm=Ef,gm=Yf.trim;On({target:"String",proto:!0,forced:function(t){return mm((function(){return!!vm[t]()||"​᠎"!=="​᠎"[t]()||fm&&vm[t].name!==t}))}("trim")},{trim:function(){return gm(this)}});var ym=ac("String").trim,bm=ge,_m=ym,wm=String.prototype,km=function(t){var e=t.trim;return"string"==typeof t||t===wm||bm(wm,t)&&e===wm.trim?_m:e};!function(t){t.exports=km}(pm);var xm=n(pm.exports),Sm={exports:{}};On({target:"Object",stat:!0,sham:!te},{create:Mr});var Dm=z.Object,Cm=function(t,e){return Dm.create(t,e)};!function(t){t.exports=Cm}(Sm);var Mm=n(Sm.exports),Tm={exports:{}},Om=On,Pm=q,Em=Ai,Im=m,Lm=l,Am=_.Array,Nm=Pm("JSON","stringify"),Rm=Im(/./.exec),Fm=Im("".charAt),jm=Im("".charCodeAt),Ym=Im("".replace),Hm=Im(1..toString),Bm=/[\uD800-\uDFFF]/g,zm=/^[\uD800-\uDBFF]$/,Gm=/^[\uDC00-\uDFFF]$/,Wm=function(t,e,i){var n=Fm(i,e-1),r=Fm(i,e+1);return Rm(zm,t)&&!Rm(Gm,r)||Rm(Gm,t)&&!Rm(zm,n)?"\\u"+Hm(jm(t,0),16):t},Vm=Lm((function(){return'"\\udf06\\ud834"'!==Nm("\udf06\ud834")||'"\\udead"'!==Nm("\udead")}));Nm&&Om({target:"JSON",stat:!0,forced:Vm},{stringify:function(t,e,i){for(var n=0,r=arguments.length,o=Am(r);n<r;n++)o[n]=arguments[n];var s=Em(Nm,null,o);return"string"==typeof s?Ym(s,Bm,Wm):s}});var Um=z,Xm=Ai;Um.JSON||(Um.JSON={stringify:JSON.stringify});var qm=function(t,e,i){return Xm(Um.JSON.stringify,null,arguments)};!function(t){t.exports=qm}(Tm);var $m=n(Tm.exports),Km={exports:{}},Zm=_.TypeError,Jm=function(t,e){if(t<e)throw Zm("Not enough arguments");return t},Qm=On,tv=_,ev=Ai,iv=G,nv=Ta,rv=Jm,ov=/MSIE .\./.test($),sv=tv.Function,av=function(t){return function(e,i){var n=rv(arguments.length,1)>2,r=iv(e)?e:sv(e),o=n?nv(arguments,2):void 0;return t(n?function(){ev(r,this,o)}:r,i)}};Qm({global:!0,bind:!0,forced:ov},{setTimeout:av(tv.setTimeout),setInterval:av(tv.setInterval)});var lv=z.setTimeout;!function(t){t.exports=lv}(Km);var hv=n(Km.exports),uv={exports:{}},cv=L,dv=Hn,pv=Gn;On({target:"Array",proto:!0},{fill:function(t){for(var e=cv(this),i=pv(e),n=arguments.length,r=dv(n>1?arguments[1]:void 0,i),o=n>2?arguments[2]:void 0,s=void 0===o?i:dv(o,i);s>r;)e[r++]=t;return e}});var fv=ac("Array").fill,mv=ge,vv=fv,gv=Array.prototype,yv=function(t){var e=t.fill;return t===gv||mv(gv,t)&&e===gv.fill?vv:e};!function(t){t.exports=yv}(uv);var bv=n(uv.exports),_v={exports:{}};!function(t){function e(t){if(t)return function(t){for(var i in e.prototype)t[i]=e.prototype[i];return t}(t)}t.exports=e,e.prototype.on=e.prototype.addEventListener=function(t,e){return this._callbacks=this._callbacks||{},(this._callbacks["$"+t]=this._callbacks["$"+t]||[]).push(e),this},e.prototype.once=function(t,e){function i(){this.off(t,i),e.apply(this,arguments)}return i.fn=e,this.on(t,i),this},e.prototype.off=e.prototype.removeListener=e.prototype.removeAllListeners=e.prototype.removeEventListener=function(t,e){if(this._callbacks=this._callbacks||{},0==arguments.length)return this._callbacks={},this;var i,n=this._callbacks["$"+t];if(!n)return this;if(1==arguments.length)return delete this._callbacks["$"+t],this;for(var r=0;r<n.length;r++)if((i=n[r])===e||i.fn===e){n.splice(r,1);break}return 0===n.length&&delete this._callbacks["$"+t],this},e.prototype.emit=function(t){this._callbacks=this._callbacks||{};for(var e=new Array(arguments.length-1),i=this._callbacks["$"+t],n=1;n<arguments.length;n++)e[n-1]=arguments[n];if(i){n=0;for(var r=(i=i.slice(0)).length;n<r;++n)i[n].apply(this,e)}return this},e.prototype.listeners=function(t){return this._callbacks=this._callbacks||{},this._callbacks["$"+t]||[]},e.prototype.hasListeners=function(t){return!!this.listeners(t).length}}(_v);var wv=_v.exports;
/*! Hammer.JS - v2.0.17-rc - 2019-12-16
	 * http://naver.github.io/egjs
	 *
	 * Forked By Naver egjs
	 * Copyright (c) hammerjs
	 * Licensed under the MIT license */function kv(){return(kv=Object.assign||function(t){for(var e=1;e<arguments.length;e++){var i=arguments[e];for(var n in i)Object.prototype.hasOwnProperty.call(i,n)&&(t[n]=i[n])}return t}).apply(this,arguments)}function xv(t,e){t.prototype=Object.create(e.prototype),t.prototype.constructor=t,t.__proto__=e}function Sv(t){if(void 0===t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return t}var Dv,Cv="function"!=typeof Object.assign?function(t){if(null==t)throw new TypeError("Cannot convert undefined or null to object");for(var e=Object(t),i=1;i<arguments.length;i++){var n=arguments[i];if(null!=n)for(var r in n)n.hasOwnProperty(r)&&(e[r]=n[r])}return e}:Object.assign,Mv=["","webkit","Moz","MS","ms","o"],Tv="undefined"==typeof document?{style:{}}:document.createElement("div"),Ov=Math.round,Pv=Math.abs,Ev=Date.now;function Iv(t,e){for(var i,n,r=e[0].toUpperCase()+e.slice(1),o=0;o<Mv.length;){if((n=(i=Mv[o])?i+r:e)in t)return n;o++}}Dv="undefined"==typeof window?{}:window;var Lv=Iv(Tv.style,"touchAction"),Av=void 0!==Lv,Nv="compute",Rv="auto",Fv="manipulation",jv="none",Yv="pan-x",Hv="pan-y",Bv=function(){if(!Av)return!1;var t={},e=Dv.CSS&&Dv.CSS.supports;return["auto","manipulation","pan-y","pan-x","pan-x pan-y","none"].forEach((function(i){return t[i]=!e||Dv.CSS.supports("touch-action",i)})),t}(),zv="ontouchstart"in Dv,Gv=void 0!==Iv(Dv,"PointerEvent"),Wv=zv&&/mobile|tablet|ip(ad|hone|od)|android/i.test(navigator.userAgent),Vv="touch",Uv="mouse",Xv=["x","y"],qv=["clientX","clientY"];function $v(t,e,i){var n;if(t)if(t.forEach)t.forEach(e,i);else if(void 0!==t.length)for(n=0;n<t.length;)e.call(i,t[n],n,t),n++;else for(n in t)t.hasOwnProperty(n)&&e.call(i,t[n],n,t)}function Kv(t,e){return"function"==typeof t?t.apply(e&&e[0]||void 0,e):t}function Zv(t,e){return t.indexOf(e)>-1}var Jv=function(){function t(t,e){this.manager=t,this.set(e)}var e=t.prototype;return e.set=function(t){t===Nv&&(t=this.compute()),Av&&this.manager.element.style&&Bv[t]&&(this.manager.element.style[Lv]=t),this.actions=t.toLowerCase().trim()},e.update=function(){this.set(this.manager.options.touchAction)},e.compute=function(){var t=[];return $v(this.manager.recognizers,(function(e){Kv(e.options.enable,[e])&&(t=t.concat(e.getTouchAction()))})),function(t){if(Zv(t,jv))return jv;var e=Zv(t,Yv),i=Zv(t,Hv);return e&&i?jv:e||i?e?Yv:Hv:Zv(t,Fv)?Fv:Rv}(t.join(" "))},e.preventDefaults=function(t){var e=t.srcEvent,i=t.offsetDirection;if(this.manager.session.prevented)e.preventDefault();else{var n=this.actions,r=Zv(n,jv)&&!Bv.none,o=Zv(n,Hv)&&!Bv["pan-y"],s=Zv(n,Yv)&&!Bv["pan-x"];if(r){var a=1===t.pointers.length,l=t.distance<2,h=t.deltaTime<250;if(a&&l&&h)return}if(!s||!o)return r||o&&6&i||s&&24&i?this.preventSrc(e):void 0}},e.preventSrc=function(t){this.manager.session.prevented=!0,t.preventDefault()},t}();function Qv(t,e){for(;t;){if(t===e)return!0;t=t.parentNode}return!1}function tg(t){var e=t.length;if(1===e)return{x:Ov(t[0].clientX),y:Ov(t[0].clientY)};for(var i=0,n=0,r=0;r<e;)i+=t[r].clientX,n+=t[r].clientY,r++;return{x:Ov(i/e),y:Ov(n/e)}}function eg(t){for(var e=[],i=0;i<t.pointers.length;)e[i]={clientX:Ov(t.pointers[i].clientX),clientY:Ov(t.pointers[i].clientY)},i++;return{timeStamp:Ev(),pointers:e,center:tg(e),deltaX:t.deltaX,deltaY:t.deltaY}}function ig(t,e,i){i||(i=Xv);var n=e[i[0]]-t[i[0]],r=e[i[1]]-t[i[1]];return Math.sqrt(n*n+r*r)}function ng(t,e,i){i||(i=Xv);var n=e[i[0]]-t[i[0]],r=e[i[1]]-t[i[1]];return 180*Math.atan2(r,n)/Math.PI}function rg(t,e){return t===e?1:Pv(t)>=Pv(e)?t<0?2:4:e<0?8:16}function og(t,e,i){return{x:e/t||0,y:i/t||0}}function sg(t,e,i){var n=i.pointers.length,r=i.changedPointers.length,o=1&e&&n-r==0,s=12&e&&n-r==0;i.isFirst=!!o,i.isFinal=!!s,o&&(t.session={}),i.eventType=e,function(t,e){var i=t.session,n=e.pointers,r=n.length;i.firstInput||(i.firstInput=eg(e)),r>1&&!i.firstMultiple?i.firstMultiple=eg(e):1===r&&(i.firstMultiple=!1);var o=i.firstInput,s=i.firstMultiple,a=s?s.center:o.center,l=e.center=tg(n);e.timeStamp=Ev(),e.deltaTime=e.timeStamp-o.timeStamp,e.angle=ng(a,l),e.distance=ig(a,l),function(t,e){var i=e.center,n=t.offsetDelta||{},r=t.prevDelta||{},o=t.prevInput||{};1!==e.eventType&&4!==o.eventType||(r=t.prevDelta={x:o.deltaX||0,y:o.deltaY||0},n=t.offsetDelta={x:i.x,y:i.y}),e.deltaX=r.x+(i.x-n.x),e.deltaY=r.y+(i.y-n.y)}(i,e),e.offsetDirection=rg(e.deltaX,e.deltaY);var h,u,c=og(e.deltaTime,e.deltaX,e.deltaY);e.overallVelocityX=c.x,e.overallVelocityY=c.y,e.overallVelocity=Pv(c.x)>Pv(c.y)?c.x:c.y,e.scale=s?(h=s.pointers,ig((u=n)[0],u[1],qv)/ig(h[0],h[1],qv)):1,e.rotation=s?function(t,e){return ng(e[1],e[0],qv)+ng(t[1],t[0],qv)}(s.pointers,n):0,e.maxPointers=i.prevInput?e.pointers.length>i.prevInput.maxPointers?e.pointers.length:i.prevInput.maxPointers:e.pointers.length,function(t,e){var i,n,r,o,s=t.lastInterval||e,a=e.timeStamp-s.timeStamp;if(8!==e.eventType&&(a>25||void 0===s.velocity)){var l=e.deltaX-s.deltaX,h=e.deltaY-s.deltaY,u=og(a,l,h);n=u.x,r=u.y,i=Pv(u.x)>Pv(u.y)?u.x:u.y,o=rg(l,h),t.lastInterval=e}else i=s.velocity,n=s.velocityX,r=s.velocityY,o=s.direction;e.velocity=i,e.velocityX=n,e.velocityY=r,e.direction=o}(i,e);var d,p=t.element,f=e.srcEvent;Qv(d=f.composedPath?f.composedPath()[0]:f.path?f.path[0]:f.target,p)&&(p=d),e.target=p}(t,i),t.emit("hammer.input",i),t.recognize(i),t.session.prevInput=i}function ag(t){return t.trim().split(/\s+/g)}function lg(t,e,i){$v(ag(e),(function(e){t.addEventListener(e,i,!1)}))}function hg(t,e,i){$v(ag(e),(function(e){t.removeEventListener(e,i,!1)}))}function ug(t){var e=t.ownerDocument||t;return e.defaultView||e.parentWindow||window}var cg=function(){function t(t,e){var i=this;this.manager=t,this.callback=e,this.element=t.element,this.target=t.options.inputTarget,this.domHandler=function(e){Kv(t.options.enable,[t])&&i.handler(e)},this.init()}var e=t.prototype;return e.handler=function(){},e.init=function(){this.evEl&&lg(this.element,this.evEl,this.domHandler),this.evTarget&&lg(this.target,this.evTarget,this.domHandler),this.evWin&&lg(ug(this.element),this.evWin,this.domHandler)},e.destroy=function(){this.evEl&&hg(this.element,this.evEl,this.domHandler),this.evTarget&&hg(this.target,this.evTarget,this.domHandler),this.evWin&&hg(ug(this.element),this.evWin,this.domHandler)},t}();function dg(t,e,i){if(t.indexOf&&!i)return t.indexOf(e);for(var n=0;n<t.length;){if(i&&t[n][i]==e||!i&&t[n]===e)return n;n++}return-1}var pg={pointerdown:1,pointermove:2,pointerup:4,pointercancel:8,pointerout:8},fg={2:Vv,3:"pen",4:Uv,5:"kinect"},mg="pointerdown",vg="pointermove pointerup pointercancel";Dv.MSPointerEvent&&!Dv.PointerEvent&&(mg="MSPointerDown",vg="MSPointerMove MSPointerUp MSPointerCancel");var gg=function(t){function e(){var i,n=e.prototype;return n.evEl=mg,n.evWin=vg,(i=t.apply(this,arguments)||this).store=i.manager.session.pointerEvents=[],i}return xv(e,t),e.prototype.handler=function(t){var e=this.store,i=!1,n=t.type.toLowerCase().replace("ms",""),r=pg[n],o=fg[t.pointerType]||t.pointerType,s=o===Vv,a=dg(e,t.pointerId,"pointerId");1&r&&(0===t.button||s)?a<0&&(e.push(t),a=e.length-1):12&r&&(i=!0),a<0||(e[a]=t,this.callback(this.manager,r,{pointers:e,changedPointers:[t],pointerType:o,srcEvent:t}),i&&e.splice(a,1))},e}(cg);function yg(t){return Array.prototype.slice.call(t,0)}function bg(t,e,i){for(var n=[],r=[],o=0;o<t.length;){var s=e?t[o][e]:t[o];dg(r,s)<0&&n.push(t[o]),r[o]=s,o++}return i&&(n=e?n.sort((function(t,i){return t[e]>i[e]})):n.sort()),n}var _g={touchstart:1,touchmove:2,touchend:4,touchcancel:8},wg="touchstart touchmove touchend touchcancel",kg=function(t){function e(){var i;return e.prototype.evTarget=wg,(i=t.apply(this,arguments)||this).targetIds={},i}return xv(e,t),e.prototype.handler=function(t){var e=_g[t.type],i=xg.call(this,t,e);i&&this.callback(this.manager,e,{pointers:i[0],changedPointers:i[1],pointerType:Vv,srcEvent:t})},e}(cg);function xg(t,e){var i,n,r=yg(t.touches),o=this.targetIds;if(3&e&&1===r.length)return o[r[0].identifier]=!0,[r,r];var s=yg(t.changedTouches),a=[],l=this.target;if(n=r.filter((function(t){return Qv(t.target,l)})),1===e)for(i=0;i<n.length;)o[n[i].identifier]=!0,i++;for(i=0;i<s.length;)o[s[i].identifier]&&a.push(s[i]),12&e&&delete o[s[i].identifier],i++;return a.length?[bg(n.concat(a),"identifier",!0),a]:void 0}var Sg={mousedown:1,mousemove:2,mouseup:4},Dg="mousedown",Cg="mousemove mouseup",Mg=function(t){function e(){var i,n=e.prototype;return n.evEl=Dg,n.evWin=Cg,(i=t.apply(this,arguments)||this).pressed=!1,i}return xv(e,t),e.prototype.handler=function(t){var e=Sg[t.type];1&e&&0===t.button&&(this.pressed=!0),2&e&&1!==t.which&&(e=4),this.pressed&&(4&e&&(this.pressed=!1),this.callback(this.manager,e,{pointers:[t],changedPointers:[t],pointerType:Uv,srcEvent:t}))},e}(cg);function Tg(t){var e=t.changedPointers[0];if(e.identifier===this.primaryTouch){var i={x:e.clientX,y:e.clientY},n=this.lastTouches;this.lastTouches.push(i),setTimeout((function(){var t=n.indexOf(i);t>-1&&n.splice(t,1)}),2500)}}function Og(t,e){1&t?(this.primaryTouch=e.changedPointers[0].identifier,Tg.call(this,e)):12&t&&Tg.call(this,e)}function Pg(t){for(var e=t.srcEvent.clientX,i=t.srcEvent.clientY,n=0;n<this.lastTouches.length;n++){var r=this.lastTouches[n],o=Math.abs(e-r.x),s=Math.abs(i-r.y);if(o<=25&&s<=25)return!0}return!1}var Eg=function(t){function e(e,i){var n;return(n=t.call(this,e,i)||this).handler=function(t,e,i){var r=i.pointerType===Vv,o=i.pointerType===Uv;if(!(o&&i.sourceCapabilities&&i.sourceCapabilities.firesTouchEvents)){if(r)Og.call(Sv(Sv(n)),e,i);else if(o&&Pg.call(Sv(Sv(n)),i))return;n.callback(t,e,i)}},n.touch=new kg(n.manager,n.handler),n.mouse=new Mg(n.manager,n.handler),n.primaryTouch=null,n.lastTouches=[],n}return xv(e,t),e.prototype.destroy=function(){this.touch.destroy(),this.mouse.destroy()},e}(cg);function Ig(t,e,i){return!!Array.isArray(t)&&($v(t,i[e],i),!0)}var Lg=32,Ag=1;function Ng(t,e){var i=e.manager;return i?i.get(t):t}function Rg(t){return 16&t?"cancel":8&t?"end":4&t?"move":2&t?"start":""}var Fg=function(){function t(t){void 0===t&&(t={}),this.options=kv({enable:!0},t),this.id=Ag++,this.manager=null,this.state=1,this.simultaneous={},this.requireFail=[]}var e=t.prototype;return e.set=function(t){return Cv(this.options,t),this.manager&&this.manager.touchAction.update(),this},e.recognizeWith=function(t){if(Ig(t,"recognizeWith",this))return this;var e=this.simultaneous;return e[(t=Ng(t,this)).id]||(e[t.id]=t,t.recognizeWith(this)),this},e.dropRecognizeWith=function(t){return Ig(t,"dropRecognizeWith",this)||(t=Ng(t,this),delete this.simultaneous[t.id]),this},e.requireFailure=function(t){if(Ig(t,"requireFailure",this))return this;var e=this.requireFail;return-1===dg(e,t=Ng(t,this))&&(e.push(t),t.requireFailure(this)),this},e.dropRequireFailure=function(t){if(Ig(t,"dropRequireFailure",this))return this;t=Ng(t,this);var e=dg(this.requireFail,t);return e>-1&&this.requireFail.splice(e,1),this},e.hasRequireFailures=function(){return this.requireFail.length>0},e.canRecognizeWith=function(t){return!!this.simultaneous[t.id]},e.emit=function(t){var e=this,i=this.state;function n(i){e.manager.emit(i,t)}i<8&&n(e.options.event+Rg(i)),n(e.options.event),t.additionalEvent&&n(t.additionalEvent),i>=8&&n(e.options.event+Rg(i))},e.tryEmit=function(t){if(this.canEmit())return this.emit(t);this.state=Lg},e.canEmit=function(){for(var t=0;t<this.requireFail.length;){if(!(33&this.requireFail[t].state))return!1;t++}return!0},e.recognize=function(t){var e=Cv({},t);if(!Kv(this.options.enable,[this,e]))return this.reset(),void(this.state=Lg);56&this.state&&(this.state=1),this.state=this.process(e),30&this.state&&this.tryEmit(e)},e.process=function(t){},e.getTouchAction=function(){},e.reset=function(){},t}(),jg=function(t){function e(e){var i;return void 0===e&&(e={}),(i=t.call(this,kv({event:"tap",pointers:1,taps:1,interval:300,time:250,threshold:9,posThreshold:10},e))||this).pTime=!1,i.pCenter=!1,i._timer=null,i._input=null,i.count=0,i}xv(e,t);var i=e.prototype;return i.getTouchAction=function(){return[Fv]},i.process=function(t){var e=this,i=this.options,n=t.pointers.length===i.pointers,r=t.distance<i.threshold,o=t.deltaTime<i.time;if(this.reset(),1&t.eventType&&0===this.count)return this.failTimeout();if(r&&o&&n){if(4!==t.eventType)return this.failTimeout();var s=!this.pTime||t.timeStamp-this.pTime<i.interval,a=!this.pCenter||ig(this.pCenter,t.center)<i.posThreshold;if(this.pTime=t.timeStamp,this.pCenter=t.center,a&&s?this.count+=1:this.count=1,this._input=t,0==this.count%i.taps)return this.hasRequireFailures()?(this._timer=setTimeout((function(){e.state=8,e.tryEmit()}),i.interval),2):8}return Lg},i.failTimeout=function(){var t=this;return this._timer=setTimeout((function(){t.state=Lg}),this.options.interval),Lg},i.reset=function(){clearTimeout(this._timer)},i.emit=function(){8===this.state&&(this._input.tapCount=this.count,this.manager.emit(this.options.event,this._input))},e}(Fg),Yg=function(t){function e(e){return void 0===e&&(e={}),t.call(this,kv({pointers:1},e))||this}xv(e,t);var i=e.prototype;return i.attrTest=function(t){var e=this.options.pointers;return 0===e||t.pointers.length===e},i.process=function(t){var e=this.state,i=t.eventType,n=6&e,r=this.attrTest(t);return n&&(8&i||!r)?16|e:n||r?4&i?8|e:2&e?4|e:2:Lg},e}(Fg);function Hg(t){return 16===t?"down":8===t?"up":2===t?"left":4===t?"right":""}var Bg=function(t){function e(e){var i;return void 0===e&&(e={}),(i=t.call(this,kv({event:"pan",threshold:10,pointers:1,direction:30},e))||this).pX=null,i.pY=null,i}xv(e,t);var i=e.prototype;return i.getTouchAction=function(){var t=this.options.direction,e=[];return 6&t&&e.push(Hv),24&t&&e.push(Yv),e},i.directionTest=function(t){var e=this.options,i=!0,n=t.distance,r=t.direction,o=t.deltaX,s=t.deltaY;return r&e.direction||(6&e.direction?(r=0===o?1:o<0?2:4,i=o!==this.pX,n=Math.abs(t.deltaX)):(r=0===s?1:s<0?8:16,i=s!==this.pY,n=Math.abs(t.deltaY))),t.direction=r,i&&n>e.threshold&&r&e.direction},i.attrTest=function(t){return Yg.prototype.attrTest.call(this,t)&&(2&this.state||!(2&this.state)&&this.directionTest(t))},i.emit=function(e){this.pX=e.deltaX,this.pY=e.deltaY;var i=Hg(e.direction);i&&(e.additionalEvent=this.options.event+i),t.prototype.emit.call(this,e)},e}(Yg),zg=function(t){function e(e){return void 0===e&&(e={}),t.call(this,kv({event:"swipe",threshold:10,velocity:.3,direction:30,pointers:1},e))||this}xv(e,t);var i=e.prototype;return i.getTouchAction=function(){return Bg.prototype.getTouchAction.call(this)},i.attrTest=function(e){var i,n=this.options.direction;return 30&n?i=e.overallVelocity:6&n?i=e.overallVelocityX:24&n&&(i=e.overallVelocityY),t.prototype.attrTest.call(this,e)&&n&e.offsetDirection&&e.distance>this.options.threshold&&e.maxPointers===this.options.pointers&&Pv(i)>this.options.velocity&&4&e.eventType},i.emit=function(t){var e=Hg(t.offsetDirection);e&&this.manager.emit(this.options.event+e,t),this.manager.emit(this.options.event,t)},e}(Yg),Gg=function(t){function e(e){return void 0===e&&(e={}),t.call(this,kv({event:"pinch",threshold:0,pointers:2},e))||this}xv(e,t);var i=e.prototype;return i.getTouchAction=function(){return[jv]},i.attrTest=function(e){return t.prototype.attrTest.call(this,e)&&(Math.abs(e.scale-1)>this.options.threshold||2&this.state)},i.emit=function(e){if(1!==e.scale){var i=e.scale<1?"in":"out";e.additionalEvent=this.options.event+i}t.prototype.emit.call(this,e)},e}(Yg),Wg=function(t){function e(e){return void 0===e&&(e={}),t.call(this,kv({event:"rotate",threshold:0,pointers:2},e))||this}xv(e,t);var i=e.prototype;return i.getTouchAction=function(){return[jv]},i.attrTest=function(e){return t.prototype.attrTest.call(this,e)&&(Math.abs(e.rotation)>this.options.threshold||2&this.state)},e}(Yg),Vg=function(t){function e(e){var i;return void 0===e&&(e={}),(i=t.call(this,kv({event:"press",pointers:1,time:251,threshold:9},e))||this)._timer=null,i._input=null,i}xv(e,t);var i=e.prototype;return i.getTouchAction=function(){return[Rv]},i.process=function(t){var e=this,i=this.options,n=t.pointers.length===i.pointers,r=t.distance<i.threshold,o=t.deltaTime>i.time;if(this._input=t,!r||!n||12&t.eventType&&!o)this.reset();else if(1&t.eventType)this.reset(),this._timer=setTimeout((function(){e.state=8,e.tryEmit()}),i.time);else if(4&t.eventType)return 8;return Lg},i.reset=function(){clearTimeout(this._timer)},i.emit=function(t){8===this.state&&(t&&4&t.eventType?this.manager.emit(this.options.event+"up",t):(this._input.timeStamp=Ev(),this.manager.emit(this.options.event,this._input)))},e}(Fg),Ug={domEvents:!1,touchAction:Nv,enable:!0,inputTarget:null,inputClass:null,cssProps:{userSelect:"none",touchSelect:"none",touchCallout:"none",contentZooming:"none",userDrag:"none",tapHighlightColor:"rgba(0,0,0,0)"}},Xg=[[Wg,{enable:!1}],[Gg,{enable:!1},["rotate"]],[zg,{direction:6}],[Bg,{direction:6},["swipe"]],[jg],[jg,{event:"doubletap",taps:2},["tap"]],[Vg]];function qg(t,e){var i,n=t.element;n.style&&($v(t.options.cssProps,(function(r,o){i=Iv(n.style,o),e?(t.oldCssProps[i]=n.style[i],n.style[i]=r):n.style[i]=t.oldCssProps[i]||""})),e||(t.oldCssProps={}))}var $g=function(){function t(t,e){var i=this;this.options=Cv({},Ug,e||{}),this.options.inputTarget=this.options.inputTarget||t,this.handlers={},this.session={},this.recognizers=[],this.oldCssProps={},this.element=t,this.input=new(this.options.inputClass||(Gv?gg:Wv?kg:zv?Eg:Mg))(this,sg),this.touchAction=new Jv(this,this.options.touchAction),qg(this,!0),$v(this.options.recognizers,(function(t){var e=i.add(new t[0](t[1]));t[2]&&e.recognizeWith(t[2]),t[3]&&e.requireFailure(t[3])}),this)}var e=t.prototype;return e.set=function(t){return Cv(this.options,t),t.touchAction&&this.touchAction.update(),t.inputTarget&&(this.input.destroy(),this.input.target=t.inputTarget,this.input.init()),this},e.stop=function(t){this.session.stopped=t?2:1},e.recognize=function(t){var e=this.session;if(!e.stopped){var i;this.touchAction.preventDefaults(t);var n=this.recognizers,r=e.curRecognizer;(!r||r&&8&r.state)&&(e.curRecognizer=null,r=null);for(var o=0;o<n.length;)i=n[o],2===e.stopped||r&&i!==r&&!i.canRecognizeWith(r)?i.reset():i.recognize(t),!r&&14&i.state&&(e.curRecognizer=i,r=i),o++}},e.get=function(t){if(t instanceof Fg)return t;for(var e=this.recognizers,i=0;i<e.length;i++)if(e[i].options.event===t)return e[i];return null},e.add=function(t){if(Ig(t,"add",this))return this;var e=this.get(t.options.event);return e&&this.remove(e),this.recognizers.push(t),t.manager=this,this.touchAction.update(),t},e.remove=function(t){if(Ig(t,"remove",this))return this;var e=this.get(t);if(t){var i=this.recognizers,n=dg(i,e);-1!==n&&(i.splice(n,1),this.touchAction.update())}return this},e.on=function(t,e){if(void 0===t||void 0===e)return this;var i=this.handlers;return $v(ag(t),(function(t){i[t]=i[t]||[],i[t].push(e)})),this},e.off=function(t,e){if(void 0===t)return this;var i=this.handlers;return $v(ag(t),(function(t){e?i[t]&&i[t].splice(dg(i[t],e),1):delete i[t]})),this},e.emit=function(t,e){this.options.domEvents&&function(t,e){var i=document.createEvent("Event");i.initEvent(t,!0,!0),i.gesture=e,e.target.dispatchEvent(i)}(t,e);var i=this.handlers[t]&&this.handlers[t].slice();if(i&&i.length){e.type=t,e.preventDefault=function(){e.srcEvent.preventDefault()};for(var n=0;n<i.length;)i[n](e),n++}},e.destroy=function(){this.element&&qg(this,!1),this.handlers={},this.session={},this.input.destroy(),this.element=null},t}(),Kg={touchstart:1,touchmove:2,touchend:4,touchcancel:8},Zg="touchstart",Jg="touchstart touchmove touchend touchcancel",Qg=function(t){function e(){var i,n=e.prototype;return n.evTarget=Zg,n.evWin=Jg,(i=t.apply(this,arguments)||this).started=!1,i}return xv(e,t),e.prototype.handler=function(t){var e=Kg[t.type];if(1===e&&(this.started=!0),this.started){var i=ty.call(this,t,e);12&e&&i[0].length-i[1].length==0&&(this.started=!1),this.callback(this.manager,e,{pointers:i[0],changedPointers:i[1],pointerType:Vv,srcEvent:t})}},e}(cg);function ty(t,e){var i=yg(t.touches),n=yg(t.changedTouches);return 12&e&&(i=bg(i.concat(n),"identifier",!0)),[i,n]}function ey(t,e,i){var n="DEPRECATED METHOD: "+e+"\n"+i+" AT \n";return function(){var e=new Error("get-stack-trace"),i=e&&e.stack?e.stack.replace(/^[^\(]+?[\n$]/gm,"").replace(/^\s+at\s+/gm,"").replace(/^Object.<anonymous>\s*\(/gm,"{anonymous}()@"):"Unknown Stack Trace",r=window.console&&(window.console.warn||window.console.log);return r&&r.call(window.console,n,i),t.apply(this,arguments)}}var iy=ey((function(t,e,i){for(var n=Object.keys(e),r=0;r<n.length;)(!i||i&&void 0===t[n[r]])&&(t[n[r]]=e[n[r]]),r++;return t}),"extend","Use `assign`."),ny=ey((function(t,e){return iy(t,e,!0)}),"merge","Use `assign`.");function ry(t,e,i){var n,r=e.prototype;(n=t.prototype=Object.create(r)).constructor=t,n._super=r,i&&Cv(n,i)}function oy(t,e){return function(){return t.apply(e,arguments)}}var sy=function(){var t=function(t,e){return void 0===e&&(e={}),new $g(t,kv({recognizers:Xg.concat()},e))};return t.VERSION="2.0.17-rc",t.DIRECTION_ALL=30,t.DIRECTION_DOWN=16,t.DIRECTION_LEFT=2,t.DIRECTION_RIGHT=4,t.DIRECTION_UP=8,t.DIRECTION_HORIZONTAL=6,t.DIRECTION_VERTICAL=24,t.DIRECTION_NONE=1,t.DIRECTION_DOWN=16,t.INPUT_START=1,t.INPUT_MOVE=2,t.INPUT_END=4,t.INPUT_CANCEL=8,t.STATE_POSSIBLE=1,t.STATE_BEGAN=2,t.STATE_CHANGED=4,t.STATE_ENDED=8,t.STATE_RECOGNIZED=8,t.STATE_CANCELLED=16,t.STATE_FAILED=Lg,t.Manager=$g,t.Input=cg,t.TouchAction=Jv,t.TouchInput=kg,t.MouseInput=Mg,t.PointerEventInput=gg,t.TouchMouseInput=Eg,t.SingleTouchInput=Qg,t.Recognizer=Fg,t.AttrRecognizer=Yg,t.Tap=jg,t.Pan=Bg,t.Swipe=zg,t.Pinch=Gg,t.Rotate=Wg,t.Press=Vg,t.on=lg,t.off=hg,t.each=$v,t.merge=ny,t.extend=iy,t.bindFn=oy,t.assign=Cv,t.inherit=ry,t.bindFn=oy,t.prefixed=Iv,t.toArray=yg,t.inArray=dg,t.uniqueArray=bg,t.splitStr=ag,t.boolOrFn=Kv,t.hasParent=Qv,t.addEventListeners=lg,t.removeEventListeners=hg,t.defaults=Cv({},Ug,{preset:Xg}),t}();function ay(t,e){var i=ed(t);if(vh){var n=vh(t);e&&(n=yf(n).call(n,(function(e){return Th(t,e).enumerable}))),i.push.apply(i,n)}return i}function ly(t){for(var e=1;e<arguments.length;e++){var i,n,r=null!=arguments[e]?arguments[e]:{};e%2?zd(i=ay(Object(r),!0)).call(i,(function(e){du(t,e,r[e])})):Bh?Kh(t,Bh(r)):zd(n=ay(Object(r))).call(n,(function(e){ou(t,e,Th(r,e))}))}return t}function hy(t,e){var i=void 0!==Tc&&la(t)||t["@@iterator"];if(!i){if(zc(t)||(i=function(t,e){var i;if(t){if("string"==typeof t)return uy(t,e);var n=Fc(i=Object.prototype.toString.call(t)).call(i,8,-1);return"Object"===n&&t.constructor&&(n=t.constructor.name),"Map"===n||"Set"===n?Gs(t):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?uy(t,e):void 0}}(t))||e&&t&&"number"==typeof t.length){i&&(t=i);var n=0,r=function(){};return{s:r,n:function(){return n>=t.length?{done:!0}:{done:!1,value:t[n++]}},e:function(t){throw t},f:r}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var o,s=!0,a=!1;return{s:function(){i=i.call(t)},n:function(){var t=i.next();return s=t.done,t},e:function(t){a=!0,o=t},f:function(){try{s||null==i.return||i.return()}finally{if(a)throw o}}}}function uy(t,e){(null==e||e>t.length)&&(e=t.length);for(var i=0,n=new Array(e);i<e;i++)n[i]=t[i];return n}sy.defaults;var cy=Tc("DELETE");function dy(t){for(var e,i=arguments.length,n=new Array(i>1?i-1:0),r=1;r<i;r++)n[r-1]=arguments[r];return py.apply(void 0,Nc(e=[{},t]).call(e,n))}function py(){var t=fy.apply(void 0,arguments);return vy(t),t}function fy(){for(var t=arguments.length,e=new Array(t),i=0;i<t;i++)e[i]=arguments[i];if(e.length<2)return e[0];var n;if(e.length>2)return fy.apply(void 0,Nc(n=[py(e[0],e[1])]).call(n,Cc(Fc(e).call(e,2))));var r,o=e[0],s=e[1],a=hy(Hc(s));try{for(a.s();!(r=a.n()).done;){var l=r.value;Object.prototype.propertyIsEnumerable.call(s,l)&&(s[l]===cy?delete o[l]:null===o[l]||null===s[l]||"object"!==Dc(o[l])||"object"!==Dc(s[l])||zc(o[l])||zc(s[l])?o[l]=my(s[l]):o[l]=fy(o[l],s[l]))}}catch(t){a.e(t)}finally{a.f()}return o}function my(t){return zc(t)?Kc(t).call(t,(function(t){return my(t)})):"object"===Dc(t)&&null!==t?fy({},t):t}function vy(t){for(var e=0,i=ed(t);e<i.length;e++){var n=i[e];t[n]===cy?delete t[n]:"object"===Dc(t[n])&&null!==t[n]&&vy(t[n])}}function gy(t){var e=_c(function(){for(var t=yy(),e=t(" "),i=t(" "),n=t(" "),r=0;r<arguments.length;r++)(e-=t(r<0||arguments.length<=r?void 0:arguments[r]))<0&&(e+=1),(i-=t(r<0||arguments.length<=r?void 0:arguments[r]))<0&&(i+=1),(n-=t(r<0||arguments.length<=r?void 0:arguments[r]))<0&&(n+=1);return[e,i,n]}(t),3),i=e[0],n=e[1],r=e[2],o=1,s=function(){var t=2091639*i+2.3283064365386963e-10*o;return i=n,n=r,r=t-(o=0|t)};return s.uint32=function(){return 4294967296*s()},s.fract53=function(){return s()+11102230246251565e-32*(2097152*s()|0)},s.algorithm="Alea",s.seed=t,s.version="0.9",s}function yy(){var t=4022871197;return function(e){for(var i=e.toString(),n=0;n<i.length;n++){var r=.02519603282416938*(t+=i.charCodeAt(n));r-=t=r>>>0,t=(r*=t)>>>0,t+=4294967296*(r-=t)}return 2.3283064365386963e-10*(t>>>0)}}var by="undefined"!=typeof window?window.Hammer||sy:function(){return function(){var t=function(){};return{on:t,off:t,destroy:t,emit:t,get:function(){return{set:t}}}}()};function _y(t){var e,i=this;this._cleanupQueue=[],this.active=!1,this._dom={container:t,overlay:document.createElement("div")},this._dom.overlay.classList.add("vis-overlay"),this._dom.container.appendChild(this._dom.overlay),this._cleanupQueue.push((function(){i._dom.overlay.parentNode.removeChild(i._dom.overlay)}));var n=by(this._dom.overlay);n.on("tap",Td(e=this._onTapOverlay).call(e,this)),this._cleanupQueue.push((function(){n.destroy()}));var r=["tap","doubletap","press","pinch","pan","panstart","panmove","panend"];zd(r).call(r,(function(t){n.on(t,(function(t){t.srcEvent.stopPropagation()}))})),document&&document.body&&(this._onClick=function(e){(function(t,e){for(;t;){if(t===e)return!0;t=t.parentNode}return!1})(e.target,t)||i.deactivate()},document.body.addEventListener("click",this._onClick),this._cleanupQueue.push((function(){document.body.removeEventListener("click",i._onClick)}))),this._escListener=function(t){("key"in t?"Escape"===t.key:27===t.keyCode)&&i.deactivate()}}wv(_y.prototype),_y.current=null,_y.prototype.destroy=function(){var t,e;this.deactivate();var i,n=hy(Qd(t=_p(e=this._cleanupQueue).call(e,0)).call(t));try{for(n.s();!(i=n.n()).done;)(0,i.value)()}catch(t){n.e(t)}finally{n.f()}},_y.prototype.activate=function(){_y.current&&_y.current.deactivate(),_y.current=this,this.active=!0,this._dom.overlay.style.display="none",this._dom.container.classList.add("vis-active"),this.emit("change"),this.emit("activate"),document.body.addEventListener("keydown",this._escListener)},_y.prototype.deactivate=function(){this.active=!1,this._dom.overlay.style.display="block",this._dom.container.classList.remove("vis-active"),document.body.removeEventListener("keydown",this._escListener),this.emit("change"),this.emit("deactivate")},_y.prototype._onTapOverlay=function(t){this.activate(),t.srcEvent.stopPropagation()};var wy=/^\/?Date\((-?\d+)/i,ky=/^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i,xy=/^#?([a-f\d])([a-f\d])([a-f\d])$/i,Sy=/^rgb\( *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *\)$/i,Dy=/^rgba\( *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *([01]|0?\.\d+) *\)$/i;function Cy(t){return t instanceof Number||"number"==typeof t}function My(t){return t instanceof String||"string"==typeof t}function Ty(t){return"object"===Dc(t)&&null!==t}function Oy(t,e,i,n){var r=!1;!0===n&&(r=null===e[i]&&void 0!==t[i]),r?delete t[i]:t[i]=e[i]}var Py=Rp;function Ey(t,e){var i=arguments.length>2&&void 0!==arguments[2]&&arguments[2],n=arguments.length>3&&void 0!==arguments[3]&&arguments[3];for(var r in e)if(Object.prototype.hasOwnProperty.call(e,r)||!0===i)if("object"===Dc(e[r])&&null!==e[r]&&uf(e[r])===Object.prototype)void 0===t[r]?t[r]=Ey({},e[r],i):"object"===Dc(t[r])&&null!==t[r]&&uf(t[r])===Object.prototype?Ey(t[r],e[r],i):Oy(t,e,r,n);else if(zc(e[r])){var o;t[r]=Fc(o=e[r]).call(o)}else Oy(t,e,r,n);return t}function Iy(t){var e=Dc(t);return"object"===e?null===t?"null":t instanceof Boolean?"Boolean":t instanceof Number?"Number":t instanceof String?"String":zc(t)?"Array":t instanceof Date?"Date":"Object":"number"===e?"Number":"boolean"===e?"Boolean":"string"===e?"String":void 0===e?"undefined":e}function Ly(t,e){var i;return Nc(i=[]).call(i,Cc(t),[e])}function Ay(t){return Fc(t).call(t)}var Ny=Of,Ry={asBoolean:function(t,e){return"function"==typeof t&&(t=t()),null!=t?0!=t:e||null},asNumber:function(t,e){return"function"==typeof t&&(t=t()),null!=t?Number(t)||e||null:e||null},asString:function(t,e){return"function"==typeof t&&(t=t()),null!=t?String(t):e||null},asSize:function(t,e){return"function"==typeof t&&(t=t()),My(t)?t:Cy(t)?t+"px":e||null},asElement:function(t,e){return"function"==typeof t&&(t=t()),t||e||null}};function Fy(t){var e;switch(t.length){case 3:case 4:return(e=xy.exec(t))?{r:Qf(e[1]+e[1],16),g:Qf(e[2]+e[2],16),b:Qf(e[3]+e[3],16)}:null;case 6:case 7:return(e=ky.exec(t))?{r:Qf(e[1],16),g:Qf(e[2],16),b:Qf(e[3],16)}:null;default:return null}}function jy(t,e,i){var n;return"#"+Fc(n=((1<<24)+(t<<16)+(e<<8)+i).toString(16)).call(n,1)}function Yy(t,e,i){t/=255,e/=255,i/=255;var n=Math.min(t,Math.min(e,i)),r=Math.max(t,Math.max(e,i));return n===r?{h:0,s:0,v:n}:{h:60*((t===n?3:i===n?1:5)-(t===n?e-i:i===n?t-e:i-t)/(r-n))/360,s:(r-n)/r,v:r}}var Hy=function(t){var e,i={};return zd(e=t.split(";")).call(e,(function(t){if(""!=xm(t).call(t)){var e,n,r=t.split(":"),o=xm(e=r[0]).call(e),s=xm(n=r[1]).call(n);i[o]=s}})),i},By=function(t){var e;return Kc(e=ed(t)).call(e,(function(e){return e+": "+t[e]})).join("; ")};function zy(t,e,i){var n,r,o,s=Math.floor(6*t),a=6*t-s,l=i*(1-e),h=i*(1-a*e),u=i*(1-(1-a)*e);switch(s%6){case 0:n=i,r=u,o=l;break;case 1:n=h,r=i,o=l;break;case 2:n=l,r=i,o=u;break;case 3:n=l,r=h,o=i;break;case 4:n=u,r=l,o=i;break;case 5:n=i,r=l,o=h}return{r:Math.floor(255*n),g:Math.floor(255*r),b:Math.floor(255*o)}}function Gy(t,e,i){var n=zy(t,e,i);return jy(n.r,n.g,n.b)}function Wy(t){var e=Fy(t);if(!e)throw new TypeError("'".concat(t,"' is not a valid color."));return Yy(e.r,e.g,e.b)}function Vy(t){return/(^#[0-9A-F]{6}$)|(^#[0-9A-F]{3}$)/i.test(t)}function Uy(t){return Sy.test(t)}function Xy(t){return Dy.test(t)}function qy(t){if(null===t||"object"!==Dc(t))return null;if(t instanceof Element)return t;var e=Mm(t);for(var i in t)Object.prototype.hasOwnProperty.call(t,i)&&"object"==Dc(t[i])&&(e[i]=qy(t[i]));return e}var $y={black:"#000000",navy:"#000080",darkblue:"#00008B",mediumblue:"#0000CD",blue:"#0000FF",darkgreen:"#006400",green:"#008000",teal:"#008080",darkcyan:"#008B8B",deepskyblue:"#00BFFF",darkturquoise:"#00CED1",mediumspringgreen:"#00FA9A",lime:"#00FF00",springgreen:"#00FF7F",aqua:"#00FFFF",cyan:"#00FFFF",midnightblue:"#191970",dodgerblue:"#1E90FF",lightseagreen:"#20B2AA",forestgreen:"#228B22",seagreen:"#2E8B57",darkslategray:"#2F4F4F",limegreen:"#32CD32",mediumseagreen:"#3CB371",turquoise:"#40E0D0",royalblue:"#4169E1",steelblue:"#4682B4",darkslateblue:"#483D8B",mediumturquoise:"#48D1CC",indigo:"#4B0082",darkolivegreen:"#556B2F",cadetblue:"#5F9EA0",cornflowerblue:"#6495ED",mediumaquamarine:"#66CDAA",dimgray:"#696969",slateblue:"#6A5ACD",olivedrab:"#6B8E23",slategray:"#708090",lightslategray:"#778899",mediumslateblue:"#7B68EE",lawngreen:"#7CFC00",chartreuse:"#7FFF00",aquamarine:"#7FFFD4",maroon:"#800000",purple:"#800080",olive:"#808000",gray:"#808080",skyblue:"#87CEEB",lightskyblue:"#87CEFA",blueviolet:"#8A2BE2",darkred:"#8B0000",darkmagenta:"#8B008B",saddlebrown:"#8B4513",darkseagreen:"#8FBC8F",lightgreen:"#90EE90",mediumpurple:"#9370D8",darkviolet:"#9400D3",palegreen:"#98FB98",darkorchid:"#9932CC",yellowgreen:"#9ACD32",sienna:"#A0522D",brown:"#A52A2A",darkgray:"#A9A9A9",lightblue:"#ADD8E6",greenyellow:"#ADFF2F",paleturquoise:"#AFEEEE",lightsteelblue:"#B0C4DE",powderblue:"#B0E0E6",firebrick:"#B22222",darkgoldenrod:"#B8860B",mediumorchid:"#BA55D3",rosybrown:"#BC8F8F",darkkhaki:"#BDB76B",silver:"#C0C0C0",mediumvioletred:"#C71585",indianred:"#CD5C5C",peru:"#CD853F",chocolate:"#D2691E",tan:"#D2B48C",lightgrey:"#D3D3D3",palevioletred:"#D87093",thistle:"#D8BFD8",orchid:"#DA70D6",goldenrod:"#DAA520",crimson:"#DC143C",gainsboro:"#DCDCDC",plum:"#DDA0DD",burlywood:"#DEB887",lightcyan:"#E0FFFF",lavender:"#E6E6FA",darksalmon:"#E9967A",violet:"#EE82EE",palegoldenrod:"#EEE8AA",lightcoral:"#F08080",khaki:"#F0E68C",aliceblue:"#F0F8FF",honeydew:"#F0FFF0",azure:"#F0FFFF",sandybrown:"#F4A460",wheat:"#F5DEB3",beige:"#F5F5DC",whitesmoke:"#F5F5F5",mintcream:"#F5FFFA",ghostwhite:"#F8F8FF",salmon:"#FA8072",antiquewhite:"#FAEBD7",linen:"#FAF0E6",lightgoldenrodyellow:"#FAFAD2",oldlace:"#FDF5E6",red:"#FF0000",fuchsia:"#FF00FF",magenta:"#FF00FF",deeppink:"#FF1493",orangered:"#FF4500",tomato:"#FF6347",hotpink:"#FF69B4",coral:"#FF7F50",darkorange:"#FF8C00",lightsalmon:"#FFA07A",orange:"#FFA500",lightpink:"#FFB6C1",pink:"#FFC0CB",gold:"#FFD700",peachpuff:"#FFDAB9",navajowhite:"#FFDEAD",moccasin:"#FFE4B5",bisque:"#FFE4C4",mistyrose:"#FFE4E1",blanchedalmond:"#FFEBCD",papayawhip:"#FFEFD5",lavenderblush:"#FFF0F5",seashell:"#FFF5EE",cornsilk:"#FFF8DC",lemonchiffon:"#FFFACD",floralwhite:"#FFFAF0",snow:"#FFFAFA",yellow:"#FFFF00",lightyellow:"#FFFFE0",ivory:"#FFFFF0",white:"#FFFFFF"},Ky=function(){function t(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:1;su(this,t),this.pixelRatio=e,this.generated=!1,this.centerCoordinates={x:144.5,y:144.5},this.r=289*.49,this.color={r:255,g:255,b:255,a:1},this.hueCircle=void 0,this.initialColor={r:255,g:255,b:255,a:1},this.previousColor=void 0,this.applied=!1,this.updateCallback=function(){},this.closeCallback=function(){},this._create()}return cu(t,[{key:"insertTo",value:function(t){void 0!==this.hammer&&(this.hammer.destroy(),this.hammer=void 0),this.container=t,this.container.appendChild(this.frame),this._bindHammer(),this._setSize()}},{key:"setUpdateCallback",value:function(t){if("function"!=typeof t)throw new Error("Function attempted to set as colorPicker update callback is not a function.");this.updateCallback=t}},{key:"setCloseCallback",value:function(t){if("function"!=typeof t)throw new Error("Function attempted to set as colorPicker closing callback is not a function.");this.closeCallback=t}},{key:"_isColorString",value:function(t){if("string"==typeof t)return $y[t]}},{key:"setColor",value:function(t){var e=!(arguments.length>1&&void 0!==arguments[1])||arguments[1];if("none"!==t){var i,n=this._isColorString(t);if(void 0!==n&&(t=n),!0===My(t)){if(!0===Uy(t)){var r=t.substr(4).substr(0,t.length-5).split(",");i={r:r[0],g:r[1],b:r[2],a:1}}else if(!0===Xy(t)){var o=t.substr(5).substr(0,t.length-6).split(",");i={r:o[0],g:o[1],b:o[2],a:o[3]}}else if(!0===Vy(t)){var s=Fy(t);i={r:s.r,g:s.g,b:s.b,a:1}}}else if(t instanceof Object&&void 0!==t.r&&void 0!==t.g&&void 0!==t.b){var a=void 0!==t.a?t.a:"1.0";i={r:t.r,g:t.g,b:t.b,a:a}}if(void 0===i)throw new Error("Unknown color passed to the colorPicker. Supported are strings: rgb, hex, rgba. Object: rgb ({r:r,g:g,b:b,[a:a]}). Supplied: "+$m(t));this._setColor(i,e)}}},{key:"show",value:function(){void 0!==this.closeCallback&&(this.closeCallback(),this.closeCallback=void 0),this.applied=!1,this.frame.style.display="block",this._generateHueCircle()}},{key:"_hide",value:function(){var t=this,e=!(arguments.length>0&&void 0!==arguments[0])||arguments[0];!0===e&&(this.previousColor=Rp({},this.color)),!0===this.applied&&this.updateCallback(this.initialColor),this.frame.style.display="none",hv((function(){void 0!==t.closeCallback&&(t.closeCallback(),t.closeCallback=void 0)}),0)}},{key:"_save",value:function(){this.updateCallback(this.color),this.applied=!1,this._hide()}},{key:"_apply",value:function(){this.applied=!0,this.updateCallback(this.color),this._updatePicker(this.color)}},{key:"_loadLast",value:function(){void 0!==this.previousColor?this.setColor(this.previousColor,!1):alert("There is no last color to load...")}},{key:"_setColor",value:function(t){var e=!(arguments.length>1&&void 0!==arguments[1])||arguments[1];!0===e&&(this.initialColor=Rp({},t)),this.color=t;var i=Yy(t.r,t.g,t.b),n=2*Math.PI,r=this.r*i.s,o=this.centerCoordinates.x+r*Math.sin(n*i.h),s=this.centerCoordinates.y+r*Math.cos(n*i.h);this.colorPickerSelector.style.left=o-.5*this.colorPickerSelector.clientWidth+"px",this.colorPickerSelector.style.top=s-.5*this.colorPickerSelector.clientHeight+"px",this._updatePicker(t)}},{key:"_setOpacity",value:function(t){this.color.a=t/100,this._updatePicker(this.color)}},{key:"_setBrightness",value:function(t){var e=Yy(this.color.r,this.color.g,this.color.b);e.v=t/100;var i=zy(e.h,e.s,e.v);i.a=this.color.a,this.color=i,this._updatePicker()}},{key:"_updatePicker",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:this.color,e=Yy(t.r,t.g,t.b),i=this.colorPickerCanvas.getContext("2d");void 0===this.pixelRation&&(this.pixelRatio=(window.devicePixelRatio||1)/(i.webkitBackingStorePixelRatio||i.mozBackingStorePixelRatio||i.msBackingStorePixelRatio||i.oBackingStorePixelRatio||i.backingStorePixelRatio||1)),i.setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0);var n=this.colorPickerCanvas.clientWidth,r=this.colorPickerCanvas.clientHeight;i.clearRect(0,0,n,r),i.putImageData(this.hueCircle,0,0),i.fillStyle="rgba(0,0,0,"+(1-e.v)+")",i.circle(this.centerCoordinates.x,this.centerCoordinates.y,this.r),bv(i).call(i),this.brightnessRange.value=100*e.v,this.opacityRange.value=100*t.a,this.initialColorDiv.style.backgroundColor="rgba("+this.initialColor.r+","+this.initialColor.g+","+this.initialColor.b+","+this.initialColor.a+")",this.newColorDiv.style.backgroundColor="rgba("+this.color.r+","+this.color.g+","+this.color.b+","+this.color.a+")"}},{key:"_setSize",value:function(){this.colorPickerCanvas.style.width="100%",this.colorPickerCanvas.style.height="100%",this.colorPickerCanvas.width=289*this.pixelRatio,this.colorPickerCanvas.height=289*this.pixelRatio}},{key:"_create",value:function(){var t,e,i,n;if(this.frame=document.createElement("div"),this.frame.className="vis-color-picker",this.colorPickerDiv=document.createElement("div"),this.colorPickerSelector=document.createElement("div"),this.colorPickerSelector.className="vis-selector",this.colorPickerDiv.appendChild(this.colorPickerSelector),this.colorPickerCanvas=document.createElement("canvas"),this.colorPickerDiv.appendChild(this.colorPickerCanvas),this.colorPickerCanvas.getContext){var r=this.colorPickerCanvas.getContext("2d");this.pixelRatio=(window.devicePixelRatio||1)/(r.webkitBackingStorePixelRatio||r.mozBackingStorePixelRatio||r.msBackingStorePixelRatio||r.oBackingStorePixelRatio||r.backingStorePixelRatio||1),this.colorPickerCanvas.getContext("2d").setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0)}else{var o=document.createElement("DIV");o.style.color="red",o.style.fontWeight="bold",o.style.padding="10px",o.innerText="Error: your browser does not support HTML canvas",this.colorPickerCanvas.appendChild(o)}this.colorPickerDiv.className="vis-color",this.opacityDiv=document.createElement("div"),this.opacityDiv.className="vis-opacity",this.brightnessDiv=document.createElement("div"),this.brightnessDiv.className="vis-brightness",this.arrowDiv=document.createElement("div"),this.arrowDiv.className="vis-arrow",this.opacityRange=document.createElement("input");try{this.opacityRange.type="range",this.opacityRange.min="0",this.opacityRange.max="100"}catch(t){}this.opacityRange.value="100",this.opacityRange.className="vis-range",this.brightnessRange=document.createElement("input");try{this.brightnessRange.type="range",this.brightnessRange.min="0",this.brightnessRange.max="100"}catch(t){}this.brightnessRange.value="100",this.brightnessRange.className="vis-range",this.opacityDiv.appendChild(this.opacityRange),this.brightnessDiv.appendChild(this.brightnessRange);var s=this;this.opacityRange.onchange=function(){s._setOpacity(this.value)},this.opacityRange.oninput=function(){s._setOpacity(this.value)},this.brightnessRange.onchange=function(){s._setBrightness(this.value)},this.brightnessRange.oninput=function(){s._setBrightness(this.value)},this.brightnessLabel=document.createElement("div"),this.brightnessLabel.className="vis-label vis-brightness",this.brightnessLabel.innerText="brightness:",this.opacityLabel=document.createElement("div"),this.opacityLabel.className="vis-label vis-opacity",this.opacityLabel.innerText="opacity:",this.newColorDiv=document.createElement("div"),this.newColorDiv.className="vis-new-color",this.newColorDiv.innerText="new",this.initialColorDiv=document.createElement("div"),this.initialColorDiv.className="vis-initial-color",this.initialColorDiv.innerText="initial",this.cancelButton=document.createElement("div"),this.cancelButton.className="vis-button vis-cancel",this.cancelButton.innerText="cancel",this.cancelButton.onclick=Td(t=this._hide).call(t,this,!1),this.applyButton=document.createElement("div"),this.applyButton.className="vis-button vis-apply",this.applyButton.innerText="apply",this.applyButton.onclick=Td(e=this._apply).call(e,this),this.saveButton=document.createElement("div"),this.saveButton.className="vis-button vis-save",this.saveButton.innerText="save",this.saveButton.onclick=Td(i=this._save).call(i,this),this.loadButton=document.createElement("div"),this.loadButton.className="vis-button vis-load",this.loadButton.innerText="load last",this.loadButton.onclick=Td(n=this._loadLast).call(n,this),this.frame.appendChild(this.colorPickerDiv),this.frame.appendChild(this.arrowDiv),this.frame.appendChild(this.brightnessLabel),this.frame.appendChild(this.brightnessDiv),this.frame.appendChild(this.opacityLabel),this.frame.appendChild(this.opacityDiv),this.frame.appendChild(this.newColorDiv),this.frame.appendChild(this.initialColorDiv),this.frame.appendChild(this.cancelButton),this.frame.appendChild(this.applyButton),this.frame.appendChild(this.saveButton),this.frame.appendChild(this.loadButton)}},{key:"_bindHammer",value:function(){var t=this;this.drag={},this.pinch={},this.hammer=new by(this.colorPickerCanvas),this.hammer.get("pinch").set({enable:!0}),this.hammer.on("hammer.input",(function(e){e.isFirst&&t._moveSelector(e)})),this.hammer.on("tap",(function(e){t._moveSelector(e)})),this.hammer.on("panstart",(function(e){t._moveSelector(e)})),this.hammer.on("panmove",(function(e){t._moveSelector(e)})),this.hammer.on("panend",(function(e){t._moveSelector(e)}))}},{key:"_generateHueCircle",value:function(){if(!1===this.generated){var t=this.colorPickerCanvas.getContext("2d");void 0===this.pixelRation&&(this.pixelRatio=(window.devicePixelRatio||1)/(t.webkitBackingStorePixelRatio||t.mozBackingStorePixelRatio||t.msBackingStorePixelRatio||t.oBackingStorePixelRatio||t.backingStorePixelRatio||1)),t.setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0);var e,i,n,r,o=this.colorPickerCanvas.clientWidth,s=this.colorPickerCanvas.clientHeight;t.clearRect(0,0,o,s),this.centerCoordinates={x:.5*o,y:.5*s},this.r=.49*o;var a,l=2*Math.PI/360,h=1/this.r;for(n=0;n<360;n++)for(r=0;r<this.r;r++)e=this.centerCoordinates.x+r*Math.sin(l*n),i=this.centerCoordinates.y+r*Math.cos(l*n),a=zy(.002777777777777778*n,r*h,1),t.fillStyle="rgb("+a.r+","+a.g+","+a.b+")",t.fillRect(e-.5,i-.5,2,2);t.strokeStyle="rgba(0,0,0,1)",t.circle(this.centerCoordinates.x,this.centerCoordinates.y,this.r),t.stroke(),this.hueCircle=t.getImageData(0,0,o,s)}this.generated=!0}},{key:"_moveSelector",value:function(t){var e=this.colorPickerDiv.getBoundingClientRect(),i=t.center.x-e.left,n=t.center.y-e.top,r=.5*this.colorPickerDiv.clientHeight,o=.5*this.colorPickerDiv.clientWidth,s=i-o,a=n-r,l=Math.atan2(s,a),h=.98*Math.min(Math.sqrt(s*s+a*a),o),u=Math.cos(l)*h+r,c=Math.sin(l)*h+o;this.colorPickerSelector.style.top=u-.5*this.colorPickerSelector.clientHeight+"px",this.colorPickerSelector.style.left=c-.5*this.colorPickerSelector.clientWidth+"px";var d=l/(2*Math.PI);d=d<0?d+1:d;var p=h/this.r,f=Yy(this.color.r,this.color.g,this.color.b);f.h=d,f.s=p;var m=zy(f.h,f.s,f.v);m.a=this.color.a,this.color=m,this.initialColorDiv.style.backgroundColor="rgba("+this.initialColor.r+","+this.initialColor.g+","+this.initialColor.b+","+this.initialColor.a+")",this.newColorDiv.style.backgroundColor="rgba("+this.color.r+","+this.color.g+","+this.color.b+","+this.color.a+")"}}]),t}();function Zy(){for(var t=arguments.length,e=new Array(t),i=0;i<t;i++)e[i]=arguments[i];if(e.length<1)throw new TypeError("Invalid arguments.");if(1===e.length)return document.createTextNode(e[0]);var n=document.createElement(e[0]);return n.appendChild(Zy.apply(void 0,Cc(Fc(e).call(e,1)))),n}var Jy,Qy=function(){function t(e,i,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:1,o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:function(){return!1};su(this,t),this.parent=e,this.changedOptions=[],this.container=i,this.allowCreation=!1,this.hideOption=o,this.options={},this.initialized=!1,this.popupCounter=0,this.defaultOptions={enabled:!1,filter:!0,container:void 0,showButton:!0},Rp(this.options,this.defaultOptions),this.configureOptions=n,this.moduleOptions={},this.domElements=[],this.popupDiv={},this.popupLimit=5,this.popupHistory={},this.colorPicker=new Ky(r),this.wrapper=void 0}return cu(t,[{key:"setOptions",value:function(t){if(void 0!==t){this.popupHistory={},this._removePopup();var e=!0;if("string"==typeof t)this.options.filter=t;else if(zc(t))this.options.filter=t.join();else if("object"===Dc(t)){if(null==t)throw new TypeError("options cannot be null");void 0!==t.container&&(this.options.container=t.container),void 0!==yf(t)&&(this.options.filter=yf(t)),void 0!==t.showButton&&(this.options.showButton=t.showButton),void 0!==t.enabled&&(e=t.enabled)}else"boolean"==typeof t?(this.options.filter=!0,e=t):"function"==typeof t&&(this.options.filter=t,e=!0);!1===yf(this.options)&&(e=!1),this.options.enabled=e}this._clean()}},{key:"setModuleOptions",value:function(t){this.moduleOptions=t,!0===this.options.enabled&&(this._clean(),void 0!==this.options.container&&(this.container=this.options.container),this._create())}},{key:"_create",value:function(){this._clean(),this.changedOptions=[];var t=yf(this.options),e=0,i=!1;for(var n in this.configureOptions)Object.prototype.hasOwnProperty.call(this.configureOptions,n)&&(this.allowCreation=!1,i=!1,"function"==typeof t?i=(i=t(n,[]))||this._handleObject(this.configureOptions[n],[n],!0):!0!==t&&-1===dm(t).call(t,n)||(i=!0),!1!==i&&(this.allowCreation=!0,e>0&&this._makeItem([]),this._makeHeader(n),this._handleObject(this.configureOptions[n],[n])),e++);this._makeButton(),this._push()}},{key:"_push",value:function(){this.wrapper=document.createElement("div"),this.wrapper.className="vis-configuration-wrapper",this.container.appendChild(this.wrapper);for(var t=0;t<this.domElements.length;t++)this.wrapper.appendChild(this.domElements[t]);this._showPopupIfNeeded()}},{key:"_clean",value:function(){for(var t=0;t<this.domElements.length;t++)this.wrapper.removeChild(this.domElements[t]);void 0!==this.wrapper&&(this.container.removeChild(this.wrapper),this.wrapper=void 0),this.domElements=[],this._removePopup()}},{key:"_getValue",value:function(t){for(var e=this.moduleOptions,i=0;i<t.length;i++){if(void 0===e[t[i]]){e=void 0;break}e=e[t[i]]}return e}},{key:"_makeItem",value:function(t){if(!0===this.allowCreation){var e=document.createElement("div");e.className="vis-configuration vis-config-item vis-config-s"+t.length;for(var i=arguments.length,n=new Array(i>1?i-1:0),r=1;r<i;r++)n[r-1]=arguments[r];return zd(n).call(n,(function(t){e.appendChild(t)})),this.domElements.push(e),this.domElements.length}return 0}},{key:"_makeHeader",value:function(t){var e=document.createElement("div");e.className="vis-configuration vis-config-header",e.innerText=t,this._makeItem([],e)}},{key:"_makeLabel",value:function(t,e){var i=arguments.length>2&&void 0!==arguments[2]&&arguments[2],n=document.createElement("div");if(n.className="vis-configuration vis-config-label vis-config-s"+e.length,!0===i){for(;n.firstChild;)n.removeChild(n.firstChild);n.appendChild(Zy("i","b",t))}else n.innerText=t+":";return n}},{key:"_makeDropdown",value:function(t,e,i){var n=document.createElement("select");n.className="vis-configuration vis-config-select";var r=0;void 0!==e&&-1!==dm(t).call(t,e)&&(r=dm(t).call(t,e));for(var o=0;o<t.length;o++){var s=document.createElement("option");s.value=t[o],o===r&&(s.selected="selected"),s.innerText=t[o],n.appendChild(s)}var a=this;n.onchange=function(){a._update(this.value,i)};var l=this._makeLabel(i[i.length-1],i);this._makeItem(i,l,n)}},{key:"_makeRange",value:function(t,e,i){var n=t[0],r=t[1],o=t[2],s=t[3],a=document.createElement("input");a.className="vis-configuration vis-config-range";try{a.type="range",a.min=r,a.max=o}catch(t){}a.step=s;var l="",h=0;if(void 0!==e){var u=1.2;e<0&&e*u<r?(a.min=Math.ceil(e*u),h=a.min,l="range increased"):e/u<r&&(a.min=Math.ceil(e/u),h=a.min,l="range increased"),e*u>o&&1!==o&&(a.max=Math.ceil(e*u),h=a.max,l="range increased"),a.value=e}else a.value=n;var c=document.createElement("input");c.className="vis-configuration vis-config-rangeinput",c.value=a.value;var d=this;a.onchange=function(){c.value=this.value,d._update(Number(this.value),i)},a.oninput=function(){c.value=this.value};var p=this._makeLabel(i[i.length-1],i),f=this._makeItem(i,p,a,c);""!==l&&this.popupHistory[f]!==h&&(this.popupHistory[f]=h,this._setupPopup(l,f))}},{key:"_makeButton",value:function(){var t=this;if(!0===this.options.showButton){var e=document.createElement("div");e.className="vis-configuration vis-config-button",e.innerText="generate options",e.onclick=function(){t._printOptions()},e.onmouseover=function(){e.className="vis-configuration vis-config-button hover"},e.onmouseout=function(){e.className="vis-configuration vis-config-button"},this.optionsContainer=document.createElement("div"),this.optionsContainer.className="vis-configuration vis-config-option-container",this.domElements.push(this.optionsContainer),this.domElements.push(e)}}},{key:"_setupPopup",value:function(t,e){var i=this;if(!0===this.initialized&&!0===this.allowCreation&&this.popupCounter<this.popupLimit){var n=document.createElement("div");n.id="vis-configuration-popup",n.className="vis-configuration-popup",n.innerText=t,n.onclick=function(){i._removePopup()},this.popupCounter+=1,this.popupDiv={html:n,index:e}}}},{key:"_removePopup",value:function(){void 0!==this.popupDiv.html&&(this.popupDiv.html.parentNode.removeChild(this.popupDiv.html),clearTimeout(this.popupDiv.hideTimeout),clearTimeout(this.popupDiv.deleteTimeout),this.popupDiv={})}},{key:"_showPopupIfNeeded",value:function(){var t=this;if(void 0!==this.popupDiv.html){var e=this.domElements[this.popupDiv.index].getBoundingClientRect();this.popupDiv.html.style.left=e.left+"px",this.popupDiv.html.style.top=e.top-30+"px",document.body.appendChild(this.popupDiv.html),this.popupDiv.hideTimeout=hv((function(){t.popupDiv.html.style.opacity=0}),1500),this.popupDiv.deleteTimeout=hv((function(){t._removePopup()}),1800)}}},{key:"_makeCheckbox",value:function(t,e,i){var n=document.createElement("input");n.type="checkbox",n.className="vis-configuration vis-config-checkbox",n.checked=t,void 0!==e&&(n.checked=e,e!==t&&("object"===Dc(t)?e!==t.enabled&&this.changedOptions.push({path:i,value:e}):this.changedOptions.push({path:i,value:e})));var r=this;n.onchange=function(){r._update(this.checked,i)};var o=this._makeLabel(i[i.length-1],i);this._makeItem(i,o,n)}},{key:"_makeTextInput",value:function(t,e,i){var n=document.createElement("input");n.type="text",n.className="vis-configuration vis-config-text",n.value=e,e!==t&&this.changedOptions.push({path:i,value:e});var r=this;n.onchange=function(){r._update(this.value,i)};var o=this._makeLabel(i[i.length-1],i);this._makeItem(i,o,n)}},{key:"_makeColorField",value:function(t,e,i){var n=this,r=t[1],o=document.createElement("div");"none"!==(e=void 0===e?r:e)?(o.className="vis-configuration vis-config-colorBlock",o.style.backgroundColor=e):o.className="vis-configuration vis-config-colorBlock none",e=void 0===e?r:e,o.onclick=function(){n._showColorPicker(e,o,i)};var s=this._makeLabel(i[i.length-1],i);this._makeItem(i,s,o)}},{key:"_showColorPicker",value:function(t,e,i){var n=this;e.onclick=function(){},this.colorPicker.insertTo(e),this.colorPicker.show(),this.colorPicker.setColor(t),this.colorPicker.setUpdateCallback((function(t){var r="rgba("+t.r+","+t.g+","+t.b+","+t.a+")";e.style.backgroundColor=r,n._update(r,i)})),this.colorPicker.setCloseCallback((function(){e.onclick=function(){n._showColorPicker(t,e,i)}}))}},{key:"_handleObject",value:function(t){var e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[],i=arguments.length>2&&void 0!==arguments[2]&&arguments[2],n=!1,r=yf(this.options),o=!1;for(var s in t)if(Object.prototype.hasOwnProperty.call(t,s)){n=!0;var a=t[s],l=Ly(e,s);if("function"==typeof r&&!1===(n=r(s,e))&&!zc(a)&&"string"!=typeof a&&"boolean"!=typeof a&&a instanceof Object&&(this.allowCreation=!1,n=this._handleObject(a,l,!0),this.allowCreation=!1===i),!1!==n){o=!0;var h=this._getValue(l);if(zc(a))this._handleArray(a,h,l);else if("string"==typeof a)this._makeTextInput(a,h,l);else if("boolean"==typeof a)this._makeCheckbox(a,h,l);else if(a instanceof Object){if(!this.hideOption(e,s,this.moduleOptions))if(void 0!==a.enabled){var u=Ly(l,"enabled"),c=this._getValue(u);if(!0===c){var d=this._makeLabel(s,l,!0);this._makeItem(l,d),o=this._handleObject(a,l)||o}else this._makeCheckbox(a,c,l)}else{var p=this._makeLabel(s,l,!0);this._makeItem(l,p),o=this._handleObject(a,l)||o}}else console.error("dont know how to handle",a,s,l)}}return o}},{key:"_handleArray",value:function(t,e,i){"string"==typeof t[0]&&"color"===t[0]?(this._makeColorField(t,e,i),t[1]!==e&&this.changedOptions.push({path:i,value:e})):"string"==typeof t[0]?(this._makeDropdown(t,e,i),t[0]!==e&&this.changedOptions.push({path:i,value:e})):"number"==typeof t[0]&&(this._makeRange(t,e,i),t[0]!==e&&this.changedOptions.push({path:i,value:Number(e)}))}},{key:"_update",value:function(t,e){var i=this._constructOptions(t,e);this.parent.body&&this.parent.body.emitter&&this.parent.body.emitter.emit&&this.parent.body.emitter.emit("configChange",i),this.initialized=!0,this.parent.setOptions(i)}},{key:"_constructOptions",value:function(t,e){var i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},n=i;t="false"!==(t="true"===t||t)&&t;for(var r=0;r<e.length;r++)"global"!==e[r]&&(void 0===n[e[r]]&&(n[e[r]]={}),r!==e.length-1?n=n[e[r]]:n[e[r]]=t);return i}},{key:"_printOptions",value:function(){for(var t=this.getOptions();this.optionsContainer.firstChild;)this.optionsContainer.removeChild(this.optionsContainer.firstChild);this.optionsContainer.appendChild(Zy("pre","const options = "+$m(t,null,2)))}},{key:"getOptions",value:function(){for(var t={},e=0;e<this.changedOptions.length;e++)this._constructOptions(this.changedOptions[e].value,this.changedOptions[e].path,t);return t}}]),t}(),tb=!1,eb="background: #FFeeee; color: #dd0000",ib=_y,nb=Ky,rb=Qy,ob=by,sb=function(){function t(e,i){su(this,t),this.container=e,this.overflowMethod=i||"cap",this.x=0,this.y=0,this.padding=5,this.hidden=!1,this.frame=document.createElement("div"),this.frame.className="vis-tooltip",this.container.appendChild(this.frame)}return cu(t,[{key:"setPosition",value:function(t,e){this.x=Qf(t),this.y=Qf(e)}},{key:"setText",value:function(t){if(t instanceof Element){for(;this.frame.firstChild;)this.frame.removeChild(this.frame.firstChild);this.frame.appendChild(t)}else this.frame.innerText=t}},{key:"show",value:function(t){if(void 0===t&&(t=!0),!0===t){var e=this.frame.clientHeight,i=this.frame.clientWidth,n=this.frame.parentNode.clientHeight,r=this.frame.parentNode.clientWidth,o=0,s=0;if("flip"==this.overflowMethod){var a=!1,l=!0;this.y-e<this.padding&&(l=!1),this.x+i>r-this.padding&&(a=!0),o=a?this.x-i:this.x,s=l?this.y-e:this.y}else(s=this.y-e)+e+this.padding>n&&(s=n-e-this.padding),s<this.padding&&(s=this.padding),(o=this.x)+i+this.padding>r&&(o=r-i-this.padding),o<this.padding&&(o=this.padding);this.frame.style.left=o+"px",this.frame.style.top=s+"px",this.frame.style.visibility="visible",this.hidden=!1}else this.hide()}},{key:"hide",value:function(){this.hidden=!0,this.frame.style.left="0",this.frame.style.top="0",this.frame.style.visibility="hidden"}},{key:"destroy",value:function(){this.frame.parentNode.removeChild(this.frame)}}]),t}(),ab=function(){function t(){su(this,t)}return cu(t,null,[{key:"validate",value:function(e,i,n){tb=!1,Jy=i;var r=i;return void 0!==n&&(r=i[n]),t.parse(e,r,[]),tb}},{key:"parse",value:function(e,i,n){for(var r in e)Object.prototype.hasOwnProperty.call(e,r)&&t.check(r,e,i,n)}},{key:"check",value:function(e,i,n,r){if(void 0!==n[e]||void 0!==n.__any__){var o=e,s=!0;void 0===n[e]&&void 0!==n.__any__&&(o="__any__",s="object"===t.getType(i[e]));var a=n[o];s&&void 0!==a.__type__&&(a=a.__type__),t.checkFields(e,i,n,o,a,r)}else t.getSuggestion(e,n,r)}},{key:"checkFields",value:function(e,i,n,r,o,s){var a=function(i){console.error("%c"+i+t.printLocation(s,e),eb)},l=t.getType(i[e]),h=o[l];void 0!==h?"array"===t.getType(h)&&-1===dm(h).call(h,i[e])?(a('Invalid option detected in "'+e+'". Allowed values are:'+t.print(h)+' not "'+i[e]+'". '),tb=!0):"object"===l&&"__any__"!==r&&(s=Ly(s,e),t.parse(i[e],n[r],s)):void 0===o.any&&(a('Invalid type received for "'+e+'". Expected: '+t.print(ed(o))+". Received ["+l+'] "'+i[e]+'"'),tb=!0)}},{key:"getType",value:function(t){var e=Dc(t);return"object"===e?null===t?"null":t instanceof Boolean?"boolean":t instanceof Number?"number":t instanceof String?"string":zc(t)?"array":t instanceof Date?"date":void 0!==t.nodeType?"dom":!0===t._isAMomentObject?"moment":"object":"number"===e?"number":"boolean"===e?"boolean":"string"===e?"string":void 0===e?"undefined":e}},{key:"getSuggestion",value:function(e,i,n){var r,o=t.findInOptions(e,i,n,!1),s=t.findInOptions(e,Jy,[],!0);r=void 0!==o.indexMatch?" in "+t.printLocation(o.path,e,"")+'Perhaps it was incomplete? Did you mean: "'+o.indexMatch+'"?\n\n':s.distance<=4&&o.distance>s.distance?" in "+t.printLocation(o.path,e,"")+"Perhaps it was misplaced? Matching option found at: "+t.printLocation(s.path,s.closestMatch,""):o.distance<=8?'. Did you mean "'+o.closestMatch+'"?'+t.printLocation(o.path,e):". Did you mean one of these: "+t.print(ed(i))+t.printLocation(n,e),console.error('%cUnknown option detected: "'+e+'"'+r,eb),tb=!0}},{key:"findInOptions",value:function(e,i,n){var r=arguments.length>3&&void 0!==arguments[3]&&arguments[3],o=1e9,s="",a=[],l=e.toLowerCase(),h=void 0;for(var u in i){var c=void 0;if(void 0!==i[u].__type__&&!0===r){var d=t.findInOptions(e,i[u],Ly(n,u));o>d.distance&&(s=d.closestMatch,a=d.path,o=d.distance,h=d.indexMatch)}else{var p;-1!==dm(p=u.toLowerCase()).call(p,l)&&(h=u),o>(c=t.levenshteinDistance(e,u))&&(s=u,a=Ay(n),o=c)}}return{closestMatch:s,path:a,distance:o,indexMatch:h}}},{key:"printLocation",value:function(t,e){for(var i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:"Problem value found at: \n",n="\n\n"+i+"options = {\n",r=0;r<t.length;r++){for(var o=0;o<r+1;o++)n+="  ";n+=t[r]+": {\n"}for(var s=0;s<t.length+1;s++)n+="  ";n+=e+"\n";for(var a=0;a<t.length+1;a++){for(var l=0;l<t.length-a;l++)n+="  ";n+="}\n"}return n+"\n\n"}},{key:"print",value:function(t){return $m(t).replace(/(")|(\[)|(\])|(,"__type__")/g,"").replace(/(,)/g,", ")}},{key:"levenshteinDistance",value:function(t,e){if(0===t.length)return e.length;if(0===e.length)return t.length;var i,n,r=[];for(i=0;i<=e.length;i++)r[i]=[i];for(n=0;n<=t.length;n++)r[0][n]=n;for(i=1;i<=e.length;i++)for(n=1;n<=t.length;n++)e.charAt(i-1)==t.charAt(n-1)?r[i][n]=r[i-1][n-1]:r[i][n]=Math.min(r[i-1][n-1]+1,Math.min(r[i][n-1]+1,r[i-1][n]+1));return r[e.length][t.length]}}]),t}(),lb=Object.freeze({__proto__:null,Activator:ib,Alea:function(){for(var t=arguments.length,e=new Array(t),i=0;i<t;i++)e[i]=arguments[i];return gy(e.length?e:[ld()])},ColorPicker:nb,Configurator:rb,DELETE:cy,HSVToHex:Gy,HSVToRGB:zy,Hammer:ob,Popup:sb,RGBToHSV:Yy,RGBToHex:jy,VALIDATOR_PRINT_STYLE:"background: #FFeeee; color: #dd0000",Validator:ab,addClassName:function(t,e){var i=t.className.split(" "),n=e.split(" ");i=Nc(i).call(i,yf(n).call(n,(function(t){return!rf(i).call(i,t)}))),t.className=i.join(" ")},addCssText:function(t,e){var i=Hy(t.style.cssText),n=Hy(e),r=ly(ly({},i),n);t.style.cssText=By(r)},addEventListener:function(t,e,i,n){var r;t.addEventListener?(void 0===n&&(n=!1),"mousewheel"===e&&rf(r=navigator.userAgent).call(r,"Firefox")&&(e="DOMMouseScroll"),t.addEventListener(e,i,n)):t.attachEvent("on"+e,i)},binarySearchCustom:function(t,e,i,n){for(var r=0,o=0,s=t.length-1;o<=s&&r<1e4;){var a=Math.floor((o+s)/2),l=t[a],h=e(void 0===n?l[i]:l[i][n]);if(0==h)return a;-1==h?o=a+1:s=a-1,r++}return-1},binarySearchValue:function(t,e,i,n,r){var o,s,a,l,h=0,u=0,c=t.length-1;for(r=null!=r?r:function(t,e){return t==e?0:t<e?-1:1};u<=c&&h<1e4;){if(l=Math.floor(.5*(c+u)),o=t[Math.max(0,l-1)][i],s=t[l][i],a=t[Math.min(t.length-1,l+1)][i],0==r(s,e))return l;if(r(o,e)<0&&r(s,e)>0)return"before"==n?Math.max(0,l-1):l;if(r(s,e)<0&&r(a,e)>0)return"before"==n?l:Math.min(t.length-1,l+1);r(s,e)<0?u=l+1:c=l-1,h++}return-1},bridgeObject:qy,copyAndExtendArray:Ly,copyArray:Ay,deepExtend:Ey,deepObjectAssign:py,easingFunctions:{linear:function(t){return t},easeInQuad:function(t){return t*t},easeOutQuad:function(t){return t*(2-t)},easeInOutQuad:function(t){return t<.5?2*t*t:(4-2*t)*t-1},easeInCubic:function(t){return t*t*t},easeOutCubic:function(t){return--t*t*t+1},easeInOutCubic:function(t){return t<.5?4*t*t*t:(t-1)*(2*t-2)*(2*t-2)+1},easeInQuart:function(t){return t*t*t*t},easeOutQuart:function(t){return 1- --t*t*t*t},easeInOutQuart:function(t){return t<.5?8*t*t*t*t:1-8*--t*t*t*t},easeInQuint:function(t){return t*t*t*t*t},easeOutQuint:function(t){return 1+--t*t*t*t*t},easeInOutQuint:function(t){return t<.5?16*t*t*t*t*t:1+16*--t*t*t*t*t}},equalArray:function(t,e){if(t.length!==e.length)return!1;for(var i=0,n=t.length;i<n;i++)if(t[i]!=e[i])return!1;return!0},extend:Py,fillIfDefined:function t(e,i){var n=arguments.length>2&&void 0!==arguments[2]&&arguments[2];for(var r in e)if(void 0!==i[r])if(null===i[r]||"object"!==Dc(i[r]))Oy(e,i,r,n);else{var o=e[r],s=i[r];Ty(o)&&Ty(s)&&t(o,s,n)}},forEach:function(t,e){if(zc(t))for(var i=t.length,n=0;n<i;n++)e(t[n],n,t);else for(var r in t)Object.prototype.hasOwnProperty.call(t,r)&&e(t[r],r,t)},getAbsoluteLeft:function(t){return t.getBoundingClientRect().left},getAbsoluteRight:function(t){return t.getBoundingClientRect().right},getAbsoluteTop:function(t){return t.getBoundingClientRect().top},getScrollBarWidth:function(){var t=document.createElement("p");t.style.width="100%",t.style.height="200px";var e=document.createElement("div");e.style.position="absolute",e.style.top="0px",e.style.left="0px",e.style.visibility="hidden",e.style.width="200px",e.style.height="150px",e.style.overflow="hidden",e.appendChild(t),document.body.appendChild(e);var i=t.offsetWidth;e.style.overflow="scroll";var n=t.offsetWidth;return i==n&&(n=e.clientWidth),document.body.removeChild(e),i-n},getTarget:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:window.event,e=null;return t&&(t.target?e=t.target:t.srcElement&&(e=t.srcElement)),e instanceof Element&&(null==e.nodeType||3!=e.nodeType||(e=e.parentNode)instanceof Element)?e:null},getType:Iy,hasParent:function(t,e){for(var i=t;i;){if(i===e)return!0;if(!i.parentNode)return!1;i=i.parentNode}return!1},hexToHSV:Wy,hexToRGB:Fy,insertSort:function(t,e){for(var i=0;i<t.length;i++){var n=t[i],r=void 0;for(r=i;r>0&&e(n,t[r-1])<0;r--)t[r]=t[r-1];t[r]=n}return t},isDate:function(t){if(t instanceof Date)return!0;if(My(t)){if(wy.exec(t))return!0;if(!isNaN(Date.parse(t)))return!0}return!1},isNumber:Cy,isObject:Ty,isString:My,isValidHex:Vy,isValidRGB:Uy,isValidRGBA:Xy,mergeOptions:function(t,e,i){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{},r=function(t){return null!=t},o=function(t){return null!==t&&"object"===Dc(t)},s=function(t){for(var e in t)if(Object.prototype.hasOwnProperty.call(t,e))return!1;return!0};if(!o(t))throw new Error("Parameter mergeTarget must be an object");if(!o(e))throw new Error("Parameter options must be an object");if(!r(i))throw new Error("Parameter option must have a value");if(!o(n))throw new Error("Parameter globalOptions must be an object");var a=function(t,e,i){o(t[i])||(t[i]={});var n=e[i],r=t[i];for(var s in n)Object.prototype.hasOwnProperty.call(n,s)&&(r[s]=n[s])},l=e[i],h=o(n)&&!s(n),u=h?n[i]:void 0,c=u?u.enabled:void 0;if(void 0!==l){if("boolean"==typeof l)return o(t[i])||(t[i]={}),void(t[i].enabled=l);if(null===l&&!o(t[i])){if(!r(u))return;t[i]=Mm(u)}if(o(l)){var d=!0;void 0!==l.enabled?d=l.enabled:void 0!==c&&(d=u.enabled),a(t,e,i),t[i].enabled=d}}},option:Ry,overrideOpacity:function(t,e){if(rf(t).call(t,"rgba"))return t;if(rf(t).call(t,"rgb")){var i=t.substr(dm(t).call(t,"(")+1).replace(")","").split(",");return"rgba("+i[0]+","+i[1]+","+i[2]+","+e+")"}var n=Fy(t);return null==n?t:"rgba("+n.r+","+n.g+","+n.b+","+e+")"},parseColor:function(t,e){if(My(t)){var i=t;if(Uy(i)){var n,r=Kc(n=i.substr(4).substr(0,i.length-5).split(",")).call(n,(function(t){return Qf(t)}));i=jy(r[0],r[1],r[2])}if(!0===Vy(i)){var o=Wy(i),s={h:o.h,s:.8*o.s,v:Math.min(1,1.02*o.v)},a={h:o.h,s:Math.min(1,1.25*o.s),v:.8*o.v},l=Gy(a.h,a.s,a.v),h=Gy(s.h,s.s,s.v);return{background:i,border:l,highlight:{background:h,border:l},hover:{background:h,border:l}}}return{background:i,border:i,highlight:{background:i,border:i},hover:{background:i,border:i}}}return e?{background:t.background||e.background,border:t.border||e.border,highlight:My(t.highlight)?{border:t.highlight,background:t.highlight}:{background:t.highlight&&t.highlight.background||e.highlight.background,border:t.highlight&&t.highlight.border||e.highlight.border},hover:My(t.hover)?{border:t.hover,background:t.hover}:{border:t.hover&&t.hover.border||e.hover.border,background:t.hover&&t.hover.background||e.hover.background}}:{background:t.background||void 0,border:t.border||void 0,highlight:My(t.highlight)?{border:t.highlight,background:t.highlight}:{background:t.highlight&&t.highlight.background||void 0,border:t.highlight&&t.highlight.border||void 0},hover:My(t.hover)?{border:t.hover,background:t.hover}:{border:t.hover&&t.hover.border||void 0,background:t.hover&&t.hover.background||void 0}}},preventDefault:function(t){t||(t=window.event),t&&(t.preventDefault?t.preventDefault():t.returnValue=!1)},pureDeepObjectAssign:dy,recursiveDOMDelete:function t(e){if(e)for(;!0===e.hasChildNodes();){var i=e.firstChild;i&&(t(i),e.removeChild(i))}},removeClassName:function(t,e){var i=t.className.split(" "),n=e.split(" ");i=yf(i).call(i,(function(t){return!rf(n).call(n,t)})),t.className=i.join(" ")},removeCssText:function(t,e){var i=Hy(t.style.cssText),n=Hy(e);for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&delete i[r];t.style.cssText=By(i)},removeEventListener:function(t,e,i,n){var r;t.removeEventListener?(void 0===n&&(n=!1),"mousewheel"===e&&rf(r=navigator.userAgent).call(r,"Firefox")&&(e="DOMMouseScroll"),t.removeEventListener(e,i,n)):t.detachEvent("on"+e,i)},selectiveBridgeObject:function(t,e){if(null!==e&&"object"===Dc(e)){for(var i=Mm(e),n=0;n<t.length;n++)Object.prototype.hasOwnProperty.call(e,t[n])&&"object"==Dc(e[t[n]])&&(i[t[n]]=qy(e[t[n]]));return i}return null},selectiveDeepExtend:function(t,e,i){var n=arguments.length>3&&void 0!==arguments[3]&&arguments[3];if(zc(i))throw new TypeError("Arrays are not supported by deepExtend");for(var r=0;r<t.length;r++){var o=t[r];if(Object.prototype.hasOwnProperty.call(i,o))if(i[o]&&i[o].constructor===Object)void 0===e[o]&&(e[o]={}),e[o].constructor===Object?Ey(e[o],i[o],!1,n):Oy(e,i,o,n);else{if(zc(i[o]))throw new TypeError("Arrays are not supported by deepExtend");Oy(e,i,o,n)}}return e},selectiveExtend:function(t,e){if(!zc(t))throw new Error("Array with property names expected as first argument");for(var i=arguments.length,n=new Array(i>2?i-2:0),r=2;r<i;r++)n[r-2]=arguments[r];for(var o=0,s=n;o<s.length;o++)for(var a=s[o],l=0;l<t.length;l++){var h=t[l];a&&Object.prototype.hasOwnProperty.call(a,h)&&(e[h]=a[h])}return e},selectiveNotDeepExtend:function(t,e,i){var n=arguments.length>3&&void 0!==arguments[3]&&arguments[3];if(zc(i))throw new TypeError("Arrays are not supported by deepExtend");for(var r in i)if(Object.prototype.hasOwnProperty.call(i,r)&&!rf(t).call(t,r))if(i[r]&&i[r].constructor===Object)void 0===e[r]&&(e[r]={}),e[r].constructor===Object?Ey(e[r],i[r]):Oy(e,i,r,n);else if(zc(i[r])){e[r]=[];for(var o=0;o<i[r].length;o++)e[r].push(i[r][o])}else Oy(e,i,r,n);return e},throttle:function(t){var e=!1;return function(){e||(e=!0,requestAnimationFrame((function(){e=!1,t()})))}},toArray:Ny,topMost:function(t,e){var i;zc(e)||(e=[e]);var n,r=hy(t);try{for(r.s();!(n=r.n()).done;){var o=n.value;if(o){i=o[e[0]];for(var s=1;s<e.length;s++)i&&(i=i[e[s]]);if(void 0!==i)break}}}catch(t){r.e(t)}finally{r.f()}return i},updateProperty:function(t,e,i){return t[e]!==i&&(t[e]=i,!0)}});function hb(t){for(var e in t)t.hasOwnProperty(e)&&(t[e].redundant=t[e].used,t[e].used=[])}function ub(t){for(var e in t)if(t.hasOwnProperty(e)&&t[e].redundant){for(var i=0;i<t[e].redundant.length;i++)t[e].redundant[i].parentNode.removeChild(t[e].redundant[i]);t[e].redundant=[]}}function cb(t){hb(t),ub(t),hb(t)}function db(t,e,i){var n;return e.hasOwnProperty(t)?e[t].redundant.length>0?(n=e[t].redundant[0],e[t].redundant.shift()):(n=document.createElementNS("http://www.w3.org/2000/svg",t),i.appendChild(n)):(n=document.createElementNS("http://www.w3.org/2000/svg",t),e[t]={used:[],redundant:[]},i.appendChild(n)),e[t].used.push(n),n}function pb(t,e,i,n){var r;return e.hasOwnProperty(t)?e[t].redundant.length>0?(r=e[t].redundant[0],e[t].redundant.shift()):(r=document.createElement(t),void 0!==n?i.insertBefore(r,n):i.appendChild(r)):(r=document.createElement(t),e[t]={used:[],redundant:[]},void 0!==n?i.insertBefore(r,n):i.appendChild(r)),e[t].used.push(r),r}function fb(t,e,i,n,r,o){var s;if("circle"==i.style?((s=db("circle",n,r)).setAttributeNS(null,"cx",t),s.setAttributeNS(null,"cy",e),s.setAttributeNS(null,"r",.5*i.size)):((s=db("rect",n,r)).setAttributeNS(null,"x",t-.5*i.size),s.setAttributeNS(null,"y",e-.5*i.size),s.setAttributeNS(null,"width",i.size),s.setAttributeNS(null,"height",i.size)),void 0!==i.styles&&s.setAttributeNS(null,"style",i.styles),s.setAttributeNS(null,"class",i.className+" vis-point"),o){var a=db("text",n,r);o.xOffset&&(t+=o.xOffset),o.yOffset&&(e+=o.yOffset),o.content&&(a.textContent=o.content),o.className&&a.setAttributeNS(null,"class",o.className+" vis-label"),a.setAttributeNS(null,"x",t),a.setAttributeNS(null,"y",e)}return s}function mb(t,e,i,n,r,o,s,a){if(0!=n){n<0&&(e-=n*=-1);var l=db("rect",o,s);l.setAttributeNS(null,"x",t-.5*i),l.setAttributeNS(null,"y",e),l.setAttributeNS(null,"width",i),l.setAttributeNS(null,"height",n),l.setAttributeNS(null,"class",r),a&&l.setAttributeNS(null,"style",a)}}function vb(){try{return navigator?navigator.languages&&navigator.languages.length?navigator.languages:navigator.userLanguage||navigator.language||navigator.browserLanguage||"en":"en"}catch(t){return"en"}}var gb=Object.freeze({__proto__:null,prepareElements:hb,cleanupElements:ub,resetElements:cb,getSVGElement:db,getDOMElement:pb,drawPoint:fb,drawBar:mb,getNavigatorLanguage:vb}),yb={exports:{}},bb=hs,_b=De,wb=_.TypeError,kb=function(t){if(bb(t))return t;throw wb(_b(t)+" is not a constructor")},xb=On,Sb=Ai,Db=wd,Cb=kb,Mb=pe,Tb=Qt,Ob=Mr,Pb=l,Eb=q("Reflect","construct"),Ib=Object.prototype,Lb=[].push,Ab=Pb((function(){function t(){}return!(Eb((function(){}),[],t)instanceof t)})),Nb=!Pb((function(){Eb((function(){}))})),Rb=Ab||Nb;xb({target:"Reflect",stat:!0,forced:Rb,sham:Rb},{construct:function(t,e){Cb(t),Mb(e);var i=arguments.length<3?t:Cb(arguments[2]);if(Nb&&!Ab)return Eb(t,e,i);if(t==i){switch(e.length){case 0:return new t;case 1:return new t(e[0]);case 2:return new t(e[0],e[1]);case 3:return new t(e[0],e[1],e[2]);case 4:return new t(e[0],e[1],e[2],e[3])}var n=[null];return Sb(Lb,n,e),new(Sb(Db,t,n))}var r=i.prototype,o=Ob(Tb(r)?r:Ib),s=Sb(t,o,e);return Tb(s)?s:o}});var Fb=z.Reflect.construct;!function(t){t.exports=Fb}(yb);var jb=n(yb.exports);function Yb(t){if(void 0===t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return t}var Hb={exports:{}},Bb=Cm;!function(t){t.exports=Bb}(Hb);var zb=n(Hb.exports),Gb={exports:{}};On({target:"Object",stat:!0},{setPrototypeOf:yo});var Wb=z.Object.setPrototypeOf;!function(t){t.exports=Wb}(Gb);var Vb=n(Gb.exports),Ub={exports:{}},Xb=Md;!function(t){t.exports=Xb}(Ub);var qb=n(Ub.exports);function $b(t,e){var i;return($b=Vb?qb(i=Vb).call(i):function(t,e){return t.__proto__=e,t})(t,e)}function Kb(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function");t.prototype=zb(e&&e.prototype,{constructor:{value:t,writable:!0,configurable:!0}}),hu(t,"prototype",{writable:!1}),e&&$b(t,e)}function Zb(t,e){if(e&&("object"===Dc(e)||"function"==typeof e))return e;if(void 0!==e)throw new TypeError("Derived constructors may only return object or undefined");return Yb(t)}var Jb={exports:{}},Qb=hf;!function(t){t.exports=Qb}(Jb);var t_=n(Jb.exports);function e_(t){var e;return(e_=Vb?qb(e=t_).call(e):function(t){return t.__proto__||t_(t)})(t)}var i_={exports:{}},n_={exports:{}};!function(t){var e=gu.exports,i=wc.exports;function n(r){return t.exports=n="function"==typeof e&&"symbol"==typeof i?function(t){return typeof t}:function(t){return t&&"function"==typeof e&&t.constructor===e&&t!==e.prototype?"symbol":typeof t},t.exports.__esModule=!0,t.exports.default=t.exports,n(r)}t.exports=n,t.exports.__esModule=!0,t.exports.default=t.exports}(n_);var r_={exports:{}},o_=Bd;!function(t){t.exports=o_}(r_);var s_={exports:{}},a_=R,l_=Nh,h_=Ni,u_=ee,c_=m("".replace),d_=String(Error("zxcasd").stack),p_=/\n\s*at [^:]*:[^\n]*/,f_=p_.test(d_),m_=Qt,v_=si,g_=gn,y_=ve,b_=pe,__=De,w_=$o,k_=Gn,x_=ge,S_=Ds,D_=ys,C_=Go,M_=_.TypeError,T_=function(t,e){this.stopped=t,this.result=e},O_=T_.prototype,P_=function(t,e,i){var n,r,o,s,a,l,h,u=i&&i.that,c=!(!i||!i.AS_ENTRIES),d=!(!i||!i.IS_ITERATOR),p=!(!i||!i.INTERRUPTED),f=g_(e,u),m=function(t){return n&&C_(n,"normal",t),new T_(!0,t)},v=function(t){return c?(b_(t),p?f(t[0],t[1],m):f(t[0],t[1])):p?f(t,m):f(t)};if(d)n=t;else{if(!(r=D_(t)))throw M_(__(t)+" is not iterable");if(w_(r)){for(o=0,s=k_(t);s>o;o++)if((a=v(t[o]))&&x_(O_,a))return a;return new T_(!1)}n=S_(t,r)}for(l=n.next;!(h=y_(l,n)).done;){try{a=v(h.value)}catch(t){C_(n,"throw",t)}if("object"==typeof a&&a&&x_(O_,a))return a}return new T_(!1)},E_=At,I_=ni,L_=!l((function(){var t=Error("a");return!("stack"in t)||(Object.defineProperty(t,"stack",I_(1,7)),7!==t.stack)})),A_=On,N_=_,R_=ge,F_=Fr,j_=yo,Y_=Mr,H_=si,B_=ni,z_=function(t,e){if(f_&&"string"==typeof t)for(;e--;)t=c_(t,p_,"");return t},G_=function(t,e){m_(e)&&"cause"in e&&v_(t,"cause",e.cause)},W_=P_,V_=function(t,e){return void 0===t?arguments.length<2?"":e:E_(t)},U_=L_,X_=gt("toStringTag"),q_=N_.Error,$_=[].push,K_=function(t,e){var i,n=arguments.length>2?arguments[2]:void 0,r=R_(Z_,this);j_?i=j_(new q_,r?F_(this):Z_):(i=r?this:Y_(Z_),H_(i,X_,"Error")),void 0!==e&&H_(i,"message",V_(e)),U_&&H_(i,"stack",z_(i.stack,1)),G_(i,n);var o=[];return W_(t,$_,{that:o}),H_(i,"errors",o),i};j_?j_(K_,q_):function(t,e,i){for(var n=l_(e),r=u_.f,o=h_.f,s=0;s<n.length;s++){var a=n[s];a_(t,a)||i&&a_(i,a)||r(t,a,o(e,a))}}(K_,q_,{name:!0});var Z_=K_.prototype=Y_(q_.prototype,{constructor:B_(1,K_),message:B_(1,""),name:B_(1,"AggregateError")});A_({global:!0},{AggregateError:K_});var J_,Q_,tw,ew,iw=_.Promise,nw=Yr,rw=function(t,e,i){for(var n in e)i&&i.unsafe&&t[n]?t[n]=e[n]:nw(t,n,e[n],i);return t},ow=q,sw=ee,aw=te,lw=gt("species"),hw=function(t){var e=ow(t),i=sw.f;aw&&e&&!e[lw]&&i(e,lw,{configurable:!0,get:function(){return this}})},uw=ge,cw=_.TypeError,dw=function(t,e){if(uw(e,t))return t;throw cw("Incorrect invocation")},pw=pe,fw=kb,mw=gt("species"),vw=function(t,e){var i,n=pw(t).constructor;return void 0===n||null==(i=pw(n)[mw])?e:fw(i)},gw=/(?:ipad|iphone|ipod).*applewebkit/i.test($),yw="process"==xt(_.process),bw=_,_w=Ai,ww=gn,kw=G,xw=R,Sw=l,Dw=dr,Cw=Ta,Mw=oe,Tw=Jm,Ow=gw,Pw=yw,Ew=bw.setImmediate,Iw=bw.clearImmediate,Lw=bw.process,Aw=bw.Dispatch,Nw=bw.Function,Rw=bw.MessageChannel,Fw=bw.String,jw=0,Yw={};try{J_=bw.location}catch(t){}var Hw=function(t){if(xw(Yw,t)){var e=Yw[t];delete Yw[t],e()}},Bw=function(t){return function(){Hw(t)}},zw=function(t){Hw(t.data)},Gw=function(t){bw.postMessage(Fw(t),J_.protocol+"//"+J_.host)};Ew&&Iw||(Ew=function(t){Tw(arguments.length,1);var e=kw(t)?t:Nw(t),i=Cw(arguments,1);return Yw[++jw]=function(){_w(e,void 0,i)},Q_(jw),jw},Iw=function(t){delete Yw[t]},Pw?Q_=function(t){Lw.nextTick(Bw(t))}:Aw&&Aw.now?Q_=function(t){Aw.now(Bw(t))}:Rw&&!Ow?(ew=(tw=new Rw).port2,tw.port1.onmessage=zw,Q_=ww(ew.postMessage,ew)):bw.addEventListener&&kw(bw.postMessage)&&!bw.importScripts&&J_&&"file:"!==J_.protocol&&!Sw(Gw)?(Q_=Gw,bw.addEventListener("message",zw,!1)):Q_="onreadystatechange"in Mw("script")?function(t){Dw.appendChild(Mw("script")).onreadystatechange=function(){Dw.removeChild(this),Hw(t)}}:function(t){setTimeout(Bw(t),0)});var Ww,Vw,Uw,Xw,qw,$w,Kw,Zw,Jw={set:Ew,clear:Iw},Qw=_,tk=/ipad|iphone|ipod/i.test($)&&void 0!==Qw.Pebble,ek=/web0s(?!.*chrome)/i.test($),ik=_,nk=gn,rk=Ni.f,ok=Jw.set,sk=gw,ak=tk,lk=ek,hk=yw,uk=ik.MutationObserver||ik.WebKitMutationObserver,ck=ik.document,dk=ik.process,pk=ik.Promise,fk=rk(ik,"queueMicrotask"),mk=fk&&fk.value;mk||(Ww=function(){var t,e;for(hk&&(t=dk.domain)&&t.exit();Vw;){e=Vw.fn,Vw=Vw.next;try{e()}catch(t){throw Vw?Xw():Uw=void 0,t}}Uw=void 0,t&&t.enter()},sk||hk||lk||!uk||!ck?!ak&&pk&&pk.resolve?((Kw=pk.resolve(void 0)).constructor=pk,Zw=nk(Kw.then,Kw),Xw=function(){Zw(Ww)}):hk?Xw=function(){dk.nextTick(Ww)}:(ok=nk(ok,ik),Xw=function(){ok(Ww)}):(qw=!0,$w=ck.createTextNode(""),new uk(Ww).observe($w,{characterData:!0}),Xw=function(){$w.data=qw=!qw}));var vk=mk||function(t){var e={fn:t,next:void 0};Uw&&(Uw.next=e),Vw||(Vw=e,Xw()),Uw=e},gk={},yk=Oe,bk=function(t){var e,i;this.promise=new t((function(t,n){if(void 0!==e||void 0!==i)throw TypeError("Bad Promise constructor");e=t,i=n})),this.resolve=yk(e),this.reject=yk(i)};gk.f=function(t){return new bk(t)};var _k=pe,wk=Qt,kk=gk,xk=function(t,e){if(_k(t),wk(e)&&e.constructor===t)return e;var i=kk.f(t);return(0,i.resolve)(e),i.promise},Sk=_,Dk=function(t){try{return{error:!1,value:t()}}catch(t){return{error:!0,value:t}}},Ck=function(){this.head=null,this.tail=null};Ck.prototype={add:function(t){var e={item:t,next:null};this.head?this.tail.next=e:this.head=e,this.tail=e},get:function(){var t=this.head;if(t)return this.head=t.next,this.tail===t&&(this.tail=null),t.item}};var Mk,Tk,Ok,Pk="object"==typeof window,Ek=On,Ik=_,Lk=q,Ak=ve,Nk=iw,Rk=rw,Fk=no,jk=hw,Yk=Oe,Hk=G,Bk=Qt,zk=dw,Gk=Xt,Wk=P_,Vk=Bs,Uk=vw,Xk=Jw.set,qk=vk,$k=xk,Kk=gk,Zk=Dk,Jk=Ck,Qk=Oi,tx=pn,ex=Pk,ix=yw,nx=it,rx=gt("species"),ox="Promise",sx=Qk.getterFor(ox),ax=Qk.set,lx=Qk.getterFor(ox),hx=Nk&&Nk.prototype,ux=Nk,cx=hx,dx=Ik.TypeError,px=Ik.document,fx=Ik.process,mx=Kk.f,vx=mx,gx=!!(px&&px.createEvent&&Ik.dispatchEvent),yx=Hk(Ik.PromiseRejectionEvent),bx="unhandledrejection",_x=tx(ox,(function(){var t=Gk(ux),e=t!==String(ux);if(!e&&66===nx)return!0;if(!cx.finally)return!0;if(nx>=51&&/native code/.test(t))return!1;var i=new ux((function(t){t(1)})),n=function(t){t((function(){}),(function(){}))};return(i.constructor={})[rx]=n,!(i.then((function(){}))instanceof n)||!e&&ex&&!yx})),wx=_x||!Vk((function(t){ux.all(t).catch((function(){}))})),kx=function(t){var e;return!(!Bk(t)||!Hk(e=t.then))&&e},xx=function(t,e){var i,n,r,o=e.value,s=1==e.state,a=s?t.ok:t.fail,l=t.resolve,h=t.reject,u=t.domain;try{a?(s||(2===e.rejection&&Tx(e),e.rejection=1),!0===a?i=o:(u&&u.enter(),i=a(o),u&&(u.exit(),r=!0)),i===t.promise?h(dx("Promise-chain cycle")):(n=kx(i))?Ak(n,i,l,h):l(i)):h(o)}catch(t){u&&!r&&u.exit(),h(t)}},Sx=function(t,e){t.notified||(t.notified=!0,qk((function(){for(var i,n=t.reactions;i=n.get();)xx(i,t);t.notified=!1,e&&!t.rejection&&Cx(t)})))},Dx=function(t,e,i){var n,r;gx?((n=px.createEvent("Event")).promise=e,n.reason=i,n.initEvent(t,!1,!0),Ik.dispatchEvent(n)):n={promise:e,reason:i},!yx&&(r=Ik["on"+t])?r(n):t===bx&&function(t,e){var i=Sk.console;i&&i.error&&(1==arguments.length?i.error(t):i.error(t,e))}("Unhandled promise rejection",i)},Cx=function(t){Ak(Xk,Ik,(function(){var e,i=t.facade,n=t.value;if(Mx(t)&&(e=Zk((function(){ix?fx.emit("unhandledRejection",n,i):Dx(bx,i,n)})),t.rejection=ix||Mx(t)?2:1,e.error))throw e.value}))},Mx=function(t){return 1!==t.rejection&&!t.parent},Tx=function(t){Ak(Xk,Ik,(function(){var e=t.facade;ix?fx.emit("rejectionHandled",e):Dx("rejectionhandled",e,t.value)}))},Ox=function(t,e,i){return function(n){t(e,n,i)}},Px=function(t,e,i){t.done||(t.done=!0,i&&(t=i),t.value=e,t.state=2,Sx(t,!0))},Ex=function(t,e,i){if(!t.done){t.done=!0,i&&(t=i);try{if(t.facade===e)throw dx("Promise can't be resolved itself");var n=kx(e);n?qk((function(){var i={done:!1};try{Ak(n,e,Ox(Ex,i,t),Ox(Px,i,t))}catch(e){Px(i,e,t)}})):(t.value=e,t.state=1,Sx(t,!1))}catch(e){Px({done:!1},e,t)}}};_x&&(cx=(ux=function(t){zk(this,cx),Yk(t),Ak(Mk,this);var e=sx(this);try{t(Ox(Ex,e),Ox(Px,e))}catch(t){Px(e,t)}}).prototype,(Mk=function(t){ax(this,{type:ox,done:!1,notified:!1,parent:!1,reactions:new Jk,rejection:!1,state:0,value:void 0})}).prototype=Rk(cx,{then:function(t,e){var i=lx(this),n=mx(Uk(this,ux));return i.parent=!0,n.ok=!Hk(t)||t,n.fail=Hk(e)&&e,n.domain=ix?fx.domain:void 0,0==i.state?i.reactions.add(n):qk((function(){xx(n,i)})),n.promise},catch:function(t){return this.then(void 0,t)}}),Tk=function(){var t=new Mk,e=sx(t);this.promise=t,this.resolve=Ox(Ex,e),this.reject=Ox(Px,e)},Kk.f=mx=function(t){return t===ux||t===Ok?new Tk(t):vx(t)}),Ek({global:!0,wrap:!0,forced:_x},{Promise:ux}),Fk(ux,ox,!1,!0),jk(ox),Ok=Lk(ox),Ek({target:ox,stat:!0,forced:_x},{reject:function(t){var e=mx(this);return Ak(e.reject,void 0,t),e.promise}}),Ek({target:ox,stat:!0,forced:!0},{resolve:function(t){return $k(this===Ok?ux:this,t)}}),Ek({target:ox,stat:!0,forced:wx},{all:function(t){var e=this,i=mx(e),n=i.resolve,r=i.reject,o=Zk((function(){var i=Yk(e.resolve),o=[],s=0,a=1;Wk(t,(function(t){var l=s++,h=!1;a++,Ak(i,e,t).then((function(t){h||(h=!0,o[l]=t,--a||n(o))}),r)})),--a||n(o)}));return o.error&&r(o.value),i.promise},race:function(t){var e=this,i=mx(e),n=i.reject,r=Zk((function(){var r=Yk(e.resolve);Wk(t,(function(t){Ak(r,e,t).then(i.resolve,n)}))}));return r.error&&n(r.value),i.promise}});var Ix=ve,Lx=Oe,Ax=gk,Nx=Dk,Rx=P_;On({target:"Promise",stat:!0},{allSettled:function(t){var e=this,i=Ax.f(e),n=i.resolve,r=i.reject,o=Nx((function(){var i=Lx(e.resolve),r=[],o=0,s=1;Rx(t,(function(t){var a=o++,l=!1;s++,Ix(i,e,t).then((function(t){l||(l=!0,r[a]={status:"fulfilled",value:t},--s||n(r))}),(function(t){l||(l=!0,r[a]={status:"rejected",reason:t},--s||n(r))}))})),--s||n(r)}));return o.error&&r(o.value),i.promise}});var Fx=Oe,jx=q,Yx=ve,Hx=gk,Bx=Dk,zx=P_,Gx="No one promise resolved";On({target:"Promise",stat:!0},{any:function(t){var e=this,i=jx("AggregateError"),n=Hx.f(e),r=n.resolve,o=n.reject,s=Bx((function(){var n=Fx(e.resolve),s=[],a=0,l=1,h=!1;zx(t,(function(t){var u=a++,c=!1;l++,Yx(n,e,t).then((function(t){c||h||(h=!0,r(t))}),(function(t){c||h||(c=!0,s[u]=t,--l||o(new i(s,Gx)))}))})),--l||o(new i(s,Gx))}));return s.error&&o(s.value),n.promise}});var Wx=iw,Vx=q,Ux=G,Xx=vw,qx=xk;On({target:"Promise",proto:!0,real:!0,forced:!!Wx&&l((function(){Wx.prototype.finally.call({then:function(){}},(function(){}))}))},{finally:function(t){var e=Xx(this,Vx("Promise")),i=Ux(t);return this.then(i?function(i){return qx(e,t()).then((function(){return i}))}:t,i?function(i){return qx(e,t()).then((function(){throw i}))}:t)}});var $x=z.Promise,Kx=gk,Zx=Dk;On({target:"Promise",stat:!0,forced:!0},{try:function(t){var e=Kx.f(this),i=Zx(t);return(i.error?e.reject:e.resolve)(i.value),e.promise}});var Jx=$x;!function(t){t.exports=Jx}(s_);var Qx={exports:{}},tS=Jd;!function(t){t.exports=tS}(Qx),function(t){var e=n_.exports.default,i=gu.exports,n=au.exports,r=Hb.exports,o=Jb.exports,s=r_.exports,a=Gb.exports,l=s_.exports,h=Qx.exports,u=Wu.exports;function c(){
/*! regenerator-runtime -- Copyright (c) 2014-present, Facebook, Inc. -- license (MIT): https://github.com/facebook/regenerator/blob/main/LICENSE */
t.exports=c=function(){return d},t.exports.__esModule=!0,t.exports.default=t.exports;var d={},p=Object.prototype,f=p.hasOwnProperty,m="function"==typeof i?i:{},v=m.iterator||"@@iterator",g=m.asyncIterator||"@@asyncIterator",y=m.toStringTag||"@@toStringTag";function b(t,e,i){return n(t,e,{value:i,enumerable:!0,configurable:!0,writable:!0}),t[e]}try{b({},"")}catch(t){b=function(t,e,i){return t[e]=i}}function _(t,e,i,n){var o=e&&e.prototype instanceof x?e:x,s=r(o.prototype),a=new A(n||[]);return s._invoke=function(t,e,i){var n="suspendedStart";return function(r,o){if("executing"===n)throw new Error("Generator is already running");if("completed"===n){if("throw"===r)throw o;return{value:void 0,done:!0}}for(i.method=r,i.arg=o;;){var s=i.delegate;if(s){var a=E(s,i);if(a){if(a===k)continue;return a}}if("next"===i.method)i.sent=i._sent=i.arg;else if("throw"===i.method){if("suspendedStart"===n)throw n="completed",i.arg;i.dispatchException(i.arg)}else"return"===i.method&&i.abrupt("return",i.arg);n="executing";var l=w(t,e,i);if("normal"===l.type){if(n=i.done?"completed":"suspendedYield",l.arg===k)continue;return{value:l.arg,done:i.done}}"throw"===l.type&&(n="completed",i.method="throw",i.arg=l.arg)}}}(t,i,a),s}function w(t,e,i){try{return{type:"normal",arg:t.call(e,i)}}catch(t){return{type:"throw",arg:t}}}d.wrap=_;var k={};function x(){}function S(){}function D(){}var C={};b(C,v,(function(){return this}));var M=o&&o(o(N([])));M&&M!==p&&f.call(M,v)&&(C=M);var T=D.prototype=x.prototype=r(C);function O(t){var e;s(e=["next","throw","return"]).call(e,(function(e){b(t,e,(function(t){return this._invoke(e,t)}))}))}function P(t,i){var n;this._invoke=function(r,o){function s(){return new i((function(n,s){!function n(r,o,s,a){var l=w(t[r],t,o);if("throw"!==l.type){var h=l.arg,u=h.value;return u&&"object"==e(u)&&f.call(u,"__await")?i.resolve(u.__await).then((function(t){n("next",t,s,a)}),(function(t){n("throw",t,s,a)})):i.resolve(u).then((function(t){h.value=t,s(h)}),(function(t){return n("throw",t,s,a)}))}a(l.arg)}(r,o,n,s)}))}return n=n?n.then(s,s):s()}}function E(t,e){var i=t.iterator[e.method];if(void 0===i){if(e.delegate=null,"throw"===e.method){if(t.iterator.return&&(e.method="return",e.arg=void 0,E(t,e),"throw"===e.method))return k;e.method="throw",e.arg=new TypeError("The iterator does not provide a 'throw' method")}return k}var n=w(i,t.iterator,e.arg);if("throw"===n.type)return e.method="throw",e.arg=n.arg,e.delegate=null,k;var r=n.arg;return r?r.done?(e[t.resultName]=r.value,e.next=t.nextLoc,"return"!==e.method&&(e.method="next",e.arg=void 0),e.delegate=null,k):r:(e.method="throw",e.arg=new TypeError("iterator result is not an object"),e.delegate=null,k)}function I(t){var e={tryLoc:t[0]};1 in t&&(e.catchLoc=t[1]),2 in t&&(e.finallyLoc=t[2],e.afterLoc=t[3]),this.tryEntries.push(e)}function L(t){var e=t.completion||{};e.type="normal",delete e.arg,t.completion=e}function A(t){this.tryEntries=[{tryLoc:"root"}],s(t).call(t,I,this),this.reset(!0)}function N(t){if(t){var e=t[v];if(e)return e.call(t);if("function"==typeof t.next)return t;if(!isNaN(t.length)){var i=-1,n=function e(){for(;++i<t.length;)if(f.call(t,i))return e.value=t[i],e.done=!1,e;return e.value=void 0,e.done=!0,e};return n.next=n}}return{next:R}}function R(){return{value:void 0,done:!0}}return S.prototype=D,b(T,"constructor",D),b(D,"constructor",S),S.displayName=b(D,y,"GeneratorFunction"),d.isGeneratorFunction=function(t){var e="function"==typeof t&&t.constructor;return!!e&&(e===S||"GeneratorFunction"===(e.displayName||e.name))},d.mark=function(t){return a?a(t,D):(t.__proto__=D,b(t,y,"GeneratorFunction")),t.prototype=r(T),t},d.awrap=function(t){return{__await:t}},O(P.prototype),b(P.prototype,g,(function(){return this})),d.AsyncIterator=P,d.async=function(t,e,i,n,r){void 0===r&&(r=l);var o=new P(_(t,e,i,n),r);return d.isGeneratorFunction(e)?o:o.next().then((function(t){return t.done?t.value:o.next()}))},O(T),b(T,y,"Generator"),b(T,v,(function(){return this})),b(T,"toString",(function(){return"[object Generator]"})),d.keys=function(t){var e=[];for(var i in t)e.push(i);return h(e).call(e),function i(){for(;e.length;){var n=e.pop();if(n in t)return i.value=n,i.done=!1,i}return i.done=!0,i}},d.values=N,A.prototype={constructor:A,reset:function(t){var e;if(this.prev=0,this.next=0,this.sent=this._sent=void 0,this.done=!1,this.delegate=null,this.method="next",this.arg=void 0,s(e=this.tryEntries).call(e,L),!t)for(var i in this)"t"===i.charAt(0)&&f.call(this,i)&&!isNaN(+u(i).call(i,1))&&(this[i]=void 0)},stop:function(){this.done=!0;var t=this.tryEntries[0].completion;if("throw"===t.type)throw t.arg;return this.rval},dispatchException:function(t){if(this.done)throw t;var e=this;function i(i,n){return o.type="throw",o.arg=t,e.next=i,n&&(e.method="next",e.arg=void 0),!!n}for(var n=this.tryEntries.length-1;n>=0;--n){var r=this.tryEntries[n],o=r.completion;if("root"===r.tryLoc)return i("end");if(r.tryLoc<=this.prev){var s=f.call(r,"catchLoc"),a=f.call(r,"finallyLoc");if(s&&a){if(this.prev<r.catchLoc)return i(r.catchLoc,!0);if(this.prev<r.finallyLoc)return i(r.finallyLoc)}else if(s){if(this.prev<r.catchLoc)return i(r.catchLoc,!0)}else{if(!a)throw new Error("try statement without catch or finally");if(this.prev<r.finallyLoc)return i(r.finallyLoc)}}}},abrupt:function(t,e){for(var i=this.tryEntries.length-1;i>=0;--i){var n=this.tryEntries[i];if(n.tryLoc<=this.prev&&f.call(n,"finallyLoc")&&this.prev<n.finallyLoc){var r=n;break}}r&&("break"===t||"continue"===t)&&r.tryLoc<=e&&e<=r.finallyLoc&&(r=null);var o=r?r.completion:{};return o.type=t,o.arg=e,r?(this.method="next",this.next=r.finallyLoc,k):this.complete(o)},complete:function(t,e){if("throw"===t.type)throw t.arg;return"break"===t.type||"continue"===t.type?this.next=t.arg:"return"===t.type?(this.rval=this.arg=t.arg,this.method="return",this.next="end"):"normal"===t.type&&e&&(this.next=e),k},finish:function(t){for(var e=this.tryEntries.length-1;e>=0;--e){var i=this.tryEntries[e];if(i.finallyLoc===t)return this.complete(i.completion,i.afterLoc),L(i),k}},catch:function(t){for(var e=this.tryEntries.length-1;e>=0;--e){var i=this.tryEntries[e];if(i.tryLoc===t){var n=i.completion;if("throw"===n.type){var r=n.arg;L(i)}return r}}throw new Error("illegal catch attempt")},delegateYield:function(t,e,i){return this.delegate={iterator:N(t),resultName:e,nextLoc:i},"next"===this.method&&(this.arg=void 0),k}},d}t.exports=c,t.exports.__esModule=!0,t.exports.default=t.exports}(i_);var eS=i_.exports(),iS=eS;try{regeneratorRuntime=eS}catch(t){"object"==typeof globalThis?globalThis.regeneratorRuntime=eS:Function("r","regeneratorRuntime = r")(eS)}var nS={exports:{}},rS=Oe,oS=L,sS=Vi,aS=Gn,lS=_.TypeError,hS=function(t){return function(e,i,n,r){rS(i);var o=oS(e),s=sS(o),a=aS(o),l=t?a-1:0,h=t?-1:1;if(n<2)for(;;){if(l in s){r=s[l],l+=h;break}if(l+=h,t?l<0:a<=l)throw lS("Reduce of empty array with no initial value")}for(;t?l>=0:a>l;l+=h)l in s&&(r=i(r,s[l],l,o));return r}},uS=[hS(!1),hS(!0)][0],cS=it,dS=yw;On({target:"Array",proto:!0,forced:!Ed("reduce")||!dS&&cS>79&&cS<83},{reduce:function(t){var e=arguments.length;return uS(this,t,e,e>1?arguments[1]:void 0)}});var pS=ac("Array").reduce,fS=ge,mS=pS,vS=Array.prototype,gS=function(t){var e=t.reduce;return t===vS||fS(vS,t)&&e===vS.reduce?mS:e};!function(t){t.exports=gS}(nS);var yS=n(nS.exports),bS={exports:{}},_S=ca,wS=Gn,kS=gn,xS=_.TypeError,SS=function(t,e,i,n,r,o,s,a){for(var l,h,u=r,c=0,d=!!s&&kS(s,a);c<n;){if(c in i){if(l=d?d(i[c],c,e):i[c],o>0&&_S(l))h=wS(l),u=SS(t,e,l,h,u,o-1)-1;else{if(u>=9007199254740991)throw xS("Exceed the acceptable array length");t[u]=l}u++}c++}return u},DS=SS,CS=Oe,MS=L,TS=Gn,OS=za;On({target:"Array",proto:!0},{flatMap:function(t){var e,i=MS(this),n=TS(i);return CS(t),(e=OS(i,0)).length=DS(e,i,i,n,0,1,t,arguments.length>1?arguments[1]:void 0),e}});var PS=ac("Array").flatMap,ES=ge,IS=PS,LS=Array.prototype,AS=function(t){var e=t.flatMap;return t===LS||ES(LS,t)&&e===LS.flatMap?IS:e};!function(t){t.exports=AS}(bS);var NS=n(bS.exports),RS={exports:{}},FS={exports:{}},jS=l((function(){if("function"==typeof ArrayBuffer){var t=new ArrayBuffer(8);Object.isExtensible(t)&&Object.defineProperty(t,"a",{value:8})}})),YS=l,HS=Qt,BS=xt,zS=jS,GS=Object.isExtensible,WS=YS((function(){GS(1)}))||zS?function(t){return!!HS(t)&&(!zS||"ArrayBuffer"!=BS(t))&&(!GS||GS(t))}:GS,VS=!l((function(){return Object.isExtensible(Object.preventExtensions({}))})),US=On,XS=m,qS=ci,$S=Qt,KS=R,ZS=ee.f,JS=da,QS=ma,tD=WS,eD=VS,iD=!1,nD=B("meta"),rD=0,oD=function(t){ZS(t,nD,{value:{objectID:"O"+rD++,weakData:{}}})},sD=FS.exports={enable:function(){sD.enable=function(){},iD=!0;var t=JS.f,e=XS([].splice),i={};i[nD]=1,t(i).length&&(JS.f=function(i){for(var n=t(i),r=0,o=n.length;r<o;r++)if(n[r]===nD){e(n,r,1);break}return n},US({target:"Object",stat:!0,forced:!0},{getOwnPropertyNames:QS.f}))},fastKey:function(t,e){if(!$S(t))return"symbol"==typeof t?t:("string"==typeof t?"S":"P")+t;if(!KS(t,nD)){if(!tD(t))return"F";if(!e)return"E";oD(t)}return t[nD].objectID},getWeakData:function(t,e){if(!KS(t,nD)){if(!tD(t))return!0;if(!e)return!1;oD(t)}return t[nD].weakData},onFreeze:function(t){return eD&&iD&&tD(t)&&!KS(t,nD)&&oD(t),t}};qS[nD]=!0;var aD=On,lD=_,hD=FS.exports,uD=l,cD=si,dD=P_,pD=dw,fD=G,mD=Qt,vD=no,gD=ee.f,yD=Ka.forEach,bD=te,_D=Oi.set,wD=Oi.getterFor,kD=function(t,e,i){var n,r=-1!==t.indexOf("Map"),o=-1!==t.indexOf("Weak"),s=r?"set":"add",a=lD[t],l=a&&a.prototype,h={};if(bD&&fD(a)&&(o||l.forEach&&!uD((function(){(new a).entries().next()})))){var u=(n=e((function(e,i){_D(pD(e,u),{type:t,collection:new a}),null!=i&&dD(i,e[s],{that:e,AS_ENTRIES:r})}))).prototype,c=wD(t);yD(["add","clear","delete","forEach","get","has","set","keys","values","entries"],(function(t){var e="add"==t||"set"==t;!(t in l)||o&&"clear"==t||cD(u,t,(function(i,n){var r=c(this).collection;if(!e&&o&&!mD(i))return"get"==t&&void 0;var s=r[t](0===i?0:i,n);return e?this:s}))})),o||gD(u,"size",{configurable:!0,get:function(){return c(this).collection.size}})}else n=i.getConstructor(e,t,r,s),hD.enable();return vD(n,t,!1,!0),h[t]=n,aD({global:!0,forced:!0},h),o||i.setStrong(n,t,r),n},xD=ee.f,SD=Mr,DD=rw,CD=gn,MD=dw,TD=P_,OD=Io,PD=hw,ED=te,ID=FS.exports.fastKey,LD=Oi.set,AD=Oi.getterFor,ND={getConstructor:function(t,e,i,n){var r=t((function(t,r){MD(t,o),LD(t,{type:e,index:SD(null),first:void 0,last:void 0,size:0}),ED||(t.size=0),null!=r&&TD(r,t[n],{that:t,AS_ENTRIES:i})})),o=r.prototype,s=AD(e),a=function(t,e,i){var n,r,o=s(t),a=l(t,e);return a?a.value=i:(o.last=a={index:r=ID(e,!0),key:e,value:i,previous:n=o.last,next:void 0,removed:!1},o.first||(o.first=a),n&&(n.next=a),ED?o.size++:t.size++,"F"!==r&&(o.index[r]=a)),t},l=function(t,e){var i,n=s(t),r=ID(e);if("F"!==r)return n.index[r];for(i=n.first;i;i=i.next)if(i.key==e)return i};return DD(o,{clear:function(){for(var t=s(this),e=t.index,i=t.first;i;)i.removed=!0,i.previous&&(i.previous=i.previous.next=void 0),delete e[i.index],i=i.next;t.first=t.last=void 0,ED?t.size=0:this.size=0},delete:function(t){var e=this,i=s(e),n=l(e,t);if(n){var r=n.next,o=n.previous;delete i.index[n.index],n.removed=!0,o&&(o.next=r),r&&(r.previous=o),i.first==n&&(i.first=r),i.last==n&&(i.last=o),ED?i.size--:e.size--}return!!n},forEach:function(t){for(var e,i=s(this),n=CD(t,arguments.length>1?arguments[1]:void 0);e=e?e.next:i.first;)for(n(e.value,e.key,this);e&&e.removed;)e=e.previous},has:function(t){return!!l(this,t)}}),DD(o,i?{get:function(t){var e=l(this,t);return e&&e.value},set:function(t,e){return a(this,0===t?0:t,e)}}:{add:function(t){return a(this,t=0===t?0:t,t)}}),ED&&xD(o,"size",{get:function(){return s(this).size}}),r},setStrong:function(t,e,i){var n=e+" Iterator",r=AD(e),o=AD(n);OD(t,e,(function(t,e){LD(this,{type:n,target:t,state:r(t),kind:e,last:void 0})}),(function(){for(var t=o(this),e=t.kind,i=t.last;i&&i.removed;)i=i.previous;return t.target&&(t.last=i=i?i.next:t.state.first)?"keys"==e?{value:i.key,done:!1}:"values"==e?{value:i.value,done:!1}:{value:[i.key,i.value],done:!1}:(t.target=void 0,{value:void 0,done:!0})}),i?"entries":"values",!i,!0),PD(e)}};kD("Map",(function(t){return function(){return t(this,arguments.length?arguments[0]:void 0)}}),ND);var RD=z.Map;!function(t){t.exports=RD}(RS);var FD=n(RS.exports),jD={exports:{}};kD("Set",(function(t){return function(){return t(this,arguments.length?arguments[0]:void 0)}}),ND);var YD=z.Set;!function(t){t.exports=YD}(jD);var HD=n(jD.exports),BD={exports:{}};!function(t){t.exports=kc}(BD);var zD=n(BD.exports),GD={exports:{}},WD=Ds;!function(t){t.exports=WD}(GD);var VD=n(GD.exports),UD={exports:{}},XD=wa,qD=Math.floor,$D=function(t,e){var i=t.length,n=qD(i/2);return i<8?KD(t,e):ZD(t,$D(XD(t,0,n),e),$D(XD(t,n),e),e)},KD=function(t,e){for(var i,n,r=t.length,o=1;o<r;){for(n=o,i=t[o];n&&e(t[n-1],i)>0;)t[n]=t[--n];n!==o++&&(t[n]=i)}return t},ZD=function(t,e,i,n){for(var r=e.length,o=i.length,s=0,a=0;s<r||a<o;)t[s+a]=s<r&&a<o?n(e[s],i[a])<=0?e[s++]:i[a++]:s<r?e[s++]:i[a++];return t},JD=$D,QD=$.match(/firefox\/(\d+)/i),tC=!!QD&&+QD[1],eC=/MSIE|Trident/.test($),iC=$.match(/AppleWebKit\/(\d+)\./),nC=!!iC&&+iC[1],rC=On,oC=m,sC=Oe,aC=L,lC=Gn,hC=At,uC=l,cC=JD,dC=Ed,pC=tC,fC=eC,mC=it,vC=nC,gC=[],yC=oC(gC.sort),bC=oC(gC.push),_C=uC((function(){gC.sort(void 0)})),wC=uC((function(){gC.sort(null)})),kC=dC("sort"),xC=!uC((function(){if(mC)return mC<70;if(!(pC&&pC>3)){if(fC)return!0;if(vC)return vC<603;var t,e,i,n,r="";for(t=65;t<76;t++){switch(e=String.fromCharCode(t),t){case 66:case 69:case 70:case 72:i=3;break;case 68:case 71:i=4;break;default:i=2}for(n=0;n<47;n++)gC.push({k:e+n,v:i})}for(gC.sort((function(t,e){return e.v-t.v})),n=0;n<gC.length;n++)e=gC[n].k.charAt(0),r.charAt(r.length-1)!==e&&(r+=e);return"DGBEFHACIJK"!==r}}));rC({target:"Array",proto:!0,forced:_C||!wC||!kC||!xC},{sort:function(t){void 0!==t&&sC(t);var e=aC(this);if(xC)return void 0===t?yC(e):yC(e,t);var i,n,r=[],o=lC(e);for(n=0;n<o;n++)n in e&&bC(r,e[n]);for(cC(r,function(t){return function(e,i){return void 0===i?-1:void 0===e?1:void 0!==t?+t(e,i)||0:hC(e)>hC(i)?1:-1}}(t)),i=r.length,n=0;n<i;)e[n]=r[n++];for(;n<o;)delete e[n++];return e}});var SC=ac("Array").sort,DC=ge,CC=SC,MC=Array.prototype,TC=function(t){var e=t.sort;return t===MC||DC(MC,t)&&e===MC.sort?CC:e};!function(t){t.exports=TC}(UD);var OC=n(UD.exports),PC={exports:{}},EC=Ka.some;On({target:"Array",proto:!0,forced:!Ed("some")},{some:function(t){return EC(this,t,arguments.length>1?arguments[1]:void 0)}});var IC=ac("Array").some,LC=ge,AC=IC,NC=Array.prototype,RC=function(t){var e=t.some;return t===NC||LC(NC,t)&&e===NC.some?AC:e};!function(t){t.exports=RC}(PC);var FC=n(PC.exports),jC={exports:{}},YC=ac("Array").keys,HC=Et,BC=R,zC=ge,GC=YC,WC=Array.prototype,VC={DOMTokenList:!0,NodeList:!0},UC=function(t){var e=t.keys;return t===WC||zC(WC,t)&&e===WC.keys||BC(VC,HC(t))?GC:e};!function(t){t.exports=UC}(jC);var XC=n(jC.exports),qC={exports:{}},$C=ac("Array").values,KC=Et,ZC=R,JC=ge,QC=$C,tM=Array.prototype,eM={DOMTokenList:!0,NodeList:!0},iM=function(t){var e=t.values;return t===tM||JC(tM,t)&&e===tM.values||ZC(eM,KC(t))?QC:e};!function(t){t.exports=iM}(qC);var nM=n(qC.exports),rM={exports:{}},oM=ac("Array").entries,sM=Et,aM=R,lM=ge,hM=oM,uM=Array.prototype,cM={DOMTokenList:!0,NodeList:!0},dM=function(t){var e=t.entries;return t===uM||lM(uM,t)&&e===uM.entries||aM(cM,sM(t))?hM:e};!function(t){t.exports=dM}(rM);var pM,fM=n(rM.exports),mM="undefined"!=typeof crypto&&crypto.getRandomValues&&crypto.getRandomValues.bind(crypto)||"undefined"!=typeof msCrypto&&"function"==typeof msCrypto.getRandomValues&&msCrypto.getRandomValues.bind(msCrypto),vM=new Uint8Array(16);function gM(){if(!mM)throw new Error("crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported");return mM(vM)}for(var yM=[],bM=0;bM<256;++bM)yM[bM]=(bM+256).toString(16).substr(1);function _M(t,e){var i=e||0,n=yM;return[n[t[i++]],n[t[i++]],n[t[i++]],n[t[i++]],"-",n[t[i++]],n[t[i++]],"-",n[t[i++]],n[t[i++]],"-",n[t[i++]],n[t[i++]],"-",n[t[i++]],n[t[i++]],n[t[i++]],n[t[i++]],n[t[i++]],n[t[i++]]].join("")}function wM(t,e,i){var n=function(t,n,r,o){var s=r&&o||0;if("string"==typeof t&&(t=function(t){t=unescape(encodeURIComponent(t));for(var e=new Array(t.length),i=0;i<t.length;i++)e[i]=t.charCodeAt(i);return e}(t)),"string"==typeof n&&(n=function(t){var e=[];return t.replace(/[a-fA-F0-9]{2}/g,(function(t){e.push(parseInt(t,16))})),e}(n)),!Array.isArray(t))throw TypeError("value must be an array of bytes");if(!Array.isArray(n)||16!==n.length)throw TypeError("namespace must be uuid string or an Array of 16 byte values");var a=i(n.concat(t));if(a[6]=15&a[6]|e,a[8]=63&a[8]|128,r)for(var l=0;l<16;++l)r[s+l]=a[l];return r||_M(a)};try{n.name=t}catch(t){}return n.DNS="6ba7b810-9dad-11d1-80b4-00c04fd430c8",n.URL="6ba7b811-9dad-11d1-80b4-00c04fd430c8",n}function kM(t,e){var i=(65535&t)+(65535&e);return(t>>16)+(e>>16)+(i>>16)<<16|65535&i}function xM(t,e,i,n,r,o){return kM((s=kM(kM(e,t),kM(n,o)))<<(a=r)|s>>>32-a,i);var s,a}function SM(t,e,i,n,r,o,s){return xM(e&i|~e&n,t,e,r,o,s)}function DM(t,e,i,n,r,o,s){return xM(e&n|i&~n,t,e,r,o,s)}function CM(t,e,i,n,r,o,s){return xM(e^i^n,t,e,r,o,s)}function MM(t,e,i,n,r,o,s){return xM(i^(e|~n),t,e,r,o,s)}function TM(t,e,i){var n=e&&i||0;"string"==typeof t&&(e="binary"===t?new Array(16):null,t=null);var r=(t=t||{}).random||(t.rng||gM)();if(r[6]=15&r[6]|64,r[8]=63&r[8]|128,e)for(var o=0;o<16;++o)e[n+o]=r[o];return e||_M(r)}function OM(t,e,i,n){switch(t){case 0:return e&i^~e&n;case 1:case 3:return e^i^n;case 2:return e&i^e&n^i&n}}function PM(t,e){return t<<e|t>>>32-e}function EM(t,e){var i=ed(t);if(vh){var n=vh(t);e&&(n=yf(n).call(n,(function(e){return Th(t,e).enumerable}))),i.push.apply(i,n)}return i}function IM(t){for(var e=1;e<arguments.length;e++){var i,n,r=null!=arguments[e]?arguments[e]:{};e%2?zd(i=EM(Object(r),!0)).call(i,(function(e){du(t,e,r[e])})):Bh?Kh(t,Bh(r)):zd(n=EM(Object(r))).call(n,(function(e){ou(t,e,Th(r,e))}))}return t}function LM(t){var e=function(){if("undefined"==typeof Reflect||!jb)return!1;if(jb.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(jb(Boolean,[],(function(){}))),!0}catch(t){return!1}}();return function(){var i,n=e_(t);if(e){var r=e_(this).constructor;i=jb(n,arguments,r)}else i=n.apply(this,arguments);return Zb(this,i)}}function AM(t,e){var i=void 0!==Tc&&la(t)||t["@@iterator"];if(!i){if(zc(t)||(i=function(t,e){var i;if(t){if("string"==typeof t)return NM(t,e);var n=Fc(i=Object.prototype.toString.call(t)).call(i,8,-1);return"Object"===n&&t.constructor&&(n=t.constructor.name),"Map"===n||"Set"===n?Gs(t):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?NM(t,e):void 0}}(t))||e&&t&&"number"==typeof t.length){i&&(t=i);var n=0,r=function(){};return{s:r,n:function(){return n>=t.length?{done:!0}:{done:!1,value:t[n++]}},e:function(t){throw t},f:r}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var o,s=!0,a=!1;return{s:function(){i=i.call(t)},n:function(){var t=i.next();return s=t.done,t},e:function(t){a=!0,o=t},f:function(){try{s||null==i.return||i.return()}finally{if(a)throw o}}}}function NM(t,e){(null==e||e>t.length)&&(e=t.length);for(var i=0,n=new Array(e);i<e;i++)n[i]=t[i];return n}function RM(t){return new jM(t)}wM("v3",48,(function(t){if("string"==typeof t){var e=unescape(encodeURIComponent(t));t=new Array(e.length);for(var i=0;i<e.length;i++)t[i]=e.charCodeAt(i)}return function(t){var e,i,n,r=[],o=32*t.length,s="0123456789abcdef";for(e=0;e<o;e+=8)i=t[e>>5]>>>e%32&255,n=parseInt(s.charAt(i>>>4&15)+s.charAt(15&i),16),r.push(n);return r}(function(t,e){var i,n,r,o,s;t[e>>5]|=128<<e%32,t[14+(e+64>>>9<<4)]=e;var a=1732584193,l=-271733879,h=-1732584194,u=271733878;for(i=0;i<t.length;i+=16)n=a,r=l,o=h,s=u,a=SM(a,l,h,u,t[i],7,-680876936),u=SM(u,a,l,h,t[i+1],12,-389564586),h=SM(h,u,a,l,t[i+2],17,606105819),l=SM(l,h,u,a,t[i+3],22,-1044525330),a=SM(a,l,h,u,t[i+4],7,-176418897),u=SM(u,a,l,h,t[i+5],12,1200080426),h=SM(h,u,a,l,t[i+6],17,-1473231341),l=SM(l,h,u,a,t[i+7],22,-45705983),a=SM(a,l,h,u,t[i+8],7,1770035416),u=SM(u,a,l,h,t[i+9],12,-1958414417),h=SM(h,u,a,l,t[i+10],17,-42063),l=SM(l,h,u,a,t[i+11],22,-1990404162),a=SM(a,l,h,u,t[i+12],7,1804603682),u=SM(u,a,l,h,t[i+13],12,-40341101),h=SM(h,u,a,l,t[i+14],17,-1502002290),a=DM(a,l=SM(l,h,u,a,t[i+15],22,1236535329),h,u,t[i+1],5,-165796510),u=DM(u,a,l,h,t[i+6],9,-1069501632),h=DM(h,u,a,l,t[i+11],14,643717713),l=DM(l,h,u,a,t[i],20,-373897302),a=DM(a,l,h,u,t[i+5],5,-701558691),u=DM(u,a,l,h,t[i+10],9,38016083),h=DM(h,u,a,l,t[i+15],14,-660478335),l=DM(l,h,u,a,t[i+4],20,-405537848),a=DM(a,l,h,u,t[i+9],5,568446438),u=DM(u,a,l,h,t[i+14],9,-1019803690),h=DM(h,u,a,l,t[i+3],14,-187363961),l=DM(l,h,u,a,t[i+8],20,1163531501),a=DM(a,l,h,u,t[i+13],5,-1444681467),u=DM(u,a,l,h,t[i+2],9,-51403784),h=DM(h,u,a,l,t[i+7],14,1735328473),a=CM(a,l=DM(l,h,u,a,t[i+12],20,-1926607734),h,u,t[i+5],4,-378558),u=CM(u,a,l,h,t[i+8],11,-2022574463),h=CM(h,u,a,l,t[i+11],16,1839030562),l=CM(l,h,u,a,t[i+14],23,-35309556),a=CM(a,l,h,u,t[i+1],4,-1530992060),u=CM(u,a,l,h,t[i+4],11,1272893353),h=CM(h,u,a,l,t[i+7],16,-155497632),l=CM(l,h,u,a,t[i+10],23,-1094730640),a=CM(a,l,h,u,t[i+13],4,681279174),u=CM(u,a,l,h,t[i],11,-358537222),h=CM(h,u,a,l,t[i+3],16,-722521979),l=CM(l,h,u,a,t[i+6],23,76029189),a=CM(a,l,h,u,t[i+9],4,-640364487),u=CM(u,a,l,h,t[i+12],11,-421815835),h=CM(h,u,a,l,t[i+15],16,530742520),a=MM(a,l=CM(l,h,u,a,t[i+2],23,-995338651),h,u,t[i],6,-198630844),u=MM(u,a,l,h,t[i+7],10,1126891415),h=MM(h,u,a,l,t[i+14],15,-1416354905),l=MM(l,h,u,a,t[i+5],21,-57434055),a=MM(a,l,h,u,t[i+12],6,1700485571),u=MM(u,a,l,h,t[i+3],10,-1894986606),h=MM(h,u,a,l,t[i+10],15,-1051523),l=MM(l,h,u,a,t[i+1],21,-2054922799),a=MM(a,l,h,u,t[i+8],6,1873313359),u=MM(u,a,l,h,t[i+15],10,-30611744),h=MM(h,u,a,l,t[i+6],15,-1560198380),l=MM(l,h,u,a,t[i+13],21,1309151649),a=MM(a,l,h,u,t[i+4],6,-145523070),u=MM(u,a,l,h,t[i+11],10,-1120210379),h=MM(h,u,a,l,t[i+2],15,718787259),l=MM(l,h,u,a,t[i+9],21,-343485551),a=kM(a,n),l=kM(l,r),h=kM(h,o),u=kM(u,s);return[a,l,h,u]}(function(t){var e,i=[];for(i[(t.length>>2)-1]=void 0,e=0;e<i.length;e+=1)i[e]=0;var n=8*t.length;for(e=0;e<n;e+=8)i[e>>5]|=(255&t[e/8])<<e%32;return i}(t),8*t.length))})),wM("v5",80,(function(t){var e=[1518500249,1859775393,2400959708,3395469782],i=[1732584193,4023233417,2562383102,271733878,3285377520];if("string"==typeof t){var n=unescape(encodeURIComponent(t));t=new Array(n.length);for(var r=0;r<n.length;r++)t[r]=n.charCodeAt(r)}t.push(128);var o=t.length/4+2,s=Math.ceil(o/16),a=new Array(s);for(r=0;r<s;r++){a[r]=new Array(16);for(var l=0;l<16;l++)a[r][l]=t[64*r+4*l]<<24|t[64*r+4*l+1]<<16|t[64*r+4*l+2]<<8|t[64*r+4*l+3]}for(a[s-1][14]=8*(t.length-1)/Math.pow(2,32),a[s-1][14]=Math.floor(a[s-1][14]),a[s-1][15]=8*(t.length-1)&4294967295,r=0;r<s;r++){for(var h=new Array(80),u=0;u<16;u++)h[u]=a[r][u];for(u=16;u<80;u++)h[u]=PM(h[u-3]^h[u-8]^h[u-14]^h[u-16],1);var c=i[0],d=i[1],p=i[2],f=i[3],m=i[4];for(u=0;u<80;u++){var v=Math.floor(u/20),g=PM(c,5)+OM(v,d,p,f)+m+e[v]+h[u]>>>0;m=f,f=p,p=PM(d,30)>>>0,d=c,c=g}i[0]=i[0]+c>>>0,i[1]=i[1]+d>>>0,i[2]=i[2]+p>>>0,i[3]=i[3]+f>>>0,i[4]=i[4]+m>>>0}return[i[0]>>24&255,i[0]>>16&255,i[0]>>8&255,255&i[0],i[1]>>24&255,i[1]>>16&255,i[1]>>8&255,255&i[1],i[2]>>24&255,i[2]>>16&255,i[2]>>8&255,255&i[2],i[3]>>24&255,i[3]>>16&255,i[3]>>8&255,255&i[3],i[4]>>24&255,i[4]>>16&255,i[4]>>8&255,255&i[4]]}));var FM=function(){function t(e,i,n){var r,o,s;su(this,t),du(this,"_source",void 0),du(this,"_transformers",void 0),du(this,"_target",void 0),du(this,"_listeners",{add:Td(r=this._add).call(r,this),remove:Td(o=this._remove).call(o,this),update:Td(s=this._update).call(s,this)}),this._source=e,this._transformers=i,this._target=n}return cu(t,[{key:"all",value:function(){return this._target.update(this._transformItems(this._source.get())),this}},{key:"start",value:function(){return this._source.on("add",this._listeners.add),this._source.on("remove",this._listeners.remove),this._source.on("update",this._listeners.update),this}},{key:"stop",value:function(){return this._source.off("add",this._listeners.add),this._source.off("remove",this._listeners.remove),this._source.off("update",this._listeners.update),this}},{key:"_transformItems",value:function(t){var e;return yS(e=this._transformers).call(e,(function(t,e){return e(t)}),t)}},{key:"_add",value:function(t,e){null!=e&&this._target.add(this._transformItems(this._source.get(e.items)))}},{key:"_update",value:function(t,e){null!=e&&this._target.update(this._transformItems(this._source.get(e.items)))}},{key:"_remove",value:function(t,e){null!=e&&this._target.remove(this._transformItems(e.oldData))}}]),t}(),jM=function(){function t(e){su(this,t),du(this,"_source",void 0),du(this,"_transformers",[]),this._source=e}return cu(t,[{key:"filter",value:function(t){return this._transformers.push((function(e){return yf(e).call(e,t)})),this}},{key:"map",value:function(t){return this._transformers.push((function(e){return Kc(e).call(e,t)})),this}},{key:"flatMap",value:function(t){return this._transformers.push((function(e){return NS(e).call(e,t)})),this}},{key:"to",value:function(t){return new FM(this._source,this._transformers,t)}}]),t}();function YM(t){return"string"==typeof t||"number"==typeof t}var HM=function(){function t(e){su(this,t),du(this,"delay",void 0),du(this,"max",void 0),du(this,"_queue",[]),du(this,"_timeout",null),du(this,"_extended",null),this.delay=null,this.max=1/0,this.setOptions(e)}return cu(t,[{key:"setOptions",value:function(t){t&&void 0!==t.delay&&(this.delay=t.delay),t&&void 0!==t.max&&(this.max=t.max),this._flushIfNeeded()}},{key:"destroy",value:function(){if(this.flush(),this._extended){for(var t=this._extended.object,e=this._extended.methods,i=0;i<e.length;i++){var n=e[i];n.original?t[n.name]=n.original:delete t[n.name]}this._extended=null}}},{key:"replace",value:function(t,e){var i=this,n=t[e];if(!n)throw new Error("Method "+e+" undefined");t[e]=function(){for(var t=arguments.length,e=new Array(t),r=0;r<t;r++)e[r]=arguments[r];i.queue({args:e,fn:n,context:this})}}},{key:"queue",value:function(t){"function"==typeof t?this._queue.push({fn:t}):this._queue.push(t),this._flushIfNeeded()}},{key:"_flushIfNeeded",value:function(){var t=this;this._queue.length>this.max&&this.flush(),null!=this._timeout&&(clearTimeout(this._timeout),this._timeout=null),this.queue.length>0&&"number"==typeof this.delay&&(this._timeout=hv((function(){t.flush()}),this.delay))}},{key:"flush",value:function(){var t,e;zd(t=_p(e=this._queue).call(e,0)).call(t,(function(t){t.fn.apply(t.context||t.fn,t.args||[])}))}}],[{key:"extend",value:function(e,i){var n=new t(i);if(void 0!==e.flush)throw new Error("Target object already has a property flush");e.flush=function(){n.flush()};var r=[{name:"flush",original:void 0}];if(i&&i.replace)for(var o=0;o<i.replace.length;o++){var s=i.replace[o];r.push({name:s,original:e[s]}),n.replace(e,s)}return n._extended={object:e,methods:r},n}}]),t}(),BM=function(){function t(){su(this,t),du(this,"_subscribers",{"*":[],add:[],remove:[],update:[]}),du(this,"subscribe",t.prototype.on),du(this,"unsubscribe",t.prototype.off)}return cu(t,[{key:"_trigger",value:function(t,e,i){var n,r;if("*"===t)throw new Error("Cannot trigger event *");zd(n=Nc(r=[]).call(r,Cc(this._subscribers[t]),Cc(this._subscribers["*"]))).call(n,(function(n){n(t,e,null!=i?i:null)}))}},{key:"on",value:function(t,e){"function"==typeof e&&this._subscribers[t].push(e)}},{key:"off",value:function(t,e){var i;this._subscribers[t]=yf(i=this._subscribers[t]).call(i,(function(t){return t!==e}))}}]),t}();pM=zD;var zM=function(){function t(e){su(this,t),du(this,"_pairs",void 0),this._pairs=e}return cu(t,[{key:pM,value:iS.mark((function t(){var e,i,n,r,o;return iS.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:e=AM(this._pairs),t.prev=1,e.s();case 3:if((i=e.n()).done){t.next=9;break}return n=_c(i.value,2),r=n[0],o=n[1],t.next=7,[r,o];case 7:t.next=3;break;case 9:t.next=14;break;case 11:t.prev=11,t.t0=t.catch(1),e.e(t.t0);case 14:return t.prev=14,e.f(),t.finish(14);case 17:case"end":return t.stop()}}),t,this,[[1,11,14,17]])}))},{key:"entries",value:iS.mark((function t(){var e,i,n,r,o;return iS.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:e=AM(this._pairs),t.prev=1,e.s();case 3:if((i=e.n()).done){t.next=9;break}return n=_c(i.value,2),r=n[0],o=n[1],t.next=7,[r,o];case 7:t.next=3;break;case 9:t.next=14;break;case 11:t.prev=11,t.t0=t.catch(1),e.e(t.t0);case 14:return t.prev=14,e.f(),t.finish(14);case 17:case"end":return t.stop()}}),t,this,[[1,11,14,17]])}))},{key:"keys",value:iS.mark((function t(){var e,i,n,r;return iS.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:e=AM(this._pairs),t.prev=1,e.s();case 3:if((i=e.n()).done){t.next=9;break}return n=_c(i.value,1),r=n[0],t.next=7,r;case 7:t.next=3;break;case 9:t.next=14;break;case 11:t.prev=11,t.t0=t.catch(1),e.e(t.t0);case 14:return t.prev=14,e.f(),t.finish(14);case 17:case"end":return t.stop()}}),t,this,[[1,11,14,17]])}))},{key:"values",value:iS.mark((function t(){var e,i,n,r;return iS.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:e=AM(this._pairs),t.prev=1,e.s();case 3:if((i=e.n()).done){t.next=9;break}return n=_c(i.value,2),r=n[1],t.next=7,r;case 7:t.next=3;break;case 9:t.next=14;break;case 11:t.prev=11,t.t0=t.catch(1),e.e(t.t0);case 14:return t.prev=14,e.f(),t.finish(14);case 17:case"end":return t.stop()}}),t,this,[[1,11,14,17]])}))},{key:"toIdArray",value:function(){var t;return Kc(t=Cc(this._pairs)).call(t,(function(t){return t[0]}))}},{key:"toItemArray",value:function(){var t;return Kc(t=Cc(this._pairs)).call(t,(function(t){return t[1]}))}},{key:"toEntryArray",value:function(){return Cc(this._pairs)}},{key:"toObjectMap",value:function(){var t,e=Mm(null),i=AM(this._pairs);try{for(i.s();!(t=i.n()).done;){var n=_c(t.value,2),r=n[0],o=n[1];e[r]=o}}catch(t){i.e(t)}finally{i.f()}return e}},{key:"toMap",value:function(){return new FD(this._pairs)}},{key:"toIdSet",value:function(){return new HD(this.toIdArray())}},{key:"toItemSet",value:function(){return new HD(this.toItemArray())}},{key:"cache",value:function(){return new t(Cc(this._pairs))}},{key:"distinct",value:function(t){var e,i=new HD,n=AM(this._pairs);try{for(n.s();!(e=n.n()).done;){var r=_c(e.value,2),o=r[0],s=r[1];i.add(t(s,o))}}catch(t){n.e(t)}finally{n.f()}return i}},{key:"filter",value:function(e){var i=this._pairs;return new t(du({},zD,iS.mark((function t(){var n,r,o,s,a;return iS.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:n=AM(i),t.prev=1,n.s();case 3:if((r=n.n()).done){t.next=10;break}if(o=_c(r.value,2),s=o[0],a=o[1],!e(a,s)){t.next=8;break}return t.next=8,[s,a];case 8:t.next=3;break;case 10:t.next=15;break;case 12:t.prev=12,t.t0=t.catch(1),n.e(t.t0);case 15:return t.prev=15,n.f(),t.finish(15);case 18:case"end":return t.stop()}}),t,null,[[1,12,15,18]])}))))}},{key:"forEach",value:function(t){var e,i=AM(this._pairs);try{for(i.s();!(e=i.n()).done;){var n=_c(e.value,2),r=n[0];t(n[1],r)}}catch(t){i.e(t)}finally{i.f()}}},{key:"map",value:function(e){var i=this._pairs;return new t(du({},zD,iS.mark((function t(){var n,r,o,s,a;return iS.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:n=AM(i),t.prev=1,n.s();case 3:if((r=n.n()).done){t.next=9;break}return o=_c(r.value,2),s=o[0],a=o[1],t.next=7,[s,e(a,s)];case 7:t.next=3;break;case 9:t.next=14;break;case 11:t.prev=11,t.t0=t.catch(1),n.e(t.t0);case 14:return t.prev=14,n.f(),t.finish(14);case 17:case"end":return t.stop()}}),t,null,[[1,11,14,17]])}))))}},{key:"max",value:function(t){var e=VD(this._pairs),i=e.next();if(i.done)return null;for(var n=i.value[1],r=t(i.value[1],i.value[0]);!(i=e.next()).done;){var o=_c(i.value,2),s=o[0],a=o[1],l=t(a,s);l>r&&(r=l,n=a)}return n}},{key:"min",value:function(t){var e=VD(this._pairs),i=e.next();if(i.done)return null;for(var n=i.value[1],r=t(i.value[1],i.value[0]);!(i=e.next()).done;){var o=_c(i.value,2),s=o[0],a=o[1],l=t(a,s);l<r&&(r=l,n=a)}return n}},{key:"reduce",value:function(t,e){var i,n=AM(this._pairs);try{for(n.s();!(i=n.n()).done;){var r=_c(i.value,2),o=r[0];e=t(e,r[1],o)}}catch(t){n.e(t)}finally{n.f()}return e}},{key:"sort",value:function(e){var i=this;return new t(du({},zD,(function(){var t;return VD(OC(t=Cc(i._pairs)).call(t,(function(t,i){var n=_c(t,2),r=n[0],o=n[1],s=_c(i,2),a=s[0],l=s[1];return e(o,l,r,a)})))})))}}]),t}(),GM=function(t){Kb(i,t);var e=LM(i);function i(t,n){var r;return su(this,i),du(Yb(r=e.call(this)),"flush",void 0),du(Yb(r),"length",void 0),du(Yb(r),"_options",void 0),du(Yb(r),"_data",void 0),du(Yb(r),"_idProp",void 0),du(Yb(r),"_queue",null),t&&!zc(t)&&(n=t,t=[]),r._options=n||{},r._data=new FD,r.length=0,r._idProp=r._options.fieldId||"id",t&&t.length&&r.add(t),r.setOptions(n),r}return cu(i,[{key:"idProp",get:function(){return this._idProp}},{key:"setOptions",value:function(t){t&&void 0!==t.queue&&(!1===t.queue?this._queue&&(this._queue.destroy(),this._queue=null):(this._queue||(this._queue=HM.extend(this,{replace:["add","update","remove"]})),t.queue&&"object"===Dc(t.queue)&&this._queue.setOptions(t.queue)))}},{key:"add",value:function(t,e){var i,n=this,r=[];if(zc(t)){var o=Kc(t).call(t,(function(t){return t[n._idProp]}));if(FC(o).call(o,(function(t){return n._data.has(t)})))throw new Error("A duplicate id was found in the parameter array.");for(var s=0,a=t.length;s<a;s++)i=this._addItem(t[s]),r.push(i)}else{if(!t||"object"!==Dc(t))throw new Error("Unknown dataType");i=this._addItem(t),r.push(i)}return r.length&&this._trigger("add",{items:r},e),r}},{key:"update",value:function(t,e){var i=this,n=[],r=[],o=[],s=[],a=this._idProp,l=function(t){var e=t[a];if(null!=e&&i._data.has(e)){var l=t,h=Rp({},i._data.get(e)),u=i._updateItem(l);r.push(u),s.push(l),o.push(h)}else{var c=i._addItem(t);n.push(c)}};if(zc(t))for(var h=0,u=t.length;h<u;h++)t[h]&&"object"===Dc(t[h])?l(t[h]):console.warn("Ignoring input item, which is not an object at index "+h);else{if(!t||"object"!==Dc(t))throw new Error("Unknown dataType");l(t)}if(n.length&&this._trigger("add",{items:n},e),r.length){var c={items:r,oldData:o,data:s};this._trigger("update",c,e)}return Nc(n).call(n,r)}},{key:"updateOnly",value:function(t,e){var i,n=this;zc(t)||(t=[t]);var r=Kc(i=Kc(t).call(t,(function(t){var e=n._data.get(t[n._idProp]);if(null==e)throw new Error("Updating non-existent items is not allowed.");return{oldData:e,update:t}}))).call(i,(function(t){var e=t.oldData,i=t.update,r=e[n._idProp],o=dy(e,i);return n._data.set(r,o),{id:r,oldData:e,updatedData:o}}));if(r.length){var o={items:Kc(r).call(r,(function(t){return t.id})),oldData:Kc(r).call(r,(function(t){return t.oldData})),data:Kc(r).call(r,(function(t){return t.updatedData}))};return this._trigger("update",o,e),o.items}return[]}},{key:"get",value:function(t,e){var i=void 0,n=void 0,r=void 0;YM(t)?(i=t,r=e):zc(t)?(n=t,r=e):r=t;var o,s=r&&"Object"===r.returnType?"Object":"Array",a=r&&yf(r),l=[],h=void 0,u=void 0,c=void 0;if(null!=i)(h=this._data.get(i))&&a&&!a(h)&&(h=void 0);else if(null!=n)for(var d=0,p=n.length;d<p;d++)null==(h=this._data.get(n[d]))||a&&!a(h)||l.push(h);else for(var f,m=0,v=(u=Cc(XC(f=this._data).call(f))).length;m<v;m++)c=u[m],null==(h=this._data.get(c))||a&&!a(h)||l.push(h);if(r&&r.order&&null==i&&this._sort(l,r.order),r&&r.fields){var g=r.fields;if(null!=i&&null!=h)h=this._filterFields(h,g);else for(var y=0,b=l.length;y<b;y++)l[y]=this._filterFields(l[y],g)}if("Object"==s){for(var _={},w=0,k=l.length;w<k;w++){var x=l[w];_[x[this._idProp]]=x}return _}return null!=i?null!==(o=h)&&void 0!==o?o:null:l}},{key:"getIds",value:function(t){var e=this._data,i=t&&yf(t),n=t&&t.order,r=Cc(XC(e).call(e)),o=[];if(i)if(n){for(var s=[],a=0,l=r.length;a<l;a++){var h=r[a],u=this._data.get(h);null!=u&&i(u)&&s.push(u)}this._sort(s,n);for(var c=0,d=s.length;c<d;c++)o.push(s[c][this._idProp])}else for(var p=0,f=r.length;p<f;p++){var m=r[p],v=this._data.get(m);null!=v&&i(v)&&o.push(v[this._idProp])}else if(n){for(var g=[],y=0,b=r.length;y<b;y++){var _=r[y];g.push(e.get(_))}this._sort(g,n);for(var w=0,k=g.length;w<k;w++)o.push(g[w][this._idProp])}else for(var x=0,S=r.length;x<S;x++){var D=r[x],C=e.get(D);null!=C&&o.push(C[this._idProp])}return o}},{key:"getDataSet",value:function(){return this}},{key:"forEach",value:function(t,e){var i=e&&yf(e),n=this._data,r=Cc(XC(n).call(n));if(e&&e.order)for(var o=this.get(e),s=0,a=o.length;s<a;s++){var l=o[s];t(l,l[this._idProp])}else for(var h=0,u=r.length;h<u;h++){var c=r[h],d=this._data.get(c);null==d||i&&!i(d)||t(d,c)}}},{key:"map",value:function(t,e){for(var i=e&&yf(e),n=[],r=this._data,o=Cc(XC(r).call(r)),s=0,a=o.length;s<a;s++){var l=o[s],h=this._data.get(l);null==h||i&&!i(h)||n.push(t(h,l))}return e&&e.order&&this._sort(n,e.order),n}},{key:"_filterFields",value:function(t,e){var i;return t?yS(i=zc(e)?e:ed(e)).call(i,(function(e,i){return e[i]=t[i],e}),{}):t}},{key:"_sort",value:function(t,e){if("string"==typeof e){var i=e;OC(t).call(t,(function(t,e){var n=t[i],r=e[i];return n>r?1:n<r?-1:0}))}else{if("function"!=typeof e)throw new TypeError("Order must be a function or a string");OC(t).call(t,e)}}},{key:"remove",value:function(t,e){for(var i=[],n=[],r=zc(t)?t:[t],o=0,s=r.length;o<s;o++){var a=this._remove(r[o]);if(a){var l=a[this._idProp];null!=l&&(i.push(l),n.push(a))}}return i.length&&this._trigger("remove",{items:i,oldData:n},e),i}},{key:"_remove",value:function(t){var e;if(YM(t)?e=t:t&&"object"===Dc(t)&&(e=t[this._idProp]),null!=e&&this._data.has(e)){var i=this._data.get(e)||null;return this._data.delete(e),--this.length,i}return null}},{key:"clear",value:function(t){for(var e,i=Cc(XC(e=this._data).call(e)),n=[],r=0,o=i.length;r<o;r++)n.push(this._data.get(i[r]));return this._data.clear(),this.length=0,this._trigger("remove",{items:i,oldData:n},t),i}},{key:"max",value:function(t){var e,i,n=null,r=null,o=AM(nM(e=this._data).call(e));try{for(o.s();!(i=o.n()).done;){var s=i.value,a=s[t];"number"==typeof a&&(null==r||a>r)&&(n=s,r=a)}}catch(t){o.e(t)}finally{o.f()}return n||null}},{key:"min",value:function(t){var e,i,n=null,r=null,o=AM(nM(e=this._data).call(e));try{for(o.s();!(i=o.n()).done;){var s=i.value,a=s[t];"number"==typeof a&&(null==r||a<r)&&(n=s,r=a)}}catch(t){o.e(t)}finally{o.f()}return n||null}},{key:"distinct",value:function(t){for(var e=this._data,i=Cc(XC(e).call(e)),n=[],r=0,o=0,s=i.length;o<s;o++){for(var a=i[o],l=e.get(a)[t],h=!1,u=0;u<r;u++)if(n[u]==l){h=!0;break}h||void 0===l||(n[r]=l,r++)}return n}},{key:"_addItem",value:function(t){var e=function(t,e){return null==t[e]&&(t[e]=TM()),t}(t,this._idProp),i=e[this._idProp];if(this._data.has(i))throw new Error("Cannot add item: item with id "+i+" already exists");return this._data.set(i,e),++this.length,i}},{key:"_updateItem",value:function(t){var e=t[this._idProp];if(null==e)throw new Error("Cannot update item: item has no id (item: "+$m(t)+")");var i=this._data.get(e);if(!i)throw new Error("Cannot update item: no item with id "+e+" found");return this._data.set(e,IM(IM({},i),t)),e}},{key:"stream",value:function(t){if(t){var e=this._data;return new zM(du({},zD,iS.mark((function i(){var n,r,o,s;return iS.wrap((function(i){for(;;)switch(i.prev=i.next){case 0:n=AM(t),i.prev=1,n.s();case 3:if((r=n.n()).done){i.next=11;break}if(o=r.value,null==(s=e.get(o))){i.next=9;break}return i.next=9,[o,s];case 9:i.next=3;break;case 11:i.next=16;break;case 13:i.prev=13,i.t0=i.catch(1),n.e(i.t0);case 16:return i.prev=16,n.f(),i.finish(16);case 19:case"end":return i.stop()}}),i,null,[[1,13,16,19]])}))))}var i;return new zM(du({},zD,Td(i=fM(this._data)).call(i,this._data)))}}]),i}(BM),WM=function(t){Kb(i,t);var e=LM(i);function i(t,n){var r,o;return su(this,i),du(Yb(o=e.call(this)),"length",0),du(Yb(o),"_listener",void 0),du(Yb(o),"_data",void 0),du(Yb(o),"_ids",new HD),du(Yb(o),"_options",void 0),o._options=n||{},o._listener=Td(r=o._onEvent).call(r,Yb(o)),o.setData(t),o}return cu(i,[{key:"idProp",get:function(){return this.getDataSet().idProp}},{key:"setData",value:function(t){if(this._data){this._data.off&&this._data.off("*",this._listener);var e=this._data.getIds({filter:yf(this._options)}),i=this._data.get(e);this._ids.clear(),this.length=0,this._trigger("remove",{items:e,oldData:i})}if(null!=t){this._data=t;for(var n=this._data.getIds({filter:yf(this._options)}),r=0,o=n.length;r<o;r++){var s=n[r];this._ids.add(s)}this.length=n.length,this._trigger("add",{items:n})}else this._data=new GM;this._data.on&&this._data.on("*",this._listener)}},{key:"refresh",value:function(){for(var t=this._data.getIds({filter:yf(this._options)}),e=Cc(this._ids),i={},n=[],r=[],o=[],s=0,a=t.length;s<a;s++){var l=t[s];i[l]=!0,this._ids.has(l)||(n.push(l),this._ids.add(l))}for(var h=0,u=e.length;h<u;h++){var c=e[h],d=this._data.get(c);null==d?console.error("If you see this, report it please."):i[c]||(r.push(c),o.push(d),this._ids.delete(c))}this.length+=n.length-r.length,n.length&&this._trigger("add",{items:n}),r.length&&this._trigger("remove",{items:r,oldData:o})}},{key:"get",value:function(t,e){if(null==this._data)return null;var i,n=null;YM(t)||zc(t)?(n=t,i=e):i=t;var r=Rp({},this._options,i),o=yf(this._options),s=i&&yf(i);return o&&s&&(r.filter=function(t){return o(t)&&s(t)}),null==n?this._data.get(r):this._data.get(n,r)}},{key:"getIds",value:function(t){if(this._data.length){var e,i=yf(this._options),n=null!=t?yf(t):null;return e=n?i?function(t){return i(t)&&n(t)}:n:i,this._data.getIds({filter:e,order:t&&t.order})}return[]}},{key:"forEach",value:function(t,e){if(this._data){var i,n,r=yf(this._options),o=e&&yf(e);n=o?r?function(t){return r(t)&&o(t)}:o:r,zd(i=this._data).call(i,t,{filter:n,order:e&&e.order})}}},{key:"map",value:function(t,e){if(this._data){var i,n,r=yf(this._options),o=e&&yf(e);return n=o?r?function(t){return r(t)&&o(t)}:o:r,Kc(i=this._data).call(i,t,{filter:n,order:e&&e.order})}return[]}},{key:"getDataSet",value:function(){return this._data.getDataSet()}},{key:"stream",value:function(t){var e;return this._data.stream(t||du({},zD,Td(e=XC(this._ids)).call(e,this._ids)))}},{key:"dispose",value:function(){var t;null!==(t=this._data)&&void 0!==t&&t.off&&this._data.off("*",this._listener);var e,n="This data view has already been disposed of.",r={get:function(){throw new Error(n)},set:function(){throw new Error(n)},configurable:!1},o=AM(Hc(i.prototype));try{for(o.s();!(e=o.n()).done;){var s=e.value;ou(this,s,r)}}catch(t){o.e(t)}finally{o.f()}}},{key:"_onEvent",value:function(t,e,i){if(e&&e.items&&this._data){var n=e.items,r=[],o=[],s=[],a=[],l=[],h=[];switch(t){case"add":for(var u=0,c=n.length;u<c;u++){var d=n[u];this.get(d)&&(this._ids.add(d),r.push(d))}break;case"update":for(var p=0,f=n.length;p<f;p++){var m=n[p];this.get(m)?this._ids.has(m)?(o.push(m),l.push(e.data[p]),a.push(e.oldData[p])):(this._ids.add(m),r.push(m)):this._ids.has(m)&&(this._ids.delete(m),s.push(m),h.push(e.oldData[p]))}break;case"remove":for(var v=0,g=n.length;v<g;v++){var y=n[v];this._ids.has(y)&&(this._ids.delete(y),s.push(y),h.push(e.oldData[v]))}}this.length+=r.length-s.length,r.length&&this._trigger("add",{items:r},i),o.length&&this._trigger("update",{items:o,oldData:a,data:l},i),s.length&&this._trigger("remove",{items:s,oldData:h},i)}}}]),i}(BM);var VM="undefined"!=typeof window&&window.moment||s(),UM=s(),XM={exports:{}},qM={},$M={exports:{}},KM={};function ZM(){return{"align-content":!1,"align-items":!1,"align-self":!1,"alignment-adjust":!1,"alignment-baseline":!1,all:!1,"anchor-point":!1,animation:!1,"animation-delay":!1,"animation-direction":!1,"animation-duration":!1,"animation-fill-mode":!1,"animation-iteration-count":!1,"animation-name":!1,"animation-play-state":!1,"animation-timing-function":!1,azimuth:!1,"backface-visibility":!1,background:!0,"background-attachment":!0,"background-clip":!0,"background-color":!0,"background-image":!0,"background-origin":!0,"background-position":!0,"background-repeat":!0,"background-size":!0,"baseline-shift":!1,binding:!1,bleed:!1,"bookmark-label":!1,"bookmark-level":!1,"bookmark-state":!1,border:!0,"border-bottom":!0,"border-bottom-color":!0,"border-bottom-left-radius":!0,"border-bottom-right-radius":!0,"border-bottom-style":!0,"border-bottom-width":!0,"border-collapse":!0,"border-color":!0,"border-image":!0,"border-image-outset":!0,"border-image-repeat":!0,"border-image-slice":!0,"border-image-source":!0,"border-image-width":!0,"border-left":!0,"border-left-color":!0,"border-left-style":!0,"border-left-width":!0,"border-radius":!0,"border-right":!0,"border-right-color":!0,"border-right-style":!0,"border-right-width":!0,"border-spacing":!0,"border-style":!0,"border-top":!0,"border-top-color":!0,"border-top-left-radius":!0,"border-top-right-radius":!0,"border-top-style":!0,"border-top-width":!0,"border-width":!0,bottom:!1,"box-decoration-break":!0,"box-shadow":!0,"box-sizing":!0,"box-snap":!0,"box-suppress":!0,"break-after":!0,"break-before":!0,"break-inside":!0,"caption-side":!1,chains:!1,clear:!0,clip:!1,"clip-path":!1,"clip-rule":!1,color:!0,"color-interpolation-filters":!0,"column-count":!1,"column-fill":!1,"column-gap":!1,"column-rule":!1,"column-rule-color":!1,"column-rule-style":!1,"column-rule-width":!1,"column-span":!1,"column-width":!1,columns:!1,contain:!1,content:!1,"counter-increment":!1,"counter-reset":!1,"counter-set":!1,crop:!1,cue:!1,"cue-after":!1,"cue-before":!1,cursor:!1,direction:!1,display:!0,"display-inside":!0,"display-list":!0,"display-outside":!0,"dominant-baseline":!1,elevation:!1,"empty-cells":!1,filter:!1,flex:!1,"flex-basis":!1,"flex-direction":!1,"flex-flow":!1,"flex-grow":!1,"flex-shrink":!1,"flex-wrap":!1,float:!1,"float-offset":!1,"flood-color":!1,"flood-opacity":!1,"flow-from":!1,"flow-into":!1,font:!0,"font-family":!0,"font-feature-settings":!0,"font-kerning":!0,"font-language-override":!0,"font-size":!0,"font-size-adjust":!0,"font-stretch":!0,"font-style":!0,"font-synthesis":!0,"font-variant":!0,"font-variant-alternates":!0,"font-variant-caps":!0,"font-variant-east-asian":!0,"font-variant-ligatures":!0,"font-variant-numeric":!0,"font-variant-position":!0,"font-weight":!0,grid:!1,"grid-area":!1,"grid-auto-columns":!1,"grid-auto-flow":!1,"grid-auto-rows":!1,"grid-column":!1,"grid-column-end":!1,"grid-column-start":!1,"grid-row":!1,"grid-row-end":!1,"grid-row-start":!1,"grid-template":!1,"grid-template-areas":!1,"grid-template-columns":!1,"grid-template-rows":!1,"hanging-punctuation":!1,height:!0,hyphens:!1,icon:!1,"image-orientation":!1,"image-resolution":!1,"ime-mode":!1,"initial-letters":!1,"inline-box-align":!1,"justify-content":!1,"justify-items":!1,"justify-self":!1,left:!1,"letter-spacing":!0,"lighting-color":!0,"line-box-contain":!1,"line-break":!1,"line-grid":!1,"line-height":!1,"line-snap":!1,"line-stacking":!1,"line-stacking-ruby":!1,"line-stacking-shift":!1,"line-stacking-strategy":!1,"list-style":!0,"list-style-image":!0,"list-style-position":!0,"list-style-type":!0,margin:!0,"margin-bottom":!0,"margin-left":!0,"margin-right":!0,"margin-top":!0,"marker-offset":!1,"marker-side":!1,marks:!1,mask:!1,"mask-box":!1,"mask-box-outset":!1,"mask-box-repeat":!1,"mask-box-slice":!1,"mask-box-source":!1,"mask-box-width":!1,"mask-clip":!1,"mask-image":!1,"mask-origin":!1,"mask-position":!1,"mask-repeat":!1,"mask-size":!1,"mask-source-type":!1,"mask-type":!1,"max-height":!0,"max-lines":!1,"max-width":!0,"min-height":!0,"min-width":!0,"move-to":!1,"nav-down":!1,"nav-index":!1,"nav-left":!1,"nav-right":!1,"nav-up":!1,"object-fit":!1,"object-position":!1,opacity:!1,order:!1,orphans:!1,outline:!1,"outline-color":!1,"outline-offset":!1,"outline-style":!1,"outline-width":!1,overflow:!1,"overflow-wrap":!1,"overflow-x":!1,"overflow-y":!1,padding:!0,"padding-bottom":!0,"padding-left":!0,"padding-right":!0,"padding-top":!0,page:!1,"page-break-after":!1,"page-break-before":!1,"page-break-inside":!1,"page-policy":!1,pause:!1,"pause-after":!1,"pause-before":!1,perspective:!1,"perspective-origin":!1,pitch:!1,"pitch-range":!1,"play-during":!1,position:!1,"presentation-level":!1,quotes:!1,"region-fragment":!1,resize:!1,rest:!1,"rest-after":!1,"rest-before":!1,richness:!1,right:!1,rotation:!1,"rotation-point":!1,"ruby-align":!1,"ruby-merge":!1,"ruby-position":!1,"shape-image-threshold":!1,"shape-outside":!1,"shape-margin":!1,size:!1,speak:!1,"speak-as":!1,"speak-header":!1,"speak-numeral":!1,"speak-punctuation":!1,"speech-rate":!1,stress:!1,"string-set":!1,"tab-size":!1,"table-layout":!1,"text-align":!0,"text-align-last":!0,"text-combine-upright":!0,"text-decoration":!0,"text-decoration-color":!0,"text-decoration-line":!0,"text-decoration-skip":!0,"text-decoration-style":!0,"text-emphasis":!0,"text-emphasis-color":!0,"text-emphasis-position":!0,"text-emphasis-style":!0,"text-height":!0,"text-indent":!0,"text-justify":!0,"text-orientation":!0,"text-overflow":!0,"text-shadow":!0,"text-space-collapse":!0,"text-transform":!0,"text-underline-position":!0,"text-wrap":!0,top:!1,transform:!1,"transform-origin":!1,"transform-style":!1,transition:!1,"transition-delay":!1,"transition-duration":!1,"transition-property":!1,"transition-timing-function":!1,"unicode-bidi":!1,"vertical-align":!1,visibility:!1,"voice-balance":!1,"voice-duration":!1,"voice-family":!1,"voice-pitch":!1,"voice-range":!1,"voice-rate":!1,"voice-stress":!1,"voice-volume":!1,volume:!1,"white-space":!1,widows:!1,width:!0,"will-change":!1,"word-break":!0,"word-spacing":!0,"word-wrap":!0,"wrap-flow":!1,"wrap-through":!1,"writing-mode":!1,"z-index":!1}}var JM=/javascript\s*\:/gim;KM.whiteList={"align-content":!1,"align-items":!1,"align-self":!1,"alignment-adjust":!1,"alignment-baseline":!1,all:!1,"anchor-point":!1,animation:!1,"animation-delay":!1,"animation-direction":!1,"animation-duration":!1,"animation-fill-mode":!1,"animation-iteration-count":!1,"animation-name":!1,"animation-play-state":!1,"animation-timing-function":!1,azimuth:!1,"backface-visibility":!1,background:!0,"background-attachment":!0,"background-clip":!0,"background-color":!0,"background-image":!0,"background-origin":!0,"background-position":!0,"background-repeat":!0,"background-size":!0,"baseline-shift":!1,binding:!1,bleed:!1,"bookmark-label":!1,"bookmark-level":!1,"bookmark-state":!1,border:!0,"border-bottom":!0,"border-bottom-color":!0,"border-bottom-left-radius":!0,"border-bottom-right-radius":!0,"border-bottom-style":!0,"border-bottom-width":!0,"border-collapse":!0,"border-color":!0,"border-image":!0,"border-image-outset":!0,"border-image-repeat":!0,"border-image-slice":!0,"border-image-source":!0,"border-image-width":!0,"border-left":!0,"border-left-color":!0,"border-left-style":!0,"border-left-width":!0,"border-radius":!0,"border-right":!0,"border-right-color":!0,"border-right-style":!0,"border-right-width":!0,"border-spacing":!0,"border-style":!0,"border-top":!0,"border-top-color":!0,"border-top-left-radius":!0,"border-top-right-radius":!0,"border-top-style":!0,"border-top-width":!0,"border-width":!0,bottom:!1,"box-decoration-break":!0,"box-shadow":!0,"box-sizing":!0,"box-snap":!0,"box-suppress":!0,"break-after":!0,"break-before":!0,"break-inside":!0,"caption-side":!1,chains:!1,clear:!0,clip:!1,"clip-path":!1,"clip-rule":!1,color:!0,"color-interpolation-filters":!0,"column-count":!1,"column-fill":!1,"column-gap":!1,"column-rule":!1,"column-rule-color":!1,"column-rule-style":!1,"column-rule-width":!1,"column-span":!1,"column-width":!1,columns:!1,contain:!1,content:!1,"counter-increment":!1,"counter-reset":!1,"counter-set":!1,crop:!1,cue:!1,"cue-after":!1,"cue-before":!1,cursor:!1,direction:!1,display:!0,"display-inside":!0,"display-list":!0,"display-outside":!0,"dominant-baseline":!1,elevation:!1,"empty-cells":!1,filter:!1,flex:!1,"flex-basis":!1,"flex-direction":!1,"flex-flow":!1,"flex-grow":!1,"flex-shrink":!1,"flex-wrap":!1,float:!1,"float-offset":!1,"flood-color":!1,"flood-opacity":!1,"flow-from":!1,"flow-into":!1,font:!0,"font-family":!0,"font-feature-settings":!0,"font-kerning":!0,"font-language-override":!0,"font-size":!0,"font-size-adjust":!0,"font-stretch":!0,"font-style":!0,"font-synthesis":!0,"font-variant":!0,"font-variant-alternates":!0,"font-variant-caps":!0,"font-variant-east-asian":!0,"font-variant-ligatures":!0,"font-variant-numeric":!0,"font-variant-position":!0,"font-weight":!0,grid:!1,"grid-area":!1,"grid-auto-columns":!1,"grid-auto-flow":!1,"grid-auto-rows":!1,"grid-column":!1,"grid-column-end":!1,"grid-column-start":!1,"grid-row":!1,"grid-row-end":!1,"grid-row-start":!1,"grid-template":!1,"grid-template-areas":!1,"grid-template-columns":!1,"grid-template-rows":!1,"hanging-punctuation":!1,height:!0,hyphens:!1,icon:!1,"image-orientation":!1,"image-resolution":!1,"ime-mode":!1,"initial-letters":!1,"inline-box-align":!1,"justify-content":!1,"justify-items":!1,"justify-self":!1,left:!1,"letter-spacing":!0,"lighting-color":!0,"line-box-contain":!1,"line-break":!1,"line-grid":!1,"line-height":!1,"line-snap":!1,"line-stacking":!1,"line-stacking-ruby":!1,"line-stacking-shift":!1,"line-stacking-strategy":!1,"list-style":!0,"list-style-image":!0,"list-style-position":!0,"list-style-type":!0,margin:!0,"margin-bottom":!0,"margin-left":!0,"margin-right":!0,"margin-top":!0,"marker-offset":!1,"marker-side":!1,marks:!1,mask:!1,"mask-box":!1,"mask-box-outset":!1,"mask-box-repeat":!1,"mask-box-slice":!1,"mask-box-source":!1,"mask-box-width":!1,"mask-clip":!1,"mask-image":!1,"mask-origin":!1,"mask-position":!1,"mask-repeat":!1,"mask-size":!1,"mask-source-type":!1,"mask-type":!1,"max-height":!0,"max-lines":!1,"max-width":!0,"min-height":!0,"min-width":!0,"move-to":!1,"nav-down":!1,"nav-index":!1,"nav-left":!1,"nav-right":!1,"nav-up":!1,"object-fit":!1,"object-position":!1,opacity:!1,order:!1,orphans:!1,outline:!1,"outline-color":!1,"outline-offset":!1,"outline-style":!1,"outline-width":!1,overflow:!1,"overflow-wrap":!1,"overflow-x":!1,"overflow-y":!1,padding:!0,"padding-bottom":!0,"padding-left":!0,"padding-right":!0,"padding-top":!0,page:!1,"page-break-after":!1,"page-break-before":!1,"page-break-inside":!1,"page-policy":!1,pause:!1,"pause-after":!1,"pause-before":!1,perspective:!1,"perspective-origin":!1,pitch:!1,"pitch-range":!1,"play-during":!1,position:!1,"presentation-level":!1,quotes:!1,"region-fragment":!1,resize:!1,rest:!1,"rest-after":!1,"rest-before":!1,richness:!1,right:!1,rotation:!1,"rotation-point":!1,"ruby-align":!1,"ruby-merge":!1,"ruby-position":!1,"shape-image-threshold":!1,"shape-outside":!1,"shape-margin":!1,size:!1,speak:!1,"speak-as":!1,"speak-header":!1,"speak-numeral":!1,"speak-punctuation":!1,"speech-rate":!1,stress:!1,"string-set":!1,"tab-size":!1,"table-layout":!1,"text-align":!0,"text-align-last":!0,"text-combine-upright":!0,"text-decoration":!0,"text-decoration-color":!0,"text-decoration-line":!0,"text-decoration-skip":!0,"text-decoration-style":!0,"text-emphasis":!0,"text-emphasis-color":!0,"text-emphasis-position":!0,"text-emphasis-style":!0,"text-height":!0,"text-indent":!0,"text-justify":!0,"text-orientation":!0,"text-overflow":!0,"text-shadow":!0,"text-space-collapse":!0,"text-transform":!0,"text-underline-position":!0,"text-wrap":!0,top:!1,transform:!1,"transform-origin":!1,"transform-style":!1,transition:!1,"transition-delay":!1,"transition-duration":!1,"transition-property":!1,"transition-timing-function":!1,"unicode-bidi":!1,"vertical-align":!1,visibility:!1,"voice-balance":!1,"voice-duration":!1,"voice-family":!1,"voice-pitch":!1,"voice-range":!1,"voice-rate":!1,"voice-stress":!1,"voice-volume":!1,volume:!1,"white-space":!1,widows:!1,width:!0,"will-change":!1,"word-break":!0,"word-spacing":!0,"word-wrap":!0,"wrap-flow":!1,"wrap-through":!1,"writing-mode":!1,"z-index":!1},KM.getDefaultWhiteList=ZM,KM.onAttr=function(t,e,i){},KM.onIgnoreAttr=function(t,e,i){},KM.safeAttrValue=function(t,e){return JM.test(e)?"":e};var QM=function(t){return String.prototype.trim?t.trim():t.replace(/(^\s*)|(\s*$)/g,"")},tT=function(t){return String.prototype.trimRight?t.trimRight():t.replace(/(\s*$)/g,"")},eT=KM;function iT(t){return null==t}function nT(t){(t=function(t){var e={};for(var i in t)e[i]=t[i];return e}(t||{})).whiteList=t.whiteList||eT.whiteList,t.onAttr=t.onAttr||eT.onAttr,t.onIgnoreAttr=t.onIgnoreAttr||eT.onIgnoreAttr,t.safeAttrValue=t.safeAttrValue||eT.safeAttrValue,this.options=t}nT.prototype.process=function(t){if(!(t=(t=t||"").toString()))return"";var e=this.options,i=e.whiteList,n=e.onAttr,r=e.onIgnoreAttr,o=e.safeAttrValue;return function(t,e){";"!==(t=tT(t))[t.length-1]&&(t+=";");var i=t.length,n=!1,r=0,o=0,s="";function a(){if(!n){var i=QM(t.slice(r,o)),a=i.indexOf(":");if(-1!==a){var l=QM(i.slice(0,a)),h=QM(i.slice(a+1));if(l){var u=e(r,s.length,l,h,i);u&&(s+=u+"; ")}}}r=o+1}for(;o<i;o++){var l=t[o];if("/"===l&&"*"===t[o+1]){var h=t.indexOf("*/",o+2);if(-1===h)break;r=(o=h+1)+1,n=!1}else"("===l?n=!0:")"===l?n=!1:";"===l?n||a():"\n"===l&&a()}return QM(s)}(t,(function(t,e,s,a,l){var h=i[s],u=!1;if(!0===h?u=h:"function"==typeof h?u=h(a):h instanceof RegExp&&(u=h.test(a)),!0!==u&&(u=!1),a=o(s,a)){var c,d={position:e,sourcePosition:t,source:l,isWhite:u};return u?iT(c=n(s,a,d))?s+":"+a:c:iT(c=r(s,a,d))?void 0:c}}))};var rT=nT;!function(t,e){var i=KM,n=rT;for(var r in(e=t.exports=function(t,e){return new n(e).process(t)}).FilterCSS=n,i)e[r]=i[r];"undefined"!=typeof window&&(window.filterCSS=t.exports)}($M,$M.exports);var oT={indexOf:function(t,e){var i,n;if(Array.prototype.indexOf)return t.indexOf(e);for(i=0,n=t.length;i<n;i++)if(t[i]===e)return i;return-1},forEach:function(t,e,i){var n,r;if(Array.prototype.forEach)return t.forEach(e,i);for(n=0,r=t.length;n<r;n++)e.call(i,t[n],n,t)},trim:function(t){return String.prototype.trim?t.trim():t.replace(/(^\s*)|(\s*$)/g,"")},spaceIndex:function(t){var e=/\s|\n|\t/.exec(t);return e?e.index:-1}},sT=$M.exports.FilterCSS,aT=$M.exports.getDefaultWhiteList,lT=oT;var hT=new sT;function uT(t){return t.replace(cT,"&lt;").replace(dT,"&gt;")}var cT=/</g,dT=/>/g,pT=/"/g,fT=/&quot;/g,mT=/&#([a-zA-Z0-9]*);?/gim,vT=/&colon;?/gim,gT=/&newline;?/gim,yT=/((j\s*a\s*v\s*a|v\s*b|l\s*i\s*v\s*e)\s*s\s*c\s*r\s*i\s*p\s*t\s*|m\s*o\s*c\s*h\s*a):/gi,bT=/e\s*x\s*p\s*r\s*e\s*s\s*s\s*i\s*o\s*n\s*\(.*/gi,_T=/u\s*r\s*l\s*\(.*/gi;function wT(t){return t.replace(pT,"&quot;")}function kT(t){return t.replace(fT,'"')}function xT(t){return t.replace(mT,(function(t,e){return"x"===e[0]||"X"===e[0]?String.fromCharCode(parseInt(e.substr(1),16)):String.fromCharCode(parseInt(e,10))}))}function ST(t){return t.replace(vT,":").replace(gT," ")}function DT(t){for(var e="",i=0,n=t.length;i<n;i++)e+=t.charCodeAt(i)<32?" ":t.charAt(i);return lT.trim(e)}function CT(t){return DT(t=ST(t=xT(t=kT(t))))}function MT(t){return uT(t=wT(t))}qM.whiteList={a:["target","href","title"],abbr:["title"],address:[],area:["shape","coords","href","alt"],article:[],aside:[],audio:["autoplay","controls","crossorigin","loop","muted","preload","src"],b:[],bdi:["dir"],bdo:["dir"],big:[],blockquote:["cite"],br:[],caption:[],center:[],cite:[],code:[],col:["align","valign","span","width"],colgroup:["align","valign","span","width"],dd:[],del:["datetime"],details:["open"],div:[],dl:[],dt:[],em:[],figcaption:[],figure:[],font:["color","size","face"],footer:[],h1:[],h2:[],h3:[],h4:[],h5:[],h6:[],header:[],hr:[],i:[],img:["src","alt","title","width","height"],ins:["datetime"],li:[],mark:[],nav:[],ol:[],p:[],pre:[],s:[],section:[],small:[],span:[],sub:[],summary:[],sup:[],strong:[],strike:[],table:["width","border","align","valign"],tbody:["align","valign"],td:["width","rowspan","colspan","align","valign"],tfoot:["align","valign"],th:["width","rowspan","colspan","align","valign"],thead:["align","valign"],tr:["rowspan","align","valign"],tt:[],u:[],ul:[],video:["autoplay","controls","crossorigin","loop","muted","playsinline","poster","preload","src","height","width"]},qM.getDefaultWhiteList=function(){return{a:["target","href","title"],abbr:["title"],address:[],area:["shape","coords","href","alt"],article:[],aside:[],audio:["autoplay","controls","crossorigin","loop","muted","preload","src"],b:[],bdi:["dir"],bdo:["dir"],big:[],blockquote:["cite"],br:[],caption:[],center:[],cite:[],code:[],col:["align","valign","span","width"],colgroup:["align","valign","span","width"],dd:[],del:["datetime"],details:["open"],div:[],dl:[],dt:[],em:[],figcaption:[],figure:[],font:["color","size","face"],footer:[],h1:[],h2:[],h3:[],h4:[],h5:[],h6:[],header:[],hr:[],i:[],img:["src","alt","title","width","height"],ins:["datetime"],li:[],mark:[],nav:[],ol:[],p:[],pre:[],s:[],section:[],small:[],span:[],sub:[],summary:[],sup:[],strong:[],strike:[],table:["width","border","align","valign"],tbody:["align","valign"],td:["width","rowspan","colspan","align","valign"],tfoot:["align","valign"],th:["width","rowspan","colspan","align","valign"],thead:["align","valign"],tr:["rowspan","align","valign"],tt:[],u:[],ul:[],video:["autoplay","controls","crossorigin","loop","muted","playsinline","poster","preload","src","height","width"]}},qM.onTag=function(t,e,i){},qM.onIgnoreTag=function(t,e,i){},qM.onTagAttr=function(t,e,i){},qM.onIgnoreTagAttr=function(t,e,i){},qM.safeAttrValue=function(t,e,i,n){if(i=CT(i),"href"===e||"src"===e){if("#"===(i=lT.trim(i)))return"#";if("http://"!==i.substr(0,7)&&"https://"!==i.substr(0,8)&&"mailto:"!==i.substr(0,7)&&"tel:"!==i.substr(0,4)&&"data:image/"!==i.substr(0,11)&&"ftp://"!==i.substr(0,6)&&"./"!==i.substr(0,2)&&"../"!==i.substr(0,3)&&"#"!==i[0]&&"/"!==i[0])return""}else if("background"===e){if(yT.lastIndex=0,yT.test(i))return""}else if("style"===e){if(bT.lastIndex=0,bT.test(i))return"";if(_T.lastIndex=0,_T.test(i)&&(yT.lastIndex=0,yT.test(i)))return"";!1!==n&&(i=(n=n||hT).process(i))}return MT(i)},qM.escapeHtml=uT,qM.escapeQuote=wT,qM.unescapeQuote=kT,qM.escapeHtmlEntities=xT,qM.escapeDangerHtml5Entities=ST,qM.clearNonPrintableCharacter=DT,qM.friendlyAttrValue=CT,qM.escapeAttrValue=MT,qM.onIgnoreTagStripAll=function(){return""},qM.StripTagBody=function(t,e){"function"!=typeof e&&(e=function(){});var i=!Array.isArray(t),n=[],r=!1;return{onIgnoreTag:function(o,s,a){if(function(e){return!!i||-1!==lT.indexOf(t,e)}(o)){if(a.isClosing){var l="[/removed]",h=a.position+l.length;return n.push([!1!==r?r:a.position,h]),r=!1,l}return r||(r=a.position),"[removed]"}return e(o,s,a)},remove:function(t){var e="",i=0;return lT.forEach(n,(function(n){e+=t.slice(i,n[0]),i=n[1]})),e+=t.slice(i)}}},qM.stripCommentTag=function(t){for(var e="",i=0;i<t.length;){var n=t.indexOf("\x3c!--",i);if(-1===n){e+=t.slice(i);break}e+=t.slice(i,n);var r=t.indexOf("--\x3e",n);if(-1===r)break;i=r+3}return e},qM.stripBlankChar=function(t){var e=t.split("");return(e=e.filter((function(t){var e=t.charCodeAt(0);return!(127===e||e<=31&&10!==e&&13!==e)}))).join("")},qM.cssFilter=hT,qM.getDefaultCSSWhiteList=aT;var TT={},OT=oT;function PT(t){var e,i=OT.spaceIndex(t);return e=-1===i?t.slice(1,-1):t.slice(1,i+1),"/"===(e=OT.trim(e).toLowerCase()).slice(0,1)&&(e=e.slice(1)),"/"===e.slice(-1)&&(e=e.slice(0,-1)),e}function ET(t){return"</"===t.slice(0,2)}var IT=/[^a-zA-Z0-9\\_:.-]/gim;function LT(t,e){for(;e<t.length;e++){var i=t[e];if(" "!==i)return"="===i?e:-1}}function AT(t,e){for(;e<t.length;e++){var i=t[e];if(" "!==i)return"'"===i||'"'===i?e:-1}}function NT(t,e){for(;e>0;e--){var i=t[e];if(" "!==i)return"="===i?e:-1}}function RT(t){return function(t){return'"'===t[0]&&'"'===t[t.length-1]||"'"===t[0]&&"'"===t[t.length-1]}(t)?t.substr(1,t.length-2):t}TT.parseTag=function(t,e,i){var n="",r=0,o=!1,s=!1,a=0,l=t.length,h="",u="";t:for(a=0;a<l;a++){var c=t.charAt(a);if(!1===o){if("<"===c){o=a;continue}}else if(!1===s){if("<"===c){n+=i(t.slice(r,a)),o=a,r=a;continue}if(">"===c){n+=i(t.slice(r,o)),h=PT(u=t.slice(o,a+1)),n+=e(o,n.length,h,u,ET(u)),r=a+1,o=!1;continue}if('"'===c||"'"===c)for(var d=1,p=t.charAt(a-d);""===p.trim()||"="===p;){if("="===p){s=c;continue t}p=t.charAt(a-++d)}}else if(c===s){s=!1;continue}}return r<t.length&&(n+=i(t.substr(r))),n},TT.parseAttr=function(t,e){var i=0,n=0,r=[],o=!1,s=t.length;function a(t,i){if(!((t=(t=OT.trim(t)).replace(IT,"").toLowerCase()).length<1)){var n=e(t,i||"");n&&r.push(n)}}for(var l=0;l<s;l++){var h,u=t.charAt(l);if(!1!==o||"="!==u)if(!1===o||l!==n){if(/\s|\n|\t/.test(u)){if(t=t.replace(/\s|\n|\t/g," "),!1===o){if(-1===(h=LT(t,l))){a(OT.trim(t.slice(i,l))),o=!1,i=l+1;continue}l=h-1;continue}if(-1===(h=NT(t,l-1))){a(o,RT(OT.trim(t.slice(i,l)))),o=!1,i=l+1;continue}}}else{if(-1===(h=t.indexOf(u,l+1)))break;a(o,OT.trim(t.slice(n+1,h))),o=!1,i=(l=h)+1}else o=t.slice(i,l),i=l+1,n='"'===t.charAt(i)||"'"===t.charAt(i)?i:AT(t,l+1)}return i<t.length&&(!1===o?a(t.slice(i)):a(o,RT(OT.trim(t.slice(i))))),OT.trim(r.join(" "))};var FT=$M.exports.FilterCSS,jT=qM,YT=TT,HT=YT.parseTag,BT=YT.parseAttr,zT=oT;function GT(t){return null==t}function WT(t){(t=function(t){var e={};for(var i in t)e[i]=t[i];return e}(t||{})).stripIgnoreTag&&(t.onIgnoreTag&&console.error('Notes: cannot use these two options "stripIgnoreTag" and "onIgnoreTag" at the same time'),t.onIgnoreTag=jT.onIgnoreTagStripAll),t.whiteList||t.allowList?t.whiteList=function(t){var e={};for(var i in t)Array.isArray(t[i])?e[i.toLowerCase()]=t[i].map((function(t){return t.toLowerCase()})):e[i.toLowerCase()]=t[i];return e}(t.whiteList||t.allowList):t.whiteList=jT.whiteList,t.onTag=t.onTag||jT.onTag,t.onTagAttr=t.onTagAttr||jT.onTagAttr,t.onIgnoreTag=t.onIgnoreTag||jT.onIgnoreTag,t.onIgnoreTagAttr=t.onIgnoreTagAttr||jT.onIgnoreTagAttr,t.safeAttrValue=t.safeAttrValue||jT.safeAttrValue,t.escapeHtml=t.escapeHtml||jT.escapeHtml,this.options=t,!1===t.css?this.cssFilter=!1:(t.css=t.css||{},this.cssFilter=new FT(t.css))}WT.prototype.process=function(t){if(!(t=(t=t||"").toString()))return"";var e=this.options,i=e.whiteList,n=e.onTag,r=e.onIgnoreTag,o=e.onTagAttr,s=e.onIgnoreTagAttr,a=e.safeAttrValue,l=e.escapeHtml,h=this.cssFilter;e.stripBlankChar&&(t=jT.stripBlankChar(t)),e.allowCommentTag||(t=jT.stripCommentTag(t));var u=!1;e.stripIgnoreTagBody&&(u=jT.StripTagBody(e.stripIgnoreTagBody,r),r=u.onIgnoreTag);var c=HT(t,(function(t,e,u,c,d){var p={sourcePosition:t,position:e,isClosing:d,isWhite:Object.prototype.hasOwnProperty.call(i,u)},f=n(u,c,p);if(!GT(f))return f;if(p.isWhite){if(p.isClosing)return"</"+u+">";var m=function(t){var e=zT.spaceIndex(t);if(-1===e)return{html:"",closing:"/"===t[t.length-2]};var i="/"===(t=zT.trim(t.slice(e+1,-1)))[t.length-1];return i&&(t=zT.trim(t.slice(0,-1))),{html:t,closing:i}}(c),v=i[u],g=BT(m.html,(function(t,e){var i=-1!==zT.indexOf(v,t),n=o(u,t,e,i);return GT(n)?i?(e=a(u,t,e,h))?t+'="'+e+'"':t:GT(n=s(u,t,e,i))?void 0:n:n}));return c="<"+u,g&&(c+=" "+g),m.closing&&(c+=" /"),c+">"}return GT(f=r(u,c,p))?l(c):f}),l);return u&&(c=u.remove(c)),c};var VT=WT;!function(t,e){var i=qM,n=TT,r=VT;function o(t,e){return new r(e).process(t)}(e=t.exports=o).filterXSS=o,e.FilterXSS=r,function(){for(var t in i)e[t]=i[t];for(var r in n)e[r]=n[r]}(),"undefined"!=typeof window&&(window.filterXSS=t.exports),"undefined"!=typeof self&&"undefined"!=typeof DedicatedWorkerGlobalScope&&self instanceof DedicatedWorkerGlobalScope&&(self.filterXSS=t.exports)}(XM,XM.exports);var UT=XM.exports;function XT(t,e){var i=ed(t);if(vh){var n=vh(t);e&&(n=yf(n).call(n,(function(e){return Th(t,e).enumerable}))),i.push.apply(i,n)}return i}function qT(t){for(var e=1;e<arguments.length;e++){var i,n,r=null!=arguments[e]?arguments[e]:{};e%2?zd(i=XT(Object(r),!0)).call(i,(function(e){du(t,e,r[e])})):Bh?Kh(t,Bh(r)):zd(n=XT(Object(r))).call(n,(function(e){ou(t,e,Th(r,e))}))}return t}function $T(t){var e;if(!t)return!1;var i=null!==(e=t.idProp)&&void 0!==e?e:t._idProp;return!!i&&function(t,e){return"object"===Dc(e)&&null!==e&&t===e.idProp&&"function"==typeof zd(e)&&"function"==typeof e.get&&"function"==typeof e.getDataSet&&"function"==typeof e.getIds&&"number"==typeof e.length&&"function"==typeof Kc(e)&&"function"==typeof e.off&&"function"==typeof e.on&&"function"==typeof e.stream&&function(t,e){return"object"===Dc(e)&&null!==e&&t===e.idProp&&"function"==typeof e.add&&"function"==typeof e.clear&&"function"==typeof e.distinct&&"function"==typeof zd(e)&&"function"==typeof e.get&&"function"==typeof e.getDataSet&&"function"==typeof e.getIds&&"number"==typeof e.length&&"function"==typeof Kc(e)&&"function"==typeof e.max&&"function"==typeof e.min&&"function"==typeof e.off&&"function"==typeof e.on&&"function"==typeof e.remove&&"function"==typeof e.setOptions&&"function"==typeof e.stream&&"function"==typeof e.update&&"function"==typeof e.updateOnly}(t,e.getDataSet())}(i,t)}var KT=/^\/?Date\((-?\d+)/i,ZT=/^\d+$/;function JT(t,e){var i;if(void 0!==t){if(null===t)return null;if(!e)return t;if("string"!=typeof e&&!(e instanceof String))throw new Error("Type must be a string");switch(e){case"boolean":case"Boolean":return Boolean(t);case"number":case"Number":return My(t)&&!isNaN(Date.parse(t))?UM(t).valueOf():Number(t.valueOf());case"string":case"String":return String(t);case"Date":try{return JT(t,"Moment").toDate()}catch(i){throw i instanceof TypeError?new TypeError("Cannot convert object of type "+Iy(t)+" to type "+e):i}case"Moment":if(Cy(t))return UM(t);if(t instanceof Date)return UM(t.valueOf());if(UM.isMoment(t))return UM(t);if(My(t))return(i=KT.exec(t))?UM(Number(i[1])):(i=ZT.exec(t),UM(i?Number(t):t));throw new TypeError("Cannot convert object of type "+Iy(t)+" to type "+e);case"ISODate":if(Cy(t))return new Date(t);if(t instanceof Date)return t.toISOString();if(UM.isMoment(t))return t.toDate().toISOString();if(My(t))return(i=KT.exec(t))?new Date(Number(i[1])).toISOString():UM(t).format();throw new Error("Cannot convert object of type "+Iy(t)+" to type ISODate");case"ASPDate":if(Cy(t))return"/Date("+t+")/";if(t instanceof Date||UM.isMoment(t))return"/Date("+t.valueOf()+")/";if(My(t))return"/Date("+((i=KT.exec(t))?new Date(Number(i[1])).valueOf():new Date(t).valueOf())+")/";throw new Error("Cannot convert object of type "+Iy(t)+" to type ASPDate");default:throw new Error("Unknown type ".concat(e))}}}function QT(t){var e,i,n,r,o,s,a=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{start:"Date",end:"Date"},l=t._idProp,h=new GM({fieldId:l}),u=Kc(e=RM(t)).call(e,(function(t){var e;return yS(e=ed(t)).call(e,(function(e,i){return e[i]=JT(t[i],a[i]),e}),{})})).to(h);return u.all().start(),{add:function(){var e;return(e=t.getDataSet()).add.apply(e,arguments)},remove:function(){var e;return(e=t.getDataSet()).remove.apply(e,arguments)},update:function(){var e;return(e=t.getDataSet()).update.apply(e,arguments)},updateOnly:function(){var e;return(e=t.getDataSet()).updateOnly.apply(e,arguments)},clear:function(){var e;return(e=t.getDataSet()).clear.apply(e,arguments)},forEach:Td(i=zd(h)).call(i,h),get:Td(n=h.get).call(n,h),getIds:Td(r=h.getIds).call(r,h),off:Td(o=h.off).call(o,h),on:Td(s=h.on).call(s,h),get length(){return h.length},idProp:l,type:a,rawDS:t,coercedDS:h,dispose:function(){return u.stop()}}}var tO=function(t){var e=new UT.FilterXSS(t);return function(t){return e.process(t)}},eO=function(t){return t},iO=tO(),nO=qT(qT({},lb),{},{convert:JT,setupXSSProtection:function(t){t&&(!0===t.disabled?(iO=eO,console.warn("You disabled XSS protection for vis-Timeline. I sure hope you know what you're doing!")):t.filterOptions&&(iO=tO(t.filterOptions)))}});ou(nO,"xss",{get:function(){return iO}});var rO={exports:{}},oO=_,sO=l,aO=At,lO=Yf.trim,hO=m("".charAt),uO=oO.parseFloat,cO=oO.Symbol,dO=cO&&cO.iterator,pO=1/uO("\t\n\v\f\r                　\u2028\u2029\ufeff-0")!=-1/0||dO&&!sO((function(){uO(Object(dO))}))?function(t){var e=lO(aO(t)),i=uO(e);return 0===i&&"-"==hO(e,0)?-0:i}:uO;On({global:!0,forced:parseFloat!=pO},{parseFloat:pO});var fO=z.parseFloat;!function(t){t.exports=fO}(rO);var mO=n(rO.exports),vO=function(){function t(e,i){su(this,t),this.options=null,this.props=null}return cu(t,[{key:"setOptions",value:function(t){t&&nO.extend(this.options,t)}},{key:"redraw",value:function(){return!1}},{key:"destroy",value:function(){}},{key:"_isResized",value:function(){var t=this.props._previousWidth!==this.props.width||this.props._previousHeight!==this.props.height;return this.props._previousWidth=this.props.width,this.props._previousHeight=this.props.height,t}}]),t}(),gO={exports:{}},yO=y,bO=At,_O=P,wO=_.RangeError;On({target:"String",proto:!0},{repeat:function(t){var e=bO(_O(this)),i="",n=yO(t);if(n<0||n==1/0)throw wO("Wrong number of repetitions");for(;n>0;(n>>>=1)&&(e+=e))1&n&&(i+=e);return i}});var kO=ac("String").repeat,xO=ge,SO=kO,DO=String.prototype,CO=function(t){var e=t.repeat;return"string"==typeof t||t===DO||xO(DO,t)&&e===DO.repeat?SO:e};!function(t){t.exports=CO}(gO);var MO=n(gO.exports);function TO(t,e,i){if(i&&!zc(i))return TO(t,e,[i]);if(e.hiddenDates=[],i&&1==zc(i)){for(var n,r=0;r<i.length;r++)if(void 0===MO(i[r])){var o={};o.start=t(i[r].start).toDate().valueOf(),o.end=t(i[r].end).toDate().valueOf(),e.hiddenDates.push(o)}OC(n=e.hiddenDates).call(n,(function(t,e){return t.start-e.start}))}}function OO(t,e,i){if(i&&!zc(i))return OO(t,e,[i]);if(i&&void 0!==e.domProps.centerContainer.width){TO(t,e,i);for(var n=t(e.range.start),r=t(e.range.end),o=(e.range.end-e.range.start)/e.domProps.centerContainer.width,s=0;s<i.length;s++)if(void 0!==MO(i[s])){var a=t(i[s].start),l=t(i[s].end);if("Invalid Date"==a._d)throw new Error("Supplied start date is not valid: ".concat(i[s].start));if("Invalid Date"==l._d)throw new Error("Supplied end date is not valid: ".concat(i[s].end));if(l-a>=4*o){var h=0,u=r.clone();switch(MO(i[s])){case"daily":a.day()!=l.day()&&(h=1),a.dayOfYear(n.dayOfYear()),a.year(n.year()),a.subtract(7,"days"),l.dayOfYear(n.dayOfYear()),l.year(n.year()),l.subtract(7-h,"days"),u.add(1,"weeks");break;case"weekly":var c=l.diff(a,"days"),d=a.day();a.date(n.date()),a.month(n.month()),a.year(n.year()),l=a.clone(),a.day(d),l.day(d),l.add(c,"days"),a.subtract(1,"weeks"),l.subtract(1,"weeks"),u.add(1,"weeks");break;case"monthly":a.month()!=l.month()&&(h=1),a.month(n.month()),a.year(n.year()),a.subtract(1,"months"),l.month(n.month()),l.year(n.year()),l.subtract(1,"months"),l.add(h,"months"),u.add(1,"months");break;case"yearly":a.year()!=l.year()&&(h=1),a.year(n.year()),a.subtract(1,"years"),l.year(n.year()),l.subtract(1,"years"),l.add(h,"years"),u.add(1,"years");break;default:return void console.log("Wrong repeat format, allowed are: daily, weekly, monthly, yearly. Given:",MO(i[s]))}for(;a<u;)switch(e.hiddenDates.push({start:a.valueOf(),end:l.valueOf()}),MO(i[s])){case"daily":a.add(1,"days"),l.add(1,"days");break;case"weekly":a.add(1,"weeks"),l.add(1,"weeks");break;case"monthly":a.add(1,"months"),l.add(1,"months");break;case"yearly":a.add(1,"y"),l.add(1,"y");break;default:return void console.log("Wrong repeat format, allowed are: daily, weekly, monthly, yearly. Given:",MO(i[s]))}e.hiddenDates.push({start:a.valueOf(),end:l.valueOf()})}}PO(e);var p=HO(e.range.start,e.hiddenDates),f=HO(e.range.end,e.hiddenDates),m=e.range.start,v=e.range.end;1==p.hidden&&(m=1==e.range.startToFront?p.startDate-1:p.endDate+1),1==f.hidden&&(v=1==e.range.endToFront?f.startDate-1:f.endDate+1),1!=p.hidden&&1!=f.hidden||e.range._applyRange(m,v)}}function PO(t){for(var e,i=t.hiddenDates,n=[],r=0;r<i.length;r++)for(var o=0;o<i.length;o++)r!=o&&1!=i[o].remove&&1!=i[r].remove&&(i[o].start>=i[r].start&&i[o].end<=i[r].end?i[o].remove=!0:i[o].start>=i[r].start&&i[o].start<=i[r].end?(i[r].end=i[o].end,i[o].remove=!0):i[o].end>=i[r].start&&i[o].end<=i[r].end&&(i[r].start=i[o].start,i[o].remove=!0));for(r=0;r<i.length;r++)!0!==i[r].remove&&n.push(i[r]);t.hiddenDates=n,OC(e=t.hiddenDates).call(e,(function(t,e){return t.start-e.start}))}function EO(t,e,i){for(var n=!1,r=e.current.valueOf(),o=0;o<e.hiddenDates.length;o++){var s=e.hiddenDates[o].start,a=e.hiddenDates[o].end;if(r>=s&&r<a){n=!0;break}}if(1==n&&r<e._end.valueOf()&&r!=i){var l=t(i),h=t(a);l.year()!=h.year()?e.switchedYear=!0:l.month()!=h.month()?e.switchedMonth=!0:l.dayOfYear()!=h.dayOfYear()&&(e.switchedDay=!0),e.current=h}}function IO(t,e,i){var n;if(0==t.body.hiddenDates.length)return n=t.range.conversion(i),(e.valueOf()-n.offset)*n.scale;var r=HO(e,t.body.hiddenDates);1==r.hidden&&(e=r.startDate);var o=AO(t.body.hiddenDates,t.range.start,t.range.end);if(e<t.range.start){n=t.range.conversion(i,o);var s=NO(t.body.hiddenDates,e,n.offset);return e=t.options.moment(e).toDate().valueOf(),e+=s,-(n.offset-e.valueOf())*n.scale}if(e>t.range.end){var a={start:t.range.start,end:e};return e=RO(t.options.moment,t.body.hiddenDates,a,e),n=t.range.conversion(i,o),(e.valueOf()-n.offset)*n.scale}return e=RO(t.options.moment,t.body.hiddenDates,t.range,e),n=t.range.conversion(i,o),(e.valueOf()-n.offset)*n.scale}function LO(t,e,i){if(0==t.body.hiddenDates.length){var n=t.range.conversion(i);return new Date(e/n.scale+n.offset)}var r=AO(t.body.hiddenDates,t.range.start,t.range.end),o=(t.range.end-t.range.start-r)*e/i,s=jO(t.body.hiddenDates,t.range,o);return new Date(s+o+t.range.start)}function AO(t,e,i){for(var n=0,r=0;r<t.length;r++){var o=t[r].start,s=t[r].end;o>=e&&s<i&&(n+=s-o)}return n}function NO(t,e,i){for(var n=0,r=0;r<t.length;r++){var o=t[r].start,s=t[r].end;o>=e&&s<=i&&(n+=s-o)}return n}function RO(t,e,i,n){return(n=t(n).toDate().valueOf())-FO(t,e,i,n)}function FO(t,e,i,n){var r=0;n=t(n).toDate().valueOf();for(var o=0;o<e.length;o++){var s=e[o].start,a=e[o].end;s>=i.start&&a<i.end&&n>=a&&(r+=a-s)}return r}function jO(t,e,i){for(var n=0,r=0,o=e.start,s=0;s<t.length;s++){var a=t[s].start,l=t[s].end;if(a>=e.start&&l<e.end){if(r+=a-o,o=l,r>=i)break;n+=l-a}}return n}function YO(t,e,i,n){var r=HO(e,t);return 1==r.hidden?i<0?1==n?r.startDate-(r.endDate-e)-1:r.startDate-1:1==n?r.endDate+(e-r.startDate)+1:r.endDate+1:e}function HO(t,e){for(var i=0;i<e.length;i++){var n=e[i].start,r=e[i].end;if(t>=n&&t<r)return{hidden:!0,startDate:n,endDate:r}}return{hidden:!1,startDate:n,endDate:r}}var BO=Object.freeze({__proto__:null,convertHiddenOptions:TO,updateHiddenDates:OO,removeDuplicates:PO,printDates:function(t){for(var e=0;e<t.length;e++)console.log(e,new Date(t[e].start),new Date(t[e].end),t[e].start,t[e].end,t[e].remove)},stepOverHiddenDates:EO,toScreen:IO,toTime:LO,getHiddenDurationBetween:AO,getHiddenDurationBeforeStart:NO,correctTimeForHidden:RO,getHiddenDurationBefore:FO,getAccumulatedHiddenDuration:jO,snapAwayFromHidden:YO,getIsHidden:HO});var zO=function(t){Kb(i,t);var e=function(t){var e=function(){if("undefined"==typeof Reflect||!jb)return!1;if(jb.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(jb(Boolean,[],(function(){}))),!0}catch(t){return!1}}();return function(){var i,n=e_(t);if(e){var r=e_(this).constructor;i=jb(n,arguments,r)}else i=n.apply(this,arguments);return Zb(this,i)}}(i);function i(t,n){var r,o,s,a,l,h,u,c;su(this,i),c=e.call(this);var d=VM().hours(0).minutes(0).seconds(0).milliseconds(0),p=d.clone().add(-3,"days").valueOf(),f=d.clone().add(3,"days").valueOf();return c.millisecondsPerPixelCache=void 0,void 0===n?(c.start=p,c.end=f):(c.start=n.start||p,c.end=n.end||f),c.rolling=!1,c.body=t,c.deltaDifference=0,c.scaleOffset=0,c.startToFront=!1,c.endToFront=!0,c.defaultOptions={rtl:!1,start:null,end:null,moment:VM,direction:"horizontal",moveable:!0,zoomable:!0,min:null,max:null,zoomMin:10,zoomMax:31536e10,rollingMode:{follow:!1,offset:.5}},c.options=nO.extend({},c.defaultOptions),c.props={touch:{}},c.animationTimer=null,c.body.emitter.on("panstart",Td(r=c._onDragStart).call(r,Yb(c))),c.body.emitter.on("panmove",Td(o=c._onDrag).call(o,Yb(c))),c.body.emitter.on("panend",Td(s=c._onDragEnd).call(s,Yb(c))),c.body.emitter.on("mousewheel",Td(a=c._onMouseWheel).call(a,Yb(c))),c.body.emitter.on("touch",Td(l=c._onTouch).call(l,Yb(c))),c.body.emitter.on("pinch",Td(h=c._onPinch).call(h,Yb(c))),c.body.dom.rollingModeBtn.addEventListener("click",Td(u=c.startRolling).call(u,Yb(c))),c.setOptions(n),c}return cu(i,[{key:"setOptions",value:function(t){t&&(nO.selectiveExtend(["animation","direction","min","max","zoomMin","zoomMax","moveable","zoomable","moment","activate","hiddenDates","zoomKey","zoomFriction","rtl","showCurrentTime","rollingMode","horizontalScroll"],this.options,t),t.rollingMode&&t.rollingMode.follow&&this.startRolling(),("start"in t||"end"in t)&&this.setRange(t.start,t.end))}},{key:"startRolling",value:function(){var t=this;!function e(){t.stopRolling(),t.rolling=!0;var i=t.end-t.start,n=nO.convert(new Date,"Date").valueOf(),r=t.options.rollingMode&&t.options.rollingMode.offset||.5,o=n-i*r,s=n+i*(1-r);t.setRange(o,s,{animation:!1}),(i=1/t.conversion(t.body.domProps.center.width).scale/10)<30&&(i=30),i>1e3&&(i=1e3),t.body.dom.rollingModeBtn.style.visibility="hidden",t.currentTimeTimer=hv(e,i)}()}},{key:"stopRolling",value:function(){void 0!==this.currentTimeTimer&&(clearTimeout(this.currentTimeTimer),this.rolling=!1,this.body.dom.rollingModeBtn.style.visibility="visible")}},{key:"setRange",value:function(t,e,i,n,r){i||(i={}),!0!==i.byUser&&(i.byUser=!1);var o=this,s=null!=t?nO.convert(t,"Date").valueOf():null,a=null!=e?nO.convert(e,"Date").valueOf():null;if(this._cancelAnimation(),this.millisecondsPerPixelCache=void 0,i.animation){var l,h=this.start,u=this.end,c="object"===Dc(i.animation)&&"duration"in i.animation?i.animation.duration:500,d="object"===Dc(i.animation)&&"easingFunction"in i.animation?i.animation.easingFunction:"easeInOutQuad",p=nO.easingFunctions[d];if(!p)throw new Error(Nc(l="Unknown easing function ".concat($m(d),". Choose from: ")).call(l,ed(nO.easingFunctions).join(", ")));var f=ld(),m=!1;return function t(){if(!o.props.touch.dragging){var e=ld()-f,l=p(e/c),d=e>c,g=d||null===s?s:h+(s-h)*l,y=d||null===a?a:u+(a-u)*l;v=o._applyRange(g,y),OO(o.options.moment,o.body,o.options.hiddenDates),m=m||v;var b={start:new Date(o.start),end:new Date(o.end),byUser:i.byUser,event:i.event};if(r&&r(l,v,d),v&&o.body.emitter.emit("rangechange",b),d){if(m&&(o.body.emitter.emit("rangechanged",b),n))return n()}else o.animationTimer=hv(t,20)}}()}var v=this._applyRange(s,a);if(OO(this.options.moment,this.body,this.options.hiddenDates),v){var g={start:new Date(this.start),end:new Date(this.end),byUser:i.byUser,event:i.event};if(this.body.emitter.emit("rangechange",g),clearTimeout(o.timeoutID),o.timeoutID=hv((function(){o.body.emitter.emit("rangechanged",g)}),200),n)return n()}}},{key:"getMillisecondsPerPixel",value:function(){return void 0===this.millisecondsPerPixelCache&&(this.millisecondsPerPixelCache=(this.end-this.start)/this.body.dom.center.clientWidth),this.millisecondsPerPixelCache}},{key:"_cancelAnimation",value:function(){this.animationTimer&&(clearTimeout(this.animationTimer),this.animationTimer=null)}},{key:"_applyRange",value:function(t,e){var i,n=null!=t?nO.convert(t,"Date").valueOf():this.start,r=null!=e?nO.convert(e,"Date").valueOf():this.end,o=null!=this.options.max?nO.convert(this.options.max,"Date").valueOf():null,s=null!=this.options.min?nO.convert(this.options.min,"Date").valueOf():null;if(isNaN(n)||null===n)throw new Error('Invalid start "'.concat(t,'"'));if(isNaN(r)||null===r)throw new Error('Invalid end "'.concat(e,'"'));if(r<n&&(r=n),null!==s&&n<s&&(n+=i=s-n,r+=i,null!=o&&r>o&&(r=o)),null!==o&&r>o&&(n-=i=r-o,r-=i,null!=s&&n<s&&(n=s)),null!==this.options.zoomMin){var a=mO(this.options.zoomMin);a<0&&(a=0),r-n<a&&(this.end-this.start===a&&n>=this.start-.5&&r<=this.end?(n=this.start,r=this.end):(n-=(i=a-(r-n))/2,r+=i/2))}if(null!==this.options.zoomMax){var l=mO(this.options.zoomMax);l<0&&(l=0),r-n>l&&(this.end-this.start===l&&n<this.start&&r>this.end?(n=this.start,r=this.end):(n+=(i=r-n-l)/2,r-=i/2))}var h=this.start!=n||this.end!=r;return n>=this.start&&n<=this.end||r>=this.start&&r<=this.end||this.start>=n&&this.start<=r||this.end>=n&&this.end<=r||this.body.emitter.emit("checkRangedItems"),this.start=n,this.end=r,h}},{key:"getRange",value:function(){return{start:this.start,end:this.end}}},{key:"conversion",value:function(t,e){return i.conversion(this.start,this.end,t,e)}},{key:"_onDragStart",value:function(t){this.deltaDifference=0,this.previousDelta=0,this.options.moveable&&this._isInsideRange(t)&&this.props.touch.allowDragging&&(this.stopRolling(),this.props.touch.start=this.start,this.props.touch.end=this.end,this.props.touch.dragging=!0,this.body.dom.root&&(this.body.dom.root.style.cursor="move"))}},{key:"_onDrag",value:function(t){if(t&&this.props.touch.dragging&&this.options.moveable&&this.props.touch.allowDragging){var e=this.options.direction;GO(e);var i="horizontal"==e?t.deltaX:t.deltaY;i-=this.deltaDifference;var n=this.props.touch.end-this.props.touch.start;n-=AO(this.body.hiddenDates,this.start,this.end);var r,o="horizontal"==e?this.body.domProps.center.width:this.body.domProps.center.height;r=this.options.rtl?i/o*n:-i/o*n;var s=this.props.touch.start+r,a=this.props.touch.end+r,l=YO(this.body.hiddenDates,s,this.previousDelta-i,!0),h=YO(this.body.hiddenDates,a,this.previousDelta-i,!0);if(l!=s||h!=a)return this.deltaDifference+=i,this.props.touch.start=l,this.props.touch.end=h,void this._onDrag(t);this.previousDelta=i,this._applyRange(s,a);var u=new Date(this.start),c=new Date(this.end);this.body.emitter.emit("rangechange",{start:u,end:c,byUser:!0,event:t}),this.body.emitter.emit("panmove")}}},{key:"_onDragEnd",value:function(t){this.props.touch.dragging&&this.options.moveable&&this.props.touch.allowDragging&&(this.props.touch.dragging=!1,this.body.dom.root&&(this.body.dom.root.style.cursor="auto"),this.body.emitter.emit("rangechanged",{start:new Date(this.start),end:new Date(this.end),byUser:!0,event:t}))}},{key:"_onMouseWheel",value:function(t){var e=0;if(t.wheelDelta?e=t.wheelDelta/120:t.detail?e=-t.detail/3:t.deltaY&&(e=-t.deltaY/3),!(this.options.zoomKey&&!t[this.options.zoomKey]&&this.options.zoomable||!this.options.zoomable&&this.options.moveable)&&this.options.zoomable&&this.options.moveable&&this._isInsideRange(t)&&e){var i,n,r=this.options.zoomFriction||5;if(i=e<0?1-e/r:1/(1+e/r),this.rolling){var o=this.options.rollingMode&&this.options.rollingMode.offset||.5;n=this.start+(this.end-this.start)*o}else{var s=this.getPointer({x:t.clientX,y:t.clientY},this.body.dom.center);n=this._pointerToDate(s)}this.zoom(i,n,e,t),t.preventDefault()}}},{key:"_onTouch",value:function(t){this.props.touch.start=this.start,this.props.touch.end=this.end,this.props.touch.allowDragging=!0,this.props.touch.center=null,this.props.touch.centerDate=null,this.scaleOffset=0,this.deltaDifference=0,nO.preventDefault(t)}},{key:"_onPinch",value:function(t){if(this.options.zoomable&&this.options.moveable){nO.preventDefault(t),this.props.touch.allowDragging=!1,this.props.touch.center||(this.props.touch.center=this.getPointer(t.center,this.body.dom.center),this.props.touch.centerDate=this._pointerToDate(this.props.touch.center)),this.stopRolling();var e=1/(t.scale+this.scaleOffset),i=this.props.touch.centerDate,n=AO(this.body.hiddenDates,this.start,this.end),r=FO(this.options.moment,this.body.hiddenDates,this,i),o=n-r,s=i-r+(this.props.touch.start-(i-r))*e,a=i+o+(this.props.touch.end-(i+o))*e;this.startToFront=1-e<=0,this.endToFront=e-1<=0;var l=YO(this.body.hiddenDates,s,1-e,!0),h=YO(this.body.hiddenDates,a,e-1,!0);l==s&&h==a||(this.props.touch.start=l,this.props.touch.end=h,this.scaleOffset=1-t.scale,s=l,a=h);var u={animation:!1,byUser:!0,event:t};this.setRange(s,a,u),this.startToFront=!1,this.endToFront=!0}}},{key:"_isInsideRange",value:function(t){var e=t.center?t.center.x:t.clientX,i=this.body.dom.centerContainer.getBoundingClientRect(),n=this.options.rtl?e-i.left:i.right-e,r=this.body.util.toTime(n);return r>=this.start&&r<=this.end}},{key:"_pointerToDate",value:function(t){var e,i=this.options.direction;if(GO(i),"horizontal"==i)return this.body.util.toTime(t.x).valueOf();var n=this.body.domProps.center.height;return e=this.conversion(n),t.y/e.scale+e.offset}},{key:"getPointer",value:function(t,e){var i=e.getBoundingClientRect();return this.options.rtl?{x:i.right-t.x,y:t.y-i.top}:{x:t.x-i.left,y:t.y-i.top}}},{key:"zoom",value:function(t,e,i,n){null==e&&(e=(this.start+this.end)/2);var r=AO(this.body.hiddenDates,this.start,this.end),o=FO(this.options.moment,this.body.hiddenDates,this,e),s=r-o,a=e-o+(this.start-(e-o))*t,l=e+s+(this.end-(e+s))*t;this.startToFront=!(i>0),this.endToFront=!(-i>0);var h=YO(this.body.hiddenDates,a,i,!0),u=YO(this.body.hiddenDates,l,-i,!0);h==a&&u==l||(a=h,l=u);var c={animation:!1,byUser:!0,event:n};this.setRange(a,l,c),this.startToFront=!1,this.endToFront=!0}},{key:"move",value:function(t){var e=this.end-this.start,i=this.start+e*t,n=this.end+e*t;this.start=i,this.end=n}},{key:"moveTo",value:function(t){var e=(this.start+this.end)/2-t,i=this.start-e,n=this.end-e;this.setRange(i,n,{animation:!1,byUser:!0,event:null})}}],[{key:"conversion",value:function(t,e,i,n){return void 0===n&&(n=0),0!=i&&e-t!=0?{offset:t,scale:i/(e-t-n)}:{offset:0,scale:1}}}]),i}(vO);function GO(t){if("horizontal"!=t&&"vertical"!=t)throw new TypeError('Unknown direction "'.concat(t,'". Choose "horizontal" or "vertical".'))}var WO={exports:{}},VO=z.setInterval;!function(t){t.exports=VO}(WO);var UO,XO=n(WO.exports),qO=null;UO="undefined"!=typeof window?function t(e,i){var n=i||{preventDefault:!1};if(e.Manager){var r=e,o=function(e,i){var o=Object.create(n);return i&&r.assign(o,i),t(new r(e,o),o)};return r.assign(o,r),o.Manager=function(e,i){var o=Object.create(n);return i&&r.assign(o,i),t(new r.Manager(e,o),o)},o}var s=Object.create(e),a=e.element;function l(t){return t.match(/[^ ]+/g)}function h(t){if("hammer.input"!==t.type){if(t.srcEvent._handled||(t.srcEvent._handled={}),t.srcEvent._handled[t.type])return;t.srcEvent._handled[t.type]=!0}var e=!1;t.stopPropagation=function(){e=!0};var i=t.srcEvent.stopPropagation.bind(t.srcEvent);"function"==typeof i&&(t.srcEvent.stopPropagation=function(){i(),t.stopPropagation()}),t.firstTarget=qO;for(var n=qO;n&&!e;){var r=n.hammer;if(r)for(var o,s=0;s<r.length;s++)if(o=r[s]._handlers[t.type])for(var a=0;a<o.length&&!e;a++)o[a](t);n=n.parentNode}}return a.hammer||(a.hammer=[]),a.hammer.push(s),e.on("hammer.input",(function(t){!0!==n.preventDefault&&n.preventDefault!==t.pointerType||t.preventDefault(),t.isFirst&&(qO=t.target)})),s._handlers={},s.on=function(t,i){return l(t).forEach((function(t){var n=s._handlers[t];n||(s._handlers[t]=n=[],e.on(t,h)),n.push(i)})),s},s.off=function(t,i){return l(t).forEach((function(t){var n=s._handlers[t];n&&((n=i?n.filter((function(t){return t!==i})):[]).length>0?s._handlers[t]=n:(e.off(t,h),delete s._handlers[t]))})),s},s.emit=function(t,i){qO=i.target,e.emit(t,i)},s.destroy=function(){var t=e.element.hammer,i=t.indexOf(s);-1!==i&&t.splice(i,1),t.length||delete e.element.hammer,s._handlers={},e.destroy()},s}(window.Hammer||sy,{preventDefault:"mouse"}):function(){return function(){var t=function(){};return{on:t,off:t,destroy:t,emit:t,get:function(e){return{set:t}}}}()};var $O=UO;function KO(t,e){e.inputHandler=function(t){t.isFirst&&e(t)},t.on("hammer.input",e.inputHandler)}var ZO=function(){function t(e,i,n,r,o){su(this,t),this.moment=o&&o.moment||VM,this.options=o||{},this.current=this.moment(),this._start=this.moment(),this._end=this.moment(),this.autoScale=!0,this.scale="day",this.step=1,this.setRange(e,i,n),this.switchedDay=!1,this.switchedMonth=!1,this.switchedYear=!1,zc(r)?this.hiddenDates=r:this.hiddenDates=null!=r?[r]:[],this.format=t.FORMAT}return cu(t,[{key:"setMoment",value:function(t){this.moment=t,this.current=this.moment(this.current.valueOf()),this._start=this.moment(this._start.valueOf()),this._end=this.moment(this._end.valueOf())}},{key:"setFormat",value:function(e){var i=nO.deepExtend({},t.FORMAT);this.format=nO.deepExtend(i,e)}},{key:"setRange",value:function(t,e,i){if(!(t instanceof Date&&e instanceof Date))throw"No legal start or end date in method setRange";this._start=null!=t?this.moment(t.valueOf()):ld(),this._end=null!=e?this.moment(e.valueOf()):ld(),this.autoScale&&this.setMinimumStep(i)}},{key:"start",value:function(){this.current=this._start.clone(),this.roundToMinor()}},{key:"roundToMinor",value:function(){switch("week"==this.scale&&this.current.weekday(0),this.scale){case"year":this.current.year(this.step*Math.floor(this.current.year()/this.step)),this.current.month(0);case"month":this.current.date(1);case"week":case"day":case"weekday":this.current.hours(0);case"hour":this.current.minutes(0);case"minute":this.current.seconds(0);case"second":this.current.milliseconds(0)}if(1!=this.step){var t=this.current.clone();switch(this.scale){case"millisecond":this.current.subtract(this.current.milliseconds()%this.step,"milliseconds");break;case"second":this.current.subtract(this.current.seconds()%this.step,"seconds");break;case"minute":this.current.subtract(this.current.minutes()%this.step,"minutes");break;case"hour":this.current.subtract(this.current.hours()%this.step,"hours");break;case"weekday":case"day":this.current.subtract((this.current.date()-1)%this.step,"day");break;case"week":this.current.subtract(this.current.week()%this.step,"week");break;case"month":this.current.subtract(this.current.month()%this.step,"month");break;case"year":this.current.subtract(this.current.year()%this.step,"year")}t.isSame(this.current)||(this.current=this.moment(YO(this.hiddenDates,this.current.valueOf(),-1,!0)))}}},{key:"hasNext",value:function(){return this.current.valueOf()<=this._end.valueOf()}},{key:"next",value:function(){var t=this.current.valueOf();switch(this.scale){case"millisecond":this.current.add(this.step,"millisecond");break;case"second":this.current.add(this.step,"second");break;case"minute":this.current.add(this.step,"minute");break;case"hour":this.current.add(this.step,"hour"),this.current.month()<6?this.current.subtract(this.current.hours()%this.step,"hour"):this.current.hours()%this.step!=0&&this.current.add(this.step-this.current.hours()%this.step,"hour");break;case"weekday":case"day":this.current.add(this.step,"day");break;case"week":if(0!==this.current.weekday())this.current.weekday(0),this.current.add(this.step,"week");else if(!1===this.options.showMajorLabels)this.current.add(this.step,"week");else{var e=this.current.clone();e.add(1,"week"),e.isSame(this.current,"month")?this.current.add(this.step,"week"):(this.current.add(this.step,"week"),this.current.date(1))}break;case"month":this.current.add(this.step,"month");break;case"year":this.current.add(this.step,"year")}if(1!=this.step)switch(this.scale){case"millisecond":this.current.milliseconds()>0&&this.current.milliseconds()<this.step&&this.current.milliseconds(0);break;case"second":this.current.seconds()>0&&this.current.seconds()<this.step&&this.current.seconds(0);break;case"minute":this.current.minutes()>0&&this.current.minutes()<this.step&&this.current.minutes(0);break;case"hour":this.current.hours()>0&&this.current.hours()<this.step&&this.current.hours(0);break;case"weekday":case"day":this.current.date()<this.step+1&&this.current.date(1);break;case"week":this.current.week()<this.step&&this.current.week(1);break;case"month":this.current.month()<this.step&&this.current.month(0)}this.current.valueOf()==t&&(this.current=this._end.clone()),this.switchedDay=!1,this.switchedMonth=!1,this.switchedYear=!1,EO(this.moment,this,t)}},{key:"getCurrent",value:function(){return this.current.clone()}},{key:"setScale",value:function(t){t&&"string"==typeof t.scale&&(this.scale=t.scale,this.step=t.step>0?t.step:1,this.autoScale=!1)}},{key:"setAutoScale",value:function(t){this.autoScale=t}},{key:"setMinimumStep",value:function(t){if(null!=t){var e=31104e6;1e3*e>t&&(this.scale="year",this.step=1e3),500*e>t&&(this.scale="year",this.step=500),100*e>t&&(this.scale="year",this.step=100),50*e>t&&(this.scale="year",this.step=50),10*e>t&&(this.scale="year",this.step=10),5*e>t&&(this.scale="year",this.step=5),e>t&&(this.scale="year",this.step=1),7776e6>t&&(this.scale="month",this.step=3),2592e6>t&&(this.scale="month",this.step=1),6048e5>t&&this.options.showWeekScale&&(this.scale="week",this.step=1),1728e5>t&&(this.scale="day",this.step=2),864e5>t&&(this.scale="day",this.step=1),432e5>t&&(this.scale="weekday",this.step=1),144e5>t&&(this.scale="hour",this.step=4),36e5>t&&(this.scale="hour",this.step=1),9e5>t&&(this.scale="minute",this.step=15),6e5>t&&(this.scale="minute",this.step=10),3e5>t&&(this.scale="minute",this.step=5),6e4>t&&(this.scale="minute",this.step=1),15e3>t&&(this.scale="second",this.step=15),1e4>t&&(this.scale="second",this.step=10),5e3>t&&(this.scale="second",this.step=5),1e3>t&&(this.scale="second",this.step=1),200>t&&(this.scale="millisecond",this.step=200),100>t&&(this.scale="millisecond",this.step=100),50>t&&(this.scale="millisecond",this.step=50),10>t&&(this.scale="millisecond",this.step=10),5>t&&(this.scale="millisecond",this.step=5),1>t&&(this.scale="millisecond",this.step=1)}}},{key:"isMajor",value:function(){if(1==this.switchedYear)switch(this.scale){case"year":case"month":case"week":case"weekday":case"day":case"hour":case"minute":case"second":case"millisecond":return!0;default:return!1}else if(1==this.switchedMonth)switch(this.scale){case"week":case"weekday":case"day":case"hour":case"minute":case"second":case"millisecond":return!0;default:return!1}else if(1==this.switchedDay)switch(this.scale){case"millisecond":case"second":case"minute":case"hour":return!0;default:return!1}var t=this.moment(this.current);switch(this.scale){case"millisecond":return 0==t.milliseconds();case"second":return 0==t.seconds();case"minute":return 0==t.hours()&&0==t.minutes();case"hour":return 0==t.hours();case"weekday":case"day":return this.options.showWeekScale?1==t.isoWeekday():1==t.date();case"week":return 1==t.date();case"month":return 0==t.month();default:return!1}}},{key:"getLabelMinor",value:function(t){if(null==t&&(t=this.current),t instanceof Date&&(t=this.moment(t)),"function"==typeof this.format.minorLabels)return this.format.minorLabels(t,this.scale,this.step);var e=this.format.minorLabels[this.scale];return"week"===this.scale&&1===t.date()&&0!==t.weekday()?"":e&&e.length>0?this.moment(t).format(e):""}},{key:"getLabelMajor",value:function(t){if(null==t&&(t=this.current),t instanceof Date&&(t=this.moment(t)),"function"==typeof this.format.majorLabels)return this.format.majorLabels(t,this.scale,this.step);var e=this.format.majorLabels[this.scale];return e&&e.length>0?this.moment(t).format(e):""}},{key:"getClassName",value:function(){var t,e=this.moment,i=this.moment(this.current),n=i.locale?i.locale("en"):i.lang("en"),r=this.step,o=[];function s(t){return t/r%2==0?" vis-even":" vis-odd"}function a(t){return t.isSame(ld(),"day")?" vis-today":t.isSame(e().add(1,"day"),"day")?" vis-tomorrow":t.isSame(e().add(-1,"day"),"day")?" vis-yesterday":""}function l(t){return t.isSame(ld(),"week")?" vis-current-week":""}function h(t){return t.isSame(ld(),"month")?" vis-current-month":""}switch(this.scale){case"millisecond":o.push(a(n)),o.push(s(n.milliseconds()));break;case"second":o.push(a(n)),o.push(s(n.seconds()));break;case"minute":o.push(a(n)),o.push(s(n.minutes()));break;case"hour":o.push(Nc(t="vis-h".concat(n.hours())).call(t,4==this.step?"-h"+(n.hours()+4):"")),o.push(a(n)),o.push(s(n.hours()));break;case"weekday":o.push("vis-".concat(n.format("dddd").toLowerCase())),o.push(a(n)),o.push(l(n)),o.push(s(n.date()));break;case"day":o.push("vis-day".concat(n.date())),o.push("vis-".concat(n.format("MMMM").toLowerCase())),o.push(a(n)),o.push(h(n)),o.push(this.step<=2?a(n):""),o.push(this.step<=2?"vis-".concat(n.format("dddd").toLowerCase()):""),o.push(s(n.date()-1));break;case"week":o.push("vis-week".concat(n.format("w"))),o.push(l(n)),o.push(s(n.week()));break;case"month":o.push("vis-".concat(n.format("MMMM").toLowerCase())),o.push(h(n)),o.push(s(n.month()));break;case"year":o.push("vis-year".concat(n.year())),o.push(function(t){return t.isSame(ld(),"year")?" vis-current-year":""}(n)),o.push(s(n.year()))}return yf(o).call(o,String).join(" ")}}],[{key:"snap",value:function(t,e,i){var n=VM(t);if("year"==e){var r=n.year()+Math.round(n.month()/12);n.year(Math.round(r/i)*i),n.month(0),n.date(0),n.hours(0),n.minutes(0),n.seconds(0),n.milliseconds(0)}else if("month"==e)n.date()>15?(n.date(1),n.add(1,"month")):n.date(1),n.hours(0),n.minutes(0),n.seconds(0),n.milliseconds(0);else if("week"==e)n.weekday()>2?(n.weekday(0),n.add(1,"week")):n.weekday(0),n.hours(0),n.minutes(0),n.seconds(0),n.milliseconds(0);else if("day"==e){switch(i){case 5:case 2:n.hours(24*Math.round(n.hours()/24));break;default:n.hours(12*Math.round(n.hours()/12))}n.minutes(0),n.seconds(0),n.milliseconds(0)}else if("weekday"==e){switch(i){case 5:case 2:n.hours(12*Math.round(n.hours()/12));break;default:n.hours(6*Math.round(n.hours()/6))}n.minutes(0),n.seconds(0),n.milliseconds(0)}else if("hour"==e){if(4===i)n.minutes(60*Math.round(n.minutes()/60));else n.minutes(30*Math.round(n.minutes()/30));n.seconds(0),n.milliseconds(0)}else if("minute"==e){switch(i){case 15:case 10:n.minutes(5*Math.round(n.minutes()/5)),n.seconds(0);break;case 5:n.seconds(60*Math.round(n.seconds()/60));break;default:n.seconds(30*Math.round(n.seconds()/30))}n.milliseconds(0)}else if("second"==e)switch(i){case 15:case 10:n.seconds(5*Math.round(n.seconds()/5)),n.milliseconds(0);break;case 5:n.milliseconds(1e3*Math.round(n.milliseconds()/1e3));break;default:n.milliseconds(500*Math.round(n.milliseconds()/500))}else if("millisecond"==e){var o=i>5?i/2:1;n.milliseconds(Math.round(n.milliseconds()/o)*o)}return n}}]),t}();function JO(t,e){void 0===e&&(e={});var i=e.insertAt;if(t&&"undefined"!=typeof document){var n=document.head||document.getElementsByTagName("head")[0],r=document.createElement("style");r.type="text/css","top"===i&&n.firstChild?n.insertBefore(r,n.firstChild):n.appendChild(r),r.styleSheet?r.styleSheet.cssText=t:r.appendChild(document.createTextNode(t))}}ZO.FORMAT={minorLabels:{millisecond:"SSS",second:"s",minute:"HH:mm",hour:"HH:mm",weekday:"ddd D",day:"D",week:"w",month:"MMM",year:"YYYY"},majorLabels:{millisecond:"HH:mm:ss",second:"D MMMM HH:mm",minute:"ddd D MMMM",hour:"ddd D MMMM",weekday:"MMMM YYYY",day:"MMMM YYYY",week:"MMMM YYYY",month:"YYYY",year:""}},JO(".vis-time-axis{overflow:hidden;position:relative}.vis-time-axis.vis-foreground{left:0;top:0;width:100%}.vis-time-axis.vis-background{height:100%;left:0;position:absolute;top:0;width:100%}.vis-time-axis .vis-text{box-sizing:border-box;color:#4d4d4d;overflow:hidden;padding:3px;position:absolute;white-space:nowrap}.vis-time-axis .vis-text.vis-measure{margin-left:0;margin-right:0;padding-left:0;padding-right:0;position:absolute;visibility:hidden}.vis-time-axis .vis-grid.vis-vertical{border-left:1px solid;position:absolute}.vis-time-axis .vis-grid.vis-vertical-rtl{border-right:1px solid;position:absolute}.vis-time-axis .vis-grid.vis-minor{border-color:#e5e5e5}.vis-time-axis .vis-grid.vis-major{border-color:#bfbfbf}");var QO=function(t){Kb(i,t);var e=function(t){var e=function(){if("undefined"==typeof Reflect||!jb)return!1;if(jb.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(jb(Boolean,[],(function(){}))),!0}catch(t){return!1}}();return function(){var i,n=e_(t);if(e){var r=e_(this).constructor;i=jb(n,arguments,r)}else i=n.apply(this,arguments);return Zb(this,i)}}(i);function i(t,n){var r;return su(this,i),(r=e.call(this)).dom={foreground:null,lines:[],majorTexts:[],minorTexts:[],redundant:{lines:[],majorTexts:[],minorTexts:[]}},r.props={range:{start:0,end:0,minimumStep:0},lineTop:0},r.defaultOptions={orientation:{axis:"bottom"},showMinorLabels:!0,showMajorLabels:!0,showWeekScale:!1,maxMinorChars:7,format:nO.extend({},ZO.FORMAT),moment:VM,timeAxis:null},r.options=nO.extend({},r.defaultOptions),r.body=t,r._create(),r.setOptions(n),r}return cu(i,[{key:"setOptions",value:function(t){t&&(nO.selectiveExtend(["showMinorLabels","showMajorLabels","showWeekScale","maxMinorChars","hiddenDates","timeAxis","moment","rtl"],this.options,t),nO.selectiveDeepExtend(["format"],this.options,t),"orientation"in t&&("string"==typeof t.orientation?this.options.orientation.axis=t.orientation:"object"===Dc(t.orientation)&&"axis"in t.orientation&&(this.options.orientation.axis=t.orientation.axis)),"locale"in t&&("function"==typeof VM.locale?VM.locale(t.locale):VM.lang(t.locale)))}},{key:"_create",value:function(){this.dom.foreground=document.createElement("div"),this.dom.background=document.createElement("div"),this.dom.foreground.className="vis-time-axis vis-foreground",this.dom.background.className="vis-time-axis vis-background"}},{key:"destroy",value:function(){this.dom.foreground.parentNode&&this.dom.foreground.parentNode.removeChild(this.dom.foreground),this.dom.background.parentNode&&this.dom.background.parentNode.removeChild(this.dom.background),this.body=null}},{key:"redraw",value:function(){var t=this.props,e=this.dom.foreground,i=this.dom.background,n="top"==this.options.orientation.axis?this.body.dom.top:this.body.dom.bottom,r=e.parentNode!==n;this._calculateCharSize();var o=this.options.showMinorLabels&&"none"!==this.options.orientation.axis,s=this.options.showMajorLabels&&"none"!==this.options.orientation.axis;t.minorLabelHeight=o?t.minorCharHeight:0,t.majorLabelHeight=s?t.majorCharHeight:0,t.height=t.minorLabelHeight+t.majorLabelHeight,t.width=e.offsetWidth,t.minorLineHeight=this.body.domProps.root.height-t.majorLabelHeight-("top"==this.options.orientation.axis?this.body.domProps.bottom.height:this.body.domProps.top.height),t.minorLineWidth=1,t.majorLineHeight=t.minorLineHeight+t.majorLabelHeight,t.majorLineWidth=1;var a=e.nextSibling,l=i.nextSibling;return e.parentNode&&e.parentNode.removeChild(e),i.parentNode&&i.parentNode.removeChild(i),e.style.height="".concat(this.props.height,"px"),this._repaintLabels(),a?n.insertBefore(e,a):n.appendChild(e),l?this.body.dom.backgroundVertical.insertBefore(i,l):this.body.dom.backgroundVertical.appendChild(i),this._isResized()||r}},{key:"_repaintLabels",value:function(){var t=this.options.orientation.axis,e=nO.convert(this.body.range.start,"Number"),i=nO.convert(this.body.range.end,"Number"),n=this.body.util.toTime((this.props.minorCharWidth||10)*this.options.maxMinorChars).valueOf(),r=n-FO(this.options.moment,this.body.hiddenDates,this.body.range,n);r-=this.body.util.toTime(0).valueOf();var o=new ZO(new Date(e),new Date(i),r,this.body.hiddenDates,this.options);o.setMoment(this.options.moment),this.options.format&&o.setFormat(this.options.format),this.options.timeAxis&&o.setScale(this.options.timeAxis),this.step=o;var s,a,l,h,u,c,d=this.dom;d.redundant.lines=d.lines,d.redundant.majorTexts=d.majorTexts,d.redundant.minorTexts=d.minorTexts,d.lines=[],d.majorTexts=[],d.minorTexts=[];var p,f,m,v=0,g=void 0,y=0,b=1e3;for(o.start(),a=o.getCurrent(),h=this.body.util.toScreen(a);o.hasNext()&&y<b;){if("week"===(y++,u=o.isMajor(),m=o.getClassName(),s=a,l=h,o.next(),a=o.getCurrent(),p=v,v=(h=this.body.util.toScreen(a))-l,o.scale))c=!0;else c=v>=.4*p;if(this.options.showMinorLabels&&c){var _=this._repaintMinorText(l,o.getLabelMinor(s),t,m);_.style.width="".concat(v,"px")}u&&this.options.showMajorLabels?(l>0&&(null==g&&(g=l),_=this._repaintMajorText(l,o.getLabelMajor(s),t,m)),f=this._repaintMajorLine(l,v,t,m)):c?f=this._repaintMinorLine(l,v,t,m):f&&(f.style.width="".concat(Qf(f.style.width)+v,"px"))}if(y!==b||tP||(console.warn("Something is wrong with the Timeline scale. Limited drawing of grid lines to ".concat(b," lines.")),tP=!0),this.options.showMajorLabels){var w=this.body.util.toTime(0),k=o.getLabelMajor(w),x=k.length*(this.props.majorCharWidth||10)+10;(null==g||x<g)&&this._repaintMajorText(0,k,t,m)}zd(nO).call(nO,this.dom.redundant,(function(t){for(;t.length;){var e=t.pop();e&&e.parentNode&&e.parentNode.removeChild(e)}}))}},{key:"_repaintMinorText",value:function(t,e,i,n){var r=this.dom.redundant.minorTexts.shift();if(!r){var o=document.createTextNode("");(r=document.createElement("div")).appendChild(o),this.dom.foreground.appendChild(r)}this.dom.minorTexts.push(r),r.innerHTML=nO.xss(e);var s="top"==i?this.props.majorLabelHeight:0;return this._setXY(r,t,s),r.className="vis-text vis-minor ".concat(n),r}},{key:"_repaintMajorText",value:function(t,e,i,n){var r=this.dom.redundant.majorTexts.shift();if(!r){var o=document.createElement("div");(r=document.createElement("div")).appendChild(o),this.dom.foreground.appendChild(r)}r.childNodes[0].innerHTML=nO.xss(e),r.className="vis-text vis-major ".concat(n);var s="top"==i?0:this.props.minorLabelHeight;return this._setXY(r,t,s),this.dom.majorTexts.push(r),r}},{key:"_setXY",value:function(t,e,i){var n,r=this.options.rtl?-1*e:e;t.style.transform=Nc(n="translate(".concat(r,"px, ")).call(n,i,"px)")}},{key:"_repaintMinorLine",value:function(t,e,i,n){var r,o=this.dom.redundant.lines.shift();o||(o=document.createElement("div"),this.dom.background.appendChild(o)),this.dom.lines.push(o);var s=this.props;o.style.width="".concat(e,"px"),o.style.height="".concat(s.minorLineHeight,"px");var a="top"==i?s.majorLabelHeight:this.body.domProps.top.height,l=t-s.minorLineWidth/2;return this._setXY(o,l,a),o.className=Nc(r="vis-grid ".concat(this.options.rtl?"vis-vertical-rtl":"vis-vertical"," vis-minor ")).call(r,n),o}},{key:"_repaintMajorLine",value:function(t,e,i,n){var r,o=this.dom.redundant.lines.shift();o||(o=document.createElement("div"),this.dom.background.appendChild(o)),this.dom.lines.push(o);var s=this.props;o.style.width="".concat(e,"px"),o.style.height="".concat(s.majorLineHeight,"px");var a="top"==i?0:this.body.domProps.top.height,l=t-s.majorLineWidth/2;return this._setXY(o,l,a),o.className=Nc(r="vis-grid ".concat(this.options.rtl?"vis-vertical-rtl":"vis-vertical"," vis-major ")).call(r,n),o}},{key:"_calculateCharSize",value:function(){this.dom.measureCharMinor||(this.dom.measureCharMinor=document.createElement("DIV"),this.dom.measureCharMinor.className="vis-text vis-minor vis-measure",this.dom.measureCharMinor.style.position="absolute",this.dom.measureCharMinor.appendChild(document.createTextNode("0")),this.dom.foreground.appendChild(this.dom.measureCharMinor)),this.props.minorCharHeight=this.dom.measureCharMinor.clientHeight,this.props.minorCharWidth=this.dom.measureCharMinor.clientWidth,this.dom.measureCharMajor||(this.dom.measureCharMajor=document.createElement("DIV"),this.dom.measureCharMajor.className="vis-text vis-major vis-measure",this.dom.measureCharMajor.style.position="absolute",this.dom.measureCharMajor.appendChild(document.createTextNode("0")),this.dom.foreground.appendChild(this.dom.measureCharMajor)),this.props.majorCharHeight=this.dom.measureCharMajor.clientHeight,this.props.majorCharWidth=this.dom.measureCharMajor.clientWidth}}]),i}(vO),tP=!1;function eP(t){var e,i=t&&t.preventDefault||!1,n=t&&t.container||window,r={},o={keydown:{},keyup:{}},s={};for(e=97;e<=122;e++)s[String.fromCharCode(e)]={code:e-97+65,shift:!1};for(e=65;e<=90;e++)s[String.fromCharCode(e)]={code:e,shift:!0};for(e=0;e<=9;e++)s[""+e]={code:48+e,shift:!1};for(e=1;e<=12;e++)s["F"+e]={code:111+e,shift:!1};for(e=0;e<=9;e++)s["num"+e]={code:96+e,shift:!1};s["num*"]={code:106,shift:!1},s["num+"]={code:107,shift:!1},s["num-"]={code:109,shift:!1},s["num/"]={code:111,shift:!1},s["num."]={code:110,shift:!1},s.left={code:37,shift:!1},s.up={code:38,shift:!1},s.right={code:39,shift:!1},s.down={code:40,shift:!1},s.space={code:32,shift:!1},s.enter={code:13,shift:!1},s.shift={code:16,shift:void 0},s.esc={code:27,shift:!1},s.backspace={code:8,shift:!1},s.tab={code:9,shift:!1},s.ctrl={code:17,shift:!1},s.alt={code:18,shift:!1},s.delete={code:46,shift:!1},s.pageup={code:33,shift:!1},s.pagedown={code:34,shift:!1},s["="]={code:187,shift:!1},s["-"]={code:189,shift:!1},s["]"]={code:221,shift:!1},s["["]={code:219,shift:!1};var a=function(t){h(t,"keydown")},l=function(t){h(t,"keyup")},h=function(t,e){if(void 0!==o[e][t.keyCode]){for(var n=o[e][t.keyCode],r=0;r<n.length;r++)(void 0===n[r].shift||1==n[r].shift&&1==t.shiftKey||0==n[r].shift&&0==t.shiftKey)&&n[r].fn(t);1==i&&t.preventDefault()}};return r.bind=function(t,e,i){if(void 0===i&&(i="keydown"),void 0===s[t])throw new Error("unsupported key: "+t);void 0===o[i][s[t].code]&&(o[i][s[t].code]=[]),o[i][s[t].code].push({fn:e,shift:s[t].shift})},r.bindAll=function(t,e){for(var i in void 0===e&&(e="keydown"),s)s.hasOwnProperty(i)&&r.bind(i,t,e)},r.getKey=function(t){for(var e in s)if(s.hasOwnProperty(e)){if(1==t.shiftKey&&1==s[e].shift&&t.keyCode==s[e].code)return e;if(0==t.shiftKey&&0==s[e].shift&&t.keyCode==s[e].code)return e;if(t.keyCode==s[e].code&&"shift"==e)return e}return"unknown key, currently not supported"},r.unbind=function(t,e,i){if(void 0===i&&(i="keydown"),void 0===s[t])throw new Error("unsupported key: "+t);if(void 0!==e){var n=[],r=o[i][s[t].code];if(void 0!==r)for(var a=0;a<r.length;a++)r[a].fn==e&&r[a].shift==s[t].shift||n.push(o[i][s[t].code][a]);o[i][s[t].code]=n}else o[i][s[t].code]=[]},r.reset=function(){o={keydown:{},keyup:{}}},r.destroy=function(){o={keydown:{},keyup:{}},n.removeEventListener("keydown",a,!0),n.removeEventListener("keyup",l,!0)},n.addEventListener("keydown",a,!0),n.addEventListener("keyup",l,!0),r}function iP(t){var e,i;this.active=!1,this.dom={container:t},this.dom.overlay=document.createElement("div"),this.dom.overlay.className="vis-overlay",this.dom.container.appendChild(this.dom.overlay),this.hammer=$O(this.dom.overlay),this.hammer.on("tap",Td(e=this._onTapOverlay).call(e,this));var n=this,r=["tap","doubletap","press","pinch","pan","panstart","panmove","panend"];zd(r).call(r,(function(t){n.hammer.on(t,(function(t){t.stopPropagation()}))})),document&&document.body&&(this.onClick=function(e){(function(t,e){for(;t;){if(t===e)return!0;t=t.parentNode}return!1})(e.target,t)||n.deactivate()},document.body.addEventListener("click",this.onClick)),void 0!==this.keycharm&&this.keycharm.destroy(),this.keycharm=eP(),this.escListener=Td(i=this.deactivate).call(i,this)}JO(".vis .overlay{height:100%;left:0;position:absolute;top:0;width:100%;z-index:10}.vis-active{box-shadow:0 0 10px #86d5f8}"),wv(iP.prototype),iP.current=null,iP.prototype.destroy=function(){this.deactivate(),this.dom.overlay.parentNode.removeChild(this.dom.overlay),this.onClick&&document.body.removeEventListener("click",this.onClick),void 0!==this.keycharm&&this.keycharm.destroy(),this.keycharm=null,this.hammer.destroy(),this.hammer=null},iP.prototype.activate=function(){var t;iP.current&&iP.current.deactivate(),iP.current=this,this.active=!0,this.dom.overlay.style.display="none",nO.addClassName(this.dom.container,"vis-active"),this.emit("change"),this.emit("activate"),Td(t=this.keycharm).call(t,"esc",this.escListener)},iP.prototype.deactivate=function(){iP.current===this&&(iP.current=null),this.active=!1,this.dom.overlay.style.display="",nO.removeClassName(this.dom.container,"vis-active"),this.keycharm.unbind("esc",this.escListener),this.emit("change"),this.emit("deactivate")},iP.prototype._onTapOverlay=function(t){this.activate(),t.stopPropagation()};var nP={current:"current",time:"time",deleteSelected:"Delete selected"},rP={current:"attuale",time:"tempo",deleteSelected:"Cancella la selezione"},oP={current:"huidige",time:"tijd",deleteSelected:"Selectie verwijderen"},sP={current:"Aktuelle",time:"Zeit",deleteSelected:"Lösche Auswahl"},aP={current:"actuel",time:"heure",deleteSelected:"Effacer la selection"},lP={current:"corriente",time:"hora",deleteSelected:"Eliminar selección"},hP={current:"поточний",time:"час",deleteSelected:"Видалити обране"},uP={current:"текущее",time:"время",deleteSelected:"Удалить выбранное"},cP={current:"aktualny",time:"czas",deleteSelected:"Usuń wybrane"},dP={current:"atual",time:"data",deleteSelected:"Apagar selecionado"},pP={current:"現在",time:"時刻",deleteSelected:"選択されたものを削除"},fP={current:"nuvarande",time:"tid",deleteSelected:"Radera valda"},mP={current:"nåværende",time:"tid",deleteSelected:"Slett valgte"},vP={current:"einamas",time:"laikas",deleteSelected:"Pašalinti pasirinktą"},gP={en:nP,en_EN:nP,en_US:nP,it:rP,it_IT:rP,it_CH:rP,nl:oP,nl_NL:oP,nl_BE:oP,de:sP,de_DE:sP,fr:aP,fr_FR:aP,fr_CA:aP,fr_BE:aP,es:lP,es_ES:lP,uk:hP,uk_UA:hP,ru:uP,ru_RU:uP,pl:cP,pl_PL:cP,pt:dP,pt_BR:dP,pt_PT:dP,ja:pP,ja_JP:pP,lt:vP,lt_LT:vP,sv:fP,sv_SE:fP,nb:mP,nn:mP,nb_NO:mP,nn_NO:mP};JO(".vis-custom-time{background-color:#6e94ff;cursor:move;width:2px;z-index:1}.vis-custom-time>.vis-custom-time-marker{background-color:inherit;color:#fff;cursor:auto;font-size:12px;padding:3px 5px;top:0;white-space:nowrap;z-index:inherit}");var yP=function(t){Kb(i,t);var e=function(t){var e=function(){if("undefined"==typeof Reflect||!jb)return!1;if(jb.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(jb(Boolean,[],(function(){}))),!0}catch(t){return!1}}();return function(){var i,n=e_(t);if(e){var r=e_(this).constructor;i=jb(n,arguments,r)}else i=n.apply(this,arguments);return Zb(this,i)}}(i);function i(t,n){var r,o;su(this,i),(o=e.call(this)).body=t,o.defaultOptions={moment:VM,locales:gP,locale:"en",id:void 0,title:void 0},o.options=nO.extend({},o.defaultOptions),o.setOptions(n),o.options.locales=nO.extend({},gP,o.options.locales);var s=o.defaultOptions.locales[o.defaultOptions.locale];return zd(r=ed(o.options.locales)).call(r,(function(t){o.options.locales[t]=nO.extend({},s,o.options.locales[t])})),n&&null!=n.time?o.customTime=n.time:o.customTime=new Date,o.eventParams={},o._create(),o}return cu(i,[{key:"setOptions",value:function(t){t&&nO.selectiveExtend(["moment","locale","locales","id","title","rtl","snap"],this.options,t)}},{key:"_create",value:function(){var t,e,i,n=document.createElement("div");n["custom-time"]=this,n.className="vis-custom-time ".concat(this.options.id||""),n.style.position="absolute",n.style.top="0px",n.style.height="100%",this.bar=n;var r=document.createElement("div");function o(t){this.body.range._onMouseWheel(t)}r.style.position="relative",r.style.top="0px",this.options.rtl?r.style.right="-10px":r.style.left="-10px",r.style.height="100%",r.style.width="20px",r.addEventListener?(r.addEventListener("mousewheel",Td(o).call(o,this),!1),r.addEventListener("DOMMouseScroll",Td(o).call(o,this),!1)):r.attachEvent("onmousewheel",Td(o).call(o,this)),n.appendChild(r),this.hammer=new $O(r),this.hammer.on("panstart",Td(t=this._onDragStart).call(t,this)),this.hammer.on("panmove",Td(e=this._onDrag).call(e,this)),this.hammer.on("panend",Td(i=this._onDragEnd).call(i,this)),this.hammer.get("pan").set({threshold:5,direction:$O.DIRECTION_ALL}),this.hammer.get("press").set({time:1e4})}},{key:"destroy",value:function(){this.hide(),this.hammer.destroy(),this.hammer=null,this.body=null}},{key:"redraw",value:function(){var t=this.body.dom.backgroundVertical;this.bar.parentNode!=t&&(this.bar.parentNode&&this.bar.parentNode.removeChild(this.bar),t.appendChild(this.bar));var e=this.body.util.toScreen(this.customTime),i=this.options.locales[this.options.locale];i||(this.warned||(console.warn("WARNING: options.locales['".concat(this.options.locale,"'] not found. See https://visjs.github.io/vis-timeline/docs/timeline/#Localization")),this.warned=!0),i=this.options.locales.en);var n,r=this.options.title;return void 0===r?r=(r=Nc(n="".concat(i.time,": ")).call(n,this.options.moment(this.customTime).format("dddd, MMMM Do YYYY, H:mm:ss"))).charAt(0).toUpperCase()+r.substring(1):"function"==typeof r&&(r=r.call(this,this.customTime)),this.options.rtl?this.bar.style.right="".concat(e,"px"):this.bar.style.left="".concat(e,"px"),this.bar.title=r,!1}},{key:"hide",value:function(){this.bar.parentNode&&this.bar.parentNode.removeChild(this.bar)}},{key:"setCustomTime",value:function(t){this.customTime=nO.convert(t,"Date"),this.redraw()}},{key:"getCustomTime",value:function(){return new Date(this.customTime.valueOf())}},{key:"setCustomMarker",value:function(t,e){var i,n,r=document.createElement("div");r.className="vis-custom-time-marker",r.innerHTML=nO.xss(t),r.style.position="absolute",e&&(r.setAttribute("contenteditable","true"),r.addEventListener("pointerdown",(function(){r.focus()})),r.addEventListener("input",Td(i=this._onMarkerChange).call(i,this)),r.title=t,r.addEventListener("blur",Td(n=function(t){this.title!=t.target.innerHTML&&(this._onMarkerChanged(t),this.title=t.target.innerHTML)}).call(n,this))),this.bar.appendChild(r)}},{key:"setCustomTitle",value:function(t){this.options.title=t}},{key:"_onDragStart",value:function(t){this.eventParams.dragging=!0,this.eventParams.customTime=this.customTime,t.stopPropagation()}},{key:"_onDrag",value:function(t){if(this.eventParams.dragging){var e=this.options.rtl?-1*t.deltaX:t.deltaX,i=this.body.util.toScreen(this.eventParams.customTime)+e,n=this.body.util.toTime(i),r=this.body.util.getScale(),o=this.body.util.getStep(),s=this.options.snap,a=s?s(n,r,o):n;this.setCustomTime(a),this.body.emitter.emit("timechange",{id:this.options.id,time:new Date(this.customTime.valueOf()),event:t}),t.stopPropagation()}}},{key:"_onDragEnd",value:function(t){this.eventParams.dragging&&(this.body.emitter.emit("timechanged",{id:this.options.id,time:new Date(this.customTime.valueOf()),event:t}),t.stopPropagation())}},{key:"_onMarkerChange",value:function(t){this.body.emitter.emit("markerchange",{id:this.options.id,title:t.target.innerHTML,event:t}),t.stopPropagation()}},{key:"_onMarkerChanged",value:function(t){this.body.emitter.emit("markerchanged",{id:this.options.id,title:t.target.innerHTML,event:t}),t.stopPropagation()}}],[{key:"customTimeFromTarget",value:function(t){for(var e=t.target;e;){if(e.hasOwnProperty("custom-time"))return e["custom-time"];e=e.parentNode}return null}}]),i}(vO);JO(""),JO('.vis-current-time{background-color:#ff7f6e;pointer-events:none;width:2px;z-index:1}.vis-rolling-mode-btn{background:#3876c2;border-radius:50%;color:#fff;cursor:pointer;font-size:28px;font-weight:700;height:40px;opacity:.8;position:absolute;right:20px;text-align:center;top:7px;width:40px}.vis-rolling-mode-btn:before{content:"\\26F6"}.vis-rolling-mode-btn:hover{opacity:1}'),JO(".vis-panel{box-sizing:border-box;margin:0;padding:0;position:absolute}.vis-panel.vis-bottom,.vis-panel.vis-center,.vis-panel.vis-left,.vis-panel.vis-right,.vis-panel.vis-top{border:1px #bfbfbf}.vis-panel.vis-center,.vis-panel.vis-left,.vis-panel.vis-right{border-bottom-style:solid;border-top-style:solid;overflow:hidden}.vis-left.vis-panel.vis-vertical-scroll,.vis-right.vis-panel.vis-vertical-scroll{height:100%;overflow-x:hidden;overflow-y:scroll}.vis-left.vis-panel.vis-vertical-scroll{direction:rtl}.vis-left.vis-panel.vis-vertical-scroll .vis-content,.vis-right.vis-panel.vis-vertical-scroll{direction:ltr}.vis-right.vis-panel.vis-vertical-scroll .vis-content{direction:rtl}.vis-panel.vis-bottom,.vis-panel.vis-center,.vis-panel.vis-top{border-left-style:solid;border-right-style:solid}.vis-background{overflow:hidden}.vis-panel>.vis-content{position:relative}.vis-panel .vis-shadow{box-shadow:0 0 10px rgba(0,0,0,.8);height:1px;position:absolute;width:100%}.vis-panel .vis-shadow.vis-top{left:0;top:-1px}.vis-panel .vis-shadow.vis-bottom{bottom:-1px;left:0}"),JO(".vis-graph-group0{fill:#4f81bd;fill-opacity:0;stroke-width:2px;stroke:#4f81bd}.vis-graph-group1{fill:#f79646;fill-opacity:0;stroke-width:2px;stroke:#f79646}.vis-graph-group2{fill:#8c51cf;fill-opacity:0;stroke-width:2px;stroke:#8c51cf}.vis-graph-group3{fill:#75c841;fill-opacity:0;stroke-width:2px;stroke:#75c841}.vis-graph-group4{fill:#ff0100;fill-opacity:0;stroke-width:2px;stroke:#ff0100}.vis-graph-group5{fill:#37d8e6;fill-opacity:0;stroke-width:2px;stroke:#37d8e6}.vis-graph-group6{fill:#042662;fill-opacity:0;stroke-width:2px;stroke:#042662}.vis-graph-group7{fill:#00ff26;fill-opacity:0;stroke-width:2px;stroke:#00ff26}.vis-graph-group8{fill:#f0f;fill-opacity:0;stroke-width:2px;stroke:#f0f}.vis-graph-group9{fill:#8f3938;fill-opacity:0;stroke-width:2px;stroke:#8f3938}.vis-timeline .vis-fill{fill-opacity:.1;stroke:none}.vis-timeline .vis-bar{fill-opacity:.5;stroke-width:1px}.vis-timeline .vis-point{stroke-width:2px;fill-opacity:1}.vis-timeline .vis-legend-background{stroke-width:1px;fill-opacity:.9;fill:#fff;stroke:#c2c2c2}.vis-timeline .vis-outline{stroke-width:1px;fill-opacity:1;fill:#fff;stroke:#e5e5e5}.vis-timeline .vis-icon-fill{fill-opacity:.3;stroke:none}"),JO(".vis-timeline{border:1px solid #bfbfbf;box-sizing:border-box;margin:0;overflow:hidden;padding:0;position:relative}.vis-loading-screen{height:100%;left:0;position:absolute;top:0;width:100%}"),JO(".vis [class*=span]{min-height:0;width:auto}");var bP=function(){function t(){su(this,t)}return cu(t,[{key:"_create",value:function(t){var e,i,n,r=this;this.dom={},this.dom.container=t,this.dom.container.style.position="relative",this.dom.root=document.createElement("div"),this.dom.background=document.createElement("div"),this.dom.backgroundVertical=document.createElement("div"),this.dom.backgroundHorizontal=document.createElement("div"),this.dom.centerContainer=document.createElement("div"),this.dom.leftContainer=document.createElement("div"),this.dom.rightContainer=document.createElement("div"),this.dom.center=document.createElement("div"),this.dom.left=document.createElement("div"),this.dom.right=document.createElement("div"),this.dom.top=document.createElement("div"),this.dom.bottom=document.createElement("div"),this.dom.shadowTop=document.createElement("div"),this.dom.shadowBottom=document.createElement("div"),this.dom.shadowTopLeft=document.createElement("div"),this.dom.shadowBottomLeft=document.createElement("div"),this.dom.shadowTopRight=document.createElement("div"),this.dom.shadowBottomRight=document.createElement("div"),this.dom.rollingModeBtn=document.createElement("div"),this.dom.loadingScreen=document.createElement("div"),this.dom.root.className="vis-timeline",this.dom.background.className="vis-panel vis-background",this.dom.backgroundVertical.className="vis-panel vis-background vis-vertical",this.dom.backgroundHorizontal.className="vis-panel vis-background vis-horizontal",this.dom.centerContainer.className="vis-panel vis-center",this.dom.leftContainer.className="vis-panel vis-left",this.dom.rightContainer.className="vis-panel vis-right",this.dom.top.className="vis-panel vis-top",this.dom.bottom.className="vis-panel vis-bottom",this.dom.left.className="vis-content",this.dom.center.className="vis-content",this.dom.right.className="vis-content",this.dom.shadowTop.className="vis-shadow vis-top",this.dom.shadowBottom.className="vis-shadow vis-bottom",this.dom.shadowTopLeft.className="vis-shadow vis-top",this.dom.shadowBottomLeft.className="vis-shadow vis-bottom",this.dom.shadowTopRight.className="vis-shadow vis-top",this.dom.shadowBottomRight.className="vis-shadow vis-bottom",this.dom.rollingModeBtn.className="vis-rolling-mode-btn",this.dom.loadingScreen.className="vis-loading-screen",this.dom.root.appendChild(this.dom.background),this.dom.root.appendChild(this.dom.backgroundVertical),this.dom.root.appendChild(this.dom.backgroundHorizontal),this.dom.root.appendChild(this.dom.centerContainer),this.dom.root.appendChild(this.dom.leftContainer),this.dom.root.appendChild(this.dom.rightContainer),this.dom.root.appendChild(this.dom.top),this.dom.root.appendChild(this.dom.bottom),this.dom.root.appendChild(this.dom.rollingModeBtn),this.dom.centerContainer.appendChild(this.dom.center),this.dom.leftContainer.appendChild(this.dom.left),this.dom.rightContainer.appendChild(this.dom.right),this.dom.centerContainer.appendChild(this.dom.shadowTop),this.dom.centerContainer.appendChild(this.dom.shadowBottom),this.dom.leftContainer.appendChild(this.dom.shadowTopLeft),this.dom.leftContainer.appendChild(this.dom.shadowBottomLeft),this.dom.rightContainer.appendChild(this.dom.shadowTopRight),this.dom.rightContainer.appendChild(this.dom.shadowBottomRight),this.props={root:{},background:{},centerContainer:{},leftContainer:{},rightContainer:{},center:{},left:{},right:{},top:{},bottom:{},border:{},scrollTop:0,scrollTopMin:0},this.on("rangechange",(function(){!0===r.initialDrawDone&&r._redraw()})),this.on("rangechanged",(function(){r.initialRangeChangeDone||(r.initialRangeChangeDone=!0)})),this.on("touch",Td(e=this._onTouch).call(e,this)),this.on("panmove",Td(i=this._onDrag).call(i,this));var o=this;this._origRedraw=Td(n=this._redraw).call(n,this),this._redraw=nO.throttle(this._origRedraw),this.on("_change",(function(t){o.itemSet&&o.itemSet.initialItemSetDrawn&&t&&1==t.queue?o._redraw():o._origRedraw()})),this.hammer=new $O(this.dom.root);var s=this.hammer.get("pinch").set({enable:!0});s&&function(t){t.getTouchAction=function(){return["pan-y"]}}(s),this.hammer.get("pan").set({threshold:5,direction:$O.DIRECTION_ALL}),this.timelineListeners={};var a,l,h=["tap","doubletap","press","pinch","pan","panstart","panmove","panend"];function u(t){this.isActive()&&this.emit("mousewheel",t);var e=0,i=0;if("detail"in t&&(i=-1*t.detail),"wheelDelta"in t&&(i=t.wheelDelta),"wheelDeltaY"in t&&(i=t.wheelDeltaY),"wheelDeltaX"in t&&(e=-1*t.wheelDeltaX),"axis"in t&&t.axis===t.HORIZONTAL_AXIS&&(e=-1*i,i=0),"deltaY"in t&&(i=-1*t.deltaY),"deltaX"in t&&(e=t.deltaX),t.deltaMode&&(1===t.deltaMode?(e*=40,i*=40):(e*=40,i*=800)),this.options.preferZoom){if(!this.options.zoomKey||t[this.options.zoomKey])return}else if(this.options.zoomKey&&t[this.options.zoomKey])return;if(this.options.verticalScroll||this.options.horizontalScroll)if(this.options.verticalScroll&&Math.abs(i)>=Math.abs(e)){var n=this.props.scrollTop,r=n+i;this.isActive()&&this._setScrollTop(r)!==n&&(this._redraw(),this.emit("scroll",t),t.preventDefault())}else if(this.options.horizontalScroll){var o=(Math.abs(e)>=Math.abs(i)?e:i)/120*(this.range.end-this.range.start)/20,s=this.range.start+o,a=this.range.end+o,l={animation:!1,byUser:!0,event:t};this.range.setRange(s,a,l),t.preventDefault()}}zd(h).call(h,(function(t){var e=function(e){o.isActive()&&o.emit(t,e)};o.hammer.on(t,e),o.timelineListeners[t]=e})),KO(this.hammer,(function(t){o.emit("touch",t)})),a=this.hammer,(l=function(t){o.emit("release",t)}).inputHandler=function(t){t.isFinal&&l(t)},a.on("hammer.input",l.inputHandler);var c="onwheel"in document.createElement("div")?"wheel":void 0!==document.onmousewheel?"mousewheel":this.dom.centerContainer.addEventListener?"DOMMouseScroll":"onmousewheel";function d(t){if(o.options.verticalScroll&&(t.preventDefault(),o.isActive())){var e=-t.target.scrollTop;o._setScrollTop(e),o._redraw(),o.emit("scrollSide",t)}}this.dom.top.addEventListener,this.dom.bottom.addEventListener,this.dom.centerContainer.addEventListener(c,Td(u).call(u,this),!1),this.dom.top.addEventListener(c,Td(u).call(u,this),!1),this.dom.bottom.addEventListener(c,Td(u).call(u,this),!1),this.dom.left.parentNode.addEventListener("scroll",Td(d).call(d,this)),this.dom.right.parentNode.addEventListener("scroll",Td(d).call(d,this));var p=!1;function f(t){var e;if(t.preventDefault&&(o.emit("dragover",o.getEventProperties(t)),t.preventDefault()),dm(e=t.target.className).call(e,"timeline")>-1&&!p)return t.dataTransfer.dropEffect="move",p=!0,!1}function m(t){t.preventDefault&&t.preventDefault(),t.stopPropagation&&t.stopPropagation();try{var e=JSON.parse(t.dataTransfer.getData("text"));if(!e||!e.content)return}catch(t){return!1}return p=!1,t.center={x:t.clientX,y:t.clientY},"item"!==e.target?o.itemSet._onAddItem(t):o.itemSet._onDropObjectOnItem(t),o.emit("drop",o.getEventProperties(t)),!1}if(this.dom.center.addEventListener("dragover",Td(f).call(f,this),!1),this.dom.center.addEventListener("drop",Td(m).call(m,this),!1),this.customTimes=[],this.touch={},this.redrawCount=0,this.initialDrawDone=!1,this.initialRangeChangeDone=!1,!t)throw new Error("No container provided");t.appendChild(this.dom.root),t.appendChild(this.dom.loadingScreen)}},{key:"setOptions",value:function(t){var e;if(t){if(nO.selectiveExtend(["width","height","minHeight","maxHeight","autoResize","start","end","clickToUse","dataAttributes","hiddenDates","locale","locales","moment","preferZoom","rtl","zoomKey","horizontalScroll","verticalScroll","longSelectPressTime","snap"],this.options,t),this.dom.rollingModeBtn.style.visibility="hidden",this.options.rtl&&(this.dom.container.style.direction="rtl",this.dom.backgroundVertical.className="vis-panel vis-background vis-vertical-rtl"),this.options.verticalScroll&&(this.options.rtl?this.dom.rightContainer.className="vis-panel vis-right vis-vertical-scroll":this.dom.leftContainer.className="vis-panel vis-left vis-vertical-scroll"),"object"!==Dc(this.options.orientation)&&(this.options.orientation={item:void 0,axis:void 0}),"orientation"in t&&("string"==typeof t.orientation?this.options.orientation={item:t.orientation,axis:t.orientation}:"object"===Dc(t.orientation)&&("item"in t.orientation&&(this.options.orientation.item=t.orientation.item),"axis"in t.orientation&&(this.options.orientation.axis=t.orientation.axis))),"both"===this.options.orientation.axis){if(!this.timeAxis2){var i=this.timeAxis2=new QO(this.body);i.setOptions=function(t){var e=t?nO.extend({},t):{};e.orientation="top",QO.prototype.setOptions.call(i,e)},this.components.push(i)}}else if(this.timeAxis2){var n,r,o=dm(n=this.components).call(n,this.timeAxis2);-1!==o&&_p(r=this.components).call(r,o,1),this.timeAxis2.destroy(),this.timeAxis2=null}"function"==typeof t.drawPoints&&(t.drawPoints={onRender:t.drawPoints}),"hiddenDates"in this.options&&TO(this.options.moment,this.body,this.options.hiddenDates),"clickToUse"in t&&(t.clickToUse?this.activator||(this.activator=new iP(this.dom.root)):this.activator&&(this.activator.destroy(),delete this.activator)),this._initAutoResize()}if(zd(e=this.components).call(e,(function(e){return e.setOptions(t)})),"configure"in t){var s;this.configurator||(this.configurator=this._createConfigurator()),this.configurator.setOptions(t.configure);var a=nO.deepExtend({},this.options);zd(s=this.components).call(s,(function(t){nO.deepExtend(a,t.options)})),this.configurator.setModuleOptions({global:a})}this._redraw()}},{key:"isActive",value:function(){return!this.activator||this.activator.active}},{key:"destroy",value:function(){var t;for(var e in this.setItems(null),this.setGroups(null),this.off(),this._stopAutoResize(),this.dom.root.parentNode&&this.dom.root.parentNode.removeChild(this.dom.root),this.dom=null,this.activator&&(this.activator.destroy(),delete this.activator),this.timelineListeners)this.timelineListeners.hasOwnProperty(e)&&delete this.timelineListeners[e];this.timelineListeners=null,this.hammer&&this.hammer.destroy(),this.hammer=null,zd(t=this.components).call(t,(function(t){return t.destroy()})),this.body=null}},{key:"setCustomTime",value:function(t,e){var i,n=yf(i=this.customTimes).call(i,(function(t){return e===t.options.id}));if(0===n.length)throw new Error("No custom time bar found with id ".concat($m(e)));n.length>0&&n[0].setCustomTime(t)}},{key:"getCustomTime",value:function(t){var e,i=yf(e=this.customTimes).call(e,(function(e){return e.options.id===t}));if(0===i.length)throw new Error("No custom time bar found with id ".concat($m(t)));return i[0].getCustomTime()}},{key:"setCustomTimeMarker",value:function(t,e,i){var n,r=yf(n=this.customTimes).call(n,(function(t){return t.options.id===e}));if(0===r.length)throw new Error("No custom time bar found with id ".concat($m(e)));r.length>0&&r[0].setCustomMarker(t,i)}},{key:"setCustomTimeTitle",value:function(t,e){var i,n=yf(i=this.customTimes).call(i,(function(t){return t.options.id===e}));if(0===n.length)throw new Error("No custom time bar found with id ".concat($m(e)));if(n.length>0)return n[0].setCustomTitle(t)}},{key:"getEventProperties",value:function(t){return{event:t}}},{key:"addCustomTime",value:function(t,e){var i,n=void 0!==t?nO.convert(t,"Date"):new Date;if(FC(i=this.customTimes).call(i,(function(t){return t.options.id===e})))throw new Error("A custom time with id ".concat($m(e)," already exists"));var r=new yP(this.body,nO.extend({},this.options,{time:n,id:e,snap:this.itemSet?this.itemSet.options.snap:this.options.snap}));return this.customTimes.push(r),this.components.push(r),this._redraw(),e}},{key:"removeCustomTime",value:function(t){var e,i=this,n=yf(e=this.customTimes).call(e,(function(e){return e.options.id===t}));if(0===n.length)throw new Error("No custom time bar found with id ".concat($m(t)));zd(n).call(n,(function(t){var e,n,r,o;_p(e=i.customTimes).call(e,dm(n=i.customTimes).call(n,t),1),_p(r=i.components).call(r,dm(o=i.components).call(o,t),1),t.destroy()}))}},{key:"getVisibleItems",value:function(){return this.itemSet&&this.itemSet.getVisibleItems()||[]}},{key:"getItemsAtCurrentTime",value:function(t){return this.time=t,this.itemSet&&this.itemSet.getItemsAtCurrentTime(this.time)||[]}},{key:"getVisibleGroups",value:function(){return this.itemSet&&this.itemSet.getVisibleGroups()||[]}},{key:"fit",value:function(t,e){var i=this.getDataRange();if(null!==i.min||null!==i.max){var n=i.max-i.min,r=new Date(i.min.valueOf()-.01*n),o=new Date(i.max.valueOf()+.01*n),s=!t||void 0===t.animation||t.animation;this.range.setRange(r,o,{animation:s},e)}}},{key:"getDataRange",value:function(){throw new Error("Cannot invoke abstract method getDataRange")}},{key:"setWindow",value:function(t,e,i,n){var r,o;"function"==typeof arguments[2]&&(n=arguments[2],i={}),1==arguments.length?(r=void 0===(o=arguments[0]).animation||o.animation,this.range.setRange(o.start,o.end,{animation:r})):2==arguments.length&&"function"==typeof arguments[1]?(n=arguments[1],r=void 0===(o=arguments[0]).animation||o.animation,this.range.setRange(o.start,o.end,{animation:r},n)):(r=!i||void 0===i.animation||i.animation,this.range.setRange(t,e,{animation:r},n))}},{key:"moveTo",value:function(t,e,i){"function"==typeof arguments[1]&&(i=arguments[1],e={});var n=this.range.end-this.range.start,r=nO.convert(t,"Date").valueOf(),o=r-n/2,s=r+n/2,a=!e||void 0===e.animation||e.animation;this.range.setRange(o,s,{animation:a},i)}},{key:"getWindow",value:function(){var t=this.range.getRange();return{start:new Date(t.start),end:new Date(t.end)}}},{key:"zoomIn",value:function(t,e,i){if(!(!t||t<0||t>1)){"function"==typeof arguments[1]&&(i=arguments[1],e={});var n=this.getWindow(),r=n.start.valueOf(),o=n.end.valueOf(),s=o-r,a=s/(1+t),l=(s-a)/2,h=r+l,u=o-l;this.setWindow(h,u,e,i)}}},{key:"zoomOut",value:function(t,e,i){if(!(!t||t<0||t>1)){"function"==typeof arguments[1]&&(i=arguments[1],e={});var n=this.getWindow(),r=n.start.valueOf(),o=n.end.valueOf(),s=o-r,a=r-s*t/2,l=o+s*t/2;this.setWindow(a,l,e,i)}}},{key:"redraw",value:function(){this._redraw()}},{key:"_redraw",value:function(){var t;this.redrawCount++;var e=this.dom;if(e&&e.container&&0!=e.root.offsetWidth){var i=!1,n=this.options,r=this.props;OO(this.options.moment,this.body,this.options.hiddenDates),"top"==n.orientation?(nO.addClassName(e.root,"vis-top"),nO.removeClassName(e.root,"vis-bottom")):(nO.removeClassName(e.root,"vis-top"),nO.addClassName(e.root,"vis-bottom")),n.rtl?(nO.addClassName(e.root,"vis-rtl"),nO.removeClassName(e.root,"vis-ltr")):(nO.addClassName(e.root,"vis-ltr"),nO.removeClassName(e.root,"vis-rtl")),e.root.style.maxHeight=nO.option.asSize(n.maxHeight,""),e.root.style.minHeight=nO.option.asSize(n.minHeight,""),e.root.style.width=nO.option.asSize(n.width,"");var o=e.root.offsetWidth;r.border.left=1,r.border.right=1,r.border.top=1,r.border.bottom=1,r.center.height=e.center.offsetHeight,r.left.height=e.left.offsetHeight,r.right.height=e.right.offsetHeight,r.top.height=e.top.clientHeight||-r.border.top,r.bottom.height=Math.round(e.bottom.getBoundingClientRect().height)||e.bottom.clientHeight||-r.border.bottom;var s=Math.max(r.left.height,r.center.height,r.right.height),a=r.top.height+s+r.bottom.height+r.border.top+r.border.bottom;e.root.style.height=nO.option.asSize(n.height,"".concat(a,"px")),r.root.height=e.root.offsetHeight,r.background.height=r.root.height;var l=r.root.height-r.top.height-r.bottom.height;r.centerContainer.height=l,r.leftContainer.height=l,r.rightContainer.height=r.leftContainer.height,r.root.width=o,r.background.width=r.root.width,this.initialDrawDone||(r.scrollbarWidth=nO.getScrollBarWidth());var h=e.leftContainer.clientWidth,u=e.rightContainer.clientWidth;n.verticalScroll?n.rtl?(r.left.width=h||-r.border.left,r.right.width=u+r.scrollbarWidth||-r.border.right):(r.left.width=h+r.scrollbarWidth||-r.border.left,r.right.width=u||-r.border.right):(r.left.width=h||-r.border.left,r.right.width=u||-r.border.right),this._setDOM();var c=this._updateScrollTop();"top"!=n.orientation.item&&(c+=Math.max(r.centerContainer.height-r.center.height-r.border.top-r.border.bottom,0)),e.center.style.transform="translateY(".concat(c,"px)");var d=0==r.scrollTop?"hidden":"",p=r.scrollTop==r.scrollTopMin?"hidden":"";e.shadowTop.style.visibility=d,e.shadowBottom.style.visibility=p,e.shadowTopLeft.style.visibility=d,e.shadowBottomLeft.style.visibility=p,e.shadowTopRight.style.visibility=d,e.shadowBottomRight.style.visibility=p,n.verticalScroll&&(e.rightContainer.className="vis-panel vis-right vis-vertical-scroll",e.leftContainer.className="vis-panel vis-left vis-vertical-scroll",e.shadowTopRight.style.visibility="hidden",e.shadowBottomRight.style.visibility="hidden",e.shadowTopLeft.style.visibility="hidden",e.shadowBottomLeft.style.visibility="hidden",e.left.style.top="0px",e.right.style.top="0px"),(!n.verticalScroll||r.center.height<r.centerContainer.height)&&(e.left.style.top="".concat(c,"px"),e.right.style.top="".concat(c,"px"),e.rightContainer.className=e.rightContainer.className.replace(new RegExp("(?:^|\\s)vis-vertical-scroll(?:\\s|$)")," "),e.leftContainer.className=e.leftContainer.className.replace(new RegExp("(?:^|\\s)vis-vertical-scroll(?:\\s|$)")," "),r.left.width=h||-r.border.left,r.right.width=u||-r.border.right,this._setDOM());var f=r.center.height>r.centerContainer.height;if(this.hammer.get("pan").set({direction:f?$O.DIRECTION_ALL:$O.DIRECTION_HORIZONTAL}),this.hammer.get("press").set({time:this.options.longSelectPressTime}),zd(t=this.components).call(t,(function(t){i=t.redraw()||i})),i){if(this.redrawCount<5)return void this.body.emitter.emit("_change");console.log("WARNING: infinite loop in redraw?")}else this.redrawCount=0;this.body.emitter.emit("changed")}}},{key:"_setDOM",value:function(){var t=this.props,e=this.dom;t.leftContainer.width=t.left.width,t.rightContainer.width=t.right.width;var i=t.root.width-t.left.width-t.right.width;t.center.width=i,t.centerContainer.width=i,t.top.width=i,t.bottom.width=i,e.background.style.height="".concat(t.background.height,"px"),e.backgroundVertical.style.height="".concat(t.background.height,"px"),e.backgroundHorizontal.style.height="".concat(t.centerContainer.height,"px"),e.centerContainer.style.height="".concat(t.centerContainer.height,"px"),e.leftContainer.style.height="".concat(t.leftContainer.height,"px"),e.rightContainer.style.height="".concat(t.rightContainer.height,"px"),e.background.style.width="".concat(t.background.width,"px"),e.backgroundVertical.style.width="".concat(t.centerContainer.width,"px"),e.backgroundHorizontal.style.width="".concat(t.background.width,"px"),e.centerContainer.style.width="".concat(t.center.width,"px"),e.top.style.width="".concat(t.top.width,"px"),e.bottom.style.width="".concat(t.bottom.width,"px"),e.background.style.left="0",e.background.style.top="0",e.backgroundVertical.style.left="".concat(t.left.width+t.border.left,"px"),e.backgroundVertical.style.top="0",e.backgroundHorizontal.style.left="0",e.backgroundHorizontal.style.top="".concat(t.top.height,"px"),e.centerContainer.style.left="".concat(t.left.width,"px"),e.centerContainer.style.top="".concat(t.top.height,"px"),e.leftContainer.style.left="0",e.leftContainer.style.top="".concat(t.top.height,"px"),e.rightContainer.style.left="".concat(t.left.width+t.center.width,"px"),e.rightContainer.style.top="".concat(t.top.height,"px"),e.top.style.left="".concat(t.left.width,"px"),e.top.style.top="0",e.bottom.style.left="".concat(t.left.width,"px"),e.bottom.style.top="".concat(t.top.height+t.centerContainer.height,"px"),e.center.style.left="0",e.left.style.left="0",e.right.style.left="0"}},{key:"setCurrentTime",value:function(t){if(!this.currentTime)throw new Error("Option showCurrentTime must be true");this.currentTime.setCurrentTime(t)}},{key:"getCurrentTime",value:function(){if(!this.currentTime)throw new Error("Option showCurrentTime must be true");return this.currentTime.getCurrentTime()}},{key:"_toTime",value:function(t){return LO(this,t,this.props.center.width)}},{key:"_toGlobalTime",value:function(t){return LO(this,t,this.props.root.width)}},{key:"_toScreen",value:function(t){return IO(this,t,this.props.center.width)}},{key:"_toGlobalScreen",value:function(t){return IO(this,t,this.props.root.width)}},{key:"_initAutoResize",value:function(){1==this.options.autoResize?this._startAutoResize():this._stopAutoResize()}},{key:"_startAutoResize",value:function(){var t=this;this._stopAutoResize(),this._onResize=function(){if(1==t.options.autoResize){if(t.dom.root){var e=t.dom.root.offsetHeight,i=t.dom.root.offsetWidth;i==t.props.lastWidth&&e==t.props.lastHeight||(t.props.lastWidth=i,t.props.lastHeight=e,t.props.scrollbarWidth=nO.getScrollBarWidth(),t.body.emitter.emit("_change"))}}else t._stopAutoResize()},nO.addEventListener(window,"resize",this._onResize),t.dom.root&&(t.props.lastWidth=t.dom.root.offsetWidth,t.props.lastHeight=t.dom.root.offsetHeight),this.watchTimer=XO(this._onResize,1e3)}},{key:"_stopAutoResize",value:function(){this.watchTimer&&(clearInterval(this.watchTimer),this.watchTimer=void 0),this._onResize&&(nO.removeEventListener(window,"resize",this._onResize),this._onResize=null)}},{key:"_onTouch",value:function(t){this.touch.allowDragging=!0,this.touch.initialScrollTop=this.props.scrollTop}},{key:"_onPinch",value:function(t){this.touch.allowDragging=!1}},{key:"_onDrag",value:function(t){if(t&&this.touch.allowDragging){var e=t.deltaY,i=this._getScrollTop(),n=this._setScrollTop(this.touch.initialScrollTop+e);this.options.verticalScroll&&(this.dom.left.parentNode.scrollTop=-this.props.scrollTop,this.dom.right.parentNode.scrollTop=-this.props.scrollTop),n!=i&&this.emit("verticalDrag")}}},{key:"_setScrollTop",value:function(t){return this.props.scrollTop=t,this._updateScrollTop(),this.props.scrollTop}},{key:"_updateScrollTop",value:function(){var t=Math.min(this.props.centerContainer.height-this.props.border.top-this.props.border.bottom-this.props.center.height,0);return t!=this.props.scrollTopMin&&("top"!=this.options.orientation.item&&(this.props.scrollTop+=t-this.props.scrollTopMin),this.props.scrollTopMin=t),this.props.scrollTop>0&&(this.props.scrollTop=0),this.props.scrollTop<t&&(this.props.scrollTop=t),this.options.verticalScroll&&(this.dom.left.parentNode.scrollTop=-this.props.scrollTop,this.dom.right.parentNode.scrollTop=-this.props.scrollTop),this.props.scrollTop}},{key:"_getScrollTop",value:function(){return this.props.scrollTop}},{key:"_createConfigurator",value:function(){throw new Error("Cannot invoke abstract method _createConfigurator")}}]),t}();wv(bP.prototype);var _P=function(t){Kb(i,t);var e=function(t){var e=function(){if("undefined"==typeof Reflect||!jb)return!1;if(jb.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(jb(Boolean,[],(function(){}))),!0}catch(t){return!1}}();return function(){var i,n=e_(t);if(e){var r=e_(this).constructor;i=jb(n,arguments,r)}else i=n.apply(this,arguments);return Zb(this,i)}}(i);function i(t,n){var r,o;su(this,i),(o=e.call(this)).body=t,o.defaultOptions={rtl:!1,showCurrentTime:!0,alignCurrentTime:void 0,moment:VM,locales:gP,locale:"en"},o.options=nO.extend({},o.defaultOptions),o.setOptions(n),o.options.locales=nO.extend({},gP,o.options.locales);var s=o.defaultOptions.locales[o.defaultOptions.locale];return zd(r=ed(o.options.locales)).call(r,(function(t){o.options.locales[t]=nO.extend({},s,o.options.locales[t])})),o.offset=0,o._create(),o}return cu(i,[{key:"_create",value:function(){var t=document.createElement("div");t.className="vis-current-time",t.style.position="absolute",t.style.top="0px",t.style.height="100%",this.bar=t}},{key:"destroy",value:function(){this.options.showCurrentTime=!1,this.redraw(),this.body=null}},{key:"setOptions",value:function(t){t&&nO.selectiveExtend(["rtl","showCurrentTime","alignCurrentTime","moment","locale","locales"],this.options,t)}},{key:"redraw",value:function(){if(this.options.showCurrentTime){var t,e,i=this.body.dom.backgroundVertical;this.bar.parentNode!=i&&(this.bar.parentNode&&this.bar.parentNode.removeChild(this.bar),i.appendChild(this.bar),this.start());var n=this.options.moment(ld()+this.offset);this.options.alignCurrentTime&&(n=n.startOf(this.options.alignCurrentTime));var r=this.body.util.toScreen(n),o=this.options.locales[this.options.locale];o||(this.warned||(console.warn("WARNING: options.locales['".concat(this.options.locale,"'] not found. See https://visjs.github.io/vis-timeline/docs/timeline/#Localization")),this.warned=!0),o=this.options.locales.en);var s=Nc(t=Nc(e="".concat(o.current," ")).call(e,o.time,": ")).call(t,n.format("dddd, MMMM Do YYYY, H:mm:ss"));s=s.charAt(0).toUpperCase()+s.substring(1),this.options.rtl?this.bar.style.transform="translateX(".concat(-1*r,"px)"):this.bar.style.transform="translateX(".concat(r,"px)"),this.bar.title=s}else this.bar.parentNode&&this.bar.parentNode.removeChild(this.bar),this.stop();return!1}},{key:"start",value:function(){var t=this;!function e(){t.stop();var i=1/t.body.range.conversion(t.body.domProps.center.width).scale/10;i<30&&(i=30),i>1e3&&(i=1e3),t.redraw(),t.body.emitter.emit("currentTimeTick"),t.currentTimeTimer=hv(e,i)}()}},{key:"stop",value:function(){void 0!==this.currentTimeTimer&&(clearTimeout(this.currentTimeTimer),delete this.currentTimeTimer)}},{key:"setCurrentTime",value:function(t){var e=nO.convert(t,"Date").valueOf(),i=ld();this.offset=e-i,this.redraw()}},{key:"getCurrentTime",value:function(){return new Date(ld()+this.offset)}}]),i}(vO),wP={exports:{}},kP=On,xP=Ka.find,SP=!0;"find"in[]&&Array(1).find((function(){SP=!1})),kP({target:"Array",proto:!0,forced:SP},{find:function(t){return xP(this,t,arguments.length>1?arguments[1]:void 0)}});var DP=ac("Array").find,CP=ge,MP=DP,TP=Array.prototype,OP=function(t){var e=t.find;return t===TP||CP(TP,t)&&e===TP.find?MP:e};!function(t){t.exports=OP}(wP);var PP=n(wP.exports),EP={exports:{}},IP=On,LP=Ka.findIndex,AP=!0;"findIndex"in[]&&Array(1).findIndex((function(){AP=!1})),IP({target:"Array",proto:!0,forced:AP},{findIndex:function(t){return LP(this,t,arguments.length>1?arguments[1]:void 0)}});var NP=ac("Array").findIndex,RP=ge,FP=NP,jP=Array.prototype,YP=function(t){var e=t.findIndex;return t===jP||RP(jP,t)&&e===jP.findIndex?FP:e};!function(t){t.exports=YP}(EP);var HP=n(EP.exports);function BP(t,e){(null==e||e>t.length)&&(e=t.length);for(var i=0,n=new Array(e);i<e;i++)n[i]=t[i];return n}var zP=.001;function GP(t){OC(t).call(t,(function(t,e){return t.data.start-e.data.start}))}function WP(t){OC(t).call(t,(function(t,e){return("end"in t.data?t.data.end:t.data.start)-("end"in e.data?e.data.end:e.data.start)}))}function VP(t,e,i,n){return null===KP(t,e.item,!1,(function(t){return t.stack&&(i||null===t.top)}),(function(t){return t.stack}),(function(t){return e.axis}),n)}function UP(t,e,i){var n=KP(t,e.item,!1,(function(t){return t.stack}),(function(t){return!0}),(function(t){return t.baseTop}));i.height=n-i.top+.5*e.item.vertical}function XP(t,e,i,n){for(var r=0;r<t.length;r++)if(null==t[r].data.subgroup)t[r].top=e.item.vertical;else if(void 0!==t[r].data.subgroup&&n){var o=0;for(var s in i)i.hasOwnProperty(s)&&1==i[s].visible&&i[s].index<i[t[r].data.subgroup].index&&(o+=i[s].height,i[t[r].data.subgroup].top=o);t[r].top=o+.5*e.item.vertical}n||qP(t,e,i)}function qP(t,e,i){var n;KP(OC(n=Of(i)).call(n,(function(t,e){return t.index>e.index?1:t.index<e.index?-1:0})),{vertical:0},!0,(function(t){return!0}),(function(t){return!0}),(function(t){return 0}));for(var r=0;r<t.length;r++)void 0!==t[r].data.subgroup&&(t[r].top=i[t[r].data.subgroup].top+.5*e.item.vertical)}function $P(t,e,i){var n=!1,r=[];for(var o in i)i[o].hasOwnProperty("index")?r[i[o].index]=o:r.push(o);for(var s=0;s<r.length;s++)if(o=r[s],i.hasOwnProperty(o)){for(var a in n=n||i[o].stack,i[o].top=0,i)i[a].visible&&i[o].index>i[a].index&&(i[o].top+=i[a].height);for(var l=t[o],h=0;h<l.length;h++)void 0!==l[h].data.subgroup&&(l[h].top=i[l[h].data.subgroup].top+.5*e.item.vertical,i[o].stack&&(l[h].baseTop=l[h].top));n&&i[o].stack&&UP(t[o],e,i[o])}}function KP(t,e,n,r,o,s,a){var l=function(t){return t.start},h=function(t){return t.end};if(!n){var u=!(!t[0]||!t[0].options.rtl);l=u?function(t){return t.right}:function(t){return t.left},h=function(t){return l(t)+t.width+e.horizontal}}var c,d=[],p=[],f=null,m=0,v=function(t,e){var i=void 0!==Tc&&la(t)||t["@@iterator"];if(!i){if(zc(t)||(i=function(t,e){var i;if(t){if("string"==typeof t)return BP(t,e);var n=Fc(i=Object.prototype.toString.call(t)).call(i,8,-1);return"Object"===n&&t.constructor&&(n=t.constructor.name),"Map"===n||"Set"===n?Gs(t):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?BP(t,e):void 0}}(t))||e&&t&&"number"==typeof t.length){i&&(t=i);var n=0,r=function(){};return{s:r,n:function(){return n>=t.length?{done:!0}:{done:!1,value:t[n++]}},e:function(t){throw t},f:r}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var o,s=!0,a=!1;return{s:function(){i=i.call(t)},n:function(){var t=i.next();return s=t.done,t},e:function(t){a=!0,o=t},f:function(){try{s||null==i.return||i.return()}finally{if(a)throw o}}}}(t);try{for(v.s();!(c=v.n()).done;){var g=c.value;r(g)?d.push(g):o(g)&&function(){var t=l(g);null!==f&&t<f-zP&&(m=0),f=t,m=ZP(p,(function(e){return l(e)-zP>t}),m),_p(p).call(p,m,0,g),m++}()}}catch(t){v.e(t)}finally{v.f()}f=null;var y=null;m=0;for(var b=0,_=0,w=0,k=function(){var t,n,r=d.shift();r.top=s(r);var u=l(r),c=h(r);null!==f&&u<f-zP&&(b=0,_=0,m=0,y=null),f=u,b=ZP(p,(function(t){return u<h(t)-zP}),b),(null===y||y<c-zP)&&(_=ZP(p,(function(t){return c<l(t)-zP}),Math.max(b,_))),null!==y&&y-zP>c&&(_=function(t,e,n,r){for(n||(n=0),r||(r=t.length),i=r-1;i>=n;i--)if(e(t[i]))return i;return n-1}(p,(function(t){return c+zP>=l(t)}),b,horizontalOVerlapEndIndex)+1);for(var v,g,k,x=OC(t=yf(n=Fc(p).call(p,b,_)).call(n,(function(t){return u<h(t)-zP&&c-zP>l(t)}))).call(t,(function(t,e){return t.top-e.top})),S=0;S<x.length;S++){var D=x[S];g=D,k=e,(v=r).top-k.vertical+zP<g.top+g.height&&v.top+v.height+k.vertical-zP>g.top&&(r.top=D.top+D.height+e.vertical)}o(r)&&(m=ZP(p,(function(t){return l(t)-zP>u}),m),_p(p).call(p,m,0,r),m++);var C=r.top+r.height;if(C>w&&(w=C),a&&a())return{v:null}};d.length>0;){var x=k();if("object"===Dc(x))return x.v}return w}function ZP(t,e,i){var n;i||(i=0);var r=HP(n=Fc(t).call(t,i)).call(n,e);return-1===r?t.length:r+i}var JP=Object.freeze({__proto__:null,orderByStart:GP,orderByEnd:WP,stack:VP,substack:UP,nostack:XP,stackSubgroups:qP,stackSubgroupsWithInnerStack:$P}),QP="__background__",tE=function(){function t(e,i,n){var r=this;if(su(this,t),this.groupId=e,this.subgroups={},this.subgroupStack={},this.subgroupStackAll=!1,this.subgroupVisibility={},this.doInnerStack=!1,this.shouldBailStackItems=!1,this.subgroupIndex=0,this.subgroupOrderer=i&&i.subgroupOrder,this.itemSet=n,this.isVisible=null,this.stackDirty=!0,this._disposeCallbacks=[],i&&i.nestedGroups&&(this.nestedGroups=i.nestedGroups,0==i.showNested?this.showNested=!1:this.showNested=!0),i&&i.subgroupStack)if("boolean"==typeof i.subgroupStack)this.doInnerStack=i.subgroupStack,this.subgroupStackAll=i.subgroupStack;else for(var o in i.subgroupStack)this.subgroupStack[o]=i.subgroupStack[o],this.doInnerStack=this.doInnerStack||i.subgroupStack[o];i&&i.heightMode?this.heightMode=i.heightMode:this.heightMode=n.options.groupHeightMode,this.nestedInGroup=null,this.dom={},this.props={label:{width:0,height:0}},this.className=null,this.items={},this.visibleItems=[],this.itemsInRange=[],this.orderedItems={byStart:[],byEnd:[]},this.checkRangedItems=!1;var s=function(){r.checkRangedItems=!0};this.itemSet.body.emitter.on("checkRangedItems",s),this._disposeCallbacks.push((function(){r.itemSet.body.emitter.off("checkRangedItems",s)})),this._create(),this.setData(i)}return cu(t,[{key:"_create",value:function(){var t=document.createElement("div");this.itemSet.options.groupEditable.order?t.className="vis-label draggable":t.className="vis-label",this.dom.label=t;var e=document.createElement("div");e.className="vis-inner",t.appendChild(e),this.dom.inner=e;var i=document.createElement("div");i.className="vis-group",i["vis-group"]=this,this.dom.foreground=i,this.dom.background=document.createElement("div"),this.dom.background.className="vis-group",this.dom.axis=document.createElement("div"),this.dom.axis.className="vis-group",this.dom.marker=document.createElement("div"),this.dom.marker.style.visibility="hidden",this.dom.marker.style.position="absolute",this.dom.marker.innerHTML="",this.dom.background.appendChild(this.dom.marker)}},{key:"setData",value:function(t){if(!this.itemSet.groupTouchParams.isDragging){var e,i,n;if(t&&t.subgroupVisibility)for(var r in t.subgroupVisibility)this.subgroupVisibility[r]=t.subgroupVisibility[r];if((e=this.itemSet.options&&this.itemSet.options.groupTemplate?(i=Td(n=this.itemSet.options.groupTemplate).call(n,this))(t,this.dom.inner):t&&t.content)instanceof Element){for(;this.dom.inner.firstChild;)this.dom.inner.removeChild(this.dom.inner.firstChild);this.dom.inner.appendChild(e)}else e instanceof Object&&e.isReactComponent||(e instanceof Object?i(t,this.dom.inner):this.dom.inner.innerHTML=null!=e?nO.xss(e):nO.xss(this.groupId||""));this.dom.label.title=t&&t.title||"",this.dom.inner.firstChild?nO.removeClassName(this.dom.inner,"vis-hidden"):nO.addClassName(this.dom.inner,"vis-hidden"),t&&t.nestedGroups?(this.nestedGroups&&this.nestedGroups==t.nestedGroups||(this.nestedGroups=t.nestedGroups),void 0===t.showNested&&void 0!==this.showNested||(0==t.showNested?this.showNested=!1:this.showNested=!0),nO.addClassName(this.dom.label,"vis-nesting-group"),this.showNested?(nO.removeClassName(this.dom.label,"collapsed"),nO.addClassName(this.dom.label,"expanded")):(nO.removeClassName(this.dom.label,"expanded"),nO.addClassName(this.dom.label,"collapsed"))):this.nestedGroups&&(this.nestedGroups=null,nO.removeClassName(this.dom.label,"collapsed"),nO.removeClassName(this.dom.label,"expanded"),nO.removeClassName(this.dom.label,"vis-nesting-group")),t&&(t.treeLevel||t.nestedInGroup)?(nO.addClassName(this.dom.label,"vis-nested-group"),t.treeLevel?nO.addClassName(this.dom.label,"vis-group-level-"+t.treeLevel):nO.addClassName(this.dom.label,"vis-group-level-unknown-but-gte1")):nO.addClassName(this.dom.label,"vis-group-level-0");var o=t&&t.className||null;o!=this.className&&(this.className&&(nO.removeClassName(this.dom.label,this.className),nO.removeClassName(this.dom.foreground,this.className),nO.removeClassName(this.dom.background,this.className),nO.removeClassName(this.dom.axis,this.className)),nO.addClassName(this.dom.label,o),nO.addClassName(this.dom.foreground,o),nO.addClassName(this.dom.background,o),nO.addClassName(this.dom.axis,o),this.className=o),this.style&&(nO.removeCssText(this.dom.label,this.style),this.style=null),t&&t.style&&(nO.addCssText(this.dom.label,t.style),this.style=t.style)}}},{key:"getLabelWidth",value:function(){return this.props.label.width}},{key:"_didMarkerHeightChange",value:function(){var t=this.dom.marker.clientHeight;if(t!=this.lastMarkerHeight){this.lastMarkerHeight=t;var e={},i=0;if(zd(nO).call(nO,this.items,(function(t,n){t.dirty=!0,t.displayed&&(e[n]=t.redraw(!0),i=e[n].length)})),i>0)for(var n=function(t){zd(nO).call(nO,e,(function(e){e[t]()}))},r=0;r<i;r++)n(r);return!0}return!1}},{key:"_calculateGroupSizeAndPosition",value:function(){var t=this.dom.foreground,e=t.offsetTop,i=t.offsetLeft,n=t.offsetWidth;this.top=e,this.right=i,this.width=n}},{key:"_shouldBailItemsRedraw",value:function(){var t=this,e=this.itemSet.options.onTimeout,i={relativeBailingTime:this.itemSet.itemsSettingTime,bailTimeMs:e&&e.timeoutMs,userBailFunction:e&&e.callback,shouldBailStackItems:this.shouldBailStackItems},n=null;if(!this.itemSet.initialDrawDone){if(i.shouldBailStackItems)return!0;Math.abs(ld()-new Date(i.relativeBailingTime))>i.bailTimeMs&&(i.userBailFunction&&null==this.itemSet.userContinueNotBail?i.userBailFunction((function(e){t.itemSet.userContinueNotBail=e,n=!e})):n=0==t.itemSet.userContinueNotBail)}return n}},{key:"_redrawItems",value:function(t,e,i,n){var r=this;if(t||this.stackDirty||this.isVisible&&!e){var o,s,a,l,h,u,c={byEnd:yf(o=this.orderedItems.byEnd).call(o,(function(t){return!t.isCluster})),byStart:yf(s=this.orderedItems.byStart).call(s,(function(t){return!t.isCluster}))},d={byEnd:Cc(new HD(yf(a=Kc(l=this.orderedItems.byEnd).call(l,(function(t){return t.cluster}))).call(a,(function(t){return!!t})))),byStart:Cc(new HD(yf(h=Kc(u=this.orderedItems.byStart).call(u,(function(t){return t.cluster}))).call(h,(function(t){return!!t}))))},p=function(){var t,e,i,o=r._updateItemsInRange(c,yf(t=r.visibleItems).call(t,(function(t){return!t.isCluster})),n),s=r._updateClustersInRange(d,yf(e=r.visibleItems).call(e,(function(t){return t.isCluster})),n);return Nc(i=[]).call(i,Cc(o),Cc(s))},f=function(t){var e={},i=function(i){var n,o=yf(n=r.visibleItems).call(n,(function(t){return t.data.subgroup===i}));e[i]=t?OC(o).call(o,(function(e,i){return t(e.data,i.data)})):o};for(var n in r.subgroups)i(n);return e};if("function"==typeof this.itemSet.options.order){var m=this;if(this.doInnerStack&&this.itemSet.options.stackSubgroups)$P(f(this.itemSet.options.order),i,this.subgroups),this.visibleItems=p(),this._updateSubGroupHeights(i);else{var v,g,y,b;this.visibleItems=p(),this._updateSubGroupHeights(i);var _=OC(v=yf(g=Fc(y=this.visibleItems).call(y)).call(g,(function(t){return t.isCluster||!t.isCluster&&!t.cluster}))).call(v,(function(t,e){return m.itemSet.options.order(t.data,e.data)}));this.shouldBailStackItems=VP(_,i,!0,Td(b=this._shouldBailItemsRedraw).call(b,this))}}else{var w;this.visibleItems=p(),this._updateSubGroupHeights(i),this.itemSet.options.stack?this.doInnerStack&&this.itemSet.options.stackSubgroups?$P(f(),i,this.subgroups):this.shouldBailStackItems=VP(this.visibleItems,i,!0,Td(w=this._shouldBailItemsRedraw).call(w,this)):XP(this.visibleItems,i,this.subgroups,this.itemSet.options.stackSubgroups)}for(var k=0;k<this.visibleItems.length;k++)this.visibleItems[k].repositionX(),void 0!==this.subgroupVisibility[this.visibleItems[k].data.subgroup]&&(this.subgroupVisibility[this.visibleItems[k].data.subgroup]||this.visibleItems[k].hide());this.itemSet.options.cluster&&zd(nO).call(nO,this.items,(function(t){t.cluster&&t.displayed&&t.hide()})),this.shouldBailStackItems&&this.itemSet.body.emitter.emit("destroyTimeline"),this.stackDirty=!1}}},{key:"_didResize",value:function(t,e){t=nO.updateProperty(this,"height",e)||t;var i=this.dom.inner.clientWidth,n=this.dom.inner.clientHeight;return t=nO.updateProperty(this.props.label,"width",i)||t,nO.updateProperty(this.props.label,"height",n)||t}},{key:"_applyGroupHeight",value:function(t){this.dom.background.style.height="".concat(t,"px"),this.dom.foreground.style.height="".concat(t,"px"),this.dom.label.style.height="".concat(t,"px")}},{key:"_updateItemsVerticalPosition",value:function(t){for(var e=0,i=this.visibleItems.length;e<i;e++){var n=this.visibleItems[e];n.repositionY(t),this.isVisible||this.groupId==QP||n.displayed&&n.hide()}}},{key:"redraw",value:function(t,e,i,n){var r,o,s,a,l,h,u,c=this,d=!1,p=this.isVisible,f=[function(){i=c._didMarkerHeightChange.call(c)||i},Td(r=this._updateSubGroupHeights).call(r,this,e),Td(o=this._calculateGroupSizeAndPosition).call(o,this),function(){var i;c.isVisible=Td(i=c._isGroupVisible).call(i,c)(t,e)},function(){var n;Td(n=c._redrawItems).call(n,c)(i,p,e,t)},Td(s=this._updateSubgroupsSizes).call(s,this),function(){var t;h=Td(t=c._calculateHeight).call(t,c)(e)},Td(a=this._calculateGroupSizeAndPosition).call(a,this),function(){var t;d=Td(t=c._didResize).call(t,c)(d,h)},function(){var t;Td(t=c._applyGroupHeight).call(t,c)(h)},function(){var t;Td(t=c._updateItemsVerticalPosition).call(t,c)(e)},Td(l=function(){return!c.isVisible&&c.height&&(d=!1),d}).call(l,this)];return n?f:(zd(f).call(f,(function(t){u=t()})),u)}},{key:"_updateSubGroupHeights",value:function(t){var e=this;if(ed(this.subgroups).length>0){var i=this;this._resetSubgroups(),zd(nO).call(nO,this.visibleItems,(function(n){void 0!==n.data.subgroup&&(i.subgroups[n.data.subgroup].height=Math.max(i.subgroups[n.data.subgroup].height,n.height+t.item.vertical),i.subgroups[n.data.subgroup].visible=void 0===e.subgroupVisibility[n.data.subgroup]||Boolean(e.subgroupVisibility[n.data.subgroup]))}))}}},{key:"_isGroupVisible",value:function(t,e){return this.top<=t.body.domProps.centerContainer.height-t.body.domProps.scrollTop+e.axis&&this.top+this.height+e.axis>=-t.body.domProps.scrollTop}},{key:"_calculateHeight",value:function(t){var e,i;if((i="fixed"===this.heightMode?nO.toArray(this.items):this.visibleItems).length>0){var n=i[0].top,r=i[0].top+i[0].height;if(zd(nO).call(nO,i,(function(t){n=Math.min(n,t.top),r=Math.max(r,t.top+t.height)})),n>t.axis){var o=n-t.axis;r-=o,zd(nO).call(nO,i,(function(t){t.top-=o}))}e=Math.ceil(r+t.item.vertical/2),"fitItems"!==this.heightMode&&(e=Math.max(e,this.props.label.height))}else e=this.props.label.height;return e}},{key:"show",value:function(){this.dom.label.parentNode||this.itemSet.dom.labelSet.appendChild(this.dom.label),this.dom.foreground.parentNode||this.itemSet.dom.foreground.appendChild(this.dom.foreground),this.dom.background.parentNode||this.itemSet.dom.background.appendChild(this.dom.background),this.dom.axis.parentNode||this.itemSet.dom.axis.appendChild(this.dom.axis)}},{key:"hide",value:function(){var t=this.dom.label;t.parentNode&&t.parentNode.removeChild(t);var e=this.dom.foreground;e.parentNode&&e.parentNode.removeChild(e);var i=this.dom.background;i.parentNode&&i.parentNode.removeChild(i);var n=this.dom.axis;n.parentNode&&n.parentNode.removeChild(n)}},{key:"add",value:function(t){var e;if(this.items[t.id]=t,t.setParent(this),this.stackDirty=!0,void 0!==t.data.subgroup&&(this._addToSubgroup(t),this.orderSubgroups()),!rf(e=this.visibleItems).call(e,t)){var i=this.itemSet.body.range;this._checkIfVisible(t,this.visibleItems,i)}}},{key:"_addToSubgroup",value:function(t){var e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:t.data.subgroup;null!=e&&void 0===this.subgroups[e]&&(this.subgroups[e]={height:0,top:0,start:t.data.start,end:t.data.end||t.data.start,visible:!1,index:this.subgroupIndex,items:[],stack:this.subgroupStackAll||this.subgroupStack[e]||!1},this.subgroupIndex++),new Date(t.data.start)<new Date(this.subgroups[e].start)&&(this.subgroups[e].start=t.data.start);var i=t.data.end||t.data.start;new Date(i)>new Date(this.subgroups[e].end)&&(this.subgroups[e].end=i),this.subgroups[e].items.push(t)}},{key:"_updateSubgroupsSizes",value:function(){var t=this;if(t.subgroups){var e=function(e){var i,n=t.subgroups[e].items[0].data.end||t.subgroups[e].items[0].data.start,r=t.subgroups[e].items[0].data.start,o=n-1;zd(i=t.subgroups[e].items).call(i,(function(t){new Date(t.data.start)<new Date(r)&&(r=t.data.start);var e=t.data.end||t.data.start;new Date(e)>new Date(o)&&(o=e)})),t.subgroups[e].start=r,t.subgroups[e].end=new Date(o-1)};for(var i in t.subgroups)e(i)}}},{key:"orderSubgroups",value:function(){if(void 0!==this.subgroupOrderer){var t=[];if("string"==typeof this.subgroupOrderer){for(var e in this.subgroups)t.push({subgroup:e,sortField:this.subgroups[e].items[0].data[this.subgroupOrderer]});OC(t).call(t,(function(t,e){return t.sortField-e.sortField}))}else if("function"==typeof this.subgroupOrderer){for(var i in this.subgroups)t.push(this.subgroups[i].items[0].data);OC(t).call(t,this.subgroupOrderer)}if(t.length>0)for(var n=0;n<t.length;n++)this.subgroups[t[n].subgroup].index=n}}},{key:"_resetSubgroups",value:function(){for(var t in this.subgroups)this.subgroups.hasOwnProperty(t)&&(this.subgroups[t].visible=!1,this.subgroups[t].height=0)}},{key:"remove",value:function(t){var e,i;delete this.items[t.id],t.setParent(null),this.stackDirty=!0;var n=dm(e=this.visibleItems).call(e,t);-1!=n&&_p(i=this.visibleItems).call(i,n,1),void 0!==t.data.subgroup&&(this._removeFromSubgroup(t),this.orderSubgroups())}},{key:"_removeFromSubgroup",value:function(t){var e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:t.data.subgroup;if(null!=e){var i=this.subgroups[e];if(i){var n,r,o=dm(n=i.items).call(n,t);o>=0&&(_p(r=i.items).call(r,o,1),i.items.length?this._updateSubgroupsSizes():delete this.subgroups[e])}}}},{key:"removeFromDataSet",value:function(t){this.itemSet.removeItem(t.id)}},{key:"order",value:function(){for(var t=nO.toArray(this.items),e=[],i=[],n=0;n<t.length;n++)void 0!==t[n].data.end&&i.push(t[n]),e.push(t[n]);this.orderedItems={byStart:e,byEnd:i},GP(this.orderedItems.byStart),WP(this.orderedItems.byEnd)}},{key:"_updateItemsInRange",value:function(t,e,i){var n=[],r={};if(!this.isVisible&&this.groupId!=QP){for(var o=0;o<e.length;o++){var s=e[o];s.displayed&&s.hide()}return n}var a=(i.end-i.start)/4,l=i.start-a,h=i.end+a;if(e.length>0)for(var u=0;u<e.length;u++)this._checkIfVisibleWithReference(e[u],n,r,i);var c=nO.binarySearchCustom(t.byStart,(function(t){return t<l?-1:t<=h?0:1}),"data","start");if(this._traceVisible(c,t.byStart,n,r,(function(t){return t.data.start<l||t.data.start>h})),1==this.checkRangedItems){this.checkRangedItems=!1;for(var d=0;d<t.byEnd.length;d++)this._checkIfVisibleWithReference(t.byEnd[d],n,r,i)}else{var p=nO.binarySearchCustom(t.byEnd,(function(t){var e=t.start;return t.end<l?-1:e<=h?0:1}),"data");this._traceVisible(p,t.byEnd,n,r,(function(t){return t.data.end<l||t.data.start>h}))}for(var f={},m=0,v=0;v<n.length;v++){var g=n[v];g.displayed||(f[v]=g.redraw(!0),m=f[v].length)}if(m>0)for(var y=function(t){zd(nO).call(nO,f,(function(e){e[t]()}))},b=0;b<m;b++)y(b);for(var _=0;_<n.length;_++)n[_].repositionX();return n}},{key:"_traceVisible",value:function(t,e,i,n,r){if(-1!=t){for(var o=t;o>=0;o--){var s=e[o];if(r(s))break;s.isCluster&&!s.hasItems()||s.cluster||void 0===n[s.id]&&(n[s.id]=!0,i.push(s))}for(var a=t+1;a<e.length;a++){var l=e[a];if(r(l))break;l.isCluster&&!l.hasItems()||l.cluster||void 0===n[l.id]&&(n[l.id]=!0,i.push(l))}}}},{key:"_checkIfVisible",value:function(t,e,i){t.isVisible(i)?(t.displayed||t.show(),t.repositionX(),e.push(t)):t.displayed&&t.hide()}},{key:"_checkIfVisibleWithReference",value:function(t,e,i,n){t.isVisible(n)?void 0===i[t.id]&&(i[t.id]=!0,e.push(t)):t.displayed&&t.hide()}},{key:"_updateClustersInRange",value:function(t,e,i){var n=[],r={};if(e.length>0)for(var o=0;o<e.length;o++)this._checkIfVisibleWithReference(e[o],n,r,i);for(var s=0;s<t.byStart.length;s++)this._checkIfVisibleWithReference(t.byStart[s],n,r,i);for(var a=0;a<t.byEnd.length;a++)this._checkIfVisibleWithReference(t.byEnd[a],n,r,i);for(var l={},h=0,u=0;u<n.length;u++){var c=n[u];c.displayed||(l[u]=c.redraw(!0),h=l[u].length)}if(h>0)for(var d=0;d<h;d++)zd(nO).call(nO,l,(function(t){t[d]()}));for(var p=0;p<n.length;p++)n[p].repositionX();return n}},{key:"changeSubgroup",value:function(t,e,i){this._removeFromSubgroup(t,e),this._addToSubgroup(t,i),this.orderSubgroups()}},{key:"dispose",value:function(){var t;for(this.hide();t=this._disposeCallbacks.pop();)t()}}]),t}();var eE=function(t){Kb(i,t);var e=function(t){var e=function(){if("undefined"==typeof Reflect||!jb)return!1;if(jb.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(jb(Boolean,[],(function(){}))),!0}catch(t){return!1}}();return function(){var i,n=e_(t);if(e){var r=e_(this).constructor;i=jb(n,arguments,r)}else i=n.apply(this,arguments);return Zb(this,i)}}(i);function i(t,n,r){var o;return su(this,i),(o=e.call(this,t,n,r)).width=0,o.height=0,o.top=0,o.left=0,o}return cu(i,[{key:"redraw",value:function(t,e,i){this.visibleItems=this._updateItemsInRange(this.orderedItems,this.visibleItems,t),this.width=this.dom.background.offsetWidth,this.dom.background.style.height="0";for(var n=0,r=this.visibleItems.length;n<r;n++)this.visibleItems[n].repositionY(e);return!1}},{key:"show",value:function(){this.dom.background.parentNode||this.itemSet.dom.background.appendChild(this.dom.background)}}]),i}(tE);function iE(t,e){(null==e||e>t.length)&&(e=t.length);for(var i=0,n=new Array(e);i<e;i++)n[i]=t[i];return n}JO('.vis-item{background-color:#d5ddf6;border-color:#97b0f8;border-width:1px;color:#1a1a1a;display:inline-block;position:absolute;z-index:1}.vis-item.vis-selected{background-color:#fff785;border-color:#ffc200;z-index:2}.vis-editable.vis-selected{cursor:move}.vis-item.vis-point.vis-selected{background-color:#fff785}.vis-item.vis-box{border-radius:2px;border-style:solid;text-align:center}.vis-item.vis-point{background:none}.vis-item.vis-dot{border-radius:4px;border-style:solid;border-width:4px;padding:0;position:absolute}.vis-item.vis-range{border-radius:2px;border-style:solid;box-sizing:border-box}.vis-item.vis-background{background-color:rgba(213,221,246,.4);border:none;box-sizing:border-box;margin:0;padding:0}.vis-item .vis-item-overflow{height:100%;margin:0;overflow:hidden;padding:0;position:relative;width:100%}.vis-item-visible-frame{white-space:nowrap}.vis-item.vis-range .vis-item-content{display:inline-block;position:relative}.vis-item.vis-background .vis-item-content{display:inline-block;position:absolute}.vis-item.vis-line{border-left-style:solid;border-left-width:1px;padding:0;position:absolute;width:0}.vis-item .vis-item-content{box-sizing:border-box;padding:5px;white-space:nowrap}.vis-item .vis-onUpdateTime-tooltip{background:#4f81bd;border-radius:1px;color:#fff;padding:5px;position:absolute;text-align:center;transition:.4s;-o-transition:.4s;-moz-transition:.4s;-webkit-transition:.4s;white-space:nowrap;width:200px}.vis-item .vis-delete,.vis-item .vis-delete-rtl{box-sizing:border-box;cursor:pointer;height:24px;padding:0 5px;position:absolute;top:0;-webkit-transition:background .2s linear;-moz-transition:background .2s linear;-ms-transition:background .2s linear;-o-transition:background .2s linear;transition:background .2s linear;width:24px}.vis-item .vis-delete{right:-24px}.vis-item .vis-delete-rtl{left:-24px}.vis-item .vis-delete-rtl:after,.vis-item .vis-delete:after{color:red;content:"\\00D7";font-family:arial,sans-serif;font-size:22px;font-weight:700;-webkit-transition:color .2s linear;-moz-transition:color .2s linear;-ms-transition:color .2s linear;-o-transition:color .2s linear;transition:color .2s linear}.vis-item .vis-delete-rtl:hover,.vis-item .vis-delete:hover{background:red}.vis-item .vis-delete-rtl:hover:after,.vis-item .vis-delete:hover:after{color:#fff}.vis-item .vis-drag-center{cursor:move;height:100%;left:0;position:absolute;top:0;width:100%}.vis-item.vis-range .vis-drag-left{cursor:w-resize;left:-4px}.vis-item.vis-range .vis-drag-left,.vis-item.vis-range .vis-drag-right{height:100%;max-width:20%;min-width:2px;position:absolute;top:0;width:24px}.vis-item.vis-range .vis-drag-right{cursor:e-resize;right:-4px}.vis-range.vis-item.vis-readonly .vis-drag-left,.vis-range.vis-item.vis-readonly .vis-drag-right{cursor:auto}.vis-item.vis-cluster{border-radius:2px;border-style:solid;text-align:center;vertical-align:center}.vis-item.vis-cluster-line{border-left-style:solid;border-left-width:1px;padding:0;position:absolute;width:0}.vis-item.vis-cluster-dot{border-radius:4px;border-style:solid;border-width:4px;padding:0;position:absolute}');var nE=function(){function t(e,i,n){var r,o=this;su(this,t),this.id=null,this.parent=null,this.data=e,this.dom=null,this.conversion=i||{},this.defaultOptions={locales:gP,locale:"en"},this.options=nO.extend({},this.defaultOptions,n),this.options.locales=nO.extend({},gP,this.options.locales);var s=this.defaultOptions.locales[this.defaultOptions.locale];zd(r=ed(this.options.locales)).call(r,(function(t){o.options.locales[t]=nO.extend({},s,o.options.locales[t])})),this.selected=!1,this.displayed=!1,this.groupShowing=!0,this.selectable=n&&n.selectable||!1,this.dirty=!0,this.top=null,this.right=null,this.left=null,this.width=null,this.height=null,this.setSelectability(e),this.editable=null,this._updateEditStatus()}return cu(t,[{key:"select",value:function(){this.selectable&&(this.selected=!0,this.dirty=!0,this.displayed&&this.redraw())}},{key:"unselect",value:function(){this.selected=!1,this.dirty=!0,this.displayed&&this.redraw()}},{key:"setData",value:function(t){null!=t.group&&this.data.group!=t.group&&null!=this.parent&&this.parent.itemSet._moveToGroup(this,t.group),this.setSelectability(t),this.parent&&(this.parent.stackDirty=!0),null!=t.subgroup&&this.data.subgroup!=t.subgroup&&null!=this.parent&&this.parent.changeSubgroup(this,this.data.subgroup,t.subgroup),this.data=t,this._updateEditStatus(),this.dirty=!0,this.displayed&&this.redraw()}},{key:"setSelectability",value:function(t){t&&(this.selectable=void 0===t.selectable||Boolean(t.selectable))}},{key:"setParent",value:function(t){this.displayed?(this.hide(),this.parent=t,this.parent&&this.show()):this.parent=t}},{key:"isVisible",value:function(t){return!1}},{key:"show",value:function(){return!1}},{key:"hide",value:function(){return!1}},{key:"redraw",value:function(){}},{key:"repositionX",value:function(){}},{key:"repositionY",value:function(){}},{key:"_repaintDragCenter",value:function(){if(this.selected&&this.editable.updateTime&&!this.dom.dragCenter){var t,e,i=this,n=document.createElement("div");n.className="vis-drag-center",n.dragCenterItem=this,this.hammerDragCenter=new $O(n),this.hammerDragCenter.on("tap",(function(t){i.parent.itemSet.body.emitter.emit("click",{event:t,item:i.id})})),this.hammerDragCenter.on("doubletap",(function(t){t.stopPropagation(),i.parent.itemSet._onUpdateItem(i),i.parent.itemSet.body.emitter.emit("doubleClick",{event:t,item:i.id})})),this.hammerDragCenter.on("panstart",(function(t){t.stopPropagation(),i.parent.itemSet._onDragStart(t)})),this.hammerDragCenter.on("panmove",Td(t=i.parent.itemSet._onDrag).call(t,i.parent.itemSet)),this.hammerDragCenter.on("panend",Td(e=i.parent.itemSet._onDragEnd).call(e,i.parent.itemSet)),this.hammerDragCenter.get("press").set({time:1e4}),this.dom.box?this.dom.dragLeft?this.dom.box.insertBefore(n,this.dom.dragLeft):this.dom.box.appendChild(n):this.dom.point&&this.dom.point.appendChild(n),this.dom.dragCenter=n}else!this.selected&&this.dom.dragCenter&&(this.dom.dragCenter.parentNode&&this.dom.dragCenter.parentNode.removeChild(this.dom.dragCenter),this.dom.dragCenter=null,this.hammerDragCenter&&(this.hammerDragCenter.destroy(),this.hammerDragCenter=null))}},{key:"_repaintDeleteButton",value:function(t){var e=(this.options.editable.overrideItems||null==this.editable)&&this.options.editable.remove||!this.options.editable.overrideItems&&null!=this.editable&&this.editable.remove;if(this.selected&&e&&!this.dom.deleteButton){var i=this,n=document.createElement("div");this.options.rtl?n.className="vis-delete-rtl":n.className="vis-delete";var r=this.options.locales[this.options.locale];r||(this.warned||(console.warn("WARNING: options.locales['".concat(this.options.locale,"'] not found. See https://visjs.github.io/vis-timeline/docs/timeline/#Localization")),this.warned=!0),r=this.options.locales.en),n.title=r.deleteSelected,this.hammerDeleteButton=new $O(n).on("tap",(function(t){t.stopPropagation(),i.parent.removeFromDataSet(i)})),t.appendChild(n),this.dom.deleteButton=n}else this.selected&&e||!this.dom.deleteButton||(this.dom.deleteButton.parentNode&&this.dom.deleteButton.parentNode.removeChild(this.dom.deleteButton),this.dom.deleteButton=null,this.hammerDeleteButton&&(this.hammerDeleteButton.destroy(),this.hammerDeleteButton=null))}},{key:"_repaintOnItemUpdateTimeTooltip",value:function(t){if(this.options.tooltipOnItemUpdateTime){var e=(this.options.editable.updateTime||!0===this.data.editable)&&!1!==this.data.editable;if(this.selected&&e&&!this.dom.onItemUpdateTimeTooltip){var i=document.createElement("div");i.className="vis-onUpdateTime-tooltip",t.appendChild(i),this.dom.onItemUpdateTimeTooltip=i}else!this.selected&&this.dom.onItemUpdateTimeTooltip&&(this.dom.onItemUpdateTimeTooltip.parentNode&&this.dom.onItemUpdateTimeTooltip.parentNode.removeChild(this.dom.onItemUpdateTimeTooltip),this.dom.onItemUpdateTimeTooltip=null);if(this.dom.onItemUpdateTimeTooltip){this.dom.onItemUpdateTimeTooltip.style.visibility=this.parent.itemSet.touchParams.itemIsDragging?"visible":"hidden",this.dom.onItemUpdateTimeTooltip.style.transform="translateX(-50%)",this.dom.onItemUpdateTimeTooltip.style.left="50%";var n,r,o=this.parent.itemSet.body.domProps.scrollTop;("top"==this.options.orientation.item?this.top:this.parent.height-this.top-this.height)+this.parent.top-50<-o?(this.dom.onItemUpdateTimeTooltip.style.bottom="",this.dom.onItemUpdateTimeTooltip.style.top="".concat(this.height+2,"px")):(this.dom.onItemUpdateTimeTooltip.style.top="",this.dom.onItemUpdateTimeTooltip.style.bottom="".concat(this.height+2,"px")),this.options.tooltipOnItemUpdateTime&&this.options.tooltipOnItemUpdateTime.template?n=Td(r=this.options.tooltipOnItemUpdateTime.template).call(r,this)(this.data):(n="start: ".concat(VM(this.data.start).format("MM/DD/YYYY hh:mm")),this.data.end&&(n+="<br> end: ".concat(VM(this.data.end).format("MM/DD/YYYY hh:mm")))),this.dom.onItemUpdateTimeTooltip.innerHTML=nO.xss(n)}}}},{key:"_getItemData",value:function(){return this.parent.itemSet.itemsData.get(this.id)}},{key:"_updateContents",value:function(t){var e,i,n,r,o,s,a=this._getItemData(),l=(this.dom.box||this.dom.point).getElementsByClassName("vis-item-visible-frame")[0];if(this.options.visibleFrameTemplate?(r=Td(o=this.options.visibleFrameTemplate).call(o,this),n=nO.xss(r(a,l))):n="",l)if(n instanceof Object&&!(n instanceof Element))r(a,l);else if(this._contentToString(this.itemVisibleFrameContent)!==this._contentToString(n)){if(n instanceof Element)l.innerHTML="",l.appendChild(n);else if(null!=n)l.innerHTML=nO.xss(n);else if("background"!=this.data.type||void 0!==this.data.content)throw new Error('Property "content" missing in item '.concat(this.id));this.itemVisibleFrameContent=n}if((e=this.options.template?(i=Td(s=this.options.template).call(s,this))(a,t,this.data):this.data.content)instanceof Object&&!(e instanceof Element))i(a,t);else if(this._contentToString(this.content)!==this._contentToString(e)){if(e instanceof Element)t.innerHTML="",t.appendChild(e);else if(null!=e)t.innerHTML=nO.xss(e);else if("background"!=this.data.type||void 0!==this.data.content)throw new Error('Property "content" missing in item '.concat(this.id));this.content=e}}},{key:"_updateDataAttributes",value:function(t){if(this.options.dataAttributes&&this.options.dataAttributes.length>0){var e=[];if(zc(this.options.dataAttributes))e=this.options.dataAttributes;else{if("all"!=this.options.dataAttributes)return;e=ed(this.data)}var i,n=function(t,e){var i=void 0!==Tc&&la(t)||t["@@iterator"];if(!i){if(zc(t)||(i=function(t,e){var i;if(t){if("string"==typeof t)return iE(t,e);var n=Fc(i=Object.prototype.toString.call(t)).call(i,8,-1);return"Object"===n&&t.constructor&&(n=t.constructor.name),"Map"===n||"Set"===n?Gs(t):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?iE(t,e):void 0}}(t))||e&&t&&"number"==typeof t.length){i&&(t=i);var n=0,r=function(){};return{s:r,n:function(){return n>=t.length?{done:!0}:{done:!1,value:t[n++]}},e:function(t){throw t},f:r}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var o,s=!0,a=!1;return{s:function(){i=i.call(t)},n:function(){var t=i.next();return s=t.done,t},e:function(t){a=!0,o=t},f:function(){try{s||null==i.return||i.return()}finally{if(a)throw o}}}}(e);try{for(n.s();!(i=n.n()).done;){var r=i.value,o=this.data[r];null!=o?t.setAttribute("data-".concat(r),o):t.removeAttribute("data-".concat(r))}}catch(t){n.e(t)}finally{n.f()}}}},{key:"_updateStyle",value:function(t){this.style&&(nO.removeCssText(t,this.style),this.style=null),this.data.style&&(nO.addCssText(t,this.data.style),this.style=this.data.style)}},{key:"_contentToString",value:function(t){return"string"==typeof t?t:t&&"outerHTML"in t?t.outerHTML:t}},{key:"_updateEditStatus",value:function(){this.options&&("boolean"==typeof this.options.editable?this.editable={updateTime:this.options.editable,updateGroup:this.options.editable,remove:this.options.editable}:"object"===Dc(this.options.editable)&&(this.editable={},nO.selectiveExtend(["updateTime","updateGroup","remove"],this.editable,this.options.editable))),this.options&&this.options.editable&&!0===this.options.editable.overrideItems||this.data&&("boolean"==typeof this.data.editable?this.editable={updateTime:this.data.editable,updateGroup:this.data.editable,remove:this.data.editable}:"object"===Dc(this.data.editable)&&(this.editable={},nO.selectiveExtend(["updateTime","updateGroup","remove"],this.editable,this.data.editable)))}},{key:"getWidthLeft",value:function(){return 0}},{key:"getWidthRight",value:function(){return 0}},{key:"getTitle",value:function(){var t;return this.options.tooltip&&this.options.tooltip.template?Td(t=this.options.tooltip.template).call(t,this)(this._getItemData(),this.data):this.data.title}}]),t}();nE.prototype.stack=!0;var rE=function(t){Kb(i,t);var e=function(t){var e=function(){if("undefined"==typeof Reflect||!jb)return!1;if(jb.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(jb(Boolean,[],(function(){}))),!0}catch(t){return!1}}();return function(){var i,n=e_(t);if(e){var r=e_(this).constructor;i=jb(n,arguments,r)}else i=n.apply(this,arguments);return Zb(this,i)}}(i);function i(t,n,r){var o;if(su(this,i),(o=e.call(this,t,n,r)).props={dot:{width:0,height:0},line:{width:0,height:0}},t&&null==t.start)throw new Error('Property "start" missing in item '.concat(t));return o}return cu(i,[{key:"isVisible",value:function(t){if(this.cluster)return!1;var e=this.data.align||this.options.align,i=this.width*t.getMillisecondsPerPixel();return"right"==e?this.data.start.getTime()>t.start&&this.data.start.getTime()-i<t.end:"left"==e?this.data.start.getTime()+i>t.start&&this.data.start.getTime()<t.end:this.data.start.getTime()+i/2>t.start&&this.data.start.getTime()-i/2<t.end}},{key:"_createDomElement",value:function(){this.dom||(this.dom={},this.dom.box=document.createElement("DIV"),this.dom.content=document.createElement("DIV"),this.dom.content.className="vis-item-content",this.dom.box.appendChild(this.dom.content),this.dom.line=document.createElement("DIV"),this.dom.line.className="vis-line",this.dom.dot=document.createElement("DIV"),this.dom.dot.className="vis-dot",this.dom.box["vis-item"]=this,this.dirty=!0)}},{key:"_appendDomElement",value:function(){if(!this.parent)throw new Error("Cannot redraw item: no parent attached");if(!this.dom.box.parentNode){var t=this.parent.dom.foreground;if(!t)throw new Error("Cannot redraw item: parent has no foreground container element");t.appendChild(this.dom.box)}if(!this.dom.line.parentNode){var e=this.parent.dom.background;if(!e)throw new Error("Cannot redraw item: parent has no background container element");e.appendChild(this.dom.line)}if(!this.dom.dot.parentNode){var i=this.parent.dom.axis;if(!e)throw new Error("Cannot redraw item: parent has no axis container element");i.appendChild(this.dom.dot)}this.displayed=!0}},{key:"_updateDirtyDomComponents",value:function(){if(this.dirty){this._updateContents(this.dom.content),this._updateDataAttributes(this.dom.box),this._updateStyle(this.dom.box);var t=this.editable.updateTime||this.editable.updateGroup,e=(this.data.className?" "+this.data.className:"")+(this.selected?" vis-selected":"")+(t?" vis-editable":" vis-readonly");this.dom.box.className="vis-item vis-box".concat(e),this.dom.line.className="vis-item vis-line".concat(e),this.dom.dot.className="vis-item vis-dot".concat(e)}}},{key:"_getDomComponentsSizes",value:function(){return{previous:{right:this.dom.box.style.right,left:this.dom.box.style.left},dot:{height:this.dom.dot.offsetHeight,width:this.dom.dot.offsetWidth},line:{width:this.dom.line.offsetWidth},box:{width:this.dom.box.offsetWidth,height:this.dom.box.offsetHeight}}}},{key:"_updateDomComponentsSizes",value:function(t){this.options.rtl?this.dom.box.style.right="0px":this.dom.box.style.left="0px",this.props.dot.height=t.dot.height,this.props.dot.width=t.dot.width,this.props.line.width=t.line.width,this.width=t.box.width,this.height=t.box.height,this.options.rtl?this.dom.box.style.right=t.previous.right:this.dom.box.style.left=t.previous.left,this.dirty=!1}},{key:"_repaintDomAdditionals",value:function(){this._repaintOnItemUpdateTimeTooltip(this.dom.box),this._repaintDragCenter(),this._repaintDeleteButton(this.dom.box)}},{key:"redraw",value:function(t){var e,i,n,r,o,s,a=this,l=[Td(e=this._createDomElement).call(e,this),Td(i=this._appendDomElement).call(i,this),Td(n=this._updateDirtyDomComponents).call(n,this),function(){a.dirty&&(o=a._getDomComponentsSizes())},function(){var t;a.dirty&&Td(t=a._updateDomComponentsSizes).call(t,a)(o)},Td(r=this._repaintDomAdditionals).call(r,this)];return t?l:(zd(l).call(l,(function(t){s=t()})),s)}},{key:"show",value:function(t){if(!this.displayed)return this.redraw(t)}},{key:"hide",value:function(){if(this.displayed){var t=this.dom;t.box.remove?t.box.remove():t.box.parentNode&&t.box.parentNode.removeChild(t.box),t.line.remove?t.line.remove():t.line.parentNode&&t.line.parentNode.removeChild(t.line),t.dot.remove?t.dot.remove():t.dot.parentNode&&t.dot.parentNode.removeChild(t.dot),this.displayed=!1}}},{key:"repositionXY",value:function(){var t=this.options.rtl,e=function(t,e,i){var n,r=arguments.length>3&&void 0!==arguments[3]&&arguments[3];if(void 0!==e||void 0!==i){var o=r?-1*e:e;t.style.transform=void 0!==i?void 0!==e?Nc(n="translate(".concat(o,"px, ")).call(n,i,"px)"):"translateY(".concat(i,"px)"):"translateX(".concat(o,"px)")}};e(this.dom.box,this.boxX,this.boxY,t),e(this.dom.dot,this.dotX,this.dotY,t),e(this.dom.line,this.lineX,this.lineY,t)}},{key:"repositionX",value:function(){var t=this.conversion.toScreen(this.data.start),e=void 0===this.data.align?this.options.align:this.data.align,i=this.props.line.width,n=this.props.dot.width;"right"==e?(this.boxX=t-this.width,this.lineX=t-i,this.dotX=t-i/2-n/2):"left"==e?(this.boxX=t,this.lineX=t,this.dotX=t+i/2-n/2):(this.boxX=t-this.width/2,this.lineX=this.options.rtl?t-i:t-i/2,this.dotX=t-n/2),this.options.rtl?this.right=this.boxX:this.left=this.boxX,this.repositionXY()}},{key:"repositionY",value:function(){var t=this.options.orientation.item,e=this.dom.line.style;if("top"==t){var i=this.parent.top+this.top+1;this.boxY=this.top||0,e.height="".concat(i,"px"),e.bottom="",e.top="0"}else{var n=this.parent.itemSet.props.height-this.parent.top-this.parent.height+this.top;this.boxY=this.parent.height-this.top-(this.height||0),e.height="".concat(n,"px"),e.top="",e.bottom="0"}this.dotY=-this.props.dot.height/2,this.repositionXY()}},{key:"getWidthLeft",value:function(){return this.width/2}},{key:"getWidthRight",value:function(){return this.width/2}}]),i}(nE);var oE=function(t){Kb(i,t);var e=function(t){var e=function(){if("undefined"==typeof Reflect||!jb)return!1;if(jb.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(jb(Boolean,[],(function(){}))),!0}catch(t){return!1}}();return function(){var i,n=e_(t);if(e){var r=e_(this).constructor;i=jb(n,arguments,r)}else i=n.apply(this,arguments);return Zb(this,i)}}(i);function i(t,n,r){var o;if(su(this,i),(o=e.call(this,t,n,r)).props={dot:{top:0,width:0,height:0},content:{height:0,marginLeft:0,marginRight:0}},t&&null==t.start)throw new Error('Property "start" missing in item '.concat(t));return o}return cu(i,[{key:"isVisible",value:function(t){if(this.cluster)return!1;var e=this.width*t.getMillisecondsPerPixel();return this.data.start.getTime()+e>t.start&&this.data.start<t.end}},{key:"_createDomElement",value:function(){this.dom||(this.dom={},this.dom.point=document.createElement("div"),this.dom.content=document.createElement("div"),this.dom.content.className="vis-item-content",this.dom.point.appendChild(this.dom.content),this.dom.dot=document.createElement("div"),this.dom.point.appendChild(this.dom.dot),this.dom.point["vis-item"]=this,this.dirty=!0)}},{key:"_appendDomElement",value:function(){if(!this.parent)throw new Error("Cannot redraw item: no parent attached");if(!this.dom.point.parentNode){var t=this.parent.dom.foreground;if(!t)throw new Error("Cannot redraw item: parent has no foreground container element");t.appendChild(this.dom.point)}this.displayed=!0}},{key:"_updateDirtyDomComponents",value:function(){if(this.dirty){this._updateContents(this.dom.content),this._updateDataAttributes(this.dom.point),this._updateStyle(this.dom.point);var t=this.editable.updateTime||this.editable.updateGroup,e=(this.data.className?" "+this.data.className:"")+(this.selected?" vis-selected":"")+(t?" vis-editable":" vis-readonly");this.dom.point.className="vis-item vis-point".concat(e),this.dom.dot.className="vis-item vis-dot".concat(e)}}},{key:"_getDomComponentsSizes",value:function(){return{dot:{width:this.dom.dot.offsetWidth,height:this.dom.dot.offsetHeight},content:{width:this.dom.content.offsetWidth,height:this.dom.content.offsetHeight},point:{width:this.dom.point.offsetWidth,height:this.dom.point.offsetHeight}}}},{key:"_updateDomComponentsSizes",value:function(t){this.props.dot.width=t.dot.width,this.props.dot.height=t.dot.height,this.props.content.height=t.content.height,this.options.rtl?this.dom.content.style.marginRight="".concat(this.props.dot.width/2,"px"):this.dom.content.style.marginLeft="".concat(this.props.dot.width/2,"px"),this.width=t.point.width,this.height=t.point.height,this.dom.dot.style.top="".concat((this.height-this.props.dot.height)/2,"px");var e=this.props.dot.width,i=this.options.rtl?e/2:e/2*-1;this.dom.dot.style.transform="translateX(".concat(i,"px"),this.dirty=!1}},{key:"_repaintDomAdditionals",value:function(){this._repaintOnItemUpdateTimeTooltip(this.dom.point),this._repaintDragCenter(),this._repaintDeleteButton(this.dom.point)}},{key:"redraw",value:function(t){var e,i,n,r,o,s,a=this,l=[Td(e=this._createDomElement).call(e,this),Td(i=this._appendDomElement).call(i,this),Td(n=this._updateDirtyDomComponents).call(n,this),function(){a.dirty&&(o=a._getDomComponentsSizes())},function(){var t;a.dirty&&Td(t=a._updateDomComponentsSizes).call(t,a)(o)},Td(r=this._repaintDomAdditionals).call(r,this)];return t?l:(zd(l).call(l,(function(t){s=t()})),s)}},{key:"repositionXY",value:function(){var t=this.options.rtl;!function(t,e,i){var n,r=arguments.length>3&&void 0!==arguments[3]&&arguments[3];if(void 0!==e||void 0!==i){var o=r?-1*e:e;t.style.transform=void 0!==i?void 0!==e?Nc(n="translate(".concat(o,"px, ")).call(n,i,"px)"):"translateY(".concat(i,"px)"):"translateX(".concat(o,"px)")}}(this.dom.point,this.pointX,this.pointY,t)}},{key:"show",value:function(t){if(!this.displayed)return this.redraw(t)}},{key:"hide",value:function(){this.displayed&&(this.dom.point.parentNode&&this.dom.point.parentNode.removeChild(this.dom.point),this.displayed=!1)}},{key:"repositionX",value:function(){var t=this.conversion.toScreen(this.data.start);this.pointX=t,this.options.rtl?this.right=t-this.props.dot.width:this.left=t-this.props.dot.width,this.repositionXY()}},{key:"repositionY",value:function(){var t=this.options.orientation.item;this.pointY="top"==t?this.top:this.parent.height-this.top-this.height,this.repositionXY()}},{key:"getWidthLeft",value:function(){return this.props.dot.width}},{key:"getWidthRight",value:function(){return this.props.dot.width}}]),i}(nE);var sE=function(t){Kb(i,t);var e=function(t){var e=function(){if("undefined"==typeof Reflect||!jb)return!1;if(jb.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(jb(Boolean,[],(function(){}))),!0}catch(t){return!1}}();return function(){var i,n=e_(t);if(e){var r=e_(this).constructor;i=jb(n,arguments,r)}else i=n.apply(this,arguments);return Zb(this,i)}}(i);function i(t,n,r){var o;if(su(this,i),(o=e.call(this,t,n,r)).props={content:{width:0}},o.overflow=!1,t){if(null==t.start)throw new Error('Property "start" missing in item '.concat(t.id));if(null==t.end)throw new Error('Property "end" missing in item '.concat(t.id))}return o}return cu(i,[{key:"isVisible",value:function(t){return!this.cluster&&this.data.start<t.end&&this.data.end>t.start}},{key:"_createDomElement",value:function(){this.dom||(this.dom={},this.dom.box=document.createElement("div"),this.dom.frame=document.createElement("div"),this.dom.frame.className="vis-item-overflow",this.dom.box.appendChild(this.dom.frame),this.dom.visibleFrame=document.createElement("div"),this.dom.visibleFrame.className="vis-item-visible-frame",this.dom.box.appendChild(this.dom.visibleFrame),this.dom.content=document.createElement("div"),this.dom.content.className="vis-item-content",this.dom.frame.appendChild(this.dom.content),this.dom.box["vis-item"]=this,this.dirty=!0)}},{key:"_appendDomElement",value:function(){if(!this.parent)throw new Error("Cannot redraw item: no parent attached");if(!this.dom.box.parentNode){var t=this.parent.dom.foreground;if(!t)throw new Error("Cannot redraw item: parent has no foreground container element");t.appendChild(this.dom.box)}this.displayed=!0}},{key:"_updateDirtyDomComponents",value:function(){if(this.dirty){this._updateContents(this.dom.content),this._updateDataAttributes(this.dom.box),this._updateStyle(this.dom.box);var t=this.editable.updateTime||this.editable.updateGroup,e=(this.data.className?" "+this.data.className:"")+(this.selected?" vis-selected":"")+(t?" vis-editable":" vis-readonly");this.dom.box.className=this.baseClassName+e,this.dom.content.style.maxWidth="none"}}},{key:"_getDomComponentsSizes",value:function(){return this.overflow="hidden"!==window.getComputedStyle(this.dom.frame).overflow,this.whiteSpace="nowrap"!==window.getComputedStyle(this.dom.content).whiteSpace,{content:{width:this.dom.content.offsetWidth},box:{height:this.dom.box.offsetHeight}}}},{key:"_updateDomComponentsSizes",value:function(t){this.props.content.width=t.content.width,this.height=t.box.height,this.dom.content.style.maxWidth="",this.dirty=!1}},{key:"_repaintDomAdditionals",value:function(){this._repaintOnItemUpdateTimeTooltip(this.dom.box),this._repaintDeleteButton(this.dom.box),this._repaintDragCenter(),this._repaintDragLeft(),this._repaintDragRight()}},{key:"redraw",value:function(t){var e,i,n,r,o,s,a=this,l=[Td(e=this._createDomElement).call(e,this),Td(i=this._appendDomElement).call(i,this),Td(n=this._updateDirtyDomComponents).call(n,this),function(){var t;a.dirty&&(o=Td(t=a._getDomComponentsSizes).call(t,a)())},function(){var t;a.dirty&&Td(t=a._updateDomComponentsSizes).call(t,a)(o)},Td(r=this._repaintDomAdditionals).call(r,this)];return t?l:(zd(l).call(l,(function(t){s=t()})),s)}},{key:"show",value:function(t){if(!this.displayed)return this.redraw(t)}},{key:"hide",value:function(){if(this.displayed){var t=this.dom.box;t.parentNode&&t.parentNode.removeChild(t),this.displayed=!1}}},{key:"repositionX",value:function(t){var e,i,n=this.parent.width,r=this.conversion.toScreen(this.data.start),o=this.conversion.toScreen(this.data.end),s=void 0===this.data.align?this.options.align:this.data.align;!1===this.data.limitSize||void 0!==t&&!0!==t||(r<-n&&(r=-n),o>2*n&&(o=2*n));var a=Math.max(Math.round(1e3*(o-r))/1e3,1);switch(this.overflow?(this.options.rtl?this.right=r:this.left=r,this.width=a+this.props.content.width,i=this.props.content.width):(this.options.rtl?this.right=r:this.left=r,this.width=a,i=Math.min(o-r,this.props.content.width)),this.options.rtl?this.dom.box.style.transform="translateX(".concat(-1*this.right,"px)"):this.dom.box.style.transform="translateX(".concat(this.left,"px)"),this.dom.box.style.width="".concat(a,"px"),this.whiteSpace&&(this.height=this.dom.box.offsetHeight),s){case"left":this.dom.content.style.transform="translateX(0)";break;case"right":if(this.options.rtl){var l=-1*Math.max(a-i,0);this.dom.content.style.transform="translateX(".concat(l,"px)")}else this.dom.content.style.transform="translateX(".concat(Math.max(a-i,0),"px)");break;case"center":if(this.options.rtl){var h=-1*Math.max((a-i)/2,0);this.dom.content.style.transform="translateX(".concat(h,"px)")}else this.dom.content.style.transform="translateX(".concat(Math.max((a-i)/2,0),"px)");break;default:if(e=this.overflow?o>0?Math.max(-r,0):-i:r<0?-r:0,this.options.rtl){var u=-1*e;this.dom.content.style.transform="translateX(".concat(u,"px)")}else this.dom.content.style.transform="translateX(".concat(e,"px)")}}},{key:"repositionY",value:function(){var t=this.options.orientation.item;this.dom.box.style.top="".concat("top"==t?this.top:this.parent.height-this.top-this.height,"px")}},{key:"_repaintDragLeft",value:function(){if((this.selected||this.options.itemsAlwaysDraggable.range)&&this.editable.updateTime&&!this.dom.dragLeft){var t=document.createElement("div");t.className="vis-drag-left",t.dragLeftItem=this,this.dom.box.appendChild(t),this.dom.dragLeft=t}else this.selected||this.options.itemsAlwaysDraggable.range||!this.dom.dragLeft||(this.dom.dragLeft.parentNode&&this.dom.dragLeft.parentNode.removeChild(this.dom.dragLeft),this.dom.dragLeft=null)}},{key:"_repaintDragRight",value:function(){if((this.selected||this.options.itemsAlwaysDraggable.range)&&this.editable.updateTime&&!this.dom.dragRight){var t=document.createElement("div");t.className="vis-drag-right",t.dragRightItem=this,this.dom.box.appendChild(t),this.dom.dragRight=t}else this.selected||this.options.itemsAlwaysDraggable.range||!this.dom.dragRight||(this.dom.dragRight.parentNode&&this.dom.dragRight.parentNode.removeChild(this.dom.dragRight),this.dom.dragRight=null)}}]),i}(nE);sE.prototype.baseClassName="vis-item vis-range";var aE=function(t){Kb(i,t);var e=function(t){var e=function(){if("undefined"==typeof Reflect||!jb)return!1;if(jb.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(jb(Boolean,[],(function(){}))),!0}catch(t){return!1}}();return function(){var i,n=e_(t);if(e){var r=e_(this).constructor;i=jb(n,arguments,r)}else i=n.apply(this,arguments);return Zb(this,i)}}(i);function i(t,n,r){var o;if(su(this,i),(o=e.call(this,t,n,r)).props={content:{width:0}},o.overflow=!1,t){if(null==t.start)throw new Error('Property "start" missing in item '.concat(t.id));if(null==t.end)throw new Error('Property "end" missing in item '.concat(t.id))}return o}return cu(i,[{key:"isVisible",value:function(t){return this.data.start<t.end&&this.data.end>t.start}},{key:"_createDomElement",value:function(){this.dom||(this.dom={},this.dom.box=document.createElement("div"),this.dom.frame=document.createElement("div"),this.dom.frame.className="vis-item-overflow",this.dom.box.appendChild(this.dom.frame),this.dom.content=document.createElement("div"),this.dom.content.className="vis-item-content",this.dom.frame.appendChild(this.dom.content),this.dirty=!0)}},{key:"_appendDomElement",value:function(){if(!this.parent)throw new Error("Cannot redraw item: no parent attached");if(!this.dom.box.parentNode){var t=this.parent.dom.background;if(!t)throw new Error("Cannot redraw item: parent has no background container element");t.appendChild(this.dom.box)}this.displayed=!0}},{key:"_updateDirtyDomComponents",value:function(){if(this.dirty){this._updateContents(this.dom.content),this._updateDataAttributes(this.dom.content),this._updateStyle(this.dom.box);var t=(this.data.className?" "+this.data.className:"")+(this.selected?" vis-selected":"");this.dom.box.className=this.baseClassName+t}}},{key:"_getDomComponentsSizes",value:function(){return this.overflow="hidden"!==window.getComputedStyle(this.dom.content).overflow,{content:{width:this.dom.content.offsetWidth}}}},{key:"_updateDomComponentsSizes",value:function(t){this.props.content.width=t.content.width,this.height=0,this.dirty=!1}},{key:"_repaintDomAdditionals",value:function(){}},{key:"redraw",value:function(t){var e,i,n,r,o,s,a=this,l=[Td(e=this._createDomElement).call(e,this),Td(i=this._appendDomElement).call(i,this),Td(n=this._updateDirtyDomComponents).call(n,this),function(){var t;a.dirty&&(o=Td(t=a._getDomComponentsSizes).call(t,a)())},function(){var t;a.dirty&&Td(t=a._updateDomComponentsSizes).call(t,a)(o)},Td(r=this._repaintDomAdditionals).call(r,this)];return t?l:(zd(l).call(l,(function(t){s=t()})),s)}},{key:"repositionY",value:function(t){var e,i=this.options.orientation.item;if(void 0!==this.data.subgroup){var n=this.data.subgroup;this.dom.box.style.height="".concat(this.parent.subgroups[n].height,"px"),this.dom.box.style.top="".concat("top"==i?this.parent.top+this.parent.subgroups[n].top:this.parent.top+this.parent.height-this.parent.subgroups[n].top-this.parent.subgroups[n].height,"px"),this.dom.box.style.bottom=""}else this.parent instanceof eE?(e=Math.max(this.parent.height,this.parent.itemSet.body.domProps.center.height,this.parent.itemSet.body.domProps.centerContainer.height),this.dom.box.style.bottom="bottom"==i?"0":"",this.dom.box.style.top="top"==i?"0":""):(e=this.parent.height,this.dom.box.style.top="".concat(this.parent.top,"px"),this.dom.box.style.bottom="");this.dom.box.style.height="".concat(e,"px")}}]),i}(nE);aE.prototype.baseClassName="vis-item vis-background",aE.prototype.stack=!1,aE.prototype.show=sE.prototype.show,aE.prototype.hide=sE.prototype.hide,aE.prototype.repositionX=sE.prototype.repositionX,JO("div.vis-tooltip{background-color:#f5f4ed;border:1px solid #808074;-moz-border-radius:3px;-webkit-border-radius:3px;border-radius:3px;box-shadow:3px 3px 10px rgba(0,0,0,.2);color:#000;font-family:verdana;font-size:14px;padding:5px;pointer-events:none;position:absolute;visibility:hidden;white-space:nowrap;z-index:5}");var lE=function(){function t(e,i){su(this,t),this.container=e,this.overflowMethod=i||"cap",this.x=0,this.y=0,this.padding=5,this.hidden=!1,this.frame=document.createElement("div"),this.frame.className="vis-tooltip",this.container.appendChild(this.frame)}return cu(t,[{key:"setPosition",value:function(t,e){this.x=Qf(t),this.y=Qf(e)}},{key:"setText",value:function(t){t instanceof Element?(this.frame.innerHTML="",this.frame.appendChild(t)):this.frame.innerHTML=nO.xss(t)}},{key:"show",value:function(t){if(void 0===t&&(t=!0),!0===t){var e=this.frame.clientHeight,i=this.frame.clientWidth,n=this.frame.parentNode.clientHeight,r=this.frame.parentNode.clientWidth,o=0,s=0;if("flip"==this.overflowMethod||"none"==this.overflowMethod){var a=!1,l=!0;"flip"==this.overflowMethod&&(this.y-e<this.padding&&(l=!1),this.x+i>r-this.padding&&(a=!0)),o=a?this.x-i:this.x,s=l?this.y-e:this.y}else(s=this.y-e)+e+this.padding>n&&(s=n-e-this.padding),s<this.padding&&(s=this.padding),(o=this.x)+i+this.padding>r&&(o=r-i-this.padding),o<this.padding&&(o=this.padding);this.frame.style.left=o+"px",this.frame.style.top=s+"px",this.frame.style.visibility="visible",this.hidden=!1}else this.hide()}},{key:"hide",value:function(){this.hidden=!0,this.frame.style.left="0",this.frame.style.top="0",this.frame.style.visibility="hidden"}},{key:"destroy",value:function(){this.frame.parentNode.removeChild(this.frame)}}]),t}(),hE={exports:{}},uE=Ka.every;On({target:"Array",proto:!0,forced:!Ed("every")},{every:function(t){return uE(this,t,arguments.length>1?arguments[1]:void 0)}});var cE=ac("Array").every,dE=ge,pE=cE,fE=Array.prototype,mE=function(t){var e=t.every;return t===fE||dE(fE,t)&&e===fE.every?pE:e};!function(t){t.exports=mE}(hE);var vE=n(hE.exports);function gE(t,e){var i=void 0!==Tc&&la(t)||t["@@iterator"];if(!i){if(zc(t)||(i=function(t,e){var i;if(t){if("string"==typeof t)return yE(t,e);var n=Fc(i=Object.prototype.toString.call(t)).call(i,8,-1);return"Object"===n&&t.constructor&&(n=t.constructor.name),"Map"===n||"Set"===n?Gs(t):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?yE(t,e):void 0}}(t))||e&&t&&"number"==typeof t.length){i&&(t=i);var n=0,r=function(){};return{s:r,n:function(){return n>=t.length?{done:!0}:{done:!1,value:t[n++]}},e:function(t){throw t},f:r}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var o,s=!0,a=!1;return{s:function(){i=i.call(t)},n:function(){var t=i.next();return s=t.done,t},e:function(t){a=!0,o=t},f:function(){try{s||null==i.return||i.return()}finally{if(a)throw o}}}}function yE(t,e){(null==e||e>t.length)&&(e=t.length);for(var i=0,n=new Array(e);i<e;i++)n[i]=t[i];return n}var bE=function(t){Kb(i,t);var e=function(t){var e=function(){if("undefined"==typeof Reflect||!jb)return!1;if(jb.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(jb(Boolean,[],(function(){}))),!0}catch(t){return!1}}();return function(){var i,n=e_(t);if(e){var r=e_(this).constructor;i=jb(n,arguments,r)}else i=n.apply(this,arguments);return Zb(this,i)}}(i);function i(t,n,r){var o;su(this,i);var s=Rp({},{fitOnDoubleClick:!0},r,{editable:!1});if((o=e.call(this,t,n,s)).props={content:{width:0,height:0}},!t||null==t.uiItems)throw new Error('Property "uiItems" missing in item '+t.id);return o.id=TM(),o.group=t.group,o._setupRange(),o.emitter=o.data.eventEmitter,o.range=o.data.range,o.attached=!1,o.isCluster=!0,o.data.isCluster=!0,o}return cu(i,[{key:"hasItems",value:function(){return this.data.uiItems&&this.data.uiItems.length&&this.attached}},{key:"setUiItems",value:function(t){this.detach(),this.data.uiItems=t,this._setupRange(),this.attach()}},{key:"isVisible",value:function(t){var e=this.data.end?this.data.end-this.data.start:0,i=this.width*t.getMillisecondsPerPixel(),n=Math.max(this.data.start.getTime()+e,this.data.start.getTime()+i);return this.data.start<t.end&&n>t.start&&this.hasItems()}},{key:"getData",value:function(){return{isCluster:!0,id:this.id,items:this.data.items||[],data:this.data}}},{key:"redraw",value:function(t){var e,i,n,r,o,s,a,l,h=[Td(e=this._createDomElement).call(e,this),Td(i=this._appendDomElement).call(i,this),Td(n=this._updateDirtyDomComponents).call(n,this),Td(r=function(){this.dirty&&(a=this._getDomComponentsSizes())}).call(r,this),Td(o=function(){var t;this.dirty&&Td(t=this._updateDomComponentsSizes).call(t,this)(a)}).call(o,this),Td(s=this._repaintDomAdditionals).call(s,this)];return t?h:(zd(h).call(h,(function(t){l=t()})),l)}},{key:"show",value:function(){this.displayed||this.redraw()}},{key:"hide",value:function(){if(this.displayed){var t=this.dom;t.box.parentNode&&t.box.parentNode.removeChild(t.box),this.options.showStipes&&(t.line.parentNode&&t.line.parentNode.removeChild(t.line),t.dot.parentNode&&t.dot.parentNode.removeChild(t.dot)),this.displayed=!1}}},{key:"repositionX",value:function(){var t=this.conversion.toScreen(this.data.start),e=this.data.end?this.conversion.toScreen(this.data.end):0;if(e)this.repositionXWithRanges(t,e);else{var i=void 0===this.data.align?this.options.align:this.data.align;this.repositionXWithoutRanges(t,i)}this.options.showStipes&&(this.dom.line.style.display=this._isStipeVisible()?"block":"none",this.dom.dot.style.display=this._isStipeVisible()?"block":"none",this._isStipeVisible()&&this.repositionStype(t,e))}},{key:"repositionStype",value:function(t,e){this.dom.line.style.display="block",this.dom.dot.style.display="block";var i=this.dom.line.offsetWidth,n=this.dom.dot.offsetWidth;if(e){var r=i+t+(e-t)/2,o=r-n/2,s=this.options.rtl?-1*r:r,a=this.options.rtl?-1*o:o;this.dom.line.style.transform="translateX(".concat(s,"px)"),this.dom.dot.style.transform="translateX(".concat(a,"px)")}else{var l=this.options.rtl?-1*t:t,h=this.options.rtl?-1*(t-n/2):t-n/2;this.dom.line.style.transform="translateX(".concat(l,"px)"),this.dom.dot.style.transform="translateX(".concat(h,"px)")}}},{key:"repositionXWithoutRanges",value:function(t,e){"right"==e?this.options.rtl?(this.right=t-this.width,this.dom.box.style.right=this.right+"px"):(this.left=t-this.width,this.dom.box.style.left=this.left+"px"):"left"==e?this.options.rtl?(this.right=t,this.dom.box.style.right=this.right+"px"):(this.left=t,this.dom.box.style.left=this.left+"px"):this.options.rtl?(this.right=t-this.width/2,this.dom.box.style.right=this.right+"px"):(this.left=t-this.width/2,this.dom.box.style.left=this.left+"px")}},{key:"repositionXWithRanges",value:function(t,e){var i=Math.round(Math.max(e-t+.5,1));this.options.rtl?this.right=t:this.left=t,this.width=Math.max(i,this.minWidth||0),this.options.rtl?this.dom.box.style.right=this.right+"px":this.dom.box.style.left=this.left+"px",this.dom.box.style.width=i+"px"}},{key:"repositionY",value:function(){var t=this.options.orientation.item;if(this.dom.box.style.top="top"==t?(this.top||0)+"px":(this.parent.height-this.top-this.height||0)+"px",this.options.showStipes){if("top"==t)this.dom.line.style.top="0",this.dom.line.style.height=this.parent.top+this.top+1+"px",this.dom.line.style.bottom="";else{var e=this.parent.itemSet.props.height,i=e-this.parent.top-this.parent.height+this.top;this.dom.line.style.top=e-i+"px",this.dom.line.style.bottom="0"}this.dom.dot.style.top=-this.dom.dot.offsetHeight/2+"px"}}},{key:"getWidthLeft",value:function(){return this.width/2}},{key:"getWidthRight",value:function(){return this.width/2}},{key:"move",value:function(){this.repositionX(),this.repositionY()}},{key:"attach",value:function(){var t,e,i=gE(this.data.uiItems);try{for(i.s();!(e=i.n()).done;)e.value.cluster=this}catch(t){i.e(t)}finally{i.f()}this.data.items=Kc(t=this.data.uiItems).call(t,(function(t){return t.data})),this.attached=!0,this.dirty=!0}},{key:"detach",value:function(){var t=arguments.length>0&&void 0!==arguments[0]&&arguments[0];if(this.hasItems()){var e,i=gE(this.data.uiItems);try{for(i.s();!(e=i.n()).done;){var n=e.value;delete n.cluster}}catch(t){i.e(t)}finally{i.f()}this.attached=!1,t&&this.group&&(this.group.remove(this),this.group=null),this.data.items=[],this.dirty=!0}}},{key:"_onDoubleClick",value:function(){this._fit()}},{key:"_setupRange",value:function(){var t,e,i,n=Kc(t=this.data.uiItems).call(t,(function(t){return{start:t.data.start.valueOf(),end:t.data.end?t.data.end.valueOf():t.data.start.valueOf()}}));this.data.min=Math.min.apply(Math,Cc(Kc(n).call(n,(function(t){return Math.min(t.start,t.end||t.start)})))),this.data.max=Math.max.apply(Math,Cc(Kc(n).call(n,(function(t){return Math.max(t.start,t.end||t.start)}))));var r=Kc(e=this.data.uiItems).call(e,(function(t){return t.center})),o=yS(r).call(r,(function(t,e){return t+e}),0)/this.data.uiItems.length;FC(i=this.data.uiItems).call(i,(function(t){return t.data.end}))?(this.data.start=new Date(this.data.min),this.data.end=new Date(this.data.max)):(this.data.start=new Date(o),this.data.end=null)}},{key:"_getUiItems",value:function(){var t,e=this;return this.data.uiItems&&this.data.uiItems.length?yf(t=this.data.uiItems).call(t,(function(t){return t.cluster===e})):[]}},{key:"_createDomElement",value:function(){var t;this.dom||(this.dom={},this.dom.box=document.createElement("DIV"),this.dom.content=document.createElement("DIV"),this.dom.content.className="vis-item-content",this.dom.box.appendChild(this.dom.content),this.options.showStipes&&(this.dom.line=document.createElement("DIV"),this.dom.line.className="vis-cluster-line",this.dom.line.style.display="none",this.dom.dot=document.createElement("DIV"),this.dom.dot.className="vis-cluster-dot",this.dom.dot.style.display="none"),this.options.fitOnDoubleClick&&(this.dom.box.ondblclick=Td(t=i.prototype._onDoubleClick).call(t,this)),this.dom.box["vis-item"]=this,this.dirty=!0)}},{key:"_appendDomElement",value:function(){if(!this.parent)throw new Error("Cannot redraw item: no parent attached");if(!this.dom.box.parentNode){var t=this.parent.dom.foreground;if(!t)throw new Error("Cannot redraw item: parent has no foreground container element");t.appendChild(this.dom.box)}var e=this.parent.dom.background;if(this.options.showStipes){if(!this.dom.line.parentNode){if(!e)throw new Error("Cannot redraw item: parent has no background container element");e.appendChild(this.dom.line)}if(!this.dom.dot.parentNode){var i=this.parent.dom.axis;if(!e)throw new Error("Cannot redraw item: parent has no axis container element");i.appendChild(this.dom.dot)}}this.displayed=!0}},{key:"_updateDirtyDomComponents",value:function(){if(this.dirty){this._updateContents(this.dom.content),this._updateDataAttributes(this.dom.box),this._updateStyle(this.dom.box);var t=this.baseClassName+" "+(this.data.className?" "+this.data.className:"")+(this.selected?" vis-selected":"")+" vis-readonly";this.dom.box.className="vis-item "+t,this.options.showStipes&&(this.dom.line.className="vis-item vis-cluster-line "+(this.selected?" vis-selected":""),this.dom.dot.className="vis-item vis-cluster-dot "+(this.selected?" vis-selected":"")),this.data.end&&(this.dom.content.style.maxWidth="none")}}},{key:"_getDomComponentsSizes",value:function(){var t={previous:{right:this.dom.box.style.right,left:this.dom.box.style.left},box:{width:this.dom.box.offsetWidth,height:this.dom.box.offsetHeight}};return this.options.showStipes&&(t.dot={height:this.dom.dot.offsetHeight,width:this.dom.dot.offsetWidth},t.line={width:this.dom.line.offsetWidth}),t}},{key:"_updateDomComponentsSizes",value:function(t){this.options.rtl?this.dom.box.style.right="0px":this.dom.box.style.left="0px",this.data.end?this.minWidth=t.box.width:this.width=t.box.width,this.height=t.box.height,this.options.rtl?this.dom.box.style.right=t.previous.right:this.dom.box.style.left=t.previous.left,this.dirty=!1}},{key:"_repaintDomAdditionals",value:function(){this._repaintOnItemUpdateTimeTooltip(this.dom.box)}},{key:"_isStipeVisible",value:function(){return this.minWidth>=this.width||!this.data.end}},{key:"_getFitRange",value:function(){var t=.05*(this.data.max-this.data.min)/2;return{fitStart:this.data.min-t,fitEnd:this.data.max+t}}},{key:"_fit",value:function(){if(this.emitter){var t=this._getFitRange(),e=t.fitStart,i=t.fitEnd,n={start:new Date(e),end:new Date(i),animation:!0};this.emitter.emit("fit",n)}}},{key:"_getItemData",value:function(){return this.data}}]),i}(nE);function _E(t,e){(null==e||e>t.length)&&(e=t.length);for(var i=0,n=new Array(e);i<e;i++)n[i]=t[i];return n}bE.prototype.baseClassName="vis-item vis-range vis-cluster";var wE=function(){function t(e){su(this,t),this.itemSet=e,this.groups={},this.cache={},this.cache[-1]=[]}return cu(t,[{key:"createClusterItem",value:function(t,e,i){return new bE(t,e,i)}},{key:"setItems",value:function(t,e){this.items=t||[],this.dataChanged=!0,this.applyOnChangedLevel=!1,e&&e.applyOnChangedLevel&&(this.applyOnChangedLevel=e.applyOnChangedLevel)}},{key:"updateData",value:function(){this.dataChanged=!0,this.applyOnChangedLevel=!1}},{key:"getClusters",value:function(t,e,i){var n="boolean"==typeof i?{}:i,r=n.maxItems,o=n.clusterCriteria;o||(o=function(){return!0}),r=r||1;var s=-1,a=0;if(e>0){if(e>=1)return[];s=Math.abs(Math.round(Math.log(100/e)/Math.log(2))),a=Math.abs(Math.pow(2,s))}if(this.dataChanged){var l=s!=this.cacheLevel;(!this.applyOnChangedLevel||l)&&(this._dropLevelsCache(),this._filterData())}this.cacheLevel=s;var h=this.cache[s];if(!h){for(var u in h=[],this.groups)if(this.groups.hasOwnProperty(u))for(var c=this.groups[u],d=c.length,p=0;p<d;){for(var f=c[p],m=1,v=p-1;v>=0&&f.center-c[v].center<a/2;)!c[v].cluster&&o(f.data,c[v].data)&&m++,v--;for(var g=p+1;g<c.length&&c[g].center-f.center<a/2;)o(f.data,c[g].data)&&m++,g++;for(var y=h.length-1;y>=0&&f.center-h[y].center<a;)f.group==h[y].group&&o(f.data,h[y].data)&&m++,y--;if(m>r){for(var b=m-r+1,_=[],w=p;_.length<b&&w<c.length;)o(c[p].data,c[w].data)&&_.push(c[w]),w++;var k=this.itemSet.getGroupId(f.data),x=this.itemSet.groups[k]||this.itemSet.groups.__ungrouped__,S=this._getClusterForItems(_,x,t,i);h.push(S),p+=b}else delete f.cluster,p+=1}this.cache[s]=h}return h}},{key:"_filterData",value:function(){var t={};this.groups=t;for(var e=0,i=Of(this.items);e<i.length;e++){var n=i[e],r=n.parent?n.parent.groupId:"",o=t[r];o||(o=[],t[r]=o),o.push(n),n.data.start&&(n.data.end?n.center=(n.data.start.valueOf()+n.data.end.valueOf())/2:n.center=n.data.start.valueOf())}for(var s in t){var a;t.hasOwnProperty(s)&&OC(a=t[s]).call(a,(function(t,e){return t.center-e.center}))}this.dataChanged=!1}},{key:"_getClusterForItems",value:function(t,e,i,n){var r,o,s=Kc(r=i||[]).call(r,(function(t){var e;return{cluster:t,itemsIds:new HD(Kc(e=t.data.uiItems).call(e,(function(t){return t.id})))}}));if(s.length){var a,l=function(t,e){var i=void 0!==Tc&&la(t)||t["@@iterator"];if(!i){if(zc(t)||(i=function(t,e){var i;if(t){if("string"==typeof t)return _E(t,e);var n=Fc(i=Object.prototype.toString.call(t)).call(i,8,-1);return"Object"===n&&t.constructor&&(n=t.constructor.name),"Map"===n||"Set"===n?Gs(t):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?_E(t,e):void 0}}(t))||e&&t&&"number"==typeof t.length){i&&(t=i);var n=0,r=function(){};return{s:r,n:function(){return n>=t.length?{done:!0}:{done:!1,value:t[n++]}},e:function(t){throw t},f:r}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var o,s=!0,a=!1;return{s:function(){i=i.call(t)},n:function(){var t=i.next();return s=t.done,t},e:function(t){a=!0,o=t},f:function(){try{s||null==i.return||i.return()}finally{if(a)throw o}}}}(s);try{var h=function(){var e=a.value;if(e.itemsIds.size===t.length&&vE(t).call(t,(function(t){return e.itemsIds.has(t.id)})))return o=e.cluster,"break"};for(l.s();!(a=l.n()).done&&"break"!==h(););}catch(t){l.e(t)}finally{l.f()}}if(o)return o.setUiItems(t),o.group!==e&&(o.group&&o.group.remove(o),e&&(e.add(o),o.group=e)),o;var u=n.titleTemplate||"",c={toScreen:this.itemSet.body.util.toScreen,toTime:this.itemSet.body.util.toTime},d=u.replace(/{count}/,t.length),p='<div title="'+d+'">'+t.length+"</div>",f=Rp({},n,this.itemSet.options),m={content:p,title:d,group:e,uiItems:t,eventEmitter:this.itemSet.body.emitter,range:this.itemSet.body.range};return o=this.createClusterItem(m,c,f),e&&(e.add(o),o.group=e),o.attach(),o}},{key:"_dropLevelsCache",value:function(){this.cache={},this.cacheLevel=-1,this.cache[this.cacheLevel]=[]}}]),t}();function kE(t,e){var i=void 0!==Tc&&la(t)||t["@@iterator"];if(!i){if(zc(t)||(i=function(t,e){var i;if(t){if("string"==typeof t)return xE(t,e);var n=Fc(i=Object.prototype.toString.call(t)).call(i,8,-1);return"Object"===n&&t.constructor&&(n=t.constructor.name),"Map"===n||"Set"===n?Gs(t):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?xE(t,e):void 0}}(t))||e&&t&&"number"==typeof t.length){i&&(t=i);var n=0,r=function(){};return{s:r,n:function(){return n>=t.length?{done:!0}:{done:!1,value:t[n++]}},e:function(t){throw t},f:r}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var o,s=!0,a=!1;return{s:function(){i=i.call(t)},n:function(){var t=i.next();return s=t.done,t},e:function(t){a=!0,o=t},f:function(){try{s||null==i.return||i.return()}finally{if(a)throw o}}}}function xE(t,e){(null==e||e>t.length)&&(e=t.length);for(var i=0,n=new Array(e);i<e;i++)n[i]=t[i];return n}JO('.vis-itemset{box-sizing:border-box;margin:0;padding:0;position:relative}.vis-itemset .vis-background,.vis-itemset .vis-foreground{height:100%;overflow:visible;position:absolute;width:100%}.vis-axis{height:0;left:0;position:absolute;width:100%;z-index:1}.vis-foreground .vis-group{border-bottom:1px solid #bfbfbf;box-sizing:border-box;position:relative}.vis-foreground .vis-group:last-child{border-bottom:none}.vis-nesting-group{cursor:pointer}.vis-label.vis-nested-group.vis-group-level-unknown-but-gte1{background:#f5f5f5}.vis-label.vis-nested-group.vis-group-level-0{background-color:#fff}.vis-ltr .vis-label.vis-nested-group.vis-group-level-0 .vis-inner{padding-left:0}.vis-rtl .vis-label.vis-nested-group.vis-group-level-0 .vis-inner{padding-right:0}.vis-label.vis-nested-group.vis-group-level-1{background-color:rgba(0,0,0,.05)}.vis-ltr .vis-label.vis-nested-group.vis-group-level-1 .vis-inner{padding-left:15px}.vis-rtl .vis-label.vis-nested-group.vis-group-level-1 .vis-inner{padding-right:15px}.vis-label.vis-nested-group.vis-group-level-2{background-color:rgba(0,0,0,.1)}.vis-ltr .vis-label.vis-nested-group.vis-group-level-2 .vis-inner{padding-left:30px}.vis-rtl .vis-label.vis-nested-group.vis-group-level-2 .vis-inner{padding-right:30px}.vis-label.vis-nested-group.vis-group-level-3{background-color:rgba(0,0,0,.15)}.vis-ltr .vis-label.vis-nested-group.vis-group-level-3 .vis-inner{padding-left:45px}.vis-rtl .vis-label.vis-nested-group.vis-group-level-3 .vis-inner{padding-right:45px}.vis-label.vis-nested-group.vis-group-level-4{background-color:rgba(0,0,0,.2)}.vis-ltr .vis-label.vis-nested-group.vis-group-level-4 .vis-inner{padding-left:60px}.vis-rtl .vis-label.vis-nested-group.vis-group-level-4 .vis-inner{padding-right:60px}.vis-label.vis-nested-group.vis-group-level-5{background-color:rgba(0,0,0,.25)}.vis-ltr .vis-label.vis-nested-group.vis-group-level-5 .vis-inner{padding-left:75px}.vis-rtl .vis-label.vis-nested-group.vis-group-level-5 .vis-inner{padding-right:75px}.vis-label.vis-nested-group.vis-group-level-6{background-color:rgba(0,0,0,.3)}.vis-ltr .vis-label.vis-nested-group.vis-group-level-6 .vis-inner{padding-left:90px}.vis-rtl .vis-label.vis-nested-group.vis-group-level-6 .vis-inner{padding-right:90px}.vis-label.vis-nested-group.vis-group-level-7{background-color:rgba(0,0,0,.35)}.vis-ltr .vis-label.vis-nested-group.vis-group-level-7 .vis-inner{padding-left:105px}.vis-rtl .vis-label.vis-nested-group.vis-group-level-7 .vis-inner{padding-right:105px}.vis-label.vis-nested-group.vis-group-level-8{background-color:rgba(0,0,0,.4)}.vis-ltr .vis-label.vis-nested-group.vis-group-level-8 .vis-inner{padding-left:120px}.vis-rtl .vis-label.vis-nested-group.vis-group-level-8 .vis-inner{padding-right:120px}.vis-label.vis-nested-group.vis-group-level-9{background-color:rgba(0,0,0,.45)}.vis-ltr .vis-label.vis-nested-group.vis-group-level-9 .vis-inner{padding-left:135px}.vis-rtl .vis-label.vis-nested-group.vis-group-level-9 .vis-inner{padding-right:135px}.vis-label.vis-nested-group{background-color:rgba(0,0,0,.5)}.vis-ltr .vis-label.vis-nested-group .vis-inner{padding-left:150px}.vis-rtl .vis-label.vis-nested-group .vis-inner{padding-right:150px}.vis-group-level-unknown-but-gte1{border:1px solid red}.vis-label.vis-nesting-group:before{display:inline-block;width:15px}.vis-label.vis-nesting-group.expanded:before{content:"\\25BC"}.vis-label.vis-nesting-group.collapsed:before{content:"\\25B6"}.vis-rtl .vis-label.vis-nesting-group.collapsed:before{content:"\\25C0"}.vis-ltr .vis-label:not(.vis-nesting-group):not(.vis-group-level-0){padding-left:15px}.vis-rtl .vis-label:not(.vis-nesting-group):not(.vis-group-level-0){padding-right:15px}.vis-overlay{height:100%;left:0;position:absolute;top:0;width:100%;z-index:10}'),JO(".vis-labelset{overflow:hidden}.vis-labelset,.vis-labelset .vis-label{box-sizing:border-box;position:relative}.vis-labelset .vis-label{border-bottom:1px solid #bfbfbf;color:#4d4d4d;left:0;top:0;width:100%}.vis-labelset .vis-label.draggable{cursor:pointer}.vis-group-is-dragging{background:rgba(0,0,0,.1)}.vis-labelset .vis-label:last-child{border-bottom:none}.vis-labelset .vis-label .vis-inner{display:inline-block;padding:5px}.vis-labelset .vis-label .vis-inner.vis-hidden{padding:0}");var SE="__ungrouped__",DE="__background__",CE=function(t){Kb(i,t);var e=function(t){var e=function(){if("undefined"==typeof Reflect||!jb)return!1;if(jb.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(jb(Boolean,[],(function(){}))),!0}catch(t){return!1}}();return function(){var i,n=e_(t);if(e){var r=e_(this).constructor;i=jb(n,arguments,r)}else i=n.apply(this,arguments);return Zb(this,i)}}(i);function i(t,n){var r;su(this,i),(r=e.call(this)).body=t,r.defaultOptions={type:null,orientation:{item:"bottom"},align:"auto",stack:!0,stackSubgroups:!0,groupOrderSwap:function(t,e,i){var n=e.order;e.order=t.order,t.order=n},groupOrder:"order",selectable:!0,multiselect:!1,longSelectPressTime:251,itemsAlwaysDraggable:{item:!1,range:!1},editable:{updateTime:!1,updateGroup:!1,add:!1,remove:!1,overrideItems:!1},groupEditable:{order:!1,add:!1,remove:!1},snap:ZO.snap,onDropObjectOnItem:function(t,e,i){i(e)},onAdd:function(t,e){e(t)},onUpdate:function(t,e){e(t)},onMove:function(t,e){e(t)},onRemove:function(t,e){e(t)},onMoving:function(t,e){e(t)},onAddGroup:function(t,e){e(t)},onMoveGroup:function(t,e){e(t)},onRemoveGroup:function(t,e){e(t)},margin:{item:{horizontal:10,vertical:10},axis:20},showTooltips:!0,tooltip:{followMouse:!1,overflowMethod:"flip",delay:500},tooltipOnItemUpdateTime:!1},r.options=nO.extend({},r.defaultOptions),r.options.rtl=n.rtl,r.options.onTimeout=n.onTimeout,r.conversion={toScreen:t.util.toScreen,toTime:t.util.toTime},r.dom={},r.props={},r.hammer=null;var o=Yb(r);return r.itemsData=null,r.groupsData=null,r.itemsSettingTime=null,r.initialItemSetDrawn=!1,r.userContinueNotBail=null,r.sequentialSelection=!1,r.itemListeners={add:function(t,e,i){o._onAdd(e.items),o.options.cluster&&o.clusterGenerator.setItems(o.items,{applyOnChangedLevel:!1}),o.redraw()},update:function(t,e,i){o._onUpdate(e.items),o.options.cluster&&o.clusterGenerator.setItems(o.items,{applyOnChangedLevel:!1}),o.redraw()},remove:function(t,e,i){o._onRemove(e.items),o.options.cluster&&o.clusterGenerator.setItems(o.items,{applyOnChangedLevel:!1}),o.redraw()}},r.groupListeners={add:function(t,e,i){if(o._onAddGroups(e.items),o.groupsData&&o.groupsData.length>0){var n,r=o.groupsData.getDataSet();zd(n=r.get()).call(n,(function(t){if(t.nestedGroups){var e;0!=t.showNested&&(t.showNested=!0);var n=[];zd(e=t.nestedGroups).call(e,(function(e){var i=r.get(e);i&&(i.nestedInGroup=t.id,0==t.showNested&&(i.visible=!1),n=Nc(n).call(n,i))})),r.update(n,i)}}))}},update:function(t,e,i){o._onUpdateGroups(e.items)},remove:function(t,e,i){o._onRemoveGroups(e.items)}},r.items={},r.groups={},r.groupIds=[],r.selection=[],r.popup=null,r.popupTimer=null,r.touchParams={},r.groupTouchParams={group:null,isDragging:!1},r._create(),r.setOptions(n),r.clusters=[],r}return cu(i,[{key:"_create",value:function(){var t,e,i,n,r,o,s,a,l,h,u,c,d,p,f,m=this,v=document.createElement("div");v.className="vis-itemset",v["vis-itemset"]=this,this.dom.frame=v;var g=document.createElement("div");g.className="vis-background",v.appendChild(g),this.dom.background=g;var y=document.createElement("div");y.className="vis-foreground",v.appendChild(y),this.dom.foreground=y;var b=document.createElement("div");b.className="vis-axis",this.dom.axis=b;var _=document.createElement("div");_.className="vis-labelset",this.dom.labelSet=_,this._updateUngrouped();var w=new eE(DE,null,this);w.show(),this.groups[DE]=w,this.hammer=new $O(this.body.dom.centerContainer),this.hammer.on("hammer.input",(function(t){t.isFirst&&m._onTouch(t)})),this.hammer.on("panstart",Td(t=this._onDragStart).call(t,this)),this.hammer.on("panmove",Td(e=this._onDrag).call(e,this)),this.hammer.on("panend",Td(i=this._onDragEnd).call(i,this)),this.hammer.get("pan").set({threshold:5,direction:$O.ALL}),this.hammer.get("press").set({time:1e4}),this.hammer.on("tap",Td(n=this._onSelectItem).call(n,this)),this.hammer.on("press",Td(r=this._onMultiSelectItem).call(r,this)),this.hammer.get("press").set({time:1e4}),this.hammer.on("doubletap",Td(o=this._onAddItem).call(o,this)),this.options.rtl?this.groupHammer=new $O(this.body.dom.rightContainer):this.groupHammer=new $O(this.body.dom.leftContainer),this.groupHammer.on("tap",Td(s=this._onGroupClick).call(s,this)),this.groupHammer.on("panstart",Td(a=this._onGroupDragStart).call(a,this)),this.groupHammer.on("panmove",Td(l=this._onGroupDrag).call(l,this)),this.groupHammer.on("panend",Td(h=this._onGroupDragEnd).call(h,this)),this.groupHammer.get("pan").set({threshold:5,direction:$O.DIRECTION_VERTICAL}),this.body.dom.centerContainer.addEventListener("mouseover",Td(u=this._onMouseOver).call(u,this)),this.body.dom.centerContainer.addEventListener("mouseout",Td(c=this._onMouseOut).call(c,this)),this.body.dom.centerContainer.addEventListener("mousemove",Td(d=this._onMouseMove).call(d,this)),this.body.dom.centerContainer.addEventListener("contextmenu",Td(p=this._onDragEnd).call(p,this)),this.body.dom.centerContainer.addEventListener("mousewheel",Td(f=this._onMouseWheel).call(f,this)),this.show()}},{key:"setOptions",value:function(t){var e,i,n=this;t&&(nO.selectiveExtend(["type","rtl","align","order","stack","stackSubgroups","selectable","multiselect","sequentialSelection","multiselectPerGroup","longSelectPressTime","groupOrder","dataAttributes","template","groupTemplate","visibleFrameTemplate","hide","snap","groupOrderSwap","showTooltips","tooltip","tooltipOnItemUpdateTime","groupHeightMode","onTimeout"],this.options,t),"itemsAlwaysDraggable"in t&&("boolean"==typeof t.itemsAlwaysDraggable?(this.options.itemsAlwaysDraggable.item=t.itemsAlwaysDraggable,this.options.itemsAlwaysDraggable.range=!1):"object"===Dc(t.itemsAlwaysDraggable)&&(nO.selectiveExtend(["item","range"],this.options.itemsAlwaysDraggable,t.itemsAlwaysDraggable),this.options.itemsAlwaysDraggable.item||(this.options.itemsAlwaysDraggable.range=!1))),"sequentialSelection"in t&&"boolean"==typeof t.sequentialSelection&&(this.options.sequentialSelection=t.sequentialSelection),"orientation"in t&&("string"==typeof t.orientation?this.options.orientation.item="top"===t.orientation?"top":"bottom":"object"===Dc(t.orientation)&&"item"in t.orientation&&(this.options.orientation.item=t.orientation.item)),"margin"in t&&("number"==typeof t.margin?(this.options.margin.axis=t.margin,this.options.margin.item.horizontal=t.margin,this.options.margin.item.vertical=t.margin):"object"===Dc(t.margin)&&(nO.selectiveExtend(["axis"],this.options.margin,t.margin),"item"in t.margin&&("number"==typeof t.margin.item?(this.options.margin.item.horizontal=t.margin.item,this.options.margin.item.vertical=t.margin.item):"object"===Dc(t.margin.item)&&nO.selectiveExtend(["horizontal","vertical"],this.options.margin.item,t.margin.item)))),zd(e=["locale","locales"]).call(e,(function(e){e in t&&(n.options[e]=t[e])})),"editable"in t&&("boolean"==typeof t.editable?(this.options.editable.updateTime=t.editable,this.options.editable.updateGroup=t.editable,this.options.editable.add=t.editable,this.options.editable.remove=t.editable,this.options.editable.overrideItems=!1):"object"===Dc(t.editable)&&nO.selectiveExtend(["updateTime","updateGroup","add","remove","overrideItems"],this.options.editable,t.editable)),"groupEditable"in t&&("boolean"==typeof t.groupEditable?(this.options.groupEditable.order=t.groupEditable,this.options.groupEditable.add=t.groupEditable,this.options.groupEditable.remove=t.groupEditable):"object"===Dc(t.groupEditable)&&nO.selectiveExtend(["order","add","remove"],this.options.groupEditable,t.groupEditable)),zd(i=["onDropObjectOnItem","onAdd","onUpdate","onRemove","onMove","onMoving","onAddGroup","onMoveGroup","onRemoveGroup"]).call(i,(function(e){var i=t[e];if(i){var r;if("function"!=typeof i)throw new Error(Nc(r="option ".concat(e," must be a function ")).call(r,e,"(item, callback)"));n.options[e]=i}})),t.cluster?(Rp(this.options,{cluster:t.cluster}),this.clusterGenerator||(this.clusterGenerator=new wE(this)),this.clusterGenerator.setItems(this.items,{applyOnChangedLevel:!1}),this.markDirty({refreshItems:!0,restackGroups:!0}),this.redraw()):this.clusterGenerator?(this._detachAllClusters(),this.clusters=[],this.clusterGenerator=null,this.options.cluster=void 0,this.markDirty({refreshItems:!0,restackGroups:!0}),this.redraw()):this.markDirty())}},{key:"markDirty",value:function(t){this.groupIds=[],t&&(t.refreshItems&&zd(nO).call(nO,this.items,(function(t){t.dirty=!0,t.displayed&&t.redraw()})),t.restackGroups&&zd(nO).call(nO,this.groups,(function(t,e){e!==DE&&(t.stackDirty=!0)})))}},{key:"destroy",value:function(){this.clearPopupTimer(),this.hide(),this.setItems(null),this.setGroups(null),this.hammer&&this.hammer.destroy(),this.groupHammer&&this.groupHammer.destroy(),this.hammer=null,this.body=null,this.conversion=null}},{key:"hide",value:function(){this.dom.frame.parentNode&&this.dom.frame.parentNode.removeChild(this.dom.frame),this.dom.axis.parentNode&&this.dom.axis.parentNode.removeChild(this.dom.axis),this.dom.labelSet.parentNode&&this.dom.labelSet.parentNode.removeChild(this.dom.labelSet)}},{key:"show",value:function(){this.dom.frame.parentNode||this.body.dom.center.appendChild(this.dom.frame),this.dom.axis.parentNode||this.body.dom.backgroundVertical.appendChild(this.dom.axis),this.dom.labelSet.parentNode||(this.options.rtl?this.body.dom.right.appendChild(this.dom.labelSet):this.body.dom.left.appendChild(this.dom.labelSet))}},{key:"setPopupTimer",value:function(t){if(this.clearPopupTimer(),t){var e=this.options.tooltip.delay||"number"==typeof this.options.tooltip.delay?this.options.tooltip.delay:500;this.popupTimer=hv((function(){t.show()}),e)}}},{key:"clearPopupTimer",value:function(){null!=this.popupTimer&&(clearTimeout(this.popupTimer),this.popupTimer=null)}},{key:"setSelection",value:function(t){var e;null==t&&(t=[]),zc(t)||(t=[t]);var i,n=kE(yf(e=this.selection).call(e,(function(e){return-1===dm(t).call(t,e)})));try{for(n.s();!(i=n.n()).done;){var r=i.value,o=this.getItemById(r);o&&o.unselect()}}catch(t){n.e(t)}finally{n.f()}this.selection=Cc(t);var s,a=kE(t);try{for(a.s();!(s=a.n()).done;){var l=s.value,h=this.getItemById(l);h&&h.select()}}catch(t){a.e(t)}finally{a.f()}}},{key:"getSelection",value:function(){var t;return Nc(t=this.selection).call(t,[])}},{key:"getVisibleItems",value:function(){var t,e,i=this.body.range.getRange();this.options.rtl?(t=this.body.util.toScreen(i.start),e=this.body.util.toScreen(i.end)):(e=this.body.util.toScreen(i.start),t=this.body.util.toScreen(i.end));var n=[];for(var r in this.groups)if(this.groups.hasOwnProperty(r)){var o,s=this.groups[r],a=kE(s.isVisible?s.visibleItems:[]);try{for(a.s();!(o=a.n()).done;){var l=o.value;this.options.rtl?l.right<e&&l.right+l.width>t&&n.push(l.id):l.left<t&&l.left+l.width>e&&n.push(l.id)}}catch(t){a.e(t)}finally{a.f()}}return n}},{key:"getItemsAtCurrentTime",value:function(t){var e,i;this.options.rtl?(e=this.body.util.toScreen(t),i=this.body.util.toScreen(t)):(i=this.body.util.toScreen(t),e=this.body.util.toScreen(t));var n=[];for(var r in this.groups)if(this.groups.hasOwnProperty(r)){var o,s=this.groups[r],a=kE(s.isVisible?s.visibleItems:[]);try{for(a.s();!(o=a.n()).done;){var l=o.value;this.options.rtl?l.right<i&&l.right+l.width>e&&n.push(l.id):l.left<e&&l.left+l.width>i&&n.push(l.id)}}catch(t){a.e(t)}finally{a.f()}}return n}},{key:"getVisibleGroups",value:function(){var t=[];for(var e in this.groups)this.groups.hasOwnProperty(e)&&this.groups[e].isVisible&&t.push(e);return t}},{key:"getItemById",value:function(t){var e;return this.items[t]||PP(e=this.clusters).call(e,(function(e){return e.id===t}))}},{key:"_deselect",value:function(t){for(var e=this.selection,i=0,n=e.length;i<n;i++)if(e[i]==t){_p(e).call(e,i,1);break}}},{key:"redraw",value:function(){var t=this,e=this.options.margin,i=this.body.range,n=nO.option.asSize,r=this.options,o=r.orientation.item,s=!1,a=this.dom.frame;this.props.top=this.body.domProps.top.height+this.body.domProps.border.top,this.options.rtl?this.props.right=this.body.domProps.right.width+this.body.domProps.border.right:this.props.left=this.body.domProps.left.width+this.body.domProps.border.left,a.className="vis-itemset",this.options.cluster&&this._clusterItems(),s=this._orderGroups()||s;var l=i.end-i.start,h=l!=this.lastVisibleInterval||this.props.width!=this.props.lastWidth,u=i.start!=this.lastRangeStart,c=r.stack!=this.lastStack,d=r.stackSubgroups!=this.lastStackSubgroups,p=h||u||c||d;this.lastVisibleInterval=l,this.lastRangeStart=i.start,this.lastStack=r.stack,this.lastStackSubgroups=r.stackSubgroups,this.props.lastWidth=this.props.width;var f=this._firstGroup(),m={item:e.item,axis:e.axis},v={item:e.item,axis:e.item.vertical/2},g=0,y=e.axis+e.item.vertical;this.groups[DE].redraw(i,v,p);var b={},_=0;return zd(nO).call(nO,this.groups,(function(t,e){if(e!==DE){var n=t==f?m:v;b[e]=t.redraw(i,n,p,!0),_=b[e].length}})),_>0&&function(){for(var e={},i=function(t){zd(nO).call(nO,b,(function(i,n){e[n]=i[t]()}))},n=0;n<_;n++)i(n);zd(nO).call(nO,t.groups,(function(t,i){if(i!==DE){var n=e[i];s=n||s,g+=t.height}})),g=Math.max(g,y)}(),g=Math.max(g,y),a.style.height=n(g),this.props.width=a.offsetWidth,this.props.height=g,this.dom.axis.style.top=n("top"==o?this.body.domProps.top.height+this.body.domProps.border.top:this.body.domProps.top.height+this.body.domProps.centerContainer.height),this.options.rtl?this.dom.axis.style.right="0":this.dom.axis.style.left="0",this.hammer.get("press").set({time:this.options.longSelectPressTime}),this.initialItemSetDrawn=!0,s=this._isResized()||s}},{key:"_firstGroup",value:function(){var t="top"==this.options.orientation.item?0:this.groupIds.length-1,e=this.groupIds[t];return this.groups[e]||this.groups[SE]||null}},{key:"_updateUngrouped",value:function(){var t,e,i=this.groups[SE];if(this.groupsData){if(i)for(e in i.dispose(),delete this.groups[SE],this.items)if(this.items.hasOwnProperty(e)){(t=this.items[e]).parent&&t.parent.remove(t);var n=this.getGroupId(t.data),r=this.groups[n];r&&r.add(t)||t.hide()}}else if(!i){for(e in i=new tE(null,null,this),this.groups[SE]=i,this.items)this.items.hasOwnProperty(e)&&(t=this.items[e],i.add(t));i.show()}}},{key:"getLabelSet",value:function(){return this.dom.labelSet}},{key:"setItems",value:function(t){this.itemsSettingTime=new Date;var e,i=this,n=this.itemsData;if(t){if(!$T(t))throw new TypeError("Data must implement the interface of DataSet or DataView");this.itemsData=QT(t)}else this.itemsData=null;if(n&&(zd(nO).call(nO,this.itemListeners,(function(t,e){n.off(e,t)})),n.dispose(),e=n.getIds(),this._onRemove(e)),this.itemsData){var r=this.id;zd(nO).call(nO,this.itemListeners,(function(t,e){i.itemsData.on(e,t,r)})),e=this.itemsData.getIds(),this._onAdd(e),this._updateUngrouped()}this.body.emitter.emit("_change",{queue:!0})}},{key:"getItems",value:function(){return null!=this.itemsData?this.itemsData.rawDS:null}},{key:"setGroups",value:function(t){var e,i=this;if(this.groupsData&&(zd(nO).call(nO,this.groupListeners,(function(t,e){i.groupsData.off(e,t)})),e=this.groupsData.getIds(),this.groupsData=null,this._onRemoveGroups(e)),t){if(!$T(t))throw new TypeError("Data must implement the interface of DataSet or DataView");this.groupsData=t}else this.groupsData=null;if(this.groupsData){var n,r=this.groupsData.getDataSet();zd(n=r.get()).call(n,(function(t){var e;t.nestedGroups&&zd(e=t.nestedGroups).call(e,(function(e){var i=r.get(e);i.nestedInGroup=t.id,0==t.showNested&&(i.visible=!1),r.update(i)}))}));var o=this.id;zd(nO).call(nO,this.groupListeners,(function(t,e){i.groupsData.on(e,t,o)})),e=this.groupsData.getIds(),this._onAddGroups(e)}this._updateUngrouped(),this._order(),this.options.cluster&&(this.clusterGenerator.updateData(),this._clusterItems(),this.markDirty({refreshItems:!0,restackGroups:!0})),this.body.emitter.emit("_change",{queue:!0})}},{key:"getGroups",value:function(){return this.groupsData}},{key:"removeItem",value:function(t){var e=this,i=this.itemsData.get(t);i&&this.options.onRemove(i,(function(i){i&&e.itemsData.remove(t)}))}},{key:"_getType",value:function(t){return t.type||this.options.type||(t.end?"range":"box")}},{key:"getGroupId",value:function(t){return"background"==this._getType(t)&&null==t.group?DE:this.groupsData?t.group:SE}},{key:"_onUpdate",value:function(t){var e=this,n=this;zd(t).call(t,(function(t){var r,o=n.itemsData.get(t),s=n.items[t],a=o?n._getType(o):null,l=i.types[a];if(s&&(l&&s instanceof l?n._updateItem(s,o):(r=s.selected,n._removeItem(s),s=null)),!s&&o){if(!l)throw new TypeError('Unknown item type "'.concat(a,'"'));(s=new l(o,n.conversion,n.options)).id=t,n._addItem(s),r&&(e.selection.push(t),s.select())}})),this._order(),this.options.cluster&&(this.clusterGenerator.setItems(this.items,{applyOnChangedLevel:!1}),this._clusterItems()),this.body.emitter.emit("_change",{queue:!0})}},{key:"_onRemove",value:function(t){var e=0,i=this;zd(t).call(t,(function(t){var n=i.items[t];n&&(e++,i._removeItem(n))})),e&&(this._order(),this.body.emitter.emit("_change",{queue:!0}))}},{key:"_order",value:function(){zd(nO).call(nO,this.groups,(function(t){t.order()}))}},{key:"_onUpdateGroups",value:function(t){this._onAddGroups(t)}},{key:"_onAddGroups",value:function(t){var e=this;zd(t).call(t,(function(t){var i=e.groupsData.get(t),n=e.groups[t];if(n)n.setData(i);else{if(t==SE||t==DE)throw new Error("Illegal group id. ".concat(t," is a reserved id."));var r=Mm(e.options);for(var o in nO.extend(r,{height:null}),n=new tE(t,i,e),e.groups[t]=n,e.items)if(e.items.hasOwnProperty(o)){var s=e.items[o];s.data.group==t&&n.add(s)}n.order(),n.show()}})),this.body.emitter.emit("_change",{queue:!0})}},{key:"_onRemoveGroups",value:function(t){var e=this;zd(t).call(t,(function(t){var i=e.groups[t];i&&(i.dispose(),delete e.groups[t])})),this.options.cluster&&(this.clusterGenerator.updateData(),this._clusterItems()),this.markDirty({restackGroups:!!this.options.cluster}),this.body.emitter.emit("_change",{queue:!0})}},{key:"_orderGroups",value:function(){if(this.groupsData){var t=this.groupsData.getIds({order:this.options.groupOrder});t=this._orderNestedGroups(t);var e=!nO.equalArray(t,this.groupIds);if(e){var i=this.groups;zd(t).call(t,(function(t){i[t].hide()})),zd(t).call(t,(function(t){i[t].show()})),this.groupIds=t}return e}return!1}},{key:"_orderNestedGroups",value:function(t){var e=this;return function t(e,i){var n=[];return zd(i).call(i,(function(i){if(n.push(i),e.groupsData.get(i).nestedGroups){var r,o=Kc(r=e.groupsData.get({filter:function(t){return t.nestedInGroup==i},order:e.options.groupOrder})).call(r,(function(t){return t.id}));n=Nc(n).call(n,t(e,o))}})),n}(this,yf(t).call(t,(function(t){return!e.groupsData.get(t).nestedInGroup})))}},{key:"_addItem",value:function(t){this.items[t.id]=t;var e=this.getGroupId(t.data),i=this.groups[e];i?i&&i.data&&i.data.showNested&&(t.groupShowing=!0):t.groupShowing=!1,i&&i.add(t)}},{key:"_updateItem",value:function(t,e){t.setData(e);var i=this.getGroupId(t.data),n=this.groups[i];n?n&&n.data&&n.data.showNested&&(t.groupShowing=!0):t.groupShowing=!1}},{key:"_removeItem",value:function(t){var e,i;t.hide(),delete this.items[t.id];var n=dm(e=this.selection).call(e,t.id);-1!=n&&_p(i=this.selection).call(i,n,1),t.parent&&t.parent.remove(t),null!=this.popup&&this.popup.hide()}},{key:"_constructByEndArray",value:function(t){for(var e=[],i=0;i<t.length;i++)t[i]instanceof sE&&e.push(t[i]);return e}},{key:"_onTouch",value:function(t){this.touchParams.item=this.itemFromTarget(t),this.touchParams.dragLeftItem=t.target.dragLeftItem||!1,this.touchParams.dragRightItem=t.target.dragRightItem||!1,this.touchParams.itemProps=null}},{key:"_getGroupIndex",value:function(t){for(var e=0;e<this.groupIds.length;e++)if(t==this.groupIds[e])return e}},{key:"_onDragStart",value:function(t){var e=this;if(!this.touchParams.itemIsDragging){var i,n=this.touchParams.item||null,r=this;if(n&&(n.selected||this.options.itemsAlwaysDraggable.item)){if(this.options.editable.overrideItems&&!this.options.editable.updateTime&&!this.options.editable.updateGroup)return;if(null!=n.editable&&!n.editable.updateTime&&!n.editable.updateGroup&&!this.options.editable.overrideItems)return;var o=this.touchParams.dragLeftItem,s=this.touchParams.dragRightItem;if(this.touchParams.itemIsDragging=!0,this.touchParams.selectedItem=n,o)i={item:o,initialX:t.center.x,dragLeft:!0,data:this._cloneItemData(n.data)},this.touchParams.itemProps=[i];else if(s)i={item:s,initialX:t.center.x,dragRight:!0,data:this._cloneItemData(n.data)},this.touchParams.itemProps=[i];else if(this.options.editable.add&&(t.srcEvent.ctrlKey||t.srcEvent.metaKey))this._onDragStartAddItem(t);else{this.groupIds.length<1&&this.redraw();var a=this._getGroupIndex(n.data.group),l=this.options.itemsAlwaysDraggable.item&&!n.selected?[n.id]:this.getSelection();this.touchParams.itemProps=Kc(l).call(l,(function(i){var n=r.items[i],o=r._getGroupIndex(n.data.group);return{item:n,initialX:t.center.x,groupOffset:a-o,data:e._cloneItemData(n.data)}}))}t.stopPropagation()}else this.options.editable.add&&(t.srcEvent.ctrlKey||t.srcEvent.metaKey)&&this._onDragStartAddItem(t)}}},{key:"_onDragStartAddItem",value:function(t){var e=this.options.snap||null,i=this.dom.frame.getBoundingClientRect(),n=this.options.rtl?i.right-t.center.x+10:t.center.x-i.left-10,r=this.body.util.toTime(n),o=this.body.util.getScale(),s=this.body.util.getStep(),a=e?e(r,o,s):r,l={type:"range",start:a,end:a,content:"new item"},h=TM();l[this.itemsData.idProp]=h;var u=this.groupFromTarget(t);u&&(l.group=u.groupId);var c=new sE(l,this.conversion,this.options);c.id=h,c.data=this._cloneItemData(l),this._addItem(c),this.touchParams.selectedItem=c;var d={item:c,initialX:t.center.x,data:c.data};this.options.rtl?d.dragLeft=!0:d.dragRight=!0,this.touchParams.itemProps=[d],t.stopPropagation()}},{key:"_onDrag",value:function(t){var e=this;if(null!=this.popup&&this.options.showTooltips&&!this.popup.hidden){var i=this.body.dom.centerContainer,n=i.getBoundingClientRect();this.popup.setPosition(t.center.x-n.left+i.offsetLeft,t.center.y-n.top+i.offsetTop),this.popup.show()}if(this.touchParams.itemProps){var r;t.stopPropagation();var o=this,s=this.options.snap||null,a=this.body.dom.root.offsetLeft,l=this.options.rtl?a+this.body.domProps.right.width:a+this.body.domProps.left.width,h=this.body.util.getScale(),u=this.body.util.getStep(),c=this.touchParams.selectedItem,d=(this.options.editable.overrideItems||null==c.editable)&&this.options.editable.updateGroup||!this.options.editable.overrideItems&&null!=c.editable&&c.editable.updateGroup,p=null;if(d&&c&&null!=c.data.group){var f=o.groupFromTarget(t);f&&(p=this._getGroupIndex(f.groupId))}zd(r=this.touchParams.itemProps).call(r,(function(i){var n,r,a,f,m,v=o.body.util.toTime(t.center.x-l),g=o.body.util.toTime(i.initialX-l);n=e.options.rtl?-(v-g):v-g;var y=e._cloneItemData(i.item.data);if(null==i.item.editable||i.item.editable.updateTime||i.item.editable.updateGroup||o.options.editable.overrideItems){if((e.options.editable.overrideItems||null==c.editable)&&e.options.editable.updateTime||!e.options.editable.overrideItems&&null!=c.editable&&c.editable.updateTime)if(i.dragLeft)e.options.rtl?null!=y.end&&(a=nO.convert(i.data.end,"Date"),m=new Date(a.valueOf()+n),y.end=s?s(m,h,u):m):null!=y.start&&(r=nO.convert(i.data.start,"Date"),f=new Date(r.valueOf()+n),y.start=s?s(f,h,u):f);else if(i.dragRight)e.options.rtl?null!=y.start&&(r=nO.convert(i.data.start,"Date"),f=new Date(r.valueOf()+n),y.start=s?s(f,h,u):f):null!=y.end&&(a=nO.convert(i.data.end,"Date"),m=new Date(a.valueOf()+n),y.end=s?s(m,h,u):m);else if(null!=y.start)if(r=nO.convert(i.data.start,"Date").valueOf(),f=new Date(r+n),null!=y.end){var b=(a=nO.convert(i.data.end,"Date")).valueOf()-r.valueOf();y.start=s?s(f,h,u):f,y.end=new Date(y.start.valueOf()+b)}else y.start=s?s(f,h,u):f;if(d&&!i.dragLeft&&!i.dragRight&&null!=p&&null!=y.group){var _=p-i.groupOffset;_=Math.max(0,_),_=Math.min(o.groupIds.length-1,_),y.group=o.groupIds[_]}y=e._cloneItemData(y),o.options.onMoving(y,(function(t){t&&i.item.setData(e._cloneItemData(t,"Date"))}))}})),this.body.emitter.emit("_change")}}},{key:"_moveToGroup",value:function(t,e){var i=this.groups[e];if(i&&i.groupId!=t.data.group){var n=t.parent;n.remove(t),n.order(),t.data.group=i.groupId,i.add(t),i.order()}}},{key:"_onDragEnd",value:function(t){var e=this;if(this.touchParams.itemIsDragging=!1,this.touchParams.itemProps){t.stopPropagation();var i=this,n=this.touchParams.itemProps;this.touchParams.itemProps=null,zd(n).call(n,(function(t){var n=t.item.id;if(null!=i.itemsData.get(n)){var r=e._cloneItemData(t.item.data);i.options.onMove(r,(function(r){r?(r[e.itemsData.idProp]=n,e.itemsData.update(r)):(t.item.setData(t.data),i.body.emitter.emit("_change"))}))}else i.options.onAdd(t.item.data,(function(e){i._removeItem(t.item),e&&i.itemsData.add(e),i.body.emitter.emit("_change")}))}))}}},{key:"_onGroupClick",value:function(t){var e=this,i=this.groupFromTarget(t);hv((function(){e.toggleGroupShowNested(i)}),1)}},{key:"toggleGroupShowNested",value:function(t){var e,i=arguments.length>1&&void 0!==arguments[1]?arguments[1]:void 0;if(t&&t.nestedGroups){var n=this.groupsData.getDataSet();t.showNested=null!=i?!!i:!t.showNested;var r=n.get(t.groupId);r.showNested=t.showNested;for(var o=t.nestedGroups,s=o;s.length>0;){var a=s;s=[];for(var l=0;l<a.length;l++){var h=n.get(a[l]);h.nestedGroups&&(s=Nc(s).call(s,h.nestedGroups))}s.length>0&&(o=Nc(o).call(o,s))}var u=Kc(e=n.get(o)).call(e,(function(t){return null==t.visible&&(t.visible=!0),t.visible=!!r.showNested,t}));n.update(Nc(u).call(u,r)),r.showNested?(nO.removeClassName(t.dom.label,"collapsed"),nO.addClassName(t.dom.label,"expanded")):(nO.removeClassName(t.dom.label,"expanded"),nO.addClassName(t.dom.label,"collapsed"))}}},{key:"toggleGroupDragClassName",value:function(t){t.dom.label.classList.toggle("vis-group-is-dragging"),t.dom.foreground.classList.toggle("vis-group-is-dragging")}},{key:"_onGroupDragStart",value:function(t){this.groupTouchParams.isDragging||this.options.groupEditable.order&&(this.groupTouchParams.group=this.groupFromTarget(t),this.groupTouchParams.group&&(t.stopPropagation(),this.groupTouchParams.isDragging=!0,this.toggleGroupDragClassName(this.groupTouchParams.group),this.groupTouchParams.originalOrder=this.groupsData.getIds({order:this.options.groupOrder})))}},{key:"_onGroupDrag",value:function(t){if(this.options.groupEditable.order&&this.groupTouchParams.group){t.stopPropagation();var e=this.groupsData.getDataSet(),i=this.groupFromTarget(t);if(i&&i.height!=this.groupTouchParams.group.height){var n=i.top<this.groupTouchParams.group.top,r=t.center?t.center.y:t.clientY,o=i.dom.foreground.getBoundingClientRect(),s=this.groupTouchParams.group.height;if(n){if(o.top+s<r)return}else{var a=i.height;if(o.top+a-s>r)return}}if(i&&i!=this.groupTouchParams.group){var l=e.get(i.groupId),h=e.get(this.groupTouchParams.group.groupId);h&&l&&(this.options.groupOrderSwap(h,l,e),e.update(h),e.update(l));var u=e.getIds({order:this.options.groupOrder});if(!nO.equalArray(u,this.groupTouchParams.originalOrder))for(var c=this.groupTouchParams.originalOrder,d=this.groupTouchParams.group.groupId,p=Math.min(c.length,u.length),f=0,m=0,v=0;f<p;){for(;f+m<p&&f+v<p&&u[f+m]==c[f+v];)f++;if(f+m>=p)break;if(u[f+m]==d)m=1;else if(c[f+v]==d)v=1;else{var g=dm(u).call(u,c[f+v]),y=e.get(u[f+m]),b=e.get(c[f+v]);this.options.groupOrderSwap(y,b,e),e.update(y),e.update(b);var _=u[f+m];u[f+m]=c[f+v],u[g]=_,f++}}}}}},{key:"_onGroupDragEnd",value:function(t){if(this.groupTouchParams.isDragging=!1,this.options.groupEditable.order&&this.groupTouchParams.group){t.stopPropagation();var e=this,i=e.groupTouchParams.group.groupId,n=e.groupsData.getDataSet(),r=nO.extend({},n.get(i));e.options.onMoveGroup(r,(function(t){if(t)t[n._idProp]=i,n.update(t);else{var r=n.getIds({order:e.options.groupOrder});if(!nO.equalArray(r,e.groupTouchParams.originalOrder))for(var o=e.groupTouchParams.originalOrder,s=Math.min(o.length,r.length),a=0;a<s;){for(;a<s&&r[a]==o[a];)a++;if(a>=s)break;var l=dm(r).call(r,o[a]),h=n.get(r[a]),u=n.get(o[a]);e.options.groupOrderSwap(h,u,n),n.update(h),n.update(u);var c=r[a];r[a]=o[a],r[l]=c,a++}}})),e.body.emitter.emit("groupDragged",{groupId:i}),this.toggleGroupDragClassName(this.groupTouchParams.group),this.groupTouchParams.group=null}}},{key:"_onSelectItem",value:function(t){if(this.options.selectable){var e=t.srcEvent&&(t.srcEvent.ctrlKey||t.srcEvent.metaKey),i=t.srcEvent&&t.srcEvent.shiftKey;if(e||i)this._onMultiSelectItem(t);else{var n=this.getSelection(),r=this.itemFromTarget(t),o=r&&r.selectable?[r.id]:[];this.setSelection(o);var s=this.getSelection();(s.length>0||n.length>0)&&this.body.emitter.emit("select",{items:s,event:t})}}}},{key:"_onMouseOver",value:function(t){var e=this.itemFromTarget(t);if(e&&e!==this.itemFromRelatedTarget(t)){var i=e.getTitle();if(this.options.showTooltips&&i){null==this.popup&&(this.popup=new lE(this.body.dom.root,this.options.tooltip.overflowMethod||"flip")),this.popup.setText(i);var n=this.body.dom.centerContainer,r=n.getBoundingClientRect();this.popup.setPosition(t.clientX-r.left+n.offsetLeft,t.clientY-r.top+n.offsetTop),this.setPopupTimer(this.popup)}else this.clearPopupTimer(),null!=this.popup&&this.popup.hide();this.body.emitter.emit("itemover",{item:e.id,event:t})}}},{key:"_onMouseOut",value:function(t){var e=this.itemFromTarget(t);e&&e!==this.itemFromRelatedTarget(t)&&(this.clearPopupTimer(),null!=this.popup&&this.popup.hide(),this.body.emitter.emit("itemout",{item:e.id,event:t}))}},{key:"_onMouseMove",value:function(t){if(this.itemFromTarget(t)&&(null!=this.popupTimer&&this.setPopupTimer(this.popup),this.options.showTooltips&&this.options.tooltip.followMouse&&this.popup&&!this.popup.hidden)){var e=this.body.dom.centerContainer,i=e.getBoundingClientRect();this.popup.setPosition(t.clientX-i.left+e.offsetLeft,t.clientY-i.top+e.offsetTop),this.popup.show()}}},{key:"_onMouseWheel",value:function(t){this.touchParams.itemIsDragging&&this._onDragEnd(t)}},{key:"_onUpdateItem",value:function(t){if(this.options.selectable&&(this.options.editable.updateTime||this.options.editable.updateGroup)){var e=this;if(t){var i=e.itemsData.get(t.id);this.options.onUpdate(i,(function(t){t&&e.itemsData.update(t)}))}}}},{key:"_onDropObjectOnItem",value:function(t){var e=this.itemFromTarget(t),i=JSON.parse(t.dataTransfer.getData("text"));this.options.onDropObjectOnItem(i,e)}},{key:"_onAddItem",value:function(t){if(this.options.selectable&&this.options.editable.add){var e,i,n=this,r=this.options.snap||null,o=this.dom.frame.getBoundingClientRect(),s=this.options.rtl?o.right-t.center.x:t.center.x-o.left,a=this.body.util.toTime(s),l=this.body.util.getScale(),h=this.body.util.getStep();"drop"==t.type?((i=JSON.parse(t.dataTransfer.getData("text"))).content=i.content?i.content:"new item",i.start=i.start?i.start:r?r(a,l,h):a,i.type=i.type||"box",i[this.itemsData.idProp]=i.id||TM(),"range"!=i.type||i.end||(e=this.body.util.toTime(s+this.props.width/5),i.end=r?r(e,l,h):e)):((i={start:r?r(a,l,h):a,content:"new item"})[this.itemsData.idProp]=TM(),"range"===this.options.type&&(e=this.body.util.toTime(s+this.props.width/5),i.end=r?r(e,l,h):e));var u=this.groupFromTarget(t);u&&(i.group=u.groupId),i=this._cloneItemData(i),this.options.onAdd(i,(function(e){e&&(n.itemsData.add(e),"drop"==t.type&&n.setSelection([e.id]))}))}}},{key:"_onMultiSelectItem",value:function(t){var e=this;if(this.options.selectable){var n=this.itemFromTarget(t);if(n){var r=this.options.multiselect?this.getSelection():[];if((t.srcEvent&&t.srcEvent.shiftKey||this.options.sequentialSelection)&&this.options.multiselect){var o=this.itemsData.get(n.id).group,s=void 0;this.options.multiselectPerGroup&&r.length>0&&(s=this.itemsData.get(r[0]).group),this.options.multiselectPerGroup&&null!=s&&s!=o||r.push(n.id);var a=i._getItemRange(this.itemsData.get(r));if(!this.options.multiselectPerGroup||s==o)for(var l in r=[],this.items)if(this.items.hasOwnProperty(l)){var h=this.items[l],u=h.data.start,c=void 0!==h.data.end?h.data.end:u;!(u>=a.min&&c<=a.max)||this.options.multiselectPerGroup&&s!=this.itemsData.get(h.id).group||h instanceof aE||r.push(h.id)}}else{var d=dm(r).call(r,n.id);-1==d?r.push(n.id):_p(r).call(r,d,1)}var p=yf(r).call(r,(function(t){return e.getItemById(t).selectable}));this.setSelection(p),this.body.emitter.emit("select",{items:this.getSelection(),event:t})}}}},{key:"itemFromElement",value:function(t){for(var e=t;e;){if(e.hasOwnProperty("vis-item"))return e["vis-item"];e=e.parentNode}return null}},{key:"itemFromTarget",value:function(t){return this.itemFromElement(t.target)}},{key:"itemFromRelatedTarget",value:function(t){return this.itemFromElement(t.relatedTarget)}},{key:"groupFromTarget",value:function(t){var e=t.center?t.center.y:t.clientY,i=this.groupIds;i.length<=0&&this.groupsData&&(i=this.groupsData.getIds({order:this.options.groupOrder}));for(var n=0;n<i.length;n++){var r=i[n],o=this.groups[r],s=o.dom.foreground,a=s.getBoundingClientRect();if(e>=a.top&&e<a.top+s.offsetHeight)return o;if("top"===this.options.orientation.item){if(n===this.groupIds.length-1&&e>a.top)return o}else if(0===n&&e<a.top+s.offset)return o}return null}},{key:"_cloneItemData",value:function(t,e){var i=nO.extend({},t);return e||(e=this.itemsData.type),null!=i.start&&(i.start=nO.convert(i.start,e&&e.start||"Date")),null!=i.end&&(i.end=nO.convert(i.end,e&&e.end||"Date")),i}},{key:"_clusterItems",value:function(){if(this.options.cluster){var t=this.body.range.conversion(this.body.domProps.center.width).scale,e=this.clusterGenerator.getClusters(this.clusters,t,this.options.cluster);if(this.clusters!=e){if(this._detachAllClusters(),e){var i,n=kE(e);try{for(n.s();!(i=n.n()).done;)i.value.attach()}catch(t){n.e(t)}finally{n.f()}this.clusters=e}this._updateClusters(e)}}}},{key:"_detachAllClusters",value:function(){if(this.options.cluster&&this.clusters&&this.clusters.length){var t,e=kE(this.clusters);try{for(e.s();!(t=e.n()).done;)t.value.detach()}catch(t){e.e(t)}finally{e.f()}}}},{key:"_updateClusters",value:function(t){if(this.clusters&&this.clusters.length){var e,i,n=new HD(Kc(t).call(t,(function(t){return t.id}))),r=!1,o=kE(yf(e=this.clusters).call(e,(function(t){return!n.has(t.id)})));try{for(o.s();!(i=o.n()).done;){var s,a,l=i.value,h=dm(s=this.selection).call(s,l.id);-1!==h&&(l.unselect(),_p(a=this.selection).call(a,h,1),r=!0)}}catch(t){o.e(t)}finally{o.f()}if(r){var u=this.getSelection();this.body.emitter.emit("select",{items:u,event:event})}}this.clusters=t||[]}}],[{key:"_getItemRange",value:function(t){var e=null,i=null;return zd(t).call(t,(function(t){(null==i||t.start<i)&&(i=t.start),null!=t.end?(null==e||t.end>e)&&(e=t.end):(null==e||t.start>e)&&(e=t.start)})),{min:i,max:e}}},{key:"itemSetFromTarget",value:function(t){for(var e=t.target;e;){if(e.hasOwnProperty("vis-itemset"))return e["vis-itemset"];e=e.parentNode}return null}}]),i}(vO);CE.types={background:aE,box:rE,range:sE,point:oE},CE.prototype._onAdd=CE.prototype._onUpdate;var ME,TE=!1,OE="background: #FFeeee; color: #dd0000",PE=function(){function t(){su(this,t)}return cu(t,null,[{key:"validate",value:function(e,i,n){TE=!1,ME=i;var r=i;return void 0!==n&&(r=i[n]),t.parse(e,r,[]),TE}},{key:"parse",value:function(e,i,n){for(var r in e)e.hasOwnProperty(r)&&t.check(r,e,i,n)}},{key:"check",value:function(e,i,n,r){if(void 0!==n[e]||void 0!==n.__any__){var o=e,s=!0;void 0===n[e]&&void 0!==n.__any__&&(o="__any__",s="object"===t.getType(i[e]));var a=n[o];s&&void 0!==a.__type__&&(a=a.__type__),t.checkFields(e,i,n,o,a,r)}else t.getSuggestion(e,n,r)}},{key:"checkFields",value:function(e,i,n,r,o,s){var a=function(i){console.log("%c"+i+t.printLocation(s,e),OE)},l=t.getType(i[e]),h=o[l];void 0!==h?"array"===t.getType(h)&&-1===dm(h).call(h,i[e])?(a('Invalid option detected in "'+e+'". Allowed values are:'+t.print(h)+' not "'+i[e]+'". '),TE=!0):"object"===l&&"__any__"!==r&&(s=nO.copyAndExtendArray(s,e),t.parse(i[e],n[r],s)):void 0===o.any&&(a('Invalid type received for "'+e+'". Expected: '+t.print(ed(o))+". Received ["+l+'] "'+i[e]+'"'),TE=!0)}},{key:"getType",value:function(t){var e=Dc(t);return"object"===e?null===t?"null":t instanceof Boolean?"boolean":t instanceof Number?"number":t instanceof String?"string":zc(t)?"array":t instanceof Date?"date":void 0!==t.nodeType?"dom":!0===t._isAMomentObject?"moment":"object":"number"===e?"number":"boolean"===e?"boolean":"string"===e?"string":void 0===e?"undefined":e}},{key:"getSuggestion",value:function(e,i,n){var r,o=t.findInOptions(e,i,n,!1),s=t.findInOptions(e,ME,[],!0);r=void 0!==o.indexMatch?" in "+t.printLocation(o.path,e,"")+'Perhaps it was incomplete? Did you mean: "'+o.indexMatch+'"?\n\n':s.distance<=4&&o.distance>s.distance?" in "+t.printLocation(o.path,e,"")+"Perhaps it was misplaced? Matching option found at: "+t.printLocation(s.path,s.closestMatch,""):o.distance<=8?'. Did you mean "'+o.closestMatch+'"?'+t.printLocation(o.path,e):". Did you mean one of these: "+t.print(ed(i))+t.printLocation(n,e),console.log('%cUnknown option detected: "'+e+'"'+r,OE),TE=!0}},{key:"findInOptions",value:function(e,i,n){var r=arguments.length>3&&void 0!==arguments[3]&&arguments[3],o=1e9,s="",a=[],l=e.toLowerCase(),h=void 0;for(var u in i){var c=void 0;if(void 0!==i[u].__type__&&!0===r){var d=t.findInOptions(e,i[u],nO.copyAndExtendArray(n,u));o>d.distance&&(s=d.closestMatch,a=d.path,o=d.distance,h=d.indexMatch)}else{var p;-1!==dm(p=u.toLowerCase()).call(p,l)&&(h=u),o>(c=t.levenshteinDistance(e,u))&&(s=u,a=nO.copyArray(n),o=c)}}return{closestMatch:s,path:a,distance:o,indexMatch:h}}},{key:"printLocation",value:function(t,e){for(var i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:"Problem value found at: \n",n="\n\n"+i+"options = {\n",r=0;r<t.length;r++){for(var o=0;o<r+1;o++)n+="  ";n+=t[r]+": {\n"}for(var s=0;s<t.length+1;s++)n+="  ";n+=e+"\n";for(var a=0;a<t.length+1;a++){for(var l=0;l<t.length-a;l++)n+="  ";n+="}\n"}return n+"\n\n"}},{key:"print",value:function(t){return $m(t).replace(/(\")|(\[)|(\])|(,"__type__")/g,"").replace(/(\,)/g,", ")}},{key:"levenshteinDistance",value:function(t,e){if(0===t.length)return e.length;if(0===e.length)return t.length;var i,n,r=[];for(i=0;i<=e.length;i++)r[i]=[i];for(n=0;n<=t.length;n++)r[0][n]=n;for(i=1;i<=e.length;i++)for(n=1;n<=t.length;n++)e.charAt(i-1)==t.charAt(n-1)?r[i][n]=r[i-1][n-1]:r[i][n]=Math.min(r[i-1][n-1]+1,Math.min(r[i][n-1]+1,r[i-1][n]+1));return r[e.length][t.length]}}]),t}(),EE="string",IE="boolean",LE="number",AE="array",NE="date",RE="object",FE="moment",jE={configure:{enabled:{boolean:IE},filter:{boolean:IE,function:"function"},container:{dom:"dom"},__type__:{object:RE,boolean:IE,function:"function"}},align:{string:EE},alignCurrentTime:{string:EE,undefined:"undefined"},rtl:{boolean:IE,undefined:"undefined"},rollingMode:{follow:{boolean:IE},offset:{number:LE,undefined:"undefined"},__type__:{object:RE}},onTimeout:{timeoutMs:{number:LE},callback:{function:"function"},__type__:{object:RE}},verticalScroll:{boolean:IE,undefined:"undefined"},horizontalScroll:{boolean:IE,undefined:"undefined"},autoResize:{boolean:IE},throttleRedraw:{number:LE},clickToUse:{boolean:IE},dataAttributes:{string:EE,array:AE},editable:{add:{boolean:IE,undefined:"undefined"},remove:{boolean:IE,undefined:"undefined"},updateGroup:{boolean:IE,undefined:"undefined"},updateTime:{boolean:IE,undefined:"undefined"},overrideItems:{boolean:IE,undefined:"undefined"},__type__:{boolean:IE,object:RE}},end:{number:LE,date:NE,string:EE,moment:FE},format:{minorLabels:{millisecond:{string:EE,undefined:"undefined"},second:{string:EE,undefined:"undefined"},minute:{string:EE,undefined:"undefined"},hour:{string:EE,undefined:"undefined"},weekday:{string:EE,undefined:"undefined"},day:{string:EE,undefined:"undefined"},week:{string:EE,undefined:"undefined"},month:{string:EE,undefined:"undefined"},year:{string:EE,undefined:"undefined"},__type__:{object:RE,function:"function"}},majorLabels:{millisecond:{string:EE,undefined:"undefined"},second:{string:EE,undefined:"undefined"},minute:{string:EE,undefined:"undefined"},hour:{string:EE,undefined:"undefined"},weekday:{string:EE,undefined:"undefined"},day:{string:EE,undefined:"undefined"},week:{string:EE,undefined:"undefined"},month:{string:EE,undefined:"undefined"},year:{string:EE,undefined:"undefined"},__type__:{object:RE,function:"function"}},__type__:{object:RE}},moment:{function:"function"},groupHeightMode:{string:EE},groupOrder:{string:EE,function:"function"},groupEditable:{add:{boolean:IE,undefined:"undefined"},remove:{boolean:IE,undefined:"undefined"},order:{boolean:IE,undefined:"undefined"},__type__:{boolean:IE,object:RE}},groupOrderSwap:{function:"function"},height:{string:EE,number:LE},hiddenDates:{start:{date:NE,number:LE,string:EE,moment:FE},end:{date:NE,number:LE,string:EE,moment:FE},repeat:{string:EE},__type__:{object:RE,array:AE}},itemsAlwaysDraggable:{item:{boolean:IE,undefined:"undefined"},range:{boolean:IE,undefined:"undefined"},__type__:{boolean:IE,object:RE}},limitSize:{boolean:IE},locale:{string:EE},locales:{__any__:{any:"any"},__type__:{object:RE}},longSelectPressTime:{number:LE},margin:{axis:{number:LE},item:{horizontal:{number:LE,undefined:"undefined"},vertical:{number:LE,undefined:"undefined"},__type__:{object:RE,number:LE}},__type__:{object:RE,number:LE}},max:{date:NE,number:LE,string:EE,moment:FE},maxHeight:{number:LE,string:EE},maxMinorChars:{number:LE},min:{date:NE,number:LE,string:EE,moment:FE},minHeight:{number:LE,string:EE},moveable:{boolean:IE},multiselect:{boolean:IE},multiselectPerGroup:{boolean:IE},onAdd:{function:"function"},onDropObjectOnItem:{function:"function"},onUpdate:{function:"function"},onMove:{function:"function"},onMoving:{function:"function"},onRemove:{function:"function"},onAddGroup:{function:"function"},onMoveGroup:{function:"function"},onRemoveGroup:{function:"function"},onInitialDrawComplete:{function:"function"},order:{function:"function"},orientation:{axis:{string:EE,undefined:"undefined"},item:{string:EE,undefined:"undefined"},__type__:{string:EE,object:RE}},selectable:{boolean:IE},sequentialSelection:{boolean:IE},showCurrentTime:{boolean:IE},showMajorLabels:{boolean:IE},showMinorLabels:{boolean:IE},showWeekScale:{boolean:IE},stack:{boolean:IE},stackSubgroups:{boolean:IE},cluster:{maxItems:{number:LE,undefined:"undefined"},titleTemplate:{string:EE,undefined:"undefined"},clusterCriteria:{function:"function",undefined:"undefined"},showStipes:{boolean:IE,undefined:"undefined"},fitOnDoubleClick:{boolean:IE,undefined:"undefined"},__type__:{boolean:IE,object:RE}},snap:{function:"function",null:"null"},start:{date:NE,number:LE,string:EE,moment:FE},template:{function:"function"},loadingScreenTemplate:{function:"function"},groupTemplate:{function:"function"},visibleFrameTemplate:{string:EE,function:"function"},showTooltips:{boolean:IE},tooltip:{followMouse:{boolean:IE},overflowMethod:{string:["cap","flip","none"]},delay:{number:LE},template:{function:"function"},__type__:{object:RE}},tooltipOnItemUpdateTime:{template:{function:"function"},__type__:{boolean:IE,object:RE}},timeAxis:{scale:{string:EE,undefined:"undefined"},step:{number:LE,undefined:"undefined"},__type__:{object:RE}},type:{string:EE},width:{string:EE,number:LE},preferZoom:{boolean:IE},zoomable:{boolean:IE},zoomKey:{string:["ctrlKey","altKey","shiftKey","metaKey",""]},zoomFriction:{number:LE},zoomMax:{number:LE},zoomMin:{number:LE},xss:{disabled:{boolean:IE},filterOptions:{__any__:{any:"any"},__type__:{object:RE}},__type__:{object:RE}},__type__:{object:RE}},YE={global:{align:["center","left","right"],alignCurrentTime:["none","year","month","quarter","week","isoWeek","day","date","hour","minute","second"],direction:!1,autoResize:!0,clickToUse:!1,editable:{add:!1,remove:!1,updateGroup:!1,updateTime:!1},end:"",format:{minorLabels:{millisecond:"SSS",second:"s",minute:"HH:mm",hour:"HH:mm",weekday:"ddd D",day:"D",week:"w",month:"MMM",year:"YYYY"},majorLabels:{millisecond:"HH:mm:ss",second:"D MMMM HH:mm",minute:"ddd D MMMM",hour:"ddd D MMMM",weekday:"MMMM YYYY",day:"MMMM YYYY",week:"MMMM YYYY",month:"YYYY",year:""}},groupHeightMode:["auto","fixed","fitItems"],groupsDraggable:!1,height:"",locale:"",longSelectPressTime:251,margin:{axis:[20,0,100,1],item:{horizontal:[10,0,100,1],vertical:[10,0,100,1]}},max:"",maxHeight:"",maxMinorChars:[7,0,20,1],min:"",minHeight:"",moveable:!1,multiselect:!1,multiselectPerGroup:!1,orientation:{axis:["both","bottom","top"],item:["bottom","top"]},preferZoom:!1,selectable:!0,showCurrentTime:!1,showMajorLabels:!0,showMinorLabels:!0,stack:!0,stackSubgroups:!0,cluster:!1,start:"",showTooltips:!0,tooltip:{followMouse:!1,overflowMethod:"flip",delay:[500,0,99999,100]},tooltipOnItemUpdateTime:!1,type:["box","point","range","background"],width:"100%",zoomable:!0,zoomKey:["ctrlKey","altKey","shiftKey","metaKey",""],zoomMax:[31536e10,10,31536e10,1],zoomMin:[10,10,31536e10,1],xss:{disabled:!1}}},HE={black:"#000000",navy:"#000080",darkblue:"#00008B",mediumblue:"#0000CD",blue:"#0000FF",darkgreen:"#006400",green:"#008000",teal:"#008080",darkcyan:"#008B8B",deepskyblue:"#00BFFF",darkturquoise:"#00CED1",mediumspringgreen:"#00FA9A",lime:"#00FF00",springgreen:"#00FF7F",aqua:"#00FFFF",cyan:"#00FFFF",midnightblue:"#191970",dodgerblue:"#1E90FF",lightseagreen:"#20B2AA",forestgreen:"#228B22",seagreen:"#2E8B57",darkslategray:"#2F4F4F",limegreen:"#32CD32",mediumseagreen:"#3CB371",turquoise:"#40E0D0",royalblue:"#4169E1",steelblue:"#4682B4",darkslateblue:"#483D8B",mediumturquoise:"#48D1CC",indigo:"#4B0082",darkolivegreen:"#556B2F",cadetblue:"#5F9EA0",cornflowerblue:"#6495ED",mediumaquamarine:"#66CDAA",dimgray:"#696969",slateblue:"#6A5ACD",olivedrab:"#6B8E23",slategray:"#708090",lightslategray:"#778899",mediumslateblue:"#7B68EE",lawngreen:"#7CFC00",chartreuse:"#7FFF00",aquamarine:"#7FFFD4",maroon:"#800000",purple:"#800080",olive:"#808000",gray:"#808080",skyblue:"#87CEEB",lightskyblue:"#87CEFA",blueviolet:"#8A2BE2",darkred:"#8B0000",darkmagenta:"#8B008B",saddlebrown:"#8B4513",darkseagreen:"#8FBC8F",lightgreen:"#90EE90",mediumpurple:"#9370D8",darkviolet:"#9400D3",palegreen:"#98FB98",darkorchid:"#9932CC",yellowgreen:"#9ACD32",sienna:"#A0522D",brown:"#A52A2A",darkgray:"#A9A9A9",lightblue:"#ADD8E6",greenyellow:"#ADFF2F",paleturquoise:"#AFEEEE",lightsteelblue:"#B0C4DE",powderblue:"#B0E0E6",firebrick:"#B22222",darkgoldenrod:"#B8860B",mediumorchid:"#BA55D3",rosybrown:"#BC8F8F",darkkhaki:"#BDB76B",silver:"#C0C0C0",mediumvioletred:"#C71585",indianred:"#CD5C5C",peru:"#CD853F",chocolate:"#D2691E",tan:"#D2B48C",lightgrey:"#D3D3D3",palevioletred:"#D87093",thistle:"#D8BFD8",orchid:"#DA70D6",goldenrod:"#DAA520",crimson:"#DC143C",gainsboro:"#DCDCDC",plum:"#DDA0DD",burlywood:"#DEB887",lightcyan:"#E0FFFF",lavender:"#E6E6FA",darksalmon:"#E9967A",violet:"#EE82EE",palegoldenrod:"#EEE8AA",lightcoral:"#F08080",khaki:"#F0E68C",aliceblue:"#F0F8FF",honeydew:"#F0FFF0",azure:"#F0FFFF",sandybrown:"#F4A460",wheat:"#F5DEB3",beige:"#F5F5DC",whitesmoke:"#F5F5F5",mintcream:"#F5FFFA",ghostwhite:"#F8F8FF",salmon:"#FA8072",antiquewhite:"#FAEBD7",linen:"#FAF0E6",lightgoldenrodyellow:"#FAFAD2",oldlace:"#FDF5E6",red:"#FF0000",fuchsia:"#FF00FF",magenta:"#FF00FF",deeppink:"#FF1493",orangered:"#FF4500",tomato:"#FF6347",hotpink:"#FF69B4",coral:"#FF7F50",darkorange:"#FF8C00",lightsalmon:"#FFA07A",orange:"#FFA500",lightpink:"#FFB6C1",pink:"#FFC0CB",gold:"#FFD700",peachpuff:"#FFDAB9",navajowhite:"#FFDEAD",moccasin:"#FFE4B5",bisque:"#FFE4C4",mistyrose:"#FFE4E1",blanchedalmond:"#FFEBCD",papayawhip:"#FFEFD5",lavenderblush:"#FFF0F5",seashell:"#FFF5EE",cornsilk:"#FFF8DC",lemonchiffon:"#FFFACD",floralwhite:"#FFFAF0",snow:"#FFFAFA",yellow:"#FFFF00",lightyellow:"#FFFFE0",ivory:"#FFFFF0",white:"#FFFFFF"},BE=function(){function t(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:1;su(this,t),this.pixelRatio=e,this.generated=!1,this.centerCoordinates={x:144.5,y:144.5},this.r=289*.49,this.color={r:255,g:255,b:255,a:1},this.hueCircle=void 0,this.initialColor={r:255,g:255,b:255,a:1},this.previousColor=void 0,this.applied=!1,this.updateCallback=function(){},this.closeCallback=function(){},this._create()}return cu(t,[{key:"insertTo",value:function(t){void 0!==this.hammer&&(this.hammer.destroy(),this.hammer=void 0),this.container=t,this.container.appendChild(this.frame),this._bindHammer(),this._setSize()}},{key:"setUpdateCallback",value:function(t){if("function"!=typeof t)throw new Error("Function attempted to set as colorPicker update callback is not a function.");this.updateCallback=t}},{key:"setCloseCallback",value:function(t){if("function"!=typeof t)throw new Error("Function attempted to set as colorPicker closing callback is not a function.");this.closeCallback=t}},{key:"_isColorString",value:function(t){if("string"==typeof t)return HE[t]}},{key:"setColor",value:function(t){var e=!(arguments.length>1&&void 0!==arguments[1])||arguments[1];if("none"!==t){var i,n=this._isColorString(t);if(void 0!==n&&(t=n),!0===nO.isString(t)){if(!0===nO.isValidRGB(t)){var r=t.substr(4).substr(0,t.length-5).split(",");i={r:r[0],g:r[1],b:r[2],a:1}}else if(!0===nO.isValidRGBA(t)){var o=t.substr(5).substr(0,t.length-6).split(",");i={r:o[0],g:o[1],b:o[2],a:o[3]}}else if(!0===nO.isValidHex(t)){var s=nO.hexToRGB(t);i={r:s.r,g:s.g,b:s.b,a:1}}}else if(t instanceof Object&&void 0!==t.r&&void 0!==t.g&&void 0!==t.b){var a=void 0!==t.a?t.a:"1.0";i={r:t.r,g:t.g,b:t.b,a:a}}if(void 0===i)throw new Error("Unknown color passed to the colorPicker. Supported are strings: rgb, hex, rgba. Object: rgb ({r:r,g:g,b:b,[a:a]}). Supplied: "+$m(t));this._setColor(i,e)}}},{key:"show",value:function(){void 0!==this.closeCallback&&(this.closeCallback(),this.closeCallback=void 0),this.applied=!1,this.frame.style.display="block",this._generateHueCircle()}},{key:"_hide",value:function(){var t=this,e=!(arguments.length>0&&void 0!==arguments[0])||arguments[0];!0===e&&(this.previousColor=nO.extend({},this.color)),!0===this.applied&&this.updateCallback(this.initialColor),this.frame.style.display="none",hv((function(){void 0!==t.closeCallback&&(t.closeCallback(),t.closeCallback=void 0)}),0)}},{key:"_save",value:function(){this.updateCallback(this.color),this.applied=!1,this._hide()}},{key:"_apply",value:function(){this.applied=!0,this.updateCallback(this.color),this._updatePicker(this.color)}},{key:"_loadLast",value:function(){void 0!==this.previousColor?this.setColor(this.previousColor,!1):alert("There is no last color to load...")}},{key:"_setColor",value:function(t){var e=!(arguments.length>1&&void 0!==arguments[1])||arguments[1];!0===e&&(this.initialColor=nO.extend({},t)),this.color=t;var i=nO.RGBToHSV(t.r,t.g,t.b),n=2*Math.PI,r=this.r*i.s,o=this.centerCoordinates.x+r*Math.sin(n*i.h),s=this.centerCoordinates.y+r*Math.cos(n*i.h);this.colorPickerSelector.style.left=o-.5*this.colorPickerSelector.clientWidth+"px",this.colorPickerSelector.style.top=s-.5*this.colorPickerSelector.clientHeight+"px",this._updatePicker(t)}},{key:"_setOpacity",value:function(t){this.color.a=t/100,this._updatePicker(this.color)}},{key:"_setBrightness",value:function(t){var e=nO.RGBToHSV(this.color.r,this.color.g,this.color.b);e.v=t/100;var i=nO.HSVToRGB(e.h,e.s,e.v);i.a=this.color.a,this.color=i,this._updatePicker()}},{key:"_updatePicker",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:this.color,e=nO.RGBToHSV(t.r,t.g,t.b),i=this.colorPickerCanvas.getContext("2d");void 0===this.pixelRation&&(this.pixelRatio=(window.devicePixelRatio||1)/(i.webkitBackingStorePixelRatio||i.mozBackingStorePixelRatio||i.msBackingStorePixelRatio||i.oBackingStorePixelRatio||i.backingStorePixelRatio||1)),i.setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0);var n=this.colorPickerCanvas.clientWidth,r=this.colorPickerCanvas.clientHeight;i.clearRect(0,0,n,r),i.putImageData(this.hueCircle,0,0),i.fillStyle="rgba(0,0,0,"+(1-e.v)+")",i.circle(this.centerCoordinates.x,this.centerCoordinates.y,this.r),bv(i).call(i),this.brightnessRange.value=100*e.v,this.opacityRange.value=100*t.a,this.initialColorDiv.style.backgroundColor="rgba("+this.initialColor.r+","+this.initialColor.g+","+this.initialColor.b+","+this.initialColor.a+")",this.newColorDiv.style.backgroundColor="rgba("+this.color.r+","+this.color.g+","+this.color.b+","+this.color.a+")"}},{key:"_setSize",value:function(){this.colorPickerCanvas.style.width="100%",this.colorPickerCanvas.style.height="100%",this.colorPickerCanvas.width=289*this.pixelRatio,this.colorPickerCanvas.height=289*this.pixelRatio}},{key:"_create",value:function(){var t,e,i,n;if(this.frame=document.createElement("div"),this.frame.className="vis-color-picker",this.colorPickerDiv=document.createElement("div"),this.colorPickerSelector=document.createElement("div"),this.colorPickerSelector.className="vis-selector",this.colorPickerDiv.appendChild(this.colorPickerSelector),this.colorPickerCanvas=document.createElement("canvas"),this.colorPickerDiv.appendChild(this.colorPickerCanvas),this.colorPickerCanvas.getContext){var r=this.colorPickerCanvas.getContext("2d");this.pixelRatio=(window.devicePixelRatio||1)/(r.webkitBackingStorePixelRatio||r.mozBackingStorePixelRatio||r.msBackingStorePixelRatio||r.oBackingStorePixelRatio||r.backingStorePixelRatio||1),this.colorPickerCanvas.getContext("2d").setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0)}else{var o=document.createElement("DIV");o.style.color="red",o.style.fontWeight="bold",o.style.padding="10px",o.innerHTML="Error: your browser does not support HTML canvas",this.colorPickerCanvas.appendChild(o)}this.colorPickerDiv.className="vis-color",this.opacityDiv=document.createElement("div"),this.opacityDiv.className="vis-opacity",this.brightnessDiv=document.createElement("div"),this.brightnessDiv.className="vis-brightness",this.arrowDiv=document.createElement("div"),this.arrowDiv.className="vis-arrow",this.opacityRange=document.createElement("input");try{this.opacityRange.type="range",this.opacityRange.min="0",this.opacityRange.max="100"}catch(t){}this.opacityRange.value="100",this.opacityRange.className="vis-range",this.brightnessRange=document.createElement("input");try{this.brightnessRange.type="range",this.brightnessRange.min="0",this.brightnessRange.max="100"}catch(t){}this.brightnessRange.value="100",this.brightnessRange.className="vis-range",this.opacityDiv.appendChild(this.opacityRange),this.brightnessDiv.appendChild(this.brightnessRange);var s=this;this.opacityRange.onchange=function(){s._setOpacity(this.value)},this.opacityRange.oninput=function(){s._setOpacity(this.value)},this.brightnessRange.onchange=function(){s._setBrightness(this.value)},this.brightnessRange.oninput=function(){s._setBrightness(this.value)},this.brightnessLabel=document.createElement("div"),this.brightnessLabel.className="vis-label vis-brightness",this.brightnessLabel.innerHTML="brightness:",this.opacityLabel=document.createElement("div"),this.opacityLabel.className="vis-label vis-opacity",this.opacityLabel.innerHTML="opacity:",this.newColorDiv=document.createElement("div"),this.newColorDiv.className="vis-new-color",this.newColorDiv.innerHTML="new",this.initialColorDiv=document.createElement("div"),this.initialColorDiv.className="vis-initial-color",this.initialColorDiv.innerHTML="initial",this.cancelButton=document.createElement("div"),this.cancelButton.className="vis-button vis-cancel",this.cancelButton.innerHTML="cancel",this.cancelButton.onclick=Td(t=this._hide).call(t,this,!1),this.applyButton=document.createElement("div"),this.applyButton.className="vis-button vis-apply",this.applyButton.innerHTML="apply",this.applyButton.onclick=Td(e=this._apply).call(e,this),this.saveButton=document.createElement("div"),this.saveButton.className="vis-button vis-save",this.saveButton.innerHTML="save",this.saveButton.onclick=Td(i=this._save).call(i,this),this.loadButton=document.createElement("div"),this.loadButton.className="vis-button vis-load",this.loadButton.innerHTML="load last",this.loadButton.onclick=Td(n=this._loadLast).call(n,this),this.frame.appendChild(this.colorPickerDiv),this.frame.appendChild(this.arrowDiv),this.frame.appendChild(this.brightnessLabel),this.frame.appendChild(this.brightnessDiv),this.frame.appendChild(this.opacityLabel),this.frame.appendChild(this.opacityDiv),this.frame.appendChild(this.newColorDiv),this.frame.appendChild(this.initialColorDiv),this.frame.appendChild(this.cancelButton),this.frame.appendChild(this.applyButton),this.frame.appendChild(this.saveButton),this.frame.appendChild(this.loadButton)}},{key:"_bindHammer",value:function(){var t=this;this.drag={},this.pinch={},this.hammer=new $O(this.colorPickerCanvas),this.hammer.get("pinch").set({enable:!0}),KO(this.hammer,(function(e){t._moveSelector(e)})),this.hammer.on("tap",(function(e){t._moveSelector(e)})),this.hammer.on("panstart",(function(e){t._moveSelector(e)})),this.hammer.on("panmove",(function(e){t._moveSelector(e)})),this.hammer.on("panend",(function(e){t._moveSelector(e)}))}},{key:"_generateHueCircle",value:function(){if(!1===this.generated){var t=this.colorPickerCanvas.getContext("2d");void 0===this.pixelRation&&(this.pixelRatio=(window.devicePixelRatio||1)/(t.webkitBackingStorePixelRatio||t.mozBackingStorePixelRatio||t.msBackingStorePixelRatio||t.oBackingStorePixelRatio||t.backingStorePixelRatio||1)),t.setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0);var e,i,n,r,o=this.colorPickerCanvas.clientWidth,s=this.colorPickerCanvas.clientHeight;t.clearRect(0,0,o,s),this.centerCoordinates={x:.5*o,y:.5*s},this.r=.49*o;var a,l=2*Math.PI/360,h=1/this.r;for(n=0;n<360;n++)for(r=0;r<this.r;r++)e=this.centerCoordinates.x+r*Math.sin(l*n),i=this.centerCoordinates.y+r*Math.cos(l*n),a=nO.HSVToRGB(.002777777777777778*n,r*h,1),t.fillStyle="rgb("+a.r+","+a.g+","+a.b+")",t.fillRect(e-.5,i-.5,2,2);t.strokeStyle="rgba(0,0,0,1)",t.circle(this.centerCoordinates.x,this.centerCoordinates.y,this.r),t.stroke(),this.hueCircle=t.getImageData(0,0,o,s)}this.generated=!0}},{key:"_moveSelector",value:function(t){var e=this.colorPickerDiv.getBoundingClientRect(),i=t.center.x-e.left,n=t.center.y-e.top,r=.5*this.colorPickerDiv.clientHeight,o=.5*this.colorPickerDiv.clientWidth,s=i-o,a=n-r,l=Math.atan2(s,a),h=.98*Math.min(Math.sqrt(s*s+a*a),o),u=Math.cos(l)*h+r,c=Math.sin(l)*h+o;this.colorPickerSelector.style.top=u-.5*this.colorPickerSelector.clientHeight+"px",this.colorPickerSelector.style.left=c-.5*this.colorPickerSelector.clientWidth+"px";var d=l/(2*Math.PI);d=d<0?d+1:d;var p=h/this.r,f=nO.RGBToHSV(this.color.r,this.color.g,this.color.b);f.h=d,f.s=p;var m=nO.HSVToRGB(f.h,f.s,f.v);m.a=this.color.a,this.color=m,this.initialColorDiv.style.backgroundColor="rgba("+this.initialColor.r+","+this.initialColor.g+","+this.initialColor.b+","+this.initialColor.a+")",this.newColorDiv.style.backgroundColor="rgba("+this.color.r+","+this.color.g+","+this.color.b+","+this.color.a+")"}}]),t}();JO('div.vis-configuration{display:block;float:left;font-size:12px;position:relative}div.vis-configuration-wrapper{display:block;width:700px}div.vis-configuration-wrapper:after{clear:both;content:"";display:block}div.vis-configuration.vis-config-option-container{background-color:#fff;border:2px solid #f7f8fa;border-radius:4px;display:block;left:10px;margin-top:20px;padding-left:5px;width:495px}div.vis-configuration.vis-config-button{background-color:#f7f8fa;border:2px solid #ceced0;border-radius:4px;cursor:pointer;display:block;height:25px;left:10px;line-height:25px;margin-bottom:30px;margin-top:20px;padding-left:5px;vertical-align:middle;width:495px}div.vis-configuration.vis-config-button.hover{background-color:#4588e6;border:2px solid #214373;color:#fff}div.vis-configuration.vis-config-item{display:block;float:left;height:25px;line-height:25px;vertical-align:middle;width:495px}div.vis-configuration.vis-config-item.vis-config-s2{background-color:#f7f8fa;border-radius:3px;left:10px;padding-left:5px}div.vis-configuration.vis-config-item.vis-config-s3{background-color:#e4e9f0;border-radius:3px;left:20px;padding-left:5px}div.vis-configuration.vis-config-item.vis-config-s4{background-color:#cfd8e6;border-radius:3px;left:30px;padding-left:5px}div.vis-configuration.vis-config-header{font-size:18px;font-weight:700}div.vis-configuration.vis-config-label{height:25px;line-height:25px;width:120px}div.vis-configuration.vis-config-label.vis-config-s3{width:110px}div.vis-configuration.vis-config-label.vis-config-s4{width:100px}div.vis-configuration.vis-config-colorBlock{border:1px solid #444;border-radius:2px;cursor:pointer;height:19px;margin:0;padding:0;top:1px;width:30px}input.vis-configuration.vis-config-checkbox{left:-5px}input.vis-configuration.vis-config-rangeinput{margin:0;padding:1px;pointer-events:none;position:relative;top:-5px;width:60px}input.vis-configuration.vis-config-range{-webkit-appearance:none;background-color:transparent;border:0 solid #fff;height:20px;width:300px}input.vis-configuration.vis-config-range::-webkit-slider-runnable-track{background:#dedede;background:-moz-linear-gradient(top,#dedede 0,#c8c8c8 99%);background:-webkit-gradient(linear,left top,left bottom,color-stop(0,#dedede),color-stop(99%,#c8c8c8));background:-webkit-linear-gradient(top,#dedede,#c8c8c8 99%);background:-o-linear-gradient(top,#dedede 0,#c8c8c8 99%);background:-ms-linear-gradient(top,#dedede 0,#c8c8c8 99%);background:linear-gradient(180deg,#dedede 0,#c8c8c8 99%);border:1px solid #999;border-radius:3px;box-shadow:0 0 3px 0 #aaa;filter:progid:DXImageTransform.Microsoft.gradient(startColorstr="#dedede",endColorstr="#c8c8c8",GradientType=0);height:5px;width:300px}input.vis-configuration.vis-config-range::-webkit-slider-thumb{-webkit-appearance:none;background:#3876c2;background:-moz-linear-gradient(top,#3876c2 0,#385380 100%);background:-webkit-gradient(linear,left top,left bottom,color-stop(0,#3876c2),color-stop(100%,#385380));background:-webkit-linear-gradient(top,#3876c2,#385380);background:-o-linear-gradient(top,#3876c2 0,#385380 100%);background:-ms-linear-gradient(top,#3876c2 0,#385380 100%);background:linear-gradient(180deg,#3876c2 0,#385380);border:1px solid #14334b;border-radius:50%;box-shadow:0 0 1px 0 #111927;filter:progid:DXImageTransform.Microsoft.gradient(startColorstr="#3876c2",endColorstr="#385380",GradientType=0);height:17px;margin-top:-7px;width:17px}input.vis-configuration.vis-config-range:focus{outline:none}input.vis-configuration.vis-config-range:focus::-webkit-slider-runnable-track{background:#9d9d9d;background:-moz-linear-gradient(top,#9d9d9d 0,#c8c8c8 99%);background:-webkit-gradient(linear,left top,left bottom,color-stop(0,#9d9d9d),color-stop(99%,#c8c8c8));background:-webkit-linear-gradient(top,#9d9d9d,#c8c8c8 99%);background:-o-linear-gradient(top,#9d9d9d 0,#c8c8c8 99%);background:-ms-linear-gradient(top,#9d9d9d 0,#c8c8c8 99%);background:linear-gradient(180deg,#9d9d9d 0,#c8c8c8 99%);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr="#9d9d9d",endColorstr="#c8c8c8",GradientType=0)}input.vis-configuration.vis-config-range::-moz-range-track{background:#dedede;background:-moz-linear-gradient(top,#dedede 0,#c8c8c8 99%);background:-webkit-gradient(linear,left top,left bottom,color-stop(0,#dedede),color-stop(99%,#c8c8c8));background:-webkit-linear-gradient(top,#dedede,#c8c8c8 99%);background:-o-linear-gradient(top,#dedede 0,#c8c8c8 99%);background:-ms-linear-gradient(top,#dedede 0,#c8c8c8 99%);background:linear-gradient(180deg,#dedede 0,#c8c8c8 99%);border:1px solid #999;border-radius:3px;box-shadow:0 0 3px 0 #aaa;filter:progid:DXImageTransform.Microsoft.gradient(startColorstr="#dedede",endColorstr="#c8c8c8",GradientType=0);height:10px;width:300px}input.vis-configuration.vis-config-range::-moz-range-thumb{background:#385380;border:none;border-radius:50%;height:16px;width:16px}input.vis-configuration.vis-config-range:-moz-focusring{outline:1px solid #fff;outline-offset:-1px}input.vis-configuration.vis-config-range::-ms-track{background:transparent;border-color:transparent;border-width:6px 0;color:transparent;height:5px;width:300px}input.vis-configuration.vis-config-range::-ms-fill-lower{background:#777;border-radius:10px}input.vis-configuration.vis-config-range::-ms-fill-upper{background:#ddd;border-radius:10px}input.vis-configuration.vis-config-range::-ms-thumb{background:#385380;border:none;border-radius:50%;height:16px;width:16px}input.vis-configuration.vis-config-range:focus::-ms-fill-lower{background:#888}input.vis-configuration.vis-config-range:focus::-ms-fill-upper{background:#ccc}.vis-configuration-popup{background:rgba(57,76,89,.85);border:2px solid #f2faff;border-radius:4px;color:#fff;font-size:14px;height:30px;line-height:30px;position:absolute;text-align:center;-webkit-transition:opacity .3s ease-in-out;-moz-transition:opacity .3s ease-in-out;transition:opacity .3s ease-in-out;width:150px}.vis-configuration-popup:after,.vis-configuration-popup:before{border:solid transparent;content:" ";height:0;left:100%;pointer-events:none;position:absolute;top:50%;width:0}.vis-configuration-popup:after{border-color:rgba(136,183,213,0) rgba(136,183,213,0) rgba(136,183,213,0) rgba(57,76,89,.85);border-width:8px;margin-top:-8px}.vis-configuration-popup:before{border-color:rgba(194,225,245,0) rgba(194,225,245,0) rgba(194,225,245,0) #f2faff;border-width:12px;margin-top:-12px}');var zE=function(){function t(e,i,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:1;su(this,t),this.parent=e,this.changedOptions=[],this.container=i,this.allowCreation=!1,this.options={},this.initialized=!1,this.popupCounter=0,this.defaultOptions={enabled:!1,filter:!0,container:void 0,showButton:!0},nO.extend(this.options,this.defaultOptions),this.configureOptions=n,this.moduleOptions={},this.domElements=[],this.popupDiv={},this.popupLimit=5,this.popupHistory={},this.colorPicker=new BE(r),this.wrapper=void 0}return cu(t,[{key:"setOptions",value:function(t){if(void 0!==t){this.popupHistory={},this._removePopup();var e=!0;if("string"==typeof t)this.options.filter=t;else if(zc(t))this.options.filter=t.join();else if("object"===Dc(t)){if(null==t)throw new TypeError("options cannot be null");void 0!==t.container&&(this.options.container=t.container),void 0!==yf(t)&&(this.options.filter=yf(t)),void 0!==t.showButton&&(this.options.showButton=t.showButton),void 0!==t.enabled&&(e=t.enabled)}else"boolean"==typeof t?(this.options.filter=!0,e=t):"function"==typeof t&&(this.options.filter=t,e=!0);!1===yf(this.options)&&(e=!1),this.options.enabled=e}this._clean()}},{key:"setModuleOptions",value:function(t){this.moduleOptions=t,!0===this.options.enabled&&(this._clean(),void 0!==this.options.container&&(this.container=this.options.container),this._create())}},{key:"_create",value:function(){this._clean(),this.changedOptions=[];var t=yf(this.options),e=0,i=!1;for(var n in this.configureOptions)this.configureOptions.hasOwnProperty(n)&&(this.allowCreation=!1,i=!1,"function"==typeof t?i=(i=t(n,[]))||this._handleObject(this.configureOptions[n],[n],!0):!0!==t&&-1===dm(t).call(t,n)||(i=!0),!1!==i&&(this.allowCreation=!0,e>0&&this._makeItem([]),this._makeHeader(n),this._handleObject(this.configureOptions[n],[n])),e++);this._makeButton(),this._push()}},{key:"_push",value:function(){this.wrapper=document.createElement("div"),this.wrapper.className="vis-configuration-wrapper",this.container.appendChild(this.wrapper);for(var t=0;t<this.domElements.length;t++)this.wrapper.appendChild(this.domElements[t]);this._showPopupIfNeeded()}},{key:"_clean",value:function(){for(var t=0;t<this.domElements.length;t++)this.wrapper.removeChild(this.domElements[t]);void 0!==this.wrapper&&(this.container.removeChild(this.wrapper),this.wrapper=void 0),this.domElements=[],this._removePopup()}},{key:"_getValue",value:function(t){for(var e=this.moduleOptions,i=0;i<t.length;i++){if(void 0===e[t[i]]){e=void 0;break}e=e[t[i]]}return e}},{key:"_makeItem",value:function(t){if(!0===this.allowCreation){var e=document.createElement("div");e.className="vis-configuration vis-config-item vis-config-s"+t.length;for(var i=arguments.length,n=new Array(i>1?i-1:0),r=1;r<i;r++)n[r-1]=arguments[r];return zd(n).call(n,(function(t){e.appendChild(t)})),this.domElements.push(e),this.domElements.length}return 0}},{key:"_makeHeader",value:function(t){var e=document.createElement("div");e.className="vis-configuration vis-config-header",e.innerHTML=nO.xss(t),this._makeItem([],e)}},{key:"_makeLabel",value:function(t,e){var i=arguments.length>2&&void 0!==arguments[2]&&arguments[2],n=document.createElement("div");return n.className="vis-configuration vis-config-label vis-config-s"+e.length,n.innerHTML=!0===i?nO.xss("<i><b>"+t+":</b></i>"):nO.xss(t+":"),n}},{key:"_makeDropdown",value:function(t,e,i){var n=document.createElement("select");n.className="vis-configuration vis-config-select";var r=0;void 0!==e&&-1!==dm(t).call(t,e)&&(r=dm(t).call(t,e));for(var o=0;o<t.length;o++){var s=document.createElement("option");s.value=t[o],o===r&&(s.selected="selected"),s.innerHTML=t[o],n.appendChild(s)}var a=this;n.onchange=function(){a._update(this.value,i)};var l=this._makeLabel(i[i.length-1],i);this._makeItem(i,l,n)}},{key:"_makeRange",value:function(t,e,i){var n=t[0],r=t[1],o=t[2],s=t[3],a=document.createElement("input");a.className="vis-configuration vis-config-range";try{a.type="range",a.min=r,a.max=o}catch(t){}a.step=s;var l="",h=0;if(void 0!==e){var u=1.2;e<0&&e*u<r?(a.min=Math.ceil(e*u),h=a.min,l="range increased"):e/u<r&&(a.min=Math.ceil(e/u),h=a.min,l="range increased"),e*u>o&&1!==o&&(a.max=Math.ceil(e*u),h=a.max,l="range increased"),a.value=e}else a.value=n;var c=document.createElement("input");c.className="vis-configuration vis-config-rangeinput",c.value=Number(a.value);var d=this;a.onchange=function(){c.value=this.value,d._update(Number(this.value),i)},a.oninput=function(){c.value=this.value};var p=this._makeLabel(i[i.length-1],i),f=this._makeItem(i,p,a,c);""!==l&&this.popupHistory[f]!==h&&(this.popupHistory[f]=h,this._setupPopup(l,f))}},{key:"_makeButton",value:function(){var t=this;if(!0===this.options.showButton){var e=document.createElement("div");e.className="vis-configuration vis-config-button",e.innerHTML="generate options",e.onclick=function(){t._printOptions()},e.onmouseover=function(){e.className="vis-configuration vis-config-button hover"},e.onmouseout=function(){e.className="vis-configuration vis-config-button"},this.optionsContainer=document.createElement("div"),this.optionsContainer.className="vis-configuration vis-config-option-container",this.domElements.push(this.optionsContainer),this.domElements.push(e)}}},{key:"_setupPopup",value:function(t,e){var i=this;if(!0===this.initialized&&!0===this.allowCreation&&this.popupCounter<this.popupLimit){var n=document.createElement("div");n.id="vis-configuration-popup",n.className="vis-configuration-popup",n.innerHTML=nO.xss(t),n.onclick=function(){i._removePopup()},this.popupCounter+=1,this.popupDiv={html:n,index:e}}}},{key:"_removePopup",value:function(){void 0!==this.popupDiv.html&&(this.popupDiv.html.parentNode.removeChild(this.popupDiv.html),clearTimeout(this.popupDiv.hideTimeout),clearTimeout(this.popupDiv.deleteTimeout),this.popupDiv={})}},{key:"_showPopupIfNeeded",value:function(){var t=this;if(void 0!==this.popupDiv.html){var e=this.domElements[this.popupDiv.index].getBoundingClientRect();this.popupDiv.html.style.left=e.left+"px",this.popupDiv.html.style.top=e.top-30+"px",document.body.appendChild(this.popupDiv.html),this.popupDiv.hideTimeout=hv((function(){t.popupDiv.html.style.opacity=0}),1500),this.popupDiv.deleteTimeout=hv((function(){t._removePopup()}),1800)}}},{key:"_makeCheckbox",value:function(t,e,i){var n=document.createElement("input");n.type="checkbox",n.className="vis-configuration vis-config-checkbox",n.checked=t,void 0!==e&&(n.checked=e,e!==t&&("object"===Dc(t)?e!==t.enabled&&this.changedOptions.push({path:i,value:e}):this.changedOptions.push({path:i,value:e})));var r=this;n.onchange=function(){r._update(this.checked,i)};var o=this._makeLabel(i[i.length-1],i);this._makeItem(i,o,n)}},{key:"_makeTextInput",value:function(t,e,i){var n=document.createElement("input");n.type="text",n.className="vis-configuration vis-config-text",n.value=e,e!==t&&this.changedOptions.push({path:i,value:e});var r=this;n.onchange=function(){r._update(this.value,i)};var o=this._makeLabel(i[i.length-1],i);this._makeItem(i,o,n)}},{key:"_makeColorField",value:function(t,e,i){var n=this,r=t[1],o=document.createElement("div");"none"!==(e=void 0===e?r:e)?(o.className="vis-configuration vis-config-colorBlock",o.style.backgroundColor=e):o.className="vis-configuration vis-config-colorBlock none",e=void 0===e?r:e,o.onclick=function(){n._showColorPicker(e,o,i)};var s=this._makeLabel(i[i.length-1],i);this._makeItem(i,s,o)}},{key:"_showColorPicker",value:function(t,e,i){var n=this;e.onclick=function(){},this.colorPicker.insertTo(e),this.colorPicker.show(),this.colorPicker.setColor(t),this.colorPicker.setUpdateCallback((function(t){var r="rgba("+t.r+","+t.g+","+t.b+","+t.a+")";e.style.backgroundColor=r,n._update(r,i)})),this.colorPicker.setCloseCallback((function(){e.onclick=function(){n._showColorPicker(t,e,i)}}))}},{key:"_handleObject",value:function(t){var e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[],i=arguments.length>2&&void 0!==arguments[2]&&arguments[2],n=!1,r=yf(this.options),o=!1;for(var s in t)if(t.hasOwnProperty(s)){n=!0;var a=t[s],l=nO.copyAndExtendArray(e,s);if("function"==typeof r&&!1===(n=r(s,e))&&!zc(a)&&"string"!=typeof a&&"boolean"!=typeof a&&a instanceof Object&&(this.allowCreation=!1,n=this._handleObject(a,l,!0),this.allowCreation=!1===i),!1!==n){o=!0;var h=this._getValue(l);if(zc(a))this._handleArray(a,h,l);else if("string"==typeof a)this._makeTextInput(a,h,l);else if("boolean"==typeof a)this._makeCheckbox(a,h,l);else if(a instanceof Object){var u=!0;if(-1!==dm(e).call(e,"physics")&&this.moduleOptions.physics.solver!==s&&(u=!1),!0===u)if(void 0!==a.enabled){var c=nO.copyAndExtendArray(l,"enabled"),d=this._getValue(c);if(!0===d){var p=this._makeLabel(s,l,!0);this._makeItem(l,p),o=this._handleObject(a,l)||o}else this._makeCheckbox(a,d,l)}else{var f=this._makeLabel(s,l,!0);this._makeItem(l,f),o=this._handleObject(a,l)||o}}else console.error("dont know how to handle",a,s,l)}}return o}},{key:"_handleArray",value:function(t,e,i){"string"==typeof t[0]&&"color"===t[0]?(this._makeColorField(t,e,i),t[1]!==e&&this.changedOptions.push({path:i,value:e})):"string"==typeof t[0]?(this._makeDropdown(t,e,i),t[0]!==e&&this.changedOptions.push({path:i,value:e})):"number"==typeof t[0]&&(this._makeRange(t,e,i),t[0]!==e&&this.changedOptions.push({path:i,value:Number(e)}))}},{key:"_update",value:function(t,e){var i=this._constructOptions(t,e);this.parent.body&&this.parent.body.emitter&&this.parent.body.emitter.emit&&this.parent.body.emitter.emit("configChange",i),this.initialized=!0,this.parent.setOptions(i)}},{key:"_constructOptions",value:function(t,e){var i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},n=i;t="false"!==(t="true"===t||t)&&t;for(var r=0;r<e.length;r++)"global"!==e[r]&&(void 0===n[e[r]]&&(n[e[r]]={}),r!==e.length-1?n=n[e[r]]:n[e[r]]=t);return i}},{key:"_printOptions",value:function(){var t=this.getOptions();this.optionsContainer.innerHTML="<pre>var options = "+$m(t,null,2)+"</pre>"}},{key:"getOptions",value:function(){for(var t={},e=0;e<this.changedOptions.length;e++)this._constructOptions(this.changedOptions[e].value,this.changedOptions[e].path,t);return t}}]),t}();var GE=function(t){Kb(i,t);var e=function(t){var e=function(){if("undefined"==typeof Reflect||!jb)return!1;if(jb.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(jb(Boolean,[],(function(){}))),!0}catch(t){return!1}}();return function(){var i,n=e_(t);if(e){var r=e_(this).constructor;i=jb(n,arguments,r)}else i=n.apply(this,arguments);return Zb(this,i)}}(i);function i(t,n,r,o){var s,a,l,h,u,c,d,p;if(su(this,i),(p=e.call(this)).initTime=new Date,p.itemsDone=!1,!(Yb(p)instanceof i))throw new SyntaxError("Constructor must be called with the new operator");if(!zc(r)&&!$T(r)&&r instanceof Object){var f=o;o=r,r=f}o&&o.throttleRedraw&&console.warn('Timeline option "throttleRedraw" is DEPRICATED and no longer supported. It will be removed in the next MAJOR release.');var m=Yb(p);if(p.defaultOptions={autoResize:!0,longSelectPressTime:251,orientation:{axis:"bottom",item:"bottom"},moment:VM},p.options=nO.deepExtend({},p.defaultOptions),o&&nO.setupXSSProtection(o.xss),p._create(t),!o||o&&void 0===o.rtl){var v;p.dom.root.style.visibility="hidden";for(var g=p.dom.root;!v&&g;)v=window.getComputedStyle(g,null).direction,g=g.parentElement;p.options.rtl=v&&"rtl"==v.toLowerCase()}else p.options.rtl=o.rtl;o&&(o.rollingMode&&(p.options.rollingMode=o.rollingMode),o.onInitialDrawComplete&&(p.options.onInitialDrawComplete=o.onInitialDrawComplete),o.onTimeout&&(p.options.onTimeout=o.onTimeout),o.loadingScreenTemplate&&(p.options.loadingScreenTemplate=o.loadingScreenTemplate));var y=document.createElement("div");if(p.options.loadingScreenTemplate){var b,_=Td(b=p.options.loadingScreenTemplate).call(b,Yb(p)),w=_(p.dom.loadingScreen);w instanceof Object&&!(w instanceof Element)?_(y):w instanceof Element?(y.innerHTML="",y.appendChild(w)):null!=w&&(y.innerHTML=nO.xss(w))}function k(t,e){m.hasListeners(t)&&m.emit(t,m.getEventProperties(e))}return p.dom.loadingScreen.appendChild(y),p.components=[],p.body={dom:p.dom,domProps:p.props,emitter:{on:Td(s=p.on).call(s,Yb(p)),off:Td(a=p.off).call(a,Yb(p)),emit:Td(l=p.emit).call(l,Yb(p))},hiddenDates:[],util:{getScale:function(){return m.timeAxis.step.scale},getStep:function(){return m.timeAxis.step.step},toScreen:Td(h=m._toScreen).call(h,m),toGlobalScreen:Td(u=m._toGlobalScreen).call(u,m),toTime:Td(c=m._toTime).call(c,m),toGlobalTime:Td(d=m._toGlobalTime).call(d,m)}},p.range=new zO(p.body,p.options),p.components.push(p.range),p.body.range=p.range,p.timeAxis=new QO(p.body,p.options),p.timeAxis2=null,p.components.push(p.timeAxis),p.currentTime=new _P(p.body,p.options),p.components.push(p.currentTime),p.itemSet=new CE(p.body,p.options),p.components.push(p.itemSet),p.itemsData=null,p.groupsData=null,p.dom.root.onclick=function(t){k("click",t)},p.dom.root.ondblclick=function(t){k("doubleClick",t)},p.dom.root.oncontextmenu=function(t){k("contextmenu",t)},p.dom.root.onmouseover=function(t){k("mouseOver",t)},window.PointerEvent?(p.dom.root.onpointerdown=function(t){k("mouseDown",t)},p.dom.root.onpointermove=function(t){k("mouseMove",t)},p.dom.root.onpointerup=function(t){k("mouseUp",t)}):(p.dom.root.onmousemove=function(t){k("mouseMove",t)},p.dom.root.onmousedown=function(t){k("mouseDown",t)},p.dom.root.onmouseup=function(t){k("mouseUp",t)}),p.initialFitDone=!1,p.on("changed",(function(){if(null!=m.itemsData){if(!m.initialFitDone&&!m.options.rollingMode)if(m.initialFitDone=!0,null!=m.options.start||null!=m.options.end){if(null==m.options.start||null==m.options.end)var t=m.getItemRange();var e=null!=m.options.start?m.options.start:t.min,i=null!=m.options.end?m.options.end:t.max;m.setWindow(e,i,{animation:!1})}else m.fit({animation:!1});m.initialDrawDone||!m.initialRangeChangeDone&&(m.options.start||m.options.end)&&!m.options.rollingMode||(m.initialDrawDone=!0,m.itemSet.initialDrawDone=!0,m.dom.root.style.visibility="visible",m.dom.loadingScreen.parentNode.removeChild(m.dom.loadingScreen),m.options.onInitialDrawComplete&&hv((function(){return m.options.onInitialDrawComplete()}),0))}})),p.on("destroyTimeline",(function(){m.destroy()})),o&&p.setOptions(o),p.body.emitter.on("fit",(function(t){p._onFit(t),p.redraw()})),r&&p.setGroups(r),n&&p.setItems(n),p._redraw(),p}return cu(i,[{key:"_createConfigurator",value:function(){return new zE(this,this.dom.container,YE)}},{key:"redraw",value:function(){this.itemSet&&this.itemSet.markDirty({refreshItems:!0}),this._redraw()}},{key:"setOptions",value:function(t){if(!0===PE.validate(t,jE)&&console.log("%cErrors have been found in the supplied options object.",OE),bP.prototype.setOptions.call(this,t),"type"in t&&t.type!==this.options.type){this.options.type=t.type;var e=this.itemsData;if(e){var i=this.getSelection();this.setItems(null),this.setItems(e.rawDS),this.setSelection(i)}}}},{key:"setItems",value:function(t){var e;this.itemsDone=!1,e=t?$T(t)?QT(t):QT(new GM(t)):null,this.itemsData&&this.itemsData.dispose(),this.itemsData=e,this.itemSet&&this.itemSet.setItems(null!=e?e.rawDS:null)}},{key:"setGroups",value:function(t){var e;t?(zc(t)&&(t=new GM(t)),e=new WM(t,{filter:function(t){return!1!==t.visible}})):e=null,null!=this.groupsData&&"function"==typeof this.groupsData.setData&&this.groupsData.setData(null),this.groupsData=e,this.itemSet.setGroups(e)}},{key:"setData",value:function(t){t&&t.groups&&this.setGroups(t.groups),t&&t.items&&this.setItems(t.items)}},{key:"setSelection",value:function(t,e){this.itemSet&&this.itemSet.setSelection(t),e&&e.focus&&this.focus(t,e)}},{key:"getSelection",value:function(){return this.itemSet&&this.itemSet.getSelection()||[]}},{key:"focus",value:function(t,e){if(this.itemsData&&null!=t){var i=zc(t)?t:[t],n=this.itemsData.get(i),r=null,o=null;if(zd(n).call(n,(function(t){var e=t.start.valueOf(),i="end"in t?t.end.valueOf():t.start.valueOf();(null===r||e<r)&&(r=e),(null===o||i>o)&&(o=i)})),null!==r&&null!==o){var s=this,a=this.itemSet.items[i[0]],l=-1*this._getScrollTop(),h=null,u=function(){var t=UE(s,a);t.shouldScroll&&t.itemTop!=h.itemTop&&(s._setScrollTop(-t.scrollOffset),s._redraw())},c=!e||void 0===e.zoom||e.zoom,d=(r+o)/2,p=c?1.1*(o-r):Math.max(this.range.end-this.range.start,1.1*(o-r)),f=!e||void 0===e.animation||e.animation;f||(h={shouldScroll:!1,scrollOffset:-1,itemTop:-1}),this.range.setRange(d-p/2,d+p/2,{animation:f},(function(){u(),hv(u,100)}),(function(t,e,i){var n=UE(s,a);if(!1!==n&&(h||(h=n),h.itemTop!=n.itemTop||h.shouldScroll)){h.itemTop!=n.itemTop&&n.shouldScroll&&(h=n,l=-1*s._getScrollTop());var r=l,o=h.scrollOffset,u=i?o:r+(o-r)*t;s._setScrollTop(-u),e||s._redraw()}}))}}}},{key:"fit",value:function(t,e){var i,n=!t||void 0===t.animation||t.animation;1===this.itemsData.length&&void 0===this.itemsData.get()[0].end?(i=this.getDataRange(),this.moveTo(i.min.valueOf(),{animation:n},e)):(i=this.getItemRange(),this.range.setRange(i.min,i.max,{animation:n},e))}},{key:"getItemRange",value:function(){var t=this,e=this.getDataRange(),i=null!==e.min?e.min.valueOf():null,n=null!==e.max?e.max.valueOf():null,r=null,o=null;if(null!=i&&null!=n){var s=n-i;s<=0&&(s=10);var a=s/this.props.center.width,l={},h=0;if(zd(nO).call(nO,this.itemSet.items,(function(t,e){t.groupShowing&&(l[e]=t.redraw(!0),h=l[e].length)})),h>0)for(var u=function(t){zd(nO).call(nO,l,(function(e){e[t]()}))},c=0;c<h;c++)u(c);if(zd(nO).call(nO,this.itemSet.items,(function(e){var s,l,h=WE(e),u=VE(e);t.options.rtl?(s=h-(e.getWidthRight()+10)*a,l=u+(e.getWidthLeft()+10)*a):(s=h-(e.getWidthLeft()+10)*a,l=u+(e.getWidthRight()+10)*a),s<i&&(i=s,r=e),l>n&&(n=l,o=e)})),r&&o){var d=r.getWidthLeft()+10,p=o.getWidthRight()+10,f=this.props.center.width-d-p;f>0&&(this.options.rtl?(i=WE(r)-p*s/f,n=VE(o)+d*s/f):(i=WE(r)-d*s/f,n=VE(o)+p*s/f))}}return{min:null!=i?new Date(i):null,max:null!=n?new Date(n):null}}},{key:"getDataRange",value:function(){var t,e=null,i=null;return this.itemsData&&zd(t=this.itemsData).call(t,(function(t){var n=nO.convert(t.start,"Date").valueOf(),r=nO.convert(null!=t.end?t.end:t.start,"Date").valueOf();(null===e||n<e)&&(e=n),(null===i||r>i)&&(i=r)})),{min:null!=e?new Date(e):null,max:null!=i?new Date(i):null}}},{key:"getEventProperties",value:function(t){var e=t.center?t.center.x:t.clientX,i=t.center?t.center.y:t.clientY,n=this.dom.centerContainer.getBoundingClientRect(),r=this.options.rtl?n.right-e:e-n.left,o=i-n.top,s=this.itemSet.itemFromTarget(t),a=this.itemSet.groupFromTarget(t),l=yP.customTimeFromTarget(t),h=this.itemSet.options.snap||null,u=this.body.util.getScale(),c=this.body.util.getStep(),d=this._toTime(r),p=h?h(d,u,c):d,f=nO.getTarget(t),m=null;return null!=s?m="item":null!=l?m="custom-time":nO.hasParent(f,this.timeAxis.dom.foreground)||this.timeAxis2&&nO.hasParent(f,this.timeAxis2.dom.foreground)?m="axis":nO.hasParent(f,this.itemSet.dom.labelSet)?m="group-label":nO.hasParent(f,this.currentTime.bar)?m="current-time":nO.hasParent(f,this.dom.center)&&(m="background"),{event:t,item:s?s.id:null,isCluster:!!s&&!!s.isCluster,items:s?s.items||[]:null,group:a?a.groupId:null,customTime:l?l.options.id:null,what:m,pageX:t.srcEvent?t.srcEvent.pageX:t.pageX,pageY:t.srcEvent?t.srcEvent.pageY:t.pageY,x:r,y:o,time:d,snappedTime:p}}},{key:"toggleRollingMode",value:function(){this.range.rolling?this.range.stopRolling():(null==this.options.rollingMode&&this.setOptions(this.options),this.range.startRolling())}},{key:"_redraw",value:function(){bP.prototype._redraw.call(this)}},{key:"_onFit",value:function(t){var e=t.start,i=t.end,n=t.animation;i?this.range.setRange(e,i,{animation:n}):this.moveTo(e.valueOf(),{animation:n})}}]),i}(bP);function WE(t){return nO.convert(t.data.start,"Date").valueOf()}function VE(t){var e=null!=t.data.end?t.data.end:t.data.start;return nO.convert(e,"Date").valueOf()}function UE(t,e){if(!e.parent)return!1;var i=t.options.rtl?t.props.rightContainer.height:t.props.leftContainer.height,n=t.props.center.height,r=e.parent,o=r.top,s=!0,a=t.timeAxis.options.orientation.axis,l=function(){return"bottom"==a?r.height-e.top-e.height:e.top},h=-1*t._getScrollTop(),u=o+l(),c=e.height;return u<h?o+i<=o+l()+c&&(o+=l()-t.itemSet.options.margin.item.vertical):u+c>h+i?o+=l()+c-i+t.itemSet.options.margin.item.vertical:s=!1,{shouldScroll:s,scrollOffset:o=Math.min(o,n-i),itemTop:u}}var XE=function(){function t(e,i,n,r,o,s){var a=arguments.length>6&&void 0!==arguments[6]&&arguments[6],l=arguments.length>7&&void 0!==arguments[7]&&arguments[7];if(su(this,t),this.majorSteps=[1,2,5,10],this.minorSteps=[.25,.5,1,2],this.customLines=null,this.containerHeight=o,this.majorCharHeight=s,this._start=e,this._end=i,this.scale=1,this.minorStepIdx=-1,this.magnitudefactor=1,this.determineScale(),this.zeroAlign=a,this.autoScaleStart=n,this.autoScaleEnd=r,this.formattingFunction=l,n||r){var h=this,u=function(t){var e=t-t%(h.magnitudefactor*h.minorSteps[h.minorStepIdx]);return t%(h.magnitudefactor*h.minorSteps[h.minorStepIdx])>h.magnitudefactor*h.minorSteps[h.minorStepIdx]*.5?e+h.magnitudefactor*h.minorSteps[h.minorStepIdx]:e};n&&(this._start-=2*this.magnitudefactor*this.minorSteps[this.minorStepIdx],this._start=u(this._start)),r&&(this._end+=this.magnitudefactor*this.minorSteps[this.minorStepIdx],this._end=u(this._end)),this.determineScale()}}return cu(t,[{key:"setCharHeight",value:function(t){this.majorCharHeight=t}},{key:"setHeight",value:function(t){this.containerHeight=t}},{key:"determineScale",value:function(){var t=this._end-this._start;this.scale=this.containerHeight/t;var e=this.majorCharHeight/this.scale,i=t>0?Math.round(Math.log(t)/Math.LN10):0;this.minorStepIdx=-1,this.magnitudefactor=Math.pow(10,i);var n=0;i<0&&(n=i);for(var r=!1,o=n;Math.abs(o)<=Math.abs(i);o++){this.magnitudefactor=Math.pow(10,o);for(var s=0;s<this.minorSteps.length;s++)if(this.magnitudefactor*this.minorSteps[s]>=e){r=!0,this.minorStepIdx=s;break}if(!0===r)break}}},{key:"is_major",value:function(t){return t%(this.magnitudefactor*this.majorSteps[this.minorStepIdx])==0}},{key:"getStep",value:function(){return this.magnitudefactor*this.minorSteps[this.minorStepIdx]}},{key:"getFirstMajor",value:function(){var t=this.magnitudefactor*this.majorSteps[this.minorStepIdx];return this.convertValue(this._start+(t-this._start%t)%t)}},{key:"formatValue",value:function(t){var e=t.toPrecision(5);return"function"==typeof this.formattingFunction&&(e=this.formattingFunction(t)),"number"==typeof e?"".concat(e):"string"==typeof e?e:t.toPrecision(5)}},{key:"getLines",value:function(){for(var t=[],e=this.getStep(),i=(e-this._start%e)%e,n=this._start+i;this._end-n>1e-5;n+=e)n!=this._start&&t.push({major:this.is_major(n),y:this.convertValue(n),val:this.formatValue(n)});return t}},{key:"followScale",value:function(t){var e=this.minorStepIdx,i=this._start,n=this._end,r=this,o=function(){r.magnitudefactor*=2},s=function(){r.magnitudefactor/=2};t.minorStepIdx<=1&&this.minorStepIdx<=1||t.minorStepIdx>1&&this.minorStepIdx>1||(t.minorStepIdx<this.minorStepIdx?(this.minorStepIdx=1,2==e||o(),o()):(this.minorStepIdx=2,1==e||s(),s()));for(var a=t.convertValue(0),l=t.getStep()*t.scale,h=!1,u=0;!h&&u++<5;){this.scale=l/(this.minorSteps[this.minorStepIdx]*this.magnitudefactor);var c=this.containerHeight/this.scale;this._start=i,this._end=this._start+c;var d=this._end*this.scale,p=this.magnitudefactor*this.majorSteps[this.minorStepIdx],f=this.getFirstMajor()-t.getFirstMajor();if(this.zeroAlign){var m=a-d;this._end+=m/this.scale,this._start=this._end-c}else this.autoScaleStart?(this._start-=f/this.scale,this._end=this._start+c):(this._start+=p-f/this.scale,this._end=this._start+c);if(!this.autoScaleEnd&&this._end>n+1e-5)s(),h=!1;else{if(!this.autoScaleStart&&this._start<i-1e-5){if(!(this.zeroAlign&&i>=0)){s(),h=!1;continue}console.warn("Can't adhere to given 'min' range, due to zeroalign")}this.autoScaleStart&&this.autoScaleEnd&&c<n-i?(o(),h=!1):h=!0}}}},{key:"convertValue",value:function(t){return this.containerHeight-(t-this._start)*this.scale}},{key:"screenToValue",value:function(t){return(this.containerHeight-t)/this.scale+this._start}}]),t}();function qE(t,e){(null==e||e>t.length)&&(e=t.length);for(var i=0,n=new Array(e);i<e;i++)n[i]=t[i];return n}JO(".vis-panel.vis-background.vis-horizontal .vis-grid.vis-horizontal{border-bottom:1px solid;height:0;position:absolute;width:100%}.vis-panel.vis-background.vis-horizontal .vis-grid.vis-minor{border-color:#e5e5e5}.vis-panel.vis-background.vis-horizontal .vis-grid.vis-major{border-color:#bfbfbf}.vis-data-axis .vis-y-axis.vis-major{color:#4d4d4d;position:absolute;white-space:nowrap;width:100%}.vis-data-axis .vis-y-axis.vis-major.vis-measure{border:0;margin:0;padding:0;visibility:hidden;width:auto}.vis-data-axis .vis-y-axis.vis-minor{color:#bebebe;position:absolute;white-space:nowrap;width:100%}.vis-data-axis .vis-y-axis.vis-minor.vis-measure{border:0;margin:0;padding:0;visibility:hidden;width:auto}.vis-data-axis .vis-y-axis.vis-title{bottom:20px;color:#4d4d4d;position:absolute;text-align:center;white-space:nowrap}.vis-data-axis .vis-y-axis.vis-title.vis-measure{margin:0;padding:0;visibility:hidden;width:auto}.vis-data-axis .vis-y-axis.vis-title.vis-left{bottom:0;-webkit-transform:rotate(-90deg);-moz-transform:rotate(-90deg);-ms-transform:rotate(-90deg);-o-transform:rotate(-90deg);transform:rotate(-90deg);-webkit-transform-origin:left top;-moz-transform-origin:left top;-ms-transform-origin:left top;-o-transform-origin:left top;transform-origin:left bottom}.vis-data-axis .vis-y-axis.vis-title.vis-right{bottom:0;-webkit-transform:rotate(90deg);-moz-transform:rotate(90deg);-ms-transform:rotate(90deg);-o-transform:rotate(90deg);transform:rotate(90deg);-webkit-transform-origin:right bottom;-moz-transform-origin:right bottom;-ms-transform-origin:right bottom;-o-transform-origin:right bottom;transform-origin:right bottom}.vis-legend{background-color:rgba(247,252,255,.65);border:1px solid #b3b3b3;box-shadow:2px 2px 10px hsla(0,0%,60%,.55);padding:5px}.vis-legend-text{display:inline-block;white-space:nowrap}");var $E=function(t){Kb(i,t);var e=function(t){var e=function(){if("undefined"==typeof Reflect||!jb)return!1;if(jb.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(jb(Boolean,[],(function(){}))),!0}catch(t){return!1}}();return function(){var i,n=e_(t);if(e){var r=e_(this).constructor;i=jb(n,arguments,r)}else i=n.apply(this,arguments);return Zb(this,i)}}(i);function i(t,n,r,o){var s;su(this,i),(s=e.call(this)).id=TM(),s.body=t,s.defaultOptions={orientation:"left",showMinorLabels:!0,showMajorLabels:!0,showWeekScale:!1,icons:!1,majorLinesOffset:7,minorLinesOffset:4,labelOffsetX:10,labelOffsetY:2,iconWidth:20,width:"40px",visible:!0,alignZeros:!0,left:{range:{min:void 0,max:void 0},format:function(t){return"".concat(mO(t.toPrecision(3)))},title:{text:void 0,style:void 0}},right:{range:{min:void 0,max:void 0},format:function(t){return"".concat(mO(t.toPrecision(3)))},title:{text:void 0,style:void 0}}},s.linegraphOptions=o,s.linegraphSVG=r,s.props={},s.DOMelements={lines:{},labels:{},title:{}},s.dom={},s.scale=void 0,s.range={start:0,end:0},s.options=nO.extend({},s.defaultOptions),s.conversionFactor=1,s.setOptions(n),s.width=Number("".concat(s.options.width).replace("px","")),s.minWidth=s.width,s.height=s.linegraphSVG.getBoundingClientRect().height,s.hidden=!1,s.stepPixels=25,s.zeroCrossing=-1,s.amountOfSteps=-1,s.lineOffset=0,s.master=!0,s.masterAxis=null,s.svgElements={},s.iconsRemoved=!1,s.groups={},s.amountOfGroups=0,s._create(),null==s.scale&&s._redrawLabels(),s.framework={svg:s.svg,svgElements:s.svgElements,options:s.options,groups:s.groups};var a=Yb(s);return s.body.emitter.on("verticalDrag",(function(){a.dom.lineContainer.style.top="".concat(a.body.domProps.scrollTop,"px")})),s}return cu(i,[{key:"addGroup",value:function(t,e){this.groups.hasOwnProperty(t)||(this.groups[t]=e),this.amountOfGroups+=1}},{key:"updateGroup",value:function(t,e){this.groups.hasOwnProperty(t)||(this.amountOfGroups+=1),this.groups[t]=e}},{key:"removeGroup",value:function(t){this.groups.hasOwnProperty(t)&&(delete this.groups[t],this.amountOfGroups-=1)}},{key:"setOptions",value:function(t){if(t){var e=!1;this.options.orientation!=t.orientation&&void 0!==t.orientation&&(e=!0),nO.selectiveDeepExtend(["orientation","showMinorLabels","showMajorLabels","icons","majorLinesOffset","minorLinesOffset","labelOffsetX","labelOffsetY","iconWidth","width","visible","left","right","alignZeros"],this.options,t),this.minWidth=Number("".concat(this.options.width).replace("px","")),!0===e&&this.dom.frame&&(this.hide(),this.show())}}},{key:"_create",value:function(){this.dom.frame=document.createElement("div"),this.dom.frame.style.width=this.options.width,this.dom.frame.style.height=this.height,this.dom.lineContainer=document.createElement("div"),this.dom.lineContainer.style.width="100%",this.dom.lineContainer.style.height=this.height,this.dom.lineContainer.style.position="relative",this.dom.lineContainer.style.visibility="visible",this.dom.lineContainer.style.display="block",this.svg=document.createElementNS("http://www.w3.org/2000/svg","svg"),this.svg.style.position="absolute",this.svg.style.top="0px",this.svg.style.height="100%",this.svg.style.width="100%",this.svg.style.display="block",this.dom.frame.appendChild(this.svg)}},{key:"_redrawGroupIcons",value:function(){var t;hb(this.svgElements);var e=this.options.iconWidth,i=11.5;t="left"===this.options.orientation?4:this.width-e-4;var n=ed(this.groups);OC(n).call(n,(function(t,e){return t<e?-1:1}));var r,o=function(t,e){var i=void 0!==Tc&&la(t)||t["@@iterator"];if(!i){if(zc(t)||(i=function(t,e){var i;if(t){if("string"==typeof t)return qE(t,e);var n=Fc(i=Object.prototype.toString.call(t)).call(i,8,-1);return"Object"===n&&t.constructor&&(n=t.constructor.name),"Map"===n||"Set"===n?Gs(t):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?qE(t,e):void 0}}(t))||e&&t&&"number"==typeof t.length){i&&(t=i);var n=0,r=function(){};return{s:r,n:function(){return n>=t.length?{done:!0}:{done:!1,value:t[n++]}},e:function(t){throw t},f:r}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var o,s=!0,a=!1;return{s:function(){i=i.call(t)},n:function(){var t=i.next();return s=t.done,t},e:function(t){a=!0,o=t},f:function(){try{s||null==i.return||i.return()}finally{if(a)throw o}}}}(n);try{for(o.s();!(r=o.n()).done;){var s=r.value;!0!==this.groups[s].visible||void 0!==this.linegraphOptions.visibility[s]&&!0!==this.linegraphOptions.visibility[s]||(this.groups[s].getLegend(e,15,this.framework,t,i),i+=19)}}catch(t){o.e(t)}finally{o.f()}ub(this.svgElements),this.iconsRemoved=!1}},{key:"_cleanupIcons",value:function(){!1===this.iconsRemoved&&(hb(this.svgElements),ub(this.svgElements),this.iconsRemoved=!0)}},{key:"show",value:function(){this.hidden=!1,this.dom.frame.parentNode||("left"===this.options.orientation?this.body.dom.left.appendChild(this.dom.frame):this.body.dom.right.appendChild(this.dom.frame)),this.dom.lineContainer.parentNode||this.body.dom.backgroundHorizontal.appendChild(this.dom.lineContainer),this.dom.lineContainer.style.display="block"}},{key:"hide",value:function(){this.hidden=!0,this.dom.frame.parentNode&&this.dom.frame.parentNode.removeChild(this.dom.frame),this.dom.lineContainer.style.display="none"}},{key:"setRange",value:function(t,e){this.range.start=t,this.range.end=e}},{key:"redraw",value:function(){var t=!1,e=0;for(var i in this.dom.lineContainer.style.top="".concat(this.body.domProps.scrollTop,"px"),this.groups)this.groups.hasOwnProperty(i)&&(!0!==this.groups[i].visible||void 0!==this.linegraphOptions.visibility[i]&&!0!==this.linegraphOptions.visibility[i]||e++);if(0===this.amountOfGroups||0===e)this.hide();else{this.show(),this.height=Number(this.linegraphSVG.style.height.replace("px","")),this.dom.lineContainer.style.height="".concat(this.height,"px"),this.width=!0===this.options.visible?Number("".concat(this.options.width).replace("px","")):0;var n=this.props,r=this.dom.frame;r.className="vis-data-axis",this._calculateCharSize();var o=this.options.orientation,s=this.options.showMinorLabels,a=this.options.showMajorLabels,l=this.body.dom.backgroundHorizontal.offsetWidth;n.minorLabelHeight=s?n.minorCharHeight:0,n.majorLabelHeight=a?n.majorCharHeight:0,n.minorLineWidth=l-this.lineOffset-this.width+2*this.options.minorLinesOffset,n.minorLineHeight=1,n.majorLineWidth=l-this.lineOffset-this.width+2*this.options.majorLinesOffset,n.majorLineHeight=1,"left"===o?(r.style.top="0",r.style.left="0",r.style.bottom="",r.style.width="".concat(this.width,"px"),r.style.height="".concat(this.height,"px"),this.props.width=this.body.domProps.left.width,this.props.height=this.body.domProps.left.height):(r.style.top="",r.style.bottom="0",r.style.left="0",r.style.width="".concat(this.width,"px"),r.style.height="".concat(this.height,"px"),this.props.width=this.body.domProps.right.width,this.props.height=this.body.domProps.right.height),t=this._redrawLabels(),t=this._isResized()||t,!0===this.options.icons?this._redrawGroupIcons():this._cleanupIcons(),this._redrawTitle(o)}return t}},{key:"_redrawLabels",value:function(){var t=this,e=!1;hb(this.DOMelements.lines),hb(this.DOMelements.labels);var i=this.options.orientation,n=null!=this.options[i].range?this.options[i].range:{},r=!0;null!=n.max&&(this.range.end=n.max,r=!1);var o=!0;null!=n.min&&(this.range.start=n.min,o=!1),this.scale=new XE(this.range.start,this.range.end,o,r,this.dom.frame.offsetHeight,this.props.majorCharHeight,this.options.alignZeros,this.options[i].format),!1===this.master&&null!=this.masterAxis?(this.scale.followScale(this.masterAxis.scale),this.dom.lineContainer.style.display="none"):this.dom.lineContainer.style.display="block",this.maxLabelSize=0;var s=this.scale.getLines();zd(s).call(s,(function(e){var n=e.y,r=e.major;t.options.showMinorLabels&&!1===r&&t._redrawLabel(n-2,e.val,i,"vis-y-axis vis-minor",t.props.minorCharHeight),r&&n>=0&&t._redrawLabel(n-2,e.val,i,"vis-y-axis vis-major",t.props.majorCharHeight),!0===t.master&&(r?t._redrawLine(n,i,"vis-grid vis-horizontal vis-major",t.options.majorLinesOffset,t.props.majorLineWidth):t._redrawLine(n,i,"vis-grid vis-horizontal vis-minor",t.options.minorLinesOffset,t.props.minorLineWidth))}));var a=0;void 0!==this.options[i].title&&void 0!==this.options[i].title.text&&(a=this.props.titleCharHeight);var l=!0===this.options.icons?Math.max(this.options.iconWidth,a)+this.options.labelOffsetX+15:a+this.options.labelOffsetX+15;return this.maxLabelSize>this.width-l&&!0===this.options.visible?(this.width=this.maxLabelSize+l,this.options.width="".concat(this.width,"px"),ub(this.DOMelements.lines),ub(this.DOMelements.labels),this.redraw(),e=!0):this.maxLabelSize<this.width-l&&!0===this.options.visible&&this.width>this.minWidth?(this.width=Math.max(this.minWidth,this.maxLabelSize+l),this.options.width="".concat(this.width,"px"),ub(this.DOMelements.lines),ub(this.DOMelements.labels),this.redraw(),e=!0):(ub(this.DOMelements.lines),ub(this.DOMelements.labels),e=!1),e}},{key:"convertValue",value:function(t){return this.scale.convertValue(t)}},{key:"screenToValue",value:function(t){return this.scale.screenToValue(t)}},{key:"_redrawLabel",value:function(t,e,i,n,r){var o=pb("div",this.DOMelements.labels,this.dom.frame);o.className=n,o.innerHTML=nO.xss(e),"left"===i?(o.style.left="-".concat(this.options.labelOffsetX,"px"),o.style.textAlign="right"):(o.style.right="-".concat(this.options.labelOffsetX,"px"),o.style.textAlign="left"),o.style.top="".concat(t-.5*r+this.options.labelOffsetY,"px"),e+="";var s=Math.max(this.props.majorCharWidth,this.props.minorCharWidth);this.maxLabelSize<e.length*s&&(this.maxLabelSize=e.length*s)}},{key:"_redrawLine",value:function(t,e,i,n,r){if(!0===this.master){var o=pb("div",this.DOMelements.lines,this.dom.lineContainer);o.className=i,o.innerHTML="","left"===e?o.style.left="".concat(this.width-n,"px"):o.style.right="".concat(this.width-n,"px"),o.style.width="".concat(r,"px"),o.style.top="".concat(t,"px")}}},{key:"_redrawTitle",value:function(t){if(hb(this.DOMelements.title),void 0!==this.options[t].title&&void 0!==this.options[t].title.text){var e=pb("div",this.DOMelements.title,this.dom.frame);e.className="vis-y-axis vis-title vis-".concat(t),e.innerHTML=nO.xss(this.options[t].title.text),void 0!==this.options[t].title.style&&nO.addCssText(e,this.options[t].title.style),"left"===t?e.style.left="".concat(this.props.titleCharHeight,"px"):e.style.right="".concat(this.props.titleCharHeight,"px"),e.style.width="".concat(this.height,"px")}ub(this.DOMelements.title)}},{key:"_calculateCharSize",value:function(){if(!("minorCharHeight"in this.props)){var t=document.createTextNode("0"),e=document.createElement("div");e.className="vis-y-axis vis-minor vis-measure",e.appendChild(t),this.dom.frame.appendChild(e),this.props.minorCharHeight=e.clientHeight,this.props.minorCharWidth=e.clientWidth,this.dom.frame.removeChild(e)}if(!("majorCharHeight"in this.props)){var i=document.createTextNode("0"),n=document.createElement("div");n.className="vis-y-axis vis-major vis-measure",n.appendChild(i),this.dom.frame.appendChild(n),this.props.majorCharHeight=n.clientHeight,this.props.majorCharWidth=n.clientWidth,this.dom.frame.removeChild(n)}if(!("titleCharHeight"in this.props)){var r=document.createTextNode("0"),o=document.createElement("div");o.className="vis-y-axis vis-title vis-measure",o.appendChild(r),this.dom.frame.appendChild(o),this.props.titleCharHeight=o.clientHeight,this.props.titleCharWidth=o.clientWidth,this.dom.frame.removeChild(o)}}}]),i}(vO);function KE(t,e){}function ZE(t,e){return{style:(e=void 0===e?{}:e).style||t.options.drawPoints.style,styles:e.styles||t.options.drawPoints.styles,size:e.size||t.options.drawPoints.size,className:e.className||t.className}}function JE(t,e){}function QE(t,e){}function tI(t,e,i,n){this.id=e,this.options=nO.selectiveBridgeObject(["sampling","style","sort","yAxisOrientation","barChart","drawPoints","shaded","interpolation","zIndex","excludeFromStacking","excludeFromLegend"],i),this.usingDefaultStyle=void 0===t.className,this.groupsUsingDefaultStyles=n,this.zeroPosition=0,this.update(t),1==this.usingDefaultStyle&&(this.groupsUsingDefaultStyles[0]+=1),this.itemsData=[],this.visible=void 0===t.visible||t.visible}function eI(t,e,i,n){this.body=t,this.defaultOptions={enabled:!1,icons:!0,iconSize:20,iconSpacing:6,left:{visible:!0,position:"top-left"},right:{visible:!0,position:"top-right"}},this.side=i,this.options=nO.extend({},this.defaultOptions),this.linegraphOptions=n,this.svgElements={},this.dom={},this.groups={},this.amountOfGroups=0,this._create(),this.framework={svg:this.svg,svgElements:this.svgElements,options:this.options,groups:this.groups},this.setOptions(e)}KE.draw=function(t,e,i,n){n=n||0;for(var r=function(t,e){var i=void 0;return t.options&&t.options.drawPoints&&t.options.drawPoints.onRender&&"function"==typeof t.options.drawPoints.onRender&&(i=t.options.drawPoints.onRender),e.group.options&&e.group.options.drawPoints&&e.group.options.drawPoints.onRender&&"function"==typeof e.group.options.drawPoints.onRender&&(i=e.group.options.drawPoints.onRender),i}(i,e),o=0;o<t.length;o++)if(r){var s=r(t[o],e);!0!==s&&"object"!==Dc(s)||fb(t[o].screen_x+n,t[o].screen_y,ZE(e,s),i.svgElements,i.svg,t[o].label)}else fb(t[o].screen_x+n,t[o].screen_y,ZE(e),i.svgElements,i.svg,t[o].label)},KE.drawIcon=function(t,e,i,n,r,o){var s=.5*r,a=db("rect",o.svgElements,o.svg);a.setAttributeNS(null,"x",e),a.setAttributeNS(null,"y",i-s),a.setAttributeNS(null,"width",n),a.setAttributeNS(null,"height",2*s),a.setAttributeNS(null,"class","vis-outline"),fb(e+.5*n,i,ZE(t),o.svgElements,o.svg)},JE.drawIcon=function(t,e,i,n,r,o){var s=.5*r,a=db("rect",o.svgElements,o.svg);a.setAttributeNS(null,"x",e),a.setAttributeNS(null,"y",i-s),a.setAttributeNS(null,"width",n),a.setAttributeNS(null,"height",2*s),a.setAttributeNS(null,"class","vis-outline");var l=Math.round(.3*n),h=t.options.barChart.width/l,u=Math.round(.4*r),c=Math.round(.75*r),d=Math.round((n-2*l)/3);if(mb(e+.5*l+d,i+s-u-1,l,u,t.className+" vis-bar",o.svgElements,o.svg,t.style),mb(e+1.5*l+d+2,i+s-c-1,l,c,t.className+" vis-bar",o.svgElements,o.svg,t.style),1==t.options.drawPoints.enabled){var p={style:t.options.drawPoints.style,styles:t.options.drawPoints.styles,size:t.options.drawPoints.size/h,className:t.className};fb(e+.5*l+d,i+s-u-1,p,o.svgElements,o.svg),fb(e+1.5*l+d+2,i+s-c-1,p,o.svgElements,o.svg)}},JE.draw=function(t,e,i){var n,r,o,s,a,l,h=[],u={},c=0;for(a=0;a<t.length;a++)if("bar"===(s=i.groups[t[a]]).options.style&&!0===s.visible&&(void 0===i.options.groups.visibility[t[a]]||!0===i.options.groups.visibility[t[a]]))for(l=0;l<e[t[a]].length;l++)h.push({screen_x:e[t[a]][l].screen_x,screen_end:e[t[a]][l].screen_end,screen_y:e[t[a]][l].screen_y,x:e[t[a]][l].x,end:e[t[a]][l].end,y:e[t[a]][l].y,groupId:t[a],label:e[t[a]][l].label}),c+=1;if(0!==c)for(OC(h).call(h,(function(t,e){return t.screen_x===e.screen_x?t.groupId<e.groupId?-1:1:t.screen_x-e.screen_x})),JE._getDataIntersections(u,h),a=0;a<h.length;a++){var d=null!=(s=i.groups[h[a].groupId]).options.barChart.minWidth?s.options.barChart.minWidth:.1*s.options.barChart.width,p=0;if(void 0===u[r=h[a].screen_x])a+1<h.length&&(n=Math.abs(h[a+1].screen_x-r)),o=JE._getSafeDrawData(n,s,d);else{var f=a+(u[r].amount-u[r].resolved);f<h.length&&(n=Math.abs(h[f].screen_x-r)),o=JE._getSafeDrawData(n,s,d),u[r].resolved+=1,!0===s.options.stack&&!0!==s.options.excludeFromStacking?h[a].screen_y<s.zeroPosition?(p=u[r].accumulatedNegative,u[r].accumulatedNegative+=s.zeroPosition-h[a].screen_y):(p=u[r].accumulatedPositive,u[r].accumulatedPositive+=s.zeroPosition-h[a].screen_y):!0===s.options.barChart.sideBySide&&(o.width=o.width/u[r].amount,o.offset+=u[r].resolved*o.width-.5*o.width*(u[r].amount+1))}var m=o.width,v=h[a].screen_x;if(null!=h[a].screen_end?v+=.5*(m=h[a].screen_end-h[a].screen_x):v+=o.offset,mb(v,h[a].screen_y-p,m,s.zeroPosition-h[a].screen_y,s.className+" vis-bar",i.svgElements,i.svg,s.style),!0===s.options.drawPoints.enabled){var g={screen_x:h[a].screen_x,screen_y:h[a].screen_y-p,x:h[a].x,y:h[a].y,groupId:h[a].groupId,label:h[a].label};KE.draw([g],s,i,o.offset)}}},JE._getDataIntersections=function(t,e){for(var i,n=0;n<e.length;n++)n+1<e.length&&(i=Math.abs(e[n+1].screen_x-e[n].screen_x)),n>0&&(i=Math.min(i,Math.abs(e[n-1].screen_x-e[n].screen_x))),0===i&&(void 0===t[e[n].screen_x]&&(t[e[n].screen_x]={amount:0,resolved:0,accumulatedPositive:0,accumulatedNegative:0}),t[e[n].screen_x].amount+=1)},JE._getSafeDrawData=function(t,e,i){var n,r;return t<e.options.barChart.width&&t>0?(n=t<i?i:t,r=0,"left"===e.options.barChart.align?r-=.5*t:"right"===e.options.barChart.align&&(r+=.5*t)):(n=e.options.barChart.width,r=0,"left"===e.options.barChart.align?r-=.5*e.options.barChart.width:"right"===e.options.barChart.align&&(r+=.5*e.options.barChart.width)),{width:n,offset:r}},JE.getStackedYRange=function(t,e,i,n,r){if(t.length>0){OC(t).call(t,(function(t,e){return t.screen_x===e.screen_x?t.groupId<e.groupId?-1:1:t.screen_x-e.screen_x}));var o={};JE._getDataIntersections(o,t),e[n]=JE._getStackedYRange(o,t),e[n].yAxisOrientation=r,i.push(n)}},JE._getStackedYRange=function(t,e){for(var i,n=e[0].screen_y,r=e[0].screen_y,o=0;o<e.length;o++)void 0===t[i=e[o].screen_x]?(n=n>e[o].screen_y?e[o].screen_y:n,r=r<e[o].screen_y?e[o].screen_y:r):e[o].screen_y<0?t[i].accumulatedNegative+=e[o].screen_y:t[i].accumulatedPositive+=e[o].screen_y;for(var s in t)t.hasOwnProperty(s)&&(n=(n=n>t[s].accumulatedNegative?t[s].accumulatedNegative:n)>t[s].accumulatedPositive?t[s].accumulatedPositive:n,r=(r=r<t[s].accumulatedNegative?t[s].accumulatedNegative:r)<t[s].accumulatedPositive?t[s].accumulatedPositive:r);return{min:n,max:r}},QE.calcPath=function(t,e){if(null!=t&&t.length>0)return 1==e.options.interpolation.enabled?QE._catmullRom(t,e):QE._linear(t)},QE.drawIcon=function(t,e,i,n,r,o){var s,a,l=.5*r,h=db("rect",o.svgElements,o.svg);h.setAttributeNS(null,"x",e),h.setAttributeNS(null,"y",i-l),h.setAttributeNS(null,"width",n),h.setAttributeNS(null,"height",2*l),h.setAttributeNS(null,"class","vis-outline"),(s=db("path",o.svgElements,o.svg)).setAttributeNS(null,"class",t.className),void 0!==t.style&&s.setAttributeNS(null,"style",t.style),s.setAttributeNS(null,"d","M"+e+","+i+" L"+(e+n)+","+i),1==t.options.shaded.enabled&&(a=db("path",o.svgElements,o.svg),"top"==t.options.shaded.orientation?a.setAttributeNS(null,"d","M"+e+", "+(i-l)+"L"+e+","+i+" L"+(e+n)+","+i+" L"+(e+n)+","+(i-l)):a.setAttributeNS(null,"d","M"+e+","+i+" L"+e+","+(i+l)+" L"+(e+n)+","+(i+l)+"L"+(e+n)+","+i),a.setAttributeNS(null,"class",t.className+" vis-icon-fill"),void 0!==t.options.shaded.style&&""!==t.options.shaded.style&&a.setAttributeNS(null,"style",t.options.shaded.style)),1==t.options.drawPoints.enabled&&fb(e+.5*n,i,{style:t.options.drawPoints.style,styles:t.options.drawPoints.styles,size:t.options.drawPoints.size,className:t.className},o.svgElements,o.svg)},QE.drawShading=function(t,e,i,n){if(1==e.options.shaded.enabled){var r,o=Number(n.svg.style.height.replace("px","")),s=db("path",n.svgElements,n.svg),a="L";1==e.options.interpolation.enabled&&(a="C");var l;l="top"==e.options.shaded.orientation?0:"bottom"==e.options.shaded.orientation?o:Math.min(Math.max(0,e.zeroPosition),o),r="group"==e.options.shaded.orientation&&null!=i&&null!=i?"M"+t[0][0]+","+t[0][1]+" "+this.serializePath(t,a,!1)+" L"+i[i.length-1][0]+","+i[i.length-1][1]+" "+this.serializePath(i,a,!0)+i[0][0]+","+i[0][1]+" Z":"M"+t[0][0]+","+t[0][1]+" "+this.serializePath(t,a,!1)+" V"+l+" H"+t[0][0]+" Z",s.setAttributeNS(null,"class",e.className+" vis-fill"),void 0!==e.options.shaded.style&&s.setAttributeNS(null,"style",e.options.shaded.style),s.setAttributeNS(null,"d",r)}},QE.draw=function(t,e,i){if(null!=t&&null!=t){var n=db("path",i.svgElements,i.svg);n.setAttributeNS(null,"class",e.className),void 0!==e.style&&n.setAttributeNS(null,"style",e.style);var r="L";1==e.options.interpolation.enabled&&(r="C"),n.setAttributeNS(null,"d","M"+t[0][0]+","+t[0][1]+" "+this.serializePath(t,r,!1))}},QE.serializePath=function(t,e,i){if(t.length<2)return"";var n,r=e;if(i)for(n=t.length-2;n>0;n--)r+=t[n][0]+","+t[n][1]+" ";else for(n=1;n<t.length;n++)r+=t[n][0]+","+t[n][1]+" ";return r},QE._catmullRomUniform=function(t){var e,i,n,r,o,s,a=[];a.push([Math.round(t[0].screen_x),Math.round(t[0].screen_y)]);for(var l=1/6,h=t.length,u=0;u<h-1;u++)e=0==u?t[0]:t[u-1],i=t[u],n=t[u+1],r=u+2<h?t[u+2]:n,o={screen_x:(-e.screen_x+6*i.screen_x+n.screen_x)*l,screen_y:(-e.screen_y+6*i.screen_y+n.screen_y)*l},s={screen_x:(i.screen_x+6*n.screen_x-r.screen_x)*l,screen_y:(i.screen_y+6*n.screen_y-r.screen_y)*l},a.push([o.screen_x,o.screen_y]),a.push([s.screen_x,s.screen_y]),a.push([n.screen_x,n.screen_y]);return a},QE._catmullRom=function(t,e){var i=e.options.interpolation.alpha;if(0==i||void 0===i)return this._catmullRomUniform(t);var n,r,o,s,a,l,h,u,c,d,p,f,m,v,g,y,b,_,w,k=[];k.push([Math.round(t[0].screen_x),Math.round(t[0].screen_y)]);for(var x=t.length,S=0;S<x-1;S++)n=0==S?t[0]:t[S-1],r=t[S],o=t[S+1],s=S+2<x?t[S+2]:o,h=Math.sqrt(Math.pow(n.screen_x-r.screen_x,2)+Math.pow(n.screen_y-r.screen_y,2)),u=Math.sqrt(Math.pow(r.screen_x-o.screen_x,2)+Math.pow(r.screen_y-o.screen_y,2)),c=Math.sqrt(Math.pow(o.screen_x-s.screen_x,2)+Math.pow(o.screen_y-s.screen_y,2)),v=Math.pow(c,i),y=Math.pow(c,2*i),g=Math.pow(u,i),b=Math.pow(u,2*i),w=Math.pow(h,i),d=2*(_=Math.pow(h,2*i))+3*w*g+b,p=2*y+3*v*g+b,(f=3*w*(w+g))>0&&(f=1/f),(m=3*v*(v+g))>0&&(m=1/m),a={screen_x:(-b*n.screen_x+d*r.screen_x+_*o.screen_x)*f,screen_y:(-b*n.screen_y+d*r.screen_y+_*o.screen_y)*f},l={screen_x:(y*r.screen_x+p*o.screen_x-b*s.screen_x)*m,screen_y:(y*r.screen_y+p*o.screen_y-b*s.screen_y)*m},0==a.screen_x&&0==a.screen_y&&(a=r),0==l.screen_x&&0==l.screen_y&&(l=o),k.push([a.screen_x,a.screen_y]),k.push([l.screen_x,l.screen_y]),k.push([o.screen_x,o.screen_y]);return k},QE._linear=function(t){for(var e=[],i=0;i<t.length;i++)e.push([t[i].screen_x,t[i].screen_y]);return e},tI.prototype.setItems=function(t){null!=t?(this.itemsData=t,1==OC(this.options)&&nO.insertSort(this.itemsData,(function(t,e){return t.x>e.x?1:-1}))):this.itemsData=[]},tI.prototype.getItems=function(){return this.itemsData},tI.prototype.setZeroPosition=function(t){this.zeroPosition=t},tI.prototype.setOptions=function(t){void 0!==t&&(nO.selectiveDeepExtend(["sampling","style","sort","yAxisOrientation","barChart","zIndex","excludeFromStacking","excludeFromLegend"],this.options,t),"function"==typeof t.drawPoints&&(t.drawPoints={onRender:t.drawPoints}),nO.mergeOptions(this.options,t,"interpolation"),nO.mergeOptions(this.options,t,"drawPoints"),nO.mergeOptions(this.options,t,"shaded"),t.interpolation&&"object"==Dc(t.interpolation)&&t.interpolation.parametrization&&("uniform"==t.interpolation.parametrization?this.options.interpolation.alpha=0:"chordal"==t.interpolation.parametrization?this.options.interpolation.alpha=1:(this.options.interpolation.parametrization="centripetal",this.options.interpolation.alpha=.5)))},tI.prototype.update=function(t){this.group=t,this.content=t.content||"graph",this.className=t.className||this.className||"vis-graph-group"+this.groupsUsingDefaultStyles[0]%10,this.visible=void 0===t.visible||t.visible,this.style=t.style,this.setOptions(t.options)},tI.prototype.getLegend=function(t,e,i,n,r){switch(null!=i&&null!=i||(i={svg:document.createElementNS("http://www.w3.org/2000/svg","svg"),svgElements:{},options:this.options,groups:[this]}),null!=n&&null!=n||(n=0),null!=r&&null!=r||(r=.5*e),this.options.style){case"line":QE.drawIcon(this,n,r,t,e,i);break;case"points":case"point":KE.drawIcon(this,n,r,t,e,i);break;case"bar":JE.drawIcon(this,n,r,t,e,i)}return{icon:i.svg,label:this.content,orientation:this.options.yAxisOrientation}},tI.prototype.getYRange=function(t){for(var e=t[0].y,i=t[0].y,n=0;n<t.length;n++)e=e>t[n].y?t[n].y:e,i=i<t[n].y?t[n].y:i;return{min:e,max:i,yAxisOrientation:this.options.yAxisOrientation}},eI.prototype=new vO,eI.prototype.clear=function(){this.groups={},this.amountOfGroups=0},eI.prototype.addGroup=function(t,e){1!=e.options.excludeFromLegend&&(this.groups.hasOwnProperty(t)||(this.groups[t]=e),this.amountOfGroups+=1)},eI.prototype.updateGroup=function(t,e){this.groups[t]=e},eI.prototype.removeGroup=function(t){this.groups.hasOwnProperty(t)&&(delete this.groups[t],this.amountOfGroups-=1)},eI.prototype._create=function(){this.dom.frame=document.createElement("div"),this.dom.frame.className="vis-legend",this.dom.frame.style.position="absolute",this.dom.frame.style.top="10px",this.dom.frame.style.display="block",this.dom.textArea=document.createElement("div"),this.dom.textArea.className="vis-legend-text",this.dom.textArea.style.position="relative",this.dom.textArea.style.top="0px",this.svg=document.createElementNS("http://www.w3.org/2000/svg","svg"),this.svg.style.position="absolute",this.svg.style.top="0px",this.svg.style.width=this.options.iconSize+5+"px",this.svg.style.height="100%",this.dom.frame.appendChild(this.svg),this.dom.frame.appendChild(this.dom.textArea)},eI.prototype.hide=function(){this.dom.frame.parentNode&&this.dom.frame.parentNode.removeChild(this.dom.frame)},eI.prototype.show=function(){this.dom.frame.parentNode||this.body.dom.center.appendChild(this.dom.frame)},eI.prototype.setOptions=function(t){nO.selectiveDeepExtend(["enabled","orientation","icons","left","right"],this.options,t)},eI.prototype.redraw=function(){var t=0,e=ed(this.groups);OC(e).call(e,(function(t,e){return t<e?-1:1}));for(var i=0;i<e.length;i++){var n=e[i];1!=this.groups[n].visible||void 0!==this.linegraphOptions.visibility[n]&&1!=this.linegraphOptions.visibility[n]||t++}if(0==this.options[this.side].visible||0==this.amountOfGroups||0==this.options.enabled||0==t)this.hide();else{if(this.show(),"top-left"==this.options[this.side].position||"bottom-left"==this.options[this.side].position?(this.dom.frame.style.left="4px",this.dom.frame.style.textAlign="left",this.dom.textArea.style.textAlign="left",this.dom.textArea.style.left=this.options.iconSize+15+"px",this.dom.textArea.style.right="",this.svg.style.left="0px",this.svg.style.right=""):(this.dom.frame.style.right="4px",this.dom.frame.style.textAlign="right",this.dom.textArea.style.textAlign="right",this.dom.textArea.style.right=this.options.iconSize+15+"px",this.dom.textArea.style.left="",this.svg.style.right="0px",this.svg.style.left=""),"top-left"==this.options[this.side].position||"top-right"==this.options[this.side].position)this.dom.frame.style.top=4-Number(this.body.dom.center.style.top.replace("px",""))+"px",this.dom.frame.style.bottom="";else{var r=this.body.domProps.center.height-this.body.domProps.centerContainer.height;this.dom.frame.style.bottom=4+r+Number(this.body.dom.center.style.top.replace("px",""))+"px",this.dom.frame.style.top=""}0==this.options.icons?(this.dom.frame.style.width=this.dom.textArea.offsetWidth+10+"px",this.dom.textArea.style.right="",this.dom.textArea.style.left="",this.svg.style.width="0px"):(this.dom.frame.style.width=this.options.iconSize+15+this.dom.textArea.offsetWidth+10+"px",this.drawLegendIcons());var o="";for(i=0;i<e.length;i++)n=e[i],1!=this.groups[n].visible||void 0!==this.linegraphOptions.visibility[n]&&1!=this.linegraphOptions.visibility[n]||(o+=this.groups[n].content+"<br />");this.dom.textArea.innerHTML=nO.xss(o),this.dom.textArea.style.lineHeight=.75*this.options.iconSize+this.options.iconSpacing+"px"}},eI.prototype.drawLegendIcons=function(){if(this.dom.frame.parentNode){var t=ed(this.groups);OC(t).call(t,(function(t,e){return t<e?-1:1})),cb(this.svgElements);var e=window.getComputedStyle(this.dom.frame).paddingTop,i=Number(e.replace("px","")),n=i,r=this.options.iconSize,o=.75*this.options.iconSize,s=i+.5*o+3;this.svg.style.width=r+5+i+"px";for(var a=0;a<t.length;a++){var l=t[a];1!=this.groups[l].visible||void 0!==this.linegraphOptions.visibility[l]&&1!=this.linegraphOptions.visibility[l]||(this.groups[l].getLegend(r,o,this.framework,n,s),s+=o+this.options.iconSpacing)}}};var iI="__ungrouped__";function nI(t,e){this.id=TM(),this.body=t,this.defaultOptions={yAxisOrientation:"left",defaultGroup:"default",sort:!0,sampling:!0,stack:!1,graphHeight:"400px",shaded:{enabled:!1,orientation:"bottom"},style:"line",barChart:{width:50,sideBySide:!1,align:"center"},interpolation:{enabled:!0,parametrization:"centripetal",alpha:.5},drawPoints:{enabled:!0,size:6,style:"square"},dataAxis:{},legend:{},groups:{visibility:{}}},this.options=nO.extend({},this.defaultOptions),this.dom={},this.props={},this.hammer=null,this.groups={},this.abortedGraphUpdate=!1,this.updateSVGheight=!1,this.updateSVGheightOnResize=!1,this.forceGraphUpdate=!0;var i=this;this.itemsData=null,this.groupsData=null,this.itemListeners={add:function(t,e,n){i._onAdd(e.items)},update:function(t,e,n){i._onUpdate(e.items)},remove:function(t,e,n){i._onRemove(e.items)}},this.groupListeners={add:function(t,e,n){i._onAddGroups(e.items)},update:function(t,e,n){i._onUpdateGroups(e.items)},remove:function(t,e,n){i._onRemoveGroups(e.items)}},this.items={},this.selection=[],this.lastStart=this.body.range.start,this.touchParams={},this.svgElements={},this.setOptions(e),this.groupsUsingDefaultStyles=[0],this.body.emitter.on("rangechanged",(function(){i.svg.style.left=nO.option.asSize(-i.props.width),i.forceGraphUpdate=!0,i.redraw.call(i)})),this._create(),this.framework={svg:this.svg,svgElements:this.svgElements,options:this.options,groups:this.groups}}nI.prototype=new vO,nI.prototype._create=function(){var t=document.createElement("div");t.className="vis-line-graph",this.dom.frame=t,this.svg=document.createElementNS("http://www.w3.org/2000/svg","svg"),this.svg.style.position="relative",this.svg.style.height=(""+this.options.graphHeight).replace("px","")+"px",this.svg.style.display="block",t.appendChild(this.svg),this.options.dataAxis.orientation="left",this.yAxisLeft=new $E(this.body,this.options.dataAxis,this.svg,this.options.groups),this.options.dataAxis.orientation="right",this.yAxisRight=new $E(this.body,this.options.dataAxis,this.svg,this.options.groups),delete this.options.dataAxis.orientation,this.legendLeft=new eI(this.body,this.options.legend,"left",this.options.groups),this.legendRight=new eI(this.body,this.options.legend,"right",this.options.groups),this.show()},nI.prototype.setOptions=function(t){t&&(void 0===t.graphHeight&&void 0!==t.height?(this.updateSVGheight=!0,this.updateSVGheightOnResize=!0):void 0!==this.body.domProps.centerContainer.height&&void 0!==t.graphHeight&&Qf((t.graphHeight+"").replace("px",""))<this.body.domProps.centerContainer.height&&(this.updateSVGheight=!0),nO.selectiveDeepExtend(["sampling","defaultGroup","stack","height","graphHeight","yAxisOrientation","style","barChart","dataAxis","sort","groups"],this.options,t),nO.mergeOptions(this.options,t,"interpolation"),nO.mergeOptions(this.options,t,"drawPoints"),nO.mergeOptions(this.options,t,"shaded"),nO.mergeOptions(this.options,t,"legend"),t.interpolation&&"object"==Dc(t.interpolation)&&t.interpolation.parametrization&&("uniform"==t.interpolation.parametrization?this.options.interpolation.alpha=0:"chordal"==t.interpolation.parametrization?this.options.interpolation.alpha=1:(this.options.interpolation.parametrization="centripetal",this.options.interpolation.alpha=.5)),this.yAxisLeft&&void 0!==t.dataAxis&&(this.yAxisLeft.setOptions(this.options.dataAxis),this.yAxisRight.setOptions(this.options.dataAxis)),this.legendLeft&&void 0!==t.legend&&(this.legendLeft.setOptions(this.options.legend),this.legendRight.setOptions(this.options.legend)),this.groups.hasOwnProperty(iI)&&this.groups[iI].setOptions(t)),this.dom.frame&&(this.forceGraphUpdate=!0,this.body.emitter.emit("_change",{queue:!0}))},nI.prototype.hide=function(){this.dom.frame.parentNode&&this.dom.frame.parentNode.removeChild(this.dom.frame)},nI.prototype.show=function(){this.dom.frame.parentNode||this.body.dom.center.appendChild(this.dom.frame)},nI.prototype.setItems=function(t){var e,i=this,n=this.itemsData;if(t){if(!$T(t))throw new TypeError("Data must implement the interface of DataSet or DataView");this.itemsData=QT(t)}else this.itemsData=null;if(n&&(zd(nO).call(nO,this.itemListeners,(function(t,e){n.off(e,t)})),n.dispose(),e=n.getIds(),this._onRemove(e)),this.itemsData){var r=this.id;zd(nO).call(nO,this.itemListeners,(function(t,e){i.itemsData.on(e,t,r)})),e=this.itemsData.getIds(),this._onAdd(e)}},nI.prototype.setGroups=function(t){var e,i=this;if(this.groupsData){zd(nO).call(nO,this.groupListeners,(function(t,e){i.groupsData.off(e,t)})),e=this.groupsData.getIds(),this.groupsData=null;for(var n=0;n<e.length;n++)this._removeGroup(e[n])}if(t){if(!$T(t))throw new TypeError("Data must implement the interface of DataSet or DataView");this.groupsData=t}else this.groupsData=null;if(this.groupsData){var r=this.id;zd(nO).call(nO,this.groupListeners,(function(t,e){i.groupsData.on(e,t,r)})),e=this.groupsData.getIds(),this._onAddGroups(e)}},nI.prototype._onUpdate=function(t){this._updateAllGroupData(t)},nI.prototype._onAdd=function(t){this._onUpdate(t)},nI.prototype._onRemove=function(t){this._onUpdate(t)},nI.prototype._onUpdateGroups=function(t){this._updateAllGroupData(null,t)},nI.prototype._onAddGroups=function(t){this._onUpdateGroups(t)},nI.prototype._onRemoveGroups=function(t){for(var e=0;e<t.length;e++)this._removeGroup(t[e]);this.forceGraphUpdate=!0,this.body.emitter.emit("_change",{queue:!0})},nI.prototype._removeGroup=function(t){this.groups.hasOwnProperty(t)&&("right"==this.groups[t].options.yAxisOrientation?(this.yAxisRight.removeGroup(t),this.legendRight.removeGroup(t),this.legendRight.redraw()):(this.yAxisLeft.removeGroup(t),this.legendLeft.removeGroup(t),this.legendLeft.redraw()),delete this.groups[t])},nI.prototype._updateGroup=function(t,e){this.groups.hasOwnProperty(e)?(this.groups[e].update(t),"right"==this.groups[e].options.yAxisOrientation?(this.yAxisRight.updateGroup(e,this.groups[e]),this.legendRight.updateGroup(e,this.groups[e]),this.yAxisLeft.removeGroup(e),this.legendLeft.removeGroup(e)):(this.yAxisLeft.updateGroup(e,this.groups[e]),this.legendLeft.updateGroup(e,this.groups[e]),this.yAxisRight.removeGroup(e),this.legendRight.removeGroup(e))):(this.groups[e]=new tI(t,e,this.options,this.groupsUsingDefaultStyles),"right"==this.groups[e].options.yAxisOrientation?(this.yAxisRight.addGroup(e,this.groups[e]),this.legendRight.addGroup(e,this.groups[e])):(this.yAxisLeft.addGroup(e,this.groups[e]),this.legendLeft.addGroup(e,this.groups[e]))),this.legendLeft.redraw(),this.legendRight.redraw()},nI.prototype._updateAllGroupData=function(t,e){if(null!=this.itemsData){var i={},n=this.itemsData.get(),r=this.itemsData.idProp,o={};t&&Kc(t).call(t,(function(t){o[t]=t}));for(var s={},a=0;a<n.length;a++){var l=n[a],h=l.group;null==h&&(h=iI),s.hasOwnProperty(h)?s[h]++:s[h]=1}var u={};if(!e&&t)for(h in this.groups)if(this.groups.hasOwnProperty(h)){var c=(m=this.groups[h]).getItems();i[h]=yf(c).call(c,(function(t){return u[t[r]]=t[r],t[r]!==o[t[r]]}));var d=s[h];s[h]-=i[h].length,i[h].length<d&&(i[h][d-1]={})}for(a=0;a<n.length;a++)if(null==(h=(l=n[a]).group)&&(h=iI),e||!t||l[r]===o[l[r]]||!u.hasOwnProperty(l[r])){i.hasOwnProperty(h)||(i[h]=new Array(s[h]));var p=nO.bridgeObject(l);p.x=nO.convert(l.x,"Date"),p.end=nO.convert(l.end,"Date"),p.orginalY=l.y,p.y=Number(l.y),p[r]=l[r];var f=i[h].length-s[h]--;i[h][f]=p}for(h in this.groups)this.groups.hasOwnProperty(h)&&(i.hasOwnProperty(h)||(i[h]=new Array(0)));for(h in i)if(i.hasOwnProperty(h))if(0==i[h].length)this.groups.hasOwnProperty(h)&&this._removeGroup(h);else{var m=void 0;null!=this.groupsData&&(m=this.groupsData.get(h)),null==m&&(m={id:h,content:this.options.defaultGroup+h}),this._updateGroup(m,h),this.groups[h].setItems(i[h])}this.forceGraphUpdate=!0,this.body.emitter.emit("_change",{queue:!0})}},nI.prototype.redraw=function(){var t=!1;this.props.width=this.dom.frame.offsetWidth,this.props.height=this.body.domProps.centerContainer.height-this.body.domProps.border.top-this.body.domProps.border.bottom,t=this._isResized()||t;var e,i=this.body.range.end-this.body.range.start,n=i!=this.lastVisibleInterval;if(this.lastVisibleInterval=i,1==t&&(this.svg.style.width=nO.option.asSize(3*this.props.width),this.svg.style.left=nO.option.asSize(-this.props.width),-1==dm(e=this.options.height+"").call(e,"%")&&1!=this.updateSVGheightOnResize||(this.updateSVGheight=!0)),1==this.updateSVGheight?(this.options.graphHeight!=this.props.height+"px"&&(this.options.graphHeight=this.props.height+"px",this.svg.style.height=this.props.height+"px"),this.updateSVGheight=!1):this.svg.style.height=(""+this.options.graphHeight).replace("px","")+"px",1==t||1==n||1==this.abortedGraphUpdate||1==this.forceGraphUpdate)t=this._updateGraph()||t,this.forceGraphUpdate=!1,this.lastStart=this.body.range.start,this.svg.style.left=-this.props.width+"px";else if(0!=this.lastStart){var r=this.body.range.start-this.lastStart,o=this.body.range.end-this.body.range.start;if(0!=this.props.width){var s=r*(this.props.width/o);this.svg.style.left=-this.props.width-s+"px"}}return this.legendLeft.redraw(),this.legendRight.redraw(),t},nI.prototype._getSortedGroupIds=function(){var t=[];for(var e in this.groups)if(this.groups.hasOwnProperty(e)){var i=this.groups[e];1!=i.visible||void 0!==this.options.groups.visibility[e]&&1!=this.options.groups.visibility[e]||t.push({id:e,zIndex:i.options.zIndex})}nO.insertSort(t,(function(t,e){var i=t.zIndex,n=e.zIndex;return void 0===i&&(i=0),void 0===n&&(n=0),i==n?0:i<n?-1:1}));for(var n=new Array(t.length),r=0;r<t.length;r++)n[r]=t[r].id;return n},nI.prototype._updateGraph=function(){if(hb(this.svgElements),0!=this.props.width&&null!=this.itemsData){var t,e,i={},n=this.body.util.toGlobalTime(-this.body.domProps.root.width),r=this.body.util.toGlobalTime(2*this.body.domProps.root.width),o=this._getSortedGroupIds();if(o.length>0){var s={};for(this._getRelevantData(o,s,n,r),this._applySampling(o,s),e=0;e<o.length;e++)this._convertXcoordinates(s[o[e]]);if(this._getYRanges(o,s,i),1==this._updateYAxis(o,i))return ub(this.svgElements),this.abortedGraphUpdate=!0,!0;this.abortedGraphUpdate=!1;var a=void 0;for(e=0;e<o.length;e++)t=this.groups[o[e]],!0===this.options.stack&&"line"===this.options.style&&(null!=t.options.excludeFromStacking&&t.options.excludeFromStacking||(null!=a&&(this._stack(s[t.id],s[a.id]),1==t.options.shaded.enabled&&"group"!==t.options.shaded.orientation&&("top"==t.options.shaded.orientation&&"group"!==a.options.shaded.orientation?(a.options.shaded.orientation="group",a.options.shaded.groupId=t.id):(t.options.shaded.orientation="group",t.options.shaded.groupId=a.id))),a=t)),this._convertYcoordinates(s[o[e]],t);var l={};for(e=0;e<o.length;e++)if("line"===(t=this.groups[o[e]]).options.style&&1==t.options.shaded.enabled){var h=s[o[e]];if(null==h||0==h.length)continue;if(l.hasOwnProperty(o[e])||(l[o[e]]=QE.calcPath(h,t)),"group"===t.options.shaded.orientation){var u=t.options.shaded.groupId;if(-1===dm(o).call(o,u)){console.log(t.id+": Unknown shading group target given:"+u);continue}l.hasOwnProperty(u)||(l[u]=QE.calcPath(s[u],this.groups[u])),QE.drawShading(l[o[e]],t,l[u],this.framework)}else QE.drawShading(l[o[e]],t,void 0,this.framework)}for(JE.draw(o,s,this.framework),e=0;e<o.length;e++)if(t=this.groups[o[e]],s[o[e]].length>0)switch(t.options.style){case"line":l.hasOwnProperty(o[e])||(l[o[e]]=QE.calcPath(s[o[e]],t)),QE.draw(l[o[e]],t,this.framework);case"point":case"points":"point"!=t.options.style&&"points"!=t.options.style&&1!=t.options.drawPoints.enabled||KE.draw(s[o[e]],t,this.framework)}}}return ub(this.svgElements),!1},nI.prototype._stack=function(t,e){var i,n,r,o,s;i=0;for(var a=0;a<t.length;a++){o=void 0,s=void 0;for(var l=i;l<e.length;l++){if(e[l].x===t[a].x){o=e[l],s=e[l],i=l;break}if(e[l].x>t[a].x){s=e[l],o=0==l?s:e[l-1],i=l;break}}void 0===s&&(o=e[e.length-1],s=e[e.length-1]),n=s.x-o.x,r=s.y-o.y,t[a].y=0==n?t[a].orginalY+s.y:t[a].orginalY+r/n*(t[a].x-o.x)+o.y}},nI.prototype._getRelevantData=function(t,e,i,n){var r,o,s,a;if(t.length>0)for(o=0;o<t.length;o++){var l=(r=this.groups[t[o]]).getItems();if(1==OC(r.options)){var h=function(t,e){return t.getTime()==e.getTime()?0:t<e?-1:1},u=Math.max(0,nO.binarySearchValue(l,i,"x","before",h)),c=Math.min(l.length,nO.binarySearchValue(l,n,"x","after",h)+1);c<=0&&(c=l.length);var d=new Array(c-u);for(s=u;s<c;s++)a=r.itemsData[s],d[s-u]=a;e[t[o]]=d}else e[t[o]]=r.itemsData}},nI.prototype._applySampling=function(t,e){if(t.length>0)for(var i=0;i<t.length;i++)if(1==this.groups[t[i]].options.sampling){var n=e[t[i]];if(n.length>0){var r,o=n.length,s=o/(this.body.util.toGlobalScreen(n[n.length-1].x)-this.body.util.toGlobalScreen(n[0].x));r=Math.min(Math.ceil(.2*o),Math.max(1,Math.round(s)));for(var a=new Array(o),l=0;l<o;l+=r)a[Math.round(l/r)]=n[l];e[t[i]]=_p(a).call(a,0,Math.round(o/r))}}},nI.prototype._getYRanges=function(t,e,i){var n,r,o,s,a=[],l=[];if(t.length>0){for(o=0;o<t.length;o++)n=e[t[o]],s=this.groups[t[o]].options,n.length>0&&(r=this.groups[t[o]],!0===s.stack&&"bar"===s.style?"left"===s.yAxisOrientation?a=Nc(a).call(a,n):l=Nc(l).call(l,n):i[t[o]]=r.getYRange(n,t[o]));JE.getStackedYRange(a,i,t,"__barStackLeft","left"),JE.getStackedYRange(l,i,t,"__barStackRight","right")}},nI.prototype._updateYAxis=function(t,e){var i,n,r=!1,o=!1,s=!1,a=1e9,l=1e9,h=-1e9,u=-1e9;if(t.length>0){for(var c=0;c<t.length;c++){var d=this.groups[t[c]];d&&"right"!=d.options.yAxisOrientation?(o=!0,a=1e9,h=-1e9):d&&d.options.yAxisOrientation&&(s=!0,l=1e9,u=-1e9)}for(c=0;c<t.length;c++)e.hasOwnProperty(t[c])&&!0!==e[t[c]].ignore&&(i=e[t[c]].min,n=e[t[c]].max,"right"!=e[t[c]].yAxisOrientation?(o=!0,a=a>i?i:a,h=h<n?n:h):(s=!0,l=l>i?i:l,u=u<n?n:u));1==o&&this.yAxisLeft.setRange(a,h),1==s&&this.yAxisRight.setRange(l,u)}r=this._toggleAxisVisiblity(o,this.yAxisLeft)||r,r=this._toggleAxisVisiblity(s,this.yAxisRight)||r,1==s&&1==o?(this.yAxisLeft.drawIcons=!0,this.yAxisRight.drawIcons=!0):(this.yAxisLeft.drawIcons=!1,this.yAxisRight.drawIcons=!1),this.yAxisRight.master=!o,this.yAxisRight.masterAxis=this.yAxisLeft,0==this.yAxisRight.master?(this.yAxisLeft.lineOffset=1==s?this.yAxisRight.width:0,r=this.yAxisLeft.redraw()||r,r=this.yAxisRight.redraw()||r):r=this.yAxisRight.redraw()||r;var p=["__barStackLeft","__barStackRight","__lineStackLeft","__lineStackRight"];for(c=0;c<p.length;c++)-1!=dm(t).call(t,p[c])&&_p(t).call(t,dm(t).call(t,p[c]),1);return r},nI.prototype._toggleAxisVisiblity=function(t,e){var i=!1;return 0==t?e.dom.frame.parentNode&&0==e.hidden&&(e.hide(),i=!0):e.dom.frame.parentNode||1!=e.hidden||(e.show(),i=!0),i},nI.prototype._convertXcoordinates=function(t){for(var e=this.body.util.toScreen,i=0;i<t.length;i++)t[i].screen_x=e(t[i].x)+this.props.width,t[i].screen_y=t[i].y,null!=t[i].end?t[i].screen_end=e(t[i].end)+this.props.width:t[i].screen_end=void 0},nI.prototype._convertYcoordinates=function(t,e){var i=this.yAxisLeft,n=Number(this.svg.style.height.replace("px",""));"right"==e.options.yAxisOrientation&&(i=this.yAxisRight);for(var r=0;r<t.length;r++)t[r].screen_y=Math.round(i.convertValue(t[r].y));e.setZeroPosition(Math.min(n,i.convertValue(0)))};var rI="string",oI="boolean",sI="number",aI="date",lI="object",hI="moment",uI={configure:{enabled:{boolean:oI},filter:{boolean:oI,function:"function"},container:{dom:"dom"},__type__:{object:lI,boolean:oI,function:"function"}},alignCurrentTime:{string:rI,undefined:"undefined"},yAxisOrientation:{string:["left","right"]},defaultGroup:{string:rI},sort:{boolean:oI},sampling:{boolean:oI},stack:{boolean:oI},graphHeight:{string:rI,number:sI},shaded:{enabled:{boolean:oI},orientation:{string:["bottom","top","zero","group"]},groupId:{object:lI},__type__:{boolean:oI,object:lI}},style:{string:["line","bar","points"]},barChart:{width:{number:sI},minWidth:{number:sI},sideBySide:{boolean:oI},align:{string:["left","center","right"]},__type__:{object:lI}},interpolation:{enabled:{boolean:oI},parametrization:{string:["centripetal","chordal","uniform"]},alpha:{number:sI},__type__:{object:lI,boolean:oI}},drawPoints:{enabled:{boolean:oI},onRender:{function:"function"},size:{number:sI},style:{string:["square","circle"]},__type__:{object:lI,boolean:oI,function:"function"}},dataAxis:{showMinorLabels:{boolean:oI},showMajorLabels:{boolean:oI},showWeekScale:{boolean:oI},icons:{boolean:oI},width:{string:rI,number:sI},visible:{boolean:oI},alignZeros:{boolean:oI},left:{range:{min:{number:sI,undefined:"undefined"},max:{number:sI,undefined:"undefined"},__type__:{object:lI}},format:{function:"function"},title:{text:{string:rI,number:sI,undefined:"undefined"},style:{string:rI,undefined:"undefined"},__type__:{object:lI}},__type__:{object:lI}},right:{range:{min:{number:sI,undefined:"undefined"},max:{number:sI,undefined:"undefined"},__type__:{object:lI}},format:{function:"function"},title:{text:{string:rI,number:sI,undefined:"undefined"},style:{string:rI,undefined:"undefined"},__type__:{object:lI}},__type__:{object:lI}},__type__:{object:lI}},legend:{enabled:{boolean:oI},icons:{boolean:oI},left:{visible:{boolean:oI},position:{string:["top-right","bottom-right","top-left","bottom-left"]},__type__:{object:lI}},right:{visible:{boolean:oI},position:{string:["top-right","bottom-right","top-left","bottom-left"]},__type__:{object:lI}},__type__:{object:lI,boolean:oI}},groups:{visibility:{any:"any"},__type__:{object:lI}},autoResize:{boolean:oI},throttleRedraw:{number:sI},clickToUse:{boolean:oI},end:{number:sI,date:aI,string:rI,moment:hI},format:{minorLabels:{millisecond:{string:rI,undefined:"undefined"},second:{string:rI,undefined:"undefined"},minute:{string:rI,undefined:"undefined"},hour:{string:rI,undefined:"undefined"},weekday:{string:rI,undefined:"undefined"},day:{string:rI,undefined:"undefined"},week:{string:rI,undefined:"undefined"},month:{string:rI,undefined:"undefined"},quarter:{string:rI,undefined:"undefined"},year:{string:rI,undefined:"undefined"},__type__:{object:lI}},majorLabels:{millisecond:{string:rI,undefined:"undefined"},second:{string:rI,undefined:"undefined"},minute:{string:rI,undefined:"undefined"},hour:{string:rI,undefined:"undefined"},weekday:{string:rI,undefined:"undefined"},day:{string:rI,undefined:"undefined"},week:{string:rI,undefined:"undefined"},month:{string:rI,undefined:"undefined"},quarter:{string:rI,undefined:"undefined"},year:{string:rI,undefined:"undefined"},__type__:{object:lI}},__type__:{object:lI}},moment:{function:"function"},height:{string:rI,number:sI},hiddenDates:{start:{date:aI,number:sI,string:rI,moment:hI},end:{date:aI,number:sI,string:rI,moment:hI},repeat:{string:rI},__type__:{object:lI,array:"array"}},locale:{string:rI},locales:{__any__:{any:"any"},__type__:{object:lI}},max:{date:aI,number:sI,string:rI,moment:hI},maxHeight:{number:sI,string:rI},maxMinorChars:{number:sI},min:{date:aI,number:sI,string:rI,moment:hI},minHeight:{number:sI,string:rI},moveable:{boolean:oI},multiselect:{boolean:oI},orientation:{string:rI},showCurrentTime:{boolean:oI},showMajorLabels:{boolean:oI},showMinorLabels:{boolean:oI},showWeekScale:{boolean:oI},snap:{function:"function",null:"null"},start:{date:aI,number:sI,string:rI,moment:hI},timeAxis:{scale:{string:rI,undefined:"undefined"},step:{number:sI,undefined:"undefined"},__type__:{object:lI}},width:{string:rI,number:sI},zoomable:{boolean:oI},zoomKey:{string:["ctrlKey","altKey","metaKey",""]},zoomMax:{number:sI},zoomMin:{number:sI},zIndex:{number:sI},__type__:{object:lI}},cI={global:{alignCurrentTime:["none","year","month","quarter","week","isoWeek","day","date","hour","minute","second"],sort:!0,sampling:!0,stack:!1,shaded:{enabled:!1,orientation:["zero","top","bottom","group"]},style:["line","bar","points"],barChart:{width:[50,5,100,5],minWidth:[50,5,100,5],sideBySide:!1,align:["left","center","right"]},interpolation:{enabled:!0,parametrization:["centripetal","chordal","uniform"]},drawPoints:{enabled:!0,size:[6,2,30,1],style:["square","circle"]},dataAxis:{showMinorLabels:!0,showMajorLabels:!0,showWeekScale:!1,icons:!1,width:[40,0,200,1],visible:!0,alignZeros:!0,left:{title:{text:"",style:""}},right:{title:{text:"",style:""}}},legend:{enabled:!1,icons:!0,left:{visible:!0,position:["top-right","bottom-right","top-left","bottom-left"]},right:{visible:!0,position:["top-right","bottom-right","top-left","bottom-left"]}},autoResize:!0,clickToUse:!1,end:"",format:{minorLabels:{millisecond:"SSS",second:"s",minute:"HH:mm",hour:"HH:mm",weekday:"ddd D",day:"D",week:"w",month:"MMM",quarter:"[Q]Q",year:"YYYY"},majorLabels:{millisecond:"HH:mm:ss",second:"D MMMM HH:mm",minute:"ddd D MMMM",hour:"ddd D MMMM",weekday:"MMMM YYYY",day:"MMMM YYYY",week:"MMMM YYYY",month:"YYYY",quarter:"YYYY",year:""}},height:"",locale:"",max:"",maxHeight:"",maxMinorChars:[7,0,20,1],min:"",minHeight:"",moveable:!0,orientation:["both","bottom","top"],showCurrentTime:!1,showMajorLabels:!0,showMinorLabels:!0,showWeekScale:!1,start:"",width:"100%",zoomable:!0,zoomKey:["ctrlKey","altKey","metaKey",""],zoomMax:[31536e10,10,31536e10,1],zoomMin:[10,10,31536e10,1],zIndex:0}};function dI(t,e,i,n){var r,o,s,a,l,h,u;if(!zc(i)&&!$T(i)&&i instanceof Object){var c=n;n=i,i=c}n&&n.throttleRedraw&&console.warn('Graph2d option "throttleRedraw" is DEPRICATED and no longer supported. It will be removed in the next MAJOR release.');var d=this;this.defaultOptions={start:null,end:null,autoResize:!0,orientation:{axis:"bottom",item:"bottom"},moment:VM,width:null,height:null,maxHeight:null,minHeight:null},this.options=nO.deepExtend({},this.defaultOptions),this._create(t),this.components=[],this.body={dom:this.dom,domProps:this.props,emitter:{on:Td(r=this.on).call(r,this),off:Td(o=this.off).call(o,this),emit:Td(s=this.emit).call(s,this)},hiddenDates:[],util:{getScale:function(){return d.timeAxis.step.scale},getStep:function(){return d.timeAxis.step.step},toScreen:Td(a=d._toScreen).call(a,d),toGlobalScreen:Td(l=d._toGlobalScreen).call(l,d),toTime:Td(h=d._toTime).call(h,d),toGlobalTime:Td(u=d._toGlobalTime).call(u,d)}},this.range=new zO(this.body),this.components.push(this.range),this.body.range=this.range,this.timeAxis=new QO(this.body),this.components.push(this.timeAxis),this.currentTime=new _P(this.body),this.components.push(this.currentTime),this.linegraph=new nI(this.body),this.components.push(this.linegraph),this.itemsData=null,this.groupsData=null,this.on("tap",(function(t){d.emit("click",d.getEventProperties(t))})),this.on("doubletap",(function(t){d.emit("doubleClick",d.getEventProperties(t))})),this.dom.root.oncontextmenu=function(t){d.emit("contextmenu",d.getEventProperties(t))},this.initialFitDone=!1,this.on("changed",(function(){if(null!=d.itemsData){if(!d.initialFitDone&&!d.options.rollingMode)if(d.initialFitDone=!0,null!=d.options.start||null!=d.options.end){if(null==d.options.start||null==d.options.end)var t=d.getItemRange();var e=null!=d.options.start?d.options.start:t.min,i=null!=d.options.end?d.options.end:t.max;d.setWindow(e,i,{animation:!1})}else d.fit({animation:!1});d.initialDrawDone||!d.initialRangeChangeDone&&(d.options.start||d.options.end)&&!d.options.rollingMode||(d.initialDrawDone=!0,d.dom.root.style.visibility="visible",d.dom.loadingScreen.parentNode.removeChild(d.dom.loadingScreen),d.options.onInitialDrawComplete&&hv((function(){return d.options.onInitialDrawComplete()}),0))}})),n&&this.setOptions(n),i&&this.setGroups(i),e&&this.setItems(e),this._redraw()}dI.prototype=new bP,dI.prototype.setOptions=function(t){!0===PE.validate(t,uI)&&console.log("%cErrors have been found in the supplied options object.",OE),bP.prototype.setOptions.call(this,t)},dI.prototype.setItems=function(t){var e,i=null==this.itemsData;if(e=t?$T(t)?QT(t):QT(new GM(t)):null,this.itemsData&&this.itemsData.dispose(),this.itemsData=e,this.linegraph&&this.linegraph.setItems(null!=e?e.rawDS:null),i)if(null!=this.options.start||null!=this.options.end){var n=null!=this.options.start?this.options.start:null,r=null!=this.options.end?this.options.end:null;this.setWindow(n,r,{animation:!1})}else this.fit({animation:!1})},dI.prototype.setGroups=function(t){var e;e=t?$T(t)?t:new GM(t):null,this.groupsData=e,this.linegraph.setGroups(e)},dI.prototype.getLegend=function(t,e,i){return void 0===e&&(e=15),void 0===i&&(i=15),void 0!==this.linegraph.groups[t]?this.linegraph.groups[t].getLegend(e,i):"cannot find group:'"+t+"'"},dI.prototype.isGroupVisible=function(t){return void 0!==this.linegraph.groups[t]&&this.linegraph.groups[t].visible&&(void 0===this.linegraph.options.groups.visibility[t]||1==this.linegraph.options.groups.visibility[t])},dI.prototype.getDataRange=function(){var t=null,e=null;for(var i in this.linegraph.groups)if(this.linegraph.groups.hasOwnProperty(i)&&1==this.linegraph.groups[i].visible)for(var n=0;n<this.linegraph.groups[i].itemsData.length;n++){var r=this.linegraph.groups[i].itemsData[n],o=nO.convert(r.x,"Date").valueOf();t=null==t||t>o?o:t,e=null==e||e<o?o:e}return{min:null!=t?new Date(t):null,max:null!=e?new Date(e):null}},dI.prototype.getEventProperties=function(t){var e=t.center?t.center.x:t.clientX,i=t.center?t.center.y:t.clientY,n=e-nO.getAbsoluteLeft(this.dom.centerContainer),r=i-nO.getAbsoluteTop(this.dom.centerContainer),o=this._toTime(n),s=yP.customTimeFromTarget(t),a=nO.getTarget(t),l=null;nO.hasParent(a,this.timeAxis.dom.foreground)||this.timeAxis2&&nO.hasParent(a,this.timeAxis2.dom.foreground)?l="axis":nO.hasParent(a,this.linegraph.yAxisLeft.dom.frame)||nO.hasParent(a,this.linegraph.yAxisRight.dom.frame)?l="data-axis":nO.hasParent(a,this.linegraph.legendLeft.dom.frame)||nO.hasParent(a,this.linegraph.legendRight.dom.frame)?l="legend":null!=s?l="custom-time":nO.hasParent(a,this.currentTime.bar)?l="current-time":nO.hasParent(a,this.dom.center)&&(l="background");var h=[],u=this.linegraph.yAxisLeft,c=this.linegraph.yAxisRight;return!u.hidden&&this.itemsData.length>0&&h.push(u.screenToValue(r)),!c.hidden&&this.itemsData.length>0&&h.push(c.screenToValue(r)),{event:t,customTime:s?s.options.id:null,what:l,pageX:t.srcEvent?t.srcEvent.pageX:t.pageX,pageY:t.srcEvent?t.srcEvent.pageY:t.pageY,x:n,y:r,time:o,value:h}},dI.prototype._createConfigurator=function(){return new zE(this,this.dom.container,cI)};var pI=vb();VM.locale(pI);var fI={Core:bP,DateUtil:BO,Range:zO,stack:JP,TimeStep:ZO,components:{items:{Item:nE,BackgroundItem:aE,BoxItem:rE,ClusterItem:bE,PointItem:oE,RangeItem:sE},BackgroundGroup:eE,Component:vO,CurrentTime:_P,CustomTime:yP,DataAxis:$E,DataScale:XE,GraphGroup:tI,Group:tE,ItemSet:CE,Legend:eI,LineGraph:nI,TimeAxis:QO}};t.DOMutil=gb,t.DataSet=GM,t.DataView=WM,t.Graph2d=dI,t.Hammer=$O,t.Queue=HM,t.Timeline=GE,t.keycharm=eP,t.moment=VM,t.timeline=fI,t.util=lb,Object.defineProperty(t,"__esModule",{value:!0})})),function(t,e){"object"==typeof exports&&"object"==typeof module?module.exports=e():"function"==typeof define&&define.amd?define([],e):"object"==typeof exports?exports.Handlebars=e():t.Handlebars=e()}(this,(function(){return function(t){function e(n){if(i[n])return i[n].exports;var r=i[n]={exports:{},id:n,loaded:!1};return t[n].call(r.exports,r,r.exports,e),r.loaded=!0,r.exports}var i={};return e.m=t,e.c=i,e.p="",e(0)}([function(t,e,i){"use strict";function n(){var t=d();return t.compile=function(e,i){return l.compile(e,i,t)},t.precompile=function(e,i){return l.precompile(e,i,t)},t.AST=s.default,t.Compiler=l.Compiler,t.JavaScriptCompiler=h.default,t.Parser=a.parser,t.parse=a.parse,t.parseWithoutProcessing=a.parseWithoutProcessing,t}var r=i(1).default;e.__esModule=!0;var o=r(i(2)),s=r(i(45)),a=i(46),l=i(51),h=r(i(52)),u=r(i(49)),c=r(i(44)),d=o.default.create,p=n();p.create=n,c.default(p),p.Visitor=u.default,p.default=p,e.default=p,t.exports=e.default},function(t,e){"use strict";e.default=function(t){return t&&t.__esModule?t:{default:t}},e.__esModule=!0},function(t,e,i){"use strict";function n(){var t=new s.HandlebarsEnvironment;return h.extend(t,s),t.SafeString=a.default,t.Exception=l.default,t.Utils=h,t.escapeExpression=h.escapeExpression,t.VM=u,t.template=function(e){return u.template(e,t)},t}var r=i(3).default,o=i(1).default;e.__esModule=!0;var s=r(i(4)),a=o(i(37)),l=o(i(6)),h=r(i(5)),u=r(i(38)),c=o(i(44)),d=n();d.create=n,c.default(d),d.default=d,e.default=d,t.exports=e.default},function(t,e){"use strict";e.default=function(t){if(t&&t.__esModule)return t;var e={};if(null!=t)for(var i in t)Object.prototype.hasOwnProperty.call(t,i)&&(e[i]=t[i]);return e.default=t,e},e.__esModule=!0},function(t,e,i){"use strict";function n(t,e,i){this.helpers=t||{},this.partials=e||{},this.decorators=i||{},a.registerDefaultHelpers(this),l.registerDefaultDecorators(this)}var r=i(1).default;e.__esModule=!0,e.HandlebarsEnvironment=n;var o=i(5),s=r(i(6)),a=i(10),l=i(30),h=r(i(32)),u=i(33);e.VERSION="4.7.7";e.COMPILER_REVISION=8;e.LAST_COMPATIBLE_COMPILER_REVISION=7;e.REVISION_CHANGES={1:"<= 1.0.rc.2",2:"== 1.0.0-rc.3",3:"== 1.0.0-rc.4",4:"== 1.x.x",5:"== 2.0.0-alpha.x",6:">= 2.0.0-beta.1",7:">= 4.0.0 <4.3.0",8:">= 4.3.0"};var c="[object Object]";n.prototype={constructor:n,logger:h.default,log:h.default.log,registerHelper:function(t,e){if(o.toString.call(t)===c){if(e)throw new s.default("Arg not supported with multiple helpers");o.extend(this.helpers,t)}else this.helpers[t]=e},unregisterHelper:function(t){delete this.helpers[t]},registerPartial:function(t,e){if(o.toString.call(t)===c)o.extend(this.partials,t);else{if(void 0===e)throw new s.default('Attempting to register a partial called "'+t+'" as undefined');this.partials[t]=e}},unregisterPartial:function(t){delete this.partials[t]},registerDecorator:function(t,e){if(o.toString.call(t)===c){if(e)throw new s.default("Arg not supported with multiple decorators");o.extend(this.decorators,t)}else this.decorators[t]=e},unregisterDecorator:function(t){delete this.decorators[t]},resetLoggedPropertyAccesses:function(){u.resetLoggedProperties()}};var d=h.default.log;e.log=d,e.createFrame=o.createFrame,e.logger=h.default},function(t,e){"use strict";function i(t){return r[t]}function n(t){for(var e=1;e<arguments.length;e++)for(var i in arguments[e])Object.prototype.hasOwnProperty.call(arguments[e],i)&&(t[i]=arguments[e][i]);return t}e.__esModule=!0,e.extend=n,e.indexOf=function(t,e){for(var i=0,n=t.length;i<n;i++)if(t[i]===e)return i;return-1},e.escapeExpression=function(t){if("string"!=typeof t){if(t&&t.toHTML)return t.toHTML();if(null==t)return"";if(!t)return t+"";t=""+t}return s.test(t)?t.replace(o,i):t},e.isEmpty=function(t){return!t&&0!==t||!(!h(t)||0!==t.length)},e.createFrame=function(t){var e=n({},t);return e._parent=t,e},e.blockParams=function(t,e){return t.path=e,t},e.appendContextPath=function(t,e){return(t?t+".":"")+e};var r={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#x27;","`":"&#x60;","=":"&#x3D;"},o=/[&<>"'`=]/g,s=/[&<>"'`=]/,a=Object.prototype.toString;e.toString=a;var l=function(t){return"function"==typeof t};l(/x/)&&(e.isFunction=l=function(t){return"function"==typeof t&&"[object Function]"===a.call(t)}),e.isFunction=l;var h=Array.isArray||function(t){return!(!t||"object"!=typeof t)&&"[object Array]"===a.call(t)};e.isArray=h},function(t,e,i){"use strict";function n(t,e){var i=e&&e.loc,s=void 0,a=void 0,l=void 0,h=void 0;i&&(s=i.start.line,a=i.end.line,l=i.start.column,h=i.end.column,t+=" - "+s+":"+l);for(var u=Error.prototype.constructor.call(this,t),c=0;c<o.length;c++)this[o[c]]=u[o[c]];Error.captureStackTrace&&Error.captureStackTrace(this,n);try{i&&(this.lineNumber=s,this.endLineNumber=a,r?(Object.defineProperty(this,"column",{value:l,enumerable:!0}),Object.defineProperty(this,"endColumn",{value:h,enumerable:!0})):(this.column=l,this.endColumn=h))}catch(t){}}var r=i(7).default;e.__esModule=!0;var o=["description","fileName","lineNumber","endLineNumber","message","name","number","stack"];n.prototype=new Error,e.default=n,t.exports=e.default},function(t,e,i){t.exports={default:i(8),__esModule:!0}},function(t,e,i){var n=i(9);t.exports=function(t,e,i){return n.setDesc(t,e,i)}},function(t,e){var i=Object;t.exports={create:i.create,getProto:i.getPrototypeOf,isEnum:{}.propertyIsEnumerable,getDesc:i.getOwnPropertyDescriptor,setDesc:i.defineProperty,setDescs:i.defineProperties,getKeys:i.keys,getNames:i.getOwnPropertyNames,getSymbols:i.getOwnPropertySymbols,each:[].forEach}},function(t,e,i){"use strict";var n=i(1).default;e.__esModule=!0,e.registerDefaultHelpers=function(t){r.default(t),o.default(t),s.default(t),a.default(t),l.default(t),h.default(t),u.default(t)},e.moveHelperToHooks=function(t,e,i){t.helpers[e]&&(t.hooks[e]=t.helpers[e],i||delete t.helpers[e])};var r=n(i(11)),o=n(i(12)),s=n(i(25)),a=n(i(26)),l=n(i(27)),h=n(i(28)),u=n(i(29))},function(t,e,i){"use strict";e.__esModule=!0;var n=i(5);e.default=function(t){t.registerHelper("blockHelperMissing",(function(e,i){var r=i.inverse,o=i.fn;if(!0===e)return o(this);if(!1===e||null==e)return r(this);if(n.isArray(e))return e.length>0?(i.ids&&(i.ids=[i.name]),t.helpers.each(e,i)):r(this);if(i.data&&i.ids){var s=n.createFrame(i.data);s.contextPath=n.appendContextPath(i.data.contextPath,i.name),i={data:s}}return o(e,i)}))},t.exports=e.default},function(t,e,i){(function(n){"use strict";var r=i(13).default,o=i(1).default;e.__esModule=!0;var s=i(5),a=o(i(6));e.default=function(t){t.registerHelper("each",(function(t,e){function i(e,i,n){c&&(c.key=e,c.index=i,c.first=0===i,c.last=!!n,d&&(c.contextPath=d+e)),u+=o(t[e],{data:c,blockParams:s.blockParams([t[e],e],[d+e,null])})}if(!e)throw new a.default("Must pass iterator to #each");var o=e.fn,l=e.inverse,h=0,u="",c=void 0,d=void 0;if(e.data&&e.ids&&(d=s.appendContextPath(e.data.contextPath,e.ids[0])+"."),s.isFunction(t)&&(t=t.call(this)),e.data&&(c=s.createFrame(e.data)),t&&"object"==typeof t)if(s.isArray(t))for(var p=t.length;h<p;h++)h in t&&i(h,h,h===t.length-1);else if(n.Symbol&&t[n.Symbol.iterator]){for(var f=[],m=t[n.Symbol.iterator](),v=m.next();!v.done;v=m.next())f.push(v.value);for(p=(t=f).length;h<p;h++)i(h,h,h===t.length-1)}else!function(){var e=void 0;r(t).forEach((function(t){void 0!==e&&i(e,h-1),e=t,h++})),void 0!==e&&i(e,h-1,!0)}();return 0===h&&(u=l(this)),u}))},t.exports=e.default}).call(e,function(){return this}())},function(t,e,i){t.exports={default:i(14),__esModule:!0}},function(t,e,i){i(15),t.exports=i(21).Object.keys},function(t,e,i){var n=i(16);i(18)("keys",(function(t){return function(e){return t(n(e))}}))},function(t,e,i){var n=i(17);t.exports=function(t){return Object(n(t))}},function(t,e){t.exports=function(t){if(null==t)throw TypeError("Can't call method on  "+t);return t}},function(t,e,i){var n=i(19),r=i(21),o=i(24);t.exports=function(t,e){var i=(r.Object||{})[t]||Object[t],s={};s[t]=e(i),n(n.S+n.F*o((function(){i(1)})),"Object",s)}},function(t,e,i){var n=i(20),r=i(21),o=i(22),s="prototype",a=function(t,e,i){var l,h,u,c=t&a.F,d=t&a.G,p=t&a.S,f=t&a.P,m=t&a.B,v=t&a.W,g=d?r:r[e]||(r[e]={}),y=d?n:p?n[e]:(n[e]||{})[s];for(l in d&&(i=e),i)(h=!c&&y&&l in y)&&l in g||(u=h?y[l]:i[l],g[l]=d&&"function"!=typeof y[l]?i[l]:m&&h?o(u,n):v&&y[l]==u?function(t){var e=function(e){return this instanceof t?new t(e):t(e)};return e[s]=t[s],e}(u):f&&"function"==typeof u?o(Function.call,u):u,f&&((g[s]||(g[s]={}))[l]=u))};a.F=1,a.G=2,a.S=4,a.P=8,a.B=16,a.W=32,t.exports=a},function(t,e){var i=t.exports="undefined"!=typeof window&&window.Math==Math?window:"undefined"!=typeof self&&self.Math==Math?self:Function("return this")();"number"==typeof __g&&(__g=i)},function(t,e){var i=t.exports={version:"1.2.6"};"number"==typeof __e&&(__e=i)},function(t,e,i){var n=i(23);t.exports=function(t,e,i){if(n(t),void 0===e)return t;switch(i){case 1:return function(i){return t.call(e,i)};case 2:return function(i,n){return t.call(e,i,n)};case 3:return function(i,n,r){return t.call(e,i,n,r)}}return function(){return t.apply(e,arguments)}}},function(t,e){t.exports=function(t){if("function"!=typeof t)throw TypeError(t+" is not a function!");return t}},function(t,e){t.exports=function(t){try{return!!t()}catch(t){return!0}}},function(t,e,i){"use strict";var n=i(1).default;e.__esModule=!0;var r=n(i(6));e.default=function(t){t.registerHelper("helperMissing",(function(){if(1!==arguments.length)throw new r.default('Missing helper: "'+arguments[arguments.length-1].name+'"')}))},t.exports=e.default},function(t,e,i){"use strict";var n=i(1).default;e.__esModule=!0;var r=i(5),o=n(i(6));e.default=function(t){t.registerHelper("if",(function(t,e){if(2!=arguments.length)throw new o.default("#if requires exactly one argument");return r.isFunction(t)&&(t=t.call(this)),!e.hash.includeZero&&!t||r.isEmpty(t)?e.inverse(this):e.fn(this)})),t.registerHelper("unless",(function(e,i){if(2!=arguments.length)throw new o.default("#unless requires exactly one argument");return t.helpers.if.call(this,e,{fn:i.inverse,inverse:i.fn,hash:i.hash})}))},t.exports=e.default},function(t,e){"use strict";e.__esModule=!0,e.default=function(t){t.registerHelper("log",(function(){for(var e=[void 0],i=arguments[arguments.length-1],n=0;n<arguments.length-1;n++)e.push(arguments[n]);var r=1;null!=i.hash.level?r=i.hash.level:i.data&&null!=i.data.level&&(r=i.data.level),e[0]=r,t.log.apply(t,e)}))},t.exports=e.default},function(t,e){"use strict";e.__esModule=!0,e.default=function(t){t.registerHelper("lookup",(function(t,e,i){return t?i.lookupProperty(t,e):t}))},t.exports=e.default},function(t,e,i){"use strict";var n=i(1).default;e.__esModule=!0;var r=i(5),o=n(i(6));e.default=function(t){t.registerHelper("with",(function(t,e){if(2!=arguments.length)throw new o.default("#with requires exactly one argument");r.isFunction(t)&&(t=t.call(this));var i=e.fn;if(r.isEmpty(t))return e.inverse(this);var n=e.data;return e.data&&e.ids&&((n=r.createFrame(e.data)).contextPath=r.appendContextPath(e.data.contextPath,e.ids[0])),i(t,{data:n,blockParams:r.blockParams([t],[n&&n.contextPath])})}))},t.exports=e.default},function(t,e,i){"use strict";var n=i(1).default;e.__esModule=!0,e.registerDefaultDecorators=function(t){r.default(t)};var r=n(i(31))},function(t,e,i){"use strict";e.__esModule=!0;var n=i(5);e.default=function(t){t.registerDecorator("inline",(function(t,e,i,r){var o=t;return e.partials||(e.partials={},o=function(r,o){var s=i.partials;i.partials=n.extend({},s,e.partials);var a=t(r,o);return i.partials=s,a}),e.partials[r.args[0]]=r.fn,o}))},t.exports=e.default},function(t,e,i){"use strict";e.__esModule=!0;var n=i(5),r={methodMap:["debug","info","warn","error"],level:"info",lookupLevel:function(t){if("string"==typeof t){var e=n.indexOf(r.methodMap,t.toLowerCase());t=e>=0?e:parseInt(t,10)}return t},log:function(t){if(t=r.lookupLevel(t),"undefined"!=typeof console&&r.lookupLevel(r.level)<=t){var e=r.methodMap[t];console[e]||(e="log");for(var i=arguments.length,n=Array(i>1?i-1:0),o=1;o<i;o++)n[o-1]=arguments[o];console[e].apply(console,n)}}};e.default=r,t.exports=e.default},function(t,e,i){"use strict";function n(t,e){return void 0!==t.whitelist[e]?!0===t.whitelist[e]:void 0!==t.defaultValue?t.defaultValue:(function(t){!0!==h[t]&&(h[t]=!0,l.log("error",'Handlebars: Access has been denied to resolve the property "'+t+'" because it is not an "own property" of its parent.\nYou can add a runtime option to disable the check or this warning:\nSee https://handlebarsjs.com/api-reference/runtime-options.html#options-to-control-prototype-access for details'))}(e),!1)}var r=i(34).default,o=i(13).default,s=i(3).default;e.__esModule=!0,e.createProtoAccessControl=function(t){var e=r(null);e.constructor=!1,e.__defineGetter__=!1,e.__defineSetter__=!1,e.__lookupGetter__=!1;var i=r(null);return i.__proto__=!1,{properties:{whitelist:a.createNewLookupObject(i,t.allowedProtoProperties),defaultValue:t.allowProtoPropertiesByDefault},methods:{whitelist:a.createNewLookupObject(e,t.allowedProtoMethods),defaultValue:t.allowProtoMethodsByDefault}}},e.resultIsAllowed=function(t,e,i){return n("function"==typeof t?e.methods:e.properties,i)},e.resetLoggedProperties=function(){o(h).forEach((function(t){delete h[t]}))};var a=i(36),l=s(i(32)),h=r(null)},function(t,e,i){t.exports={default:i(35),__esModule:!0}},function(t,e,i){var n=i(9);t.exports=function(t,e){return n.create(t,e)}},function(t,e,i){"use strict";var n=i(34).default;e.__esModule=!0,e.createNewLookupObject=function(){for(var t=arguments.length,e=Array(t),i=0;i<t;i++)e[i]=arguments[i];return r.extend.apply(void 0,[n(null)].concat(e))};var r=i(5)},function(t,e){"use strict";function i(t){this.string=t}e.__esModule=!0,i.prototype.toString=i.prototype.toHTML=function(){return""+this.string},e.default=i,t.exports=e.default},function(t,e,i){"use strict";function n(t,e,i,n,r,o,a){function l(e){var r=arguments.length<=1||void 0===arguments[1]?{}:arguments[1],s=a;return!a||e==a[0]||e===t.nullContext&&null===a[0]||(s=[e].concat(a)),i(t,e,t.helpers,t.partials,r.data||n,o&&[r.blockParams].concat(o),s)}return(l=s(i,l,t,a,n,o)).program=e,l.depth=a?a.length:0,l.blockParams=r||0,l}function r(){return""}function o(t,e){return e&&"root"in e||((e=e?p.createFrame(e):{}).root=t),e}function s(t,e,i,n,r,o){if(t.decorator){var s={};e=t.decorator(e,s,i,n&&n[0],r,o,n),c.extend(e,s)}return e}var a=i(39).default,l=i(13).default,h=i(3).default,u=i(1).default;e.__esModule=!0,e.checkRevision=function(t){var e=t&&t[0]||1,i=p.COMPILER_REVISION;if(!(e>=p.LAST_COMPATIBLE_COMPILER_REVISION&&e<=p.COMPILER_REVISION)){if(e<p.LAST_COMPATIBLE_COMPILER_REVISION){var n=p.REVISION_CHANGES[i],r=p.REVISION_CHANGES[e];throw new d.default("Template was precompiled with an older version of Handlebars than the current runtime. Please update your precompiler to a newer version ("+n+") or downgrade your runtime to an older version ("+r+").")}throw new d.default("Template was precompiled with a newer version of Handlebars than the current runtime. Please update your runtime to a newer version ("+t[1]+").")}},e.template=function(t,e){function i(e){function n(e){return""+t.main(h,e,h.helpers,h.partials,a,u,l)}var r=arguments.length<=1||void 0===arguments[1]?{}:arguments[1],a=r.data;i._setup(r),!r.partial&&t.useData&&(a=o(e,a));var l=void 0,u=t.useBlockParams?[]:void 0;return t.useDepths&&(l=r.depths?e!=r.depths[0]?[e].concat(r.depths):r.depths:[e]),(n=s(t.main,n,h,r.depths||[],a,u))(e,r)}if(!e)throw new d.default("No environment passed to template");if(!t||!t.main)throw new d.default("Unknown template object: "+typeof t);t.main.decorator=t.main_d,e.VM.checkRevision(t.compiler);var r=t.compiler&&7===t.compiler[0],h={strict:function(t,e,i){if(!t||!(e in t))throw new d.default('"'+e+'" not defined in '+t,{loc:i});return h.lookupProperty(t,e)},lookupProperty:function(t,e){var i=t[e];return null==i||Object.prototype.hasOwnProperty.call(t,e)||v.resultIsAllowed(i,h.protoAccessControl,e)?i:void 0},lookup:function(t,e){for(var i=t.length,n=0;n<i;n++){if(null!=(t[n]&&h.lookupProperty(t[n],e)))return t[n][e]}},lambda:function(t,e){return"function"==typeof t?t.call(e):t},escapeExpression:c.escapeExpression,invokePartial:function(i,n,r){r.hash&&(n=c.extend({},n,r.hash),r.ids&&(r.ids[0]=!0)),i=e.VM.resolvePartial.call(this,i,n,r);var o=c.extend({},r,{hooks:this.hooks,protoAccessControl:this.protoAccessControl}),s=e.VM.invokePartial.call(this,i,n,o);if(null==s&&e.compile&&(r.partials[r.name]=e.compile(i,t.compilerOptions,e),s=r.partials[r.name](n,o)),null!=s){if(r.indent){for(var a=s.split("\n"),l=0,h=a.length;l<h&&(a[l]||l+1!==h);l++)a[l]=r.indent+a[l];s=a.join("\n")}return s}throw new d.default("The partial "+r.name+" could not be compiled when running in runtime-only mode")},fn:function(e){var i=t[e];return i.decorator=t[e+"_d"],i},programs:[],program:function(t,e,i,r,o){var s=this.programs[t],a=this.fn(t);return e||o||r||i?s=n(this,t,a,e,i,r,o):s||(s=this.programs[t]=n(this,t,a)),s},data:function(t,e){for(;t&&e--;)t=t._parent;return t},mergeIfNeeded:function(t,e){var i=t||e;return t&&e&&t!==e&&(i=c.extend({},e,t)),i},nullContext:a({}),noop:e.VM.noop,compilerInfo:t.compiler};return i.isTop=!0,i._setup=function(i){if(i.partial)h.protoAccessControl=i.protoAccessControl,h.helpers=i.helpers,h.partials=i.partials,h.decorators=i.decorators,h.hooks=i.hooks;else{var n=c.extend({},e.helpers,i.helpers);(function(t,e){l(t).forEach((function(i){var n=t[i];t[i]=function(t,e){var i=e.lookupProperty;return m.wrapHelper(t,(function(t){return c.extend({lookupProperty:i},t)}))}(n,e)}))})(n,h),h.helpers=n,t.usePartial&&(h.partials=h.mergeIfNeeded(i.partials,e.partials)),(t.usePartial||t.useDecorators)&&(h.decorators=c.extend({},e.decorators,i.decorators)),h.hooks={},h.protoAccessControl=v.createProtoAccessControl(i);var o=i.allowCallsToHelperMissing||r;f.moveHelperToHooks(h,"helperMissing",o),f.moveHelperToHooks(h,"blockHelperMissing",o)}},i._child=function(e,i,r,o){if(t.useBlockParams&&!r)throw new d.default("must pass block params");if(t.useDepths&&!o)throw new d.default("must pass parent depths");return n(h,e,t[e],i,0,r,o)},i},e.wrapProgram=n,e.resolvePartial=function(t,e,i){return t?t.call||i.name||(i.name=t,t=i.partials[t]):t="@partial-block"===i.name?i.data["partial-block"]:i.partials[i.name],t},e.invokePartial=function(t,e,i){var n=i.data&&i.data["partial-block"];i.partial=!0,i.ids&&(i.data.contextPath=i.ids[0]||i.data.contextPath);var o=void 0;if(i.fn&&i.fn!==r&&function(){i.data=p.createFrame(i.data);var t=i.fn;o=i.data["partial-block"]=function(e){var i=arguments.length<=1||void 0===arguments[1]?{}:arguments[1];return i.data=p.createFrame(i.data),i.data["partial-block"]=n,t(e,i)},t.partials&&(i.partials=c.extend({},i.partials,t.partials))}(),void 0===t&&o&&(t=o),void 0===t)throw new d.default("The partial "+i.name+" could not be found");if(t instanceof Function)return t(e,i)},e.noop=r;var c=h(i(5)),d=u(i(6)),p=i(4),f=i(10),m=i(43),v=i(33)},function(t,e,i){t.exports={default:i(40),__esModule:!0}},function(t,e,i){i(41),t.exports=i(21).Object.seal},function(t,e,i){var n=i(42);i(18)("seal",(function(t){return function(e){return t&&n(e)?t(e):e}}))},function(t,e){t.exports=function(t){return"object"==typeof t?null!==t:"function"==typeof t}},function(t,e){"use strict";e.__esModule=!0,e.wrapHelper=function(t,e){return"function"!=typeof t?t:function(){var i=arguments[arguments.length-1];return arguments[arguments.length-1]=e(i),t.apply(this,arguments)}}},function(t,e){(function(i){"use strict";e.__esModule=!0,e.default=function(t){var e=void 0!==i?i:window,n=e.Handlebars;t.noConflict=function(){return e.Handlebars===t&&(e.Handlebars=n),t}},t.exports=e.default}).call(e,function(){return this}())},function(t,e){"use strict";e.__esModule=!0;var i={helpers:{helperExpression:function(t){return"SubExpression"===t.type||("MustacheStatement"===t.type||"BlockStatement"===t.type)&&!!(t.params&&t.params.length||t.hash)},scopedId:function(t){return/^\.|this\b/.test(t.original)},simpleId:function(t){return 1===t.parts.length&&!i.helpers.scopedId(t)&&!t.depth}}};e.default=i,t.exports=e.default},function(t,e,i){"use strict";function n(t,e){return"Program"===t.type?t:(s.default.yy=u,u.locInfo=function(t){return new u.SourceLocation(e&&e.srcName,t)},s.default.parse(t))}var r=i(1).default,o=i(3).default;e.__esModule=!0,e.parseWithoutProcessing=n,e.parse=function(t,e){var i=n(t,e);return new a.default(e).accept(i)};var s=r(i(47)),a=r(i(48)),l=o(i(50)),h=i(5);e.parser=s.default;var u={};h.extend(u,l)},function(t,e){"use strict";e.__esModule=!0;var i=function(){function t(){this.yy={}}var e={trace:function(){},yy:{},symbols_:{error:2,root:3,program:4,EOF:5,program_repetition0:6,statement:7,mustache:8,block:9,rawBlock:10,partial:11,partialBlock:12,content:13,COMMENT:14,CONTENT:15,openRawBlock:16,rawBlock_repetition0:17,END_RAW_BLOCK:18,OPEN_RAW_BLOCK:19,helperName:20,openRawBlock_repetition0:21,openRawBlock_option0:22,CLOSE_RAW_BLOCK:23,openBlock:24,block_option0:25,closeBlock:26,openInverse:27,block_option1:28,OPEN_BLOCK:29,openBlock_repetition0:30,openBlock_option0:31,openBlock_option1:32,CLOSE:33,OPEN_INVERSE:34,openInverse_repetition0:35,openInverse_option0:36,openInverse_option1:37,openInverseChain:38,OPEN_INVERSE_CHAIN:39,openInverseChain_repetition0:40,openInverseChain_option0:41,openInverseChain_option1:42,inverseAndProgram:43,INVERSE:44,inverseChain:45,inverseChain_option0:46,OPEN_ENDBLOCK:47,OPEN:48,mustache_repetition0:49,mustache_option0:50,OPEN_UNESCAPED:51,mustache_repetition1:52,mustache_option1:53,CLOSE_UNESCAPED:54,OPEN_PARTIAL:55,partialName:56,partial_repetition0:57,partial_option0:58,openPartialBlock:59,OPEN_PARTIAL_BLOCK:60,openPartialBlock_repetition0:61,openPartialBlock_option0:62,param:63,sexpr:64,OPEN_SEXPR:65,sexpr_repetition0:66,sexpr_option0:67,CLOSE_SEXPR:68,hash:69,hash_repetition_plus0:70,hashSegment:71,ID:72,EQUALS:73,blockParams:74,OPEN_BLOCK_PARAMS:75,blockParams_repetition_plus0:76,CLOSE_BLOCK_PARAMS:77,path:78,dataName:79,STRING:80,NUMBER:81,BOOLEAN:82,UNDEFINED:83,NULL:84,DATA:85,pathSegments:86,SEP:87,$accept:0,$end:1},terminals_:{2:"error",5:"EOF",14:"COMMENT",15:"CONTENT",18:"END_RAW_BLOCK",19:"OPEN_RAW_BLOCK",23:"CLOSE_RAW_BLOCK",29:"OPEN_BLOCK",33:"CLOSE",34:"OPEN_INVERSE",39:"OPEN_INVERSE_CHAIN",44:"INVERSE",47:"OPEN_ENDBLOCK",48:"OPEN",51:"OPEN_UNESCAPED",54:"CLOSE_UNESCAPED",55:"OPEN_PARTIAL",60:"OPEN_PARTIAL_BLOCK",65:"OPEN_SEXPR",68:"CLOSE_SEXPR",72:"ID",73:"EQUALS",75:"OPEN_BLOCK_PARAMS",77:"CLOSE_BLOCK_PARAMS",80:"STRING",81:"NUMBER",82:"BOOLEAN",83:"UNDEFINED",84:"NULL",85:"DATA",87:"SEP"},productions_:[0,[3,2],[4,1],[7,1],[7,1],[7,1],[7,1],[7,1],[7,1],[7,1],[13,1],[10,3],[16,5],[9,4],[9,4],[24,6],[27,6],[38,6],[43,2],[45,3],[45,1],[26,3],[8,5],[8,5],[11,5],[12,3],[59,5],[63,1],[63,1],[64,5],[69,1],[71,3],[74,3],[20,1],[20,1],[20,1],[20,1],[20,1],[20,1],[20,1],[56,1],[56,1],[79,2],[78,1],[86,3],[86,1],[6,0],[6,2],[17,0],[17,2],[21,0],[21,2],[22,0],[22,1],[25,0],[25,1],[28,0],[28,1],[30,0],[30,2],[31,0],[31,1],[32,0],[32,1],[35,0],[35,2],[36,0],[36,1],[37,0],[37,1],[40,0],[40,2],[41,0],[41,1],[42,0],[42,1],[46,0],[46,1],[49,0],[49,2],[50,0],[50,1],[52,0],[52,2],[53,0],[53,1],[57,0],[57,2],[58,0],[58,1],[61,0],[61,2],[62,0],[62,1],[66,0],[66,2],[67,0],[67,1],[70,1],[70,2],[76,1],[76,2]],performAction:function(t,e,i,n,r,o,s){var a=o.length-1;switch(r){case 1:return o[a-1];case 2:this.$=n.prepareProgram(o[a]);break;case 3:case 4:case 5:case 6:case 7:case 8:case 20:case 27:case 28:case 33:case 34:case 40:case 41:this.$=o[a];break;case 9:this.$={type:"CommentStatement",value:n.stripComment(o[a]),strip:n.stripFlags(o[a],o[a]),loc:n.locInfo(this._$)};break;case 10:this.$={type:"ContentStatement",original:o[a],value:o[a],loc:n.locInfo(this._$)};break;case 11:this.$=n.prepareRawBlock(o[a-2],o[a-1],o[a],this._$);break;case 12:this.$={path:o[a-3],params:o[a-2],hash:o[a-1]};break;case 13:this.$=n.prepareBlock(o[a-3],o[a-2],o[a-1],o[a],!1,this._$);break;case 14:this.$=n.prepareBlock(o[a-3],o[a-2],o[a-1],o[a],!0,this._$);break;case 15:this.$={open:o[a-5],path:o[a-4],params:o[a-3],hash:o[a-2],blockParams:o[a-1],strip:n.stripFlags(o[a-5],o[a])};break;case 16:case 17:this.$={path:o[a-4],params:o[a-3],hash:o[a-2],blockParams:o[a-1],strip:n.stripFlags(o[a-5],o[a])};break;case 18:this.$={strip:n.stripFlags(o[a-1],o[a-1]),program:o[a]};break;case 19:var l=n.prepareBlock(o[a-2],o[a-1],o[a],o[a],!1,this._$),h=n.prepareProgram([l],o[a-1].loc);h.chained=!0,this.$={strip:o[a-2].strip,program:h,chain:!0};break;case 21:this.$={path:o[a-1],strip:n.stripFlags(o[a-2],o[a])};break;case 22:case 23:this.$=n.prepareMustache(o[a-3],o[a-2],o[a-1],o[a-4],n.stripFlags(o[a-4],o[a]),this._$);break;case 24:this.$={type:"PartialStatement",name:o[a-3],params:o[a-2],hash:o[a-1],indent:"",strip:n.stripFlags(o[a-4],o[a]),loc:n.locInfo(this._$)};break;case 25:this.$=n.preparePartialBlock(o[a-2],o[a-1],o[a],this._$);break;case 26:this.$={path:o[a-3],params:o[a-2],hash:o[a-1],strip:n.stripFlags(o[a-4],o[a])};break;case 29:this.$={type:"SubExpression",path:o[a-3],params:o[a-2],hash:o[a-1],loc:n.locInfo(this._$)};break;case 30:this.$={type:"Hash",pairs:o[a],loc:n.locInfo(this._$)};break;case 31:this.$={type:"HashPair",key:n.id(o[a-2]),value:o[a],loc:n.locInfo(this._$)};break;case 32:this.$=n.id(o[a-1]);break;case 35:this.$={type:"StringLiteral",value:o[a],original:o[a],loc:n.locInfo(this._$)};break;case 36:this.$={type:"NumberLiteral",value:Number(o[a]),original:Number(o[a]),loc:n.locInfo(this._$)};break;case 37:this.$={type:"BooleanLiteral",value:"true"===o[a],original:"true"===o[a],loc:n.locInfo(this._$)};break;case 38:this.$={type:"UndefinedLiteral",original:void 0,value:void 0,loc:n.locInfo(this._$)};break;case 39:this.$={type:"NullLiteral",original:null,value:null,loc:n.locInfo(this._$)};break;case 42:this.$=n.preparePath(!0,o[a],this._$);break;case 43:this.$=n.preparePath(!1,o[a],this._$);break;case 44:o[a-2].push({part:n.id(o[a]),original:o[a],separator:o[a-1]}),this.$=o[a-2];break;case 45:this.$=[{part:n.id(o[a]),original:o[a]}];break;case 46:case 48:case 50:case 58:case 64:case 70:case 78:case 82:case 86:case 90:case 94:this.$=[];break;case 47:case 49:case 51:case 59:case 65:case 71:case 79:case 83:case 87:case 91:case 95:case 99:case 101:o[a-1].push(o[a]);break;case 98:case 100:this.$=[o[a]]}},table:[{3:1,4:2,5:[2,46],6:3,14:[2,46],15:[2,46],19:[2,46],29:[2,46],34:[2,46],48:[2,46],51:[2,46],55:[2,46],60:[2,46]},{1:[3]},{5:[1,4]},{5:[2,2],7:5,8:6,9:7,10:8,11:9,12:10,13:11,14:[1,12],15:[1,20],16:17,19:[1,23],24:15,27:16,29:[1,21],34:[1,22],39:[2,2],44:[2,2],47:[2,2],48:[1,13],51:[1,14],55:[1,18],59:19,60:[1,24]},{1:[2,1]},{5:[2,47],14:[2,47],15:[2,47],19:[2,47],29:[2,47],34:[2,47],39:[2,47],44:[2,47],47:[2,47],48:[2,47],51:[2,47],55:[2,47],60:[2,47]},{5:[2,3],14:[2,3],15:[2,3],19:[2,3],29:[2,3],34:[2,3],39:[2,3],44:[2,3],47:[2,3],48:[2,3],51:[2,3],55:[2,3],60:[2,3]},{5:[2,4],14:[2,4],15:[2,4],19:[2,4],29:[2,4],34:[2,4],39:[2,4],44:[2,4],47:[2,4],48:[2,4],51:[2,4],55:[2,4],60:[2,4]},{5:[2,5],14:[2,5],15:[2,5],19:[2,5],29:[2,5],34:[2,5],39:[2,5],44:[2,5],47:[2,5],48:[2,5],51:[2,5],55:[2,5],60:[2,5]},{5:[2,6],14:[2,6],15:[2,6],19:[2,6],29:[2,6],34:[2,6],39:[2,6],44:[2,6],47:[2,6],48:[2,6],51:[2,6],55:[2,6],60:[2,6]},{5:[2,7],14:[2,7],15:[2,7],19:[2,7],29:[2,7],34:[2,7],39:[2,7],44:[2,7],47:[2,7],48:[2,7],51:[2,7],55:[2,7],60:[2,7]},{5:[2,8],14:[2,8],15:[2,8],19:[2,8],29:[2,8],34:[2,8],39:[2,8],44:[2,8],47:[2,8],48:[2,8],51:[2,8],55:[2,8],60:[2,8]},{5:[2,9],14:[2,9],15:[2,9],19:[2,9],29:[2,9],34:[2,9],39:[2,9],44:[2,9],47:[2,9],48:[2,9],51:[2,9],55:[2,9],60:[2,9]},{20:25,72:[1,35],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{20:36,72:[1,35],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{4:37,6:3,14:[2,46],15:[2,46],19:[2,46],29:[2,46],34:[2,46],39:[2,46],44:[2,46],47:[2,46],48:[2,46],51:[2,46],55:[2,46],60:[2,46]},{4:38,6:3,14:[2,46],15:[2,46],19:[2,46],29:[2,46],34:[2,46],44:[2,46],47:[2,46],48:[2,46],51:[2,46],55:[2,46],60:[2,46]},{15:[2,48],17:39,18:[2,48]},{20:41,56:40,64:42,65:[1,43],72:[1,35],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{4:44,6:3,14:[2,46],15:[2,46],19:[2,46],29:[2,46],34:[2,46],47:[2,46],48:[2,46],51:[2,46],55:[2,46],60:[2,46]},{5:[2,10],14:[2,10],15:[2,10],18:[2,10],19:[2,10],29:[2,10],34:[2,10],39:[2,10],44:[2,10],47:[2,10],48:[2,10],51:[2,10],55:[2,10],60:[2,10]},{20:45,72:[1,35],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{20:46,72:[1,35],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{20:47,72:[1,35],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{20:41,56:48,64:42,65:[1,43],72:[1,35],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{33:[2,78],49:49,65:[2,78],72:[2,78],80:[2,78],81:[2,78],82:[2,78],83:[2,78],84:[2,78],85:[2,78]},{23:[2,33],33:[2,33],54:[2,33],65:[2,33],68:[2,33],72:[2,33],75:[2,33],80:[2,33],81:[2,33],82:[2,33],83:[2,33],84:[2,33],85:[2,33]},{23:[2,34],33:[2,34],54:[2,34],65:[2,34],68:[2,34],72:[2,34],75:[2,34],80:[2,34],81:[2,34],82:[2,34],83:[2,34],84:[2,34],85:[2,34]},{23:[2,35],33:[2,35],54:[2,35],65:[2,35],68:[2,35],72:[2,35],75:[2,35],80:[2,35],81:[2,35],82:[2,35],83:[2,35],84:[2,35],85:[2,35]},{23:[2,36],33:[2,36],54:[2,36],65:[2,36],68:[2,36],72:[2,36],75:[2,36],80:[2,36],81:[2,36],82:[2,36],83:[2,36],84:[2,36],85:[2,36]},{23:[2,37],33:[2,37],54:[2,37],65:[2,37],68:[2,37],72:[2,37],75:[2,37],80:[2,37],81:[2,37],82:[2,37],83:[2,37],84:[2,37],85:[2,37]},{23:[2,38],33:[2,38],54:[2,38],65:[2,38],68:[2,38],72:[2,38],75:[2,38],80:[2,38],81:[2,38],82:[2,38],83:[2,38],84:[2,38],85:[2,38]},{23:[2,39],33:[2,39],54:[2,39],65:[2,39],68:[2,39],72:[2,39],75:[2,39],80:[2,39],81:[2,39],82:[2,39],83:[2,39],84:[2,39],85:[2,39]},{23:[2,43],33:[2,43],54:[2,43],65:[2,43],68:[2,43],72:[2,43],75:[2,43],80:[2,43],81:[2,43],82:[2,43],83:[2,43],84:[2,43],85:[2,43],87:[1,50]},{72:[1,35],86:51},{23:[2,45],33:[2,45],54:[2,45],65:[2,45],68:[2,45],72:[2,45],75:[2,45],80:[2,45],81:[2,45],82:[2,45],83:[2,45],84:[2,45],85:[2,45],87:[2,45]},{52:52,54:[2,82],65:[2,82],72:[2,82],80:[2,82],81:[2,82],82:[2,82],83:[2,82],84:[2,82],85:[2,82]},{25:53,38:55,39:[1,57],43:56,44:[1,58],45:54,47:[2,54]},{28:59,43:60,44:[1,58],47:[2,56]},{13:62,15:[1,20],18:[1,61]},{33:[2,86],57:63,65:[2,86],72:[2,86],80:[2,86],81:[2,86],82:[2,86],83:[2,86],84:[2,86],85:[2,86]},{33:[2,40],65:[2,40],72:[2,40],80:[2,40],81:[2,40],82:[2,40],83:[2,40],84:[2,40],85:[2,40]},{33:[2,41],65:[2,41],72:[2,41],80:[2,41],81:[2,41],82:[2,41],83:[2,41],84:[2,41],85:[2,41]},{20:64,72:[1,35],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{26:65,47:[1,66]},{30:67,33:[2,58],65:[2,58],72:[2,58],75:[2,58],80:[2,58],81:[2,58],82:[2,58],83:[2,58],84:[2,58],85:[2,58]},{33:[2,64],35:68,65:[2,64],72:[2,64],75:[2,64],80:[2,64],81:[2,64],82:[2,64],83:[2,64],84:[2,64],85:[2,64]},{21:69,23:[2,50],65:[2,50],72:[2,50],80:[2,50],81:[2,50],82:[2,50],83:[2,50],84:[2,50],85:[2,50]},{33:[2,90],61:70,65:[2,90],72:[2,90],80:[2,90],81:[2,90],82:[2,90],83:[2,90],84:[2,90],85:[2,90]},{20:74,33:[2,80],50:71,63:72,64:75,65:[1,43],69:73,70:76,71:77,72:[1,78],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{72:[1,79]},{23:[2,42],33:[2,42],54:[2,42],65:[2,42],68:[2,42],72:[2,42],75:[2,42],80:[2,42],81:[2,42],82:[2,42],83:[2,42],84:[2,42],85:[2,42],87:[1,50]},{20:74,53:80,54:[2,84],63:81,64:75,65:[1,43],69:82,70:76,71:77,72:[1,78],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{26:83,47:[1,66]},{47:[2,55]},{4:84,6:3,14:[2,46],15:[2,46],19:[2,46],29:[2,46],34:[2,46],39:[2,46],44:[2,46],47:[2,46],48:[2,46],51:[2,46],55:[2,46],60:[2,46]},{47:[2,20]},{20:85,72:[1,35],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{4:86,6:3,14:[2,46],15:[2,46],19:[2,46],29:[2,46],34:[2,46],47:[2,46],48:[2,46],51:[2,46],55:[2,46],60:[2,46]},{26:87,47:[1,66]},{47:[2,57]},{5:[2,11],14:[2,11],15:[2,11],19:[2,11],29:[2,11],34:[2,11],39:[2,11],44:[2,11],47:[2,11],48:[2,11],51:[2,11],55:[2,11],60:[2,11]},{15:[2,49],18:[2,49]},{20:74,33:[2,88],58:88,63:89,64:75,65:[1,43],69:90,70:76,71:77,72:[1,78],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{65:[2,94],66:91,68:[2,94],72:[2,94],80:[2,94],81:[2,94],82:[2,94],83:[2,94],84:[2,94],85:[2,94]},{5:[2,25],14:[2,25],15:[2,25],19:[2,25],29:[2,25],34:[2,25],39:[2,25],44:[2,25],47:[2,25],48:[2,25],51:[2,25],55:[2,25],60:[2,25]},{20:92,72:[1,35],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{20:74,31:93,33:[2,60],63:94,64:75,65:[1,43],69:95,70:76,71:77,72:[1,78],75:[2,60],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{20:74,33:[2,66],36:96,63:97,64:75,65:[1,43],69:98,70:76,71:77,72:[1,78],75:[2,66],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{20:74,22:99,23:[2,52],63:100,64:75,65:[1,43],69:101,70:76,71:77,72:[1,78],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{20:74,33:[2,92],62:102,63:103,64:75,65:[1,43],69:104,70:76,71:77,72:[1,78],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{33:[1,105]},{33:[2,79],65:[2,79],72:[2,79],80:[2,79],81:[2,79],82:[2,79],83:[2,79],84:[2,79],85:[2,79]},{33:[2,81]},{23:[2,27],33:[2,27],54:[2,27],65:[2,27],68:[2,27],72:[2,27],75:[2,27],80:[2,27],81:[2,27],82:[2,27],83:[2,27],84:[2,27],85:[2,27]},{23:[2,28],33:[2,28],54:[2,28],65:[2,28],68:[2,28],72:[2,28],75:[2,28],80:[2,28],81:[2,28],82:[2,28],83:[2,28],84:[2,28],85:[2,28]},{23:[2,30],33:[2,30],54:[2,30],68:[2,30],71:106,72:[1,107],75:[2,30]},{23:[2,98],33:[2,98],54:[2,98],68:[2,98],72:[2,98],75:[2,98]},{23:[2,45],33:[2,45],54:[2,45],65:[2,45],68:[2,45],72:[2,45],73:[1,108],75:[2,45],80:[2,45],81:[2,45],82:[2,45],83:[2,45],84:[2,45],85:[2,45],87:[2,45]},{23:[2,44],33:[2,44],54:[2,44],65:[2,44],68:[2,44],72:[2,44],75:[2,44],80:[2,44],81:[2,44],82:[2,44],83:[2,44],84:[2,44],85:[2,44],87:[2,44]},{54:[1,109]},{54:[2,83],65:[2,83],72:[2,83],80:[2,83],81:[2,83],82:[2,83],83:[2,83],84:[2,83],85:[2,83]},{54:[2,85]},{5:[2,13],14:[2,13],15:[2,13],19:[2,13],29:[2,13],34:[2,13],39:[2,13],44:[2,13],47:[2,13],48:[2,13],51:[2,13],55:[2,13],60:[2,13]},{38:55,39:[1,57],43:56,44:[1,58],45:111,46:110,47:[2,76]},{33:[2,70],40:112,65:[2,70],72:[2,70],75:[2,70],80:[2,70],81:[2,70],82:[2,70],83:[2,70],84:[2,70],85:[2,70]},{47:[2,18]},{5:[2,14],14:[2,14],15:[2,14],19:[2,14],29:[2,14],34:[2,14],39:[2,14],44:[2,14],47:[2,14],48:[2,14],51:[2,14],55:[2,14],60:[2,14]},{33:[1,113]},{33:[2,87],65:[2,87],72:[2,87],80:[2,87],81:[2,87],82:[2,87],83:[2,87],84:[2,87],85:[2,87]},{33:[2,89]},{20:74,63:115,64:75,65:[1,43],67:114,68:[2,96],69:116,70:76,71:77,72:[1,78],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{33:[1,117]},{32:118,33:[2,62],74:119,75:[1,120]},{33:[2,59],65:[2,59],72:[2,59],75:[2,59],80:[2,59],81:[2,59],82:[2,59],83:[2,59],84:[2,59],85:[2,59]},{33:[2,61],75:[2,61]},{33:[2,68],37:121,74:122,75:[1,120]},{33:[2,65],65:[2,65],72:[2,65],75:[2,65],80:[2,65],81:[2,65],82:[2,65],83:[2,65],84:[2,65],85:[2,65]},{33:[2,67],75:[2,67]},{23:[1,123]},{23:[2,51],65:[2,51],72:[2,51],80:[2,51],81:[2,51],82:[2,51],83:[2,51],84:[2,51],85:[2,51]},{23:[2,53]},{33:[1,124]},{33:[2,91],65:[2,91],72:[2,91],80:[2,91],81:[2,91],82:[2,91],83:[2,91],84:[2,91],85:[2,91]},{33:[2,93]},{5:[2,22],14:[2,22],15:[2,22],19:[2,22],29:[2,22],34:[2,22],39:[2,22],44:[2,22],47:[2,22],48:[2,22],51:[2,22],55:[2,22],60:[2,22]},{23:[2,99],33:[2,99],54:[2,99],68:[2,99],72:[2,99],75:[2,99]},{73:[1,108]},{20:74,63:125,64:75,65:[1,43],72:[1,35],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{5:[2,23],14:[2,23],15:[2,23],19:[2,23],29:[2,23],34:[2,23],39:[2,23],44:[2,23],47:[2,23],48:[2,23],51:[2,23],55:[2,23],60:[2,23]},{47:[2,19]},{47:[2,77]},{20:74,33:[2,72],41:126,63:127,64:75,65:[1,43],69:128,70:76,71:77,72:[1,78],75:[2,72],78:26,79:27,80:[1,28],81:[1,29],82:[1,30],83:[1,31],84:[1,32],85:[1,34],86:33},{5:[2,24],14:[2,24],15:[2,24],19:[2,24],29:[2,24],34:[2,24],39:[2,24],44:[2,24],47:[2,24],48:[2,24],51:[2,24],55:[2,24],60:[2,24]},{68:[1,129]},{65:[2,95],68:[2,95],72:[2,95],80:[2,95],81:[2,95],82:[2,95],83:[2,95],84:[2,95],85:[2,95]},{68:[2,97]},{5:[2,21],14:[2,21],15:[2,21],19:[2,21],29:[2,21],34:[2,21],39:[2,21],44:[2,21],47:[2,21],48:[2,21],51:[2,21],55:[2,21],60:[2,21]},{33:[1,130]},{33:[2,63]},{72:[1,132],76:131},{33:[1,133]},{33:[2,69]},{15:[2,12],18:[2,12]},{14:[2,26],15:[2,26],19:[2,26],29:[2,26],34:[2,26],47:[2,26],48:[2,26],51:[2,26],55:[2,26],60:[2,26]},{23:[2,31],33:[2,31],54:[2,31],68:[2,31],72:[2,31],75:[2,31]},{33:[2,74],42:134,74:135,75:[1,120]},{33:[2,71],65:[2,71],72:[2,71],75:[2,71],80:[2,71],81:[2,71],82:[2,71],83:[2,71],84:[2,71],85:[2,71]},{33:[2,73],75:[2,73]},{23:[2,29],33:[2,29],54:[2,29],65:[2,29],68:[2,29],72:[2,29],75:[2,29],80:[2,29],81:[2,29],82:[2,29],83:[2,29],84:[2,29],85:[2,29]},{14:[2,15],15:[2,15],19:[2,15],29:[2,15],34:[2,15],39:[2,15],44:[2,15],47:[2,15],48:[2,15],51:[2,15],55:[2,15],60:[2,15]},{72:[1,137],77:[1,136]},{72:[2,100],77:[2,100]},{14:[2,16],15:[2,16],19:[2,16],29:[2,16],34:[2,16],44:[2,16],47:[2,16],48:[2,16],51:[2,16],55:[2,16],60:[2,16]},{33:[1,138]},{33:[2,75]},{33:[2,32]},{72:[2,101],77:[2,101]},{14:[2,17],15:[2,17],19:[2,17],29:[2,17],34:[2,17],39:[2,17],44:[2,17],47:[2,17],48:[2,17],51:[2,17],55:[2,17],60:[2,17]}],defaultActions:{4:[2,1],54:[2,55],56:[2,20],60:[2,57],73:[2,81],82:[2,85],86:[2,18],90:[2,89],101:[2,53],104:[2,93],110:[2,19],111:[2,77],116:[2,97],119:[2,63],122:[2,69],135:[2,75],136:[2,32]},parseError:function(t,e){throw new Error(t)},parse:function(t){function e(){var t;return"number"!=typeof(t=i.lexer.lex()||1)&&(t=i.symbols_[t]||t),t}var i=this,n=[0],r=[null],o=[],s=this.table,a="",l=0,h=0,u=0;this.lexer.setInput(t),this.lexer.yy=this.yy,this.yy.lexer=this.lexer,this.yy.parser=this,void 0===this.lexer.yylloc&&(this.lexer.yylloc={});var c=this.lexer.yylloc;o.push(c);var d=this.lexer.options&&this.lexer.options.ranges;"function"==typeof this.yy.parseError&&(this.parseError=this.yy.parseError);for(var p,f,m,v,g,y,b,_,w,k={};;){if(m=n[n.length-1],this.defaultActions[m]?v=this.defaultActions[m]:(null!=p||(p=e()),v=s[m]&&s[m][p]),void 0===v||!v.length||!v[0]){var x="";if(!u){for(y in w=[],s[m])this.terminals_[y]&&y>2&&w.push("'"+this.terminals_[y]+"'");x=this.lexer.showPosition?"Parse error on line "+(l+1)+":\n"+this.lexer.showPosition()+"\nExpecting "+w.join(", ")+", got '"+(this.terminals_[p]||p)+"'":"Parse error on line "+(l+1)+": Unexpected "+(1==p?"end of input":"'"+(this.terminals_[p]||p)+"'"),this.parseError(x,{text:this.lexer.match,token:this.terminals_[p]||p,line:this.lexer.yylineno,loc:c,expected:w})}}if(v[0]instanceof Array&&v.length>1)throw new Error("Parse Error: multiple actions possible at state: "+m+", token: "+p);switch(v[0]){case 1:n.push(p),r.push(this.lexer.yytext),o.push(this.lexer.yylloc),n.push(v[1]),p=null,f?(p=f,f=null):(h=this.lexer.yyleng,a=this.lexer.yytext,l=this.lexer.yylineno,c=this.lexer.yylloc,u>0&&u--);break;case 2:if(b=this.productions_[v[1]][1],k.$=r[r.length-b],k._$={first_line:o[o.length-(b||1)].first_line,last_line:o[o.length-1].last_line,first_column:o[o.length-(b||1)].first_column,last_column:o[o.length-1].last_column},d&&(k._$.range=[o[o.length-(b||1)].range[0],o[o.length-1].range[1]]),void 0!==(g=this.performAction.call(k,a,h,l,this.yy,v[1],r,o)))return g;b&&(n=n.slice(0,-1*b*2),r=r.slice(0,-1*b),o=o.slice(0,-1*b)),n.push(this.productions_[v[1]][0]),r.push(k.$),o.push(k._$),_=s[n[n.length-2]][n[n.length-1]],n.push(_);break;case 3:return!0}}return!0}},i=function(){var t={EOF:1,parseError:function(t,e){if(!this.yy.parser)throw new Error(t);this.yy.parser.parseError(t,e)},setInput:function(t){return this._input=t,this._more=this._less=this.done=!1,this.yylineno=this.yyleng=0,this.yytext=this.matched=this.match="",this.conditionStack=["INITIAL"],this.yylloc={first_line:1,first_column:0,last_line:1,last_column:0},this.options.ranges&&(this.yylloc.range=[0,0]),this.offset=0,this},input:function(){var t=this._input[0];return this.yytext+=t,this.yyleng++,this.offset++,this.match+=t,this.matched+=t,t.match(/(?:\r\n?|\n).*/g)?(this.yylineno++,this.yylloc.last_line++):this.yylloc.last_column++,this.options.ranges&&this.yylloc.range[1]++,this._input=this._input.slice(1),t},unput:function(t){var e=t.length,i=t.split(/(?:\r\n?|\n)/g);this._input=t+this._input,this.yytext=this.yytext.substr(0,this.yytext.length-e-1),this.offset-=e;var n=this.match.split(/(?:\r\n?|\n)/g);this.match=this.match.substr(0,this.match.length-1),this.matched=this.matched.substr(0,this.matched.length-1),i.length-1&&(this.yylineno-=i.length-1);var r=this.yylloc.range;return this.yylloc={first_line:this.yylloc.first_line,last_line:this.yylineno+1,first_column:this.yylloc.first_column,last_column:i?(i.length===n.length?this.yylloc.first_column:0)+n[n.length-i.length].length-i[0].length:this.yylloc.first_column-e},this.options.ranges&&(this.yylloc.range=[r[0],r[0]+this.yyleng-e]),this},more:function(){return this._more=!0,this},less:function(t){this.unput(this.match.slice(t))},pastInput:function(){var t=this.matched.substr(0,this.matched.length-this.match.length);return(t.length>20?"...":"")+t.substr(-20).replace(/\n/g,"")},upcomingInput:function(){var t=this.match;return t.length<20&&(t+=this._input.substr(0,20-t.length)),(t.substr(0,20)+(t.length>20?"...":"")).replace(/\n/g,"")},showPosition:function(){var t=this.pastInput(),e=new Array(t.length+1).join("-");return t+this.upcomingInput()+"\n"+e+"^"},next:function(){if(this.done)return this.EOF;var t,e,i,n,r;this._input||(this.done=!0),this._more||(this.yytext="",this.match="");for(var o=this._currentRules(),s=0;s<o.length&&(!(i=this._input.match(this.rules[o[s]]))||e&&!(i[0].length>e[0].length)||(e=i,n=s,this.options.flex));s++);return e?((r=e[0].match(/(?:\r\n?|\n).*/g))&&(this.yylineno+=r.length),this.yylloc={first_line:this.yylloc.last_line,last_line:this.yylineno+1,first_column:this.yylloc.last_column,last_column:r?r[r.length-1].length-r[r.length-1].match(/\r?\n?/)[0].length:this.yylloc.last_column+e[0].length},this.yytext+=e[0],this.match+=e[0],this.matches=e,this.yyleng=this.yytext.length,this.options.ranges&&(this.yylloc.range=[this.offset,this.offset+=this.yyleng]),this._more=!1,this._input=this._input.slice(e[0].length),this.matched+=e[0],t=this.performAction.call(this,this.yy,this,o[n],this.conditionStack[this.conditionStack.length-1]),this.done&&this._input&&(this.done=!1),t||void 0):""===this._input?this.EOF:this.parseError("Lexical error on line "+(this.yylineno+1)+". Unrecognized text.\n"+this.showPosition(),{text:"",token:null,line:this.yylineno})},lex:function(){var t=this.next();return void 0!==t?t:this.lex()},begin:function(t){this.conditionStack.push(t)},popState:function(){return this.conditionStack.pop()},_currentRules:function(){return this.conditions[this.conditionStack[this.conditionStack.length-1]].rules},topState:function(){return this.conditionStack[this.conditionStack.length-2]},pushState:function(t){this.begin(t)},options:{},performAction:function(t,e,i,n){function r(t,i){return e.yytext=e.yytext.substring(t,e.yyleng-i+t)}switch(i){case 0:if("\\\\"===e.yytext.slice(-2)?(r(0,1),this.begin("mu")):"\\"===e.yytext.slice(-1)?(r(0,1),this.begin("emu")):this.begin("mu"),e.yytext)return 15;break;case 1:case 5:return 15;case 2:return this.popState(),15;case 3:return this.begin("raw"),15;case 4:return this.popState(),"raw"===this.conditionStack[this.conditionStack.length-1]?15:(r(5,9),"END_RAW_BLOCK");case 6:case 22:return this.popState(),14;case 7:return 65;case 8:return 68;case 9:return 19;case 10:return this.popState(),this.begin("raw"),23;case 11:return 55;case 12:return 60;case 13:return 29;case 14:return 47;case 15:case 16:return this.popState(),44;case 17:return 34;case 18:return 39;case 19:return 51;case 20:case 23:return 48;case 21:this.unput(e.yytext),this.popState(),this.begin("com");break;case 24:return 73;case 25:case 26:case 41:return 72;case 27:return 87;case 28:break;case 29:return this.popState(),54;case 30:return this.popState(),33;case 31:return e.yytext=r(1,2).replace(/\\"/g,'"'),80;case 32:return e.yytext=r(1,2).replace(/\\'/g,"'"),80;case 33:return 85;case 34:case 35:return 82;case 36:return 83;case 37:return 84;case 38:return 81;case 39:return 75;case 40:return 77;case 42:return e.yytext=e.yytext.replace(/\\([\\\]])/g,"$1"),72;case 43:return"INVALID";case 44:return 5}},rules:[/^(?:[^\x00]*?(?=(\{\{)))/,/^(?:[^\x00]+)/,/^(?:[^\x00]{2,}?(?=(\{\{|\\\{\{|\\\\\{\{|$)))/,/^(?:\{\{\{\{(?=[^\/]))/,/^(?:\{\{\{\{\/[^\s!"#%-,\.\/;->@\[-\^`\{-~]+(?=[=}\s\/.])\}\}\}\})/,/^(?:[^\x00]+?(?=(\{\{\{\{)))/,/^(?:[\s\S]*?--(~)?\}\})/,/^(?:\()/,/^(?:\))/,/^(?:\{\{\{\{)/,/^(?:\}\}\}\})/,/^(?:\{\{(~)?>)/,/^(?:\{\{(~)?#>)/,/^(?:\{\{(~)?#\*?)/,/^(?:\{\{(~)?\/)/,/^(?:\{\{(~)?\^\s*(~)?\}\})/,/^(?:\{\{(~)?\s*else\s*(~)?\}\})/,/^(?:\{\{(~)?\^)/,/^(?:\{\{(~)?\s*else\b)/,/^(?:\{\{(~)?\{)/,/^(?:\{\{(~)?&)/,/^(?:\{\{(~)?!--)/,/^(?:\{\{(~)?![\s\S]*?\}\})/,/^(?:\{\{(~)?\*?)/,/^(?:=)/,/^(?:\.\.)/,/^(?:\.(?=([=~}\s\/.)|])))/,/^(?:[\/.])/,/^(?:\s+)/,/^(?:\}(~)?\}\})/,/^(?:(~)?\}\})/,/^(?:"(\\["]|[^"])*")/,/^(?:'(\\[']|[^'])*')/,/^(?:@)/,/^(?:true(?=([~}\s)])))/,/^(?:false(?=([~}\s)])))/,/^(?:undefined(?=([~}\s)])))/,/^(?:null(?=([~}\s)])))/,/^(?:-?[0-9]+(?:\.[0-9]+)?(?=([~}\s)])))/,/^(?:as\s+\|)/,/^(?:\|)/,/^(?:([^\s!"#%-,\.\/;->@\[-\^`\{-~]+(?=([=~}\s\/.)|]))))/,/^(?:\[(\\\]|[^\]])*\])/,/^(?:.)/,/^(?:$)/],conditions:{mu:{rules:[7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44],inclusive:!1},emu:{rules:[2],inclusive:!1},com:{rules:[6],inclusive:!1},raw:{rules:[3,4,5],inclusive:!1},INITIAL:{rules:[0,1,44],inclusive:!0}}};return t}();return e.lexer=i,t.prototype=e,e.Parser=t,new t}();e.default=i,t.exports=e.default},function(t,e,i){"use strict";function n(){var t=arguments.length<=0||void 0===arguments[0]?{}:arguments[0];this.options=t}function r(t,e,i){void 0===e&&(e=t.length);var n=t[e-1],r=t[e-2];return n?"ContentStatement"===n.type?(r||!i?/\r?\n\s*?$/:/(^|\r?\n)\s*?$/).test(n.original):void 0:i}function o(t,e,i){void 0===e&&(e=-1);var n=t[e+1],r=t[e+2];return n?"ContentStatement"===n.type?(r||!i?/^\s*?\r?\n/:/^\s*?(\r?\n|$)/).test(n.original):void 0:i}function s(t,e,i){var n=t[null==e?0:e+1];if(n&&"ContentStatement"===n.type&&(i||!n.rightStripped)){var r=n.value;n.value=n.value.replace(i?/^\s+/:/^[ \t]*\r?\n?/,""),n.rightStripped=n.value!==r}}function a(t,e,i){var n=t[null==e?t.length-1:e-1];if(n&&"ContentStatement"===n.type&&(i||!n.leftStripped)){var r=n.value;return n.value=n.value.replace(i?/\s+$/:/[ \t]+$/,""),n.leftStripped=n.value!==r,n.leftStripped}}var l=i(1).default;e.__esModule=!0;var h=l(i(49));n.prototype=new h.default,n.prototype.Program=function(t){var e=!this.options.ignoreStandalone,i=!this.isRootSeen;this.isRootSeen=!0;for(var n=t.body,l=0,h=n.length;l<h;l++){var u=n[l],c=this.accept(u);if(c){var d=r(n,l,i),p=o(n,l,i),f=c.openStandalone&&d,m=c.closeStandalone&&p,v=c.inlineStandalone&&d&&p;c.close&&s(n,l,!0),c.open&&a(n,l,!0),e&&v&&(s(n,l),a(n,l)&&"PartialStatement"===u.type&&(u.indent=/([ \t]+$)/.exec(n[l-1].original)[1])),e&&f&&(s((u.program||u.inverse).body),a(n,l)),e&&m&&(s(n,l),a((u.inverse||u.program).body))}}return t},n.prototype.BlockStatement=n.prototype.DecoratorBlock=n.prototype.PartialBlockStatement=function(t){this.accept(t.program),this.accept(t.inverse);var e=t.program||t.inverse,i=t.program&&t.inverse,n=i,l=i;if(i&&i.chained)for(n=i.body[0].program;l.chained;)l=l.body[l.body.length-1].program;var h={open:t.openStrip.open,close:t.closeStrip.close,openStandalone:o(e.body),closeStandalone:r((n||e).body)};if(t.openStrip.close&&s(e.body,null,!0),i){var u=t.inverseStrip;u.open&&a(e.body,null,!0),u.close&&s(n.body,null,!0),t.closeStrip.open&&a(l.body,null,!0),!this.options.ignoreStandalone&&r(e.body)&&o(n.body)&&(a(e.body),s(n.body))}else t.closeStrip.open&&a(e.body,null,!0);return h},n.prototype.Decorator=n.prototype.MustacheStatement=function(t){return t.strip},n.prototype.PartialStatement=n.prototype.CommentStatement=function(t){var e=t.strip||{};return{inlineStandalone:!0,open:e.open,close:e.close}},e.default=n,t.exports=e.default},function(t,e,i){"use strict";function n(){this.parents=[]}function r(t){this.acceptRequired(t,"path"),this.acceptArray(t.params),this.acceptKey(t,"hash")}function o(t){r.call(this,t),this.acceptKey(t,"program"),this.acceptKey(t,"inverse")}function s(t){this.acceptRequired(t,"name"),this.acceptArray(t.params),this.acceptKey(t,"hash")}var a=i(1).default;e.__esModule=!0;var l=a(i(6));n.prototype={constructor:n,mutating:!1,acceptKey:function(t,e){var i=this.accept(t[e]);if(this.mutating){if(i&&!n.prototype[i.type])throw new l.default('Unexpected node type "'+i.type+'" found when accepting '+e+" on "+t.type);t[e]=i}},acceptRequired:function(t,e){if(this.acceptKey(t,e),!t[e])throw new l.default(t.type+" requires "+e)},acceptArray:function(t){for(var e=0,i=t.length;e<i;e++)this.acceptKey(t,e),t[e]||(t.splice(e,1),e--,i--)},accept:function(t){if(t){if(!this[t.type])throw new l.default("Unknown type: "+t.type,t);this.current&&this.parents.unshift(this.current),this.current=t;var e=this[t.type](t);return this.current=this.parents.shift(),!this.mutating||e?e:!1!==e?t:void 0}},Program:function(t){this.acceptArray(t.body)},MustacheStatement:r,Decorator:r,BlockStatement:o,DecoratorBlock:o,PartialStatement:s,PartialBlockStatement:function(t){s.call(this,t),this.acceptKey(t,"program")},ContentStatement:function(){},CommentStatement:function(){},SubExpression:r,PathExpression:function(){},StringLiteral:function(){},NumberLiteral:function(){},BooleanLiteral:function(){},UndefinedLiteral:function(){},NullLiteral:function(){},Hash:function(t){this.acceptArray(t.pairs)},HashPair:function(t){this.acceptRequired(t,"value")}},e.default=n,t.exports=e.default},function(t,e,i){"use strict";function n(t,e){if(e=e.path?e.path.original:e,t.path.original!==e){var i={loc:t.path.loc};throw new o.default(t.path.original+" doesn't match "+e,i)}}var r=i(1).default;e.__esModule=!0,e.SourceLocation=function(t,e){this.source=t,this.start={line:e.first_line,column:e.first_column},this.end={line:e.last_line,column:e.last_column}},e.id=function(t){return/^\[.*\]$/.test(t)?t.substring(1,t.length-1):t},e.stripFlags=function(t,e){return{open:"~"===t.charAt(2),close:"~"===e.charAt(e.length-3)}},e.stripComment=function(t){return t.replace(/^\{\{~?!-?-?/,"").replace(/-?-?~?\}\}$/,"")},e.preparePath=function(t,e,i){i=this.locInfo(i);for(var n=t?"@":"",r=[],s=0,a=0,l=e.length;a<l;a++){var h=e[a].part,u=e[a].original!==h;if(n+=(e[a].separator||"")+h,u||".."!==h&&"."!==h&&"this"!==h)r.push(h);else{if(r.length>0)throw new o.default("Invalid path: "+n,{loc:i});".."===h&&s++}}return{type:"PathExpression",data:t,depth:s,parts:r,original:n,loc:i}},e.prepareMustache=function(t,e,i,n,r,o){var s=n.charAt(3)||n.charAt(2),a="{"!==s&&"&"!==s;return{type:/\*/.test(n)?"Decorator":"MustacheStatement",path:t,params:e,hash:i,escaped:a,strip:r,loc:this.locInfo(o)}},e.prepareRawBlock=function(t,e,i,r){n(t,i);var o={type:"Program",body:e,strip:{},loc:r=this.locInfo(r)};return{type:"BlockStatement",path:t.path,params:t.params,hash:t.hash,program:o,openStrip:{},inverseStrip:{},closeStrip:{},loc:r}},e.prepareBlock=function(t,e,i,r,s,a){r&&r.path&&n(t,r);var l=/\*/.test(t.open);e.blockParams=t.blockParams;var h=void 0,u=void 0;if(i){if(l)throw new o.default("Unexpected inverse block on decorator",i);i.chain&&(i.program.body[0].closeStrip=r.strip),u=i.strip,h=i.program}return s&&(s=h,h=e,e=s),{type:l?"DecoratorBlock":"BlockStatement",path:t.path,params:t.params,hash:t.hash,program:e,inverse:h,openStrip:t.strip,inverseStrip:u,closeStrip:r&&r.strip,loc:this.locInfo(a)}},e.prepareProgram=function(t,e){if(!e&&t.length){var i=t[0].loc,n=t[t.length-1].loc;i&&n&&(e={source:i.source,start:{line:i.start.line,column:i.start.column},end:{line:n.end.line,column:n.end.column}})}return{type:"Program",body:t,strip:{},loc:e}},e.preparePartialBlock=function(t,e,i,r){return n(t,i),{type:"PartialBlockStatement",name:t.path,params:t.params,hash:t.hash,program:e,openStrip:t.strip,closeStrip:i&&i.strip,loc:this.locInfo(r)}};var o=r(i(6))},function(t,e,i){"use strict";function n(){}function r(t,e){if(t===e)return!0;if(h.isArray(t)&&h.isArray(e)&&t.length===e.length){for(var i=0;i<t.length;i++)if(!r(t[i],e[i]))return!1;return!0}}function o(t){if(!t.path.parts){var e=t.path;t.path={type:"PathExpression",data:!1,depth:0,parts:[e.original+""],original:e.original+"",loc:e.loc}}}var s=i(34).default,a=i(1).default;e.__esModule=!0,e.Compiler=n,e.precompile=function(t,e,i){if(null==t||"string"!=typeof t&&"Program"!==t.type)throw new l.default("You must pass a string or Handlebars AST to Handlebars.precompile. You passed "+t);"data"in(e=e||{})||(e.data=!0),e.compat&&(e.useDepths=!0);var n=i.parse(t,e),r=(new i.Compiler).compile(n,e);return(new i.JavaScriptCompiler).compile(r,e)},e.compile=function(t,e,i){function n(){var n=i.parse(t,e),r=(new i.Compiler).compile(n,e),o=(new i.JavaScriptCompiler).compile(r,e,void 0,!0);return i.template(o)}function r(t,e){return o||(o=n()),o.call(this,t,e)}if(void 0===e&&(e={}),null==t||"string"!=typeof t&&"Program"!==t.type)throw new l.default("You must pass a string or Handlebars AST to Handlebars.compile. You passed "+t);"data"in(e=h.extend({},e))||(e.data=!0),e.compat&&(e.useDepths=!0);var o=void 0;return r._setup=function(t){return o||(o=n()),o._setup(t)},r._child=function(t,e,i,r){return o||(o=n()),o._child(t,e,i,r)},r};var l=a(i(6)),h=i(5),u=a(i(45)),c=[].slice;n.prototype={compiler:n,equals:function(t){var e=this.opcodes.length;if(t.opcodes.length!==e)return!1;for(var i=0;i<e;i++){var n=this.opcodes[i],o=t.opcodes[i];if(n.opcode!==o.opcode||!r(n.args,o.args))return!1}e=this.children.length;for(i=0;i<e;i++)if(!this.children[i].equals(t.children[i]))return!1;return!0},guid:0,compile:function(t,e){return this.sourceNode=[],this.opcodes=[],this.children=[],this.options=e,this.stringParams=e.stringParams,this.trackIds=e.trackIds,e.blockParams=e.blockParams||[],e.knownHelpers=h.extend(s(null),{helperMissing:!0,blockHelperMissing:!0,each:!0,if:!0,unless:!0,with:!0,log:!0,lookup:!0},e.knownHelpers),this.accept(t)},compileProgram:function(t){var e=(new this.compiler).compile(t,this.options),i=this.guid++;return this.usePartial=this.usePartial||e.usePartial,this.children[i]=e,this.useDepths=this.useDepths||e.useDepths,i},accept:function(t){if(!this[t.type])throw new l.default("Unknown type: "+t.type,t);this.sourceNode.unshift(t);var e=this[t.type](t);return this.sourceNode.shift(),e},Program:function(t){this.options.blockParams.unshift(t.blockParams);for(var e=t.body,i=e.length,n=0;n<i;n++)this.accept(e[n]);return this.options.blockParams.shift(),this.isSimple=1===i,this.blockParams=t.blockParams?t.blockParams.length:0,this},BlockStatement:function(t){o(t);var e=t.program,i=t.inverse;e=e&&this.compileProgram(e),i=i&&this.compileProgram(i);var n=this.classifySexpr(t);"helper"===n?this.helperSexpr(t,e,i):"simple"===n?(this.simpleSexpr(t),this.opcode("pushProgram",e),this.opcode("pushProgram",i),this.opcode("emptyHash"),this.opcode("blockValue",t.path.original)):(this.ambiguousSexpr(t,e,i),this.opcode("pushProgram",e),this.opcode("pushProgram",i),this.opcode("emptyHash"),this.opcode("ambiguousBlockValue")),this.opcode("append")},DecoratorBlock:function(t){var e=t.program&&this.compileProgram(t.program),i=this.setupFullMustacheParams(t,e,void 0),n=t.path;this.useDecorators=!0,this.opcode("registerDecorator",i.length,n.original)},PartialStatement:function(t){this.usePartial=!0;var e=t.program;e&&(e=this.compileProgram(t.program));var i=t.params;if(i.length>1)throw new l.default("Unsupported number of partial arguments: "+i.length,t);i.length||(this.options.explicitPartialContext?this.opcode("pushLiteral","undefined"):i.push({type:"PathExpression",parts:[],depth:0}));var n=t.name.original,r="SubExpression"===t.name.type;r&&this.accept(t.name),this.setupFullMustacheParams(t,e,void 0,!0);var o=t.indent||"";this.options.preventIndent&&o&&(this.opcode("appendContent",o),o=""),this.opcode("invokePartial",r,n,o),this.opcode("append")},PartialBlockStatement:function(t){this.PartialStatement(t)},MustacheStatement:function(t){this.SubExpression(t),t.escaped&&!this.options.noEscape?this.opcode("appendEscaped"):this.opcode("append")},Decorator:function(t){this.DecoratorBlock(t)},ContentStatement:function(t){t.value&&this.opcode("appendContent",t.value)},CommentStatement:function(){},SubExpression:function(t){o(t);var e=this.classifySexpr(t);"simple"===e?this.simpleSexpr(t):"helper"===e?this.helperSexpr(t):this.ambiguousSexpr(t)},ambiguousSexpr:function(t,e,i){var n=t.path,r=n.parts[0],o=null!=e||null!=i;this.opcode("getContext",n.depth),this.opcode("pushProgram",e),this.opcode("pushProgram",i),n.strict=!0,this.accept(n),this.opcode("invokeAmbiguous",r,o)},simpleSexpr:function(t){var e=t.path;e.strict=!0,this.accept(e),this.opcode("resolvePossibleLambda")},helperSexpr:function(t,e,i){var n=this.setupFullMustacheParams(t,e,i),r=t.path,o=r.parts[0];if(this.options.knownHelpers[o])this.opcode("invokeKnownHelper",n.length,o);else{if(this.options.knownHelpersOnly)throw new l.default("You specified knownHelpersOnly, but used the unknown helper "+o,t);r.strict=!0,r.falsy=!0,this.accept(r),this.opcode("invokeHelper",n.length,r.original,u.default.helpers.simpleId(r))}},PathExpression:function(t){this.addDepth(t.depth),this.opcode("getContext",t.depth);var e=t.parts[0],i=u.default.helpers.scopedId(t),n=!t.depth&&!i&&this.blockParamIndex(e);n?this.opcode("lookupBlockParam",n,t.parts):e?t.data?(this.options.data=!0,this.opcode("lookupData",t.depth,t.parts,t.strict)):this.opcode("lookupOnContext",t.parts,t.falsy,t.strict,i):this.opcode("pushContext")},StringLiteral:function(t){this.opcode("pushString",t.value)},NumberLiteral:function(t){this.opcode("pushLiteral",t.value)},BooleanLiteral:function(t){this.opcode("pushLiteral",t.value)},UndefinedLiteral:function(){this.opcode("pushLiteral","undefined")},NullLiteral:function(){this.opcode("pushLiteral","null")},Hash:function(t){var e=t.pairs,i=0,n=e.length;for(this.opcode("pushHash");i<n;i++)this.pushParam(e[i].value);for(;i--;)this.opcode("assignToHash",e[i].key);this.opcode("popHash")},opcode:function(t){this.opcodes.push({opcode:t,args:c.call(arguments,1),loc:this.sourceNode[0].loc})},addDepth:function(t){t&&(this.useDepths=!0)},classifySexpr:function(t){var e=u.default.helpers.simpleId(t.path),i=e&&!!this.blockParamIndex(t.path.parts[0]),n=!i&&u.default.helpers.helperExpression(t),r=!i&&(n||e);if(r&&!n){var o=t.path.parts[0],s=this.options;s.knownHelpers[o]?n=!0:s.knownHelpersOnly&&(r=!1)}return n?"helper":r?"ambiguous":"simple"},pushParams:function(t){for(var e=0,i=t.length;e<i;e++)this.pushParam(t[e])},pushParam:function(t){var e=null!=t.value?t.value:t.original||"";if(this.stringParams)e.replace&&(e=e.replace(/^(\.?\.\/)*/g,"").replace(/\//g,".")),t.depth&&this.addDepth(t.depth),this.opcode("getContext",t.depth||0),this.opcode("pushStringParam",e,t.type),"SubExpression"===t.type&&this.accept(t);else{if(this.trackIds){var i=void 0;if(!t.parts||u.default.helpers.scopedId(t)||t.depth||(i=this.blockParamIndex(t.parts[0])),i){var n=t.parts.slice(1).join(".");this.opcode("pushId","BlockParam",i,n)}else(e=t.original||e).replace&&(e=e.replace(/^this(?:\.|$)/,"").replace(/^\.\//,"").replace(/^\.$/,"")),this.opcode("pushId",t.type,e)}this.accept(t)}},setupFullMustacheParams:function(t,e,i,n){var r=t.params;return this.pushParams(r),this.opcode("pushProgram",e),this.opcode("pushProgram",i),t.hash?this.accept(t.hash):this.opcode("emptyHash",n),r},blockParamIndex:function(t){for(var e=0,i=this.options.blockParams.length;e<i;e++){var n=this.options.blockParams[e],r=n&&h.indexOf(n,t);if(n&&r>=0)return[e,r]}}}},function(t,e,i){"use strict";function n(t){this.value=t}function r(){}var o=i(13).default,s=i(1).default;e.__esModule=!0;var a=i(4),l=s(i(6)),h=i(5),u=s(i(53));r.prototype={nameLookup:function(t,e){return this.internalNameLookup(t,e)},depthedLookup:function(t){return[this.aliasable("container.lookup"),"(depths, ",JSON.stringify(t),")"]},compilerInfo:function(){var t=a.COMPILER_REVISION;return[t,a.REVISION_CHANGES[t]]},appendToBuffer:function(t,e,i){return h.isArray(t)||(t=[t]),t=this.source.wrap(t,e),this.environment.isSimple?["return ",t,";"]:i?["buffer += ",t,";"]:(t.appendToBuffer=!0,t)},initializeBuffer:function(){return this.quotedString("")},internalNameLookup:function(t,e){return this.lookupPropertyFunctionIsUsed=!0,["lookupProperty(",t,",",JSON.stringify(e),")"]},lookupPropertyFunctionIsUsed:!1,compile:function(t,e,i,n){this.environment=t,this.options=e,this.stringParams=this.options.stringParams,this.trackIds=this.options.trackIds,this.precompile=!n,this.name=this.environment.name,this.isChild=!!i,this.context=i||{decorators:[],programs:[],environments:[]},this.preamble(),this.stackSlot=0,this.stackVars=[],this.aliases={},this.registers={list:[]},this.hashes=[],this.compileStack=[],this.inlineStack=[],this.blockParams=[],this.compileChildren(t,e),this.useDepths=this.useDepths||t.useDepths||t.useDecorators||this.options.compat,this.useBlockParams=this.useBlockParams||t.useBlockParams;var r=t.opcodes,o=void 0,s=void 0,a=void 0,h=void 0;for(a=0,h=r.length;a<h;a++)o=r[a],this.source.currentLocation=o.loc,s=s||o.loc,this[o.opcode].apply(this,o.args);if(this.source.currentLocation=s,this.pushSource(""),this.stackSlot||this.inlineStack.length||this.compileStack.length)throw new l.default("Compile completed with content left on stack");this.decorators.isEmpty()?this.decorators=void 0:(this.useDecorators=!0,this.decorators.prepend(["var decorators = container.decorators, ",this.lookupPropertyFunctionVarDeclaration(),";\n"]),this.decorators.push("return fn;"),n?this.decorators=Function.apply(this,["fn","props","container","depth0","data","blockParams","depths",this.decorators.merge()]):(this.decorators.prepend("function(fn, props, container, depth0, data, blockParams, depths) {\n"),this.decorators.push("}\n"),this.decorators=this.decorators.merge()));var u=this.createFunctionContext(n);if(this.isChild)return u;var c={compiler:this.compilerInfo(),main:u};this.decorators&&(c.main_d=this.decorators,c.useDecorators=!0);var d=this.context,p=d.programs,f=d.decorators;for(a=0,h=p.length;a<h;a++)p[a]&&(c[a]=p[a],f[a]&&(c[a+"_d"]=f[a],c.useDecorators=!0));return this.environment.usePartial&&(c.usePartial=!0),this.options.data&&(c.useData=!0),this.useDepths&&(c.useDepths=!0),this.useBlockParams&&(c.useBlockParams=!0),this.options.compat&&(c.compat=!0),n?c.compilerOptions=this.options:(c.compiler=JSON.stringify(c.compiler),this.source.currentLocation={start:{line:1,column:0}},c=this.objectLiteral(c),e.srcName?(c=c.toStringWithSourceMap({file:e.destName})).map=c.map&&c.map.toString():c=c.toString()),c},preamble:function(){this.lastContext=0,this.source=new u.default(this.options.srcName),this.decorators=new u.default(this.options.srcName)},createFunctionContext:function(t){var e=this,i="",n=this.stackVars.concat(this.registers.list);n.length>0&&(i+=", "+n.join(", "));var r=0;o(this.aliases).forEach((function(t){var n=e.aliases[t];n.children&&n.referenceCount>1&&(i+=", alias"+ ++r+"="+t,n.children[0]="alias"+r)})),this.lookupPropertyFunctionIsUsed&&(i+=", "+this.lookupPropertyFunctionVarDeclaration());var s=["container","depth0","helpers","partials","data"];(this.useBlockParams||this.useDepths)&&s.push("blockParams"),this.useDepths&&s.push("depths");var a=this.mergeSource(i);return t?(s.push(a),Function.apply(this,s)):this.source.wrap(["function(",s.join(","),") {\n  ",a,"}"])},mergeSource:function(t){var e=this.environment.isSimple,i=!this.forceBuffer,n=void 0,r=void 0,o=void 0,s=void 0;return this.source.each((function(t){t.appendToBuffer?(o?t.prepend("  + "):o=t,s=t):(o&&(r?o.prepend("buffer += "):n=!0,s.add(";"),o=s=void 0),r=!0,e||(i=!1))})),i?o?(o.prepend("return "),s.add(";")):r||this.source.push('return "";'):(t+=", buffer = "+(n?"":this.initializeBuffer()),o?(o.prepend("return buffer + "),s.add(";")):this.source.push("return buffer;")),t&&this.source.prepend("var "+t.substring(2)+(n?"":";\n")),this.source.merge()},lookupPropertyFunctionVarDeclaration:function(){return"\n      lookupProperty = container.lookupProperty || function(parent, propertyName) {\n        if (Object.prototype.hasOwnProperty.call(parent, propertyName)) {\n          return parent[propertyName];\n        }\n        return undefined\n    }\n    ".trim()},blockValue:function(t){var e=this.aliasable("container.hooks.blockHelperMissing"),i=[this.contextName(0)];this.setupHelperArgs(t,0,i);var n=this.popStack();i.splice(1,0,n),this.push(this.source.functionCall(e,"call",i))},ambiguousBlockValue:function(){var t=this.aliasable("container.hooks.blockHelperMissing"),e=[this.contextName(0)];this.setupHelperArgs("",0,e,!0),this.flushInline();var i=this.topStack();e.splice(1,0,i),this.pushSource(["if (!",this.lastHelper,") { ",i," = ",this.source.functionCall(t,"call",e),"}"])},appendContent:function(t){this.pendingContent?t=this.pendingContent+t:this.pendingLocation=this.source.currentLocation,this.pendingContent=t},append:function(){if(this.isInline())this.replaceStack((function(t){return[" != null ? ",t,' : ""']})),this.pushSource(this.appendToBuffer(this.popStack()));else{var t=this.popStack();this.pushSource(["if (",t," != null) { ",this.appendToBuffer(t,void 0,!0)," }"]),this.environment.isSimple&&this.pushSource(["else { ",this.appendToBuffer("''",void 0,!0)," }"])}},appendEscaped:function(){this.pushSource(this.appendToBuffer([this.aliasable("container.escapeExpression"),"(",this.popStack(),")"]))},getContext:function(t){this.lastContext=t},pushContext:function(){this.pushStackLiteral(this.contextName(this.lastContext))},lookupOnContext:function(t,e,i,n){var r=0;n||!this.options.compat||this.lastContext?this.pushContext():this.push(this.depthedLookup(t[r++])),this.resolvePath("context",t,r,e,i)},lookupBlockParam:function(t,e){this.useBlockParams=!0,this.push(["blockParams[",t[0],"][",t[1],"]"]),this.resolvePath("context",e,1)},lookupData:function(t,e,i){t?this.pushStackLiteral("container.data(data, "+t+")"):this.pushStackLiteral("data"),this.resolvePath("data",e,0,!0,i)},resolvePath:function(t,e,i,n,r){var o=this;if(this.options.strict||this.options.assumeObjects)this.push(function(t,e,i,n){var r=e.popStack(),o=0,s=i.length;for(t&&s--;o<s;o++)r=e.nameLookup(r,i[o],n);return t?[e.aliasable("container.strict"),"(",r,", ",e.quotedString(i[o]),", ",JSON.stringify(e.source.currentLocation)," )"]:r}(this.options.strict&&r,this,e,t));else for(var s=e.length;i<s;i++)this.replaceStack((function(r){var s=o.nameLookup(r,e[i],t);return n?[" && ",s]:[" != null ? ",s," : ",r]}))},resolvePossibleLambda:function(){this.push([this.aliasable("container.lambda"),"(",this.popStack(),", ",this.contextName(0),")"])},pushStringParam:function(t,e){this.pushContext(),this.pushString(e),"SubExpression"!==e&&("string"==typeof t?this.pushString(t):this.pushStackLiteral(t))},emptyHash:function(t){this.trackIds&&this.push("{}"),this.stringParams&&(this.push("{}"),this.push("{}")),this.pushStackLiteral(t?"undefined":"{}")},pushHash:function(){this.hash&&this.hashes.push(this.hash),this.hash={values:{},types:[],contexts:[],ids:[]}},popHash:function(){var t=this.hash;this.hash=this.hashes.pop(),this.trackIds&&this.push(this.objectLiteral(t.ids)),this.stringParams&&(this.push(this.objectLiteral(t.contexts)),this.push(this.objectLiteral(t.types))),this.push(this.objectLiteral(t.values))},pushString:function(t){this.pushStackLiteral(this.quotedString(t))},pushLiteral:function(t){this.pushStackLiteral(t)},pushProgram:function(t){null!=t?this.pushStackLiteral(this.programExpression(t)):this.pushStackLiteral(null)},registerDecorator:function(t,e){var i=this.nameLookup("decorators",e,"decorator"),n=this.setupHelperArgs(e,t);this.decorators.push(["fn = ",this.decorators.functionCall(i,"",["fn","props","container",n])," || fn;"])},invokeHelper:function(t,e,i){var n=this.popStack(),r=this.setupHelper(t,e),o=[];i&&o.push(r.name),o.push(n),this.options.strict||o.push(this.aliasable("container.hooks.helperMissing"));var s=["(",this.itemsSeparatedBy(o,"||"),")"],a=this.source.functionCall(s,"call",r.callParams);this.push(a)},itemsSeparatedBy:function(t,e){var i=[];i.push(t[0]);for(var n=1;n<t.length;n++)i.push(e,t[n]);return i},invokeKnownHelper:function(t,e){var i=this.setupHelper(t,e);this.push(this.source.functionCall(i.name,"call",i.callParams))},invokeAmbiguous:function(t,e){this.useRegister("helper");var i=this.popStack();this.emptyHash();var n=this.setupHelper(0,t,e),r=["(","(helper = ",this.lastHelper=this.nameLookup("helpers",t,"helper")," || ",i,")"];this.options.strict||(r[0]="(helper = ",r.push(" != null ? helper : ",this.aliasable("container.hooks.helperMissing"))),this.push(["(",r,n.paramsInit?["),(",n.paramsInit]:[],"),","(typeof helper === ",this.aliasable('"function"')," ? ",this.source.functionCall("helper","call",n.callParams)," : helper))"])},invokePartial:function(t,e,i){var n=[],r=this.setupParams(e,1,n);t&&(e=this.popStack(),delete r.name),i&&(r.indent=JSON.stringify(i)),r.helpers="helpers",r.partials="partials",r.decorators="container.decorators",t?n.unshift(e):n.unshift(this.nameLookup("partials",e,"partial")),this.options.compat&&(r.depths="depths"),r=this.objectLiteral(r),n.push(r),this.push(this.source.functionCall("container.invokePartial","",n))},assignToHash:function(t){var e=this.popStack(),i=void 0,n=void 0,r=void 0;this.trackIds&&(r=this.popStack()),this.stringParams&&(n=this.popStack(),i=this.popStack());var o=this.hash;i&&(o.contexts[t]=i),n&&(o.types[t]=n),r&&(o.ids[t]=r),o.values[t]=e},pushId:function(t,e,i){"BlockParam"===t?this.pushStackLiteral("blockParams["+e[0]+"].path["+e[1]+"]"+(i?" + "+JSON.stringify("."+i):"")):"PathExpression"===t?this.pushString(e):"SubExpression"===t?this.pushStackLiteral("true"):this.pushStackLiteral("null")},compiler:r,compileChildren:function(t,e){for(var i=t.children,n=void 0,r=void 0,o=0,s=i.length;o<s;o++){n=i[o],r=new this.compiler;var a=this.matchExistingProgram(n);if(null==a){this.context.programs.push("");var l=this.context.programs.length;n.index=l,n.name="program"+l,this.context.programs[l]=r.compile(n,e,this.context,!this.precompile),this.context.decorators[l]=r.decorators,this.context.environments[l]=n,this.useDepths=this.useDepths||r.useDepths,this.useBlockParams=this.useBlockParams||r.useBlockParams,n.useDepths=this.useDepths,n.useBlockParams=this.useBlockParams}else n.index=a.index,n.name="program"+a.index,this.useDepths=this.useDepths||a.useDepths,this.useBlockParams=this.useBlockParams||a.useBlockParams}},matchExistingProgram:function(t){for(var e=0,i=this.context.environments.length;e<i;e++){var n=this.context.environments[e];if(n&&n.equals(t))return n}},programExpression:function(t){var e=this.environment.children[t],i=[e.index,"data",e.blockParams];return(this.useBlockParams||this.useDepths)&&i.push("blockParams"),this.useDepths&&i.push("depths"),"container.program("+i.join(", ")+")"},useRegister:function(t){this.registers[t]||(this.registers[t]=!0,this.registers.list.push(t))},push:function(t){return t instanceof n||(t=this.source.wrap(t)),this.inlineStack.push(t),t},pushStackLiteral:function(t){this.push(new n(t))},pushSource:function(t){this.pendingContent&&(this.source.push(this.appendToBuffer(this.source.quotedString(this.pendingContent),this.pendingLocation)),this.pendingContent=void 0),t&&this.source.push(t)},replaceStack:function(t){var e=["("],i=void 0,r=void 0,o=void 0;if(!this.isInline())throw new l.default("replaceStack on non-inline");var s=this.popStack(!0);if(s instanceof n)e=["(",i=[s.value]],o=!0;else{r=!0;var a=this.incrStack();e=["((",this.push(a)," = ",s,")"],i=this.topStack()}var h=t.call(this,i);o||this.popStack(),r&&this.stackSlot--,this.push(e.concat(h,")"))},incrStack:function(){return this.stackSlot++,this.stackSlot>this.stackVars.length&&this.stackVars.push("stack"+this.stackSlot),this.topStackName()},topStackName:function(){return"stack"+this.stackSlot},flushInline:function(){var t=this.inlineStack;this.inlineStack=[];for(var e=0,i=t.length;e<i;e++){var r=t[e];if(r instanceof n)this.compileStack.push(r);else{var o=this.incrStack();this.pushSource([o," = ",r,";"]),this.compileStack.push(o)}}},isInline:function(){return this.inlineStack.length},popStack:function(t){var e=this.isInline(),i=(e?this.inlineStack:this.compileStack).pop();if(!t&&i instanceof n)return i.value;if(!e){if(!this.stackSlot)throw new l.default("Invalid stack pop");this.stackSlot--}return i},topStack:function(){var t=this.isInline()?this.inlineStack:this.compileStack,e=t[t.length-1];return e instanceof n?e.value:e},contextName:function(t){return this.useDepths&&t?"depths["+t+"]":"depth"+t},quotedString:function(t){return this.source.quotedString(t)},objectLiteral:function(t){return this.source.objectLiteral(t)},aliasable:function(t){var e=this.aliases[t];return e?(e.referenceCount++,e):((e=this.aliases[t]=this.source.wrap(t)).aliasable=!0,e.referenceCount=1,e)},setupHelper:function(t,e,i){var n=[];return{params:n,paramsInit:this.setupHelperArgs(e,t,n,i),name:this.nameLookup("helpers",e,"helper"),callParams:[this.aliasable(this.contextName(0)+" != null ? "+this.contextName(0)+" : (container.nullContext || {})")].concat(n)}},setupParams:function(t,e,i){var n={},r=[],o=[],s=[],a=!i,l=void 0;a&&(i=[]),n.name=this.quotedString(t),n.hash=this.popStack(),this.trackIds&&(n.hashIds=this.popStack()),this.stringParams&&(n.hashTypes=this.popStack(),n.hashContexts=this.popStack());var h=this.popStack(),u=this.popStack();(u||h)&&(n.fn=u||"container.noop",n.inverse=h||"container.noop");for(var c=e;c--;)l=this.popStack(),i[c]=l,this.trackIds&&(s[c]=this.popStack()),this.stringParams&&(o[c]=this.popStack(),r[c]=this.popStack());return a&&(n.args=this.source.generateArray(i)),this.trackIds&&(n.ids=this.source.generateArray(s)),this.stringParams&&(n.types=this.source.generateArray(o),n.contexts=this.source.generateArray(r)),this.options.data&&(n.data="data"),this.useBlockParams&&(n.blockParams="blockParams"),n},setupHelperArgs:function(t,e,i,n){var r=this.setupParams(t,e,i);return r.loc=JSON.stringify(this.source.currentLocation),r=this.objectLiteral(r),n?(this.useRegister("options"),i.push("options"),["options=",r]):i?(i.push(r),""):r}},function(){for(var t="break else new var case finally return void catch for switch while continue function this with default if throw delete in try do instanceof typeof abstract enum int short boolean export interface static byte extends long super char final native synchronized class float package throws const goto private transient debugger implements protected volatile double import public let yield await null true false".split(" "),e=r.RESERVED_WORDS={},i=0,n=t.length;i<n;i++)e[t[i]]=!0}(),r.isValidJavaScriptVariableName=function(t){return!r.RESERVED_WORDS[t]&&/^[a-zA-Z_$][0-9a-zA-Z_$]*$/.test(t)},e.default=r,t.exports=e.default},function(t,e,i){"use strict";function n(t,e,i){if(s.isArray(t)){for(var n=[],r=0,o=t.length;r<o;r++)n.push(e.wrap(t[r],i));return n}return"boolean"==typeof t||"number"==typeof t?t+"":t}function r(t){this.srcFile=t,this.source=[]}var o=i(13).default;e.__esModule=!0;var s=i(5),a=void 0;a||(a=function(t,e,i,n){this.src="",n&&this.add(n)},a.prototype={add:function(t){s.isArray(t)&&(t=t.join("")),this.src+=t},prepend:function(t){s.isArray(t)&&(t=t.join("")),this.src=t+this.src},toStringWithSourceMap:function(){return{code:this.toString()}},toString:function(){return this.src}}),r.prototype={isEmpty:function(){return!this.source.length},prepend:function(t,e){this.source.unshift(this.wrap(t,e))},push:function(t,e){this.source.push(this.wrap(t,e))},merge:function(){var t=this.empty();return this.each((function(e){t.add(["  ",e,"\n"])})),t},each:function(t){for(var e=0,i=this.source.length;e<i;e++)t(this.source[e])},empty:function(){var t=this.currentLocation||{start:{}};return new a(t.start.line,t.start.column,this.srcFile)},wrap:function(t){var e=arguments.length<=1||void 0===arguments[1]?this.currentLocation||{start:{}}:arguments[1];return t instanceof a?t:(t=n(t,this,e),new a(e.start.line,e.start.column,this.srcFile,t))},functionCall:function(t,e,i){return i=this.generateList(i),this.wrap([t,e?"."+e+"(":"(",i,")"])},quotedString:function(t){return'"'+(t+"").replace(/\\/g,"\\\\").replace(/"/g,'\\"').replace(/\n/g,"\\n").replace(/\r/g,"\\r").replace(/\u2028/g,"\\u2028").replace(/\u2029/g,"\\u2029")+'"'},objectLiteral:function(t){var e=this,i=[];o(t).forEach((function(r){var o=n(t[r],e);"undefined"!==o&&i.push([e.quotedString(r),":",o])}));var r=this.generateList(i);return r.prepend("{"),r.add("}"),r},generateList:function(t){for(var e=this.empty(),i=0,r=t.length;i<r;i++)i&&e.add(","),e.add(n(t[i],this));return e},generateArray:function(t){var e=this.generateList(t);return e.prepend("["),e.add("]"),e}},e.default=r,t.exports=e.default}])}));